#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 20170
#define LARGE_STATE_COUNT 2625
#define SYMBOL_COUNT 418
#define ALIAS_COUNT 12
#define TOKEN_COUNT 143
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 13
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 136

enum ts_symbol_identifiers {
  sym__identifier = 1,
  sym_shebang = 2,
  anon_sym_SEMI_SEMI = 3,
  anon_sym_let = 4,
  anon_sym_rec = 5,
  anon_sym_and = 6,
  anon_sym_COLON_GT = 7,
  anon_sym_EQ = 8,
  anon_sym_TILDE = 9,
  anon_sym_QMARK = 10,
  anon_sym_COLON = 11,
  anon_sym_LPAREN = 12,
  anon_sym_RPAREN = 13,
  anon_sym_external = 14,
  anon_sym_type = 15,
  anon_sym_nonrec = 16,
  anon_sym_private = 17,
  anon_sym_DOT_DOT = 18,
  anon_sym_PLUS_EQ = 19,
  anon_sym_COMMA = 20,
  anon_sym_PLUS = 21,
  anon_sym_BANG = 22,
  anon_sym_DASH = 23,
  anon_sym__ = 24,
  anon_sym_COLON_EQ = 25,
  anon_sym_PIPE = 26,
  anon_sym_LBRACK = 27,
  anon_sym_RBRACK = 28,
  anon_sym_true = 29,
  anon_sym_false = 30,
  anon_sym_of = 31,
  anon_sym_COLON2 = 32,
  anon_sym_DOT = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_STAR = 35,
  anon_sym_LBRACE = 36,
  anon_sym_SEMI = 37,
  anon_sym_RBRACE = 38,
  anon_sym_mutable = 39,
  anon_sym_constraint = 40,
  anon_sym_exception = 41,
  anon_sym_module = 42,
  anon_sym_open = 43,
  anon_sym_include = 44,
  anon_sym_class = 45,
  anon_sym_virtual = 46,
  anon_sym_val = 47,
  anon_sym_sig = 48,
  anon_sym_end = 49,
  anon_sym_with = 50,
  anon_sym_functor = 51,
  anon_sym_struct = 52,
  anon_sym_object = 53,
  anon_sym_inherit = 54,
  anon_sym_method = 55,
  anon_sym_in = 56,
  anon_sym_fun = 57,
  anon_sym_as = 58,
  anon_sym_initializer = 59,
  anon_sym_LBRACK_GT = 60,
  anon_sym_LBRACK_LT = 61,
  anon_sym_GT = 62,
  anon_sym_AMP = 63,
  anon_sym_LT = 64,
  anon_sym_POUND = 65,
  anon_sym_COLON_COLON = 66,
  anon_sym_LBRACK_PIPE = 67,
  anon_sym_PIPE_RBRACK = 68,
  anon_sym_LT_DASH = 69,
  anon_sym_if = 70,
  anon_sym_then = 71,
  anon_sym_else = 72,
  anon_sym_while = 73,
  anon_sym_do = 74,
  anon_sym_done = 75,
  anon_sym_for = 76,
  anon_sym_to = 77,
  anon_sym_downto = 78,
  anon_sym_match = 79,
  anon_sym_when = 80,
  anon_sym_function = 81,
  anon_sym_try = 82,
  anon_sym_assert = 83,
  anon_sym_lazy = 84,
  anon_sym_new = 85,
  anon_sym_LBRACE_LT = 86,
  anon_sym_GT_RBRACE = 87,
  anon_sym_begin = 88,
  sym_ocamlyacc_value = 89,
  aux_sym_attribute_token1 = 90,
  anon_sym_LBRACK_AT_AT = 91,
  anon_sym_LBRACK_AT_AT_AT = 92,
  anon_sym_LBRACK_PERCENT = 93,
  anon_sym_LBRACE_PERCENT = 94,
  aux_sym_quoted_extension_token1 = 95,
  anon_sym_LBRACK_PERCENT_PERCENT = 96,
  anon_sym_LBRACE_PERCENT_PERCENT = 97,
  anon_sym_PERCENT = 98,
  aux_sym_number_token1 = 99,
  aux_sym_signed_number_token1 = 100,
  anon_sym_SQUOTE = 101,
  anon_sym_SQUOTE2 = 102,
  aux_sym_character_content_token1 = 103,
  aux_sym_character_content_token2 = 104,
  anon_sym_DQUOTE = 105,
  aux_sym_string_content_token1 = 106,
  aux_sym_string_content_token2 = 107,
  aux_sym_string_content_token3 = 108,
  aux_sym_string_content_token4 = 109,
  aux_sym_string_content_token5 = 110,
  aux_sym_quoted_string_content_token1 = 111,
  aux_sym_escape_sequence_token1 = 112,
  aux_sym_escape_sequence_token2 = 113,
  aux_sym_escape_sequence_token3 = 114,
  aux_sym_escape_sequence_token4 = 115,
  sym_conversion_specification = 116,
  sym_pretty_printing_indication = 117,
  sym_prefix_operator = 118,
  aux_sym_sign_operator_token1 = 119,
  sym_hash_operator = 120,
  sym_pow_operator = 121,
  sym_mult_operator = 122,
  aux_sym_add_operator_token1 = 123,
  sym_concat_operator = 124,
  sym_rel_operator = 125,
  sym_and_operator = 126,
  sym_or_operator = 127,
  sym_assign_operator = 128,
  sym_indexing_operator = 129,
  sym_let_operator = 130,
  sym_let_and_operator = 131,
  sym_match_operator = 132,
  sym__capitalized_identifier = 133,
  aux_sym_directive_token1 = 134,
  aux_sym_type_variable_token1 = 135,
  aux_sym_tag_token1 = 136,
  aux_sym_attribute_id_token1 = 137,
  sym_comment = 138,
  sym__left_quoted_string_delimiter = 139,
  sym__right_quoted_string_delimiter = 140,
  sym_line_number_directive = 141,
  sym__null = 142,
  sym_type = 143,
  sym__structure = 144,
  sym_expression_item = 145,
  sym__signature = 146,
  sym_toplevel_directive = 147,
  sym__structure_item = 148,
  sym_value_definition = 149,
  sym_let_binding = 150,
  sym_parameter = 151,
  sym_external = 152,
  sym_type_definition = 153,
  sym_type_binding = 154,
  sym__type_params = 155,
  sym__type_param = 156,
  sym__type_equation = 157,
  sym_variant_declaration = 158,
  sym_constructor_declaration = 159,
  sym__constructor_argument = 160,
  sym_record_declaration = 161,
  sym_field_declaration = 162,
  sym_type_constraint = 163,
  sym_exception_definition = 164,
  sym_module_definition = 165,
  sym_module_binding = 166,
  sym_module_parameter = 167,
  sym_module_type_definition = 168,
  sym_open_module = 169,
  sym_include_module = 170,
  sym_class_definition = 171,
  sym_class_binding = 172,
  sym_class_type_definition = 173,
  sym_class_type_binding = 174,
  sym__signature_item = 175,
  sym_value_specification = 176,
  sym_include_module_type = 177,
  sym__module_typed = 178,
  sym__module_type = 179,
  sym_signature = 180,
  sym_module_type_constraint = 181,
  sym_constrain_type = 182,
  sym_constrain_module = 183,
  sym_constrain_module_type = 184,
  sym_module_type_of = 185,
  sym_functor_type = 186,
  sym_parenthesized_module_type = 187,
  sym__simple_module_expression = 188,
  sym__module_expression = 189,
  sym_structure = 190,
  sym_functor = 191,
  sym_module_application = 192,
  sym_typed_module_expression = 193,
  sym_packed_module = 194,
  sym_parenthesized_module_expression = 195,
  sym__class_typed = 196,
  sym__simple_class_type = 197,
  sym__class_type = 198,
  sym_instantiated_class_type = 199,
  sym_class_body_type = 200,
  sym__class_field_specification = 201,
  sym_inheritance_specification = 202,
  sym_instance_variable_specification = 203,
  sym_method_specification = 204,
  sym_type_parameter_constraint = 205,
  sym_let_open_class_type = 206,
  sym_class_function_type = 207,
  sym__simple_class_expression = 208,
  sym__class_expression = 209,
  sym_instantiated_class = 210,
  sym_typed_class_expression = 211,
  sym_class_function = 212,
  sym_class_application = 213,
  sym_let_class_expression = 214,
  sym__class_field = 215,
  sym_inheritance_definition = 216,
  sym_instance_variable_definition = 217,
  sym_method_definition = 218,
  sym_class_initializer = 219,
  sym_let_open_class_expression = 220,
  sym_parenthesized_class_expression = 221,
  sym__typed = 222,
  sym__simple_typed = 223,
  sym__polymorphic_typed = 224,
  sym__polymorphic_type = 225,
  sym_polymorphic_type = 226,
  sym__abstract_type = 227,
  sym__parenthesized_abstract_type = 228,
  sym__simple_type = 229,
  sym__tuple_type = 230,
  sym__type = 231,
  sym_function_type = 232,
  sym_typed_label = 233,
  sym_tuple_type = 234,
  sym_constructed_type = 235,
  sym_aliased_type = 236,
  sym_local_open_type = 237,
  sym_polymorphic_variant_type = 238,
  sym__tag_spec = 239,
  sym_tag_specification = 240,
  sym_package_type = 241,
  sym_object_type = 242,
  sym_method_type = 243,
  sym_hash_type = 244,
  sym_parenthesized_type = 245,
  sym__simple_expression = 246,
  sym__expression = 247,
  sym__sequence_expression = 248,
  sym_typed_expression = 249,
  sym_product_expression = 250,
  sym_cons_expression = 251,
  sym_list_expression = 252,
  sym_array_expression = 253,
  sym_record_expression = 254,
  sym_field_expression = 255,
  sym_application_expression = 256,
  sym_labeled_argument = 257,
  sym_prefix_expression = 258,
  sym_sign_expression = 259,
  sym_hash_expression = 260,
  sym_infix_expression = 261,
  sym_field_get_expression = 262,
  sym_array_get_expression = 263,
  sym_string_get_expression = 264,
  sym_bigarray_get_expression = 265,
  sym_set_expression = 266,
  sym_if_expression = 267,
  sym_then_clause = 268,
  sym_else_clause = 269,
  sym_while_expression = 270,
  sym_do_clause = 271,
  sym_for_expression = 272,
  sym_sequence_expression = 273,
  sym_match_expression = 274,
  sym__match_cases = 275,
  sym_match_case = 276,
  sym_guard = 277,
  sym_refutation_case = 278,
  sym_function_expression = 279,
  sym_fun_expression = 280,
  sym_try_expression = 281,
  sym_let_expression = 282,
  sym_coercion_expression = 283,
  sym_assert_expression = 284,
  sym_lazy_expression = 285,
  sym_let_module_expression = 286,
  sym_let_open_expression = 287,
  sym_local_open_expression = 288,
  sym_package_expression = 289,
  sym_let_exception_expression = 290,
  sym_new_expression = 291,
  sym_object_copy_expression = 292,
  sym_instance_variable_expression = 293,
  sym_method_invocation = 294,
  sym_object_expression = 295,
  sym_parenthesized_expression = 296,
  sym__simple_pattern = 297,
  sym__pattern = 298,
  sym__binding_pattern = 299,
  sym_alias_pattern = 300,
  sym_alias_binding_pattern = 301,
  sym_typed_pattern = 302,
  sym_typed_binding_pattern = 303,
  sym_or_pattern = 304,
  sym_or_binding_pattern = 305,
  sym_constructor_pattern = 306,
  sym_constructor_binding_pattern = 307,
  sym_tag_pattern = 308,
  sym_tag_binding_pattern = 309,
  sym_polymorphic_variant_pattern = 310,
  sym_tuple_pattern = 311,
  sym_tuple_binding_pattern = 312,
  sym_record_pattern = 313,
  sym_field_pattern = 314,
  sym_record_binding_pattern = 315,
  sym_field_binding_pattern = 316,
  sym_list_pattern = 317,
  sym_list_binding_pattern = 318,
  sym_cons_pattern = 319,
  sym_cons_binding_pattern = 320,
  sym_array_pattern = 321,
  sym_array_binding_pattern = 322,
  sym_range_pattern = 323,
  sym_lazy_pattern = 324,
  sym_lazy_binding_pattern = 325,
  sym_local_open_pattern = 326,
  sym_local_open_binding_pattern = 327,
  sym_package_pattern = 328,
  sym_parenthesized_pattern = 329,
  sym_parenthesized_binding_pattern = 330,
  sym_exception_pattern = 331,
  sym_attribute = 332,
  sym_item_attribute = 333,
  sym_floating_attribute = 334,
  sym_attribute_payload = 335,
  sym_extension = 336,
  sym_quoted_extension = 337,
  sym_item_extension = 338,
  sym_quoted_item_extension = 339,
  sym__attribute = 340,
  sym__constant = 341,
  sym__signed_constant = 342,
  sym_number = 343,
  sym_signed_number = 344,
  sym_character = 345,
  sym_character_content = 346,
  sym_string = 347,
  sym_string_content = 348,
  sym_quoted_string = 349,
  sym__quoted_string = 350,
  sym_quoted_string_content = 351,
  sym_escape_sequence = 352,
  sym_boolean = 353,
  sym_unit = 354,
  sym_sign_operator = 355,
  sym__infix_operator = 356,
  sym_add_operator = 357,
  sym_indexing_operator_path = 358,
  sym__value_name = 359,
  sym__simple_value_pattern = 360,
  sym_parenthesized_operator = 361,
  sym_value_path = 362,
  sym_module_path = 363,
  sym_extended_module_path = 364,
  sym_module_type_path = 365,
  sym_field_path = 366,
  sym_constructor_path = 367,
  sym_type_constructor_path = 368,
  sym_class_path = 369,
  sym_class_type_path = 370,
  sym__instance_variable_name = 371,
  sym__constructor_name = 372,
  sym_directive = 373,
  sym_type_variable = 374,
  sym_tag = 375,
  sym_attribute_id = 376,
  aux_sym__structure_repeat1 = 377,
  aux_sym__structure_repeat2 = 378,
  aux_sym_expression_item_repeat1 = 379,
  aux_sym__signature_repeat1 = 380,
  aux_sym_value_definition_repeat1 = 381,
  aux_sym_let_binding_repeat1 = 382,
  aux_sym_external_repeat1 = 383,
  aux_sym_type_definition_repeat1 = 384,
  aux_sym_type_binding_repeat1 = 385,
  aux_sym__type_params_repeat1 = 386,
  aux_sym_variant_declaration_repeat1 = 387,
  aux_sym_constructor_declaration_repeat1 = 388,
  aux_sym__constructor_argument_repeat1 = 389,
  aux_sym_record_declaration_repeat1 = 390,
  aux_sym_module_definition_repeat1 = 391,
  aux_sym_module_binding_repeat1 = 392,
  aux_sym_class_definition_repeat1 = 393,
  aux_sym_class_type_definition_repeat1 = 394,
  aux_sym_module_type_constraint_repeat1 = 395,
  aux_sym_instantiated_class_type_repeat1 = 396,
  aux_sym_class_body_type_repeat1 = 397,
  aux_sym_instance_variable_specification_repeat1 = 398,
  aux_sym_method_specification_repeat1 = 399,
  aux_sym_class_application_repeat1 = 400,
  aux_sym__abstract_type_repeat1 = 401,
  aux_sym_polymorphic_variant_type_repeat1 = 402,
  aux_sym_polymorphic_variant_type_repeat2 = 403,
  aux_sym_tag_specification_repeat1 = 404,
  aux_sym_object_type_repeat1 = 405,
  aux_sym_list_expression_repeat1 = 406,
  aux_sym_record_expression_repeat1 = 407,
  aux_sym__match_cases_repeat1 = 408,
  aux_sym_object_copy_expression_repeat1 = 409,
  aux_sym_object_expression_repeat1 = 410,
  aux_sym_record_pattern_repeat1 = 411,
  aux_sym_record_binding_pattern_repeat1 = 412,
  aux_sym_list_pattern_repeat1 = 413,
  aux_sym_list_binding_pattern_repeat1 = 414,
  aux_sym_string_content_repeat1 = 415,
  aux_sym_quoted_string_content_repeat1 = 416,
  aux_sym_attribute_id_repeat1 = 417,
  alias_sym_class_name = 418,
  alias_sym_class_type_name = 419,
  alias_sym_constructor_name = 420,
  alias_sym_field_name = 421,
  alias_sym_instance_variable_name = 422,
  alias_sym_label_name = 423,
  alias_sym_method_name = 424,
  alias_sym_module_name = 425,
  alias_sym_module_type_name = 426,
  alias_sym_type_constructor = 427,
  alias_sym_value_name = 428,
  alias_sym_value_pattern = 429,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [sym_shebang] = "shebang",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__capitalized_identifier] = "_capitalized_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym_type] = "type",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__tuple_type] = "_tuple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_typed_label] = "typed_label",
  [sym_tuple_type] = "tuple_type",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_product_expression] = "product_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__pattern] = "_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_or_binding_pattern] = "or_pattern",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_tuple_binding_pattern] = "tuple_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [sym_shebang] = sym_shebang,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__capitalized_identifier] = sym__capitalized_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym_type] = sym_type,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__tuple_type] = sym__tuple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_typed_label] = sym_typed_label,
  [sym_tuple_type] = sym_tuple_type,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_product_expression] = sym_product_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__pattern] = sym__pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_or_binding_pattern] = sym_or_pattern,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_tuple_binding_pattern] = sym_tuple_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__capitalized_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__tuple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_label] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_product_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_body = 2,
  field_class = 3,
  field_condition = 4,
  field_from = 5,
  field_function = 6,
  field_functor = 7,
  field_left = 8,
  field_name = 9,
  field_operator = 10,
  field_pattern = 11,
  field_right = 12,
  field_to = 13,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_right] = "right",
  [field_to] = "to",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [12] = {.index = 0, .length = 1},
  [18] = {.index = 1, .length = 1},
  [20] = {.index = 1, .length = 1},
  [21] = {.index = 1, .length = 1},
  [22] = {.index = 1, .length = 1},
  [24] = {.index = 2, .length = 2},
  [25] = {.index = 4, .length = 1},
  [26] = {.index = 5, .length = 2},
  [27] = {.index = 7, .length = 1},
  [30] = {.index = 8, .length = 1},
  [33] = {.index = 9, .length = 1},
  [35] = {.index = 10, .length = 1},
  [36] = {.index = 11, .length = 2},
  [37] = {.index = 9, .length = 1},
  [38] = {.index = 9, .length = 1},
  [39] = {.index = 9, .length = 1},
  [40] = {.index = 13, .length = 1},
  [42] = {.index = 14, .length = 3},
  [43] = {.index = 17, .length = 2},
  [44] = {.index = 19, .length = 2},
  [45] = {.index = 21, .length = 1},
  [47] = {.index = 22, .length = 1},
  [48] = {.index = 23, .length = 2},
  [50] = {.index = 25, .length = 2},
  [51] = {.index = 25, .length = 2},
  [53] = {.index = 27, .length = 1},
  [54] = {.index = 25, .length = 2},
  [55] = {.index = 28, .length = 1},
  [56] = {.index = 25, .length = 2},
  [57] = {.index = 10, .length = 1},
  [58] = {.index = 29, .length = 2},
  [59] = {.index = 10, .length = 1},
  [60] = {.index = 31, .length = 1},
  [62] = {.index = 32, .length = 2},
  [64] = {.index = 34, .length = 1},
  [65] = {.index = 35, .length = 2},
  [66] = {.index = 37, .length = 2},
  [67] = {.index = 39, .length = 2},
  [68] = {.index = 39, .length = 2},
  [69] = {.index = 37, .length = 2},
  [70] = {.index = 41, .length = 2},
  [71] = {.index = 37, .length = 2},
  [72] = {.index = 25, .length = 2},
  [73] = {.index = 27, .length = 1},
  [74] = {.index = 39, .length = 2},
  [75] = {.index = 37, .length = 2},
  [76] = {.index = 27, .length = 1},
  [77] = {.index = 27, .length = 1},
  [78] = {.index = 39, .length = 2},
  [79] = {.index = 43, .length = 1},
  [80] = {.index = 44, .length = 1},
  [81] = {.index = 9, .length = 1},
  [83] = {.index = 43, .length = 1},
  [84] = {.index = 45, .length = 2},
  [85] = {.index = 47, .length = 2},
  [86] = {.index = 49, .length = 2},
  [87] = {.index = 49, .length = 2},
  [88] = {.index = 51, .length = 2},
  [89] = {.index = 47, .length = 2},
  [90] = {.index = 39, .length = 2},
  [91] = {.index = 53, .length = 1},
  [92] = {.index = 49, .length = 2},
  [93] = {.index = 47, .length = 2},
  [94] = {.index = 41, .length = 2},
  [95] = {.index = 41, .length = 2},
  [96] = {.index = 49, .length = 2},
  [97] = {.index = 54, .length = 1},
  [99] = {.index = 55, .length = 2},
  [101] = {.index = 57, .length = 2},
  [102] = {.index = 51, .length = 2},
  [103] = {.index = 59, .length = 1},
  [104] = {.index = 57, .length = 2},
  [106] = {.index = 60, .length = 2},
  [107] = {.index = 51, .length = 2},
  [108] = {.index = 57, .length = 2},
  [109] = {.index = 60, .length = 2},
  [110] = {.index = 51, .length = 2},
  [111] = {.index = 57, .length = 2},
  [112] = {.index = 62, .length = 3},
  [113] = {.index = 65, .length = 2},
  [114] = {.index = 51, .length = 2},
  [115] = {.index = 67, .length = 2},
  [116] = {.index = 69, .length = 2},
  [117] = {.index = 71, .length = 2},
  [118] = {.index = 67, .length = 2},
  [119] = {.index = 73, .length = 2},
  [120] = {.index = 71, .length = 2},
  [121] = {.index = 67, .length = 2},
  [122] = {.index = 75, .length = 3},
  [123] = {.index = 69, .length = 2},
  [124] = {.index = 78, .length = 2},
  [125] = {.index = 80, .length = 2},
  [126] = {.index = 82, .length = 2},
  [127] = {.index = 84, .length = 2},
  [128] = {.index = 78, .length = 2},
  [129] = {.index = 78, .length = 2},
  [130] = {.index = 86, .length = 1},
  [131] = {.index = 82, .length = 2},
  [132] = {.index = 87, .length = 2},
  [133] = {.index = 89, .length = 2},
  [134] = {.index = 91, .length = 2},
  [135] = {.index = 93, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_pattern, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_operator, 0},
    {field_right, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [7] =
    {field_left, 0},
  [8] =
    {field_pattern, 1},
  [9] =
    {field_name, 1},
  [10] =
    {field_name, 2},
  [11] =
    {field_argument, 1},
    {field_functor, 0},
  [13] =
    {field_condition, 1},
  [14] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [17] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [19] =
    {field_left, 0},
    {field_right, 2},
  [21] =
    {field_body, 2},
  [22] =
    {field_body, 3},
  [23] =
    {field_body, 2},
    {field_pattern, 0},
  [25] =
    {field_body, 2},
    {field_name, 0},
  [27] =
    {field_name, 3},
  [28] =
    {field_functor, 0},
  [29] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [31] =
    {field_condition, 2},
  [32] =
    {field_left, 0},
    {field_right, 3},
  [34] =
    {field_pattern, 2},
  [35] =
    {field_body, 3},
    {field_pattern, 0},
  [37] =
    {field_body, 3},
    {field_name, 0},
  [39] =
    {field_body, 3},
    {field_name, 1},
  [41] =
    {field_body, 4},
    {field_name, 2},
  [43] =
    {field_pattern, 3},
  [44] =
    {field_body, 4},
  [45] =
    {field_body, 4},
    {field_pattern, 0},
  [47] =
    {field_body, 4},
    {field_name, 0},
  [49] =
    {field_body, 4},
    {field_name, 1},
  [51] =
    {field_body, 5},
    {field_name, 3},
  [53] =
    {field_name, 4},
  [54] =
    {field_body, 5},
  [55] =
    {field_body, 5},
    {field_pattern, 0},
  [57] =
    {field_body, 5},
    {field_name, 1},
  [59] =
    {field_name, 5},
  [60] =
    {field_body, 5},
    {field_name, 2},
  [62] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [65] =
    {field_body, 6},
    {field_pattern, 0},
  [67] =
    {field_body, 6},
    {field_name, 3},
  [69] =
    {field_body, 6},
    {field_name, 4},
  [71] =
    {field_body, 6},
    {field_name, 2},
  [73] =
    {field_body, 6},
    {field_name, 1},
  [75] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [78] =
    {field_body, 7},
    {field_name, 3},
  [80] =
    {field_body, 7},
    {field_name, 4},
  [82] =
    {field_body, 7},
    {field_name, 5},
  [84] =
    {field_body, 7},
    {field_name, 2},
  [86] =
    {field_pattern, 4},
  [87] =
    {field_body, 8},
    {field_name, 4},
  [89] =
    {field_body, 8},
    {field_name, 5},
  [91] =
    {field_body, 8},
    {field_name, 3},
  [93] =
    {field_body, 9},
    {field_name, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_constructor,
  },
  [2] = {
    [0] = alias_sym_module_name,
  },
  [3] = {
    [0] = alias_sym_class_type_name,
  },
  [4] = {
    [0] = alias_sym_value_name,
  },
  [5] = {
    [0] = alias_sym_instance_variable_name,
  },
  [6] = {
    [0] = alias_sym_constructor_name,
  },
  [7] = {
    [0] = alias_sym_module_type_name,
  },
  [8] = {
    [0] = alias_sym_method_name,
  },
  [9] = {
    [0] = alias_sym_label_name,
  },
  [10] = {
    [2] = alias_sym_type_constructor,
  },
  [11] = {
    [2] = alias_sym_module_name,
  },
  [13] = {
    [0] = sym_record_pattern,
  },
  [14] = {
    [0] = sym_list_pattern,
  },
  [15] = {
    [0] = sym_array_pattern,
  },
  [16] = {
    [0] = alias_sym_value_pattern,
  },
  [17] = {
    [0] = sym_type_variable,
  },
  [18] = {
    [0] = alias_sym_type_constructor,
  },
  [19] = {
    [0] = alias_sym_field_name,
  },
  [21] = {
    [0] = alias_sym_module_name,
  },
  [22] = {
    [0] = alias_sym_class_name,
  },
  [23] = {
    [0] = alias_sym_class_name,
  },
  [28] = {
    [1] = alias_sym_label_name,
  },
  [29] = {
    [2] = alias_sym_class_type_name,
  },
  [31] = {
    [1] = alias_sym_constructor_name,
  },
  [32] = {
    [1] = sym_type_variable,
  },
  [33] = {
    [1] = alias_sym_type_constructor,
  },
  [34] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [35] = {
    [2] = alias_sym_module_type_name,
  },
  [37] = {
    [1] = alias_sym_class_name,
  },
  [39] = {
    [1] = alias_sym_method_name,
  },
  [41] = {
    [2] = alias_sym_method_name,
  },
  [46] = {
    [2] = alias_sym_module_type_name,
  },
  [49] = {
    [2] = sym_type_variable,
  },
  [50] = {
    [0] = alias_sym_type_constructor,
  },
  [52] = {
    [2] = alias_sym_field_name,
  },
  [53] = {
    [3] = alias_sym_module_type_name,
  },
  [54] = {
    [0] = alias_sym_module_name,
  },
  [56] = {
    [0] = alias_sym_class_name,
  },
  [59] = {
    [2] = alias_sym_method_name,
  },
  [61] = {
    [2] = alias_sym_class_name,
  },
  [63] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [66] = {
    [0] = alias_sym_type_constructor,
  },
  [67] = {
    [1] = alias_sym_type_constructor,
  },
  [70] = {
    [2] = alias_sym_module_type_name,
  },
  [71] = {
    [0] = alias_sym_module_name,
  },
  [72] = {
    [0] = alias_sym_class_type_name,
  },
  [73] = {
    [3] = alias_sym_class_name,
  },
  [74] = {
    [1] = alias_sym_class_name,
  },
  [75] = {
    [0] = alias_sym_class_name,
  },
  [77] = {
    [3] = alias_sym_method_name,
  },
  [78] = {
    [1] = alias_sym_method_name,
  },
  [79] = {
    [1] = alias_sym_label_name,
  },
  [81] = {
    [1] = alias_sym_module_name,
  },
  [82] = {
    [3] = alias_sym_module_name,
  },
  [85] = {
    [0] = alias_sym_type_constructor,
  },
  [86] = {
    [1] = alias_sym_type_constructor,
  },
  [88] = {
    [3] = alias_sym_module_type_name,
  },
  [89] = {
    [0] = alias_sym_module_name,
  },
  [90] = {
    [1] = alias_sym_class_type_name,
  },
  [91] = {
    [4] = alias_sym_class_name,
  },
  [92] = {
    [1] = alias_sym_class_name,
  },
  [93] = {
    [0] = alias_sym_class_name,
  },
  [95] = {
    [2] = alias_sym_method_name,
  },
  [96] = {
    [1] = alias_sym_method_name,
  },
  [98] = {
    [2] = alias_sym_label_name,
  },
  [100] = {
    [1] = alias_sym_field_name,
  },
  [101] = {
    [1] = alias_sym_type_constructor,
  },
  [102] = {
    [3] = alias_sym_class_name,
  },
  [103] = {
    [5] = alias_sym_class_name,
  },
  [104] = {
    [1] = alias_sym_class_name,
  },
  [105] = {
    [1] = alias_sym_method_name,
  },
  [109] = {
    [2] = alias_sym_method_name,
  },
  [110] = {
    [3] = alias_sym_method_name,
  },
  [111] = {
    [1] = alias_sym_method_name,
  },
  [114] = {
    [3] = alias_sym_class_type_name,
  },
  [115] = {
    [3] = alias_sym_class_name,
  },
  [116] = {
    [4] = alias_sym_class_name,
  },
  [120] = {
    [2] = alias_sym_method_name,
  },
  [121] = {
    [3] = alias_sym_method_name,
  },
  [123] = {
    [4] = alias_sym_class_type_name,
  },
  [124] = {
    [3] = alias_sym_class_name,
  },
  [125] = {
    [4] = alias_sym_class_name,
  },
  [126] = {
    [5] = alias_sym_class_name,
  },
  [129] = {
    [3] = alias_sym_method_name,
  },
  [130] = {
    [1] = alias_sym_label_name,
  },
  [131] = {
    [5] = alias_sym_class_type_name,
  },
  [132] = {
    [4] = alias_sym_class_name,
  },
  [133] = {
    [5] = alias_sym_class_name,
  },
  [135] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 2,
  [6] = 2,
  [7] = 4,
  [8] = 2,
  [9] = 4,
  [10] = 2,
  [11] = 4,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 32,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 3,
  [87] = 87,
  [88] = 2,
  [89] = 89,
  [90] = 89,
  [91] = 89,
  [92] = 89,
  [93] = 93,
  [94] = 89,
  [95] = 89,
  [96] = 93,
  [97] = 89,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 99,
  [102] = 98,
  [103] = 103,
  [104] = 100,
  [105] = 89,
  [106] = 103,
  [107] = 107,
  [108] = 107,
  [109] = 89,
  [110] = 89,
  [111] = 89,
  [112] = 89,
  [113] = 89,
  [114] = 89,
  [115] = 89,
  [116] = 89,
  [117] = 89,
  [118] = 89,
  [119] = 89,
  [120] = 89,
  [121] = 89,
  [122] = 89,
  [123] = 89,
  [124] = 89,
  [125] = 89,
  [126] = 89,
  [127] = 89,
  [128] = 89,
  [129] = 89,
  [130] = 130,
  [131] = 131,
  [132] = 130,
  [133] = 131,
  [134] = 131,
  [135] = 130,
  [136] = 131,
  [137] = 89,
  [138] = 130,
  [139] = 131,
  [140] = 130,
  [141] = 131,
  [142] = 89,
  [143] = 130,
  [144] = 131,
  [145] = 130,
  [146] = 131,
  [147] = 130,
  [148] = 131,
  [149] = 130,
  [150] = 131,
  [151] = 130,
  [152] = 131,
  [153] = 130,
  [154] = 131,
  [155] = 130,
  [156] = 131,
  [157] = 130,
  [158] = 130,
  [159] = 131,
  [160] = 130,
  [161] = 131,
  [162] = 130,
  [163] = 131,
  [164] = 131,
  [165] = 130,
  [166] = 131,
  [167] = 131,
  [168] = 130,
  [169] = 131,
  [170] = 130,
  [171] = 131,
  [172] = 130,
  [173] = 131,
  [174] = 130,
  [175] = 130,
  [176] = 130,
  [177] = 131,
  [178] = 130,
  [179] = 131,
  [180] = 130,
  [181] = 131,
  [182] = 131,
  [183] = 130,
  [184] = 131,
  [185] = 89,
  [186] = 130,
  [187] = 131,
  [188] = 89,
  [189] = 130,
  [190] = 131,
  [191] = 89,
  [192] = 130,
  [193] = 131,
  [194] = 89,
  [195] = 130,
  [196] = 131,
  [197] = 130,
  [198] = 131,
  [199] = 89,
  [200] = 130,
  [201] = 130,
  [202] = 131,
  [203] = 131,
  [204] = 130,
  [205] = 131,
  [206] = 130,
  [207] = 131,
  [208] = 89,
  [209] = 130,
  [210] = 131,
  [211] = 130,
  [212] = 131,
  [213] = 130,
  [214] = 130,
  [215] = 131,
  [216] = 130,
  [217] = 130,
  [218] = 131,
  [219] = 130,
  [220] = 131,
  [221] = 130,
  [222] = 89,
  [223] = 131,
  [224] = 131,
  [225] = 89,
  [226] = 89,
  [227] = 89,
  [228] = 89,
  [229] = 89,
  [230] = 89,
  [231] = 89,
  [232] = 89,
  [233] = 89,
  [234] = 89,
  [235] = 89,
  [236] = 89,
  [237] = 89,
  [238] = 89,
  [239] = 89,
  [240] = 89,
  [241] = 89,
  [242] = 89,
  [243] = 243,
  [244] = 243,
  [245] = 243,
  [246] = 89,
  [247] = 243,
  [248] = 243,
  [249] = 243,
  [250] = 243,
  [251] = 243,
  [252] = 243,
  [253] = 243,
  [254] = 89,
  [255] = 243,
  [256] = 243,
  [257] = 243,
  [258] = 243,
  [259] = 89,
  [260] = 243,
  [261] = 243,
  [262] = 243,
  [263] = 243,
  [264] = 243,
  [265] = 243,
  [266] = 243,
  [267] = 243,
  [268] = 243,
  [269] = 243,
  [270] = 243,
  [271] = 243,
  [272] = 243,
  [273] = 89,
  [274] = 243,
  [275] = 243,
  [276] = 243,
  [277] = 243,
  [278] = 243,
  [279] = 243,
  [280] = 89,
  [281] = 243,
  [282] = 243,
  [283] = 243,
  [284] = 243,
  [285] = 243,
  [286] = 89,
  [287] = 243,
  [288] = 243,
  [289] = 243,
  [290] = 243,
  [291] = 243,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 293,
  [296] = 294,
  [297] = 294,
  [298] = 293,
  [299] = 294,
  [300] = 293,
  [301] = 294,
  [302] = 294,
  [303] = 293,
  [304] = 293,
  [305] = 294,
  [306] = 293,
  [307] = 294,
  [308] = 294,
  [309] = 294,
  [310] = 293,
  [311] = 294,
  [312] = 293,
  [313] = 294,
  [314] = 294,
  [315] = 315,
  [316] = 316,
  [317] = 293,
  [318] = 294,
  [319] = 293,
  [320] = 294,
  [321] = 294,
  [322] = 293,
  [323] = 294,
  [324] = 293,
  [325] = 294,
  [326] = 293,
  [327] = 294,
  [328] = 293,
  [329] = 294,
  [330] = 293,
  [331] = 294,
  [332] = 292,
  [333] = 293,
  [334] = 294,
  [335] = 293,
  [336] = 294,
  [337] = 293,
  [338] = 293,
  [339] = 294,
  [340] = 293,
  [341] = 294,
  [342] = 294,
  [343] = 293,
  [344] = 294,
  [345] = 293,
  [346] = 294,
  [347] = 293,
  [348] = 294,
  [349] = 293,
  [350] = 294,
  [351] = 293,
  [352] = 293,
  [353] = 294,
  [354] = 293,
  [355] = 293,
  [356] = 293,
  [357] = 293,
  [358] = 293,
  [359] = 359,
  [360] = 359,
  [361] = 294,
  [362] = 362,
  [363] = 362,
  [364] = 315,
  [365] = 362,
  [366] = 315,
  [367] = 362,
  [368] = 315,
  [369] = 362,
  [370] = 362,
  [371] = 362,
  [372] = 362,
  [373] = 362,
  [374] = 362,
  [375] = 362,
  [376] = 362,
  [377] = 292,
  [378] = 362,
  [379] = 362,
  [380] = 362,
  [381] = 362,
  [382] = 362,
  [383] = 362,
  [384] = 362,
  [385] = 362,
  [386] = 362,
  [387] = 362,
  [388] = 362,
  [389] = 362,
  [390] = 362,
  [391] = 362,
  [392] = 362,
  [393] = 362,
  [394] = 362,
  [395] = 362,
  [396] = 362,
  [397] = 362,
  [398] = 362,
  [399] = 362,
  [400] = 362,
  [401] = 316,
  [402] = 292,
  [403] = 362,
  [404] = 316,
  [405] = 362,
  [406] = 316,
  [407] = 292,
  [408] = 362,
  [409] = 316,
  [410] = 292,
  [411] = 362,
  [412] = 316,
  [413] = 292,
  [414] = 362,
  [415] = 316,
  [416] = 292,
  [417] = 362,
  [418] = 316,
  [419] = 292,
  [420] = 362,
  [421] = 316,
  [422] = 292,
  [423] = 362,
  [424] = 316,
  [425] = 292,
  [426] = 362,
  [427] = 316,
  [428] = 292,
  [429] = 362,
  [430] = 316,
  [431] = 292,
  [432] = 316,
  [433] = 292,
  [434] = 316,
  [435] = 292,
  [436] = 316,
  [437] = 292,
  [438] = 316,
  [439] = 292,
  [440] = 316,
  [441] = 292,
  [442] = 316,
  [443] = 292,
  [444] = 316,
  [445] = 292,
  [446] = 316,
  [447] = 292,
  [448] = 316,
  [449] = 292,
  [450] = 316,
  [451] = 292,
  [452] = 316,
  [453] = 292,
  [454] = 316,
  [455] = 292,
  [456] = 316,
  [457] = 292,
  [458] = 316,
  [459] = 292,
  [460] = 316,
  [461] = 292,
  [462] = 316,
  [463] = 292,
  [464] = 316,
  [465] = 292,
  [466] = 316,
  [467] = 292,
  [468] = 316,
  [469] = 292,
  [470] = 316,
  [471] = 292,
  [472] = 316,
  [473] = 292,
  [474] = 316,
  [475] = 292,
  [476] = 316,
  [477] = 292,
  [478] = 316,
  [479] = 292,
  [480] = 316,
  [481] = 292,
  [482] = 316,
  [483] = 292,
  [484] = 316,
  [485] = 292,
  [486] = 316,
  [487] = 292,
  [488] = 316,
  [489] = 292,
  [490] = 316,
  [491] = 292,
  [492] = 316,
  [493] = 292,
  [494] = 316,
  [495] = 362,
  [496] = 496,
  [497] = 496,
  [498] = 496,
  [499] = 496,
  [500] = 496,
  [501] = 496,
  [502] = 359,
  [503] = 496,
  [504] = 504,
  [505] = 496,
  [506] = 496,
  [507] = 496,
  [508] = 359,
  [509] = 496,
  [510] = 496,
  [511] = 359,
  [512] = 496,
  [513] = 496,
  [514] = 496,
  [515] = 504,
  [516] = 496,
  [517] = 496,
  [518] = 496,
  [519] = 504,
  [520] = 496,
  [521] = 496,
  [522] = 496,
  [523] = 496,
  [524] = 496,
  [525] = 496,
  [526] = 496,
  [527] = 496,
  [528] = 496,
  [529] = 496,
  [530] = 496,
  [531] = 359,
  [532] = 496,
  [533] = 496,
  [534] = 496,
  [535] = 496,
  [536] = 496,
  [537] = 496,
  [538] = 496,
  [539] = 496,
  [540] = 496,
  [541] = 496,
  [542] = 496,
  [543] = 496,
  [544] = 496,
  [545] = 496,
  [546] = 504,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 549,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 549,
  [557] = 552,
  [558] = 553,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 552,
  [563] = 553,
  [564] = 559,
  [565] = 559,
  [566] = 560,
  [567] = 561,
  [568] = 555,
  [569] = 549,
  [570] = 552,
  [571] = 554,
  [572] = 555,
  [573] = 549,
  [574] = 552,
  [575] = 553,
  [576] = 559,
  [577] = 560,
  [578] = 561,
  [579] = 554,
  [580] = 560,
  [581] = 553,
  [582] = 559,
  [583] = 561,
  [584] = 560,
  [585] = 561,
  [586] = 555,
  [587] = 587,
  [588] = 554,
  [589] = 555,
  [590] = 549,
  [591] = 552,
  [592] = 553,
  [593] = 559,
  [594] = 560,
  [595] = 561,
  [596] = 555,
  [597] = 555,
  [598] = 549,
  [599] = 549,
  [600] = 552,
  [601] = 552,
  [602] = 553,
  [603] = 554,
  [604] = 604,
  [605] = 555,
  [606] = 549,
  [607] = 552,
  [608] = 553,
  [609] = 559,
  [610] = 560,
  [611] = 561,
  [612] = 553,
  [613] = 559,
  [614] = 554,
  [615] = 559,
  [616] = 560,
  [617] = 560,
  [618] = 554,
  [619] = 555,
  [620] = 549,
  [621] = 552,
  [622] = 553,
  [623] = 559,
  [624] = 560,
  [625] = 561,
  [626] = 561,
  [627] = 561,
  [628] = 555,
  [629] = 629,
  [630] = 630,
  [631] = 554,
  [632] = 555,
  [633] = 549,
  [634] = 552,
  [635] = 553,
  [636] = 559,
  [637] = 560,
  [638] = 561,
  [639] = 549,
  [640] = 552,
  [641] = 553,
  [642] = 642,
  [643] = 559,
  [644] = 644,
  [645] = 554,
  [646] = 555,
  [647] = 549,
  [648] = 552,
  [649] = 553,
  [650] = 559,
  [651] = 560,
  [652] = 561,
  [653] = 554,
  [654] = 560,
  [655] = 655,
  [656] = 656,
  [657] = 561,
  [658] = 658,
  [659] = 554,
  [660] = 555,
  [661] = 549,
  [662] = 552,
  [663] = 553,
  [664] = 559,
  [665] = 560,
  [666] = 561,
  [667] = 555,
  [668] = 549,
  [669] = 549,
  [670] = 670,
  [671] = 552,
  [672] = 672,
  [673] = 554,
  [674] = 555,
  [675] = 549,
  [676] = 552,
  [677] = 553,
  [678] = 559,
  [679] = 560,
  [680] = 561,
  [681] = 553,
  [682] = 559,
  [683] = 554,
  [684] = 684,
  [685] = 560,
  [686] = 561,
  [687] = 687,
  [688] = 554,
  [689] = 555,
  [690] = 549,
  [691] = 552,
  [692] = 553,
  [693] = 559,
  [694] = 560,
  [695] = 561,
  [696] = 555,
  [697] = 552,
  [698] = 549,
  [699] = 552,
  [700] = 554,
  [701] = 555,
  [702] = 549,
  [703] = 552,
  [704] = 553,
  [705] = 559,
  [706] = 560,
  [707] = 561,
  [708] = 553,
  [709] = 559,
  [710] = 554,
  [711] = 555,
  [712] = 560,
  [713] = 554,
  [714] = 555,
  [715] = 549,
  [716] = 552,
  [717] = 553,
  [718] = 559,
  [719] = 560,
  [720] = 561,
  [721] = 561,
  [722] = 552,
  [723] = 555,
  [724] = 724,
  [725] = 553,
  [726] = 554,
  [727] = 555,
  [728] = 549,
  [729] = 552,
  [730] = 553,
  [731] = 559,
  [732] = 560,
  [733] = 561,
  [734] = 549,
  [735] = 552,
  [736] = 553,
  [737] = 559,
  [738] = 554,
  [739] = 555,
  [740] = 549,
  [741] = 552,
  [742] = 553,
  [743] = 559,
  [744] = 560,
  [745] = 561,
  [746] = 554,
  [747] = 560,
  [748] = 561,
  [749] = 554,
  [750] = 555,
  [751] = 724,
  [752] = 549,
  [753] = 553,
  [754] = 552,
  [755] = 554,
  [756] = 553,
  [757] = 559,
  [758] = 554,
  [759] = 759,
  [760] = 560,
  [761] = 554,
  [762] = 561,
  [763] = 555,
  [764] = 764,
  [765] = 549,
  [766] = 549,
  [767] = 554,
  [768] = 552,
  [769] = 553,
  [770] = 559,
  [771] = 771,
  [772] = 554,
  [773] = 554,
  [774] = 560,
  [775] = 561,
  [776] = 555,
  [777] = 554,
  [778] = 549,
  [779] = 552,
  [780] = 553,
  [781] = 559,
  [782] = 554,
  [783] = 560,
  [784] = 561,
  [785] = 555,
  [786] = 786,
  [787] = 559,
  [788] = 554,
  [789] = 549,
  [790] = 552,
  [791] = 553,
  [792] = 792,
  [793] = 559,
  [794] = 554,
  [795] = 560,
  [796] = 561,
  [797] = 555,
  [798] = 798,
  [799] = 554,
  [800] = 549,
  [801] = 552,
  [802] = 553,
  [803] = 559,
  [804] = 559,
  [805] = 554,
  [806] = 560,
  [807] = 561,
  [808] = 555,
  [809] = 554,
  [810] = 554,
  [811] = 549,
  [812] = 552,
  [813] = 553,
  [814] = 554,
  [815] = 559,
  [816] = 560,
  [817] = 561,
  [818] = 555,
  [819] = 560,
  [820] = 548,
  [821] = 549,
  [822] = 552,
  [823] = 553,
  [824] = 554,
  [825] = 559,
  [826] = 560,
  [827] = 561,
  [828] = 561,
  [829] = 554,
  [830] = 830,
  [831] = 831,
  [832] = 359,
  [833] = 833,
  [834] = 555,
  [835] = 554,
  [836] = 836,
  [837] = 554,
  [838] = 554,
  [839] = 554,
  [840] = 555,
  [841] = 549,
  [842] = 359,
  [843] = 771,
  [844] = 844,
  [845] = 552,
  [846] = 846,
  [847] = 553,
  [848] = 560,
  [849] = 559,
  [850] = 560,
  [851] = 561,
  [852] = 604,
  [853] = 552,
  [854] = 553,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 786,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 561,
  [866] = 547,
  [867] = 792,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 724,
  [874] = 764,
  [875] = 554,
  [876] = 876,
  [877] = 877,
  [878] = 559,
  [879] = 549,
  [880] = 684,
  [881] = 687,
  [882] = 882,
  [883] = 771,
  [884] = 831,
  [885] = 833,
  [886] = 836,
  [887] = 855,
  [888] = 856,
  [889] = 857,
  [890] = 864,
  [891] = 798,
  [892] = 877,
  [893] = 893,
  [894] = 644,
  [895] = 670,
  [896] = 555,
  [897] = 549,
  [898] = 552,
  [899] = 553,
  [900] = 559,
  [901] = 560,
  [902] = 561,
  [903] = 554,
  [904] = 554,
  [905] = 555,
  [906] = 549,
  [907] = 552,
  [908] = 553,
  [909] = 559,
  [910] = 560,
  [911] = 561,
  [912] = 554,
  [913] = 554,
  [914] = 554,
  [915] = 724,
  [916] = 684,
  [917] = 687,
  [918] = 882,
  [919] = 831,
  [920] = 833,
  [921] = 836,
  [922] = 855,
  [923] = 856,
  [924] = 857,
  [925] = 864,
  [926] = 547,
  [927] = 877,
  [928] = 893,
  [929] = 644,
  [930] = 670,
  [931] = 552,
  [932] = 684,
  [933] = 687,
  [934] = 882,
  [935] = 831,
  [936] = 833,
  [937] = 836,
  [938] = 855,
  [939] = 856,
  [940] = 857,
  [941] = 864,
  [942] = 547,
  [943] = 877,
  [944] = 893,
  [945] = 644,
  [946] = 670,
  [947] = 553,
  [948] = 684,
  [949] = 882,
  [950] = 831,
  [951] = 833,
  [952] = 836,
  [953] = 855,
  [954] = 856,
  [955] = 857,
  [956] = 864,
  [957] = 877,
  [958] = 644,
  [959] = 670,
  [960] = 960,
  [961] = 684,
  [962] = 882,
  [963] = 831,
  [964] = 833,
  [965] = 836,
  [966] = 855,
  [967] = 856,
  [968] = 857,
  [969] = 864,
  [970] = 877,
  [971] = 644,
  [972] = 670,
  [973] = 771,
  [974] = 684,
  [975] = 882,
  [976] = 831,
  [977] = 833,
  [978] = 836,
  [979] = 855,
  [980] = 856,
  [981] = 857,
  [982] = 684,
  [983] = 882,
  [984] = 831,
  [985] = 833,
  [986] = 836,
  [987] = 855,
  [988] = 856,
  [989] = 857,
  [990] = 684,
  [991] = 882,
  [992] = 831,
  [993] = 833,
  [994] = 836,
  [995] = 855,
  [996] = 856,
  [997] = 857,
  [998] = 786,
  [999] = 684,
  [1000] = 893,
  [1001] = 831,
  [1002] = 833,
  [1003] = 836,
  [1004] = 855,
  [1005] = 856,
  [1006] = 857,
  [1007] = 792,
  [1008] = 684,
  [1009] = 882,
  [1010] = 831,
  [1011] = 833,
  [1012] = 836,
  [1013] = 855,
  [1014] = 856,
  [1015] = 857,
  [1016] = 798,
  [1017] = 684,
  [1018] = 882,
  [1019] = 831,
  [1020] = 833,
  [1021] = 836,
  [1022] = 855,
  [1023] = 856,
  [1024] = 857,
  [1025] = 559,
  [1026] = 684,
  [1027] = 882,
  [1028] = 831,
  [1029] = 833,
  [1030] = 836,
  [1031] = 855,
  [1032] = 856,
  [1033] = 857,
  [1034] = 554,
  [1035] = 684,
  [1036] = 882,
  [1037] = 831,
  [1038] = 833,
  [1039] = 836,
  [1040] = 855,
  [1041] = 856,
  [1042] = 857,
  [1043] = 554,
  [1044] = 684,
  [1045] = 882,
  [1046] = 831,
  [1047] = 833,
  [1048] = 836,
  [1049] = 855,
  [1050] = 856,
  [1051] = 857,
  [1052] = 554,
  [1053] = 684,
  [1054] = 882,
  [1055] = 831,
  [1056] = 833,
  [1057] = 836,
  [1058] = 855,
  [1059] = 856,
  [1060] = 857,
  [1061] = 560,
  [1062] = 684,
  [1063] = 882,
  [1064] = 831,
  [1065] = 833,
  [1066] = 836,
  [1067] = 855,
  [1068] = 856,
  [1069] = 857,
  [1070] = 555,
  [1071] = 684,
  [1072] = 882,
  [1073] = 831,
  [1074] = 833,
  [1075] = 836,
  [1076] = 855,
  [1077] = 856,
  [1078] = 857,
  [1079] = 554,
  [1080] = 684,
  [1081] = 882,
  [1082] = 831,
  [1083] = 833,
  [1084] = 836,
  [1085] = 855,
  [1086] = 856,
  [1087] = 857,
  [1088] = 555,
  [1089] = 684,
  [1090] = 882,
  [1091] = 831,
  [1092] = 833,
  [1093] = 836,
  [1094] = 855,
  [1095] = 856,
  [1096] = 857,
  [1097] = 549,
  [1098] = 684,
  [1099] = 882,
  [1100] = 831,
  [1101] = 833,
  [1102] = 836,
  [1103] = 855,
  [1104] = 856,
  [1105] = 857,
  [1106] = 552,
  [1107] = 684,
  [1108] = 882,
  [1109] = 831,
  [1110] = 833,
  [1111] = 836,
  [1112] = 855,
  [1113] = 856,
  [1114] = 857,
  [1115] = 553,
  [1116] = 684,
  [1117] = 882,
  [1118] = 831,
  [1119] = 833,
  [1120] = 836,
  [1121] = 855,
  [1122] = 856,
  [1123] = 857,
  [1124] = 559,
  [1125] = 684,
  [1126] = 882,
  [1127] = 831,
  [1128] = 833,
  [1129] = 836,
  [1130] = 855,
  [1131] = 856,
  [1132] = 857,
  [1133] = 560,
  [1134] = 684,
  [1135] = 882,
  [1136] = 831,
  [1137] = 833,
  [1138] = 836,
  [1139] = 855,
  [1140] = 856,
  [1141] = 857,
  [1142] = 561,
  [1143] = 684,
  [1144] = 882,
  [1145] = 831,
  [1146] = 833,
  [1147] = 836,
  [1148] = 855,
  [1149] = 856,
  [1150] = 857,
  [1151] = 554,
  [1152] = 684,
  [1153] = 882,
  [1154] = 831,
  [1155] = 833,
  [1156] = 836,
  [1157] = 855,
  [1158] = 856,
  [1159] = 857,
  [1160] = 560,
  [1161] = 684,
  [1162] = 882,
  [1163] = 831,
  [1164] = 833,
  [1165] = 836,
  [1166] = 855,
  [1167] = 856,
  [1168] = 857,
  [1169] = 684,
  [1170] = 882,
  [1171] = 831,
  [1172] = 833,
  [1173] = 836,
  [1174] = 855,
  [1175] = 856,
  [1176] = 857,
  [1177] = 684,
  [1178] = 882,
  [1179] = 831,
  [1180] = 833,
  [1181] = 836,
  [1182] = 855,
  [1183] = 856,
  [1184] = 857,
  [1185] = 561,
  [1186] = 684,
  [1187] = 882,
  [1188] = 831,
  [1189] = 833,
  [1190] = 836,
  [1191] = 855,
  [1192] = 856,
  [1193] = 857,
  [1194] = 555,
  [1195] = 684,
  [1196] = 882,
  [1197] = 831,
  [1198] = 833,
  [1199] = 836,
  [1200] = 855,
  [1201] = 856,
  [1202] = 857,
  [1203] = 724,
  [1204] = 684,
  [1205] = 882,
  [1206] = 831,
  [1207] = 833,
  [1208] = 836,
  [1209] = 855,
  [1210] = 856,
  [1211] = 857,
  [1212] = 684,
  [1213] = 882,
  [1214] = 831,
  [1215] = 833,
  [1216] = 836,
  [1217] = 855,
  [1218] = 856,
  [1219] = 857,
  [1220] = 684,
  [1221] = 882,
  [1222] = 831,
  [1223] = 833,
  [1224] = 836,
  [1225] = 855,
  [1226] = 856,
  [1227] = 857,
  [1228] = 684,
  [1229] = 882,
  [1230] = 831,
  [1231] = 833,
  [1232] = 836,
  [1233] = 855,
  [1234] = 856,
  [1235] = 857,
  [1236] = 684,
  [1237] = 882,
  [1238] = 831,
  [1239] = 833,
  [1240] = 836,
  [1241] = 855,
  [1242] = 856,
  [1243] = 857,
  [1244] = 684,
  [1245] = 882,
  [1246] = 786,
  [1247] = 831,
  [1248] = 833,
  [1249] = 836,
  [1250] = 855,
  [1251] = 856,
  [1252] = 857,
  [1253] = 684,
  [1254] = 882,
  [1255] = 831,
  [1256] = 833,
  [1257] = 836,
  [1258] = 855,
  [1259] = 856,
  [1260] = 857,
  [1261] = 684,
  [1262] = 882,
  [1263] = 831,
  [1264] = 833,
  [1265] = 836,
  [1266] = 855,
  [1267] = 856,
  [1268] = 857,
  [1269] = 684,
  [1270] = 882,
  [1271] = 831,
  [1272] = 833,
  [1273] = 836,
  [1274] = 855,
  [1275] = 856,
  [1276] = 857,
  [1277] = 684,
  [1278] = 882,
  [1279] = 831,
  [1280] = 833,
  [1281] = 836,
  [1282] = 855,
  [1283] = 856,
  [1284] = 857,
  [1285] = 684,
  [1286] = 684,
  [1287] = 882,
  [1288] = 771,
  [1289] = 830,
  [1290] = 759,
  [1291] = 960,
  [1292] = 684,
  [1293] = 684,
  [1294] = 786,
  [1295] = 792,
  [1296] = 830,
  [1297] = 759,
  [1298] = 960,
  [1299] = 792,
  [1300] = 798,
  [1301] = 549,
  [1302] = 830,
  [1303] = 759,
  [1304] = 960,
  [1305] = 552,
  [1306] = 553,
  [1307] = 559,
  [1308] = 830,
  [1309] = 759,
  [1310] = 960,
  [1311] = 554,
  [1312] = 554,
  [1313] = 555,
  [1314] = 830,
  [1315] = 759,
  [1316] = 960,
  [1317] = 549,
  [1318] = 552,
  [1319] = 553,
  [1320] = 830,
  [1321] = 759,
  [1322] = 960,
  [1323] = 559,
  [1324] = 560,
  [1325] = 561,
  [1326] = 830,
  [1327] = 759,
  [1328] = 960,
  [1329] = 560,
  [1330] = 561,
  [1331] = 830,
  [1332] = 759,
  [1333] = 960,
  [1334] = 555,
  [1335] = 549,
  [1336] = 830,
  [1337] = 759,
  [1338] = 960,
  [1339] = 561,
  [1340] = 830,
  [1341] = 759,
  [1342] = 960,
  [1343] = 555,
  [1344] = 830,
  [1345] = 759,
  [1346] = 960,
  [1347] = 549,
  [1348] = 552,
  [1349] = 830,
  [1350] = 759,
  [1351] = 960,
  [1352] = 553,
  [1353] = 559,
  [1354] = 830,
  [1355] = 759,
  [1356] = 960,
  [1357] = 554,
  [1358] = 555,
  [1359] = 830,
  [1360] = 759,
  [1361] = 960,
  [1362] = 549,
  [1363] = 552,
  [1364] = 830,
  [1365] = 759,
  [1366] = 960,
  [1367] = 553,
  [1368] = 559,
  [1369] = 830,
  [1370] = 759,
  [1371] = 960,
  [1372] = 560,
  [1373] = 561,
  [1374] = 830,
  [1375] = 759,
  [1376] = 960,
  [1377] = 549,
  [1378] = 552,
  [1379] = 830,
  [1380] = 759,
  [1381] = 960,
  [1382] = 830,
  [1383] = 759,
  [1384] = 960,
  [1385] = 553,
  [1386] = 554,
  [1387] = 830,
  [1388] = 759,
  [1389] = 960,
  [1390] = 830,
  [1391] = 759,
  [1392] = 960,
  [1393] = 559,
  [1394] = 830,
  [1395] = 759,
  [1396] = 960,
  [1397] = 560,
  [1398] = 830,
  [1399] = 759,
  [1400] = 960,
  [1401] = 561,
  [1402] = 555,
  [1403] = 830,
  [1404] = 759,
  [1405] = 960,
  [1406] = 549,
  [1407] = 554,
  [1408] = 830,
  [1409] = 759,
  [1410] = 960,
  [1411] = 555,
  [1412] = 549,
  [1413] = 830,
  [1414] = 759,
  [1415] = 960,
  [1416] = 552,
  [1417] = 553,
  [1418] = 830,
  [1419] = 759,
  [1420] = 960,
  [1421] = 559,
  [1422] = 560,
  [1423] = 830,
  [1424] = 759,
  [1425] = 960,
  [1426] = 561,
  [1427] = 552,
  [1428] = 830,
  [1429] = 759,
  [1430] = 960,
  [1431] = 554,
  [1432] = 830,
  [1433] = 759,
  [1434] = 960,
  [1435] = 560,
  [1436] = 830,
  [1437] = 759,
  [1438] = 960,
  [1439] = 553,
  [1440] = 830,
  [1441] = 759,
  [1442] = 960,
  [1443] = 559,
  [1444] = 830,
  [1445] = 759,
  [1446] = 960,
  [1447] = 830,
  [1448] = 759,
  [1449] = 960,
  [1450] = 554,
  [1451] = 560,
  [1452] = 830,
  [1453] = 759,
  [1454] = 960,
  [1455] = 561,
  [1456] = 554,
  [1457] = 830,
  [1458] = 759,
  [1459] = 960,
  [1460] = 554,
  [1461] = 555,
  [1462] = 830,
  [1463] = 759,
  [1464] = 960,
  [1465] = 549,
  [1466] = 552,
  [1467] = 830,
  [1468] = 759,
  [1469] = 960,
  [1470] = 553,
  [1471] = 559,
  [1472] = 830,
  [1473] = 759,
  [1474] = 960,
  [1475] = 560,
  [1476] = 561,
  [1477] = 830,
  [1478] = 759,
  [1479] = 960,
  [1480] = 561,
  [1481] = 555,
  [1482] = 830,
  [1483] = 759,
  [1484] = 960,
  [1485] = 830,
  [1486] = 759,
  [1487] = 960,
  [1488] = 798,
  [1489] = 555,
  [1490] = 830,
  [1491] = 759,
  [1492] = 960,
  [1493] = 548,
  [1494] = 604,
  [1495] = 548,
  [1496] = 604,
  [1497] = 882,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1499,
  [1502] = 1500,
  [1503] = 1503,
  [1504] = 1498,
  [1505] = 1505,
  [1506] = 359,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1503,
  [1510] = 1498,
  [1511] = 1505,
  [1512] = 1499,
  [1513] = 1500,
  [1514] = 1500,
  [1515] = 1498,
  [1516] = 1505,
  [1517] = 1499,
  [1518] = 1498,
  [1519] = 1508,
  [1520] = 1503,
  [1521] = 1508,
  [1522] = 1508,
  [1523] = 1499,
  [1524] = 1498,
  [1525] = 1500,
  [1526] = 1503,
  [1527] = 1498,
  [1528] = 1505,
  [1529] = 1503,
  [1530] = 1505,
  [1531] = 1508,
  [1532] = 1499,
  [1533] = 1500,
  [1534] = 1507,
  [1535] = 1505,
  [1536] = 1536,
  [1537] = 1503,
  [1538] = 1498,
  [1539] = 1505,
  [1540] = 1508,
  [1541] = 1508,
  [1542] = 1503,
  [1543] = 1508,
  [1544] = 1503,
  [1545] = 1536,
  [1546] = 1503,
  [1547] = 1508,
  [1548] = 1499,
  [1549] = 1500,
  [1550] = 1499,
  [1551] = 1498,
  [1552] = 1505,
  [1553] = 1500,
  [1554] = 1499,
  [1555] = 1498,
  [1556] = 1508,
  [1557] = 1503,
  [1558] = 1508,
  [1559] = 1503,
  [1560] = 1505,
  [1561] = 1508,
  [1562] = 1503,
  [1563] = 1499,
  [1564] = 1500,
  [1565] = 1499,
  [1566] = 1500,
  [1567] = 1503,
  [1568] = 1508,
  [1569] = 1500,
  [1570] = 1498,
  [1571] = 1505,
  [1572] = 1503,
  [1573] = 1500,
  [1574] = 1498,
  [1575] = 1505,
  [1576] = 1508,
  [1577] = 1503,
  [1578] = 1499,
  [1579] = 1500,
  [1580] = 1498,
  [1581] = 1499,
  [1582] = 1499,
  [1583] = 1500,
  [1584] = 1498,
  [1585] = 1505,
  [1586] = 1500,
  [1587] = 1498,
  [1588] = 1505,
  [1589] = 1508,
  [1590] = 1498,
  [1591] = 1505,
  [1592] = 1508,
  [1593] = 1503,
  [1594] = 1508,
  [1595] = 1498,
  [1596] = 1499,
  [1597] = 1500,
  [1598] = 1499,
  [1599] = 1498,
  [1600] = 1505,
  [1601] = 1503,
  [1602] = 1499,
  [1603] = 1500,
  [1604] = 1498,
  [1605] = 1508,
  [1606] = 1503,
  [1607] = 1499,
  [1608] = 1505,
  [1609] = 1499,
  [1610] = 1500,
  [1611] = 1500,
  [1612] = 1505,
  [1613] = 1498,
  [1614] = 1505,
  [1615] = 1498,
  [1616] = 1498,
  [1617] = 1499,
  [1618] = 1505,
  [1619] = 1508,
  [1620] = 1503,
  [1621] = 1498,
  [1622] = 1508,
  [1623] = 1499,
  [1624] = 1500,
  [1625] = 1508,
  [1626] = 1503,
  [1627] = 1508,
  [1628] = 1498,
  [1629] = 1505,
  [1630] = 1503,
  [1631] = 1508,
  [1632] = 1503,
  [1633] = 1508,
  [1634] = 1503,
  [1635] = 1499,
  [1636] = 1500,
  [1637] = 1500,
  [1638] = 1499,
  [1639] = 1500,
  [1640] = 1499,
  [1641] = 1499,
  [1642] = 1503,
  [1643] = 1503,
  [1644] = 1498,
  [1645] = 1505,
  [1646] = 1505,
  [1647] = 1498,
  [1648] = 1508,
  [1649] = 1508,
  [1650] = 1503,
  [1651] = 1508,
  [1652] = 1503,
  [1653] = 1505,
  [1654] = 1505,
  [1655] = 1499,
  [1656] = 1500,
  [1657] = 1500,
  [1658] = 1503,
  [1659] = 1498,
  [1660] = 1505,
  [1661] = 1499,
  [1662] = 1500,
  [1663] = 1499,
  [1664] = 1508,
  [1665] = 1503,
  [1666] = 1498,
  [1667] = 1505,
  [1668] = 1499,
  [1669] = 1500,
  [1670] = 1500,
  [1671] = 1498,
  [1672] = 1505,
  [1673] = 1508,
  [1674] = 1503,
  [1675] = 1505,
  [1676] = 1508,
  [1677] = 1503,
  [1678] = 1498,
  [1679] = 1499,
  [1680] = 1499,
  [1681] = 1508,
  [1682] = 1500,
  [1683] = 1500,
  [1684] = 1498,
  [1685] = 1503,
  [1686] = 1505,
  [1687] = 1505,
  [1688] = 1498,
  [1689] = 1508,
  [1690] = 1503,
  [1691] = 1499,
  [1692] = 1508,
  [1693] = 1508,
  [1694] = 1499,
  [1695] = 1500,
  [1696] = 1500,
  [1697] = 1498,
  [1698] = 1499,
  [1699] = 1503,
  [1700] = 1498,
  [1701] = 1505,
  [1702] = 1498,
  [1703] = 1505,
  [1704] = 1503,
  [1705] = 1499,
  [1706] = 1508,
  [1707] = 1503,
  [1708] = 1499,
  [1709] = 1500,
  [1710] = 1505,
  [1711] = 1500,
  [1712] = 1499,
  [1713] = 1500,
  [1714] = 1505,
  [1715] = 1498,
  [1716] = 1505,
  [1717] = 1498,
  [1718] = 1505,
  [1719] = 1508,
  [1720] = 1503,
  [1721] = 1499,
  [1722] = 1500,
  [1723] = 1499,
  [1724] = 1500,
  [1725] = 1499,
  [1726] = 1498,
  [1727] = 1505,
  [1728] = 1500,
  [1729] = 1508,
  [1730] = 1508,
  [1731] = 1503,
  [1732] = 1498,
  [1733] = 1505,
  [1734] = 1499,
  [1735] = 1500,
  [1736] = 1498,
  [1737] = 1498,
  [1738] = 1505,
  [1739] = 1505,
  [1740] = 1508,
  [1741] = 1503,
  [1742] = 1503,
  [1743] = 1508,
  [1744] = 1503,
  [1745] = 1508,
  [1746] = 1503,
  [1747] = 1499,
  [1748] = 1500,
  [1749] = 1505,
  [1750] = 1498,
  [1751] = 1505,
  [1752] = 1500,
  [1753] = 359,
  [1754] = 1508,
  [1755] = 1500,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1759,
  [1761] = 359,
  [1762] = 1756,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1763,
  [1773] = 1773,
  [1774] = 1757,
  [1775] = 1758,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1759,
  [1779] = 1756,
  [1780] = 1756,
  [1781] = 1764,
  [1782] = 1764,
  [1783] = 1765,
  [1784] = 1766,
  [1785] = 1768,
  [1786] = 1769,
  [1787] = 1770,
  [1788] = 1771,
  [1789] = 1763,
  [1790] = 1773,
  [1791] = 1757,
  [1792] = 1758,
  [1793] = 1765,
  [1794] = 1766,
  [1795] = 1768,
  [1796] = 1769,
  [1797] = 1759,
  [1798] = 1770,
  [1799] = 1771,
  [1800] = 1763,
  [1801] = 1773,
  [1802] = 1757,
  [1803] = 1758,
  [1804] = 1767,
  [1805] = 1759,
  [1806] = 1756,
  [1807] = 1756,
  [1808] = 1767,
  [1809] = 1764,
  [1810] = 1765,
  [1811] = 1766,
  [1812] = 1768,
  [1813] = 1769,
  [1814] = 1770,
  [1815] = 1771,
  [1816] = 1763,
  [1817] = 1773,
  [1818] = 1757,
  [1819] = 1758,
  [1820] = 1507,
  [1821] = 1764,
  [1822] = 1765,
  [1823] = 1766,
  [1824] = 1759,
  [1825] = 1768,
  [1826] = 1769,
  [1827] = 1770,
  [1828] = 1771,
  [1829] = 1763,
  [1830] = 1773,
  [1831] = 1757,
  [1832] = 1758,
  [1833] = 1767,
  [1834] = 1759,
  [1835] = 1756,
  [1836] = 1756,
  [1837] = 1756,
  [1838] = 1764,
  [1839] = 1765,
  [1840] = 1766,
  [1841] = 1768,
  [1842] = 1769,
  [1843] = 1770,
  [1844] = 1771,
  [1845] = 1763,
  [1846] = 1773,
  [1847] = 1757,
  [1848] = 1758,
  [1849] = 1759,
  [1850] = 1764,
  [1851] = 1765,
  [1852] = 1766,
  [1853] = 1768,
  [1854] = 1769,
  [1855] = 1770,
  [1856] = 1771,
  [1857] = 1767,
  [1858] = 1763,
  [1859] = 1773,
  [1860] = 1757,
  [1861] = 1758,
  [1862] = 1756,
  [1863] = 1764,
  [1864] = 1765,
  [1865] = 1766,
  [1866] = 1768,
  [1867] = 1769,
  [1868] = 1770,
  [1869] = 1771,
  [1870] = 1763,
  [1871] = 1773,
  [1872] = 1757,
  [1873] = 1758,
  [1874] = 1759,
  [1875] = 1536,
  [1876] = 1767,
  [1877] = 1759,
  [1878] = 1756,
  [1879] = 1764,
  [1880] = 1765,
  [1881] = 1766,
  [1882] = 1768,
  [1883] = 1769,
  [1884] = 1770,
  [1885] = 1771,
  [1886] = 1763,
  [1887] = 1773,
  [1888] = 1757,
  [1889] = 1758,
  [1890] = 1890,
  [1891] = 1759,
  [1892] = 1767,
  [1893] = 1756,
  [1894] = 1756,
  [1895] = 1764,
  [1896] = 1765,
  [1897] = 1766,
  [1898] = 1768,
  [1899] = 1769,
  [1900] = 1770,
  [1901] = 1771,
  [1902] = 1763,
  [1903] = 1773,
  [1904] = 1757,
  [1905] = 1758,
  [1906] = 1764,
  [1907] = 1765,
  [1908] = 1759,
  [1909] = 1766,
  [1910] = 1768,
  [1911] = 1769,
  [1912] = 1770,
  [1913] = 1771,
  [1914] = 1763,
  [1915] = 1773,
  [1916] = 1757,
  [1917] = 1758,
  [1918] = 1767,
  [1919] = 1764,
  [1920] = 1765,
  [1921] = 1766,
  [1922] = 1768,
  [1923] = 1756,
  [1924] = 1764,
  [1925] = 1765,
  [1926] = 1766,
  [1927] = 1768,
  [1928] = 1769,
  [1929] = 1770,
  [1930] = 1771,
  [1931] = 1763,
  [1932] = 1773,
  [1933] = 1757,
  [1934] = 1758,
  [1935] = 1769,
  [1936] = 1759,
  [1937] = 1770,
  [1938] = 1759,
  [1939] = 1756,
  [1940] = 1767,
  [1941] = 1771,
  [1942] = 1764,
  [1943] = 1763,
  [1944] = 1765,
  [1945] = 1766,
  [1946] = 1768,
  [1947] = 1756,
  [1948] = 1769,
  [1949] = 1764,
  [1950] = 1765,
  [1951] = 1766,
  [1952] = 1768,
  [1953] = 1769,
  [1954] = 1770,
  [1955] = 1771,
  [1956] = 1763,
  [1957] = 1773,
  [1958] = 1757,
  [1959] = 1758,
  [1960] = 1770,
  [1961] = 1771,
  [1962] = 1763,
  [1963] = 1773,
  [1964] = 1757,
  [1965] = 1759,
  [1966] = 1758,
  [1967] = 1773,
  [1968] = 1757,
  [1969] = 1758,
  [1970] = 1767,
  [1971] = 1756,
  [1972] = 1764,
  [1973] = 1765,
  [1974] = 1766,
  [1975] = 1768,
  [1976] = 1769,
  [1977] = 1770,
  [1978] = 1771,
  [1979] = 1763,
  [1980] = 1773,
  [1981] = 1757,
  [1982] = 1758,
  [1983] = 1759,
  [1984] = 1759,
  [1985] = 1767,
  [1986] = 1764,
  [1987] = 1765,
  [1988] = 1766,
  [1989] = 1768,
  [1990] = 1769,
  [1991] = 1770,
  [1992] = 1771,
  [1993] = 1763,
  [1994] = 1773,
  [1995] = 1757,
  [1996] = 1758,
  [1997] = 1759,
  [1998] = 1756,
  [1999] = 1767,
  [2000] = 1764,
  [2001] = 1765,
  [2002] = 1766,
  [2003] = 1768,
  [2004] = 1756,
  [2005] = 1769,
  [2006] = 1764,
  [2007] = 1765,
  [2008] = 1766,
  [2009] = 1768,
  [2010] = 1769,
  [2011] = 1770,
  [2012] = 1771,
  [2013] = 1763,
  [2014] = 1773,
  [2015] = 1757,
  [2016] = 1758,
  [2017] = 1770,
  [2018] = 1771,
  [2019] = 1763,
  [2020] = 1773,
  [2021] = 1757,
  [2022] = 1759,
  [2023] = 1758,
  [2024] = 1759,
  [2025] = 1767,
  [2026] = 1756,
  [2027] = 1756,
  [2028] = 1764,
  [2029] = 1765,
  [2030] = 1766,
  [2031] = 1768,
  [2032] = 1769,
  [2033] = 1770,
  [2034] = 1771,
  [2035] = 1763,
  [2036] = 1773,
  [2037] = 1757,
  [2038] = 1758,
  [2039] = 1764,
  [2040] = 1765,
  [2041] = 1759,
  [2042] = 1766,
  [2043] = 1768,
  [2044] = 1769,
  [2045] = 1770,
  [2046] = 1771,
  [2047] = 1763,
  [2048] = 1773,
  [2049] = 1757,
  [2050] = 1758,
  [2051] = 1767,
  [2052] = 1756,
  [2053] = 1759,
  [2054] = 1764,
  [2055] = 1765,
  [2056] = 1766,
  [2057] = 1768,
  [2058] = 1769,
  [2059] = 1770,
  [2060] = 1771,
  [2061] = 1763,
  [2062] = 1773,
  [2063] = 1757,
  [2064] = 1758,
  [2065] = 1759,
  [2066] = 1759,
  [2067] = 1756,
  [2068] = 1767,
  [2069] = 1764,
  [2070] = 1765,
  [2071] = 1756,
  [2072] = 1766,
  [2073] = 1764,
  [2074] = 1765,
  [2075] = 1766,
  [2076] = 1768,
  [2077] = 1769,
  [2078] = 1770,
  [2079] = 1771,
  [2080] = 1763,
  [2081] = 1773,
  [2082] = 1757,
  [2083] = 1758,
  [2084] = 1768,
  [2085] = 1769,
  [2086] = 1770,
  [2087] = 1771,
  [2088] = 1763,
  [2089] = 1759,
  [2090] = 1773,
  [2091] = 1757,
  [2092] = 1758,
  [2093] = 1767,
  [2094] = 1759,
  [2095] = 1756,
  [2096] = 1756,
  [2097] = 1764,
  [2098] = 1765,
  [2099] = 1766,
  [2100] = 1768,
  [2101] = 1769,
  [2102] = 1770,
  [2103] = 1771,
  [2104] = 1763,
  [2105] = 1773,
  [2106] = 1757,
  [2107] = 1758,
  [2108] = 1764,
  [2109] = 1765,
  [2110] = 1759,
  [2111] = 1766,
  [2112] = 1768,
  [2113] = 1769,
  [2114] = 1770,
  [2115] = 1771,
  [2116] = 1763,
  [2117] = 1773,
  [2118] = 1773,
  [2119] = 1758,
  [2120] = 1756,
  [2121] = 1767,
  [2122] = 1756,
  [2123] = 1759,
  [2124] = 1764,
  [2125] = 1765,
  [2126] = 1766,
  [2127] = 1768,
  [2128] = 1769,
  [2129] = 1770,
  [2130] = 1771,
  [2131] = 1763,
  [2132] = 1773,
  [2133] = 1757,
  [2134] = 1758,
  [2135] = 359,
  [2136] = 1759,
  [2137] = 1767,
  [2138] = 1764,
  [2139] = 1756,
  [2140] = 1764,
  [2141] = 1765,
  [2142] = 1766,
  [2143] = 1768,
  [2144] = 1769,
  [2145] = 1770,
  [2146] = 1771,
  [2147] = 1763,
  [2148] = 1773,
  [2149] = 1757,
  [2150] = 1758,
  [2151] = 1759,
  [2152] = 1767,
  [2153] = 2153,
  [2154] = 1756,
  [2155] = 1764,
  [2156] = 1765,
  [2157] = 1766,
  [2158] = 1768,
  [2159] = 1769,
  [2160] = 1770,
  [2161] = 1771,
  [2162] = 1763,
  [2163] = 1773,
  [2164] = 1757,
  [2165] = 1758,
  [2166] = 1765,
  [2167] = 1766,
  [2168] = 1759,
  [2169] = 1768,
  [2170] = 1507,
  [2171] = 1769,
  [2172] = 1770,
  [2173] = 1767,
  [2174] = 1771,
  [2175] = 1756,
  [2176] = 1764,
  [2177] = 1765,
  [2178] = 1766,
  [2179] = 1768,
  [2180] = 1769,
  [2181] = 1770,
  [2182] = 1771,
  [2183] = 1763,
  [2184] = 1773,
  [2185] = 1757,
  [2186] = 1758,
  [2187] = 1759,
  [2188] = 1767,
  [2189] = 1763,
  [2190] = 1773,
  [2191] = 1757,
  [2192] = 1758,
  [2193] = 1536,
  [2194] = 1507,
  [2195] = 1756,
  [2196] = 1507,
  [2197] = 1777,
  [2198] = 2198,
  [2199] = 1756,
  [2200] = 1764,
  [2201] = 1765,
  [2202] = 1766,
  [2203] = 1768,
  [2204] = 1769,
  [2205] = 1770,
  [2206] = 1771,
  [2207] = 1763,
  [2208] = 1773,
  [2209] = 1757,
  [2210] = 1758,
  [2211] = 1759,
  [2212] = 1756,
  [2213] = 1764,
  [2214] = 1765,
  [2215] = 1766,
  [2216] = 1768,
  [2217] = 1769,
  [2218] = 1770,
  [2219] = 1771,
  [2220] = 1763,
  [2221] = 1773,
  [2222] = 1757,
  [2223] = 1758,
  [2224] = 1759,
  [2225] = 1756,
  [2226] = 1764,
  [2227] = 1765,
  [2228] = 1766,
  [2229] = 1768,
  [2230] = 1769,
  [2231] = 1770,
  [2232] = 1771,
  [2233] = 1763,
  [2234] = 1773,
  [2235] = 1757,
  [2236] = 1758,
  [2237] = 1759,
  [2238] = 1767,
  [2239] = 1756,
  [2240] = 1764,
  [2241] = 1765,
  [2242] = 1766,
  [2243] = 1768,
  [2244] = 1769,
  [2245] = 1770,
  [2246] = 1771,
  [2247] = 1763,
  [2248] = 1773,
  [2249] = 1757,
  [2250] = 1758,
  [2251] = 1759,
  [2252] = 1759,
  [2253] = 1759,
  [2254] = 1536,
  [2255] = 1536,
  [2256] = 1756,
  [2257] = 1764,
  [2258] = 1765,
  [2259] = 1766,
  [2260] = 1768,
  [2261] = 1769,
  [2262] = 1770,
  [2263] = 1771,
  [2264] = 1763,
  [2265] = 1773,
  [2266] = 1767,
  [2267] = 1757,
  [2268] = 1758,
  [2269] = 1764,
  [2270] = 1765,
  [2271] = 1756,
  [2272] = 1764,
  [2273] = 1765,
  [2274] = 1766,
  [2275] = 1768,
  [2276] = 1769,
  [2277] = 1770,
  [2278] = 1771,
  [2279] = 1763,
  [2280] = 1773,
  [2281] = 1757,
  [2282] = 1758,
  [2283] = 1766,
  [2284] = 1759,
  [2285] = 1768,
  [2286] = 1759,
  [2287] = 1756,
  [2288] = 1764,
  [2289] = 1765,
  [2290] = 1766,
  [2291] = 1768,
  [2292] = 1769,
  [2293] = 1770,
  [2294] = 1771,
  [2295] = 1763,
  [2296] = 1773,
  [2297] = 1757,
  [2298] = 1758,
  [2299] = 1756,
  [2300] = 1759,
  [2301] = 1756,
  [2302] = 1764,
  [2303] = 1764,
  [2304] = 1765,
  [2305] = 1766,
  [2306] = 1768,
  [2307] = 1769,
  [2308] = 1770,
  [2309] = 1771,
  [2310] = 1763,
  [2311] = 1773,
  [2312] = 1757,
  [2313] = 1758,
  [2314] = 2198,
  [2315] = 1765,
  [2316] = 1766,
  [2317] = 1768,
  [2318] = 1769,
  [2319] = 1770,
  [2320] = 1759,
  [2321] = 1771,
  [2322] = 1763,
  [2323] = 1756,
  [2324] = 1773,
  [2325] = 1764,
  [2326] = 1765,
  [2327] = 1766,
  [2328] = 1768,
  [2329] = 1769,
  [2330] = 1770,
  [2331] = 1771,
  [2332] = 1763,
  [2333] = 1773,
  [2334] = 1757,
  [2335] = 1758,
  [2336] = 1757,
  [2337] = 1758,
  [2338] = 1769,
  [2339] = 1770,
  [2340] = 1759,
  [2341] = 1771,
  [2342] = 1756,
  [2343] = 1764,
  [2344] = 1765,
  [2345] = 1766,
  [2346] = 1768,
  [2347] = 1769,
  [2348] = 1770,
  [2349] = 1771,
  [2350] = 1763,
  [2351] = 1773,
  [2352] = 1757,
  [2353] = 1758,
  [2354] = 1759,
  [2355] = 1763,
  [2356] = 1759,
  [2357] = 1773,
  [2358] = 1756,
  [2359] = 1764,
  [2360] = 1757,
  [2361] = 1765,
  [2362] = 1766,
  [2363] = 1756,
  [2364] = 1768,
  [2365] = 1764,
  [2366] = 1765,
  [2367] = 1766,
  [2368] = 1768,
  [2369] = 1769,
  [2370] = 1770,
  [2371] = 1771,
  [2372] = 1763,
  [2373] = 1773,
  [2374] = 1757,
  [2375] = 1758,
  [2376] = 1769,
  [2377] = 1770,
  [2378] = 1771,
  [2379] = 1763,
  [2380] = 1773,
  [2381] = 1759,
  [2382] = 1757,
  [2383] = 1756,
  [2384] = 1758,
  [2385] = 1764,
  [2386] = 1758,
  [2387] = 1765,
  [2388] = 1766,
  [2389] = 1768,
  [2390] = 1769,
  [2391] = 1770,
  [2392] = 1771,
  [2393] = 1757,
  [2394] = 1507,
  [2395] = 1536,
  [2396] = 1536,
  [2397] = 1507,
  [2398] = 1507,
  [2399] = 1507,
  [2400] = 1536,
  [2401] = 1536,
  [2402] = 1507,
  [2403] = 1507,
  [2404] = 1536,
  [2405] = 1536,
  [2406] = 359,
  [2407] = 359,
  [2408] = 359,
  [2409] = 359,
  [2410] = 359,
  [2411] = 1536,
  [2412] = 1507,
  [2413] = 1536,
  [2414] = 359,
  [2415] = 1507,
  [2416] = 1536,
  [2417] = 1507,
  [2418] = 1536,
  [2419] = 1507,
  [2420] = 359,
  [2421] = 1507,
  [2422] = 1536,
  [2423] = 1536,
  [2424] = 1507,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 359,
  [2428] = 2425,
  [2429] = 2426,
  [2430] = 2426,
  [2431] = 2425,
  [2432] = 359,
  [2433] = 2426,
  [2434] = 2425,
  [2435] = 359,
  [2436] = 359,
  [2437] = 359,
  [2438] = 359,
  [2439] = 359,
  [2440] = 359,
  [2441] = 1507,
  [2442] = 1536,
  [2443] = 359,
  [2444] = 359,
  [2445] = 2445,
  [2446] = 2445,
  [2447] = 2445,
  [2448] = 359,
  [2449] = 1536,
  [2450] = 359,
  [2451] = 2451,
  [2452] = 2445,
  [2453] = 2451,
  [2454] = 2445,
  [2455] = 359,
  [2456] = 2445,
  [2457] = 1507,
  [2458] = 2445,
  [2459] = 2445,
  [2460] = 1536,
  [2461] = 2461,
  [2462] = 1507,
  [2463] = 1536,
  [2464] = 2451,
  [2465] = 2465,
  [2466] = 2451,
  [2467] = 1536,
  [2468] = 2461,
  [2469] = 2465,
  [2470] = 1536,
  [2471] = 1507,
  [2472] = 1536,
  [2473] = 1507,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 1507,
  [2477] = 2475,
  [2478] = 1507,
  [2479] = 1507,
  [2480] = 2475,
  [2481] = 2474,
  [2482] = 1507,
  [2483] = 2475,
  [2484] = 2475,
  [2485] = 1536,
  [2486] = 1536,
  [2487] = 1536,
  [2488] = 1536,
  [2489] = 2475,
  [2490] = 2465,
  [2491] = 1536,
  [2492] = 2461,
  [2493] = 1507,
  [2494] = 1536,
  [2495] = 2465,
  [2496] = 1536,
  [2497] = 1507,
  [2498] = 1507,
  [2499] = 1536,
  [2500] = 1536,
  [2501] = 1507,
  [2502] = 2461,
  [2503] = 1536,
  [2504] = 1536,
  [2505] = 1507,
  [2506] = 2506,
  [2507] = 2506,
  [2508] = 2506,
  [2509] = 2506,
  [2510] = 2506,
  [2511] = 2506,
  [2512] = 2506,
  [2513] = 2513,
  [2514] = 2461,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2513,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2520,
  [2522] = 2522,
  [2523] = 2522,
  [2524] = 2524,
  [2525] = 2515,
  [2526] = 2517,
  [2527] = 2465,
  [2528] = 2528,
  [2529] = 2524,
  [2530] = 2530,
  [2531] = 2519,
  [2532] = 2528,
  [2533] = 2530,
  [2534] = 2516,
  [2535] = 1536,
  [2536] = 2515,
  [2537] = 2522,
  [2538] = 2528,
  [2539] = 2517,
  [2540] = 2516,
  [2541] = 2516,
  [2542] = 2519,
  [2543] = 2520,
  [2544] = 2544,
  [2545] = 2520,
  [2546] = 2524,
  [2547] = 2522,
  [2548] = 2524,
  [2549] = 2513,
  [2550] = 2528,
  [2551] = 2530,
  [2552] = 2519,
  [2553] = 2513,
  [2554] = 2530,
  [2555] = 2517,
  [2556] = 2515,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2558,
  [2560] = 2558,
  [2561] = 2426,
  [2562] = 2558,
  [2563] = 2425,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2570,
  [2572] = 2570,
  [2573] = 2570,
  [2574] = 2570,
  [2575] = 2570,
  [2576] = 2570,
  [2577] = 2570,
  [2578] = 2570,
  [2579] = 2570,
  [2580] = 2570,
  [2581] = 2570,
  [2582] = 2570,
  [2583] = 2570,
  [2584] = 2570,
  [2585] = 2570,
  [2586] = 2570,
  [2587] = 2570,
  [2588] = 2570,
  [2589] = 2570,
  [2590] = 2570,
  [2591] = 2570,
  [2592] = 2570,
  [2593] = 2544,
  [2594] = 2570,
  [2595] = 2570,
  [2596] = 2570,
  [2597] = 2570,
  [2598] = 2570,
  [2599] = 2570,
  [2600] = 2570,
  [2601] = 2570,
  [2602] = 2570,
  [2603] = 2570,
  [2604] = 2570,
  [2605] = 2570,
  [2606] = 2570,
  [2607] = 2570,
  [2608] = 2570,
  [2609] = 2570,
  [2610] = 2570,
  [2611] = 2570,
  [2612] = 2570,
  [2613] = 2570,
  [2614] = 2570,
  [2615] = 2451,
  [2616] = 2570,
  [2617] = 2570,
  [2618] = 2570,
  [2619] = 2570,
  [2620] = 2461,
  [2621] = 1536,
  [2622] = 2465,
  [2623] = 2623,
  [2624] = 2557,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2626,
  [2628] = 2626,
  [2629] = 2626,
  [2630] = 2626,
  [2631] = 2626,
  [2632] = 2626,
  [2633] = 2626,
  [2634] = 2634,
  [2635] = 2626,
  [2636] = 2636,
  [2637] = 2626,
  [2638] = 2626,
  [2639] = 2626,
  [2640] = 2626,
  [2641] = 2626,
  [2642] = 2626,
  [2643] = 2626,
  [2644] = 2626,
  [2645] = 2626,
  [2646] = 2626,
  [2647] = 2626,
  [2648] = 2626,
  [2649] = 2626,
  [2650] = 2626,
  [2651] = 2626,
  [2652] = 2626,
  [2653] = 2626,
  [2654] = 2626,
  [2655] = 2626,
  [2656] = 2626,
  [2657] = 2657,
  [2658] = 2626,
  [2659] = 2626,
  [2660] = 2626,
  [2661] = 2626,
  [2662] = 2626,
  [2663] = 2626,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2626,
  [2667] = 2667,
  [2668] = 2626,
  [2669] = 2634,
  [2670] = 2625,
  [2671] = 2671,
  [2672] = 2558,
  [2673] = 2673,
  [2674] = 2626,
  [2675] = 2626,
  [2676] = 2636,
  [2677] = 2657,
  [2678] = 2678,
  [2679] = 2626,
  [2680] = 2673,
  [2681] = 2626,
  [2682] = 2664,
  [2683] = 2665,
  [2684] = 2667,
  [2685] = 2671,
  [2686] = 2626,
  [2687] = 2687,
  [2688] = 2678,
  [2689] = 2687,
  [2690] = 2626,
  [2691] = 2626,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2665,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2699,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2702,
  [2707] = 2657,
  [2708] = 2708,
  [2709] = 2673,
  [2710] = 2702,
  [2711] = 2711,
  [2712] = 2667,
  [2713] = 2702,
  [2714] = 2671,
  [2715] = 2634,
  [2716] = 2702,
  [2717] = 2702,
  [2718] = 2657,
  [2719] = 2719,
  [2720] = 2702,
  [2721] = 2678,
  [2722] = 2719,
  [2723] = 2723,
  [2724] = 2702,
  [2725] = 2636,
  [2726] = 2726,
  [2727] = 2702,
  [2728] = 2664,
  [2729] = 2702,
  [2730] = 2702,
  [2731] = 2665,
  [2732] = 2667,
  [2733] = 2671,
  [2734] = 2695,
  [2735] = 2702,
  [2736] = 2678,
  [2737] = 2687,
  [2738] = 2664,
  [2739] = 2702,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2687,
  [2743] = 2665,
  [2744] = 2697,
  [2745] = 2678,
  [2746] = 2702,
  [2747] = 2698,
  [2748] = 2701,
  [2749] = 2673,
  [2750] = 2750,
  [2751] = 2705,
  [2752] = 2723,
  [2753] = 2726,
  [2754] = 2702,
  [2755] = 2702,
  [2756] = 2667,
  [2757] = 2634,
  [2758] = 2657,
  [2759] = 2702,
  [2760] = 2671,
  [2761] = 2702,
  [2762] = 2636,
  [2763] = 2678,
  [2764] = 2702,
  [2765] = 2687,
  [2766] = 2702,
  [2767] = 2750,
  [2768] = 2740,
  [2769] = 2702,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2667,
  [2773] = 2702,
  [2774] = 2702,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2665,
  [2781] = 2702,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2702,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2702,
  [2802] = 2802,
  [2803] = 2741,
  [2804] = 2702,
  [2805] = 2625,
  [2806] = 2702,
  [2807] = 2702,
  [2808] = 2702,
  [2809] = 2809,
  [2810] = 2702,
  [2811] = 2687,
  [2812] = 2702,
  [2813] = 2775,
  [2814] = 2776,
  [2815] = 2777,
  [2816] = 2816,
  [2817] = 2702,
  [2818] = 2778,
  [2819] = 2779,
  [2820] = 2820,
  [2821] = 2784,
  [2822] = 2785,
  [2823] = 2786,
  [2824] = 2824,
  [2825] = 2702,
  [2826] = 2787,
  [2827] = 2788,
  [2828] = 2789,
  [2829] = 2790,
  [2830] = 2793,
  [2831] = 2794,
  [2832] = 2795,
  [2833] = 2833,
  [2834] = 2702,
  [2835] = 2796,
  [2836] = 2797,
  [2837] = 2837,
  [2838] = 2702,
  [2839] = 2799,
  [2840] = 2840,
  [2841] = 2702,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2634,
  [2845] = 2845,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2845,
  [2850] = 2846,
  [2851] = 2847,
  [2852] = 2848,
  [2853] = 2634,
  [2854] = 2770,
  [2855] = 2702,
  [2856] = 2673,
  [2857] = 2636,
  [2858] = 2664,
  [2859] = 2625,
  [2860] = 2771,
  [2861] = 2664,
  [2862] = 2673,
  [2863] = 2625,
  [2864] = 2864,
  [2865] = 2783,
  [2866] = 2866,
  [2867] = 2711,
  [2868] = 2692,
  [2869] = 2425,
  [2870] = 2426,
  [2871] = 2871,
  [2872] = 2791,
  [2873] = 2798,
  [2874] = 2800,
  [2875] = 2802,
  [2876] = 2876,
  [2877] = 2816,
  [2878] = 2636,
  [2879] = 2809,
  [2880] = 2671,
  [2881] = 2824,
  [2882] = 2833,
  [2883] = 2837,
  [2884] = 2702,
  [2885] = 2840,
  [2886] = 2842,
  [2887] = 2843,
  [2888] = 2702,
  [2889] = 2864,
  [2890] = 2866,
  [2891] = 2891,
  [2892] = 2625,
  [2893] = 2871,
  [2894] = 2876,
  [2895] = 2891,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2702,
  [2901] = 2901,
  [2902] = 2902,
  [2903] = 2903,
  [2904] = 2904,
  [2905] = 2896,
  [2906] = 2820,
  [2907] = 2897,
  [2908] = 2693,
  [2909] = 2694,
  [2910] = 2898,
  [2911] = 2899,
  [2912] = 2901,
  [2913] = 2699,
  [2914] = 2700,
  [2915] = 2703,
  [2916] = 2704,
  [2917] = 2902,
  [2918] = 2903,
  [2919] = 2904,
  [2920] = 2702,
  [2921] = 2657,
  [2922] = 2702,
  [2923] = 2708,
  [2924] = 2782,
  [2925] = 2925,
  [2926] = 2926,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2719,
  [2930] = 2930,
  [2931] = 2931,
  [2932] = 2926,
  [2933] = 2927,
  [2934] = 2928,
  [2935] = 2930,
  [2936] = 2931,
  [2937] = 2926,
  [2938] = 2695,
  [2939] = 2927,
  [2940] = 2928,
  [2941] = 2930,
  [2942] = 2931,
  [2943] = 2926,
  [2944] = 2927,
  [2945] = 2928,
  [2946] = 2740,
  [2947] = 2931,
  [2948] = 2930,
  [2949] = 2931,
  [2950] = 2697,
  [2951] = 2930,
  [2952] = 2931,
  [2953] = 2926,
  [2954] = 2698,
  [2955] = 2926,
  [2956] = 2927,
  [2957] = 2928,
  [2958] = 2750,
  [2959] = 2705,
  [2960] = 2723,
  [2961] = 2726,
  [2962] = 2931,
  [2963] = 2930,
  [2964] = 2926,
  [2965] = 2931,
  [2966] = 2926,
  [2967] = 2741,
  [2968] = 2927,
  [2969] = 2928,
  [2970] = 2930,
  [2971] = 2930,
  [2972] = 2701,
  [2973] = 2931,
  [2974] = 2926,
  [2975] = 2927,
  [2976] = 2928,
  [2977] = 2927,
  [2978] = 2928,
  [2979] = 2930,
  [2980] = 2931,
  [2981] = 2926,
  [2982] = 2927,
  [2983] = 2928,
  [2984] = 2699,
  [2985] = 2927,
  [2986] = 2930,
  [2987] = 2930,
  [2988] = 2700,
  [2989] = 2931,
  [2990] = 2926,
  [2991] = 2703,
  [2992] = 2927,
  [2993] = 2928,
  [2994] = 2931,
  [2995] = 2926,
  [2996] = 2928,
  [2997] = 2704,
  [2998] = 2930,
  [2999] = 2931,
  [3000] = 2926,
  [3001] = 2927,
  [3002] = 2928,
  [3003] = 2926,
  [3004] = 2927,
  [3005] = 2928,
  [3006] = 2930,
  [3007] = 2931,
  [3008] = 2926,
  [3009] = 2930,
  [3010] = 2927,
  [3011] = 2928,
  [3012] = 2891,
  [3013] = 2708,
  [3014] = 2931,
  [3015] = 2930,
  [3016] = 2931,
  [3017] = 2926,
  [3018] = 2927,
  [3019] = 2928,
  [3020] = 2926,
  [3021] = 2930,
  [3022] = 2931,
  [3023] = 2926,
  [3024] = 2927,
  [3025] = 2928,
  [3026] = 2425,
  [3027] = 2426,
  [3028] = 2927,
  [3029] = 2928,
  [3030] = 2896,
  [3031] = 2770,
  [3032] = 2711,
  [3033] = 2740,
  [3034] = 2927,
  [3035] = 2771,
  [3036] = 2928,
  [3037] = 2927,
  [3038] = 2928,
  [3039] = 2931,
  [3040] = 2657,
  [3041] = 2926,
  [3042] = 2777,
  [3043] = 2779,
  [3044] = 2927,
  [3045] = 2928,
  [3046] = 2692,
  [3047] = 2927,
  [3048] = 2928,
  [3049] = 2930,
  [3050] = 2788,
  [3051] = 2783,
  [3052] = 2926,
  [3053] = 2791,
  [3054] = 2798,
  [3055] = 2789,
  [3056] = 2930,
  [3057] = 2775,
  [3058] = 2776,
  [3059] = 2897,
  [3060] = 2930,
  [3061] = 2778,
  [3062] = 2664,
  [3063] = 2665,
  [3064] = 2667,
  [3065] = 2782,
  [3066] = 2931,
  [3067] = 2926,
  [3068] = 2797,
  [3069] = 2930,
  [3070] = 2931,
  [3071] = 2931,
  [3072] = 2926,
  [3073] = 2927,
  [3074] = 2928,
  [3075] = 2671,
  [3076] = 2678,
  [3077] = 2687,
  [3078] = 2927,
  [3079] = 2928,
  [3080] = 2784,
  [3081] = 2785,
  [3082] = 2634,
  [3083] = 2786,
  [3084] = 2636,
  [3085] = 2898,
  [3086] = 2783,
  [3087] = 2930,
  [3088] = 2791,
  [3089] = 2798,
  [3090] = 2771,
  [3091] = 2787,
  [3092] = 2799,
  [3093] = 2800,
  [3094] = 2790,
  [3095] = 2802,
  [3096] = 2809,
  [3097] = 2816,
  [3098] = 2793,
  [3099] = 2824,
  [3100] = 2833,
  [3101] = 2837,
  [3102] = 2840,
  [3103] = 2842,
  [3104] = 2843,
  [3105] = 2794,
  [3106] = 2795,
  [3107] = 2625,
  [3108] = 2899,
  [3109] = 2673,
  [3110] = 2796,
  [3111] = 2864,
  [3112] = 2866,
  [3113] = 2692,
  [3114] = 2871,
  [3115] = 2876,
  [3116] = 2891,
  [3117] = 2896,
  [3118] = 2897,
  [3119] = 2898,
  [3120] = 2899,
  [3121] = 2901,
  [3122] = 2845,
  [3123] = 2930,
  [3124] = 2931,
  [3125] = 2930,
  [3126] = 2902,
  [3127] = 2931,
  [3128] = 2903,
  [3129] = 2904,
  [3130] = 2820,
  [3131] = 2693,
  [3132] = 2694,
  [3133] = 2695,
  [3134] = 2926,
  [3135] = 2846,
  [3136] = 2847,
  [3137] = 2927,
  [3138] = 2699,
  [3139] = 2700,
  [3140] = 2703,
  [3141] = 2704,
  [3142] = 2928,
  [3143] = 2926,
  [3144] = 2848,
  [3145] = 2931,
  [3146] = 2708,
  [3147] = 2926,
  [3148] = 2711,
  [3149] = 2927,
  [3150] = 2928,
  [3151] = 2697,
  [3152] = 2930,
  [3153] = 2901,
  [3154] = 2927,
  [3155] = 2928,
  [3156] = 2719,
  [3157] = 2698,
  [3158] = 2930,
  [3159] = 2719,
  [3160] = 2931,
  [3161] = 2926,
  [3162] = 2927,
  [3163] = 2928,
  [3164] = 2930,
  [3165] = 2927,
  [3166] = 2928,
  [3167] = 2931,
  [3168] = 2926,
  [3169] = 2750,
  [3170] = 2931,
  [3171] = 2705,
  [3172] = 2723,
  [3173] = 2783,
  [3174] = 2930,
  [3175] = 2791,
  [3176] = 2740,
  [3177] = 2798,
  [3178] = 2741,
  [3179] = 2871,
  [3180] = 2800,
  [3181] = 2802,
  [3182] = 2809,
  [3183] = 2816,
  [3184] = 2726,
  [3185] = 2931,
  [3186] = 2824,
  [3187] = 2926,
  [3188] = 2833,
  [3189] = 2837,
  [3190] = 2697,
  [3191] = 2840,
  [3192] = 2842,
  [3193] = 2843,
  [3194] = 2864,
  [3195] = 2866,
  [3196] = 2692,
  [3197] = 2927,
  [3198] = 2871,
  [3199] = 2876,
  [3200] = 2928,
  [3201] = 2891,
  [3202] = 2896,
  [3203] = 2698,
  [3204] = 2897,
  [3205] = 2701,
  [3206] = 2898,
  [3207] = 2899,
  [3208] = 2901,
  [3209] = 2902,
  [3210] = 2903,
  [3211] = 2904,
  [3212] = 2820,
  [3213] = 2750,
  [3214] = 2693,
  [3215] = 2694,
  [3216] = 2695,
  [3217] = 2699,
  [3218] = 2700,
  [3219] = 2703,
  [3220] = 2704,
  [3221] = 2705,
  [3222] = 2657,
  [3223] = 2708,
  [3224] = 2723,
  [3225] = 2726,
  [3226] = 2711,
  [3227] = 2930,
  [3228] = 2931,
  [3229] = 2926,
  [3230] = 2719,
  [3231] = 2927,
  [3232] = 2928,
  [3233] = 2775,
  [3234] = 2776,
  [3235] = 2777,
  [3236] = 2778,
  [3237] = 2779,
  [3238] = 2782,
  [3239] = 2740,
  [3240] = 2741,
  [3241] = 2930,
  [3242] = 2784,
  [3243] = 2785,
  [3244] = 2786,
  [3245] = 2697,
  [3246] = 2787,
  [3247] = 2788,
  [3248] = 2789,
  [3249] = 2698,
  [3250] = 2701,
  [3251] = 2931,
  [3252] = 2750,
  [3253] = 2790,
  [3254] = 2705,
  [3255] = 2793,
  [3256] = 2723,
  [3257] = 2794,
  [3258] = 2726,
  [3259] = 2795,
  [3260] = 2926,
  [3261] = 2770,
  [3262] = 2796,
  [3263] = 2771,
  [3264] = 2797,
  [3265] = 2799,
  [3266] = 2664,
  [3267] = 2927,
  [3268] = 2928,
  [3269] = 2665,
  [3270] = 2667,
  [3271] = 2770,
  [3272] = 2771,
  [3273] = 2930,
  [3274] = 2671,
  [3275] = 2678,
  [3276] = 2931,
  [3277] = 2926,
  [3278] = 2687,
  [3279] = 2927,
  [3280] = 2928,
  [3281] = 2625,
  [3282] = 2673,
  [3283] = 2930,
  [3284] = 2931,
  [3285] = 2926,
  [3286] = 2902,
  [3287] = 2775,
  [3288] = 2776,
  [3289] = 2927,
  [3290] = 2928,
  [3291] = 2777,
  [3292] = 2778,
  [3293] = 2779,
  [3294] = 2782,
  [3295] = 2784,
  [3296] = 2785,
  [3297] = 2786,
  [3298] = 2787,
  [3299] = 2783,
  [3300] = 2788,
  [3301] = 2789,
  [3302] = 2790,
  [3303] = 2793,
  [3304] = 2794,
  [3305] = 2795,
  [3306] = 2903,
  [3307] = 2791,
  [3308] = 2798,
  [3309] = 2800,
  [3310] = 2930,
  [3311] = 2796,
  [3312] = 2802,
  [3313] = 2797,
  [3314] = 2809,
  [3315] = 2931,
  [3316] = 2926,
  [3317] = 2799,
  [3318] = 2634,
  [3319] = 2927,
  [3320] = 2928,
  [3321] = 2824,
  [3322] = 2833,
  [3323] = 2837,
  [3324] = 2775,
  [3325] = 2776,
  [3326] = 2777,
  [3327] = 2778,
  [3328] = 2779,
  [3329] = 2840,
  [3330] = 2782,
  [3331] = 2842,
  [3332] = 2843,
  [3333] = 2784,
  [3334] = 2785,
  [3335] = 2786,
  [3336] = 2787,
  [3337] = 2930,
  [3338] = 2788,
  [3339] = 2789,
  [3340] = 2790,
  [3341] = 2904,
  [3342] = 2793,
  [3343] = 2931,
  [3344] = 2794,
  [3345] = 2795,
  [3346] = 2796,
  [3347] = 2845,
  [3348] = 2797,
  [3349] = 2846,
  [3350] = 2847,
  [3351] = 2925,
  [3352] = 2926,
  [3353] = 2799,
  [3354] = 2848,
  [3355] = 2864,
  [3356] = 2925,
  [3357] = 2866,
  [3358] = 2820,
  [3359] = 2925,
  [3360] = 2845,
  [3361] = 2846,
  [3362] = 2847,
  [3363] = 2848,
  [3364] = 2927,
  [3365] = 2928,
  [3366] = 2925,
  [3367] = 2692,
  [3368] = 2871,
  [3369] = 2845,
  [3370] = 2846,
  [3371] = 2847,
  [3372] = 2848,
  [3373] = 2925,
  [3374] = 2876,
  [3375] = 2891,
  [3376] = 2927,
  [3377] = 2800,
  [3378] = 2896,
  [3379] = 2802,
  [3380] = 2809,
  [3381] = 2897,
  [3382] = 2930,
  [3383] = 2930,
  [3384] = 2816,
  [3385] = 2926,
  [3386] = 2898,
  [3387] = 2425,
  [3388] = 2899,
  [3389] = 2931,
  [3390] = 2926,
  [3391] = 2931,
  [3392] = 2928,
  [3393] = 2926,
  [3394] = 2901,
  [3395] = 2927,
  [3396] = 2928,
  [3397] = 2636,
  [3398] = 2902,
  [3399] = 2927,
  [3400] = 2928,
  [3401] = 2903,
  [3402] = 2904,
  [3403] = 2820,
  [3404] = 2693,
  [3405] = 2694,
  [3406] = 2930,
  [3407] = 2930,
  [3408] = 2693,
  [3409] = 2931,
  [3410] = 2931,
  [3411] = 2926,
  [3412] = 2926,
  [3413] = 2927,
  [3414] = 2928,
  [3415] = 2699,
  [3416] = 2700,
  [3417] = 2703,
  [3418] = 2927,
  [3419] = 2928,
  [3420] = 2704,
  [3421] = 2930,
  [3422] = 2694,
  [3423] = 2695,
  [3424] = 2931,
  [3425] = 2926,
  [3426] = 2930,
  [3427] = 2770,
  [3428] = 2741,
  [3429] = 2930,
  [3430] = 2708,
  [3431] = 2931,
  [3432] = 2926,
  [3433] = 2927,
  [3434] = 2928,
  [3435] = 2930,
  [3436] = 2927,
  [3437] = 2928,
  [3438] = 2931,
  [3439] = 2426,
  [3440] = 2824,
  [3441] = 2926,
  [3442] = 2876,
  [3443] = 2711,
  [3444] = 2833,
  [3445] = 2930,
  [3446] = 2927,
  [3447] = 2928,
  [3448] = 2864,
  [3449] = 2816,
  [3450] = 2930,
  [3451] = 2930,
  [3452] = 2931,
  [3453] = 2931,
  [3454] = 2926,
  [3455] = 2701,
  [3456] = 2927,
  [3457] = 2928,
  [3458] = 2926,
  [3459] = 2837,
  [3460] = 2931,
  [3461] = 2840,
  [3462] = 2842,
  [3463] = 2843,
  [3464] = 2866,
  [3465] = 2795,
  [3466] = 2798,
  [3467] = 2800,
  [3468] = 2802,
  [3469] = 2775,
  [3470] = 2840,
  [3471] = 2776,
  [3472] = 2777,
  [3473] = 2778,
  [3474] = 2842,
  [3475] = 2779,
  [3476] = 2782,
  [3477] = 2843,
  [3478] = 2864,
  [3479] = 2809,
  [3480] = 2866,
  [3481] = 2692,
  [3482] = 2671,
  [3483] = 2871,
  [3484] = 2876,
  [3485] = 2891,
  [3486] = 2784,
  [3487] = 2785,
  [3488] = 2896,
  [3489] = 3489,
  [3490] = 2897,
  [3491] = 2786,
  [3492] = 3489,
  [3493] = 2787,
  [3494] = 3489,
  [3495] = 2678,
  [3496] = 2771,
  [3497] = 2788,
  [3498] = 3498,
  [3499] = 2789,
  [3500] = 3500,
  [3501] = 2824,
  [3502] = 2898,
  [3503] = 2899,
  [3504] = 2901,
  [3505] = 2902,
  [3506] = 2903,
  [3507] = 2833,
  [3508] = 2837,
  [3509] = 2904,
  [3510] = 2820,
  [3511] = 2687,
  [3512] = 2840,
  [3513] = 2842,
  [3514] = 2843,
  [3515] = 2625,
  [3516] = 2790,
  [3517] = 2673,
  [3518] = 2864,
  [3519] = 2866,
  [3520] = 2793,
  [3521] = 3489,
  [3522] = 2794,
  [3523] = 2795,
  [3524] = 2693,
  [3525] = 2796,
  [3526] = 2692,
  [3527] = 2797,
  [3528] = 3528,
  [3529] = 2799,
  [3530] = 2871,
  [3531] = 3489,
  [3532] = 2876,
  [3533] = 2891,
  [3534] = 2896,
  [3535] = 2897,
  [3536] = 2898,
  [3537] = 3489,
  [3538] = 2899,
  [3539] = 2901,
  [3540] = 2694,
  [3541] = 2695,
  [3542] = 2902,
  [3543] = 2903,
  [3544] = 2699,
  [3545] = 2700,
  [3546] = 2636,
  [3547] = 2904,
  [3548] = 2820,
  [3549] = 2703,
  [3550] = 2704,
  [3551] = 3489,
  [3552] = 2741,
  [3553] = 2693,
  [3554] = 3489,
  [3555] = 2694,
  [3556] = 3489,
  [3557] = 3489,
  [3558] = 2657,
  [3559] = 2699,
  [3560] = 3489,
  [3561] = 3561,
  [3562] = 2700,
  [3563] = 2703,
  [3564] = 2704,
  [3565] = 2657,
  [3566] = 2708,
  [3567] = 3489,
  [3568] = 2708,
  [3569] = 2711,
  [3570] = 2711,
  [3571] = 2775,
  [3572] = 2776,
  [3573] = 2816,
  [3574] = 2777,
  [3575] = 2778,
  [3576] = 2779,
  [3577] = 2782,
  [3578] = 2784,
  [3579] = 2785,
  [3580] = 2786,
  [3581] = 2787,
  [3582] = 2719,
  [3583] = 2788,
  [3584] = 2789,
  [3585] = 2790,
  [3586] = 2793,
  [3587] = 2794,
  [3588] = 3489,
  [3589] = 2791,
  [3590] = 2797,
  [3591] = 3489,
  [3592] = 2799,
  [3593] = 2845,
  [3594] = 2719,
  [3595] = 2846,
  [3596] = 2847,
  [3597] = 2848,
  [3598] = 2740,
  [3599] = 2741,
  [3600] = 3489,
  [3601] = 3601,
  [3602] = 2697,
  [3603] = 2695,
  [3604] = 3489,
  [3605] = 2698,
  [3606] = 2701,
  [3607] = 2750,
  [3608] = 2705,
  [3609] = 2723,
  [3610] = 2740,
  [3611] = 2726,
  [3612] = 3489,
  [3613] = 3489,
  [3614] = 3489,
  [3615] = 2697,
  [3616] = 3489,
  [3617] = 2701,
  [3618] = 3498,
  [3619] = 3561,
  [3620] = 3489,
  [3621] = 3489,
  [3622] = 3489,
  [3623] = 2770,
  [3624] = 2845,
  [3625] = 2846,
  [3626] = 2847,
  [3627] = 2848,
  [3628] = 3489,
  [3629] = 2664,
  [3630] = 3489,
  [3631] = 2665,
  [3632] = 3489,
  [3633] = 2634,
  [3634] = 3489,
  [3635] = 3489,
  [3636] = 3500,
  [3637] = 3637,
  [3638] = 2698,
  [3639] = 3489,
  [3640] = 2634,
  [3641] = 3489,
  [3642] = 3498,
  [3643] = 2667,
  [3644] = 3489,
  [3645] = 3498,
  [3646] = 3489,
  [3647] = 2770,
  [3648] = 2750,
  [3649] = 2771,
  [3650] = 3489,
  [3651] = 3637,
  [3652] = 3489,
  [3653] = 3498,
  [3654] = 2783,
  [3655] = 3489,
  [3656] = 2664,
  [3657] = 2665,
  [3658] = 2667,
  [3659] = 3489,
  [3660] = 2791,
  [3661] = 3500,
  [3662] = 2636,
  [3663] = 3500,
  [3664] = 2705,
  [3665] = 3637,
  [3666] = 2625,
  [3667] = 2673,
  [3668] = 2671,
  [3669] = 2678,
  [3670] = 2687,
  [3671] = 2798,
  [3672] = 3489,
  [3673] = 3489,
  [3674] = 3489,
  [3675] = 2723,
  [3676] = 3498,
  [3677] = 3637,
  [3678] = 2800,
  [3679] = 2726,
  [3680] = 2802,
  [3681] = 2809,
  [3682] = 3528,
  [3683] = 3601,
  [3684] = 3498,
  [3685] = 3489,
  [3686] = 3489,
  [3687] = 2816,
  [3688] = 2783,
  [3689] = 3498,
  [3690] = 2824,
  [3691] = 3489,
  [3692] = 2833,
  [3693] = 2837,
  [3694] = 2796,
  [3695] = 3561,
  [3696] = 2786,
  [3697] = 2708,
  [3698] = 3698,
  [3699] = 3699,
  [3700] = 2783,
  [3701] = 2701,
  [3702] = 2784,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 3705,
  [3706] = 3706,
  [3707] = 2800,
  [3708] = 2771,
  [3709] = 2824,
  [3710] = 2791,
  [3711] = 3699,
  [3712] = 3704,
  [3713] = 2741,
  [3714] = 3699,
  [3715] = 3699,
  [3716] = 3699,
  [3717] = 3699,
  [3718] = 3699,
  [3719] = 2864,
  [3720] = 2711,
  [3721] = 3699,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 2833,
  [3725] = 3723,
  [3726] = 2705,
  [3727] = 2723,
  [3728] = 2785,
  [3729] = 2787,
  [3730] = 2726,
  [3731] = 3699,
  [3732] = 2799,
  [3733] = 3723,
  [3734] = 3723,
  [3735] = 2719,
  [3736] = 2843,
  [3737] = 3723,
  [3738] = 2797,
  [3739] = 3723,
  [3740] = 2876,
  [3741] = 3699,
  [3742] = 3699,
  [3743] = 3743,
  [3744] = 3561,
  [3745] = 2899,
  [3746] = 2697,
  [3747] = 3698,
  [3748] = 2901,
  [3749] = 3698,
  [3750] = 2902,
  [3751] = 3699,
  [3752] = 3723,
  [3753] = 3722,
  [3754] = 2673,
  [3755] = 3699,
  [3756] = 3723,
  [3757] = 3705,
  [3758] = 3723,
  [3759] = 2698,
  [3760] = 2741,
  [3761] = 2891,
  [3762] = 3762,
  [3763] = 2697,
  [3764] = 3699,
  [3765] = 3723,
  [3766] = 2701,
  [3767] = 2837,
  [3768] = 3706,
  [3769] = 3698,
  [3770] = 3699,
  [3771] = 2903,
  [3772] = 2904,
  [3773] = 3699,
  [3774] = 3699,
  [3775] = 2820,
  [3776] = 3699,
  [3777] = 2634,
  [3778] = 2671,
  [3779] = 3779,
  [3780] = 2837,
  [3781] = 3723,
  [3782] = 2866,
  [3783] = 3723,
  [3784] = 2693,
  [3785] = 3698,
  [3786] = 2750,
  [3787] = 3698,
  [3788] = 2694,
  [3789] = 3703,
  [3790] = 3723,
  [3791] = 2798,
  [3792] = 3699,
  [3793] = 3699,
  [3794] = 3698,
  [3795] = 2692,
  [3796] = 2845,
  [3797] = 2846,
  [3798] = 2847,
  [3799] = 2848,
  [3800] = 2840,
  [3801] = 2775,
  [3802] = 3699,
  [3803] = 3699,
  [3804] = 2776,
  [3805] = 2777,
  [3806] = 2778,
  [3807] = 2896,
  [3808] = 2779,
  [3809] = 3698,
  [3810] = 2897,
  [3811] = 3698,
  [3812] = 2845,
  [3813] = 3723,
  [3814] = 2771,
  [3815] = 3723,
  [3816] = 2782,
  [3817] = 2664,
  [3818] = 2816,
  [3819] = 2842,
  [3820] = 3698,
  [3821] = 3723,
  [3822] = 2840,
  [3823] = 2779,
  [3824] = 3722,
  [3825] = 2705,
  [3826] = 2871,
  [3827] = 3827,
  [3828] = 3698,
  [3829] = 2784,
  [3830] = 2785,
  [3831] = 2786,
  [3832] = 3698,
  [3833] = 2787,
  [3834] = 3699,
  [3835] = 3705,
  [3836] = 3704,
  [3837] = 3699,
  [3838] = 2665,
  [3839] = 3723,
  [3840] = 2846,
  [3841] = 3723,
  [3842] = 2847,
  [3843] = 3743,
  [3844] = 2788,
  [3845] = 2723,
  [3846] = 3723,
  [3847] = 2665,
  [3848] = 2726,
  [3849] = 3699,
  [3850] = 3762,
  [3851] = 3698,
  [3852] = 3827,
  [3853] = 2789,
  [3854] = 2842,
  [3855] = 2843,
  [3856] = 2790,
  [3857] = 3698,
  [3858] = 3722,
  [3859] = 3762,
  [3860] = 2793,
  [3861] = 3705,
  [3862] = 2699,
  [3863] = 2678,
  [3864] = 3723,
  [3865] = 2794,
  [3866] = 3779,
  [3867] = 3703,
  [3868] = 2848,
  [3869] = 2876,
  [3870] = 2802,
  [3871] = 3698,
  [3872] = 3699,
  [3873] = 3723,
  [3874] = 2700,
  [3875] = 2891,
  [3876] = 2795,
  [3877] = 2896,
  [3878] = 3699,
  [3879] = 3779,
  [3880] = 2897,
  [3881] = 3762,
  [3882] = 3699,
  [3883] = 2898,
  [3884] = 2899,
  [3885] = 2901,
  [3886] = 2671,
  [3887] = 2902,
  [3888] = 3699,
  [3889] = 2903,
  [3890] = 2687,
  [3891] = 2904,
  [3892] = 2820,
  [3893] = 2797,
  [3894] = 3779,
  [3895] = 2678,
  [3896] = 3699,
  [3897] = 2703,
  [3898] = 3705,
  [3899] = 3698,
  [3900] = 3698,
  [3901] = 3723,
  [3902] = 2790,
  [3903] = 2799,
  [3904] = 2693,
  [3905] = 2694,
  [3906] = 2625,
  [3907] = 2770,
  [3908] = 2740,
  [3909] = 3698,
  [3910] = 3698,
  [3911] = 2704,
  [3912] = 3723,
  [3913] = 3723,
  [3914] = 2699,
  [3915] = 2866,
  [3916] = 2667,
  [3917] = 3699,
  [3918] = 2700,
  [3919] = 3703,
  [3920] = 2809,
  [3921] = 3705,
  [3922] = 3704,
  [3923] = 3699,
  [3924] = 2788,
  [3925] = 3722,
  [3926] = 2636,
  [3927] = 3699,
  [3928] = 2770,
  [3929] = 3762,
  [3930] = 3698,
  [3931] = 3698,
  [3932] = 2703,
  [3933] = 2704,
  [3934] = 3723,
  [3935] = 2750,
  [3936] = 2782,
  [3937] = 2793,
  [3938] = 2708,
  [3939] = 3723,
  [3940] = 3705,
  [3941] = 2711,
  [3942] = 3705,
  [3943] = 3561,
  [3944] = 3699,
  [3945] = 2657,
  [3946] = 3699,
  [3947] = 2816,
  [3948] = 2636,
  [3949] = 3703,
  [3950] = 3723,
  [3951] = 3698,
  [3952] = 2864,
  [3953] = 3722,
  [3954] = 3698,
  [3955] = 3699,
  [3956] = 3762,
  [3957] = 3704,
  [3958] = 2794,
  [3959] = 3699,
  [3960] = 2795,
  [3961] = 2789,
  [3962] = 3704,
  [3963] = 3699,
  [3964] = 2667,
  [3965] = 2898,
  [3966] = 2698,
  [3967] = 3779,
  [3968] = 3703,
  [3969] = 2783,
  [3970] = 3698,
  [3971] = 2634,
  [3972] = 3699,
  [3973] = 2796,
  [3974] = 3698,
  [3975] = 3703,
  [3976] = 3698,
  [3977] = 3723,
  [3978] = 3698,
  [3979] = 2687,
  [3980] = 3762,
  [3981] = 2775,
  [3982] = 3723,
  [3983] = 3698,
  [3984] = 2791,
  [3985] = 3723,
  [3986] = 3722,
  [3987] = 2798,
  [3988] = 2800,
  [3989] = 2802,
  [3990] = 2809,
  [3991] = 3779,
  [3992] = 3722,
  [3993] = 2695,
  [3994] = 2692,
  [3995] = 3699,
  [3996] = 3723,
  [3997] = 2657,
  [3998] = 3699,
  [3999] = 2719,
  [4000] = 2776,
  [4001] = 3699,
  [4002] = 3699,
  [4003] = 3698,
  [4004] = 2673,
  [4005] = 3698,
  [4006] = 3779,
  [4007] = 3762,
  [4008] = 2871,
  [4009] = 2625,
  [4010] = 2695,
  [4011] = 3723,
  [4012] = 3698,
  [4013] = 2824,
  [4014] = 3704,
  [4015] = 2833,
  [4016] = 2740,
  [4017] = 3703,
  [4018] = 3704,
  [4019] = 3779,
  [4020] = 2778,
  [4021] = 2664,
  [4022] = 3698,
  [4023] = 3561,
  [4024] = 2777,
  [4025] = 2796,
  [4026] = 4026,
  [4027] = 4027,
  [4028] = 3706,
  [4029] = 4029,
  [4030] = 3827,
  [4031] = 4031,
  [4032] = 4032,
  [4033] = 4033,
  [4034] = 4034,
  [4035] = 2793,
  [4036] = 2708,
  [4037] = 4037,
  [4038] = 2816,
  [4039] = 4039,
  [4040] = 2723,
  [4041] = 4041,
  [4042] = 2784,
  [4043] = 2785,
  [4044] = 2824,
  [4045] = 2794,
  [4046] = 2833,
  [4047] = 2775,
  [4048] = 2837,
  [4049] = 2786,
  [4050] = 2726,
  [4051] = 2695,
  [4052] = 2783,
  [4053] = 4031,
  [4054] = 2795,
  [4055] = 2783,
  [4056] = 2791,
  [4057] = 2740,
  [4058] = 2798,
  [4059] = 2800,
  [4060] = 2802,
  [4061] = 2809,
  [4062] = 4037,
  [4063] = 4031,
  [4064] = 2776,
  [4065] = 2824,
  [4066] = 2833,
  [4067] = 2837,
  [4068] = 2697,
  [4069] = 2840,
  [4070] = 2842,
  [4071] = 2843,
  [4072] = 2796,
  [4073] = 2864,
  [4074] = 2866,
  [4075] = 2845,
  [4076] = 2692,
  [4077] = 2871,
  [4078] = 2876,
  [4079] = 2891,
  [4080] = 2896,
  [4081] = 2698,
  [4082] = 2897,
  [4083] = 2898,
  [4084] = 2899,
  [4085] = 2901,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 2902,
  [4089] = 2903,
  [4090] = 2904,
  [4091] = 2820,
  [4092] = 2750,
  [4093] = 2693,
  [4094] = 2694,
  [4095] = 4031,
  [4096] = 2699,
  [4097] = 2700,
  [4098] = 2703,
  [4099] = 2704,
  [4100] = 2705,
  [4101] = 2708,
  [4102] = 2723,
  [4103] = 2726,
  [4104] = 4031,
  [4105] = 4026,
  [4106] = 2697,
  [4107] = 2711,
  [4108] = 4108,
  [4109] = 2741,
  [4110] = 4037,
  [4111] = 2782,
  [4112] = 4037,
  [4113] = 2719,
  [4114] = 2840,
  [4115] = 2701,
  [4116] = 4031,
  [4117] = 4037,
  [4118] = 4031,
  [4119] = 2777,
  [4120] = 2791,
  [4121] = 2770,
  [4122] = 4027,
  [4123] = 4037,
  [4124] = 2846,
  [4125] = 3706,
  [4126] = 2847,
  [4127] = 2842,
  [4128] = 2843,
  [4129] = 2740,
  [4130] = 4029,
  [4131] = 4032,
  [4132] = 4033,
  [4133] = 4034,
  [4134] = 4039,
  [4135] = 4041,
  [4136] = 4086,
  [4137] = 4087,
  [4138] = 2787,
  [4139] = 2799,
  [4140] = 4108,
  [4141] = 4031,
  [4142] = 4037,
  [4143] = 2848,
  [4144] = 3827,
  [4145] = 4086,
  [4146] = 4087,
  [4147] = 4031,
  [4148] = 2798,
  [4149] = 2864,
  [4150] = 4037,
  [4151] = 2866,
  [4152] = 4108,
  [4153] = 4031,
  [4154] = 4037,
  [4155] = 2778,
  [4156] = 4108,
  [4157] = 2711,
  [4158] = 4108,
  [4159] = 4031,
  [4160] = 4037,
  [4161] = 2771,
  [4162] = 2788,
  [4163] = 4163,
  [4164] = 2692,
  [4165] = 2719,
  [4166] = 4108,
  [4167] = 4031,
  [4168] = 4037,
  [4169] = 2789,
  [4170] = 4031,
  [4171] = 2771,
  [4172] = 2777,
  [4173] = 4108,
  [4174] = 4031,
  [4175] = 4037,
  [4176] = 2779,
  [4177] = 4037,
  [4178] = 4108,
  [4179] = 4031,
  [4180] = 4037,
  [4181] = 2788,
  [4182] = 2770,
  [4183] = 2789,
  [4184] = 2779,
  [4185] = 4185,
  [4186] = 4108,
  [4187] = 4031,
  [4188] = 4037,
  [4189] = 2775,
  [4190] = 2776,
  [4191] = 2778,
  [4192] = 2845,
  [4193] = 2782,
  [4194] = 2797,
  [4195] = 4086,
  [4196] = 2871,
  [4197] = 2876,
  [4198] = 2846,
  [4199] = 2847,
  [4200] = 4108,
  [4201] = 4031,
  [4202] = 4037,
  [4203] = 2784,
  [4204] = 2785,
  [4205] = 2786,
  [4206] = 2891,
  [4207] = 2787,
  [4208] = 2799,
  [4209] = 2848,
  [4210] = 4108,
  [4211] = 4031,
  [4212] = 4037,
  [4213] = 2790,
  [4214] = 2793,
  [4215] = 2794,
  [4216] = 2795,
  [4217] = 2896,
  [4218] = 2796,
  [4219] = 4108,
  [4220] = 4031,
  [4221] = 4037,
  [4222] = 4087,
  [4223] = 2741,
  [4224] = 2800,
  [4225] = 4108,
  [4226] = 4031,
  [4227] = 4037,
  [4228] = 4108,
  [4229] = 4031,
  [4230] = 4037,
  [4231] = 4108,
  [4232] = 2802,
  [4233] = 4108,
  [4234] = 4031,
  [4235] = 4037,
  [4236] = 4108,
  [4237] = 4031,
  [4238] = 4037,
  [4239] = 4108,
  [4240] = 4031,
  [4241] = 4037,
  [4242] = 4108,
  [4243] = 4031,
  [4244] = 3827,
  [4245] = 4108,
  [4246] = 4031,
  [4247] = 4037,
  [4248] = 2698,
  [4249] = 4108,
  [4250] = 4031,
  [4251] = 4037,
  [4252] = 2797,
  [4253] = 4031,
  [4254] = 4108,
  [4255] = 4031,
  [4256] = 4037,
  [4257] = 4108,
  [4258] = 4031,
  [4259] = 4037,
  [4260] = 2897,
  [4261] = 4108,
  [4262] = 4031,
  [4263] = 4037,
  [4264] = 4108,
  [4265] = 4031,
  [4266] = 4037,
  [4267] = 4108,
  [4268] = 4031,
  [4269] = 4037,
  [4270] = 4108,
  [4271] = 4031,
  [4272] = 4037,
  [4273] = 2809,
  [4274] = 4108,
  [4275] = 4031,
  [4276] = 4037,
  [4277] = 4108,
  [4278] = 4031,
  [4279] = 4037,
  [4280] = 4108,
  [4281] = 4031,
  [4282] = 4037,
  [4283] = 4108,
  [4284] = 4031,
  [4285] = 4037,
  [4286] = 4108,
  [4287] = 4031,
  [4288] = 4037,
  [4289] = 4108,
  [4290] = 4031,
  [4291] = 4037,
  [4292] = 4108,
  [4293] = 4031,
  [4294] = 4037,
  [4295] = 4108,
  [4296] = 4108,
  [4297] = 4037,
  [4298] = 4108,
  [4299] = 4037,
  [4300] = 2701,
  [4301] = 2898,
  [4302] = 2899,
  [4303] = 2816,
  [4304] = 4108,
  [4305] = 3561,
  [4306] = 2901,
  [4307] = 3706,
  [4308] = 4308,
  [4309] = 3827,
  [4310] = 4310,
  [4311] = 2902,
  [4312] = 4031,
  [4313] = 2903,
  [4314] = 2904,
  [4315] = 2820,
  [4316] = 4037,
  [4317] = 2750,
  [4318] = 2693,
  [4319] = 2694,
  [4320] = 2695,
  [4321] = 3561,
  [4322] = 4031,
  [4323] = 2699,
  [4324] = 4027,
  [4325] = 4026,
  [4326] = 4027,
  [4327] = 4026,
  [4328] = 4027,
  [4329] = 4026,
  [4330] = 4027,
  [4331] = 4026,
  [4332] = 4027,
  [4333] = 4026,
  [4334] = 4027,
  [4335] = 4026,
  [4336] = 4027,
  [4337] = 4026,
  [4338] = 4027,
  [4339] = 4026,
  [4340] = 4027,
  [4341] = 4026,
  [4342] = 4027,
  [4343] = 4026,
  [4344] = 4027,
  [4345] = 4026,
  [4346] = 4027,
  [4347] = 4026,
  [4348] = 4027,
  [4349] = 4026,
  [4350] = 4037,
  [4351] = 4027,
  [4352] = 4026,
  [4353] = 4027,
  [4354] = 4026,
  [4355] = 4027,
  [4356] = 4026,
  [4357] = 4027,
  [4358] = 4026,
  [4359] = 4027,
  [4360] = 4026,
  [4361] = 4027,
  [4362] = 4026,
  [4363] = 4027,
  [4364] = 4026,
  [4365] = 4027,
  [4366] = 4026,
  [4367] = 4163,
  [4368] = 4027,
  [4369] = 2790,
  [4370] = 4026,
  [4371] = 4027,
  [4372] = 2700,
  [4373] = 4026,
  [4374] = 4027,
  [4375] = 4026,
  [4376] = 4027,
  [4377] = 4026,
  [4378] = 2703,
  [4379] = 4027,
  [4380] = 4026,
  [4381] = 4027,
  [4382] = 2704,
  [4383] = 4026,
  [4384] = 4027,
  [4385] = 4026,
  [4386] = 4027,
  [4387] = 4026,
  [4388] = 4027,
  [4389] = 4026,
  [4390] = 4027,
  [4391] = 4026,
  [4392] = 4027,
  [4393] = 3706,
  [4394] = 2705,
  [4395] = 4026,
  [4396] = 4027,
  [4397] = 4026,
  [4398] = 4027,
  [4399] = 4026,
  [4400] = 4027,
  [4401] = 4026,
  [4402] = 4027,
  [4403] = 4026,
  [4404] = 4027,
  [4405] = 4026,
  [4406] = 4027,
  [4407] = 4026,
  [4408] = 4027,
  [4409] = 4026,
  [4410] = 4027,
  [4411] = 4026,
  [4412] = 4027,
  [4413] = 4026,
  [4414] = 4027,
  [4415] = 4026,
  [4416] = 4037,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 4417,
  [4420] = 4417,
  [4421] = 4417,
  [4422] = 4417,
  [4423] = 4417,
  [4424] = 4418,
  [4425] = 4417,
  [4426] = 4417,
  [4427] = 4417,
  [4428] = 4417,
  [4429] = 4417,
  [4430] = 4417,
  [4431] = 4417,
  [4432] = 4418,
  [4433] = 4417,
  [4434] = 4417,
  [4435] = 4417,
  [4436] = 4417,
  [4437] = 4437,
  [4438] = 4417,
  [4439] = 4439,
  [4440] = 4417,
  [4441] = 4417,
  [4442] = 4437,
  [4443] = 4417,
  [4444] = 4417,
  [4445] = 4417,
  [4446] = 4439,
  [4447] = 4417,
  [4448] = 4417,
  [4449] = 4417,
  [4450] = 4417,
  [4451] = 4418,
  [4452] = 4417,
  [4453] = 4417,
  [4454] = 4417,
  [4455] = 4417,
  [4456] = 3706,
  [4457] = 4417,
  [4458] = 4417,
  [4459] = 4439,
  [4460] = 4417,
  [4461] = 3827,
  [4462] = 4417,
  [4463] = 4417,
  [4464] = 4417,
  [4465] = 4418,
  [4466] = 4437,
  [4467] = 4437,
  [4468] = 4418,
  [4469] = 3561,
  [4470] = 3706,
  [4471] = 3827,
  [4472] = 4418,
  [4473] = 4417,
  [4474] = 4439,
  [4475] = 4418,
  [4476] = 4417,
  [4477] = 4439,
  [4478] = 4417,
  [4479] = 4439,
  [4480] = 4437,
  [4481] = 4417,
  [4482] = 3561,
  [4483] = 4439,
  [4484] = 4417,
  [4485] = 4417,
  [4486] = 4486,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 3561,
  [4491] = 4488,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4486,
  [4495] = 4487,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4498,
  [4499] = 4489,
  [4500] = 4497,
  [4501] = 4498,
  [4502] = 4502,
  [4503] = 3561,
  [4504] = 4488,
  [4505] = 4489,
  [4506] = 4496,
  [4507] = 4487,
  [4508] = 4489,
  [4509] = 3706,
  [4510] = 4496,
  [4511] = 3827,
  [4512] = 4488,
  [4513] = 4498,
  [4514] = 4496,
  [4515] = 4496,
  [4516] = 4498,
  [4517] = 4502,
  [4518] = 4487,
  [4519] = 4502,
  [4520] = 4487,
  [4521] = 4489,
  [4522] = 4493,
  [4523] = 4493,
  [4524] = 4492,
  [4525] = 4486,
  [4526] = 4497,
  [4527] = 4502,
  [4528] = 4487,
  [4529] = 4493,
  [4530] = 4486,
  [4531] = 4492,
  [4532] = 4493,
  [4533] = 4502,
  [4534] = 4488,
  [4535] = 4486,
  [4536] = 4497,
  [4537] = 4502,
  [4538] = 4487,
  [4539] = 4498,
  [4540] = 4492,
  [4541] = 4492,
  [4542] = 4493,
  [4543] = 4486,
  [4544] = 4486,
  [4545] = 4497,
  [4546] = 4493,
  [4547] = 4497,
  [4548] = 3706,
  [4549] = 4497,
  [4550] = 4502,
  [4551] = 3827,
  [4552] = 4492,
  [4553] = 4492,
  [4554] = 4554,
  [4555] = 4555,
  [4556] = 4554,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4554,
  [4560] = 4557,
  [4561] = 4558,
  [4562] = 3706,
  [4563] = 3827,
  [4564] = 4557,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4555,
  [4568] = 4566,
  [4569] = 4555,
  [4570] = 4566,
  [4571] = 4554,
  [4572] = 4557,
  [4573] = 4566,
  [4574] = 4566,
  [4575] = 4555,
  [4576] = 4555,
  [4577] = 4554,
  [4578] = 4557,
  [4579] = 4558,
  [4580] = 3706,
  [4581] = 4555,
  [4582] = 4554,
  [4583] = 4557,
  [4584] = 4558,
  [4585] = 4585,
  [4586] = 4554,
  [4587] = 4557,
  [4588] = 4558,
  [4589] = 4585,
  [4590] = 4555,
  [4591] = 4554,
  [4592] = 4557,
  [4593] = 4558,
  [4594] = 4555,
  [4595] = 4595,
  [4596] = 4558,
  [4597] = 3827,
  [4598] = 2558,
  [4599] = 4558,
  [4600] = 4600,
  [4601] = 4600,
  [4602] = 4602,
  [4603] = 4600,
  [4604] = 4602,
  [4605] = 4600,
  [4606] = 4602,
  [4607] = 4602,
  [4608] = 4600,
  [4609] = 4602,
  [4610] = 4600,
  [4611] = 4602,
  [4612] = 4600,
  [4613] = 4600,
  [4614] = 4600,
  [4615] = 4602,
  [4616] = 4616,
  [4617] = 4602,
  [4618] = 4600,
  [4619] = 4602,
  [4620] = 4600,
  [4621] = 4602,
  [4622] = 4600,
  [4623] = 4602,
  [4624] = 4600,
  [4625] = 4602,
  [4626] = 4600,
  [4627] = 4602,
  [4628] = 4602,
  [4629] = 4600,
  [4630] = 4600,
  [4631] = 4602,
  [4632] = 2673,
  [4633] = 4600,
  [4634] = 4602,
  [4635] = 4600,
  [4636] = 4602,
  [4637] = 4600,
  [4638] = 4602,
  [4639] = 4600,
  [4640] = 4602,
  [4641] = 4602,
  [4642] = 4600,
  [4643] = 4600,
  [4644] = 4602,
  [4645] = 2657,
  [4646] = 2664,
  [4647] = 2665,
  [4648] = 2667,
  [4649] = 4600,
  [4650] = 2671,
  [4651] = 2678,
  [4652] = 2687,
  [4653] = 2634,
  [4654] = 4602,
  [4655] = 4602,
  [4656] = 4600,
  [4657] = 4600,
  [4658] = 4600,
  [4659] = 4600,
  [4660] = 4602,
  [4661] = 4602,
  [4662] = 4602,
  [4663] = 4600,
  [4664] = 4602,
  [4665] = 4600,
  [4666] = 4602,
  [4667] = 4602,
  [4668] = 4600,
  [4669] = 4600,
  [4670] = 4602,
  [4671] = 4671,
  [4672] = 4600,
  [4673] = 4602,
  [4674] = 4600,
  [4675] = 4675,
  [4676] = 4600,
  [4677] = 4602,
  [4678] = 4602,
  [4679] = 4600,
  [4680] = 4602,
  [4681] = 2625,
  [4682] = 4600,
  [4683] = 4602,
  [4684] = 4600,
  [4685] = 4602,
  [4686] = 4600,
  [4687] = 4600,
  [4688] = 4602,
  [4689] = 4602,
  [4690] = 4602,
  [4691] = 4600,
  [4692] = 4600,
  [4693] = 4602,
  [4694] = 4602,
  [4695] = 4600,
  [4696] = 4600,
  [4697] = 4602,
  [4698] = 4602,
  [4699] = 4602,
  [4700] = 4600,
  [4701] = 4602,
  [4702] = 4602,
  [4703] = 4600,
  [4704] = 4600,
  [4705] = 2636,
  [4706] = 2700,
  [4707] = 2657,
  [4708] = 2667,
  [4709] = 4709,
  [4710] = 2845,
  [4711] = 2783,
  [4712] = 4709,
  [4713] = 2791,
  [4714] = 2798,
  [4715] = 2800,
  [4716] = 2802,
  [4717] = 2809,
  [4718] = 4709,
  [4719] = 2824,
  [4720] = 2833,
  [4721] = 2837,
  [4722] = 2840,
  [4723] = 2842,
  [4724] = 2843,
  [4725] = 2864,
  [4726] = 2866,
  [4727] = 4709,
  [4728] = 2692,
  [4729] = 2871,
  [4730] = 2876,
  [4731] = 2891,
  [4732] = 2896,
  [4733] = 2897,
  [4734] = 2898,
  [4735] = 2899,
  [4736] = 2901,
  [4737] = 4709,
  [4738] = 2902,
  [4739] = 2903,
  [4740] = 2904,
  [4741] = 2820,
  [4742] = 2693,
  [4743] = 2694,
  [4744] = 2699,
  [4745] = 2703,
  [4746] = 4709,
  [4747] = 2704,
  [4748] = 2671,
  [4749] = 2846,
  [4750] = 2847,
  [4751] = 2708,
  [4752] = 4709,
  [4753] = 2711,
  [4754] = 4709,
  [4755] = 4709,
  [4756] = 4709,
  [4757] = 2719,
  [4758] = 4709,
  [4759] = 4709,
  [4760] = 4709,
  [4761] = 4709,
  [4762] = 4709,
  [4763] = 4709,
  [4764] = 2816,
  [4765] = 2678,
  [4766] = 4709,
  [4767] = 4709,
  [4768] = 4709,
  [4769] = 2664,
  [4770] = 4709,
  [4771] = 2695,
  [4772] = 4709,
  [4773] = 4709,
  [4774] = 4709,
  [4775] = 2740,
  [4776] = 2741,
  [4777] = 4709,
  [4778] = 4709,
  [4779] = 2697,
  [4780] = 4709,
  [4781] = 4709,
  [4782] = 2698,
  [4783] = 2701,
  [4784] = 4709,
  [4785] = 2750,
  [4786] = 4709,
  [4787] = 2705,
  [4788] = 4709,
  [4789] = 2723,
  [4790] = 2726,
  [4791] = 4709,
  [4792] = 2782,
  [4793] = 4709,
  [4794] = 4709,
  [4795] = 4709,
  [4796] = 4709,
  [4797] = 2634,
  [4798] = 4798,
  [4799] = 4709,
  [4800] = 4709,
  [4801] = 4709,
  [4802] = 4709,
  [4803] = 4709,
  [4804] = 4709,
  [4805] = 2770,
  [4806] = 2788,
  [4807] = 2775,
  [4808] = 2776,
  [4809] = 2636,
  [4810] = 2784,
  [4811] = 2673,
  [4812] = 2848,
  [4813] = 2789,
  [4814] = 2790,
  [4815] = 2793,
  [4816] = 2687,
  [4817] = 2786,
  [4818] = 2785,
  [4819] = 2794,
  [4820] = 2795,
  [4821] = 4709,
  [4822] = 2777,
  [4823] = 2796,
  [4824] = 2797,
  [4825] = 2673,
  [4826] = 2625,
  [4827] = 2778,
  [4828] = 2787,
  [4829] = 2799,
  [4830] = 4709,
  [4831] = 2771,
  [4832] = 2665,
  [4833] = 4709,
  [4834] = 4709,
  [4835] = 2779,
  [4836] = 4709,
  [4837] = 2876,
  [4838] = 2846,
  [4839] = 2847,
  [4840] = 2903,
  [4841] = 2777,
  [4842] = 2687,
  [4843] = 4843,
  [4844] = 2898,
  [4845] = 2699,
  [4846] = 2784,
  [4847] = 2703,
  [4848] = 2704,
  [4849] = 2726,
  [4850] = 2797,
  [4851] = 2783,
  [4852] = 2771,
  [4853] = 2678,
  [4854] = 2741,
  [4855] = 2785,
  [4856] = 2705,
  [4857] = 2786,
  [4858] = 2896,
  [4859] = 2787,
  [4860] = 2740,
  [4861] = 2671,
  [4862] = 2794,
  [4863] = 2848,
  [4864] = 2904,
  [4865] = 2708,
  [4866] = 4843,
  [4867] = 2719,
  [4868] = 2793,
  [4869] = 2820,
  [4870] = 4843,
  [4871] = 2695,
  [4872] = 2897,
  [4873] = 2711,
  [4874] = 4843,
  [4875] = 2701,
  [4876] = 2799,
  [4877] = 2657,
  [4878] = 2782,
  [4879] = 2871,
  [4880] = 2899,
  [4881] = 4843,
  [4882] = 2634,
  [4883] = 2775,
  [4884] = 2790,
  [4885] = 2789,
  [4886] = 2791,
  [4887] = 2673,
  [4888] = 2697,
  [4889] = 2779,
  [4890] = 2798,
  [4891] = 2795,
  [4892] = 2636,
  [4893] = 2891,
  [4894] = 2800,
  [4895] = 2796,
  [4896] = 2802,
  [4897] = 2809,
  [4898] = 2693,
  [4899] = 2776,
  [4900] = 2700,
  [4901] = 2901,
  [4902] = 2770,
  [4903] = 2816,
  [4904] = 2723,
  [4905] = 2902,
  [4906] = 2664,
  [4907] = 2665,
  [4908] = 2824,
  [4909] = 2833,
  [4910] = 2778,
  [4911] = 2837,
  [4912] = 2694,
  [4913] = 4843,
  [4914] = 2667,
  [4915] = 2750,
  [4916] = 2845,
  [4917] = 2840,
  [4918] = 2842,
  [4919] = 2843,
  [4920] = 2788,
  [4921] = 2864,
  [4922] = 2625,
  [4923] = 2866,
  [4924] = 2692,
  [4925] = 2698,
  [4926] = 4926,
  [4927] = 2783,
  [4928] = 2791,
  [4929] = 2798,
  [4930] = 2800,
  [4931] = 2802,
  [4932] = 2809,
  [4933] = 2636,
  [4934] = 2824,
  [4935] = 2833,
  [4936] = 2837,
  [4937] = 2840,
  [4938] = 2842,
  [4939] = 2843,
  [4940] = 2864,
  [4941] = 2866,
  [4942] = 2692,
  [4943] = 2871,
  [4944] = 2876,
  [4945] = 2891,
  [4946] = 2896,
  [4947] = 2897,
  [4948] = 2898,
  [4949] = 2899,
  [4950] = 2901,
  [4951] = 2902,
  [4952] = 2903,
  [4953] = 2904,
  [4954] = 2820,
  [4955] = 2693,
  [4956] = 2694,
  [4957] = 2699,
  [4958] = 2700,
  [4959] = 2703,
  [4960] = 2704,
  [4961] = 2657,
  [4962] = 2708,
  [4963] = 2711,
  [4964] = 2816,
  [4965] = 2719,
  [4966] = 2695,
  [4967] = 2740,
  [4968] = 2664,
  [4969] = 2665,
  [4970] = 2667,
  [4971] = 2697,
  [4972] = 2698,
  [4973] = 2750,
  [4974] = 2705,
  [4975] = 2723,
  [4976] = 2726,
  [4977] = 2671,
  [4978] = 2678,
  [4979] = 2687,
  [4980] = 2770,
  [4981] = 2741,
  [4982] = 2701,
  [4983] = 2634,
  [4984] = 2636,
  [4985] = 2657,
  [4986] = 4926,
  [4987] = 2771,
  [4988] = 2625,
  [4989] = 4926,
  [4990] = 4926,
  [4991] = 4926,
  [4992] = 4926,
  [4993] = 4926,
  [4994] = 4994,
  [4995] = 2664,
  [4996] = 2665,
  [4997] = 2667,
  [4998] = 4926,
  [4999] = 4926,
  [5000] = 2671,
  [5001] = 2678,
  [5002] = 2687,
  [5003] = 4926,
  [5004] = 4926,
  [5005] = 2775,
  [5006] = 2848,
  [5007] = 2777,
  [5008] = 4926,
  [5009] = 2778,
  [5010] = 2779,
  [5011] = 2782,
  [5012] = 4926,
  [5013] = 2797,
  [5014] = 2784,
  [5015] = 2785,
  [5016] = 4926,
  [5017] = 2786,
  [5018] = 2787,
  [5019] = 2799,
  [5020] = 3561,
  [5021] = 4926,
  [5022] = 2788,
  [5023] = 2789,
  [5024] = 4926,
  [5025] = 4926,
  [5026] = 2790,
  [5027] = 4926,
  [5028] = 2793,
  [5029] = 2794,
  [5030] = 4926,
  [5031] = 2795,
  [5032] = 4926,
  [5033] = 2796,
  [5034] = 4926,
  [5035] = 4926,
  [5036] = 4926,
  [5037] = 4926,
  [5038] = 4926,
  [5039] = 4926,
  [5040] = 4926,
  [5041] = 4926,
  [5042] = 4926,
  [5043] = 4926,
  [5044] = 4926,
  [5045] = 4926,
  [5046] = 4926,
  [5047] = 4926,
  [5048] = 4926,
  [5049] = 4926,
  [5050] = 4926,
  [5051] = 4926,
  [5052] = 4926,
  [5053] = 4926,
  [5054] = 4926,
  [5055] = 4926,
  [5056] = 4926,
  [5057] = 4926,
  [5058] = 2625,
  [5059] = 4994,
  [5060] = 4926,
  [5061] = 4926,
  [5062] = 2673,
  [5063] = 2634,
  [5064] = 5064,
  [5065] = 5064,
  [5066] = 5064,
  [5067] = 5064,
  [5068] = 5064,
  [5069] = 5064,
  [5070] = 2845,
  [5071] = 2846,
  [5072] = 2847,
  [5073] = 2776,
  [5074] = 2791,
  [5075] = 2697,
  [5076] = 2701,
  [5077] = 2802,
  [5078] = 2750,
  [5079] = 2705,
  [5080] = 2723,
  [5081] = 2726,
  [5082] = 2840,
  [5083] = 2782,
  [5084] = 2842,
  [5085] = 2843,
  [5086] = 2864,
  [5087] = 2866,
  [5088] = 2842,
  [5089] = 2788,
  [5090] = 2692,
  [5091] = 2719,
  [5092] = 2770,
  [5093] = 2871,
  [5094] = 2771,
  [5095] = 2876,
  [5096] = 2797,
  [5097] = 2843,
  [5098] = 2891,
  [5099] = 2896,
  [5100] = 2698,
  [5101] = 2784,
  [5102] = 2785,
  [5103] = 2786,
  [5104] = 2787,
  [5105] = 2799,
  [5106] = 2788,
  [5107] = 2897,
  [5108] = 2789,
  [5109] = 2701,
  [5110] = 2898,
  [5111] = 2899,
  [5112] = 2783,
  [5113] = 2791,
  [5114] = 2901,
  [5115] = 5115,
  [5116] = 2777,
  [5117] = 2902,
  [5118] = 2790,
  [5119] = 2903,
  [5120] = 2793,
  [5121] = 2904,
  [5122] = 2711,
  [5123] = 2794,
  [5124] = 2820,
  [5125] = 2795,
  [5126] = 2864,
  [5127] = 2796,
  [5128] = 2845,
  [5129] = 2771,
  [5130] = 2866,
  [5131] = 2750,
  [5132] = 2693,
  [5133] = 2692,
  [5134] = 2798,
  [5135] = 2694,
  [5136] = 2695,
  [5137] = 2777,
  [5138] = 2871,
  [5139] = 2876,
  [5140] = 2891,
  [5141] = 2896,
  [5142] = 2699,
  [5143] = 2779,
  [5144] = 2846,
  [5145] = 2788,
  [5146] = 2789,
  [5147] = 2700,
  [5148] = 2703,
  [5149] = 2704,
  [5150] = 2775,
  [5151] = 2847,
  [5152] = 2776,
  [5153] = 2778,
  [5154] = 2740,
  [5155] = 2796,
  [5156] = 2705,
  [5157] = 2782,
  [5158] = 2897,
  [5159] = 2784,
  [5160] = 2785,
  [5161] = 2898,
  [5162] = 2708,
  [5163] = 2899,
  [5164] = 2786,
  [5165] = 2723,
  [5166] = 2787,
  [5167] = 2726,
  [5168] = 5115,
  [5169] = 2790,
  [5170] = 2793,
  [5171] = 2794,
  [5172] = 2795,
  [5173] = 2797,
  [5174] = 2799,
  [5175] = 2770,
  [5176] = 2901,
  [5177] = 2636,
  [5178] = 2902,
  [5179] = 2903,
  [5180] = 2798,
  [5181] = 2904,
  [5182] = 2820,
  [5183] = 3706,
  [5184] = 2693,
  [5185] = 2694,
  [5186] = 2816,
  [5187] = 2634,
  [5188] = 2741,
  [5189] = 2699,
  [5190] = 2700,
  [5191] = 2703,
  [5192] = 2809,
  [5193] = 2704,
  [5194] = 3827,
  [5195] = 2800,
  [5196] = 2802,
  [5197] = 3561,
  [5198] = 2800,
  [5199] = 2775,
  [5200] = 2848,
  [5201] = 2776,
  [5202] = 2824,
  [5203] = 2833,
  [5204] = 2837,
  [5205] = 2777,
  [5206] = 2708,
  [5207] = 2711,
  [5208] = 2845,
  [5209] = 2846,
  [5210] = 2847,
  [5211] = 2778,
  [5212] = 2848,
  [5213] = 2777,
  [5214] = 2625,
  [5215] = 2673,
  [5216] = 2816,
  [5217] = 2719,
  [5218] = 2779,
  [5219] = 2673,
  [5220] = 2788,
  [5221] = 2740,
  [5222] = 2824,
  [5223] = 2657,
  [5224] = 2741,
  [5225] = 2833,
  [5226] = 2837,
  [5227] = 2695,
  [5228] = 2664,
  [5229] = 2665,
  [5230] = 2667,
  [5231] = 2671,
  [5232] = 2678,
  [5233] = 2687,
  [5234] = 2809,
  [5235] = 2697,
  [5236] = 2783,
  [5237] = 2698,
  [5238] = 2840,
  [5239] = 5239,
  [5240] = 2799,
  [5241] = 2695,
  [5242] = 2786,
  [5243] = 2701,
  [5244] = 5244,
  [5245] = 2787,
  [5246] = 2790,
  [5247] = 2793,
  [5248] = 2705,
  [5249] = 2794,
  [5250] = 2795,
  [5251] = 2783,
  [5252] = 3706,
  [5253] = 2791,
  [5254] = 2796,
  [5255] = 2798,
  [5256] = 5256,
  [5257] = 2777,
  [5258] = 5258,
  [5259] = 2723,
  [5260] = 2726,
  [5261] = 2845,
  [5262] = 2775,
  [5263] = 2846,
  [5264] = 2847,
  [5265] = 2848,
  [5266] = 2775,
  [5267] = 2788,
  [5268] = 2776,
  [5269] = 2777,
  [5270] = 2779,
  [5271] = 3561,
  [5272] = 2789,
  [5273] = 2779,
  [5274] = 2784,
  [5275] = 2800,
  [5276] = 2802,
  [5277] = 2778,
  [5278] = 2809,
  [5279] = 2796,
  [5280] = 2776,
  [5281] = 2797,
  [5282] = 5258,
  [5283] = 2779,
  [5284] = 2782,
  [5285] = 2698,
  [5286] = 2697,
  [5287] = 2824,
  [5288] = 2833,
  [5289] = 2797,
  [5290] = 5239,
  [5291] = 2837,
  [5292] = 2799,
  [5293] = 2784,
  [5294] = 2840,
  [5295] = 2786,
  [5296] = 2787,
  [5297] = 2799,
  [5298] = 2782,
  [5299] = 2785,
  [5300] = 2788,
  [5301] = 2789,
  [5302] = 2842,
  [5303] = 2784,
  [5304] = 2789,
  [5305] = 2843,
  [5306] = 2788,
  [5307] = 2777,
  [5308] = 2750,
  [5309] = 2864,
  [5310] = 2740,
  [5311] = 2866,
  [5312] = 3827,
  [5313] = 2692,
  [5314] = 2871,
  [5315] = 2876,
  [5316] = 2891,
  [5317] = 2896,
  [5318] = 2897,
  [5319] = 2898,
  [5320] = 2775,
  [5321] = 2899,
  [5322] = 2901,
  [5323] = 2902,
  [5324] = 2903,
  [5325] = 2904,
  [5326] = 2820,
  [5327] = 2693,
  [5328] = 2694,
  [5329] = 2776,
  [5330] = 2741,
  [5331] = 2816,
  [5332] = 2770,
  [5333] = 2699,
  [5334] = 2700,
  [5335] = 2703,
  [5336] = 2704,
  [5337] = 2787,
  [5338] = 5338,
  [5339] = 2778,
  [5340] = 2708,
  [5341] = 2711,
  [5342] = 2782,
  [5343] = 2719,
  [5344] = 5344,
  [5345] = 2786,
  [5346] = 2797,
  [5347] = 2796,
  [5348] = 2673,
  [5349] = 5344,
  [5350] = 2778,
  [5351] = 2771,
  [5352] = 5352,
  [5353] = 2634,
  [5354] = 5354,
  [5355] = 2790,
  [5356] = 2782,
  [5357] = 5357,
  [5358] = 2797,
  [5359] = 2789,
  [5360] = 3706,
  [5361] = 3561,
  [5362] = 5362,
  [5363] = 2793,
  [5364] = 2784,
  [5365] = 2794,
  [5366] = 5366,
  [5367] = 2786,
  [5368] = 2795,
  [5369] = 5369,
  [5370] = 5369,
  [5371] = 2787,
  [5372] = 2799,
  [5373] = 5373,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 2845,
  [5377] = 5377,
  [5378] = 2846,
  [5379] = 5373,
  [5380] = 5380,
  [5381] = 2847,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 2771,
  [5385] = 2846,
  [5386] = 2847,
  [5387] = 5387,
  [5388] = 5388,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5352,
  [5394] = 5374,
  [5395] = 2848,
  [5396] = 5396,
  [5397] = 5344,
  [5398] = 5398,
  [5399] = 5375,
  [5400] = 5400,
  [5401] = 5380,
  [5402] = 5362,
  [5403] = 5403,
  [5404] = 2775,
  [5405] = 2776,
  [5406] = 5357,
  [5407] = 5407,
  [5408] = 2778,
  [5409] = 2779,
  [5410] = 2782,
  [5411] = 5258,
  [5412] = 5377,
  [5413] = 5382,
  [5414] = 5414,
  [5415] = 5383,
  [5416] = 2784,
  [5417] = 5388,
  [5418] = 2786,
  [5419] = 2787,
  [5420] = 2779,
  [5421] = 2789,
  [5422] = 5387,
  [5423] = 2848,
  [5424] = 5424,
  [5425] = 5389,
  [5426] = 5390,
  [5427] = 5391,
  [5428] = 2687,
  [5429] = 5429,
  [5430] = 5344,
  [5431] = 5398,
  [5432] = 2636,
  [5433] = 5239,
  [5434] = 2796,
  [5435] = 5392,
  [5436] = 2797,
  [5437] = 2799,
  [5438] = 5396,
  [5439] = 5424,
  [5440] = 5400,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 5445,
  [5446] = 5446,
  [5447] = 5447,
  [5448] = 5446,
  [5449] = 5407,
  [5450] = 2785,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 2770,
  [5454] = 5454,
  [5455] = 2770,
  [5456] = 2673,
  [5457] = 3827,
  [5458] = 3561,
  [5459] = 5414,
  [5460] = 2845,
  [5461] = 2775,
  [5462] = 5366,
  [5463] = 5258,
  [5464] = 5441,
  [5465] = 2785,
  [5466] = 2796,
  [5467] = 5239,
  [5468] = 2776,
  [5469] = 5429,
  [5470] = 2778,
  [5471] = 5451,
  [5472] = 2790,
  [5473] = 5452,
  [5474] = 2793,
  [5475] = 2794,
  [5476] = 2771,
  [5477] = 2795,
  [5478] = 5442,
  [5479] = 5454,
  [5480] = 5480,
  [5481] = 2625,
  [5482] = 5480,
  [5483] = 5445,
  [5484] = 5443,
  [5485] = 5403,
  [5486] = 5444,
  [5487] = 2657,
  [5488] = 5354,
  [5489] = 2664,
  [5490] = 2665,
  [5491] = 2667,
  [5492] = 2671,
  [5493] = 2678,
  [5494] = 5447,
  [5495] = 2896,
  [5496] = 5398,
  [5497] = 2848,
  [5498] = 2799,
  [5499] = 5388,
  [5500] = 5403,
  [5501] = 5390,
  [5502] = 5392,
  [5503] = 5400,
  [5504] = 5407,
  [5505] = 3561,
  [5506] = 5396,
  [5507] = 2711,
  [5508] = 5400,
  [5509] = 2671,
  [5510] = 5352,
  [5511] = 5414,
  [5512] = 5407,
  [5513] = 5357,
  [5514] = 5362,
  [5515] = 2775,
  [5516] = 2776,
  [5517] = 2678,
  [5518] = 2777,
  [5519] = 2785,
  [5520] = 2698,
  [5521] = 2778,
  [5522] = 5442,
  [5523] = 5429,
  [5524] = 5443,
  [5525] = 5446,
  [5526] = 2779,
  [5527] = 5383,
  [5528] = 5444,
  [5529] = 5445,
  [5530] = 3706,
  [5531] = 5441,
  [5532] = 5451,
  [5533] = 2790,
  [5534] = 2701,
  [5535] = 2846,
  [5536] = 5414,
  [5537] = 2793,
  [5538] = 5424,
  [5539] = 2848,
  [5540] = 5480,
  [5541] = 2794,
  [5542] = 2782,
  [5543] = 2795,
  [5544] = 5452,
  [5545] = 2784,
  [5546] = 5454,
  [5547] = 5388,
  [5548] = 2708,
  [5549] = 3706,
  [5550] = 2785,
  [5551] = 5424,
  [5552] = 5357,
  [5553] = 5447,
  [5554] = 2636,
  [5555] = 2786,
  [5556] = 5362,
  [5557] = 5403,
  [5558] = 2750,
  [5559] = 5354,
  [5560] = 2771,
  [5561] = 2787,
  [5562] = 2788,
  [5563] = 5396,
  [5564] = 5447,
  [5565] = 5389,
  [5566] = 2697,
  [5567] = 5391,
  [5568] = 2789,
  [5569] = 2790,
  [5570] = 5352,
  [5571] = 2845,
  [5572] = 5446,
  [5573] = 2790,
  [5574] = 5451,
  [5575] = 2793,
  [5576] = 5452,
  [5577] = 2705,
  [5578] = 2794,
  [5579] = 2673,
  [5580] = 2795,
  [5581] = 5380,
  [5582] = 5390,
  [5583] = 2848,
  [5584] = 2625,
  [5585] = 5398,
  [5586] = 2793,
  [5587] = 5354,
  [5588] = 5392,
  [5589] = 2794,
  [5590] = 2796,
  [5591] = 2740,
  [5592] = 2795,
  [5593] = 5442,
  [5594] = 5443,
  [5595] = 5444,
  [5596] = 2845,
  [5597] = 5445,
  [5598] = 2797,
  [5599] = 5441,
  [5600] = 2771,
  [5601] = 5454,
  [5602] = 2770,
  [5603] = 5429,
  [5604] = 3827,
  [5605] = 2723,
  [5606] = 5387,
  [5607] = 2847,
  [5608] = 2719,
  [5609] = 2846,
  [5610] = 5366,
  [5611] = 5480,
  [5612] = 3827,
  [5613] = 5369,
  [5614] = 5373,
  [5615] = 5374,
  [5616] = 2726,
  [5617] = 2770,
  [5618] = 2771,
  [5619] = 2741,
  [5620] = 2845,
  [5621] = 2846,
  [5622] = 5375,
  [5623] = 5380,
  [5624] = 2783,
  [5625] = 2657,
  [5626] = 5377,
  [5627] = 2791,
  [5628] = 5366,
  [5629] = 2798,
  [5630] = 5369,
  [5631] = 2800,
  [5632] = 2802,
  [5633] = 5373,
  [5634] = 2809,
  [5635] = 2816,
  [5636] = 5374,
  [5637] = 5375,
  [5638] = 2673,
  [5639] = 5382,
  [5640] = 2824,
  [5641] = 2833,
  [5642] = 2837,
  [5643] = 2840,
  [5644] = 2842,
  [5645] = 2843,
  [5646] = 5383,
  [5647] = 5387,
  [5648] = 2864,
  [5649] = 2866,
  [5650] = 5389,
  [5651] = 2692,
  [5652] = 2847,
  [5653] = 2871,
  [5654] = 2876,
  [5655] = 2891,
  [5656] = 2897,
  [5657] = 2898,
  [5658] = 2899,
  [5659] = 2901,
  [5660] = 2902,
  [5661] = 2903,
  [5662] = 5377,
  [5663] = 2904,
  [5664] = 2820,
  [5665] = 2664,
  [5666] = 2693,
  [5667] = 2694,
  [5668] = 2695,
  [5669] = 5391,
  [5670] = 2665,
  [5671] = 2770,
  [5672] = 2687,
  [5673] = 2699,
  [5674] = 2667,
  [5675] = 2700,
  [5676] = 5382,
  [5677] = 2703,
  [5678] = 2704,
  [5679] = 2847,
  [5680] = 2634,
  [5681] = 2785,
  [5682] = 2625,
  [5683] = 5683,
  [5684] = 2687,
  [5685] = 2833,
  [5686] = 2634,
  [5687] = 2837,
  [5688] = 2701,
  [5689] = 2777,
  [5690] = 2723,
  [5691] = 2840,
  [5692] = 2842,
  [5693] = 2843,
  [5694] = 2740,
  [5695] = 2726,
  [5696] = 2864,
  [5697] = 2866,
  [5698] = 3706,
  [5699] = 2816,
  [5700] = 2785,
  [5701] = 2796,
  [5702] = 2786,
  [5703] = 2789,
  [5704] = 2698,
  [5705] = 2697,
  [5706] = 2784,
  [5707] = 2845,
  [5708] = 2692,
  [5709] = 5683,
  [5710] = 2871,
  [5711] = 2793,
  [5712] = 2782,
  [5713] = 2876,
  [5714] = 2891,
  [5715] = 2770,
  [5716] = 5683,
  [5717] = 2787,
  [5718] = 2896,
  [5719] = 2897,
  [5720] = 3827,
  [5721] = 2705,
  [5722] = 2846,
  [5723] = 2778,
  [5724] = 2898,
  [5725] = 2847,
  [5726] = 5683,
  [5727] = 5683,
  [5728] = 2899,
  [5729] = 2671,
  [5730] = 2678,
  [5731] = 2901,
  [5732] = 2794,
  [5733] = 2902,
  [5734] = 2719,
  [5735] = 2903,
  [5736] = 5683,
  [5737] = 2673,
  [5738] = 2657,
  [5739] = 2904,
  [5740] = 2703,
  [5741] = 2820,
  [5742] = 2783,
  [5743] = 2790,
  [5744] = 2693,
  [5745] = 2708,
  [5746] = 2673,
  [5747] = 2694,
  [5748] = 2848,
  [5749] = 2788,
  [5750] = 2741,
  [5751] = 2797,
  [5752] = 2775,
  [5753] = 2795,
  [5754] = 2791,
  [5755] = 2798,
  [5756] = 2779,
  [5757] = 2800,
  [5758] = 2802,
  [5759] = 2695,
  [5760] = 2799,
  [5761] = 2776,
  [5762] = 2664,
  [5763] = 2665,
  [5764] = 2809,
  [5765] = 2667,
  [5766] = 2711,
  [5767] = 2704,
  [5768] = 2699,
  [5769] = 2700,
  [5770] = 2771,
  [5771] = 2824,
  [5772] = 2636,
  [5773] = 2750,
  [5774] = 2625,
  [5775] = 2697,
  [5776] = 2657,
  [5777] = 2664,
  [5778] = 2665,
  [5779] = 2667,
  [5780] = 2671,
  [5781] = 2678,
  [5782] = 2687,
  [5783] = 2625,
  [5784] = 2845,
  [5785] = 2846,
  [5786] = 2625,
  [5787] = 2847,
  [5788] = 2848,
  [5789] = 2845,
  [5790] = 2846,
  [5791] = 2847,
  [5792] = 2848,
  [5793] = 2634,
  [5794] = 2636,
  [5795] = 2783,
  [5796] = 2771,
  [5797] = 2791,
  [5798] = 2798,
  [5799] = 2800,
  [5800] = 2802,
  [5801] = 2809,
  [5802] = 2824,
  [5803] = 2833,
  [5804] = 2837,
  [5805] = 2840,
  [5806] = 2842,
  [5807] = 2843,
  [5808] = 2657,
  [5809] = 2864,
  [5810] = 2866,
  [5811] = 2692,
  [5812] = 2871,
  [5813] = 2876,
  [5814] = 2891,
  [5815] = 2896,
  [5816] = 2897,
  [5817] = 2898,
  [5818] = 2899,
  [5819] = 2901,
  [5820] = 2902,
  [5821] = 2903,
  [5822] = 2904,
  [5823] = 2820,
  [5824] = 2693,
  [5825] = 2694,
  [5826] = 2664,
  [5827] = 2665,
  [5828] = 2667,
  [5829] = 2699,
  [5830] = 2700,
  [5831] = 2703,
  [5832] = 2704,
  [5833] = 2671,
  [5834] = 2678,
  [5835] = 2687,
  [5836] = 2708,
  [5837] = 2625,
  [5838] = 2711,
  [5839] = 2698,
  [5840] = 2719,
  [5841] = 2701,
  [5842] = 2634,
  [5843] = 2657,
  [5844] = 2636,
  [5845] = 2664,
  [5846] = 2665,
  [5847] = 2667,
  [5848] = 2671,
  [5849] = 2678,
  [5850] = 2687,
  [5851] = 2740,
  [5852] = 2697,
  [5853] = 2657,
  [5854] = 2698,
  [5855] = 2750,
  [5856] = 2664,
  [5857] = 2665,
  [5858] = 2667,
  [5859] = 2705,
  [5860] = 2671,
  [5861] = 2678,
  [5862] = 2687,
  [5863] = 2723,
  [5864] = 2726,
  [5865] = 2740,
  [5866] = 2750,
  [5867] = 2634,
  [5868] = 2657,
  [5869] = 2636,
  [5870] = 2664,
  [5871] = 2665,
  [5872] = 2845,
  [5873] = 2667,
  [5874] = 2671,
  [5875] = 2678,
  [5876] = 2687,
  [5877] = 2770,
  [5878] = 2741,
  [5879] = 2634,
  [5880] = 2846,
  [5881] = 2847,
  [5882] = 2657,
  [5883] = 2701,
  [5884] = 2636,
  [5885] = 2664,
  [5886] = 2665,
  [5887] = 2667,
  [5888] = 2671,
  [5889] = 2678,
  [5890] = 2687,
  [5891] = 2741,
  [5892] = 2845,
  [5893] = 2634,
  [5894] = 2848,
  [5895] = 2636,
  [5896] = 2846,
  [5897] = 2847,
  [5898] = 2634,
  [5899] = 2636,
  [5900] = 2625,
  [5901] = 2673,
  [5902] = 2673,
  [5903] = 2673,
  [5904] = 2673,
  [5905] = 2673,
  [5906] = 2848,
  [5907] = 2705,
  [5908] = 2816,
  [5909] = 2770,
  [5910] = 2723,
  [5911] = 2695,
  [5912] = 2816,
  [5913] = 2775,
  [5914] = 2776,
  [5915] = 2777,
  [5916] = 2778,
  [5917] = 2779,
  [5918] = 2782,
  [5919] = 2784,
  [5920] = 2785,
  [5921] = 2786,
  [5922] = 2787,
  [5923] = 2788,
  [5924] = 2789,
  [5925] = 2790,
  [5926] = 2793,
  [5927] = 2794,
  [5928] = 2795,
  [5929] = 2770,
  [5930] = 2796,
  [5931] = 2783,
  [5932] = 2695,
  [5933] = 2791,
  [5934] = 2797,
  [5935] = 2798,
  [5936] = 2800,
  [5937] = 2802,
  [5938] = 2809,
  [5939] = 2824,
  [5940] = 2833,
  [5941] = 2837,
  [5942] = 2636,
  [5943] = 2842,
  [5944] = 2843,
  [5945] = 2657,
  [5946] = 2864,
  [5947] = 2866,
  [5948] = 2692,
  [5949] = 2871,
  [5950] = 2876,
  [5951] = 2891,
  [5952] = 2896,
  [5953] = 2897,
  [5954] = 2898,
  [5955] = 2899,
  [5956] = 2901,
  [5957] = 2902,
  [5958] = 2799,
  [5959] = 2903,
  [5960] = 2904,
  [5961] = 2820,
  [5962] = 2625,
  [5963] = 2693,
  [5964] = 2694,
  [5965] = 2664,
  [5966] = 2665,
  [5967] = 2667,
  [5968] = 2699,
  [5969] = 2673,
  [5970] = 2700,
  [5971] = 2703,
  [5972] = 2704,
  [5973] = 2671,
  [5974] = 2678,
  [5975] = 2687,
  [5976] = 2708,
  [5977] = 2775,
  [5978] = 2776,
  [5979] = 2777,
  [5980] = 2778,
  [5981] = 2711,
  [5982] = 2779,
  [5983] = 2782,
  [5984] = 2784,
  [5985] = 2785,
  [5986] = 2786,
  [5987] = 2787,
  [5988] = 2788,
  [5989] = 2719,
  [5990] = 2789,
  [5991] = 2771,
  [5992] = 2790,
  [5993] = 2793,
  [5994] = 2794,
  [5995] = 2795,
  [5996] = 2775,
  [5997] = 2776,
  [5998] = 2777,
  [5999] = 2778,
  [6000] = 2796,
  [6001] = 2771,
  [6002] = 2779,
  [6003] = 2673,
  [6004] = 2740,
  [6005] = 2741,
  [6006] = 2797,
  [6007] = 2782,
  [6008] = 2634,
  [6009] = 2697,
  [6010] = 2799,
  [6011] = 2657,
  [6012] = 2698,
  [6013] = 2701,
  [6014] = 2726,
  [6015] = 2636,
  [6016] = 2784,
  [6017] = 2750,
  [6018] = 2664,
  [6019] = 2665,
  [6020] = 2667,
  [6021] = 2705,
  [6022] = 2671,
  [6023] = 2678,
  [6024] = 2785,
  [6025] = 2687,
  [6026] = 2723,
  [6027] = 2726,
  [6028] = 2783,
  [6029] = 2786,
  [6030] = 2787,
  [6031] = 2791,
  [6032] = 2788,
  [6033] = 2798,
  [6034] = 2800,
  [6035] = 2802,
  [6036] = 2809,
  [6037] = 2816,
  [6038] = 2789,
  [6039] = 2790,
  [6040] = 2824,
  [6041] = 2833,
  [6042] = 2837,
  [6043] = 2793,
  [6044] = 2840,
  [6045] = 2842,
  [6046] = 2843,
  [6047] = 2794,
  [6048] = 3561,
  [6049] = 2795,
  [6050] = 2864,
  [6051] = 2866,
  [6052] = 2692,
  [6053] = 2871,
  [6054] = 2876,
  [6055] = 2891,
  [6056] = 2896,
  [6057] = 2897,
  [6058] = 2796,
  [6059] = 2898,
  [6060] = 2899,
  [6061] = 2901,
  [6062] = 2902,
  [6063] = 2903,
  [6064] = 2904,
  [6065] = 2820,
  [6066] = 2693,
  [6067] = 2694,
  [6068] = 2695,
  [6069] = 2797,
  [6070] = 2699,
  [6071] = 2799,
  [6072] = 2700,
  [6073] = 2703,
  [6074] = 2704,
  [6075] = 2708,
  [6076] = 2711,
  [6077] = 2634,
  [6078] = 2719,
  [6079] = 2840,
  [6080] = 2793,
  [6081] = 2693,
  [6082] = 2694,
  [6083] = 2695,
  [6084] = 2636,
  [6085] = 2705,
  [6086] = 2723,
  [6087] = 6087,
  [6088] = 2699,
  [6089] = 2700,
  [6090] = 2703,
  [6091] = 2704,
  [6092] = 2705,
  [6093] = 2726,
  [6094] = 2824,
  [6095] = 2673,
  [6096] = 2708,
  [6097] = 2723,
  [6098] = 2726,
  [6099] = 2783,
  [6100] = 2711,
  [6101] = 2833,
  [6102] = 2791,
  [6103] = 2740,
  [6104] = 2798,
  [6105] = 2837,
  [6106] = 2800,
  [6107] = 2802,
  [6108] = 2809,
  [6109] = 2816,
  [6110] = 2636,
  [6111] = 2741,
  [6112] = 2824,
  [6113] = 2833,
  [6114] = 2837,
  [6115] = 2840,
  [6116] = 2697,
  [6117] = 2840,
  [6118] = 2842,
  [6119] = 2843,
  [6120] = 2842,
  [6121] = 2864,
  [6122] = 2866,
  [6123] = 2692,
  [6124] = 2719,
  [6125] = 2871,
  [6126] = 2876,
  [6127] = 2891,
  [6128] = 2896,
  [6129] = 2698,
  [6130] = 2897,
  [6131] = 2843,
  [6132] = 2898,
  [6133] = 2899,
  [6134] = 2901,
  [6135] = 2671,
  [6136] = 2902,
  [6137] = 2903,
  [6138] = 2904,
  [6139] = 2820,
  [6140] = 2750,
  [6141] = 2693,
  [6142] = 2694,
  [6143] = 2695,
  [6144] = 2864,
  [6145] = 2866,
  [6146] = 2692,
  [6147] = 2699,
  [6148] = 2634,
  [6149] = 2700,
  [6150] = 2703,
  [6151] = 2704,
  [6152] = 2705,
  [6153] = 2871,
  [6154] = 6154,
  [6155] = 2876,
  [6156] = 2708,
  [6157] = 2723,
  [6158] = 2726,
  [6159] = 2789,
  [6160] = 2711,
  [6161] = 2891,
  [6162] = 2740,
  [6163] = 2741,
  [6164] = 2816,
  [6165] = 2896,
  [6166] = 2697,
  [6167] = 2634,
  [6168] = 2776,
  [6169] = 2790,
  [6170] = 2719,
  [6171] = 2698,
  [6172] = 2701,
  [6173] = 2897,
  [6174] = 2790,
  [6175] = 2750,
  [6176] = 2695,
  [6177] = 2657,
  [6178] = 2898,
  [6179] = 2899,
  [6180] = 2705,
  [6181] = 2723,
  [6182] = 2726,
  [6183] = 2770,
  [6184] = 2740,
  [6185] = 2741,
  [6186] = 6087,
  [6187] = 2901,
  [6188] = 2697,
  [6189] = 2698,
  [6190] = 2701,
  [6191] = 2902,
  [6192] = 2750,
  [6193] = 2705,
  [6194] = 2723,
  [6195] = 2726,
  [6196] = 2775,
  [6197] = 2776,
  [6198] = 2903,
  [6199] = 2777,
  [6200] = 2904,
  [6201] = 2778,
  [6202] = 2770,
  [6203] = 2779,
  [6204] = 2771,
  [6205] = 2782,
  [6206] = 2741,
  [6207] = 2797,
  [6208] = 2636,
  [6209] = 2784,
  [6210] = 2785,
  [6211] = 2786,
  [6212] = 2787,
  [6213] = 2799,
  [6214] = 2673,
  [6215] = 2673,
  [6216] = 2673,
  [6217] = 2673,
  [6218] = 2788,
  [6219] = 2789,
  [6220] = 2664,
  [6221] = 2665,
  [6222] = 2667,
  [6223] = 2701,
  [6224] = 2671,
  [6225] = 2790,
  [6226] = 2678,
  [6227] = 2687,
  [6228] = 6154,
  [6229] = 2701,
  [6230] = 2820,
  [6231] = 2693,
  [6232] = 2694,
  [6233] = 2664,
  [6234] = 2794,
  [6235] = 2795,
  [6236] = 2770,
  [6237] = 2796,
  [6238] = 2771,
  [6239] = 2741,
  [6240] = 2625,
  [6241] = 2788,
  [6242] = 2701,
  [6243] = 2797,
  [6244] = 2777,
  [6245] = 2678,
  [6246] = 2770,
  [6247] = 2771,
  [6248] = 2778,
  [6249] = 2795,
  [6250] = 2687,
  [6251] = 2667,
  [6252] = 2784,
  [6253] = 2793,
  [6254] = 2699,
  [6255] = 6087,
  [6256] = 6087,
  [6257] = 2845,
  [6258] = 2634,
  [6259] = 2625,
  [6260] = 2673,
  [6261] = 2846,
  [6262] = 2847,
  [6263] = 2700,
  [6264] = 6154,
  [6265] = 2848,
  [6266] = 2703,
  [6267] = 2664,
  [6268] = 2771,
  [6269] = 2704,
  [6270] = 2783,
  [6271] = 2784,
  [6272] = 2785,
  [6273] = 2789,
  [6274] = 2665,
  [6275] = 2845,
  [6276] = 2708,
  [6277] = 2667,
  [6278] = 2657,
  [6279] = 2846,
  [6280] = 2847,
  [6281] = 2791,
  [6282] = 2673,
  [6283] = 2711,
  [6284] = 2779,
  [6285] = 2794,
  [6286] = 2793,
  [6287] = 2816,
  [6288] = 2848,
  [6289] = 2673,
  [6290] = 2634,
  [6291] = 2770,
  [6292] = 2719,
  [6293] = 2636,
  [6294] = 2794,
  [6295] = 2795,
  [6296] = 2845,
  [6297] = 2788,
  [6298] = 2671,
  [6299] = 2845,
  [6300] = 2678,
  [6301] = 2687,
  [6302] = 2783,
  [6303] = 2791,
  [6304] = 2846,
  [6305] = 2770,
  [6306] = 2847,
  [6307] = 2798,
  [6308] = 2664,
  [6309] = 2665,
  [6310] = 2667,
  [6311] = 2846,
  [6312] = 2847,
  [6313] = 2636,
  [6314] = 2796,
  [6315] = 2800,
  [6316] = 2802,
  [6317] = 2809,
  [6318] = 2625,
  [6319] = 2771,
  [6320] = 2695,
  [6321] = 2824,
  [6322] = 2833,
  [6323] = 2848,
  [6324] = 2837,
  [6325] = 2840,
  [6326] = 2842,
  [6327] = 2843,
  [6328] = 2664,
  [6329] = 2864,
  [6330] = 2866,
  [6331] = 2692,
  [6332] = 2871,
  [6333] = 2876,
  [6334] = 2891,
  [6335] = 2896,
  [6336] = 2897,
  [6337] = 2898,
  [6338] = 2899,
  [6339] = 2901,
  [6340] = 2798,
  [6341] = 2902,
  [6342] = 2903,
  [6343] = 2904,
  [6344] = 2820,
  [6345] = 2693,
  [6346] = 2694,
  [6347] = 2800,
  [6348] = 2802,
  [6349] = 2786,
  [6350] = 2699,
  [6351] = 2700,
  [6352] = 2848,
  [6353] = 2703,
  [6354] = 2704,
  [6355] = 2726,
  [6356] = 2665,
  [6357] = 2678,
  [6358] = 2673,
  [6359] = 2775,
  [6360] = 2809,
  [6361] = 2708,
  [6362] = 2783,
  [6363] = 2776,
  [6364] = 2671,
  [6365] = 2711,
  [6366] = 2797,
  [6367] = 2678,
  [6368] = 2687,
  [6369] = 2777,
  [6370] = 2657,
  [6371] = 2778,
  [6372] = 2791,
  [6373] = 2779,
  [6374] = 2687,
  [6375] = 2845,
  [6376] = 2845,
  [6377] = 2798,
  [6378] = 2800,
  [6379] = 2782,
  [6380] = 2802,
  [6381] = 2625,
  [6382] = 2846,
  [6383] = 2847,
  [6384] = 2784,
  [6385] = 2785,
  [6386] = 2786,
  [6387] = 2787,
  [6388] = 2809,
  [6389] = 2788,
  [6390] = 2789,
  [6391] = 2848,
  [6392] = 2790,
  [6393] = 2816,
  [6394] = 2824,
  [6395] = 2793,
  [6396] = 2794,
  [6397] = 2833,
  [6398] = 2783,
  [6399] = 2795,
  [6400] = 2837,
  [6401] = 2846,
  [6402] = 2840,
  [6403] = 2842,
  [6404] = 2843,
  [6405] = 2740,
  [6406] = 2864,
  [6407] = 2673,
  [6408] = 2796,
  [6409] = 2866,
  [6410] = 2791,
  [6411] = 2782,
  [6412] = 2798,
  [6413] = 2692,
  [6414] = 2800,
  [6415] = 2802,
  [6416] = 2719,
  [6417] = 2809,
  [6418] = 2816,
  [6419] = 2871,
  [6420] = 2876,
  [6421] = 2824,
  [6422] = 2833,
  [6423] = 2837,
  [6424] = 2891,
  [6425] = 2840,
  [6426] = 2842,
  [6427] = 2843,
  [6428] = 2797,
  [6429] = 2896,
  [6430] = 2847,
  [6431] = 2864,
  [6432] = 2866,
  [6433] = 2692,
  [6434] = 2871,
  [6435] = 2876,
  [6436] = 2891,
  [6437] = 2896,
  [6438] = 2897,
  [6439] = 2897,
  [6440] = 2898,
  [6441] = 2898,
  [6442] = 2899,
  [6443] = 2901,
  [6444] = 2899,
  [6445] = 2901,
  [6446] = 2902,
  [6447] = 2902,
  [6448] = 2903,
  [6449] = 2904,
  [6450] = 2820,
  [6451] = 2903,
  [6452] = 2693,
  [6453] = 2694,
  [6454] = 2695,
  [6455] = 2904,
  [6456] = 2820,
  [6457] = 2848,
  [6458] = 2699,
  [6459] = 2700,
  [6460] = 2703,
  [6461] = 2704,
  [6462] = 2693,
  [6463] = 2694,
  [6464] = 2695,
  [6465] = 2787,
  [6466] = 2787,
  [6467] = 2708,
  [6468] = 2799,
  [6469] = 2699,
  [6470] = 2775,
  [6471] = 2700,
  [6472] = 2776,
  [6473] = 2777,
  [6474] = 2778,
  [6475] = 2703,
  [6476] = 2711,
  [6477] = 2779,
  [6478] = 2704,
  [6479] = 2782,
  [6480] = 2799,
  [6481] = 2634,
  [6482] = 2665,
  [6483] = 2657,
  [6484] = 2625,
  [6485] = 2775,
  [6486] = 6154,
  [6487] = 2708,
  [6488] = 2697,
  [6489] = 2799,
  [6490] = 3706,
  [6491] = 3561,
  [6492] = 2784,
  [6493] = 2785,
  [6494] = 2667,
  [6495] = 2783,
  [6496] = 2711,
  [6497] = 2698,
  [6498] = 2786,
  [6499] = 2771,
  [6500] = 2791,
  [6501] = 2740,
  [6502] = 2798,
  [6503] = 2787,
  [6504] = 2800,
  [6505] = 2802,
  [6506] = 2809,
  [6507] = 2816,
  [6508] = 2795,
  [6509] = 2788,
  [6510] = 2775,
  [6511] = 2796,
  [6512] = 2719,
  [6513] = 2789,
  [6514] = 2824,
  [6515] = 2776,
  [6516] = 2833,
  [6517] = 2837,
  [6518] = 2697,
  [6519] = 2840,
  [6520] = 2842,
  [6521] = 2843,
  [6522] = 2799,
  [6523] = 2864,
  [6524] = 2777,
  [6525] = 2866,
  [6526] = 2692,
  [6527] = 2719,
  [6528] = 2778,
  [6529] = 2871,
  [6530] = 2876,
  [6531] = 2891,
  [6532] = 2896,
  [6533] = 2698,
  [6534] = 2897,
  [6535] = 2790,
  [6536] = 2898,
  [6537] = 2899,
  [6538] = 2901,
  [6539] = 2750,
  [6540] = 3827,
  [6541] = 2779,
  [6542] = 2796,
  [6543] = 2793,
  [6544] = 2902,
  [6545] = 2785,
  [6546] = 2794,
  [6547] = 2795,
  [6548] = 2775,
  [6549] = 2776,
  [6550] = 2777,
  [6551] = 2778,
  [6552] = 2903,
  [6553] = 2779,
  [6554] = 2796,
  [6555] = 2782,
  [6556] = 2782,
  [6557] = 2740,
  [6558] = 2741,
  [6559] = 2797,
  [6560] = 2904,
  [6561] = 2784,
  [6562] = 2785,
  [6563] = 2786,
  [6564] = 2697,
  [6565] = 2787,
  [6566] = 2799,
  [6567] = 2788,
  [6568] = 2820,
  [6569] = 2789,
  [6570] = 2657,
  [6571] = 2698,
  [6572] = 2701,
  [6573] = 2797,
  [6574] = 2750,
  [6575] = 2750,
  [6576] = 2790,
  [6577] = 2705,
  [6578] = 2786,
  [6579] = 2793,
  [6580] = 2723,
  [6581] = 2794,
  [6582] = 2671,
  [6583] = 2770,
  [6584] = 2789,
  [6585] = 2708,
  [6586] = 2693,
  [6587] = 2790,
  [6588] = 2899,
  [6589] = 2790,
  [6590] = 2708,
  [6591] = 2793,
  [6592] = 2794,
  [6593] = 2794,
  [6594] = 2871,
  [6595] = 2795,
  [6596] = 2784,
  [6597] = 2793,
  [6598] = 2697,
  [6599] = 2796,
  [6600] = 2794,
  [6601] = 2795,
  [6602] = 2848,
  [6603] = 2795,
  [6604] = 2750,
  [6605] = 2719,
  [6606] = 2785,
  [6607] = 2797,
  [6608] = 2824,
  [6609] = 2695,
  [6610] = 2902,
  [6611] = 2903,
  [6612] = 2796,
  [6613] = 2845,
  [6614] = 2833,
  [6615] = 2904,
  [6616] = 6616,
  [6617] = 2791,
  [6618] = 2820,
  [6619] = 2799,
  [6620] = 2750,
  [6621] = 6621,
  [6622] = 2902,
  [6623] = 6616,
  [6624] = 2783,
  [6625] = 2693,
  [6626] = 2694,
  [6627] = 2775,
  [6628] = 2784,
  [6629] = 2694,
  [6630] = 2824,
  [6631] = 2816,
  [6632] = 2698,
  [6633] = 2791,
  [6634] = 2798,
  [6635] = 2833,
  [6636] = 2800,
  [6637] = 2837,
  [6638] = 2802,
  [6639] = 2705,
  [6640] = 2809,
  [6641] = 2837,
  [6642] = 2697,
  [6643] = 2824,
  [6644] = 2833,
  [6645] = 2837,
  [6646] = 2840,
  [6647] = 2842,
  [6648] = 2843,
  [6649] = 2901,
  [6650] = 2846,
  [6651] = 2657,
  [6652] = 2847,
  [6653] = 2864,
  [6654] = 2796,
  [6655] = 2866,
  [6656] = 2692,
  [6657] = 2790,
  [6658] = 2701,
  [6659] = 2871,
  [6660] = 2876,
  [6661] = 2891,
  [6662] = 2740,
  [6663] = 2896,
  [6664] = 2784,
  [6665] = 2897,
  [6666] = 2840,
  [6667] = 2898,
  [6668] = 2899,
  [6669] = 2901,
  [6670] = 2842,
  [6671] = 2902,
  [6672] = 2903,
  [6673] = 2904,
  [6674] = 2820,
  [6675] = 2693,
  [6676] = 2694,
  [6677] = 2843,
  [6678] = 2664,
  [6679] = 2665,
  [6680] = 2667,
  [6681] = 2699,
  [6682] = 2700,
  [6683] = 2695,
  [6684] = 2703,
  [6685] = 2704,
  [6686] = 2671,
  [6687] = 2678,
  [6688] = 2687,
  [6689] = 2699,
  [6690] = 2708,
  [6691] = 3561,
  [6692] = 2723,
  [6693] = 2864,
  [6694] = 2866,
  [6695] = 2711,
  [6696] = 2770,
  [6697] = 2726,
  [6698] = 2723,
  [6699] = 2845,
  [6700] = 2788,
  [6701] = 2692,
  [6702] = 2719,
  [6703] = 2789,
  [6704] = 2750,
  [6705] = 2794,
  [6706] = 2846,
  [6707] = 2711,
  [6708] = 2847,
  [6709] = 2840,
  [6710] = 2846,
  [6711] = 2847,
  [6712] = 2842,
  [6713] = 2726,
  [6714] = 2848,
  [6715] = 2771,
  [6716] = 2871,
  [6717] = 2719,
  [6718] = 2848,
  [6719] = 2876,
  [6720] = 2891,
  [6721] = 2896,
  [6722] = 2798,
  [6723] = 2786,
  [6724] = 2698,
  [6725] = 2897,
  [6726] = 2790,
  [6727] = 2701,
  [6728] = 2776,
  [6729] = 2898,
  [6730] = 2899,
  [6731] = 2901,
  [6732] = 2777,
  [6733] = 2778,
  [6734] = 2786,
  [6735] = 2784,
  [6736] = 2902,
  [6737] = 2903,
  [6738] = 2904,
  [6739] = 2820,
  [6740] = 2750,
  [6741] = 2700,
  [6742] = 2795,
  [6743] = 2697,
  [6744] = 2693,
  [6745] = 2694,
  [6746] = 2775,
  [6747] = 2695,
  [6748] = 2846,
  [6749] = 2771,
  [6750] = 2700,
  [6751] = 2847,
  [6752] = 2797,
  [6753] = 2786,
  [6754] = 2770,
  [6755] = 6621,
  [6756] = 2864,
  [6757] = 2705,
  [6758] = 2840,
  [6759] = 2842,
  [6760] = 2776,
  [6761] = 2843,
  [6762] = 2787,
  [6763] = 2634,
  [6764] = 2723,
  [6765] = 2775,
  [6766] = 2783,
  [6767] = 2790,
  [6768] = 2776,
  [6769] = 2726,
  [6770] = 2701,
  [6771] = 6616,
  [6772] = 2703,
  [6773] = 2777,
  [6774] = 2699,
  [6775] = 2741,
  [6776] = 2846,
  [6777] = 2866,
  [6778] = 2843,
  [6779] = 2847,
  [6780] = 2787,
  [6781] = 2700,
  [6782] = 2785,
  [6783] = 2703,
  [6784] = 2800,
  [6785] = 2802,
  [6786] = 2636,
  [6787] = 2787,
  [6788] = 2809,
  [6789] = 2778,
  [6790] = 2816,
  [6791] = 2799,
  [6792] = 2779,
  [6793] = 2789,
  [6794] = 2837,
  [6795] = 2903,
  [6796] = 2695,
  [6797] = 2782,
  [6798] = 2741,
  [6799] = 2797,
  [6800] = 2704,
  [6801] = 2705,
  [6802] = 2797,
  [6803] = 2703,
  [6804] = 2704,
  [6805] = 2824,
  [6806] = 2833,
  [6807] = 2837,
  [6808] = 2704,
  [6809] = 2793,
  [6810] = 2782,
  [6811] = 2705,
  [6812] = 2848,
  [6813] = 2697,
  [6814] = 2779,
  [6815] = 2788,
  [6816] = 2904,
  [6817] = 2799,
  [6818] = 2840,
  [6819] = 2842,
  [6820] = 2843,
  [6821] = 2788,
  [6822] = 2700,
  [6823] = 2703,
  [6824] = 2704,
  [6825] = 2705,
  [6826] = 2711,
  [6827] = 2794,
  [6828] = 2864,
  [6829] = 2866,
  [6830] = 2741,
  [6831] = 3706,
  [6832] = 2795,
  [6833] = 2692,
  [6834] = 2708,
  [6835] = 2719,
  [6836] = 2723,
  [6837] = 2777,
  [6838] = 2799,
  [6839] = 2775,
  [6840] = 2783,
  [6841] = 2776,
  [6842] = 2777,
  [6843] = 2871,
  [6844] = 2726,
  [6845] = 2775,
  [6846] = 2783,
  [6847] = 2784,
  [6848] = 2776,
  [6849] = 2778,
  [6850] = 2876,
  [6851] = 2777,
  [6852] = 2673,
  [6853] = 2778,
  [6854] = 2779,
  [6855] = 2711,
  [6856] = 2770,
  [6857] = 2891,
  [6858] = 2771,
  [6859] = 2771,
  [6860] = 2782,
  [6861] = 2791,
  [6862] = 2898,
  [6863] = 2798,
  [6864] = 2789,
  [6865] = 2800,
  [6866] = 2802,
  [6867] = 2782,
  [6868] = 2791,
  [6869] = 2797,
  [6870] = 2740,
  [6871] = 2809,
  [6872] = 2896,
  [6873] = 2785,
  [6874] = 2848,
  [6875] = 2899,
  [6876] = 2784,
  [6877] = 2785,
  [6878] = 2798,
  [6879] = 2824,
  [6880] = 2741,
  [6881] = 2833,
  [6882] = 2837,
  [6883] = 2786,
  [6884] = 2779,
  [6885] = 2840,
  [6886] = 2842,
  [6887] = 2843,
  [6888] = 2787,
  [6889] = 2793,
  [6890] = 2799,
  [6891] = 2788,
  [6892] = 2864,
  [6893] = 2866,
  [6894] = 2698,
  [6895] = 2788,
  [6896] = 2692,
  [6897] = 2782,
  [6898] = 2789,
  [6899] = 2871,
  [6900] = 2876,
  [6901] = 2800,
  [6902] = 2802,
  [6903] = 2891,
  [6904] = 2896,
  [6905] = 2701,
  [6906] = 2897,
  [6907] = 2871,
  [6908] = 2898,
  [6909] = 2899,
  [6910] = 2901,
  [6911] = 2788,
  [6912] = 2902,
  [6913] = 3561,
  [6914] = 2903,
  [6915] = 2904,
  [6916] = 2820,
  [6917] = 2797,
  [6918] = 2799,
  [6919] = 2809,
  [6920] = 2708,
  [6921] = 2693,
  [6922] = 2694,
  [6923] = 2786,
  [6924] = 2664,
  [6925] = 2723,
  [6926] = 2665,
  [6927] = 2667,
  [6928] = 2699,
  [6929] = 2790,
  [6930] = 2700,
  [6931] = 2703,
  [6932] = 2704,
  [6933] = 2778,
  [6934] = 2671,
  [6935] = 2678,
  [6936] = 2687,
  [6937] = 2793,
  [6938] = 2708,
  [6939] = 2796,
  [6940] = 2794,
  [6941] = 2845,
  [6942] = 2795,
  [6943] = 2711,
  [6944] = 2897,
  [6945] = 2770,
  [6946] = 2771,
  [6947] = 2897,
  [6948] = 2791,
  [6949] = 2789,
  [6950] = 2848,
  [6951] = 2711,
  [6952] = 2876,
  [6953] = 2783,
  [6954] = 2796,
  [6955] = 2697,
  [6956] = 2699,
  [6957] = 2787,
  [6958] = 2898,
  [6959] = 2740,
  [6960] = 2899,
  [6961] = 2779,
  [6962] = 2901,
  [6963] = 2816,
  [6964] = 2796,
  [6965] = 2770,
  [6966] = 2864,
  [6967] = 2901,
  [6968] = 2845,
  [6969] = 2902,
  [6970] = 2903,
  [6971] = 2904,
  [6972] = 2820,
  [6973] = 2866,
  [6974] = 2816,
  [6975] = 2845,
  [6976] = 2750,
  [6977] = 2695,
  [6978] = 2701,
  [6979] = 2816,
  [6980] = 2891,
  [6981] = 2799,
  [6982] = 2673,
  [6983] = 2741,
  [6984] = 2693,
  [6985] = 2719,
  [6986] = 2896,
  [6987] = 2694,
  [6988] = 2695,
  [6989] = 2848,
  [6990] = 2845,
  [6991] = 2699,
  [6992] = 2699,
  [6993] = 2790,
  [6994] = 2700,
  [6995] = 2703,
  [6996] = 2704,
  [6997] = 2705,
  [6998] = 2695,
  [6999] = 2701,
  [7000] = 2788,
  [7001] = 2820,
  [7002] = 2771,
  [7003] = 6616,
  [7004] = 2697,
  [7005] = 2846,
  [7006] = 2876,
  [7007] = 2708,
  [7008] = 2692,
  [7009] = 2719,
  [7010] = 2750,
  [7011] = 3827,
  [7012] = 2847,
  [7013] = 2740,
  [7014] = 2782,
  [7015] = 2723,
  [7016] = 2846,
  [7017] = 2673,
  [7018] = 2740,
  [7019] = 2701,
  [7020] = 2692,
  [7021] = 2740,
  [7022] = 2726,
  [7023] = 2719,
  [7024] = 2783,
  [7025] = 6621,
  [7026] = 2783,
  [7027] = 2847,
  [7028] = 2777,
  [7029] = 2891,
  [7030] = 2896,
  [7031] = 2784,
  [7032] = 2798,
  [7033] = 2634,
  [7034] = 2741,
  [7035] = 2673,
  [7036] = 6621,
  [7037] = 2785,
  [7038] = 2711,
  [7039] = 2697,
  [7040] = 2771,
  [7041] = 2779,
  [7042] = 3561,
  [7043] = 2775,
  [7044] = 2776,
  [7045] = 2777,
  [7046] = 2786,
  [7047] = 2778,
  [7048] = 2788,
  [7049] = 2791,
  [7050] = 2798,
  [7051] = 2800,
  [7052] = 2789,
  [7053] = 2793,
  [7054] = 2698,
  [7055] = 2800,
  [7056] = 2802,
  [7057] = 2770,
  [7058] = 2791,
  [7059] = 2809,
  [7060] = 2740,
  [7061] = 2636,
  [7062] = 2798,
  [7063] = 2741,
  [7064] = 2750,
  [7065] = 2794,
  [7066] = 2726,
  [7067] = 2816,
  [7068] = 2795,
  [7069] = 2800,
  [7070] = 2802,
  [7071] = 2809,
  [7072] = 2775,
  [7073] = 2779,
  [7074] = 2816,
  [7075] = 2698,
  [7076] = 2785,
  [7077] = 2802,
  [7078] = 2797,
  [7079] = 2776,
  [7080] = 2824,
  [7081] = 2833,
  [7082] = 2837,
  [7083] = 2782,
  [7084] = 2705,
  [7085] = 2840,
  [7086] = 2809,
  [7087] = 2842,
  [7088] = 2843,
  [7089] = 2787,
  [7090] = 2824,
  [7091] = 2723,
  [7092] = 2726,
  [7093] = 2777,
  [7094] = 2698,
  [7095] = 2864,
  [7096] = 2866,
  [7097] = 2897,
  [7098] = 2771,
  [7099] = 2692,
  [7100] = 2784,
  [7101] = 2778,
  [7102] = 2833,
  [7103] = 2871,
  [7104] = 2876,
  [7105] = 2891,
  [7106] = 2785,
  [7107] = 2896,
  [7108] = 2770,
  [7109] = 2897,
  [7110] = 2779,
  [7111] = 2796,
  [7112] = 2898,
  [7113] = 2899,
  [7114] = 2901,
  [7115] = 2845,
  [7116] = 2786,
  [7117] = 2902,
  [7118] = 2903,
  [7119] = 2793,
  [7120] = 2904,
  [7121] = 2820,
  [7122] = 2898,
  [7123] = 2693,
  [7124] = 2787,
  [7125] = 2694,
  [7126] = 2698,
  [7127] = 2789,
  [7128] = 2657,
  [7129] = 2898,
  [7130] = 2866,
  [7131] = 2723,
  [7132] = 3706,
  [7133] = 2692,
  [7134] = 2726,
  [7135] = 3561,
  [7136] = 7136,
  [7137] = 2871,
  [7138] = 2876,
  [7139] = 2694,
  [7140] = 2891,
  [7141] = 7141,
  [7142] = 2896,
  [7143] = 2788,
  [7144] = 2897,
  [7145] = 2898,
  [7146] = 2899,
  [7147] = 2901,
  [7148] = 2788,
  [7149] = 2902,
  [7150] = 3827,
  [7151] = 7151,
  [7152] = 7152,
  [7153] = 2664,
  [7154] = 2903,
  [7155] = 2701,
  [7156] = 2904,
  [7157] = 2820,
  [7158] = 2693,
  [7159] = 2789,
  [7160] = 2694,
  [7161] = 2664,
  [7162] = 2665,
  [7163] = 2667,
  [7164] = 2692,
  [7165] = 2699,
  [7166] = 2700,
  [7167] = 2741,
  [7168] = 2703,
  [7169] = 2665,
  [7170] = 2667,
  [7171] = 3706,
  [7172] = 2704,
  [7173] = 2740,
  [7174] = 2636,
  [7175] = 2699,
  [7176] = 2719,
  [7177] = 2671,
  [7178] = 2697,
  [7179] = 3561,
  [7180] = 2678,
  [7181] = 2687,
  [7182] = 2871,
  [7183] = 2698,
  [7184] = 2876,
  [7185] = 2891,
  [7186] = 2708,
  [7187] = 2700,
  [7188] = 2703,
  [7189] = 2701,
  [7190] = 2750,
  [7191] = 2896,
  [7192] = 2698,
  [7193] = 2705,
  [7194] = 2723,
  [7195] = 2726,
  [7196] = 2777,
  [7197] = 2897,
  [7198] = 2704,
  [7199] = 2740,
  [7200] = 2788,
  [7201] = 2741,
  [7202] = 2711,
  [7203] = 2784,
  [7204] = 3561,
  [7205] = 2783,
  [7206] = 3561,
  [7207] = 3827,
  [7208] = 2824,
  [7209] = 7136,
  [7210] = 2845,
  [7211] = 2833,
  [7212] = 7212,
  [7213] = 2846,
  [7214] = 2847,
  [7215] = 7215,
  [7216] = 2705,
  [7217] = 2837,
  [7218] = 2842,
  [7219] = 2740,
  [7220] = 2671,
  [7221] = 2678,
  [7222] = 2697,
  [7223] = 7141,
  [7224] = 3561,
  [7225] = 2771,
  [7226] = 2687,
  [7227] = 2708,
  [7228] = 2793,
  [7229] = 2723,
  [7230] = 7212,
  [7231] = 7215,
  [7232] = 2697,
  [7233] = 2698,
  [7234] = 2701,
  [7235] = 2701,
  [7236] = 2770,
  [7237] = 2848,
  [7238] = 2697,
  [7239] = 3706,
  [7240] = 2843,
  [7241] = 2791,
  [7242] = 2798,
  [7243] = 2790,
  [7244] = 2726,
  [7245] = 7245,
  [7246] = 2698,
  [7247] = 2750,
  [7248] = 2800,
  [7249] = 2845,
  [7250] = 2802,
  [7251] = 2777,
  [7252] = 2846,
  [7253] = 2847,
  [7254] = 2809,
  [7255] = 3827,
  [7256] = 2783,
  [7257] = 2750,
  [7258] = 2848,
  [7259] = 2824,
  [7260] = 2840,
  [7261] = 2794,
  [7262] = 2795,
  [7263] = 3561,
  [7264] = 2899,
  [7265] = 7265,
  [7266] = 2833,
  [7267] = 2657,
  [7268] = 2711,
  [7269] = 2705,
  [7270] = 2796,
  [7271] = 2719,
  [7272] = 2864,
  [7273] = 2723,
  [7274] = 2837,
  [7275] = 2726,
  [7276] = 2775,
  [7277] = 2777,
  [7278] = 2901,
  [7279] = 2776,
  [7280] = 2840,
  [7281] = 2902,
  [7282] = 2903,
  [7283] = 2904,
  [7284] = 2778,
  [7285] = 2820,
  [7286] = 2791,
  [7287] = 2842,
  [7288] = 2740,
  [7289] = 2845,
  [7290] = 2750,
  [7291] = 2782,
  [7292] = 2843,
  [7293] = 7293,
  [7294] = 2797,
  [7295] = 2798,
  [7296] = 7296,
  [7297] = 2705,
  [7298] = 2741,
  [7299] = 7245,
  [7300] = 2800,
  [7301] = 2802,
  [7302] = 2809,
  [7303] = 2846,
  [7304] = 2847,
  [7305] = 2693,
  [7306] = 2634,
  [7307] = 2785,
  [7308] = 2786,
  [7309] = 2787,
  [7310] = 2799,
  [7311] = 2779,
  [7312] = 7265,
  [7313] = 2848,
  [7314] = 2657,
  [7315] = 2864,
  [7316] = 2741,
  [7317] = 7317,
  [7318] = 2787,
  [7319] = 2799,
  [7320] = 5244,
  [7321] = 2790,
  [7322] = 2793,
  [7323] = 2795,
  [7324] = 2794,
  [7325] = 2799,
  [7326] = 2697,
  [7327] = 2795,
  [7328] = 7328,
  [7329] = 2777,
  [7330] = 2775,
  [7331] = 2779,
  [7332] = 2848,
  [7333] = 2797,
  [7334] = 7151,
  [7335] = 7335,
  [7336] = 7336,
  [7337] = 7152,
  [7338] = 2797,
  [7339] = 2634,
  [7340] = 7340,
  [7341] = 2698,
  [7342] = 2701,
  [7343] = 2750,
  [7344] = 2708,
  [7345] = 3827,
  [7346] = 7336,
  [7347] = 3706,
  [7348] = 2705,
  [7349] = 2845,
  [7350] = 5344,
  [7351] = 2776,
  [7352] = 2824,
  [7353] = 2833,
  [7354] = 7335,
  [7355] = 2837,
  [7356] = 2723,
  [7357] = 2796,
  [7358] = 5258,
  [7359] = 3706,
  [7360] = 2799,
  [7361] = 2845,
  [7362] = 2726,
  [7363] = 7363,
  [7364] = 2788,
  [7365] = 7365,
  [7366] = 2840,
  [7367] = 7151,
  [7368] = 2842,
  [7369] = 5429,
  [7370] = 2848,
  [7371] = 2797,
  [7372] = 2843,
  [7373] = 2775,
  [7374] = 7374,
  [7375] = 7152,
  [7376] = 2657,
  [7377] = 7328,
  [7378] = 2864,
  [7379] = 2866,
  [7380] = 2776,
  [7381] = 2692,
  [7382] = 5344,
  [7383] = 5352,
  [7384] = 5258,
  [7385] = 3827,
  [7386] = 2789,
  [7387] = 7387,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 2871,
  [7391] = 2876,
  [7392] = 2891,
  [7393] = 7387,
  [7394] = 3561,
  [7395] = 7395,
  [7396] = 2896,
  [7397] = 7397,
  [7398] = 2789,
  [7399] = 2897,
  [7400] = 2845,
  [7401] = 3561,
  [7402] = 2778,
  [7403] = 2898,
  [7404] = 3706,
  [7405] = 2899,
  [7406] = 2778,
  [7407] = 2901,
  [7408] = 2636,
  [7409] = 2902,
  [7410] = 2783,
  [7411] = 5396,
  [7412] = 2903,
  [7413] = 2904,
  [7414] = 7414,
  [7415] = 2636,
  [7416] = 7416,
  [7417] = 7417,
  [7418] = 2711,
  [7419] = 7419,
  [7420] = 2782,
  [7421] = 7395,
  [7422] = 2787,
  [7423] = 2846,
  [7424] = 7424,
  [7425] = 2784,
  [7426] = 2820,
  [7427] = 5429,
  [7428] = 5424,
  [7429] = 3827,
  [7430] = 7430,
  [7431] = 5447,
  [7432] = 2782,
  [7433] = 2790,
  [7434] = 5403,
  [7435] = 5352,
  [7436] = 7436,
  [7437] = 2719,
  [7438] = 2693,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 3827,
  [7442] = 3561,
  [7443] = 2846,
  [7444] = 2847,
  [7445] = 5414,
  [7446] = 2793,
  [7447] = 3706,
  [7448] = 2694,
  [7449] = 7449,
  [7450] = 3561,
  [7451] = 2664,
  [7452] = 7397,
  [7453] = 2797,
  [7454] = 2794,
  [7455] = 2778,
  [7456] = 2665,
  [7457] = 7374,
  [7458] = 7458,
  [7459] = 2795,
  [7460] = 7340,
  [7461] = 7461,
  [7462] = 7462,
  [7463] = 2846,
  [7464] = 7363,
  [7465] = 7365,
  [7466] = 5338,
  [7467] = 7467,
  [7468] = 5424,
  [7469] = 5447,
  [7470] = 2796,
  [7471] = 7440,
  [7472] = 2847,
  [7473] = 2775,
  [7474] = 3561,
  [7475] = 7293,
  [7476] = 2779,
  [7477] = 2776,
  [7478] = 7478,
  [7479] = 5403,
  [7480] = 3561,
  [7481] = 2667,
  [7482] = 2778,
  [7483] = 7296,
  [7484] = 2779,
  [7485] = 5256,
  [7486] = 7486,
  [7487] = 2699,
  [7488] = 3827,
  [7489] = 2782,
  [7490] = 2847,
  [7491] = 7388,
  [7492] = 2700,
  [7493] = 7389,
  [7494] = 7461,
  [7495] = 2791,
  [7496] = 2634,
  [7497] = 2703,
  [7498] = 2784,
  [7499] = 2785,
  [7500] = 2790,
  [7501] = 2798,
  [7502] = 2786,
  [7503] = 2787,
  [7504] = 7504,
  [7505] = 3827,
  [7506] = 2799,
  [7507] = 2789,
  [7508] = 2704,
  [7509] = 2800,
  [7510] = 7430,
  [7511] = 7317,
  [7512] = 2796,
  [7513] = 7462,
  [7514] = 7486,
  [7515] = 7504,
  [7516] = 5396,
  [7517] = 2802,
  [7518] = 2784,
  [7519] = 2785,
  [7520] = 2809,
  [7521] = 7293,
  [7522] = 7296,
  [7523] = 2782,
  [7524] = 2740,
  [7525] = 2790,
  [7526] = 3706,
  [7527] = 2741,
  [7528] = 2866,
  [7529] = 7424,
  [7530] = 3561,
  [7531] = 2671,
  [7532] = 2793,
  [7533] = 2775,
  [7534] = 2770,
  [7535] = 2785,
  [7536] = 2794,
  [7537] = 2771,
  [7538] = 7436,
  [7539] = 2786,
  [7540] = 2795,
  [7541] = 2776,
  [7542] = 7439,
  [7543] = 7458,
  [7544] = 7467,
  [7545] = 7478,
  [7546] = 2678,
  [7547] = 2793,
  [7548] = 2786,
  [7549] = 5414,
  [7550] = 2787,
  [7551] = 7414,
  [7552] = 2796,
  [7553] = 7416,
  [7554] = 2785,
  [7555] = 7417,
  [7556] = 7419,
  [7557] = 7557,
  [7558] = 2848,
  [7559] = 2794,
  [7560] = 3706,
  [7561] = 2786,
  [7562] = 2687,
  [7563] = 7449,
  [7564] = 7557,
  [7565] = 2777,
  [7566] = 3827,
  [7567] = 7567,
  [7568] = 3706,
  [7569] = 7567,
  [7570] = 7567,
  [7571] = 7567,
  [7572] = 2777,
  [7573] = 7567,
  [7574] = 7567,
  [7575] = 7567,
  [7576] = 3706,
  [7577] = 7136,
  [7578] = 7567,
  [7579] = 7245,
  [7580] = 7212,
  [7581] = 7567,
  [7582] = 7567,
  [7583] = 7136,
  [7584] = 7265,
  [7585] = 3706,
  [7586] = 7586,
  [7587] = 3706,
  [7588] = 3706,
  [7589] = 7567,
  [7590] = 7141,
  [7591] = 3706,
  [7592] = 7265,
  [7593] = 7215,
  [7594] = 7567,
  [7595] = 7567,
  [7596] = 7141,
  [7597] = 7567,
  [7598] = 7567,
  [7599] = 3827,
  [7600] = 2788,
  [7601] = 3827,
  [7602] = 7586,
  [7603] = 3827,
  [7604] = 7212,
  [7605] = 7215,
  [7606] = 3827,
  [7607] = 7567,
  [7608] = 7567,
  [7609] = 7245,
  [7610] = 3827,
  [7611] = 3706,
  [7612] = 7567,
  [7613] = 3827,
  [7614] = 2788,
  [7615] = 7567,
  [7616] = 7586,
  [7617] = 7567,
  [7618] = 7567,
  [7619] = 7567,
  [7620] = 7586,
  [7621] = 7621,
  [7622] = 2788,
  [7623] = 2789,
  [7624] = 7624,
  [7625] = 7625,
  [7626] = 2848,
  [7627] = 2750,
  [7628] = 4616,
  [7629] = 7363,
  [7630] = 7624,
  [7631] = 7365,
  [7632] = 7625,
  [7633] = 7624,
  [7634] = 7625,
  [7635] = 5424,
  [7636] = 2824,
  [7637] = 7388,
  [7638] = 2833,
  [7639] = 7389,
  [7640] = 5447,
  [7641] = 7641,
  [7642] = 2837,
  [7643] = 7624,
  [7644] = 7625,
  [7645] = 7645,
  [7646] = 7641,
  [7647] = 7647,
  [7648] = 7624,
  [7649] = 7625,
  [7650] = 2840,
  [7651] = 2842,
  [7652] = 2843,
  [7653] = 2770,
  [7654] = 2790,
  [7655] = 7624,
  [7656] = 7625,
  [7657] = 7657,
  [7658] = 2657,
  [7659] = 7641,
  [7660] = 7624,
  [7661] = 7625,
  [7662] = 2793,
  [7663] = 2864,
  [7664] = 2866,
  [7665] = 2794,
  [7666] = 2795,
  [7667] = 2692,
  [7668] = 7624,
  [7669] = 7624,
  [7670] = 7625,
  [7671] = 7625,
  [7672] = 2871,
  [7673] = 2797,
  [7674] = 2876,
  [7675] = 7414,
  [7676] = 7624,
  [7677] = 7625,
  [7678] = 7416,
  [7679] = 2891,
  [7680] = 7417,
  [7681] = 2896,
  [7682] = 7419,
  [7683] = 7395,
  [7684] = 2790,
  [7685] = 2705,
  [7686] = 7686,
  [7687] = 2796,
  [7688] = 7688,
  [7689] = 2897,
  [7690] = 2898,
  [7691] = 7691,
  [7692] = 2899,
  [7693] = 2901,
  [7694] = 5414,
  [7695] = 2902,
  [7696] = 4671,
  [7697] = 7430,
  [7698] = 7317,
  [7699] = 7699,
  [7700] = 7462,
  [7701] = 2903,
  [7702] = 7486,
  [7703] = 2904,
  [7704] = 7504,
  [7705] = 2776,
  [7706] = 7328,
  [7707] = 7688,
  [7708] = 2793,
  [7709] = 4675,
  [7710] = 2820,
  [7711] = 7340,
  [7712] = 2794,
  [7713] = 2795,
  [7714] = 7439,
  [7715] = 7336,
  [7716] = 2693,
  [7717] = 2694,
  [7718] = 7718,
  [7719] = 2664,
  [7720] = 2665,
  [7721] = 2667,
  [7722] = 7458,
  [7723] = 7641,
  [7724] = 2723,
  [7725] = 2726,
  [7726] = 7467,
  [7727] = 2699,
  [7728] = 5424,
  [7729] = 5447,
  [7730] = 7478,
  [7731] = 2700,
  [7732] = 7691,
  [7733] = 2703,
  [7734] = 2704,
  [7735] = 7688,
  [7736] = 2816,
  [7737] = 2671,
  [7738] = 2678,
  [7739] = 2687,
  [7740] = 5403,
  [7741] = 2784,
  [7742] = 2708,
  [7743] = 5403,
  [7744] = 7624,
  [7745] = 7625,
  [7746] = 7414,
  [7747] = 7416,
  [7748] = 7748,
  [7749] = 2785,
  [7750] = 5414,
  [7751] = 7387,
  [7752] = 2778,
  [7753] = 7753,
  [7754] = 2796,
  [7755] = 2711,
  [7756] = 2741,
  [7757] = 2779,
  [7758] = 7641,
  [7759] = 5396,
  [7760] = 7621,
  [7761] = 2779,
  [7762] = 7641,
  [7763] = 2786,
  [7764] = 5396,
  [7765] = 2848,
  [7766] = 7439,
  [7767] = 7767,
  [7768] = 2845,
  [7769] = 7458,
  [7770] = 7467,
  [7771] = 7478,
  [7772] = 7772,
  [7773] = 7773,
  [7774] = 7641,
  [7775] = 7387,
  [7776] = 2846,
  [7777] = 7777,
  [7778] = 2847,
  [7779] = 7557,
  [7780] = 7691,
  [7781] = 7625,
  [7782] = 7645,
  [7783] = 7641,
  [7784] = 7424,
  [7785] = 7335,
  [7786] = 7645,
  [7787] = 7657,
  [7788] = 2848,
  [7789] = 7436,
  [7790] = 7449,
  [7791] = 7397,
  [7792] = 7624,
  [7793] = 7625,
  [7794] = 2787,
  [7795] = 7641,
  [7796] = 7796,
  [7797] = 7417,
  [7798] = 7641,
  [7799] = 7419,
  [7800] = 7557,
  [7801] = 5258,
  [7802] = 7365,
  [7803] = 7641,
  [7804] = 7645,
  [7805] = 2775,
  [7806] = 7806,
  [7807] = 7807,
  [7808] = 7424,
  [7809] = 7809,
  [7810] = 2789,
  [7811] = 2776,
  [7812] = 7430,
  [7813] = 7317,
  [7814] = 7395,
  [7815] = 7624,
  [7816] = 7625,
  [7817] = 7462,
  [7818] = 2777,
  [7819] = 7645,
  [7820] = 2719,
  [7821] = 2698,
  [7822] = 7657,
  [7823] = 7621,
  [7824] = 7486,
  [7825] = 7436,
  [7826] = 7826,
  [7827] = 5429,
  [7828] = 2775,
  [7829] = 2776,
  [7830] = 7449,
  [7831] = 7397,
  [7832] = 7657,
  [7833] = 7641,
  [7834] = 2778,
  [7835] = 2782,
  [7836] = 2740,
  [7837] = 7837,
  [7838] = 2783,
  [7839] = 5344,
  [7840] = 2778,
  [7841] = 7641,
  [7842] = 2797,
  [7843] = 7624,
  [7844] = 7440,
  [7845] = 7625,
  [7846] = 7621,
  [7847] = 7504,
  [7848] = 5352,
  [7849] = 2779,
  [7850] = 7641,
  [7851] = 7641,
  [7852] = 7461,
  [7853] = 2784,
  [7854] = 2845,
  [7855] = 2785,
  [7856] = 2786,
  [7857] = 5258,
  [7858] = 2782,
  [7859] = 2787,
  [7860] = 7621,
  [7861] = 7335,
  [7862] = 2799,
  [7863] = 5344,
  [7864] = 2791,
  [7865] = 7624,
  [7866] = 7641,
  [7867] = 7625,
  [7868] = 2845,
  [7869] = 2798,
  [7870] = 2799,
  [7871] = 7641,
  [7872] = 2800,
  [7873] = 2802,
  [7874] = 2809,
  [7875] = 7875,
  [7876] = 7624,
  [7877] = 7625,
  [7878] = 7624,
  [7879] = 2797,
  [7880] = 7691,
  [7881] = 5429,
  [7882] = 7624,
  [7883] = 7625,
  [7884] = 2775,
  [7885] = 7885,
  [7886] = 7647,
  [7887] = 2790,
  [7888] = 2701,
  [7889] = 7374,
  [7890] = 7328,
  [7891] = 2782,
  [7892] = 7688,
  [7893] = 7641,
  [7894] = 2771,
  [7895] = 7340,
  [7896] = 7624,
  [7897] = 7625,
  [7898] = 2793,
  [7899] = 2846,
  [7900] = 7336,
  [7901] = 2847,
  [7902] = 7388,
  [7903] = 7903,
  [7904] = 2794,
  [7905] = 7691,
  [7906] = 2795,
  [7907] = 7389,
  [7908] = 7624,
  [7909] = 7641,
  [7910] = 7625,
  [7911] = 7688,
  [7912] = 7641,
  [7913] = 2784,
  [7914] = 7914,
  [7915] = 2785,
  [7916] = 7657,
  [7917] = 7374,
  [7918] = 7875,
  [7919] = 2846,
  [7920] = 2847,
  [7921] = 7921,
  [7922] = 2789,
  [7923] = 2634,
  [7924] = 2786,
  [7925] = 7440,
  [7926] = 7926,
  [7927] = 7927,
  [7928] = 2796,
  [7929] = 7624,
  [7930] = 7625,
  [7931] = 7461,
  [7932] = 2695,
  [7933] = 2787,
  [7934] = 2799,
  [7935] = 7935,
  [7936] = 7624,
  [7937] = 7625,
  [7938] = 2636,
  [7939] = 7641,
  [7940] = 2697,
  [7941] = 5352,
  [7942] = 7641,
  [7943] = 7363,
  [7944] = 7944,
  [7945] = 7921,
  [7946] = 7926,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7944,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7927,
  [7955] = 7955,
  [7956] = 7948,
  [7957] = 7957,
  [7958] = 7944,
  [7959] = 7959,
  [7960] = 7960,
  [7961] = 7961,
  [7962] = 7949,
  [7963] = 7885,
  [7964] = 7948,
  [7965] = 7699,
  [7966] = 7948,
  [7967] = 7935,
  [7968] = 7968,
  [7969] = 7969,
  [7970] = 7914,
  [7971] = 7971,
  [7972] = 7753,
  [7973] = 7826,
  [7974] = 7949,
  [7975] = 7944,
  [7976] = 7807,
  [7977] = 7949,
  [7978] = 7948,
  [7979] = 7944,
  [7980] = 4798,
  [7981] = 7949,
  [7982] = 7948,
  [7983] = 7983,
  [7984] = 7984,
  [7985] = 7985,
  [7986] = 2777,
  [7987] = 7947,
  [7988] = 7988,
  [7989] = 7952,
  [7990] = 7953,
  [7991] = 7955,
  [7992] = 7968,
  [7993] = 7826,
  [7994] = 7969,
  [7995] = 7971,
  [7996] = 2779,
  [7997] = 7988,
  [7998] = 7998,
  [7999] = 7999,
  [8000] = 7948,
  [8001] = 7944,
  [8002] = 7998,
  [8003] = 8003,
  [8004] = 5244,
  [8005] = 7999,
  [8006] = 8006,
  [8007] = 8007,
  [8008] = 8008,
  [8009] = 8009,
  [8010] = 8010,
  [8011] = 8009,
  [8012] = 7949,
  [8013] = 7944,
  [8014] = 2784,
  [8015] = 7948,
  [8016] = 7914,
  [8017] = 8010,
  [8018] = 7948,
  [8019] = 8019,
  [8020] = 8020,
  [8021] = 8021,
  [8022] = 8022,
  [8023] = 2788,
  [8024] = 7948,
  [8025] = 2789,
  [8026] = 7949,
  [8027] = 7837,
  [8028] = 7944,
  [8029] = 8022,
  [8030] = 7903,
  [8031] = 7948,
  [8032] = 7748,
  [8033] = 7806,
  [8034] = 7921,
  [8035] = 7949,
  [8036] = 7944,
  [8037] = 7948,
  [8038] = 7885,
  [8039] = 7998,
  [8040] = 7949,
  [8041] = 7957,
  [8042] = 8009,
  [8043] = 8008,
  [8044] = 7777,
  [8045] = 8009,
  [8046] = 7718,
  [8047] = 7686,
  [8048] = 5338,
  [8049] = 7949,
  [8050] = 7944,
  [8051] = 7948,
  [8052] = 7949,
  [8053] = 7944,
  [8054] = 7926,
  [8055] = 7949,
  [8056] = 7944,
  [8057] = 7944,
  [8058] = 7837,
  [8059] = 7767,
  [8060] = 7948,
  [8061] = 8003,
  [8062] = 8006,
  [8063] = 8007,
  [8064] = 7949,
  [8065] = 7944,
  [8066] = 7948,
  [8067] = 7948,
  [8068] = 8019,
  [8069] = 7944,
  [8070] = 8021,
  [8071] = 5256,
  [8072] = 7949,
  [8073] = 7983,
  [8074] = 7944,
  [8075] = 7949,
  [8076] = 7773,
  [8077] = 7944,
  [8078] = 7927,
  [8079] = 7903,
  [8080] = 7949,
  [8081] = 7748,
  [8082] = 7948,
  [8083] = 7944,
  [8084] = 7949,
  [8085] = 7948,
  [8086] = 7753,
  [8087] = 7949,
  [8088] = 7935,
  [8089] = 7944,
  [8090] = 7796,
  [8091] = 7806,
  [8092] = 7949,
  [8093] = 7772,
  [8094] = 7809,
  [8095] = 7686,
  [8096] = 7948,
  [8097] = 7767,
  [8098] = 7772,
  [8099] = 7807,
  [8100] = 7949,
  [8101] = 7948,
  [8102] = 7699,
  [8103] = 7949,
  [8104] = 7944,
  [8105] = 7959,
  [8106] = 7944,
  [8107] = 7948,
  [8108] = 7960,
  [8109] = 7961,
  [8110] = 7718,
  [8111] = 7777,
  [8112] = 7809,
  [8113] = 7773,
  [8114] = 7949,
  [8115] = 7944,
  [8116] = 7948,
  [8117] = 7984,
  [8118] = 7998,
  [8119] = 7985,
  [8120] = 7796,
  [8121] = 2796,
  [8122] = 7947,
  [8123] = 7999,
  [8124] = 7998,
  [8125] = 8003,
  [8126] = 7999,
  [8127] = 8006,
  [8128] = 3561,
  [8129] = 8007,
  [8130] = 7968,
  [8131] = 7953,
  [8132] = 8006,
  [8133] = 8021,
  [8134] = 7985,
  [8135] = 8019,
  [8136] = 7984,
  [8137] = 8003,
  [8138] = 7947,
  [8139] = 8021,
  [8140] = 7968,
  [8141] = 7999,
  [8142] = 8022,
  [8143] = 8009,
  [8144] = 7969,
  [8145] = 8019,
  [8146] = 8003,
  [8147] = 8022,
  [8148] = 8148,
  [8149] = 7983,
  [8150] = 8150,
  [8151] = 8006,
  [8152] = 8007,
  [8153] = 7984,
  [8154] = 8007,
  [8155] = 8008,
  [8156] = 7985,
  [8157] = 8009,
  [8158] = 7952,
  [8159] = 7969,
  [8160] = 7955,
  [8161] = 8150,
  [8162] = 8009,
  [8163] = 7947,
  [8164] = 8003,
  [8165] = 7952,
  [8166] = 7953,
  [8167] = 8006,
  [8168] = 8007,
  [8169] = 7955,
  [8170] = 7971,
  [8171] = 7968,
  [8172] = 7988,
  [8173] = 7969,
  [8174] = 8008,
  [8175] = 7971,
  [8176] = 8150,
  [8177] = 7998,
  [8178] = 7998,
  [8179] = 7999,
  [8180] = 8008,
  [8181] = 7984,
  [8182] = 7971,
  [8183] = 8019,
  [8184] = 8010,
  [8185] = 7998,
  [8186] = 8021,
  [8187] = 8019,
  [8188] = 8008,
  [8189] = 8009,
  [8190] = 8190,
  [8191] = 8021,
  [8192] = 8192,
  [8193] = 7953,
  [8194] = 7983,
  [8195] = 8010,
  [8196] = 7985,
  [8197] = 8010,
  [8198] = 7955,
  [8199] = 7983,
  [8200] = 7952,
  [8201] = 7988,
  [8202] = 8010,
  [8203] = 7983,
  [8204] = 7984,
  [8205] = 7985,
  [8206] = 7947,
  [8207] = 7952,
  [8208] = 7953,
  [8209] = 8150,
  [8210] = 7955,
  [8211] = 7968,
  [8212] = 7969,
  [8213] = 7971,
  [8214] = 7988,
  [8215] = 7988,
  [8216] = 7983,
  [8217] = 8217,
  [8218] = 8003,
  [8219] = 7212,
  [8220] = 8006,
  [8221] = 8019,
  [8222] = 8007,
  [8223] = 7955,
  [8224] = 7953,
  [8225] = 7969,
  [8226] = 2788,
  [8227] = 8007,
  [8228] = 7985,
  [8229] = 7983,
  [8230] = 8010,
  [8231] = 7968,
  [8232] = 8232,
  [8233] = 7988,
  [8234] = 8234,
  [8235] = 7971,
  [8236] = 8010,
  [8237] = 7947,
  [8238] = 3827,
  [8239] = 7952,
  [8240] = 8240,
  [8241] = 7988,
  [8242] = 8010,
  [8243] = 8234,
  [8244] = 7265,
  [8245] = 7999,
  [8246] = 8008,
  [8247] = 8240,
  [8248] = 7215,
  [8249] = 8232,
  [8250] = 7984,
  [8251] = 8006,
  [8252] = 7969,
  [8253] = 8253,
  [8254] = 3706,
  [8255] = 7953,
  [8256] = 7245,
  [8257] = 8021,
  [8258] = 2777,
  [8259] = 8253,
  [8260] = 8217,
  [8261] = 7999,
  [8262] = 7971,
  [8263] = 8010,
  [8264] = 8003,
  [8265] = 7985,
  [8266] = 7947,
  [8267] = 7952,
  [8268] = 7984,
  [8269] = 8008,
  [8270] = 8021,
  [8271] = 7136,
  [8272] = 7955,
  [8273] = 7968,
  [8274] = 8019,
  [8275] = 8275,
  [8276] = 2788,
  [8277] = 8275,
  [8278] = 8275,
  [8279] = 8275,
  [8280] = 7953,
  [8281] = 8009,
  [8282] = 7952,
  [8283] = 7988,
  [8284] = 8284,
  [8285] = 8285,
  [8286] = 7998,
  [8287] = 8284,
  [8288] = 8275,
  [8289] = 8275,
  [8290] = 8285,
  [8291] = 8275,
  [8292] = 8275,
  [8293] = 8284,
  [8294] = 7983,
  [8295] = 8284,
  [8296] = 2788,
  [8297] = 8275,
  [8298] = 2779,
  [8299] = 8008,
  [8300] = 8285,
  [8301] = 2777,
  [8302] = 8275,
  [8303] = 8275,
  [8304] = 8285,
  [8305] = 8285,
  [8306] = 7955,
  [8307] = 7999,
  [8308] = 2796,
  [8309] = 8022,
  [8310] = 7998,
  [8311] = 7968,
  [8312] = 8285,
  [8313] = 7988,
  [8314] = 8285,
  [8315] = 8010,
  [8316] = 8003,
  [8317] = 8006,
  [8318] = 8284,
  [8319] = 7998,
  [8320] = 8010,
  [8321] = 8284,
  [8322] = 2788,
  [8323] = 8275,
  [8324] = 8275,
  [8325] = 8285,
  [8326] = 8009,
  [8327] = 8327,
  [8328] = 8285,
  [8329] = 2789,
  [8330] = 8285,
  [8331] = 8022,
  [8332] = 7984,
  [8333] = 7969,
  [8334] = 8275,
  [8335] = 8007,
  [8336] = 7985,
  [8337] = 7999,
  [8338] = 8285,
  [8339] = 7968,
  [8340] = 8003,
  [8341] = 8285,
  [8342] = 7969,
  [8343] = 7971,
  [8344] = 8285,
  [8345] = 8285,
  [8346] = 8006,
  [8347] = 8007,
  [8348] = 2784,
  [8349] = 8349,
  [8350] = 8275,
  [8351] = 8285,
  [8352] = 8275,
  [8353] = 7953,
  [8354] = 7998,
  [8355] = 7984,
  [8356] = 8285,
  [8357] = 8357,
  [8358] = 7971,
  [8359] = 8285,
  [8360] = 8275,
  [8361] = 8009,
  [8362] = 7985,
  [8363] = 8019,
  [8364] = 8008,
  [8365] = 8019,
  [8366] = 8285,
  [8367] = 7947,
  [8368] = 7947,
  [8369] = 8285,
  [8370] = 8021,
  [8371] = 8009,
  [8372] = 8285,
  [8373] = 8275,
  [8374] = 7952,
  [8375] = 7955,
  [8376] = 7141,
  [8377] = 8285,
  [8378] = 8284,
  [8379] = 8275,
  [8380] = 8284,
  [8381] = 8284,
  [8382] = 8285,
  [8383] = 2777,
  [8384] = 8275,
  [8385] = 2777,
  [8386] = 8284,
  [8387] = 8010,
  [8388] = 8021,
  [8389] = 8275,
  [8390] = 8010,
  [8391] = 7983,
  [8392] = 8275,
  [8393] = 8393,
  [8394] = 2848,
  [8395] = 5403,
  [8396] = 8396,
  [8397] = 8397,
  [8398] = 8398,
  [8399] = 7440,
  [8400] = 8396,
  [8401] = 8397,
  [8402] = 8402,
  [8403] = 8403,
  [8404] = 8396,
  [8405] = 8405,
  [8406] = 8397,
  [8407] = 8398,
  [8408] = 2775,
  [8409] = 2776,
  [8410] = 2778,
  [8411] = 8396,
  [8412] = 2779,
  [8413] = 8397,
  [8414] = 2782,
  [8415] = 2797,
  [8416] = 7340,
  [8417] = 7336,
  [8418] = 8396,
  [8419] = 8397,
  [8420] = 2786,
  [8421] = 2787,
  [8422] = 2799,
  [8423] = 2789,
  [8424] = 7387,
  [8425] = 7424,
  [8426] = 7436,
  [8427] = 7449,
  [8428] = 5429,
  [8429] = 8398,
  [8430] = 7397,
  [8431] = 8398,
  [8432] = 2796,
  [8433] = 8019,
  [8434] = 5344,
  [8435] = 2784,
  [8436] = 8021,
  [8437] = 8437,
  [8438] = 8003,
  [8439] = 5258,
  [8440] = 8398,
  [8441] = 7461,
  [8442] = 8398,
  [8443] = 5396,
  [8444] = 8398,
  [8445] = 8398,
  [8446] = 7983,
  [8447] = 5338,
  [8448] = 7984,
  [8449] = 7985,
  [8450] = 7947,
  [8451] = 7952,
  [8452] = 7953,
  [8453] = 7955,
  [8454] = 7968,
  [8455] = 7969,
  [8456] = 7363,
  [8457] = 7365,
  [8458] = 7971,
  [8459] = 7988,
  [8460] = 8460,
  [8461] = 7374,
  [8462] = 7328,
  [8463] = 8463,
  [8464] = 8464,
  [8465] = 8465,
  [8466] = 8466,
  [8467] = 8008,
  [8468] = 7414,
  [8469] = 7416,
  [8470] = 7417,
  [8471] = 7419,
  [8472] = 7395,
  [8473] = 8473,
  [8474] = 8474,
  [8475] = 7430,
  [8476] = 7317,
  [8477] = 7462,
  [8478] = 7486,
  [8479] = 7504,
  [8480] = 8480,
  [8481] = 8481,
  [8482] = 7439,
  [8483] = 7458,
  [8484] = 7467,
  [8485] = 7478,
  [8486] = 8396,
  [8487] = 7557,
  [8488] = 7335,
  [8489] = 8398,
  [8490] = 5244,
  [8491] = 8464,
  [8492] = 8465,
  [8493] = 8019,
  [8494] = 8393,
  [8495] = 8021,
  [8496] = 5256,
  [8497] = 8481,
  [8498] = 7983,
  [8499] = 7984,
  [8500] = 8500,
  [8501] = 7985,
  [8502] = 7947,
  [8503] = 7952,
  [8504] = 7953,
  [8505] = 7955,
  [8506] = 7968,
  [8507] = 7969,
  [8508] = 7971,
  [8509] = 7988,
  [8510] = 8510,
  [8511] = 8511,
  [8512] = 7999,
  [8513] = 8393,
  [8514] = 8481,
  [8515] = 8515,
  [8516] = 8393,
  [8517] = 8481,
  [8518] = 8398,
  [8519] = 8393,
  [8520] = 8481,
  [8521] = 8006,
  [8522] = 8393,
  [8523] = 8481,
  [8524] = 8398,
  [8525] = 8007,
  [8526] = 8526,
  [8527] = 8393,
  [8528] = 2779,
  [8529] = 8008,
  [8530] = 8481,
  [8531] = 8003,
  [8532] = 2775,
  [8533] = 8393,
  [8534] = 2776,
  [8535] = 8481,
  [8536] = 8396,
  [8537] = 8510,
  [8538] = 2778,
  [8539] = 8006,
  [8540] = 8007,
  [8541] = 2779,
  [8542] = 8397,
  [8543] = 8393,
  [8544] = 8481,
  [8545] = 8393,
  [8546] = 2782,
  [8547] = 8481,
  [8548] = 8393,
  [8549] = 8480,
  [8550] = 2797,
  [8551] = 8480,
  [8552] = 8464,
  [8553] = 8465,
  [8554] = 8393,
  [8555] = 8481,
  [8556] = 2784,
  [8557] = 5447,
  [8558] = 2786,
  [8559] = 2787,
  [8560] = 2799,
  [8561] = 8393,
  [8562] = 8481,
  [8563] = 8563,
  [8564] = 2789,
  [8565] = 8393,
  [8566] = 8481,
  [8567] = 8393,
  [8568] = 8481,
  [8569] = 8569,
  [8570] = 8393,
  [8571] = 2790,
  [8572] = 8481,
  [8573] = 8393,
  [8574] = 2793,
  [8575] = 8481,
  [8576] = 2794,
  [8577] = 2795,
  [8578] = 8393,
  [8579] = 8481,
  [8580] = 2796,
  [8581] = 8393,
  [8582] = 8481,
  [8583] = 2784,
  [8584] = 8397,
  [8585] = 8393,
  [8586] = 8481,
  [8587] = 8393,
  [8588] = 8481,
  [8589] = 8393,
  [8590] = 8481,
  [8591] = 8398,
  [8592] = 8393,
  [8593] = 8481,
  [8594] = 8393,
  [8595] = 8481,
  [8596] = 8393,
  [8597] = 8481,
  [8598] = 8393,
  [8599] = 8481,
  [8600] = 8393,
  [8601] = 8010,
  [8602] = 8481,
  [8603] = 2789,
  [8604] = 8393,
  [8605] = 8481,
  [8606] = 8393,
  [8607] = 8481,
  [8608] = 8393,
  [8609] = 8481,
  [8610] = 8393,
  [8611] = 8481,
  [8612] = 8396,
  [8613] = 8393,
  [8614] = 8500,
  [8615] = 8481,
  [8616] = 8393,
  [8617] = 8481,
  [8618] = 8397,
  [8619] = 8393,
  [8620] = 8481,
  [8621] = 8393,
  [8622] = 8481,
  [8623] = 8393,
  [8624] = 8481,
  [8625] = 8625,
  [8626] = 8464,
  [8627] = 8393,
  [8628] = 8465,
  [8629] = 8481,
  [8630] = 8393,
  [8631] = 8481,
  [8632] = 8481,
  [8633] = 8393,
  [8634] = 8481,
  [8635] = 8635,
  [8636] = 8393,
  [8637] = 8481,
  [8638] = 8393,
  [8639] = 8481,
  [8640] = 8640,
  [8641] = 8393,
  [8642] = 8481,
  [8643] = 8643,
  [8644] = 8515,
  [8645] = 8563,
  [8646] = 8402,
  [8647] = 8473,
  [8648] = 8569,
  [8649] = 8515,
  [8650] = 8563,
  [8651] = 8402,
  [8652] = 8473,
  [8653] = 8569,
  [8654] = 8515,
  [8655] = 8563,
  [8656] = 8402,
  [8657] = 8473,
  [8658] = 8569,
  [8659] = 8396,
  [8660] = 8398,
  [8661] = 8515,
  [8662] = 8563,
  [8663] = 8402,
  [8664] = 8473,
  [8665] = 8569,
  [8666] = 8563,
  [8667] = 8402,
  [8668] = 8397,
  [8669] = 8563,
  [8670] = 8563,
  [8671] = 8563,
  [8672] = 8563,
  [8673] = 8464,
  [8674] = 8465,
  [8675] = 5344,
  [8676] = 7999,
  [8677] = 8398,
  [8678] = 8643,
  [8679] = 8010,
  [8680] = 5352,
  [8681] = 5258,
  [8682] = 2796,
  [8683] = 5239,
  [8684] = 8396,
  [8685] = 7388,
  [8686] = 7389,
  [8687] = 8398,
  [8688] = 8397,
  [8689] = 2845,
  [8690] = 5414,
  [8691] = 2846,
  [8692] = 2847,
  [8693] = 5424,
  [8694] = 2785,
  [8695] = 5480,
  [8696] = 5403,
  [8697] = 8010,
  [8698] = 5373,
  [8699] = 5374,
  [8700] = 5375,
  [8701] = 5377,
  [8702] = 5382,
  [8703] = 5383,
  [8704] = 5387,
  [8705] = 5389,
  [8706] = 5391,
  [8707] = 8707,
  [8708] = 8708,
  [8709] = 5388,
  [8710] = 5390,
  [8711] = 5392,
  [8712] = 5400,
  [8713] = 5407,
  [8714] = 8714,
  [8715] = 2845,
  [8716] = 5441,
  [8717] = 8717,
  [8718] = 8010,
  [8719] = 8707,
  [8720] = 8720,
  [8721] = 2846,
  [8722] = 2847,
  [8723] = 5446,
  [8724] = 2785,
  [8725] = 5451,
  [8726] = 5452,
  [8727] = 5398,
  [8728] = 2848,
  [8729] = 8729,
  [8730] = 5357,
  [8731] = 5362,
  [8732] = 2790,
  [8733] = 2793,
  [8734] = 2794,
  [8735] = 2795,
  [8736] = 2770,
  [8737] = 8737,
  [8738] = 5352,
  [8739] = 8739,
  [8740] = 5429,
  [8741] = 5366,
  [8742] = 5414,
  [8743] = 5396,
  [8744] = 2771,
  [8745] = 5442,
  [8746] = 5443,
  [8747] = 5444,
  [8748] = 5445,
  [8749] = 5424,
  [8750] = 5447,
  [8751] = 5369,
  [8752] = 5354,
  [8753] = 5380,
  [8754] = 5454,
  [8755] = 8755,
  [8756] = 8756,
  [8757] = 8757,
  [8758] = 8758,
  [8759] = 8759,
  [8760] = 8760,
  [8761] = 8761,
  [8762] = 8762,
  [8763] = 8756,
  [8764] = 8764,
  [8765] = 8755,
  [8766] = 8766,
  [8767] = 8767,
  [8768] = 8768,
  [8769] = 8769,
  [8770] = 8770,
  [8771] = 8771,
  [8772] = 8772,
  [8773] = 8773,
  [8774] = 8766,
  [8775] = 8769,
  [8776] = 8764,
  [8777] = 8777,
  [8778] = 8778,
  [8779] = 8779,
  [8780] = 8780,
  [8781] = 8781,
  [8782] = 8777,
  [8783] = 8781,
  [8784] = 8781,
  [8785] = 8785,
  [8786] = 8785,
  [8787] = 8785,
  [8788] = 8777,
  [8789] = 8777,
  [8790] = 8777,
  [8791] = 8777,
  [8792] = 8781,
  [8793] = 8785,
  [8794] = 8785,
  [8795] = 8777,
  [8796] = 8781,
  [8797] = 8781,
  [8798] = 8785,
  [8799] = 8781,
  [8800] = 8777,
  [8801] = 8756,
  [8802] = 8777,
  [8803] = 8777,
  [8804] = 8785,
  [8805] = 8777,
  [8806] = 8806,
  [8807] = 8780,
  [8808] = 8808,
  [8809] = 8739,
  [8810] = 8810,
  [8811] = 8781,
  [8812] = 8781,
  [8813] = 8785,
  [8814] = 8785,
  [8815] = 8781,
  [8816] = 8781,
  [8817] = 8785,
  [8818] = 8785,
  [8819] = 8779,
  [8820] = 8820,
  [8821] = 8785,
  [8822] = 8785,
  [8823] = 8781,
  [8824] = 8778,
  [8825] = 8739,
  [8826] = 8777,
  [8827] = 8777,
  [8828] = 8828,
  [8829] = 8781,
  [8830] = 8756,
  [8831] = 8831,
  [8832] = 2665,
  [8833] = 2667,
  [8834] = 2699,
  [8835] = 2700,
  [8836] = 2703,
  [8837] = 2704,
  [8838] = 8838,
  [8839] = 2671,
  [8840] = 2678,
  [8841] = 2687,
  [8842] = 2708,
  [8843] = 8843,
  [8844] = 2711,
  [8845] = 8756,
  [8846] = 8843,
  [8847] = 8847,
  [8848] = 8847,
  [8849] = 2719,
  [8850] = 8764,
  [8851] = 8851,
  [8852] = 8852,
  [8853] = 8853,
  [8854] = 8854,
  [8855] = 8855,
  [8856] = 8856,
  [8857] = 8857,
  [8858] = 8858,
  [8859] = 8843,
  [8860] = 8847,
  [8861] = 8838,
  [8862] = 8862,
  [8863] = 8863,
  [8864] = 8864,
  [8865] = 8865,
  [8866] = 8866,
  [8867] = 8867,
  [8868] = 8868,
  [8869] = 8869,
  [8870] = 8870,
  [8871] = 8871,
  [8872] = 8831,
  [8873] = 8873,
  [8874] = 8874,
  [8875] = 2634,
  [8876] = 8876,
  [8877] = 8877,
  [8878] = 8878,
  [8879] = 8879,
  [8880] = 8880,
  [8881] = 8881,
  [8882] = 8857,
  [8883] = 8858,
  [8884] = 8884,
  [8885] = 8885,
  [8886] = 8886,
  [8887] = 2636,
  [8888] = 8888,
  [8889] = 8847,
  [8890] = 8890,
  [8891] = 8739,
  [8892] = 8755,
  [8893] = 8755,
  [8894] = 8764,
  [8895] = 8895,
  [8896] = 2816,
  [8897] = 2845,
  [8898] = 2846,
  [8899] = 2847,
  [8900] = 2848,
  [8901] = 2845,
  [8902] = 2846,
  [8903] = 2847,
  [8904] = 2848,
  [8905] = 8755,
  [8906] = 8854,
  [8907] = 8852,
  [8908] = 8852,
  [8909] = 8756,
  [8910] = 8854,
  [8911] = 8854,
  [8912] = 8912,
  [8913] = 8843,
  [8914] = 8851,
  [8915] = 8852,
  [8916] = 8855,
  [8917] = 8843,
  [8918] = 8851,
  [8919] = 8855,
  [8920] = 8855,
  [8921] = 8862,
  [8922] = 8863,
  [8923] = 8864,
  [8924] = 8865,
  [8925] = 8866,
  [8926] = 8854,
  [8927] = 8838,
  [8928] = 8851,
  [8929] = 8854,
  [8930] = 8838,
  [8931] = 8843,
  [8932] = 8838,
  [8933] = 2701,
  [8934] = 8851,
  [8935] = 8867,
  [8936] = 8868,
  [8937] = 8857,
  [8938] = 8869,
  [8939] = 8857,
  [8940] = 8858,
  [8941] = 8858,
  [8942] = 8847,
  [8943] = 8870,
  [8944] = 8847,
  [8945] = 8855,
  [8946] = 8857,
  [8947] = 8947,
  [8948] = 8852,
  [8949] = 8871,
  [8950] = 8843,
  [8951] = 8873,
  [8952] = 8854,
  [8953] = 8874,
  [8954] = 5429,
  [8955] = 8843,
  [8956] = 8851,
  [8957] = 8855,
  [8958] = 8958,
  [8959] = 8959,
  [8960] = 8876,
  [8961] = 8877,
  [8962] = 8878,
  [8963] = 8879,
  [8964] = 8880,
  [8965] = 8881,
  [8966] = 5396,
  [8967] = 8838,
  [8968] = 8884,
  [8969] = 8852,
  [8970] = 8885,
  [8971] = 8857,
  [8972] = 8886,
  [8973] = 8858,
  [8974] = 8888,
  [8975] = 8847,
  [8976] = 8838,
  [8977] = 8977,
  [8978] = 2695,
  [8979] = 8852,
  [8980] = 8858,
  [8981] = 8852,
  [8982] = 8890,
  [8983] = 8739,
  [8984] = 8984,
  [8985] = 2770,
  [8986] = 8986,
  [8987] = 8854,
  [8988] = 8852,
  [8989] = 8857,
  [8990] = 8895,
  [8991] = 8843,
  [8992] = 8853,
  [8993] = 8851,
  [8994] = 8858,
  [8995] = 8855,
  [8996] = 8847,
  [8997] = 8854,
  [8998] = 8843,
  [8999] = 8838,
  [9000] = 8852,
  [9001] = 8857,
  [9002] = 8858,
  [9003] = 8852,
  [9004] = 8847,
  [9005] = 8843,
  [9006] = 8851,
  [9007] = 8854,
  [9008] = 8857,
  [9009] = 8855,
  [9010] = 8858,
  [9011] = 2775,
  [9012] = 8843,
  [9013] = 2776,
  [9014] = 8851,
  [9015] = 8855,
  [9016] = 8764,
  [9017] = 8852,
  [9018] = 8854,
  [9019] = 2778,
  [9020] = 8854,
  [9021] = 9021,
  [9022] = 2783,
  [9023] = 2771,
  [9024] = 2782,
  [9025] = 2740,
  [9026] = 8843,
  [9027] = 8838,
  [9028] = 2791,
  [9029] = 8851,
  [9030] = 2798,
  [9031] = 8855,
  [9032] = 2800,
  [9033] = 8857,
  [9034] = 8858,
  [9035] = 2802,
  [9036] = 8847,
  [9037] = 8838,
  [9038] = 2809,
  [9039] = 2785,
  [9040] = 8857,
  [9041] = 8858,
  [9042] = 8847,
  [9043] = 2786,
  [9044] = 2787,
  [9045] = 9045,
  [9046] = 8852,
  [9047] = 2697,
  [9048] = 8854,
  [9049] = 8852,
  [9050] = 8852,
  [9051] = 8843,
  [9052] = 2790,
  [9053] = 2793,
  [9054] = 8854,
  [9055] = 8851,
  [9056] = 2794,
  [9057] = 2795,
  [9058] = 5429,
  [9059] = 8843,
  [9060] = 5396,
  [9061] = 2797,
  [9062] = 8852,
  [9063] = 8851,
  [9064] = 2824,
  [9065] = 8855,
  [9066] = 2833,
  [9067] = 2837,
  [9068] = 2698,
  [9069] = 8854,
  [9070] = 8843,
  [9071] = 8764,
  [9072] = 2799,
  [9073] = 9073,
  [9074] = 2750,
  [9075] = 8838,
  [9076] = 2705,
  [9077] = 2840,
  [9078] = 8838,
  [9079] = 2842,
  [9080] = 8852,
  [9081] = 8855,
  [9082] = 2723,
  [9083] = 8854,
  [9084] = 2726,
  [9085] = 2843,
  [9086] = 8843,
  [9087] = 8857,
  [9088] = 8858,
  [9089] = 8847,
  [9090] = 8852,
  [9091] = 8854,
  [9092] = 8843,
  [9093] = 8755,
  [9094] = 2845,
  [9095] = 8958,
  [9096] = 2846,
  [9097] = 2847,
  [9098] = 8854,
  [9099] = 8959,
  [9100] = 8843,
  [9101] = 2657,
  [9102] = 8852,
  [9103] = 8852,
  [9104] = 8854,
  [9105] = 2864,
  [9106] = 8854,
  [9107] = 8843,
  [9108] = 2848,
  [9109] = 2866,
  [9110] = 8843,
  [9111] = 8851,
  [9112] = 8856,
  [9113] = 8855,
  [9114] = 2692,
  [9115] = 9115,
  [9116] = 2871,
  [9117] = 2876,
  [9118] = 2891,
  [9119] = 2896,
  [9120] = 8977,
  [9121] = 2897,
  [9122] = 8852,
  [9123] = 8838,
  [9124] = 2898,
  [9125] = 8854,
  [9126] = 8843,
  [9127] = 2899,
  [9128] = 2901,
  [9129] = 8857,
  [9130] = 8858,
  [9131] = 8847,
  [9132] = 2902,
  [9133] = 2903,
  [9134] = 2904,
  [9135] = 8984,
  [9136] = 8852,
  [9137] = 8854,
  [9138] = 2820,
  [9139] = 2693,
  [9140] = 8986,
  [9141] = 2694,
  [9142] = 2664,
  [9143] = 2741,
  [9144] = 7999,
  [9145] = 8874,
  [9146] = 8895,
  [9147] = 2846,
  [9148] = 8958,
  [9149] = 8867,
  [9150] = 8868,
  [9151] = 2847,
  [9152] = 8867,
  [9153] = 8756,
  [9154] = 8869,
  [9155] = 8959,
  [9156] = 8888,
  [9157] = 8756,
  [9158] = 7998,
  [9159] = 9159,
  [9160] = 8865,
  [9161] = 8009,
  [9162] = 5396,
  [9163] = 9163,
  [9164] = 8871,
  [9165] = 9165,
  [9166] = 9166,
  [9167] = 8884,
  [9168] = 8831,
  [9169] = 8873,
  [9170] = 2845,
  [9171] = 8885,
  [9172] = 8874,
  [9173] = 2846,
  [9174] = 8019,
  [9175] = 8021,
  [9176] = 8003,
  [9177] = 8876,
  [9178] = 8006,
  [9179] = 8007,
  [9180] = 2790,
  [9181] = 8886,
  [9182] = 8810,
  [9183] = 2847,
  [9184] = 8870,
  [9185] = 2848,
  [9186] = 8808,
  [9187] = 8868,
  [9188] = 8886,
  [9189] = 2777,
  [9190] = 8828,
  [9191] = 8865,
  [9192] = 9192,
  [9193] = 9193,
  [9194] = 8008,
  [9195] = 8009,
  [9196] = 8879,
  [9197] = 9197,
  [9198] = 8876,
  [9199] = 8958,
  [9200] = 8959,
  [9201] = 2848,
  [9202] = 9202,
  [9203] = 8884,
  [9204] = 8778,
  [9205] = 9205,
  [9206] = 7983,
  [9207] = 9193,
  [9208] = 8977,
  [9209] = 7984,
  [9210] = 8877,
  [9211] = 8878,
  [9212] = 7985,
  [9213] = 8984,
  [9214] = 8986,
  [9215] = 7947,
  [9216] = 7952,
  [9217] = 7953,
  [9218] = 7955,
  [9219] = 7968,
  [9220] = 8853,
  [9221] = 8862,
  [9222] = 7969,
  [9223] = 7971,
  [9224] = 9205,
  [9225] = 7988,
  [9226] = 8977,
  [9227] = 8863,
  [9228] = 2845,
  [9229] = 8885,
  [9230] = 8879,
  [9231] = 8863,
  [9232] = 2846,
  [9233] = 2847,
  [9234] = 9234,
  [9235] = 9165,
  [9236] = 2785,
  [9237] = 9163,
  [9238] = 8010,
  [9239] = 2794,
  [9240] = 9240,
  [9241] = 2848,
  [9242] = 2795,
  [9243] = 9243,
  [9244] = 9166,
  [9245] = 8880,
  [9246] = 7998,
  [9247] = 2788,
  [9248] = 8881,
  [9249] = 8778,
  [9250] = 8888,
  [9251] = 5429,
  [9252] = 9252,
  [9253] = 9253,
  [9254] = 8877,
  [9255] = 8984,
  [9256] = 8986,
  [9257] = 9257,
  [9258] = 8880,
  [9259] = 9166,
  [9260] = 8862,
  [9261] = 2845,
  [9262] = 5429,
  [9263] = 8895,
  [9264] = 8881,
  [9265] = 9252,
  [9266] = 5396,
  [9267] = 9240,
  [9268] = 9252,
  [9269] = 8869,
  [9270] = 8864,
  [9271] = 8870,
  [9272] = 9272,
  [9273] = 8739,
  [9274] = 8778,
  [9275] = 9275,
  [9276] = 8871,
  [9277] = 8831,
  [9278] = 8873,
  [9279] = 9166,
  [9280] = 9252,
  [9281] = 8853,
  [9282] = 8778,
  [9283] = 8890,
  [9284] = 8739,
  [9285] = 8866,
  [9286] = 8890,
  [9287] = 9234,
  [9288] = 8864,
  [9289] = 8878,
  [9290] = 9166,
  [9291] = 9252,
  [9292] = 8022,
  [9293] = 8866,
  [9294] = 9243,
  [9295] = 2793,
  [9296] = 2845,
  [9297] = 2799,
  [9298] = 8870,
  [9299] = 9299,
  [9300] = 9300,
  [9301] = 2845,
  [9302] = 2846,
  [9303] = 2847,
  [9304] = 2848,
  [9305] = 2846,
  [9306] = 2847,
  [9307] = 2848,
  [9308] = 8871,
  [9309] = 8831,
  [9310] = 8873,
  [9311] = 8874,
  [9312] = 8764,
  [9313] = 9313,
  [9314] = 9314,
  [9315] = 8876,
  [9316] = 8877,
  [9317] = 8878,
  [9318] = 8879,
  [9319] = 8880,
  [9320] = 8881,
  [9321] = 9299,
  [9322] = 2845,
  [9323] = 8884,
  [9324] = 2846,
  [9325] = 2847,
  [9326] = 2848,
  [9327] = 8885,
  [9328] = 8019,
  [9329] = 8021,
  [9330] = 8003,
  [9331] = 8006,
  [9332] = 8007,
  [9333] = 8886,
  [9334] = 9334,
  [9335] = 9335,
  [9336] = 8888,
  [9337] = 7151,
  [9338] = 7152,
  [9339] = 9163,
  [9340] = 9340,
  [9341] = 3561,
  [9342] = 8890,
  [9343] = 8739,
  [9344] = 8756,
  [9345] = 9299,
  [9346] = 2789,
  [9347] = 9347,
  [9348] = 9348,
  [9349] = 8895,
  [9350] = 8009,
  [9351] = 9351,
  [9352] = 9165,
  [9353] = 8755,
  [9354] = 8022,
  [9355] = 8008,
  [9356] = 8984,
  [9357] = 9357,
  [9358] = 9358,
  [9359] = 8739,
  [9360] = 9360,
  [9361] = 9163,
  [9362] = 9362,
  [9363] = 9363,
  [9364] = 9364,
  [9365] = 8739,
  [9366] = 9366,
  [9367] = 9367,
  [9368] = 9368,
  [9369] = 9369,
  [9370] = 9370,
  [9371] = 9340,
  [9372] = 9348,
  [9373] = 9373,
  [9374] = 9374,
  [9375] = 9375,
  [9376] = 9376,
  [9377] = 9377,
  [9378] = 9378,
  [9379] = 9379,
  [9380] = 9380,
  [9381] = 9358,
  [9382] = 8986,
  [9383] = 5429,
  [9384] = 2783,
  [9385] = 9375,
  [9386] = 2791,
  [9387] = 2798,
  [9388] = 2800,
  [9389] = 2802,
  [9390] = 2809,
  [9391] = 9376,
  [9392] = 2824,
  [9393] = 2833,
  [9394] = 2837,
  [9395] = 9377,
  [9396] = 2840,
  [9397] = 2842,
  [9398] = 2843,
  [9399] = 2657,
  [9400] = 2864,
  [9401] = 2866,
  [9402] = 2692,
  [9403] = 2871,
  [9404] = 2876,
  [9405] = 2891,
  [9406] = 2896,
  [9407] = 2897,
  [9408] = 2898,
  [9409] = 2899,
  [9410] = 2901,
  [9411] = 2902,
  [9412] = 2903,
  [9413] = 2904,
  [9414] = 2820,
  [9415] = 8958,
  [9416] = 8959,
  [9417] = 2693,
  [9418] = 2694,
  [9419] = 2664,
  [9420] = 2665,
  [9421] = 7998,
  [9422] = 2667,
  [9423] = 2699,
  [9424] = 2700,
  [9425] = 2703,
  [9426] = 2704,
  [9427] = 2671,
  [9428] = 2678,
  [9429] = 2687,
  [9430] = 9430,
  [9431] = 2708,
  [9432] = 8977,
  [9433] = 2711,
  [9434] = 7983,
  [9435] = 7984,
  [9436] = 7985,
  [9437] = 7947,
  [9438] = 7952,
  [9439] = 7953,
  [9440] = 7955,
  [9441] = 7968,
  [9442] = 7969,
  [9443] = 7971,
  [9444] = 7988,
  [9445] = 5429,
  [9446] = 7999,
  [9447] = 8984,
  [9448] = 8986,
  [9449] = 2796,
  [9450] = 2634,
  [9451] = 8853,
  [9452] = 9364,
  [9453] = 2779,
  [9454] = 2719,
  [9455] = 2636,
  [9456] = 8010,
  [9457] = 5396,
  [9458] = 9378,
  [9459] = 8862,
  [9460] = 9460,
  [9461] = 8863,
  [9462] = 8864,
  [9463] = 8865,
  [9464] = 2740,
  [9465] = 2741,
  [9466] = 8866,
  [9467] = 2697,
  [9468] = 9379,
  [9469] = 2698,
  [9470] = 2701,
  [9471] = 2750,
  [9472] = 2705,
  [9473] = 2723,
  [9474] = 8867,
  [9475] = 2726,
  [9476] = 8868,
  [9477] = 9351,
  [9478] = 8869,
  [9479] = 8870,
  [9480] = 8871,
  [9481] = 8831,
  [9482] = 8873,
  [9483] = 8874,
  [9484] = 9362,
  [9485] = 9363,
  [9486] = 9364,
  [9487] = 8876,
  [9488] = 9366,
  [9489] = 9367,
  [9490] = 8878,
  [9491] = 9369,
  [9492] = 8879,
  [9493] = 9370,
  [9494] = 9369,
  [9495] = 9340,
  [9496] = 9348,
  [9497] = 9366,
  [9498] = 9373,
  [9499] = 9374,
  [9500] = 9375,
  [9501] = 9376,
  [9502] = 9377,
  [9503] = 9378,
  [9504] = 9379,
  [9505] = 9380,
  [9506] = 8880,
  [9507] = 9299,
  [9508] = 8881,
  [9509] = 9380,
  [9510] = 8010,
  [9511] = 9370,
  [9512] = 9367,
  [9513] = 8884,
  [9514] = 8885,
  [9515] = 8886,
  [9516] = 9369,
  [9517] = 9517,
  [9518] = 9370,
  [9519] = 8888,
  [9520] = 8008,
  [9521] = 9314,
  [9522] = 8890,
  [9523] = 9165,
  [9524] = 9351,
  [9525] = 8739,
  [9526] = 8009,
  [9527] = 9362,
  [9528] = 8764,
  [9529] = 2770,
  [9530] = 2771,
  [9531] = 9363,
  [9532] = 8895,
  [9533] = 9362,
  [9534] = 9363,
  [9535] = 9364,
  [9536] = 8755,
  [9537] = 9360,
  [9538] = 9366,
  [9539] = 9367,
  [9540] = 9369,
  [9541] = 9370,
  [9542] = 2784,
  [9543] = 9340,
  [9544] = 9348,
  [9545] = 8756,
  [9546] = 9373,
  [9547] = 9374,
  [9548] = 9375,
  [9549] = 9376,
  [9550] = 9377,
  [9551] = 9378,
  [9552] = 9379,
  [9553] = 9380,
  [9554] = 9373,
  [9555] = 9299,
  [9556] = 9374,
  [9557] = 8853,
  [9558] = 9357,
  [9559] = 9517,
  [9560] = 9364,
  [9561] = 8862,
  [9562] = 8863,
  [9563] = 8864,
  [9564] = 9564,
  [9565] = 8865,
  [9566] = 8866,
  [9567] = 9567,
  [9568] = 9568,
  [9569] = 9299,
  [9570] = 2775,
  [9571] = 2776,
  [9572] = 2777,
  [9573] = 2778,
  [9574] = 2779,
  [9575] = 2796,
  [9576] = 9351,
  [9577] = 2782,
  [9578] = 8867,
  [9579] = 9364,
  [9580] = 8868,
  [9581] = 7293,
  [9582] = 7296,
  [9583] = 2785,
  [9584] = 2786,
  [9585] = 2787,
  [9586] = 2788,
  [9587] = 9369,
  [9588] = 9370,
  [9589] = 2789,
  [9590] = 8958,
  [9591] = 5396,
  [9592] = 8959,
  [9593] = 2790,
  [9594] = 2793,
  [9595] = 2794,
  [9596] = 7983,
  [9597] = 7984,
  [9598] = 7985,
  [9599] = 7947,
  [9600] = 7952,
  [9601] = 7953,
  [9602] = 7955,
  [9603] = 7968,
  [9604] = 7969,
  [9605] = 7971,
  [9606] = 7988,
  [9607] = 7998,
  [9608] = 7999,
  [9609] = 2795,
  [9610] = 8977,
  [9611] = 2797,
  [9612] = 8869,
  [9613] = 2784,
  [9614] = 8877,
  [9615] = 9615,
  [9616] = 7988,
  [9617] = 8959,
  [9618] = 9618,
  [9619] = 9619,
  [9620] = 9240,
  [9621] = 9621,
  [9622] = 9622,
  [9623] = 9623,
  [9624] = 5429,
  [9625] = 9358,
  [9626] = 3706,
  [9627] = 8958,
  [9628] = 9619,
  [9629] = 9621,
  [9630] = 8888,
  [9631] = 9631,
  [9632] = 8864,
  [9633] = 9633,
  [9634] = 8869,
  [9635] = 8959,
  [9636] = 9636,
  [9637] = 8866,
  [9638] = 8986,
  [9639] = 9639,
  [9640] = 8895,
  [9641] = 8870,
  [9642] = 8870,
  [9643] = 9643,
  [9644] = 9619,
  [9645] = 9645,
  [9646] = 9646,
  [9647] = 9647,
  [9648] = 8876,
  [9649] = 9649,
  [9650] = 9622,
  [9651] = 8877,
  [9652] = 8878,
  [9653] = 8879,
  [9654] = 9619,
  [9655] = 8880,
  [9656] = 9621,
  [9657] = 8881,
  [9658] = 9633,
  [9659] = 9646,
  [9660] = 9631,
  [9661] = 8977,
  [9662] = 9621,
  [9663] = 8871,
  [9664] = 9664,
  [9665] = 9665,
  [9666] = 9666,
  [9667] = 9615,
  [9668] = 9668,
  [9669] = 9631,
  [9670] = 8958,
  [9671] = 8959,
  [9672] = 9619,
  [9673] = 9673,
  [9674] = 7136,
  [9675] = 9621,
  [9676] = 2845,
  [9677] = 9165,
  [9678] = 9619,
  [9679] = 9621,
  [9680] = 9639,
  [9681] = 9163,
  [9682] = 9631,
  [9683] = 8977,
  [9684] = 8831,
  [9685] = 2846,
  [9686] = 2847,
  [9687] = 8873,
  [9688] = 9631,
  [9689] = 9619,
  [9690] = 9619,
  [9691] = 9691,
  [9692] = 9639,
  [9693] = 8984,
  [9694] = 9621,
  [9695] = 8984,
  [9696] = 8986,
  [9697] = 9645,
  [9698] = 9646,
  [9699] = 9622,
  [9700] = 9633,
  [9701] = 8010,
  [9702] = 8874,
  [9703] = 2845,
  [9704] = 2848,
  [9705] = 2846,
  [9706] = 9360,
  [9707] = 2847,
  [9708] = 9643,
  [9709] = 8327,
  [9710] = 2848,
  [9711] = 9647,
  [9712] = 9631,
  [9713] = 9639,
  [9714] = 8884,
  [9715] = 9619,
  [9716] = 8885,
  [9717] = 9622,
  [9718] = 8853,
  [9719] = 7212,
  [9720] = 9619,
  [9721] = 9621,
  [9722] = 7215,
  [9723] = 8886,
  [9724] = 9665,
  [9725] = 8958,
  [9726] = 9633,
  [9727] = 9639,
  [9728] = 8778,
  [9729] = 8778,
  [9730] = 9633,
  [9731] = 9645,
  [9732] = 8890,
  [9733] = 8959,
  [9734] = 8876,
  [9735] = 9618,
  [9736] = 9736,
  [9737] = 9737,
  [9738] = 9645,
  [9739] = 8862,
  [9740] = 8863,
  [9741] = 8864,
  [9742] = 9621,
  [9743] = 9645,
  [9744] = 9744,
  [9745] = 9639,
  [9746] = 8865,
  [9747] = 9646,
  [9748] = 8866,
  [9749] = 7141,
  [9750] = 9646,
  [9751] = 8977,
  [9752] = 9619,
  [9753] = 9622,
  [9754] = 9621,
  [9755] = 8877,
  [9756] = 9633,
  [9757] = 9631,
  [9758] = 9646,
  [9759] = 7999,
  [9760] = 8878,
  [9761] = 8984,
  [9762] = 8879,
  [9763] = 9360,
  [9764] = 9764,
  [9765] = 8880,
  [9766] = 9639,
  [9767] = 8888,
  [9768] = 2784,
  [9769] = 8986,
  [9770] = 8865,
  [9771] = 9633,
  [9772] = 8881,
  [9773] = 9645,
  [9774] = 9646,
  [9775] = 9646,
  [9776] = 9622,
  [9777] = 8853,
  [9778] = 9622,
  [9779] = 9645,
  [9780] = 9646,
  [9781] = 5429,
  [9782] = 9633,
  [9783] = 8867,
  [9784] = 9622,
  [9785] = 9633,
  [9786] = 7245,
  [9787] = 9622,
  [9788] = 9240,
  [9789] = 8868,
  [9790] = 5396,
  [9791] = 9619,
  [9792] = 9621,
  [9793] = 3827,
  [9794] = 9633,
  [9795] = 9631,
  [9796] = 9639,
  [9797] = 9639,
  [9798] = 8869,
  [9799] = 9645,
  [9800] = 9631,
  [9801] = 9645,
  [9802] = 9646,
  [9803] = 8871,
  [9804] = 9622,
  [9805] = 9165,
  [9806] = 9193,
  [9807] = 9358,
  [9808] = 9622,
  [9809] = 8984,
  [9810] = 8986,
  [9811] = 9633,
  [9812] = 7265,
  [9813] = 9813,
  [9814] = 8831,
  [9815] = 9633,
  [9816] = 8010,
  [9817] = 8853,
  [9818] = 9631,
  [9819] = 9631,
  [9820] = 9820,
  [9821] = 8890,
  [9822] = 9691,
  [9823] = 2845,
  [9824] = 8008,
  [9825] = 9744,
  [9826] = 8867,
  [9827] = 8884,
  [9828] = 8977,
  [9829] = 9633,
  [9830] = 2846,
  [9831] = 2845,
  [9832] = 2847,
  [9833] = 2846,
  [9834] = 9619,
  [9835] = 8853,
  [9836] = 2847,
  [9837] = 8885,
  [9838] = 9639,
  [9839] = 8886,
  [9840] = 9840,
  [9841] = 9645,
  [9842] = 9619,
  [9843] = 9621,
  [9844] = 9639,
  [9845] = 9631,
  [9846] = 9645,
  [9847] = 9622,
  [9848] = 9621,
  [9849] = 9639,
  [9850] = 9646,
  [9851] = 9645,
  [9852] = 9646,
  [9853] = 9622,
  [9854] = 9633,
  [9855] = 9163,
  [9856] = 9645,
  [9857] = 2848,
  [9858] = 8873,
  [9859] = 8868,
  [9860] = 9631,
  [9861] = 8874,
  [9862] = 9862,
  [9863] = 7983,
  [9864] = 7984,
  [9865] = 9664,
  [9866] = 7985,
  [9867] = 9867,
  [9868] = 9193,
  [9869] = 7947,
  [9870] = 7952,
  [9871] = 7953,
  [9872] = 9633,
  [9873] = 9639,
  [9874] = 7955,
  [9875] = 7968,
  [9876] = 8895,
  [9877] = 7969,
  [9878] = 2848,
  [9879] = 8958,
  [9880] = 7971,
  [9881] = 9646,
  [9882] = 5396,
  [9883] = 8862,
  [9884] = 9884,
  [9885] = 9885,
  [9886] = 9886,
  [9887] = 9887,
  [9888] = 9884,
  [9889] = 9885,
  [9890] = 9886,
  [9891] = 9887,
  [9892] = 9243,
  [9893] = 9243,
  [9894] = 8863,
  [9895] = 9205,
  [9896] = 9205,
  [9897] = 9764,
  [9898] = 9358,
  [9899] = 9899,
  [9900] = 2848,
  [9901] = 2848,
  [9902] = 9165,
  [9903] = 8862,
  [9904] = 8863,
  [9905] = 8864,
  [9906] = 8865,
  [9907] = 8866,
  [9908] = 8867,
  [9909] = 8868,
  [9910] = 8869,
  [9911] = 8870,
  [9912] = 7374,
  [9913] = 7328,
  [9914] = 8871,
  [9915] = 8831,
  [9916] = 8873,
  [9917] = 8874,
  [9918] = 9664,
  [9919] = 9615,
  [9920] = 8876,
  [9921] = 8877,
  [9922] = 8878,
  [9923] = 8879,
  [9924] = 8880,
  [9925] = 8881,
  [9926] = 2846,
  [9927] = 8884,
  [9928] = 8885,
  [9929] = 8886,
  [9930] = 9691,
  [9931] = 9931,
  [9932] = 2847,
  [9933] = 9643,
  [9934] = 9647,
  [9935] = 9935,
  [9936] = 9665,
  [9937] = 8888,
  [9938] = 8890,
  [9939] = 9939,
  [9940] = 8895,
  [9941] = 9941,
  [9942] = 9942,
  [9943] = 8739,
  [9944] = 7414,
  [9945] = 7416,
  [9946] = 7417,
  [9947] = 7419,
  [9948] = 7395,
  [9949] = 9949,
  [9950] = 2775,
  [9951] = 2776,
  [9952] = 8890,
  [9953] = 9163,
  [9954] = 5396,
  [9955] = 7388,
  [9956] = 9956,
  [9957] = 9165,
  [9958] = 2778,
  [9959] = 8895,
  [9960] = 7430,
  [9961] = 8008,
  [9962] = 8009,
  [9963] = 7317,
  [9964] = 7462,
  [9965] = 7486,
  [9966] = 7504,
  [9967] = 9165,
  [9968] = 9163,
  [9969] = 2782,
  [9970] = 9931,
  [9971] = 9939,
  [9972] = 7983,
  [9973] = 7984,
  [9974] = 7985,
  [9975] = 7947,
  [9976] = 7952,
  [9977] = 7953,
  [9978] = 7955,
  [9979] = 7968,
  [9980] = 7969,
  [9981] = 7971,
  [9982] = 7988,
  [9983] = 7999,
  [9984] = 7439,
  [9985] = 7458,
  [9986] = 7467,
  [9987] = 7478,
  [9988] = 9899,
  [9989] = 2797,
  [9990] = 7557,
  [9991] = 7461,
  [9992] = 9941,
  [9993] = 7335,
  [9994] = 7424,
  [9995] = 9942,
  [9996] = 8756,
  [9997] = 9664,
  [9998] = 9615,
  [9999] = 2785,
  [10000] = 2786,
  [10001] = 8739,
  [10002] = 5429,
  [10003] = 9691,
  [10004] = 9643,
  [10005] = 9647,
  [10006] = 2847,
  [10007] = 8756,
  [10008] = 8019,
  [10009] = 8021,
  [10010] = 8003,
  [10011] = 8006,
  [10012] = 8007,
  [10013] = 7389,
  [10014] = 5396,
  [10015] = 8010,
  [10016] = 2787,
  [10017] = 2799,
  [10018] = 8756,
  [10019] = 5344,
  [10020] = 7436,
  [10021] = 10021,
  [10022] = 10022,
  [10023] = 5352,
  [10024] = 5258,
  [10025] = 10025,
  [10026] = 8009,
  [10027] = 7449,
  [10028] = 9165,
  [10029] = 8739,
  [10030] = 8022,
  [10031] = 2790,
  [10032] = 8756,
  [10033] = 5396,
  [10034] = 9949,
  [10035] = 7387,
  [10036] = 7397,
  [10037] = 10037,
  [10038] = 7440,
  [10039] = 5414,
  [10040] = 2793,
  [10041] = 9163,
  [10042] = 2794,
  [10043] = 7998,
  [10044] = 10044,
  [10045] = 5424,
  [10046] = 5447,
  [10047] = 9358,
  [10048] = 2795,
  [10049] = 9360,
  [10050] = 8862,
  [10051] = 8863,
  [10052] = 10021,
  [10053] = 8864,
  [10054] = 8865,
  [10055] = 9935,
  [10056] = 8866,
  [10057] = 9360,
  [10058] = 5403,
  [10059] = 7340,
  [10060] = 2845,
  [10061] = 7998,
  [10062] = 2845,
  [10063] = 8867,
  [10064] = 8868,
  [10065] = 7336,
  [10066] = 8869,
  [10067] = 8870,
  [10068] = 10068,
  [10069] = 4675,
  [10070] = 8890,
  [10071] = 4671,
  [10072] = 8871,
  [10073] = 8831,
  [10074] = 8873,
  [10075] = 8874,
  [10076] = 9460,
  [10077] = 4616,
  [10078] = 8739,
  [10079] = 5429,
  [10080] = 7363,
  [10081] = 7365,
  [10082] = 8876,
  [10083] = 5429,
  [10084] = 9163,
  [10085] = 8877,
  [10086] = 8878,
  [10087] = 8879,
  [10088] = 8880,
  [10089] = 8881,
  [10090] = 10090,
  [10091] = 8884,
  [10092] = 8885,
  [10093] = 8886,
  [10094] = 8895,
  [10095] = 2846,
  [10096] = 8888,
  [10097] = 9665,
  [10098] = 10098,
  [10099] = 2770,
  [10100] = 5256,
  [10101] = 10101,
  [10102] = 10101,
  [10103] = 2777,
  [10104] = 10101,
  [10105] = 9618,
  [10106] = 2847,
  [10107] = 10101,
  [10108] = 8022,
  [10109] = 7998,
  [10110] = 9647,
  [10111] = 8006,
  [10112] = 8007,
  [10113] = 2848,
  [10114] = 2788,
  [10115] = 5396,
  [10116] = 10101,
  [10117] = 8010,
  [10118] = 9615,
  [10119] = 10101,
  [10120] = 5244,
  [10121] = 10101,
  [10122] = 9665,
  [10123] = 10101,
  [10124] = 10101,
  [10125] = 2845,
  [10126] = 2846,
  [10127] = 2847,
  [10128] = 10128,
  [10129] = 10129,
  [10130] = 10130,
  [10131] = 8853,
  [10132] = 10132,
  [10133] = 2848,
  [10134] = 10101,
  [10135] = 8986,
  [10136] = 10136,
  [10137] = 10137,
  [10138] = 10138,
  [10139] = 10139,
  [10140] = 10098,
  [10141] = 10101,
  [10142] = 4675,
  [10143] = 8009,
  [10144] = 4671,
  [10145] = 10145,
  [10146] = 10146,
  [10147] = 10147,
  [10148] = 10148,
  [10149] = 4616,
  [10150] = 8021,
  [10151] = 8003,
  [10152] = 9744,
  [10153] = 7809,
  [10154] = 10101,
  [10155] = 10101,
  [10156] = 10101,
  [10157] = 10157,
  [10158] = 9744,
  [10159] = 10101,
  [10160] = 10160,
  [10161] = 10161,
  [10162] = 9744,
  [10163] = 10163,
  [10164] = 10101,
  [10165] = 8977,
  [10166] = 8008,
  [10167] = 8009,
  [10168] = 9664,
  [10169] = 10137,
  [10170] = 10138,
  [10171] = 8764,
  [10172] = 7983,
  [10173] = 7984,
  [10174] = 7985,
  [10175] = 7753,
  [10176] = 7947,
  [10177] = 7952,
  [10178] = 7953,
  [10179] = 7955,
  [10180] = 10101,
  [10181] = 7968,
  [10182] = 7969,
  [10183] = 7971,
  [10184] = 7988,
  [10185] = 10185,
  [10186] = 10186,
  [10187] = 10187,
  [10188] = 10188,
  [10189] = 8008,
  [10190] = 10101,
  [10191] = 7767,
  [10192] = 7772,
  [10193] = 7773,
  [10194] = 10101,
  [10195] = 10195,
  [10196] = 7957,
  [10197] = 7796,
  [10198] = 10198,
  [10199] = 7998,
  [10200] = 7777,
  [10201] = 9358,
  [10202] = 9664,
  [10203] = 9615,
  [10204] = 7999,
  [10205] = 10205,
  [10206] = 10206,
  [10207] = 7748,
  [10208] = 9691,
  [10209] = 9643,
  [10210] = 9647,
  [10211] = 9665,
  [10212] = 4675,
  [10213] = 8739,
  [10214] = 4671,
  [10215] = 10101,
  [10216] = 8756,
  [10217] = 4616,
  [10218] = 10101,
  [10219] = 7826,
  [10220] = 7806,
  [10221] = 7807,
  [10222] = 8958,
  [10223] = 8959,
  [10224] = 9618,
  [10225] = 10101,
  [10226] = 9744,
  [10227] = 8977,
  [10228] = 10101,
  [10229] = 10101,
  [10230] = 10230,
  [10231] = 9358,
  [10232] = 7686,
  [10233] = 8755,
  [10234] = 10101,
  [10235] = 8984,
  [10236] = 9691,
  [10237] = 8986,
  [10238] = 8739,
  [10239] = 10101,
  [10240] = 8958,
  [10241] = 10185,
  [10242] = 10101,
  [10243] = 7983,
  [10244] = 10132,
  [10245] = 9360,
  [10246] = 10157,
  [10247] = 8959,
  [10248] = 10161,
  [10249] = 10249,
  [10250] = 7984,
  [10251] = 10195,
  [10252] = 10198,
  [10253] = 10205,
  [10254] = 10206,
  [10255] = 10255,
  [10256] = 10256,
  [10257] = 10257,
  [10258] = 10258,
  [10259] = 10259,
  [10260] = 10128,
  [10261] = 10129,
  [10262] = 10136,
  [10263] = 10148,
  [10264] = 7985,
  [10265] = 7837,
  [10266] = 7947,
  [10267] = 7952,
  [10268] = 7953,
  [10269] = 7955,
  [10270] = 7968,
  [10271] = 7969,
  [10272] = 10249,
  [10273] = 7971,
  [10274] = 10255,
  [10275] = 7988,
  [10276] = 10101,
  [10277] = 10101,
  [10278] = 9360,
  [10279] = 9764,
  [10280] = 8853,
  [10281] = 5338,
  [10282] = 9764,
  [10283] = 8756,
  [10284] = 10101,
  [10285] = 10101,
  [10286] = 10101,
  [10287] = 10101,
  [10288] = 9643,
  [10289] = 10101,
  [10290] = 9358,
  [10291] = 7999,
  [10292] = 7885,
  [10293] = 7699,
  [10294] = 8764,
  [10295] = 10101,
  [10296] = 7914,
  [10297] = 10297,
  [10298] = 7921,
  [10299] = 10101,
  [10300] = 7926,
  [10301] = 8019,
  [10302] = 8010,
  [10303] = 7718,
  [10304] = 8755,
  [10305] = 10101,
  [10306] = 4798,
  [10307] = 7927,
  [10308] = 8984,
  [10309] = 10101,
  [10310] = 10310,
  [10311] = 2846,
  [10312] = 10312,
  [10313] = 7959,
  [10314] = 7363,
  [10315] = 7903,
  [10316] = 10101,
  [10317] = 2771,
  [10318] = 10101,
  [10319] = 10256,
  [10320] = 10320,
  [10321] = 7960,
  [10322] = 7961,
  [10323] = 10101,
  [10324] = 10101,
  [10325] = 9165,
  [10326] = 10257,
  [10327] = 10258,
  [10328] = 10101,
  [10329] = 9165,
  [10330] = 10101,
  [10331] = 10259,
  [10332] = 2845,
  [10333] = 7935,
  [10334] = 9884,
  [10335] = 9885,
  [10336] = 9886,
  [10337] = 9887,
  [10338] = 9884,
  [10339] = 9885,
  [10340] = 9886,
  [10341] = 9887,
  [10342] = 10342,
  [10343] = 10342,
  [10344] = 9358,
  [10345] = 8890,
  [10346] = 8862,
  [10347] = 8863,
  [10348] = 8864,
  [10349] = 10349,
  [10350] = 9691,
  [10351] = 10351,
  [10352] = 8867,
  [10353] = 8865,
  [10354] = 8866,
  [10355] = 10355,
  [10356] = 10356,
  [10357] = 10357,
  [10358] = 8868,
  [10359] = 2845,
  [10360] = 8869,
  [10361] = 10361,
  [10362] = 10362,
  [10363] = 8870,
  [10364] = 9939,
  [10365] = 10365,
  [10366] = 10366,
  [10367] = 10367,
  [10368] = 9931,
  [10369] = 10369,
  [10370] = 8867,
  [10371] = 8868,
  [10372] = 8778,
  [10373] = 8869,
  [10374] = 8870,
  [10375] = 2845,
  [10376] = 8010,
  [10377] = 10377,
  [10378] = 10378,
  [10379] = 10379,
  [10380] = 10037,
  [10381] = 8871,
  [10382] = 8831,
  [10383] = 8873,
  [10384] = 10384,
  [10385] = 10385,
  [10386] = 8874,
  [10387] = 9664,
  [10388] = 2846,
  [10389] = 2847,
  [10390] = 10137,
  [10391] = 10138,
  [10392] = 10098,
  [10393] = 8895,
  [10394] = 9615,
  [10395] = 2848,
  [10396] = 10396,
  [10397] = 10397,
  [10398] = 8884,
  [10399] = 9647,
  [10400] = 10400,
  [10401] = 8885,
  [10402] = 10402,
  [10403] = 10403,
  [10404] = 7999,
  [10405] = 10405,
  [10406] = 10406,
  [10407] = 10407,
  [10408] = 8876,
  [10409] = 8877,
  [10410] = 8878,
  [10411] = 8879,
  [10412] = 8880,
  [10413] = 9665,
  [10414] = 8881,
  [10415] = 10415,
  [10416] = 10416,
  [10417] = 8871,
  [10418] = 5429,
  [10419] = 8831,
  [10420] = 8873,
  [10421] = 8874,
  [10422] = 8895,
  [10423] = 2846,
  [10424] = 2847,
  [10425] = 10425,
  [10426] = 10426,
  [10427] = 9691,
  [10428] = 7983,
  [10429] = 9665,
  [10430] = 9941,
  [10431] = 10431,
  [10432] = 10432,
  [10433] = 10433,
  [10434] = 10434,
  [10435] = 10435,
  [10436] = 10436,
  [10437] = 10437,
  [10438] = 8886,
  [10439] = 8884,
  [10440] = 8885,
  [10441] = 8886,
  [10442] = 10442,
  [10443] = 10443,
  [10444] = 10444,
  [10445] = 10445,
  [10446] = 10446,
  [10447] = 8871,
  [10448] = 10448,
  [10449] = 10449,
  [10450] = 2779,
  [10451] = 10451,
  [10452] = 10452,
  [10453] = 9939,
  [10454] = 10454,
  [10455] = 10455,
  [10456] = 10456,
  [10457] = 10457,
  [10458] = 8888,
  [10459] = 10459,
  [10460] = 8831,
  [10461] = 4798,
  [10462] = 9899,
  [10463] = 8873,
  [10464] = 9941,
  [10465] = 10465,
  [10466] = 10466,
  [10467] = 8876,
  [10468] = 8877,
  [10469] = 8878,
  [10470] = 8879,
  [10471] = 8880,
  [10472] = 2848,
  [10473] = 8881,
  [10474] = 10474,
  [10475] = 10475,
  [10476] = 2845,
  [10477] = 8874,
  [10478] = 8862,
  [10479] = 8863,
  [10480] = 8864,
  [10481] = 10481,
  [10482] = 9163,
  [10483] = 2846,
  [10484] = 2847,
  [10485] = 10485,
  [10486] = 9664,
  [10487] = 9931,
  [10488] = 8890,
  [10489] = 8865,
  [10490] = 5429,
  [10491] = 10491,
  [10492] = 8888,
  [10493] = 8866,
  [10494] = 10494,
  [10495] = 10495,
  [10496] = 10496,
  [10497] = 10497,
  [10498] = 9163,
  [10499] = 10499,
  [10500] = 7984,
  [10501] = 8867,
  [10502] = 8868,
  [10503] = 7985,
  [10504] = 8869,
  [10505] = 10505,
  [10506] = 7947,
  [10507] = 7952,
  [10508] = 8870,
  [10509] = 7953,
  [10510] = 2848,
  [10511] = 10511,
  [10512] = 10512,
  [10513] = 8881,
  [10514] = 10514,
  [10515] = 10515,
  [10516] = 10516,
  [10517] = 7955,
  [10518] = 10518,
  [10519] = 8884,
  [10520] = 7968,
  [10521] = 8885,
  [10522] = 8886,
  [10523] = 7969,
  [10524] = 9615,
  [10525] = 7971,
  [10526] = 5429,
  [10527] = 7988,
  [10528] = 10384,
  [10529] = 10529,
  [10530] = 10530,
  [10531] = 5396,
  [10532] = 10385,
  [10533] = 8871,
  [10534] = 8831,
  [10535] = 8873,
  [10536] = 8888,
  [10537] = 8874,
  [10538] = 8895,
  [10539] = 9664,
  [10540] = 9615,
  [10541] = 9691,
  [10542] = 10021,
  [10543] = 9935,
  [10544] = 10544,
  [10545] = 10545,
  [10546] = 9899,
  [10547] = 10547,
  [10548] = 9691,
  [10549] = 10021,
  [10550] = 10550,
  [10551] = 9643,
  [10552] = 9647,
  [10553] = 9643,
  [10554] = 9935,
  [10555] = 9665,
  [10556] = 10556,
  [10557] = 10557,
  [10558] = 9647,
  [10559] = 9941,
  [10560] = 9665,
  [10561] = 10561,
  [10562] = 9939,
  [10563] = 5396,
  [10564] = 9941,
  [10565] = 8876,
  [10566] = 8877,
  [10567] = 8878,
  [10568] = 10022,
  [10569] = 8879,
  [10570] = 8880,
  [10571] = 8881,
  [10572] = 10137,
  [10573] = 10138,
  [10574] = 5396,
  [10575] = 8884,
  [10576] = 10576,
  [10577] = 8885,
  [10578] = 8886,
  [10579] = 10098,
  [10580] = 10580,
  [10581] = 9942,
  [10582] = 10582,
  [10583] = 9949,
  [10584] = 2789,
  [10585] = 5396,
  [10586] = 10586,
  [10587] = 10587,
  [10588] = 8778,
  [10589] = 10589,
  [10590] = 10590,
  [10591] = 10591,
  [10592] = 8862,
  [10593] = 8888,
  [10594] = 9949,
  [10595] = 8862,
  [10596] = 4798,
  [10597] = 10597,
  [10598] = 8863,
  [10599] = 8864,
  [10600] = 9949,
  [10601] = 10044,
  [10602] = 9643,
  [10603] = 10603,
  [10604] = 8863,
  [10605] = 5429,
  [10606] = 8890,
  [10607] = 9939,
  [10608] = 8890,
  [10609] = 8864,
  [10610] = 9647,
  [10611] = 8867,
  [10612] = 10612,
  [10613] = 10613,
  [10614] = 10614,
  [10615] = 8868,
  [10616] = 10616,
  [10617] = 10617,
  [10618] = 9942,
  [10619] = 8876,
  [10620] = 9664,
  [10621] = 9615,
  [10622] = 5429,
  [10623] = 8877,
  [10624] = 8878,
  [10625] = 8895,
  [10626] = 10626,
  [10627] = 10627,
  [10628] = 10628,
  [10629] = 8865,
  [10630] = 10630,
  [10631] = 8879,
  [10632] = 8880,
  [10633] = 8865,
  [10634] = 8008,
  [10635] = 8866,
  [10636] = 10636,
  [10637] = 8148,
  [10638] = 8869,
  [10639] = 10639,
  [10640] = 8866,
  [10641] = 10641,
  [10642] = 9949,
  [10643] = 9643,
  [10644] = 8870,
  [10645] = 10645,
  [10646] = 10646,
  [10647] = 10647,
  [10648] = 10648,
  [10649] = 10457,
  [10650] = 10647,
  [10651] = 10648,
  [10652] = 10652,
  [10653] = 10653,
  [10654] = 8870,
  [10655] = 10655,
  [10656] = 10656,
  [10657] = 10656,
  [10658] = 8885,
  [10659] = 10659,
  [10660] = 10660,
  [10661] = 10660,
  [10662] = 10662,
  [10663] = 8886,
  [10664] = 10660,
  [10665] = 10185,
  [10666] = 8862,
  [10667] = 8863,
  [10668] = 8864,
  [10669] = 10132,
  [10670] = 10157,
  [10671] = 10138,
  [10672] = 10161,
  [10673] = 10249,
  [10674] = 8865,
  [10675] = 10195,
  [10676] = 10198,
  [10677] = 10205,
  [10678] = 10206,
  [10679] = 10679,
  [10680] = 10255,
  [10681] = 10256,
  [10682] = 10257,
  [10683] = 10258,
  [10684] = 10259,
  [10685] = 10128,
  [10686] = 10129,
  [10687] = 10136,
  [10688] = 10148,
  [10689] = 10098,
  [10690] = 8148,
  [10691] = 8866,
  [10692] = 10660,
  [10693] = 2845,
  [10694] = 10656,
  [10695] = 8739,
  [10696] = 10185,
  [10697] = 7998,
  [10698] = 2846,
  [10699] = 8022,
  [10700] = 10132,
  [10701] = 2847,
  [10702] = 10157,
  [10703] = 10656,
  [10704] = 10161,
  [10705] = 10249,
  [10706] = 10195,
  [10707] = 10198,
  [10708] = 10205,
  [10709] = 10206,
  [10710] = 10255,
  [10711] = 10256,
  [10712] = 10257,
  [10713] = 10258,
  [10714] = 10259,
  [10715] = 10128,
  [10716] = 10129,
  [10717] = 10136,
  [10718] = 10148,
  [10719] = 10660,
  [10720] = 10656,
  [10721] = 10653,
  [10722] = 10659,
  [10723] = 10723,
  [10724] = 10656,
  [10725] = 10725,
  [10726] = 8890,
  [10727] = 10727,
  [10728] = 10728,
  [10729] = 10729,
  [10730] = 10660,
  [10731] = 10731,
  [10732] = 9764,
  [10733] = 10660,
  [10734] = 10734,
  [10735] = 10735,
  [10736] = 10656,
  [10737] = 10729,
  [10738] = 10738,
  [10739] = 10739,
  [10740] = 10740,
  [10741] = 10741,
  [10742] = 10742,
  [10743] = 8881,
  [10744] = 10744,
  [10745] = 9744,
  [10746] = 10738,
  [10747] = 8871,
  [10748] = 8831,
  [10749] = 7983,
  [10750] = 7984,
  [10751] = 5429,
  [10752] = 7985,
  [10753] = 8873,
  [10754] = 7947,
  [10755] = 7952,
  [10756] = 7953,
  [10757] = 7955,
  [10758] = 10758,
  [10759] = 7968,
  [10760] = 7969,
  [10761] = 10656,
  [10762] = 7971,
  [10763] = 7988,
  [10764] = 7998,
  [10765] = 7999,
  [10766] = 10766,
  [10767] = 10656,
  [10768] = 10384,
  [10769] = 10385,
  [10770] = 10656,
  [10771] = 5396,
  [10772] = 10656,
  [10773] = 10660,
  [10774] = 10728,
  [10775] = 10656,
  [10776] = 10656,
  [10777] = 8874,
  [10778] = 10778,
  [10779] = 10779,
  [10780] = 10780,
  [10781] = 2848,
  [10782] = 8888,
  [10783] = 10783,
  [10784] = 10784,
  [10785] = 10660,
  [10786] = 8867,
  [10787] = 10656,
  [10788] = 9942,
  [10789] = 8868,
  [10790] = 10778,
  [10791] = 10656,
  [10792] = 8869,
  [10793] = 10656,
  [10794] = 10656,
  [10795] = 9744,
  [10796] = 8895,
  [10797] = 10660,
  [10798] = 8870,
  [10799] = 10799,
  [10800] = 10656,
  [10801] = 10801,
  [10802] = 10802,
  [10803] = 10803,
  [10804] = 10656,
  [10805] = 10098,
  [10806] = 10656,
  [10807] = 10660,
  [10808] = 10656,
  [10809] = 10809,
  [10810] = 8755,
  [10811] = 8009,
  [10812] = 10656,
  [10813] = 10813,
  [10814] = 10744,
  [10815] = 10660,
  [10816] = 10741,
  [10817] = 9358,
  [10818] = 10660,
  [10819] = 2845,
  [10820] = 10660,
  [10821] = 9358,
  [10822] = 10656,
  [10823] = 9764,
  [10824] = 10824,
  [10825] = 10825,
  [10826] = 10826,
  [10827] = 10656,
  [10828] = 10660,
  [10829] = 8890,
  [10830] = 8010,
  [10831] = 10831,
  [10832] = 8895,
  [10833] = 10660,
  [10834] = 5429,
  [10835] = 10742,
  [10836] = 10656,
  [10837] = 10837,
  [10838] = 10656,
  [10839] = 10839,
  [10840] = 8876,
  [10841] = 8884,
  [10842] = 2846,
  [10843] = 2847,
  [10844] = 10656,
  [10845] = 10656,
  [10846] = 10660,
  [10847] = 10725,
  [10848] = 10731,
  [10849] = 10849,
  [10850] = 10656,
  [10851] = 10849,
  [10852] = 8877,
  [10853] = 10853,
  [10854] = 10656,
  [10855] = 8862,
  [10856] = 8019,
  [10857] = 8764,
  [10858] = 8021,
  [10859] = 10660,
  [10860] = 10656,
  [10861] = 8863,
  [10862] = 10660,
  [10863] = 10656,
  [10864] = 8876,
  [10865] = 8877,
  [10866] = 8864,
  [10867] = 8878,
  [10868] = 8879,
  [10869] = 8865,
  [10870] = 10870,
  [10871] = 8880,
  [10872] = 8881,
  [10873] = 8003,
  [10874] = 8878,
  [10875] = 10779,
  [10876] = 8006,
  [10877] = 8007,
  [10878] = 8866,
  [10879] = 10656,
  [10880] = 10656,
  [10881] = 10137,
  [10882] = 8148,
  [10883] = 8879,
  [10884] = 8880,
  [10885] = 8871,
  [10886] = 8831,
  [10887] = 8873,
  [10888] = 10659,
  [10889] = 10780,
  [10890] = 9942,
  [10891] = 10384,
  [10892] = 8884,
  [10893] = 8874,
  [10894] = 8885,
  [10895] = 8886,
  [10896] = 10385,
  [10897] = 10656,
  [10898] = 5396,
  [10899] = 8008,
  [10900] = 8009,
  [10901] = 10656,
  [10902] = 10656,
  [10903] = 10342,
  [10904] = 10734,
  [10905] = 2848,
  [10906] = 10656,
  [10907] = 8756,
  [10908] = 10656,
  [10909] = 10342,
  [10910] = 10656,
  [10911] = 10660,
  [10912] = 10660,
  [10913] = 10656,
  [10914] = 10137,
  [10915] = 10138,
  [10916] = 8867,
  [10917] = 8868,
  [10918] = 10839,
  [10919] = 10783,
  [10920] = 8869,
  [10921] = 8888,
  [10922] = 10656,
  [10923] = 10923,
  [10924] = 10740,
  [10925] = 10660,
  [10926] = 10656,
  [10927] = 10655,
  [10928] = 10656,
  [10929] = 10809,
  [10930] = 10739,
  [10931] = 10931,
  [10932] = 10932,
  [10933] = 10933,
  [10934] = 10934,
  [10935] = 10935,
  [10936] = 10936,
  [10937] = 10937,
  [10938] = 10936,
  [10939] = 8009,
  [10940] = 10940,
  [10941] = 10941,
  [10942] = 10942,
  [10943] = 10943,
  [10944] = 9691,
  [10945] = 10936,
  [10946] = 10937,
  [10947] = 10940,
  [10948] = 10941,
  [10949] = 10942,
  [10950] = 10943,
  [10951] = 10951,
  [10952] = 10934,
  [10953] = 10931,
  [10954] = 10936,
  [10955] = 10936,
  [10956] = 10937,
  [10957] = 10940,
  [10958] = 10941,
  [10959] = 10942,
  [10960] = 10943,
  [10961] = 10951,
  [10962] = 10962,
  [10963] = 8756,
  [10964] = 10934,
  [10965] = 7983,
  [10966] = 7984,
  [10967] = 7985,
  [10968] = 7947,
  [10969] = 7952,
  [10970] = 7953,
  [10971] = 7955,
  [10972] = 7968,
  [10973] = 7969,
  [10974] = 7971,
  [10975] = 7988,
  [10976] = 7998,
  [10977] = 7999,
  [10978] = 10951,
  [10979] = 10936,
  [10980] = 10931,
  [10981] = 10937,
  [10982] = 10940,
  [10983] = 10941,
  [10984] = 10942,
  [10985] = 10943,
  [10986] = 10934,
  [10987] = 10942,
  [10988] = 10931,
  [10989] = 10951,
  [10990] = 10934,
  [10991] = 8022,
  [10992] = 10937,
  [10993] = 10937,
  [10994] = 10940,
  [10995] = 7998,
  [10996] = 10943,
  [10997] = 10951,
  [10998] = 10943,
  [10999] = 10934,
  [11000] = 10936,
  [11001] = 10936,
  [11002] = 8008,
  [11003] = 8009,
  [11004] = 10937,
  [11005] = 10940,
  [11006] = 10934,
  [11007] = 10941,
  [11008] = 10942,
  [11009] = 10940,
  [11010] = 10943,
  [11011] = 10137,
  [11012] = 10931,
  [11013] = 10936,
  [11014] = 10951,
  [11015] = 10941,
  [11016] = 9165,
  [11017] = 10942,
  [11018] = 8019,
  [11019] = 8021,
  [11020] = 8003,
  [11021] = 8006,
  [11022] = 8007,
  [11023] = 10138,
  [11024] = 10943,
  [11025] = 10936,
  [11026] = 10941,
  [11027] = 10942,
  [11028] = 10937,
  [11029] = 10940,
  [11030] = 10941,
  [11031] = 10942,
  [11032] = 10943,
  [11033] = 8764,
  [11034] = 10937,
  [11035] = 10931,
  [11036] = 10137,
  [11037] = 10138,
  [11038] = 10934,
  [11039] = 10940,
  [11040] = 10098,
  [11041] = 10941,
  [11042] = 10951,
  [11043] = 8010,
  [11044] = 10942,
  [11045] = 10943,
  [11046] = 10936,
  [11047] = 10951,
  [11048] = 10937,
  [11049] = 10940,
  [11050] = 10941,
  [11051] = 10942,
  [11052] = 10943,
  [11053] = 10941,
  [11054] = 10943,
  [11055] = 10384,
  [11056] = 10385,
  [11057] = 10935,
  [11058] = 10934,
  [11059] = 11059,
  [11060] = 10934,
  [11061] = 11059,
  [11062] = 10934,
  [11063] = 10931,
  [11064] = 10951,
  [11065] = 10951,
  [11066] = 9643,
  [11067] = 9647,
  [11068] = 10936,
  [11069] = 10936,
  [11070] = 10937,
  [11071] = 10940,
  [11072] = 10941,
  [11073] = 10942,
  [11074] = 11074,
  [11075] = 10936,
  [11076] = 10943,
  [11077] = 10951,
  [11078] = 10937,
  [11079] = 10940,
  [11080] = 9949,
  [11081] = 10934,
  [11082] = 10941,
  [11083] = 10942,
  [11084] = 10943,
  [11085] = 10931,
  [11086] = 10137,
  [11087] = 10138,
  [11088] = 10098,
  [11089] = 9939,
  [11090] = 10937,
  [11091] = 10934,
  [11092] = 10934,
  [11093] = 10936,
  [11094] = 10936,
  [11095] = 10951,
  [11096] = 10384,
  [11097] = 10385,
  [11098] = 9941,
  [11099] = 10931,
  [11100] = 10937,
  [11101] = 10940,
  [11102] = 10936,
  [11103] = 10941,
  [11104] = 10942,
  [11105] = 10937,
  [11106] = 10940,
  [11107] = 10934,
  [11108] = 10943,
  [11109] = 10941,
  [11110] = 10942,
  [11111] = 10137,
  [11112] = 10138,
  [11113] = 10951,
  [11114] = 10098,
  [11115] = 10943,
  [11116] = 10951,
  [11117] = 11117,
  [11118] = 10942,
  [11119] = 10934,
  [11120] = 10936,
  [11121] = 10931,
  [11122] = 10937,
  [11123] = 10940,
  [11124] = 10941,
  [11125] = 10934,
  [11126] = 10942,
  [11127] = 10943,
  [11128] = 10933,
  [11129] = 10931,
  [11130] = 10934,
  [11131] = 10951,
  [11132] = 10937,
  [11133] = 10931,
  [11134] = 10936,
  [11135] = 10937,
  [11136] = 10940,
  [11137] = 10941,
  [11138] = 10942,
  [11139] = 10943,
  [11140] = 10943,
  [11141] = 10931,
  [11142] = 10942,
  [11143] = 10934,
  [11144] = 10937,
  [11145] = 11145,
  [11146] = 10940,
  [11147] = 10931,
  [11148] = 10951,
  [11149] = 10951,
  [11150] = 10934,
  [11151] = 10951,
  [11152] = 10931,
  [11153] = 9665,
  [11154] = 10951,
  [11155] = 10936,
  [11156] = 10941,
  [11157] = 10942,
  [11158] = 10936,
  [11159] = 10931,
  [11160] = 10937,
  [11161] = 10940,
  [11162] = 10941,
  [11163] = 10937,
  [11164] = 10942,
  [11165] = 10940,
  [11166] = 10941,
  [11167] = 10943,
  [11168] = 10931,
  [11169] = 10942,
  [11170] = 10943,
  [11171] = 11171,
  [11172] = 10943,
  [11173] = 10937,
  [11174] = 10936,
  [11175] = 10936,
  [11176] = 10940,
  [11177] = 10934,
  [11178] = 10931,
  [11179] = 10936,
  [11180] = 10951,
  [11181] = 10951,
  [11182] = 10937,
  [11183] = 10936,
  [11184] = 10940,
  [11185] = 10931,
  [11186] = 10937,
  [11187] = 10940,
  [11188] = 10941,
  [11189] = 10942,
  [11190] = 10943,
  [11191] = 10941,
  [11192] = 10942,
  [11193] = 10936,
  [11194] = 10937,
  [11195] = 10943,
  [11196] = 10931,
  [11197] = 10951,
  [11198] = 2799,
  [11199] = 10934,
  [11200] = 10940,
  [11201] = 10934,
  [11202] = 10941,
  [11203] = 10931,
  [11204] = 10942,
  [11205] = 10943,
  [11206] = 10931,
  [11207] = 10951,
  [11208] = 10931,
  [11209] = 10934,
  [11210] = 10931,
  [11211] = 11211,
  [11212] = 10934,
  [11213] = 10936,
  [11214] = 10931,
  [11215] = 10951,
  [11216] = 10937,
  [11217] = 10940,
  [11218] = 10941,
  [11219] = 10942,
  [11220] = 10931,
  [11221] = 10943,
  [11222] = 10937,
  [11223] = 10941,
  [11224] = 10934,
  [11225] = 8778,
  [11226] = 10931,
  [11227] = 10940,
  [11228] = 10941,
  [11229] = 10942,
  [11230] = 10934,
  [11231] = 10936,
  [11232] = 10931,
  [11233] = 10937,
  [11234] = 10940,
  [11235] = 10951,
  [11236] = 10941,
  [11237] = 10942,
  [11238] = 10951,
  [11239] = 10943,
  [11240] = 10942,
  [11241] = 10931,
  [11242] = 10943,
  [11243] = 10936,
  [11244] = 10934,
  [11245] = 10931,
  [11246] = 9939,
  [11247] = 10937,
  [11248] = 10940,
  [11249] = 10941,
  [11250] = 10942,
  [11251] = 10940,
  [11252] = 10943,
  [11253] = 10936,
  [11254] = 10931,
  [11255] = 11255,
  [11256] = 9941,
  [11257] = 11257,
  [11258] = 10931,
  [11259] = 10951,
  [11260] = 10937,
  [11261] = 10940,
  [11262] = 10934,
  [11263] = 10931,
  [11264] = 10941,
  [11265] = 10942,
  [11266] = 11266,
  [11267] = 10943,
  [11268] = 10951,
  [11269] = 10934,
  [11270] = 10931,
  [11271] = 10951,
  [11272] = 10931,
  [11273] = 10951,
  [11274] = 10936,
  [11275] = 11275,
  [11276] = 10937,
  [11277] = 10931,
  [11278] = 10940,
  [11279] = 10941,
  [11280] = 10942,
  [11281] = 10943,
  [11282] = 10931,
  [11283] = 10936,
  [11284] = 10936,
  [11285] = 10931,
  [11286] = 10937,
  [11287] = 10940,
  [11288] = 10937,
  [11289] = 10934,
  [11290] = 10940,
  [11291] = 10941,
  [11292] = 10931,
  [11293] = 10942,
  [11294] = 10943,
  [11295] = 10931,
  [11296] = 10951,
  [11297] = 11297,
  [11298] = 10931,
  [11299] = 10098,
  [11300] = 10936,
  [11301] = 10937,
  [11302] = 10940,
  [11303] = 10941,
  [11304] = 10942,
  [11305] = 10943,
  [11306] = 10936,
  [11307] = 11307,
  [11308] = 10934,
  [11309] = 10934,
  [11310] = 10937,
  [11311] = 10951,
  [11312] = 10937,
  [11313] = 9664,
  [11314] = 10940,
  [11315] = 11059,
  [11316] = 10940,
  [11317] = 9615,
  [11318] = 10936,
  [11319] = 10941,
  [11320] = 10937,
  [11321] = 10942,
  [11322] = 10940,
  [11323] = 10941,
  [11324] = 10647,
  [11325] = 10942,
  [11326] = 10943,
  [11327] = 10941,
  [11328] = 10934,
  [11329] = 10648,
  [11330] = 10951,
  [11331] = 10942,
  [11332] = 10778,
  [11333] = 10943,
  [11334] = 10779,
  [11335] = 10780,
  [11336] = 10940,
  [11337] = 10934,
  [11338] = 11338,
  [11339] = 10943,
  [11340] = 10951,
  [11341] = 10934,
  [11342] = 10943,
  [11343] = 11343,
  [11344] = 7461,
  [11345] = 2797,
  [11346] = 10934,
  [11347] = 10951,
  [11348] = 11348,
  [11349] = 10932,
  [11350] = 10951,
  [11351] = 10951,
  [11352] = 10931,
  [11353] = 10941,
  [11354] = 10934,
  [11355] = 10936,
  [11356] = 10936,
  [11357] = 10936,
  [11358] = 10937,
  [11359] = 10940,
  [11360] = 10937,
  [11361] = 10936,
  [11362] = 10940,
  [11363] = 10934,
  [11364] = 10941,
  [11365] = 10942,
  [11366] = 10943,
  [11367] = 9691,
  [11368] = 8010,
  [11369] = 10937,
  [11370] = 10940,
  [11371] = 10937,
  [11372] = 10940,
  [11373] = 10941,
  [11374] = 10778,
  [11375] = 10779,
  [11376] = 10780,
  [11377] = 10942,
  [11378] = 10943,
  [11379] = 8010,
  [11380] = 9949,
  [11381] = 10941,
  [11382] = 10942,
  [11383] = 10941,
  [11384] = 10942,
  [11385] = 10943,
  [11386] = 10943,
  [11387] = 10941,
  [11388] = 10934,
  [11389] = 8008,
  [11390] = 9643,
  [11391] = 9647,
  [11392] = 10951,
  [11393] = 9665,
  [11394] = 10951,
  [11395] = 8755,
  [11396] = 10936,
  [11397] = 11074,
  [11398] = 10937,
  [11399] = 10934,
  [11400] = 10940,
  [11401] = 10941,
  [11402] = 10942,
  [11403] = 10943,
  [11404] = 10951,
  [11405] = 8739,
  [11406] = 11406,
  [11407] = 9664,
  [11408] = 11408,
  [11409] = 10962,
  [11410] = 10936,
  [11411] = 9615,
  [11412] = 11117,
  [11413] = 11307,
  [11414] = 11211,
  [11415] = 10934,
  [11416] = 10937,
  [11417] = 10940,
  [11418] = 10951,
  [11419] = 11145,
  [11420] = 10941,
  [11421] = 10942,
  [11422] = 10943,
  [11423] = 10936,
  [11424] = 11424,
  [11425] = 11425,
  [11426] = 10951,
  [11427] = 10937,
  [11428] = 10940,
  [11429] = 10941,
  [11430] = 10942,
  [11431] = 10943,
  [11432] = 7983,
  [11433] = 7984,
  [11434] = 7985,
  [11435] = 7947,
  [11436] = 7952,
  [11437] = 7953,
  [11438] = 7955,
  [11439] = 7968,
  [11440] = 7969,
  [11441] = 7971,
  [11442] = 7988,
  [11443] = 7999,
  [11444] = 10934,
  [11445] = 11445,
  [11446] = 10839,
  [11447] = 10783,
  [11448] = 10951,
  [11449] = 10936,
  [11450] = 10934,
  [11451] = 10951,
  [11452] = 10839,
  [11453] = 10783,
  [11454] = 10932,
  [11455] = 10457,
  [11456] = 10647,
  [11457] = 10648,
  [11458] = 10457,
  [11459] = 10932,
  [11460] = 10932,
  [11461] = 10932,
  [11462] = 10744,
  [11463] = 11463,
  [11464] = 7984,
  [11465] = 11465,
  [11466] = 11466,
  [11467] = 10933,
  [11468] = 11463,
  [11469] = 10935,
  [11470] = 7968,
  [11471] = 9764,
  [11472] = 11472,
  [11473] = 11463,
  [11474] = 10725,
  [11475] = 9942,
  [11476] = 10384,
  [11477] = 10385,
  [11478] = 11463,
  [11479] = 7969,
  [11480] = 5429,
  [11481] = 11472,
  [11482] = 10384,
  [11483] = 10384,
  [11484] = 8871,
  [11485] = 10385,
  [11486] = 8831,
  [11487] = 7999,
  [11488] = 8873,
  [11489] = 11463,
  [11490] = 8874,
  [11491] = 7998,
  [11492] = 7985,
  [11493] = 9764,
  [11494] = 11463,
  [11495] = 10778,
  [11496] = 11496,
  [11497] = 10779,
  [11498] = 10780,
  [11499] = 11499,
  [11500] = 7971,
  [11501] = 11496,
  [11502] = 11502,
  [11503] = 11503,
  [11504] = 7988,
  [11505] = 11463,
  [11506] = 7947,
  [11507] = 11472,
  [11508] = 7952,
  [11509] = 11496,
  [11510] = 11510,
  [11511] = 8888,
  [11512] = 7983,
  [11513] = 11117,
  [11514] = 8010,
  [11515] = 11307,
  [11516] = 10725,
  [11517] = 11463,
  [11518] = 8778,
  [11519] = 10778,
  [11520] = 11520,
  [11521] = 10779,
  [11522] = 10780,
  [11523] = 11211,
  [11524] = 2845,
  [11525] = 10728,
  [11526] = 11526,
  [11527] = 11465,
  [11528] = 11528,
  [11529] = 10729,
  [11530] = 11530,
  [11531] = 8008,
  [11532] = 10728,
  [11533] = 10729,
  [11534] = 10731,
  [11535] = 11463,
  [11536] = 11536,
  [11537] = 8009,
  [11538] = 8019,
  [11539] = 8021,
  [11540] = 8010,
  [11541] = 8003,
  [11542] = 11463,
  [11543] = 10731,
  [11544] = 11536,
  [11545] = 11526,
  [11546] = 10734,
  [11547] = 7984,
  [11548] = 8006,
  [11549] = 2846,
  [11550] = 2847,
  [11551] = 8007,
  [11552] = 8008,
  [11553] = 10738,
  [11554] = 10739,
  [11555] = 10734,
  [11556] = 10741,
  [11557] = 10933,
  [11558] = 10742,
  [11559] = 7985,
  [11560] = 10744,
  [11561] = 11472,
  [11562] = 8009,
  [11563] = 10738,
  [11564] = 11463,
  [11565] = 11565,
  [11566] = 11510,
  [11567] = 11567,
  [11568] = 10739,
  [11569] = 8876,
  [11570] = 11465,
  [11571] = 7953,
  [11572] = 8877,
  [11573] = 10741,
  [11574] = 8878,
  [11575] = 8879,
  [11576] = 8880,
  [11577] = 11463,
  [11578] = 11463,
  [11579] = 10742,
  [11580] = 9942,
  [11581] = 11496,
  [11582] = 11582,
  [11583] = 8862,
  [11584] = 10962,
  [11585] = 11465,
  [11586] = 8867,
  [11587] = 11463,
  [11588] = 8863,
  [11589] = 10935,
  [11590] = 8864,
  [11591] = 8881,
  [11592] = 8868,
  [11593] = 11117,
  [11594] = 11594,
  [11595] = 11307,
  [11596] = 11463,
  [11597] = 8869,
  [11598] = 2848,
  [11599] = 11465,
  [11600] = 11211,
  [11601] = 11145,
  [11602] = 11466,
  [11603] = 7947,
  [11604] = 11567,
  [11605] = 11145,
  [11606] = 8890,
  [11607] = 8022,
  [11608] = 7952,
  [11609] = 7953,
  [11610] = 11463,
  [11611] = 7955,
  [11612] = 7968,
  [11613] = 10962,
  [11614] = 8895,
  [11615] = 10384,
  [11616] = 10385,
  [11617] = 11463,
  [11618] = 7969,
  [11619] = 7971,
  [11620] = 10385,
  [11621] = 11496,
  [11622] = 8865,
  [11623] = 11463,
  [11624] = 11465,
  [11625] = 7988,
  [11626] = 11463,
  [11627] = 7998,
  [11628] = 11496,
  [11629] = 11530,
  [11630] = 8010,
  [11631] = 8866,
  [11632] = 7999,
  [11633] = 8870,
  [11634] = 11463,
  [11635] = 11463,
  [11636] = 10839,
  [11637] = 11466,
  [11638] = 10783,
  [11639] = 11639,
  [11640] = 11640,
  [11641] = 10839,
  [11642] = 10783,
  [11643] = 8884,
  [11644] = 11465,
  [11645] = 8885,
  [11646] = 11463,
  [11647] = 11639,
  [11648] = 11594,
  [11649] = 8886,
  [11650] = 10653,
  [11651] = 10740,
  [11652] = 11496,
  [11653] = 7983,
  [11654] = 11530,
  [11655] = 10653,
  [11656] = 10740,
  [11657] = 11582,
  [11658] = 11567,
  [11659] = 11499,
  [11660] = 11520,
  [11661] = 11530,
  [11662] = 11466,
  [11663] = 5396,
  [11664] = 11567,
  [11665] = 11499,
  [11666] = 11520,
  [11667] = 11530,
  [11668] = 11466,
  [11669] = 7955,
  [11670] = 11567,
  [11671] = 11499,
  [11672] = 11520,
  [11673] = 11530,
  [11674] = 11466,
  [11675] = 11567,
  [11676] = 10809,
  [11677] = 10849,
  [11678] = 11472,
  [11679] = 10809,
  [11680] = 10849,
  [11681] = 11472,
  [11682] = 11496,
  [11683] = 11683,
  [11684] = 11684,
  [11685] = 8019,
  [11686] = 8021,
  [11687] = 8003,
  [11688] = 8006,
  [11689] = 8007,
  [11690] = 7983,
  [11691] = 7984,
  [11692] = 8884,
  [11693] = 8885,
  [11694] = 8886,
  [11695] = 7985,
  [11696] = 11696,
  [11697] = 11697,
  [11698] = 7947,
  [11699] = 11699,
  [11700] = 9165,
  [11701] = 7952,
  [11702] = 11702,
  [11703] = 8019,
  [11704] = 8021,
  [11705] = 8003,
  [11706] = 8006,
  [11707] = 8007,
  [11708] = 2797,
  [11709] = 8010,
  [11710] = 7953,
  [11711] = 8009,
  [11712] = 11699,
  [11713] = 8022,
  [11714] = 8008,
  [11715] = 8009,
  [11716] = 7955,
  [11717] = 8008,
  [11718] = 7998,
  [11719] = 8010,
  [11720] = 7968,
  [11721] = 7969,
  [11722] = 8009,
  [11723] = 8022,
  [11724] = 11699,
  [11725] = 7971,
  [11726] = 11699,
  [11727] = 10098,
  [11728] = 8008,
  [11729] = 11729,
  [11730] = 11730,
  [11731] = 7988,
  [11732] = 11699,
  [11733] = 7998,
  [11734] = 11734,
  [11735] = 11699,
  [11736] = 11736,
  [11737] = 7998,
  [11738] = 11699,
  [11739] = 8878,
  [11740] = 11699,
  [11741] = 7998,
  [11742] = 11742,
  [11743] = 11699,
  [11744] = 7983,
  [11745] = 7984,
  [11746] = 7985,
  [11747] = 7947,
  [11748] = 7952,
  [11749] = 8010,
  [11750] = 7953,
  [11751] = 2786,
  [11752] = 7955,
  [11753] = 7968,
  [11754] = 7969,
  [11755] = 7971,
  [11756] = 7988,
  [11757] = 11699,
  [11758] = 7999,
  [11759] = 7998,
  [11760] = 11760,
  [11761] = 11761,
  [11762] = 8022,
  [11763] = 11699,
  [11764] = 8874,
  [11765] = 11765,
  [11766] = 11699,
  [11767] = 11699,
  [11768] = 11699,
  [11769] = 11769,
  [11770] = 11770,
  [11771] = 2787,
  [11772] = 2799,
  [11773] = 11773,
  [11774] = 11699,
  [11775] = 7983,
  [11776] = 7984,
  [11777] = 7985,
  [11778] = 7947,
  [11779] = 7952,
  [11780] = 7953,
  [11781] = 7955,
  [11782] = 7968,
  [11783] = 7969,
  [11784] = 11729,
  [11785] = 7971,
  [11786] = 7988,
  [11787] = 11699,
  [11788] = 11788,
  [11789] = 7998,
  [11790] = 7998,
  [11791] = 7999,
  [11792] = 7998,
  [11793] = 9744,
  [11794] = 11699,
  [11795] = 11699,
  [11796] = 9744,
  [11797] = 11699,
  [11798] = 8879,
  [11799] = 8008,
  [11800] = 8009,
  [11801] = 8008,
  [11802] = 8009,
  [11803] = 11699,
  [11804] = 8008,
  [11805] = 8009,
  [11806] = 7999,
  [11807] = 11699,
  [11808] = 8022,
  [11809] = 8019,
  [11810] = 8021,
  [11811] = 8003,
  [11812] = 11812,
  [11813] = 11699,
  [11814] = 11814,
  [11815] = 8010,
  [11816] = 8010,
  [11817] = 8006,
  [11818] = 8007,
  [11819] = 11699,
  [11820] = 7983,
  [11821] = 7984,
  [11822] = 7985,
  [11823] = 7947,
  [11824] = 7952,
  [11825] = 7953,
  [11826] = 7955,
  [11827] = 11699,
  [11828] = 7968,
  [11829] = 7969,
  [11830] = 8755,
  [11831] = 7971,
  [11832] = 7988,
  [11833] = 11699,
  [11834] = 7999,
  [11835] = 8866,
  [11836] = 11699,
  [11837] = 8871,
  [11838] = 11699,
  [11839] = 8831,
  [11840] = 11699,
  [11841] = 8739,
  [11842] = 8009,
  [11843] = 11699,
  [11844] = 8008,
  [11845] = 8009,
  [11846] = 11846,
  [11847] = 11699,
  [11848] = 11699,
  [11849] = 11765,
  [11850] = 11850,
  [11851] = 11699,
  [11852] = 11852,
  [11853] = 11699,
  [11854] = 8867,
  [11855] = 11699,
  [11856] = 11856,
  [11857] = 11857,
  [11858] = 8009,
  [11859] = 11699,
  [11860] = 8873,
  [11861] = 7998,
  [11862] = 11862,
  [11863] = 11760,
  [11864] = 11702,
  [11865] = 8756,
  [11866] = 11866,
  [11867] = 2775,
  [11868] = 8880,
  [11869] = 11869,
  [11870] = 2776,
  [11871] = 11857,
  [11872] = 8009,
  [11873] = 8022,
  [11874] = 11760,
  [11875] = 11875,
  [11876] = 11857,
  [11877] = 8764,
  [11878] = 11683,
  [11879] = 11760,
  [11880] = 11788,
  [11881] = 11850,
  [11882] = 11696,
  [11883] = 11883,
  [11884] = 11884,
  [11885] = 11885,
  [11886] = 7999,
  [11887] = 11730,
  [11888] = 2778,
  [11889] = 10778,
  [11890] = 10137,
  [11891] = 10138,
  [11892] = 11892,
  [11893] = 10779,
  [11894] = 10780,
  [11895] = 11699,
  [11896] = 11699,
  [11897] = 10098,
  [11898] = 8862,
  [11899] = 11899,
  [11900] = 7983,
  [11901] = 7984,
  [11902] = 7985,
  [11903] = 7947,
  [11904] = 7952,
  [11905] = 7953,
  [11906] = 7955,
  [11907] = 7968,
  [11908] = 11857,
  [11909] = 10778,
  [11910] = 10779,
  [11911] = 10780,
  [11912] = 11857,
  [11913] = 7969,
  [11914] = 8864,
  [11915] = 7971,
  [11916] = 8890,
  [11917] = 7988,
  [11918] = 7999,
  [11919] = 7998,
  [11920] = 11684,
  [11921] = 8010,
  [11922] = 8009,
  [11923] = 11923,
  [11924] = 11924,
  [11925] = 11925,
  [11926] = 8869,
  [11927] = 11699,
  [11928] = 8895,
  [11929] = 7983,
  [11930] = 7984,
  [11931] = 11866,
  [11932] = 8865,
  [11933] = 7985,
  [11934] = 11869,
  [11935] = 7947,
  [11936] = 7952,
  [11937] = 8888,
  [11938] = 7998,
  [11939] = 7953,
  [11940] = 7955,
  [11941] = 7968,
  [11942] = 7969,
  [11943] = 8019,
  [11944] = 8021,
  [11945] = 8003,
  [11946] = 7971,
  [11947] = 7988,
  [11948] = 8006,
  [11949] = 8007,
  [11950] = 8019,
  [11951] = 8863,
  [11952] = 11923,
  [11953] = 8021,
  [11954] = 8003,
  [11955] = 11885,
  [11956] = 8022,
  [11957] = 8006,
  [11958] = 8007,
  [11959] = 8868,
  [11960] = 8019,
  [11961] = 11869,
  [11962] = 8021,
  [11963] = 8003,
  [11964] = 8006,
  [11965] = 8007,
  [11966] = 8010,
  [11967] = 8009,
  [11968] = 11899,
  [11969] = 11969,
  [11970] = 11699,
  [11971] = 11866,
  [11972] = 11972,
  [11973] = 11699,
  [11974] = 11734,
  [11975] = 10137,
  [11976] = 11812,
  [11977] = 10138,
  [11978] = 11699,
  [11979] = 8870,
  [11980] = 7983,
  [11981] = 2782,
  [11982] = 7984,
  [11983] = 10839,
  [11984] = 7985,
  [11985] = 10783,
  [11986] = 7947,
  [11987] = 11702,
  [11988] = 10839,
  [11989] = 10783,
  [11990] = 7952,
  [11991] = 7953,
  [11992] = 11992,
  [11993] = 8019,
  [11994] = 8021,
  [11995] = 8003,
  [11996] = 8006,
  [11997] = 8007,
  [11998] = 7955,
  [11999] = 7968,
  [12000] = 7969,
  [12001] = 7971,
  [12002] = 7988,
  [12003] = 7998,
  [12004] = 11969,
  [12005] = 11856,
  [12006] = 8881,
  [12007] = 11697,
  [12008] = 11736,
  [12009] = 8876,
  [12010] = 12010,
  [12011] = 11699,
  [12012] = 7999,
  [12013] = 11925,
  [12014] = 8877,
  [12015] = 11883,
  [12016] = 11884,
  [12017] = 11814,
  [12018] = 11875,
  [12019] = 11862,
  [12020] = 8019,
  [12021] = 8022,
  [12022] = 12022,
  [12023] = 12023,
  [12024] = 12024,
  [12025] = 8010,
  [12026] = 8008,
  [12027] = 12027,
  [12028] = 12028,
  [12029] = 2719,
  [12030] = 4675,
  [12031] = 12022,
  [12032] = 7952,
  [12033] = 12033,
  [12034] = 7999,
  [12035] = 7953,
  [12036] = 12036,
  [12037] = 8010,
  [12038] = 7955,
  [12039] = 12039,
  [12040] = 12022,
  [12041] = 7968,
  [12042] = 12022,
  [12043] = 12036,
  [12044] = 12036,
  [12045] = 7969,
  [12046] = 8009,
  [12047] = 7971,
  [12048] = 12048,
  [12049] = 7983,
  [12050] = 7984,
  [12051] = 8010,
  [12052] = 7985,
  [12053] = 7947,
  [12054] = 7952,
  [12055] = 8008,
  [12056] = 2775,
  [12057] = 7953,
  [12058] = 7955,
  [12059] = 7968,
  [12060] = 2776,
  [12061] = 7969,
  [12062] = 7971,
  [12063] = 7988,
  [12064] = 8008,
  [12065] = 7998,
  [12066] = 7999,
  [12067] = 8009,
  [12068] = 7988,
  [12069] = 7999,
  [12070] = 7957,
  [12071] = 12071,
  [12072] = 12036,
  [12073] = 12036,
  [12074] = 2778,
  [12075] = 12033,
  [12076] = 12022,
  [12077] = 12022,
  [12078] = 7969,
  [12079] = 12036,
  [12080] = 12022,
  [12081] = 12033,
  [12082] = 12033,
  [12083] = 12033,
  [12084] = 7968,
  [12085] = 7999,
  [12086] = 2782,
  [12087] = 12022,
  [12088] = 12036,
  [12089] = 8019,
  [12090] = 7971,
  [12091] = 2785,
  [12092] = 8021,
  [12093] = 12033,
  [12094] = 4671,
  [12095] = 12022,
  [12096] = 7988,
  [12097] = 12022,
  [12098] = 12039,
  [12099] = 7983,
  [12100] = 8021,
  [12101] = 8003,
  [12102] = 8003,
  [12103] = 2786,
  [12104] = 12022,
  [12105] = 2787,
  [12106] = 12036,
  [12107] = 12022,
  [12108] = 12022,
  [12109] = 12022,
  [12110] = 12022,
  [12111] = 12036,
  [12112] = 12022,
  [12113] = 12022,
  [12114] = 12022,
  [12115] = 12022,
  [12116] = 12033,
  [12117] = 12022,
  [12118] = 12033,
  [12119] = 12022,
  [12120] = 12033,
  [12121] = 8010,
  [12122] = 12022,
  [12123] = 12022,
  [12124] = 10384,
  [12125] = 12022,
  [12126] = 12022,
  [12127] = 12022,
  [12128] = 7998,
  [12129] = 12036,
  [12130] = 12022,
  [12131] = 12131,
  [12132] = 12033,
  [12133] = 8021,
  [12134] = 12022,
  [12135] = 12036,
  [12136] = 12022,
  [12137] = 7983,
  [12138] = 12033,
  [12139] = 12022,
  [12140] = 7984,
  [12141] = 7985,
  [12142] = 12036,
  [12143] = 12033,
  [12144] = 12033,
  [12145] = 8008,
  [12146] = 7947,
  [12147] = 12036,
  [12148] = 7952,
  [12149] = 7953,
  [12150] = 8009,
  [12151] = 7955,
  [12152] = 12036,
  [12153] = 7968,
  [12154] = 7969,
  [12155] = 7971,
  [12156] = 12033,
  [12157] = 7988,
  [12158] = 8003,
  [12159] = 12036,
  [12160] = 7998,
  [12161] = 7999,
  [12162] = 12162,
  [12163] = 12036,
  [12164] = 7984,
  [12165] = 7983,
  [12166] = 7984,
  [12167] = 7983,
  [12168] = 12036,
  [12169] = 7984,
  [12170] = 12022,
  [12171] = 7985,
  [12172] = 7947,
  [12173] = 7952,
  [12174] = 12033,
  [12175] = 12033,
  [12176] = 12022,
  [12177] = 7953,
  [12178] = 12022,
  [12179] = 7955,
  [12180] = 12036,
  [12181] = 7968,
  [12182] = 7969,
  [12183] = 7985,
  [12184] = 7971,
  [12185] = 7988,
  [12186] = 12033,
  [12187] = 12036,
  [12188] = 2797,
  [12189] = 12033,
  [12190] = 12036,
  [12191] = 8008,
  [12192] = 7947,
  [12193] = 9949,
  [12194] = 8357,
  [12195] = 7999,
  [12196] = 12023,
  [12197] = 12022,
  [12198] = 7998,
  [12199] = 7952,
  [12200] = 12036,
  [12201] = 8009,
  [12202] = 12033,
  [12203] = 12033,
  [12204] = 7955,
  [12205] = 7998,
  [12206] = 12022,
  [12207] = 12022,
  [12208] = 12036,
  [12209] = 2790,
  [12210] = 2793,
  [12211] = 8009,
  [12212] = 8010,
  [12213] = 8019,
  [12214] = 12033,
  [12215] = 8022,
  [12216] = 7953,
  [12217] = 8008,
  [12218] = 12022,
  [12219] = 12033,
  [12220] = 12036,
  [12221] = 8010,
  [12222] = 12024,
  [12223] = 2794,
  [12224] = 10385,
  [12225] = 12036,
  [12226] = 2795,
  [12227] = 12022,
  [12228] = 8009,
  [12229] = 12033,
  [12230] = 8008,
  [12231] = 12022,
  [12232] = 7983,
  [12233] = 8019,
  [12234] = 7983,
  [12235] = 7984,
  [12236] = 7985,
  [12237] = 7947,
  [12238] = 7952,
  [12239] = 7953,
  [12240] = 7955,
  [12241] = 7968,
  [12242] = 7969,
  [12243] = 7971,
  [12244] = 7988,
  [12245] = 8021,
  [12246] = 7998,
  [12247] = 8021,
  [12248] = 7999,
  [12249] = 8003,
  [12250] = 8003,
  [12251] = 7983,
  [12252] = 7984,
  [12253] = 8006,
  [12254] = 7985,
  [12255] = 7947,
  [12256] = 7952,
  [12257] = 7953,
  [12258] = 8007,
  [12259] = 12022,
  [12260] = 7955,
  [12261] = 8006,
  [12262] = 7968,
  [12263] = 8010,
  [12264] = 7969,
  [12265] = 7984,
  [12266] = 7985,
  [12267] = 7971,
  [12268] = 7947,
  [12269] = 7988,
  [12270] = 12033,
  [12271] = 12033,
  [12272] = 12036,
  [12273] = 12022,
  [12274] = 4616,
  [12275] = 12033,
  [12276] = 7952,
  [12277] = 9949,
  [12278] = 8006,
  [12279] = 8021,
  [12280] = 8003,
  [12281] = 12036,
  [12282] = 8006,
  [12283] = 12022,
  [12284] = 8007,
  [12285] = 8007,
  [12286] = 7953,
  [12287] = 7999,
  [12288] = 8010,
  [12289] = 7955,
  [12290] = 7968,
  [12291] = 2711,
  [12292] = 12036,
  [12293] = 12033,
  [12294] = 7969,
  [12295] = 12022,
  [12296] = 7971,
  [12297] = 7988,
  [12298] = 7985,
  [12299] = 12022,
  [12300] = 12036,
  [12301] = 12022,
  [12302] = 8019,
  [12303] = 12033,
  [12304] = 12036,
  [12305] = 12036,
  [12306] = 12036,
  [12307] = 12033,
  [12308] = 12036,
  [12309] = 8006,
  [12310] = 7955,
  [12311] = 7999,
  [12312] = 8010,
  [12313] = 7968,
  [12314] = 8009,
  [12315] = 12033,
  [12316] = 8022,
  [12317] = 12036,
  [12318] = 12033,
  [12319] = 8008,
  [12320] = 12022,
  [12321] = 7969,
  [12322] = 8007,
  [12323] = 7983,
  [12324] = 7984,
  [12325] = 12325,
  [12326] = 8010,
  [12327] = 7985,
  [12328] = 7947,
  [12329] = 12033,
  [12330] = 7952,
  [12331] = 10384,
  [12332] = 7953,
  [12333] = 7955,
  [12334] = 12022,
  [12335] = 12022,
  [12336] = 12033,
  [12337] = 8008,
  [12338] = 12022,
  [12339] = 7947,
  [12340] = 12022,
  [12341] = 8327,
  [12342] = 7998,
  [12343] = 12033,
  [12344] = 12036,
  [12345] = 7968,
  [12346] = 7998,
  [12347] = 12036,
  [12348] = 7969,
  [12349] = 7971,
  [12350] = 7988,
  [12351] = 8006,
  [12352] = 7959,
  [12353] = 12036,
  [12354] = 12033,
  [12355] = 8007,
  [12356] = 7960,
  [12357] = 7961,
  [12358] = 7971,
  [12359] = 2799,
  [12360] = 7999,
  [12361] = 7983,
  [12362] = 7988,
  [12363] = 8019,
  [12364] = 12022,
  [12365] = 8007,
  [12366] = 12022,
  [12367] = 10385,
  [12368] = 7953,
  [12369] = 7984,
  [12370] = 7985,
  [12371] = 12036,
  [12372] = 12033,
  [12373] = 8778,
  [12374] = 8008,
  [12375] = 7952,
  [12376] = 12022,
  [12377] = 8010,
  [12378] = 12036,
  [12379] = 12036,
  [12380] = 12033,
  [12381] = 12022,
  [12382] = 12022,
  [12383] = 12383,
  [12384] = 12033,
  [12385] = 12033,
  [12386] = 12036,
  [12387] = 12033,
  [12388] = 12022,
  [12389] = 12033,
  [12390] = 12036,
  [12391] = 8022,
  [12392] = 7947,
  [12393] = 12048,
  [12394] = 12036,
  [12395] = 8009,
  [12396] = 12033,
  [12397] = 12022,
  [12398] = 12398,
  [12399] = 11684,
  [12400] = 11788,
  [12401] = 11969,
  [12402] = 8884,
  [12403] = 12403,
  [12404] = 8867,
  [12405] = 11696,
  [12406] = 8868,
  [12407] = 2845,
  [12408] = 7985,
  [12409] = 7947,
  [12410] = 7952,
  [12411] = 7953,
  [12412] = 12412,
  [12413] = 7955,
  [12414] = 8869,
  [12415] = 7968,
  [12416] = 7969,
  [12417] = 7971,
  [12418] = 2846,
  [12419] = 12412,
  [12420] = 5429,
  [12421] = 7988,
  [12422] = 7968,
  [12423] = 12403,
  [12424] = 8885,
  [12425] = 8870,
  [12426] = 2847,
  [12427] = 8886,
  [12428] = 12428,
  [12429] = 2848,
  [12430] = 12403,
  [12431] = 12428,
  [12432] = 11788,
  [12433] = 11862,
  [12434] = 12403,
  [12435] = 11696,
  [12436] = 12403,
  [12437] = 12403,
  [12438] = 11729,
  [12439] = 8010,
  [12440] = 11730,
  [12441] = 7984,
  [12442] = 12403,
  [12443] = 7985,
  [12444] = 12398,
  [12445] = 8895,
  [12446] = 11862,
  [12447] = 7947,
  [12448] = 12448,
  [12449] = 8010,
  [12450] = 7969,
  [12451] = 12403,
  [12452] = 8881,
  [12453] = 8010,
  [12454] = 8010,
  [12455] = 12403,
  [12456] = 12456,
  [12457] = 12457,
  [12458] = 12458,
  [12459] = 12459,
  [12460] = 12403,
  [12461] = 12403,
  [12462] = 12462,
  [12463] = 8756,
  [12464] = 12403,
  [12465] = 8862,
  [12466] = 12466,
  [12467] = 7985,
  [12468] = 8764,
  [12469] = 11734,
  [12470] = 12403,
  [12471] = 12471,
  [12472] = 12403,
  [12473] = 7947,
  [12474] = 12403,
  [12475] = 8888,
  [12476] = 11729,
  [12477] = 11730,
  [12478] = 11856,
  [12479] = 7953,
  [12480] = 11697,
  [12481] = 12481,
  [12482] = 11736,
  [12483] = 12403,
  [12484] = 11899,
  [12485] = 12485,
  [12486] = 11969,
  [12487] = 8010,
  [12488] = 11765,
  [12489] = 12403,
  [12490] = 12403,
  [12491] = 7999,
  [12492] = 11765,
  [12493] = 7955,
  [12494] = 8871,
  [12495] = 12403,
  [12496] = 8831,
  [12497] = 8873,
  [12498] = 8874,
  [12499] = 7968,
  [12500] = 7971,
  [12501] = 8010,
  [12502] = 8008,
  [12503] = 12471,
  [12504] = 8010,
  [12505] = 7969,
  [12506] = 12506,
  [12507] = 7971,
  [12508] = 12403,
  [12509] = 12403,
  [12510] = 12403,
  [12511] = 12403,
  [12512] = 12462,
  [12513] = 7983,
  [12514] = 12403,
  [12515] = 12515,
  [12516] = 7952,
  [12517] = 8863,
  [12518] = 8864,
  [12519] = 7953,
  [12520] = 12403,
  [12521] = 8865,
  [12522] = 12403,
  [12523] = 12403,
  [12524] = 12403,
  [12525] = 8010,
  [12526] = 12526,
  [12527] = 4798,
  [12528] = 8008,
  [12529] = 7988,
  [12530] = 12428,
  [12531] = 12462,
  [12532] = 12403,
  [12533] = 8890,
  [12534] = 12403,
  [12535] = 8010,
  [12536] = 12403,
  [12537] = 7999,
  [12538] = 11734,
  [12539] = 12539,
  [12540] = 11856,
  [12541] = 12403,
  [12542] = 12403,
  [12543] = 7955,
  [12544] = 5396,
  [12545] = 8866,
  [12546] = 12546,
  [12547] = 12403,
  [12548] = 12462,
  [12549] = 7983,
  [12550] = 7983,
  [12551] = 8755,
  [12552] = 8010,
  [12553] = 8008,
  [12554] = 8876,
  [12555] = 12403,
  [12556] = 12403,
  [12557] = 12403,
  [12558] = 8877,
  [12559] = 12559,
  [12560] = 12560,
  [12561] = 12403,
  [12562] = 7984,
  [12563] = 7985,
  [12564] = 7947,
  [12565] = 7952,
  [12566] = 7953,
  [12567] = 7955,
  [12568] = 7968,
  [12569] = 12403,
  [12570] = 7984,
  [12571] = 12571,
  [12572] = 7969,
  [12573] = 7983,
  [12574] = 12403,
  [12575] = 8878,
  [12576] = 7971,
  [12577] = 7988,
  [12578] = 7999,
  [12579] = 11697,
  [12580] = 7999,
  [12581] = 8879,
  [12582] = 12403,
  [12583] = 8880,
  [12584] = 11736,
  [12585] = 12585,
  [12586] = 9744,
  [12587] = 4994,
  [12588] = 12588,
  [12589] = 12403,
  [12590] = 12590,
  [12591] = 11925,
  [12592] = 11683,
  [12593] = 12403,
  [12594] = 11883,
  [12595] = 11884,
  [12596] = 11814,
  [12597] = 11925,
  [12598] = 11683,
  [12599] = 11883,
  [12600] = 11884,
  [12601] = 11814,
  [12602] = 7984,
  [12603] = 11899,
  [12604] = 8008,
  [12605] = 7952,
  [12606] = 11875,
  [12607] = 11684,
  [12608] = 11875,
  [12609] = 7988,
  [12610] = 12610,
  [12611] = 12611,
  [12612] = 12612,
  [12613] = 12613,
  [12614] = 12613,
  [12615] = 5115,
  [12616] = 12616,
  [12617] = 8737,
  [12618] = 9949,
  [12619] = 12611,
  [12620] = 12620,
  [12621] = 8148,
  [12622] = 12613,
  [12623] = 12611,
  [12624] = 12624,
  [12625] = 9744,
  [12626] = 8778,
  [12627] = 12627,
  [12628] = 8717,
  [12629] = 12629,
  [12630] = 12630,
  [12631] = 12610,
  [12632] = 12611,
  [12633] = 8327,
  [12634] = 12610,
  [12635] = 8708,
  [12636] = 12636,
  [12637] = 12610,
  [12638] = 12613,
  [12639] = 8357,
  [12640] = 8867,
  [12641] = 12641,
  [12642] = 12642,
  [12643] = 12643,
  [12644] = 8862,
  [12645] = 8863,
  [12646] = 8864,
  [12647] = 8865,
  [12648] = 12648,
  [12649] = 12642,
  [12650] = 5429,
  [12651] = 12642,
  [12652] = 8890,
  [12653] = 5429,
  [12654] = 12654,
  [12655] = 8739,
  [12656] = 12656,
  [12657] = 4616,
  [12658] = 12658,
  [12659] = 4671,
  [12660] = 12641,
  [12661] = 8764,
  [12662] = 8871,
  [12663] = 8831,
  [12664] = 8873,
  [12665] = 12665,
  [12666] = 9949,
  [12667] = 8884,
  [12668] = 8866,
  [12669] = 12023,
  [12670] = 12654,
  [12671] = 12671,
  [12672] = 8874,
  [12673] = 4675,
  [12674] = 12641,
  [12675] = 5344,
  [12676] = 9165,
  [12677] = 12642,
  [12678] = 12024,
  [12679] = 8870,
  [12680] = 5396,
  [12681] = 8808,
  [12682] = 8877,
  [12683] = 8878,
  [12684] = 12684,
  [12685] = 8881,
  [12686] = 5258,
  [12687] = 2845,
  [12688] = 8888,
  [12689] = 12654,
  [12690] = 8885,
  [12691] = 12627,
  [12692] = 12654,
  [12693] = 8810,
  [12694] = 2846,
  [12695] = 8879,
  [12696] = 2847,
  [12697] = 8868,
  [12698] = 2848,
  [12699] = 8828,
  [12700] = 12700,
  [12701] = 8869,
  [12702] = 8880,
  [12703] = 8895,
  [12704] = 12654,
  [12705] = 12048,
  [12706] = 12706,
  [12707] = 8886,
  [12708] = 12708,
  [12709] = 8756,
  [12710] = 12710,
  [12711] = 12654,
  [12712] = 5396,
  [12713] = 12641,
  [12714] = 8755,
  [12715] = 8876,
  [12716] = 12716,
  [12717] = 4798,
  [12718] = 12718,
  [12719] = 12719,
  [12720] = 12720,
  [12721] = 12716,
  [12722] = 12722,
  [12723] = 12716,
  [12724] = 12724,
  [12725] = 12725,
  [12726] = 12726,
  [12727] = 12727,
  [12728] = 7335,
  [12729] = 12729,
  [12730] = 12716,
  [12731] = 12731,
  [12732] = 12732,
  [12733] = 5424,
  [12734] = 12722,
  [12735] = 12716,
  [12736] = 12736,
  [12737] = 12716,
  [12738] = 12722,
  [12739] = 12739,
  [12740] = 12716,
  [12741] = 12716,
  [12742] = 8778,
  [12743] = 12743,
  [12744] = 12716,
  [12745] = 12722,
  [12746] = 12722,
  [12747] = 12747,
  [12748] = 12722,
  [12749] = 12749,
  [12750] = 12716,
  [12751] = 12736,
  [12752] = 10803,
  [12753] = 12716,
  [12754] = 7419,
  [12755] = 12716,
  [12756] = 12756,
  [12757] = 12722,
  [12758] = 12758,
  [12759] = 12759,
  [12760] = 12716,
  [12761] = 12761,
  [12762] = 7414,
  [12763] = 12763,
  [12764] = 4616,
  [12765] = 12765,
  [12766] = 12766,
  [12767] = 12722,
  [12768] = 12768,
  [12769] = 12716,
  [12770] = 12716,
  [12771] = 12722,
  [12772] = 12722,
  [12773] = 12722,
  [12774] = 12774,
  [12775] = 12716,
  [12776] = 12722,
  [12777] = 12777,
  [12778] = 12778,
  [12779] = 12716,
  [12780] = 12780,
  [12781] = 12781,
  [12782] = 12782,
  [12783] = 12722,
  [12784] = 12716,
  [12785] = 7416,
  [12786] = 12786,
  [12787] = 12787,
  [12788] = 12788,
  [12789] = 12789,
  [12790] = 12790,
  [12791] = 12743,
  [12792] = 12716,
  [12793] = 12743,
  [12794] = 12794,
  [12795] = 7439,
  [12796] = 12722,
  [12797] = 7365,
  [12798] = 12798,
  [12799] = 9744,
  [12800] = 12716,
  [12801] = 12801,
  [12802] = 12716,
  [12803] = 12722,
  [12804] = 12804,
  [12805] = 12716,
  [12806] = 5447,
  [12807] = 7430,
  [12808] = 10923,
  [12809] = 12722,
  [12810] = 10813,
  [12811] = 10679,
  [12812] = 9205,
  [12813] = 12813,
  [12814] = 12814,
  [12815] = 12718,
  [12816] = 12722,
  [12817] = 9243,
  [12818] = 7458,
  [12819] = 12722,
  [12820] = 7467,
  [12821] = 7478,
  [12822] = 4671,
  [12823] = 12722,
  [12824] = 12716,
  [12825] = 12825,
  [12826] = 12826,
  [12827] = 12722,
  [12828] = 12828,
  [12829] = 12716,
  [12830] = 12722,
  [12831] = 12831,
  [12832] = 12716,
  [12833] = 12833,
  [12834] = 5403,
  [12835] = 12716,
  [12836] = 12722,
  [12837] = 12716,
  [12838] = 4675,
  [12839] = 12839,
  [12840] = 12722,
  [12841] = 12716,
  [12842] = 12722,
  [12843] = 12843,
  [12844] = 12716,
  [12845] = 12845,
  [12846] = 12846,
  [12847] = 12722,
  [12848] = 12848,
  [12849] = 12849,
  [12850] = 7374,
  [12851] = 12718,
  [12852] = 12852,
  [12853] = 12853,
  [12854] = 12854,
  [12855] = 12716,
  [12856] = 12856,
  [12857] = 12716,
  [12858] = 12722,
  [12859] = 12716,
  [12860] = 12722,
  [12861] = 12722,
  [12862] = 12862,
  [12863] = 12863,
  [12864] = 12722,
  [12865] = 12722,
  [12866] = 12722,
  [12867] = 12867,
  [12868] = 12716,
  [12869] = 12869,
  [12870] = 12870,
  [12871] = 12871,
  [12872] = 12716,
  [12873] = 12716,
  [12874] = 10824,
  [12875] = 12875,
  [12876] = 10825,
  [12877] = 12716,
  [12878] = 12878,
  [12879] = 5352,
  [12880] = 7504,
  [12881] = 10826,
  [12882] = 7417,
  [12883] = 12718,
  [12884] = 12722,
  [12885] = 12885,
  [12886] = 12886,
  [12887] = 12887,
  [12888] = 12722,
  [12889] = 12889,
  [12890] = 7328,
  [12891] = 12891,
  [12892] = 12892,
  [12893] = 12893,
  [12894] = 12894,
  [12895] = 12716,
  [12896] = 12896,
  [12897] = 10853,
  [12898] = 12722,
  [12899] = 7395,
  [12900] = 12900,
  [12901] = 12901,
  [12902] = 12722,
  [12903] = 7486,
  [12904] = 12904,
  [12905] = 12905,
  [12906] = 12906,
  [12907] = 12722,
  [12908] = 12908,
  [12909] = 12716,
  [12910] = 7557,
  [12911] = 5414,
  [12912] = 7317,
  [12913] = 12913,
  [12914] = 12914,
  [12915] = 12915,
  [12916] = 12716,
  [12917] = 12716,
  [12918] = 12722,
  [12919] = 12722,
  [12920] = 12716,
  [12921] = 12722,
  [12922] = 5389,
  [12923] = 12722,
  [12924] = 12924,
  [12925] = 12925,
  [12926] = 12743,
  [12927] = 12927,
  [12928] = 12928,
  [12929] = 12929,
  [12930] = 7462,
  [12931] = 12722,
  [12932] = 12716,
  [12933] = 12933,
  [12934] = 12722,
  [12935] = 12048,
  [12936] = 8148,
  [12937] = 12937,
  [12938] = 8729,
  [12939] = 8714,
  [12940] = 4798,
  [12941] = 9949,
  [12942] = 12942,
  [12943] = 8884,
  [12944] = 8866,
  [12945] = 2847,
  [12946] = 8877,
  [12947] = 12947,
  [12948] = 12023,
  [12949] = 8868,
  [12950] = 8720,
  [12951] = 8865,
  [12952] = 8862,
  [12953] = 2845,
  [12954] = 8878,
  [12955] = 8888,
  [12956] = 8879,
  [12957] = 8870,
  [12958] = 12958,
  [12959] = 12959,
  [12960] = 8895,
  [12961] = 2846,
  [12962] = 12024,
  [12963] = 8864,
  [12964] = 8867,
  [12965] = 8881,
  [12966] = 2848,
  [12967] = 12967,
  [12968] = 8327,
  [12969] = 12629,
  [12970] = 5396,
  [12971] = 5429,
  [12972] = 8871,
  [12973] = 12973,
  [12974] = 8885,
  [12975] = 12975,
  [12976] = 8831,
  [12977] = 8890,
  [12978] = 8876,
  [12979] = 8886,
  [12980] = 8739,
  [12981] = 12981,
  [12982] = 8869,
  [12983] = 8863,
  [12984] = 8873,
  [12985] = 12985,
  [12986] = 8874,
  [12987] = 8880,
  [12988] = 8759,
  [12989] = 9887,
  [12990] = 12990,
  [12991] = 8772,
  [12992] = 12990,
  [12993] = 9885,
  [12994] = 8958,
  [12995] = 12990,
  [12996] = 8984,
  [12997] = 8773,
  [12998] = 12990,
  [12999] = 8762,
  [13000] = 8771,
  [13001] = 8757,
  [13002] = 8148,
  [13003] = 8758,
  [13004] = 8768,
  [13005] = 9234,
  [13006] = 8959,
  [13007] = 13007,
  [13008] = 13007,
  [13009] = 8853,
  [13010] = 9886,
  [13011] = 8767,
  [13012] = 8761,
  [13013] = 5239,
  [13014] = 8770,
  [13015] = 8977,
  [13016] = 13007,
  [13017] = 13007,
  [13018] = 8760,
  [13019] = 8986,
  [13020] = 9764,
  [13021] = 9884,
  [13022] = 9744,
  [13023] = 13023,
  [13024] = 13024,
  [13025] = 13023,
  [13026] = 13023,
  [13027] = 13023,
  [13028] = 13023,
  [13029] = 13024,
  [13030] = 13030,
  [13031] = 13023,
  [13032] = 13023,
  [13033] = 13023,
  [13034] = 13023,
  [13035] = 13024,
  [13036] = 13030,
  [13037] = 13023,
  [13038] = 8739,
  [13039] = 13023,
  [13040] = 13024,
  [13041] = 13041,
  [13042] = 9021,
  [13043] = 13023,
  [13044] = 5354,
  [13045] = 13023,
  [13046] = 8756,
  [13047] = 5380,
  [13048] = 5398,
  [13049] = 13023,
  [13050] = 5441,
  [13051] = 5480,
  [13052] = 13023,
  [13053] = 13023,
  [13054] = 13023,
  [13055] = 13024,
  [13056] = 13030,
  [13057] = 13023,
  [13058] = 13023,
  [13059] = 13023,
  [13060] = 13023,
  [13061] = 13030,
  [13062] = 13062,
  [13063] = 13023,
  [13064] = 13023,
  [13065] = 13023,
  [13066] = 13023,
  [13067] = 13030,
  [13068] = 13068,
  [13069] = 13023,
  [13070] = 9202,
  [13071] = 8912,
  [13072] = 13072,
  [13073] = 13023,
  [13074] = 5366,
  [13075] = 5369,
  [13076] = 5373,
  [13077] = 5374,
  [13078] = 5375,
  [13079] = 5383,
  [13080] = 5391,
  [13081] = 13081,
  [13082] = 9939,
  [13083] = 13062,
  [13084] = 9163,
  [13085] = 13023,
  [13086] = 8739,
  [13087] = 5388,
  [13088] = 5390,
  [13089] = 5392,
  [13090] = 5400,
  [13091] = 5407,
  [13092] = 9941,
  [13093] = 13023,
  [13094] = 13094,
  [13095] = 13062,
  [13096] = 5446,
  [13097] = 5451,
  [13098] = 5452,
  [13099] = 5454,
  [13100] = 9942,
  [13101] = 13062,
  [13102] = 13023,
  [13103] = 13023,
  [13104] = 13024,
  [13105] = 13030,
  [13106] = 13062,
  [13107] = 8947,
  [13108] = 5357,
  [13109] = 13023,
  [13110] = 13062,
  [13111] = 5362,
  [13112] = 13023,
  [13113] = 13062,
  [13114] = 9517,
  [13115] = 13062,
  [13116] = 13023,
  [13117] = 13030,
  [13118] = 13062,
  [13119] = 9357,
  [13120] = 13062,
  [13121] = 13062,
  [13122] = 13023,
  [13123] = 13062,
  [13124] = 13062,
  [13125] = 13062,
  [13126] = 9165,
  [13127] = 13062,
  [13128] = 13062,
  [13129] = 13062,
  [13130] = 13062,
  [13131] = 13023,
  [13132] = 13062,
  [13133] = 13062,
  [13134] = 2796,
  [13135] = 13062,
  [13136] = 13062,
  [13137] = 13023,
  [13138] = 13062,
  [13139] = 13062,
  [13140] = 13062,
  [13141] = 13024,
  [13142] = 13062,
  [13143] = 13023,
  [13144] = 13062,
  [13145] = 13030,
  [13146] = 13062,
  [13147] = 13062,
  [13148] = 13062,
  [13149] = 13062,
  [13150] = 13062,
  [13151] = 13062,
  [13152] = 13062,
  [13153] = 13062,
  [13154] = 9949,
  [13155] = 13062,
  [13156] = 9073,
  [13157] = 13023,
  [13158] = 13062,
  [13159] = 13062,
  [13160] = 13160,
  [13161] = 13062,
  [13162] = 13062,
  [13163] = 13062,
  [13164] = 13062,
  [13165] = 13062,
  [13166] = 13062,
  [13167] = 13062,
  [13168] = 13062,
  [13169] = 13062,
  [13170] = 13062,
  [13171] = 13062,
  [13172] = 13062,
  [13173] = 13062,
  [13174] = 13062,
  [13175] = 13062,
  [13176] = 13062,
  [13177] = 13062,
  [13178] = 13094,
  [13179] = 13081,
  [13180] = 13160,
  [13181] = 13094,
  [13182] = 13081,
  [13183] = 13160,
  [13184] = 13094,
  [13185] = 13081,
  [13186] = 9115,
  [13187] = 13160,
  [13188] = 9045,
  [13189] = 13023,
  [13190] = 5442,
  [13191] = 5443,
  [13192] = 5444,
  [13193] = 5445,
  [13194] = 13094,
  [13195] = 13023,
  [13196] = 13023,
  [13197] = 13023,
  [13198] = 13062,
  [13199] = 13199,
  [13200] = 13200,
  [13201] = 13201,
  [13202] = 13202,
  [13203] = 10249,
  [13204] = 13204,
  [13205] = 13200,
  [13206] = 13199,
  [13207] = 13204,
  [13208] = 9358,
  [13209] = 13200,
  [13210] = 13210,
  [13211] = 13199,
  [13212] = 10342,
  [13213] = 13204,
  [13214] = 13214,
  [13215] = 13204,
  [13216] = 13200,
  [13217] = 9887,
  [13218] = 13199,
  [13219] = 9744,
  [13220] = 13200,
  [13221] = 13199,
  [13222] = 13204,
  [13223] = 13223,
  [13224] = 13199,
  [13225] = 9885,
  [13226] = 9886,
  [13227] = 9197,
  [13228] = 10255,
  [13229] = 13200,
  [13230] = 13199,
  [13231] = 13200,
  [13232] = 13200,
  [13233] = 2636,
  [13234] = 13210,
  [13235] = 13200,
  [13236] = 13199,
  [13237] = 13199,
  [13238] = 13200,
  [13239] = 13199,
  [13240] = 13199,
  [13241] = 13204,
  [13242] = 13210,
  [13243] = 13210,
  [13244] = 13200,
  [13245] = 13245,
  [13246] = 13246,
  [13247] = 13199,
  [13248] = 13200,
  [13249] = 13200,
  [13250] = 13199,
  [13251] = 13200,
  [13252] = 9764,
  [13253] = 13200,
  [13254] = 13200,
  [13255] = 13199,
  [13256] = 13199,
  [13257] = 13199,
  [13258] = 2634,
  [13259] = 13200,
  [13260] = 13199,
  [13261] = 13199,
  [13262] = 13200,
  [13263] = 13200,
  [13264] = 13199,
  [13265] = 13199,
  [13266] = 13200,
  [13267] = 13199,
  [13268] = 13200,
  [13269] = 13199,
  [13270] = 13210,
  [13271] = 13200,
  [13272] = 9884,
  [13273] = 12023,
  [13274] = 13274,
  [13275] = 13275,
  [13276] = 13276,
  [13277] = 9358,
  [13278] = 9664,
  [13279] = 13279,
  [13280] = 13280,
  [13281] = 13281,
  [13282] = 13282,
  [13283] = 13283,
  [13284] = 9615,
  [13285] = 13285,
  [13286] = 13286,
  [13287] = 13287,
  [13288] = 13288,
  [13289] = 13285,
  [13290] = 13274,
  [13291] = 13291,
  [13292] = 13292,
  [13293] = 13276,
  [13294] = 13279,
  [13295] = 13295,
  [13296] = 13295,
  [13297] = 13297,
  [13298] = 13298,
  [13299] = 13275,
  [13300] = 13300,
  [13301] = 13301,
  [13302] = 13302,
  [13303] = 13297,
  [13304] = 13304,
  [13305] = 13280,
  [13306] = 13281,
  [13307] = 13307,
  [13308] = 13300,
  [13309] = 13286,
  [13310] = 9691,
  [13311] = 13288,
  [13312] = 13298,
  [13313] = 10068,
  [13314] = 2775,
  [13315] = 13286,
  [13316] = 13287,
  [13317] = 8895,
  [13318] = 13285,
  [13319] = 2776,
  [13320] = 2778,
  [13321] = 13280,
  [13322] = 13281,
  [13323] = 13274,
  [13324] = 13286,
  [13325] = 13288,
  [13326] = 9368,
  [13327] = 13327,
  [13328] = 9643,
  [13329] = 9647,
  [13330] = 8871,
  [13331] = 13275,
  [13332] = 13280,
  [13333] = 13281,
  [13334] = 13307,
  [13335] = 13286,
  [13336] = 9665,
  [13337] = 13300,
  [13338] = 13288,
  [13339] = 13288,
  [13340] = 8831,
  [13341] = 5377,
  [13342] = 5382,
  [13343] = 5387,
  [13344] = 8873,
  [13345] = 13281,
  [13346] = 13286,
  [13347] = 13288,
  [13348] = 13285,
  [13349] = 8874,
  [13350] = 2782,
  [13351] = 5258,
  [13352] = 13286,
  [13353] = 13288,
  [13354] = 13276,
  [13355] = 13286,
  [13356] = 13288,
  [13357] = 2797,
  [13358] = 13358,
  [13359] = 8862,
  [13360] = 9737,
  [13361] = 5239,
  [13362] = 9618,
  [13363] = 13286,
  [13364] = 13288,
  [13365] = 13285,
  [13366] = 13279,
  [13367] = 12629,
  [13368] = 13286,
  [13369] = 13288,
  [13370] = 13285,
  [13371] = 8863,
  [13372] = 13372,
  [13373] = 13286,
  [13374] = 13288,
  [13375] = 13285,
  [13376] = 13286,
  [13377] = 13288,
  [13378] = 13292,
  [13379] = 12024,
  [13380] = 8864,
  [13381] = 9949,
  [13382] = 13286,
  [13383] = 13288,
  [13384] = 8865,
  [13385] = 13297,
  [13386] = 13286,
  [13387] = 13298,
  [13388] = 13288,
  [13389] = 13275,
  [13390] = 13301,
  [13391] = 13307,
  [13392] = 13295,
  [13393] = 2786,
  [13394] = 13286,
  [13395] = 8866,
  [13396] = 2787,
  [13397] = 13288,
  [13398] = 2799,
  [13399] = 13286,
  [13400] = 13288,
  [13401] = 13285,
  [13402] = 9567,
  [13403] = 13287,
  [13404] = 13286,
  [13405] = 13288,
  [13406] = 9568,
  [13407] = 13286,
  [13408] = 13288,
  [13409] = 9820,
  [13410] = 13286,
  [13411] = 13288,
  [13412] = 10647,
  [13413] = 13274,
  [13414] = 13286,
  [13415] = 13288,
  [13416] = 13274,
  [13417] = 13285,
  [13418] = 13286,
  [13419] = 13288,
  [13420] = 13285,
  [13421] = 13300,
  [13422] = 9300,
  [13423] = 13286,
  [13424] = 9941,
  [13425] = 13288,
  [13426] = 13285,
  [13427] = 13297,
  [13428] = 13286,
  [13429] = 13288,
  [13430] = 13276,
  [13431] = 8876,
  [13432] = 13279,
  [13433] = 13286,
  [13434] = 13295,
  [13435] = 13288,
  [13436] = 8877,
  [13437] = 13297,
  [13438] = 13300,
  [13439] = 13298,
  [13440] = 13285,
  [13441] = 13286,
  [13442] = 13288,
  [13443] = 8878,
  [13444] = 13275,
  [13445] = 8879,
  [13446] = 8880,
  [13447] = 13286,
  [13448] = 13288,
  [13449] = 8881,
  [13450] = 13286,
  [13451] = 13288,
  [13452] = 13307,
  [13453] = 13287,
  [13454] = 13288,
  [13455] = 13297,
  [13456] = 13286,
  [13457] = 13288,
  [13458] = 13298,
  [13459] = 13286,
  [13460] = 13288,
  [13461] = 13300,
  [13462] = 13286,
  [13463] = 13287,
  [13464] = 13288,
  [13465] = 13285,
  [13466] = 13286,
  [13467] = 13275,
  [13468] = 13288,
  [13469] = 2845,
  [13470] = 13274,
  [13471] = 13295,
  [13472] = 13472,
  [13473] = 13286,
  [13474] = 13288,
  [13475] = 9939,
  [13476] = 13286,
  [13477] = 13477,
  [13478] = 13288,
  [13479] = 13280,
  [13480] = 2846,
  [13481] = 2847,
  [13482] = 13285,
  [13483] = 13286,
  [13484] = 13288,
  [13485] = 13285,
  [13486] = 13285,
  [13487] = 13286,
  [13488] = 13288,
  [13489] = 13307,
  [13490] = 13286,
  [13491] = 13288,
  [13492] = 13280,
  [13493] = 13281,
  [13494] = 13286,
  [13495] = 13288,
  [13496] = 13285,
  [13497] = 13286,
  [13498] = 13288,
  [13499] = 13287,
  [13500] = 13286,
  [13501] = 12048,
  [13502] = 13288,
  [13503] = 13307,
  [13504] = 13282,
  [13505] = 13286,
  [13506] = 13288,
  [13507] = 13300,
  [13508] = 13300,
  [13509] = 13286,
  [13510] = 13288,
  [13511] = 2848,
  [13512] = 10457,
  [13513] = 13286,
  [13514] = 9956,
  [13515] = 13288,
  [13516] = 8884,
  [13517] = 8885,
  [13518] = 8886,
  [13519] = 13285,
  [13520] = 8867,
  [13521] = 8868,
  [13522] = 13282,
  [13523] = 8888,
  [13524] = 13327,
  [13525] = 13285,
  [13526] = 10648,
  [13527] = 8869,
  [13528] = 13291,
  [13529] = 13298,
  [13530] = 13472,
  [13531] = 8870,
  [13532] = 13285,
  [13533] = 13285,
  [13534] = 13327,
  [13535] = 13535,
  [13536] = 13291,
  [13537] = 13285,
  [13538] = 13274,
  [13539] = 13472,
  [13540] = 5344,
  [13541] = 2771,
  [13542] = 13327,
  [13543] = 13291,
  [13544] = 13544,
  [13545] = 13285,
  [13546] = 9942,
  [13547] = 13472,
  [13548] = 13287,
  [13549] = 9334,
  [13550] = 13550,
  [13551] = 9430,
  [13552] = 13285,
  [13553] = 13285,
  [13554] = 9335,
  [13555] = 13276,
  [13556] = 13274,
  [13557] = 8890,
  [13558] = 13472,
  [13559] = 13472,
  [13560] = 13285,
  [13561] = 13472,
  [13562] = 13285,
  [13563] = 13472,
  [13564] = 13307,
  [13565] = 2770,
  [13566] = 13285,
  [13567] = 13280,
  [13568] = 13279,
  [13569] = 13281,
  [13570] = 13282,
  [13571] = 9813,
  [13572] = 13572,
  [13573] = 9564,
  [13574] = 13301,
  [13575] = 12643,
  [13576] = 13276,
  [13577] = 13286,
  [13578] = 13288,
  [13579] = 13279,
  [13580] = 13285,
  [13581] = 13295,
  [13582] = 13282,
  [13583] = 13285,
  [13584] = 13285,
  [13585] = 13301,
  [13586] = 13297,
  [13587] = 13276,
  [13588] = 13279,
  [13589] = 13285,
  [13590] = 13298,
  [13591] = 13295,
  [13592] = 13292,
  [13593] = 13275,
  [13594] = 13297,
  [13595] = 13298,
  [13596] = 13275,
  [13597] = 13281,
  [13598] = 13292,
  [13599] = 13286,
  [13600] = 13600,
  [13601] = 13601,
  [13602] = 13602,
  [13603] = 13603,
  [13604] = 13604,
  [13605] = 13604,
  [13606] = 13606,
  [13607] = 7467,
  [13608] = 13604,
  [13609] = 10297,
  [13610] = 10163,
  [13611] = 13602,
  [13612] = 13606,
  [13613] = 13604,
  [13614] = 13614,
  [13615] = 13602,
  [13616] = 13603,
  [13617] = 13603,
  [13618] = 13604,
  [13619] = 10255,
  [13620] = 13606,
  [13621] = 13606,
  [13622] = 13614,
  [13623] = 13606,
  [13624] = 13606,
  [13625] = 10145,
  [13626] = 10146,
  [13627] = 13614,
  [13628] = 13614,
  [13629] = 13602,
  [13630] = 13606,
  [13631] = 13603,
  [13632] = 13603,
  [13633] = 7478,
  [13634] = 13606,
  [13635] = 13614,
  [13636] = 13614,
  [13637] = 10186,
  [13638] = 13614,
  [13639] = 13602,
  [13640] = 13603,
  [13641] = 5352,
  [13642] = 13602,
  [13643] = 13602,
  [13644] = 13644,
  [13645] = 13614,
  [13646] = 13646,
  [13647] = 13604,
  [13648] = 13604,
  [13649] = 13614,
  [13650] = 13602,
  [13651] = 13603,
  [13652] = 13606,
  [13653] = 13603,
  [13654] = 13606,
  [13655] = 13655,
  [13656] = 13600,
  [13657] = 13614,
  [13658] = 13602,
  [13659] = 13603,
  [13660] = 13614,
  [13661] = 13603,
  [13662] = 13602,
  [13663] = 13602,
  [13664] = 13603,
  [13665] = 13604,
  [13666] = 5442,
  [13667] = 5443,
  [13668] = 5444,
  [13669] = 5445,
  [13670] = 7363,
  [13671] = 13604,
  [13672] = 9931,
  [13673] = 7365,
  [13674] = 13604,
  [13675] = 13675,
  [13676] = 13604,
  [13677] = 13606,
  [13678] = 13614,
  [13679] = 13602,
  [13680] = 13603,
  [13681] = 13604,
  [13682] = 13606,
  [13683] = 10249,
  [13684] = 13603,
  [13685] = 13685,
  [13686] = 5454,
  [13687] = 13614,
  [13688] = 2785,
  [13689] = 13606,
  [13690] = 13602,
  [13691] = 13614,
  [13692] = 13603,
  [13693] = 13606,
  [13694] = 13694,
  [13695] = 13602,
  [13696] = 13614,
  [13697] = 13603,
  [13698] = 13614,
  [13699] = 5354,
  [13700] = 13606,
  [13701] = 5380,
  [13702] = 13604,
  [13703] = 5398,
  [13704] = 13602,
  [13705] = 13604,
  [13706] = 13603,
  [13707] = 13707,
  [13708] = 13604,
  [13709] = 13604,
  [13710] = 13606,
  [13711] = 13606,
  [13712] = 13614,
  [13713] = 13604,
  [13714] = 13602,
  [13715] = 13606,
  [13716] = 5441,
  [13717] = 5480,
  [13718] = 13603,
  [13719] = 7374,
  [13720] = 13614,
  [13721] = 9899,
  [13722] = 7328,
  [13723] = 9460,
  [13724] = 13602,
  [13725] = 5357,
  [13726] = 13603,
  [13727] = 13614,
  [13728] = 7557,
  [13729] = 13606,
  [13730] = 13730,
  [13731] = 13602,
  [13732] = 13614,
  [13733] = 13602,
  [13734] = 13603,
  [13735] = 13602,
  [13736] = 13603,
  [13737] = 13603,
  [13738] = 13604,
  [13739] = 13604,
  [13740] = 13603,
  [13741] = 13604,
  [13742] = 13604,
  [13743] = 13606,
  [13744] = 13744,
  [13745] = 10130,
  [13746] = 5377,
  [13747] = 5382,
  [13748] = 13606,
  [13749] = 5387,
  [13750] = 13750,
  [13751] = 12928,
  [13752] = 13614,
  [13753] = 13606,
  [13754] = 12780,
  [13755] = 12781,
  [13756] = 13606,
  [13757] = 12789,
  [13758] = 12839,
  [13759] = 12843,
  [13760] = 13614,
  [13761] = 12759,
  [13762] = 5362,
  [13763] = 13602,
  [13764] = 13614,
  [13765] = 2790,
  [13766] = 13603,
  [13767] = 13602,
  [13768] = 13603,
  [13769] = 7335,
  [13770] = 13602,
  [13771] = 13603,
  [13772] = 13602,
  [13773] = 13604,
  [13774] = 13602,
  [13775] = 13604,
  [13776] = 13602,
  [13777] = 2793,
  [13778] = 13604,
  [13779] = 13779,
  [13780] = 5414,
  [13781] = 2794,
  [13782] = 2795,
  [13783] = 13614,
  [13784] = 13606,
  [13785] = 13614,
  [13786] = 13606,
  [13787] = 13606,
  [13788] = 13614,
  [13789] = 13604,
  [13790] = 13602,
  [13791] = 13614,
  [13792] = 13792,
  [13793] = 13606,
  [13794] = 13603,
  [13795] = 10139,
  [13796] = 13602,
  [13797] = 5424,
  [13798] = 13603,
  [13799] = 5447,
  [13800] = 13614,
  [13801] = 13602,
  [13802] = 5366,
  [13803] = 5369,
  [13804] = 13804,
  [13805] = 13603,
  [13806] = 5373,
  [13807] = 13694,
  [13808] = 5374,
  [13809] = 10187,
  [13810] = 10188,
  [13811] = 13606,
  [13812] = 13730,
  [13813] = 5403,
  [13814] = 13604,
  [13815] = 13604,
  [13816] = 5375,
  [13817] = 13604,
  [13818] = 13602,
  [13819] = 5377,
  [13820] = 13792,
  [13821] = 5382,
  [13822] = 5383,
  [13823] = 5387,
  [13824] = 13614,
  [13825] = 13604,
  [13826] = 13606,
  [13827] = 13602,
  [13828] = 5389,
  [13829] = 5391,
  [13830] = 7414,
  [13831] = 13604,
  [13832] = 7416,
  [13833] = 7417,
  [13834] = 13614,
  [13835] = 13602,
  [13836] = 13606,
  [13837] = 7419,
  [13838] = 13603,
  [13839] = 12852,
  [13840] = 7395,
  [13841] = 13603,
  [13842] = 13603,
  [13843] = 13606,
  [13844] = 13604,
  [13845] = 13602,
  [13846] = 2771,
  [13847] = 13603,
  [13848] = 13614,
  [13849] = 12933,
  [13850] = 13602,
  [13851] = 13604,
  [13852] = 13603,
  [13853] = 13614,
  [13854] = 13606,
  [13855] = 13614,
  [13856] = 7439,
  [13857] = 13602,
  [13858] = 13602,
  [13859] = 10342,
  [13860] = 13603,
  [13861] = 13606,
  [13862] = 13603,
  [13863] = 13614,
  [13864] = 13604,
  [13865] = 13606,
  [13866] = 5388,
  [13867] = 5390,
  [13868] = 5392,
  [13869] = 10310,
  [13870] = 10312,
  [13871] = 13604,
  [13872] = 5400,
  [13873] = 13602,
  [13874] = 5407,
  [13875] = 13606,
  [13876] = 7430,
  [13877] = 7317,
  [13878] = 7462,
  [13879] = 7486,
  [13880] = 7504,
  [13881] = 2770,
  [13882] = 7458,
  [13883] = 13604,
  [13884] = 13614,
  [13885] = 13602,
  [13886] = 13603,
  [13887] = 13614,
  [13888] = 13606,
  [13889] = 13604,
  [13890] = 13602,
  [13891] = 12790,
  [13892] = 13603,
  [13893] = 13604,
  [13894] = 13606,
  [13895] = 13614,
  [13896] = 12777,
  [13897] = 13602,
  [13898] = 13604,
  [13899] = 13604,
  [13900] = 13603,
  [13901] = 13606,
  [13902] = 13614,
  [13903] = 13602,
  [13904] = 13603,
  [13905] = 12801,
  [13906] = 13603,
  [13907] = 13604,
  [13908] = 13779,
  [13909] = 13604,
  [13910] = 13606,
  [13911] = 13600,
  [13912] = 13603,
  [13913] = 13600,
  [13914] = 13614,
  [13915] = 13606,
  [13916] = 13602,
  [13917] = 13606,
  [13918] = 13614,
  [13919] = 13603,
  [13920] = 13606,
  [13921] = 13614,
  [13922] = 5446,
  [13923] = 5452,
  [13924] = 5451,
  [13925] = 13614,
  [13926] = 13604,
  [13927] = 10098,
  [13928] = 13928,
  [13929] = 13929,
  [13930] = 13930,
  [13931] = 13928,
  [13932] = 13928,
  [13933] = 13929,
  [13934] = 13934,
  [13935] = 13929,
  [13936] = 13929,
  [13937] = 13937,
  [13938] = 13938,
  [13939] = 13939,
  [13940] = 13929,
  [13941] = 13928,
  [13942] = 13942,
  [13943] = 13943,
  [13944] = 13944,
  [13945] = 13929,
  [13946] = 13929,
  [13947] = 13928,
  [13948] = 13928,
  [13949] = 13938,
  [13950] = 13929,
  [13951] = 13929,
  [13952] = 13938,
  [13953] = 13928,
  [13954] = 13938,
  [13955] = 13938,
  [13956] = 13938,
  [13957] = 13929,
  [13958] = 13929,
  [13959] = 13938,
  [13960] = 13938,
  [13961] = 13930,
  [13962] = 13944,
  [13963] = 13963,
  [13964] = 13964,
  [13965] = 13965,
  [13966] = 13928,
  [13967] = 13928,
  [13968] = 13944,
  [13969] = 13929,
  [13970] = 13928,
  [13971] = 13929,
  [13972] = 13938,
  [13973] = 13973,
  [13974] = 13928,
  [13975] = 13965,
  [13976] = 13963,
  [13977] = 13934,
  [13978] = 13944,
  [13979] = 13964,
  [13980] = 13930,
  [13981] = 13981,
  [13982] = 13982,
  [13983] = 13928,
  [13984] = 13930,
  [13985] = 13929,
  [13986] = 13928,
  [13987] = 10481,
  [13988] = 13965,
  [13989] = 13929,
  [13990] = 13928,
  [13991] = 13930,
  [13992] = 13928,
  [13993] = 13928,
  [13994] = 13938,
  [13995] = 13928,
  [13996] = 13929,
  [13997] = 13930,
  [13998] = 10485,
  [13999] = 13928,
  [14000] = 13944,
  [14001] = 13965,
  [14002] = 13928,
  [14003] = 14003,
  [14004] = 14004,
  [14005] = 13964,
  [14006] = 13929,
  [14007] = 13928,
  [14008] = 13929,
  [14009] = 13965,
  [14010] = 14010,
  [14011] = 14011,
  [14012] = 13929,
  [14013] = 13963,
  [14014] = 13930,
  [14015] = 13929,
  [14016] = 14011,
  [14017] = 14017,
  [14018] = 13934,
  [14019] = 13929,
  [14020] = 14020,
  [14021] = 13930,
  [14022] = 13928,
  [14023] = 13928,
  [14024] = 14024,
  [14025] = 14025,
  [14026] = 14011,
  [14027] = 13929,
  [14028] = 14028,
  [14029] = 10648,
  [14030] = 13928,
  [14031] = 13928,
  [14032] = 13981,
  [14033] = 13965,
  [14034] = 13929,
  [14035] = 13938,
  [14036] = 14036,
  [14037] = 13929,
  [14038] = 14038,
  [14039] = 13929,
  [14040] = 14011,
  [14041] = 13928,
  [14042] = 13928,
  [14043] = 13930,
  [14044] = 14044,
  [14045] = 14045,
  [14046] = 13938,
  [14047] = 13938,
  [14048] = 14011,
  [14049] = 10647,
  [14050] = 13938,
  [14051] = 13930,
  [14052] = 13981,
  [14053] = 14053,
  [14054] = 13929,
  [14055] = 13928,
  [14056] = 13944,
  [14057] = 13928,
  [14058] = 13934,
  [14059] = 14011,
  [14060] = 13928,
  [14061] = 13938,
  [14062] = 14062,
  [14063] = 13929,
  [14064] = 13938,
  [14065] = 13929,
  [14066] = 14044,
  [14067] = 13928,
  [14068] = 13944,
  [14069] = 13928,
  [14070] = 14070,
  [14071] = 14071,
  [14072] = 13965,
  [14073] = 13929,
  [14074] = 14044,
  [14075] = 13929,
  [14076] = 13981,
  [14077] = 14077,
  [14078] = 13928,
  [14079] = 13938,
  [14080] = 13930,
  [14081] = 13981,
  [14082] = 13929,
  [14083] = 13930,
  [14084] = 14084,
  [14085] = 13929,
  [14086] = 13928,
  [14087] = 13938,
  [14088] = 13981,
  [14089] = 2784,
  [14090] = 13929,
  [14091] = 13928,
  [14092] = 13930,
  [14093] = 13938,
  [14094] = 14094,
  [14095] = 10587,
  [14096] = 13930,
  [14097] = 13965,
  [14098] = 13930,
  [14099] = 13938,
  [14100] = 13929,
  [14101] = 13930,
  [14102] = 13928,
  [14103] = 13938,
  [14104] = 13943,
  [14105] = 13928,
  [14106] = 10137,
  [14107] = 13929,
  [14108] = 13928,
  [14109] = 9862,
  [14110] = 13930,
  [14111] = 10582,
  [14112] = 13929,
  [14113] = 13929,
  [14114] = 9460,
  [14115] = 13930,
  [14116] = 13938,
  [14117] = 13934,
  [14118] = 10138,
  [14119] = 13929,
  [14120] = 14004,
  [14121] = 13930,
  [14122] = 13929,
  [14123] = 14004,
  [14124] = 14124,
  [14125] = 14044,
  [14126] = 13930,
  [14127] = 13928,
  [14128] = 14004,
  [14129] = 13928,
  [14130] = 14004,
  [14131] = 13928,
  [14132] = 13928,
  [14133] = 13934,
  [14134] = 14025,
  [14135] = 10557,
  [14136] = 14004,
  [14137] = 13981,
  [14138] = 13929,
  [14139] = 13928,
  [14140] = 13930,
  [14141] = 13929,
  [14142] = 10544,
  [14143] = 13934,
  [14144] = 13981,
  [14145] = 14044,
  [14146] = 13929,
  [14147] = 14147,
  [14148] = 13943,
  [14149] = 14149,
  [14150] = 14150,
  [14151] = 14044,
  [14152] = 13930,
  [14153] = 14153,
  [14154] = 14154,
  [14155] = 14155,
  [14156] = 14156,
  [14157] = 14157,
  [14158] = 10037,
  [14159] = 14159,
  [14160] = 14159,
  [14161] = 14161,
  [14162] = 14162,
  [14163] = 14163,
  [14164] = 10935,
  [14165] = 14165,
  [14166] = 14166,
  [14167] = 10784,
  [14168] = 14168,
  [14169] = 14169,
  [14170] = 14169,
  [14171] = 14171,
  [14172] = 14172,
  [14173] = 14173,
  [14174] = 14174,
  [14175] = 14175,
  [14176] = 14176,
  [14177] = 14177,
  [14178] = 14178,
  [14179] = 14175,
  [14180] = 10044,
  [14181] = 14155,
  [14182] = 14156,
  [14183] = 14183,
  [14184] = 14157,
  [14185] = 14175,
  [14186] = 14183,
  [14187] = 14157,
  [14188] = 14188,
  [14189] = 14189,
  [14190] = 14176,
  [14191] = 14191,
  [14192] = 14159,
  [14193] = 11145,
  [14194] = 14157,
  [14195] = 14191,
  [14196] = 14188,
  [14197] = 14157,
  [14198] = 14153,
  [14199] = 14199,
  [14200] = 14189,
  [14201] = 10385,
  [14202] = 14169,
  [14203] = 14203,
  [14204] = 14204,
  [14205] = 14154,
  [14206] = 10799,
  [14207] = 14157,
  [14208] = 14159,
  [14209] = 14209,
  [14210] = 14210,
  [14211] = 14199,
  [14212] = 14165,
  [14213] = 14166,
  [14214] = 14214,
  [14215] = 14175,
  [14216] = 14216,
  [14217] = 14217,
  [14218] = 14169,
  [14219] = 14219,
  [14220] = 14169,
  [14221] = 14172,
  [14222] = 14222,
  [14223] = 14183,
  [14224] = 14157,
  [14225] = 14188,
  [14226] = 14157,
  [14227] = 14153,
  [14228] = 14189,
  [14229] = 14175,
  [14230] = 14176,
  [14231] = 14155,
  [14232] = 14156,
  [14233] = 14199,
  [14234] = 14163,
  [14235] = 14199,
  [14236] = 14172,
  [14237] = 14159,
  [14238] = 14204,
  [14239] = 14157,
  [14240] = 10962,
  [14241] = 14159,
  [14242] = 14216,
  [14243] = 14183,
  [14244] = 14157,
  [14245] = 14188,
  [14246] = 14189,
  [14247] = 14203,
  [14248] = 14204,
  [14249] = 14154,
  [14250] = 14250,
  [14251] = 14153,
  [14252] = 14199,
  [14253] = 14159,
  [14254] = 14203,
  [14255] = 14204,
  [14256] = 14210,
  [14257] = 14154,
  [14258] = 14177,
  [14259] = 14219,
  [14260] = 14183,
  [14261] = 14159,
  [14262] = 14169,
  [14263] = 14222,
  [14264] = 14153,
  [14265] = 14265,
  [14266] = 14165,
  [14267] = 14155,
  [14268] = 14156,
  [14269] = 14166,
  [14270] = 14175,
  [14271] = 14163,
  [14272] = 14272,
  [14273] = 14171,
  [14274] = 14169,
  [14275] = 14172,
  [14276] = 14165,
  [14277] = 14166,
  [14278] = 14278,
  [14279] = 14175,
  [14280] = 14176,
  [14281] = 14157,
  [14282] = 14199,
  [14283] = 14175,
  [14284] = 14157,
  [14285] = 14169,
  [14286] = 14286,
  [14287] = 14175,
  [14288] = 14159,
  [14289] = 14183,
  [14290] = 14157,
  [14291] = 14188,
  [14292] = 14189,
  [14293] = 14293,
  [14294] = 14203,
  [14295] = 14204,
  [14296] = 14222,
  [14297] = 14297,
  [14298] = 14176,
  [14299] = 14155,
  [14300] = 14156,
  [14301] = 14169,
  [14302] = 14169,
  [14303] = 14153,
  [14304] = 14163,
  [14305] = 14199,
  [14306] = 14154,
  [14307] = 14177,
  [14308] = 14175,
  [14309] = 14172,
  [14310] = 14203,
  [14311] = 14204,
  [14312] = 14154,
  [14313] = 14175,
  [14314] = 14159,
  [14315] = 14315,
  [14316] = 14316,
  [14317] = 14157,
  [14318] = 14165,
  [14319] = 14166,
  [14320] = 14159,
  [14321] = 14321,
  [14322] = 14222,
  [14323] = 14214,
  [14324] = 14155,
  [14325] = 14156,
  [14326] = 14326,
  [14327] = 14159,
  [14328] = 14163,
  [14329] = 14153,
  [14330] = 14169,
  [14331] = 14172,
  [14332] = 14157,
  [14333] = 14315,
  [14334] = 14175,
  [14335] = 14176,
  [14336] = 14199,
  [14337] = 14217,
  [14338] = 14338,
  [14339] = 14175,
  [14340] = 14169,
  [14341] = 14165,
  [14342] = 14176,
  [14343] = 14183,
  [14344] = 14157,
  [14345] = 14188,
  [14346] = 14189,
  [14347] = 14222,
  [14348] = 14166,
  [14349] = 14169,
  [14350] = 14155,
  [14351] = 14156,
  [14352] = 14175,
  [14353] = 14163,
  [14354] = 14354,
  [14355] = 14217,
  [14356] = 14176,
  [14357] = 14153,
  [14358] = 14199,
  [14359] = 14169,
  [14360] = 14360,
  [14361] = 14159,
  [14362] = 14177,
  [14363] = 14183,
  [14364] = 14203,
  [14365] = 14157,
  [14366] = 14204,
  [14367] = 14222,
  [14368] = 14155,
  [14369] = 14156,
  [14370] = 14159,
  [14371] = 14163,
  [14372] = 14157,
  [14373] = 14165,
  [14374] = 14166,
  [14375] = 14375,
  [14376] = 14191,
  [14377] = 14191,
  [14378] = 14169,
  [14379] = 14222,
  [14380] = 14380,
  [14381] = 14159,
  [14382] = 14172,
  [14383] = 14155,
  [14384] = 14156,
  [14385] = 14163,
  [14386] = 14175,
  [14387] = 14176,
  [14388] = 14388,
  [14389] = 14159,
  [14390] = 14222,
  [14391] = 14155,
  [14392] = 14156,
  [14393] = 14393,
  [14394] = 14163,
  [14395] = 14175,
  [14396] = 14183,
  [14397] = 14157,
  [14398] = 14188,
  [14399] = 14189,
  [14400] = 14250,
  [14401] = 14210,
  [14402] = 14169,
  [14403] = 14169,
  [14404] = 14153,
  [14405] = 14405,
  [14406] = 14175,
  [14407] = 14222,
  [14408] = 14183,
  [14409] = 14172,
  [14410] = 14153,
  [14411] = 14155,
  [14412] = 14156,
  [14413] = 14172,
  [14414] = 14157,
  [14415] = 14199,
  [14416] = 14163,
  [14417] = 14188,
  [14418] = 14214,
  [14419] = 14157,
  [14420] = 14189,
  [14421] = 14203,
  [14422] = 14204,
  [14423] = 14222,
  [14424] = 14157,
  [14425] = 14159,
  [14426] = 14155,
  [14427] = 14156,
  [14428] = 14157,
  [14429] = 14163,
  [14430] = 14165,
  [14431] = 14166,
  [14432] = 14159,
  [14433] = 14222,
  [14434] = 14161,
  [14435] = 14155,
  [14436] = 14156,
  [14437] = 14162,
  [14438] = 14163,
  [14439] = 14203,
  [14440] = 14169,
  [14441] = 14169,
  [14442] = 14172,
  [14443] = 14176,
  [14444] = 14444,
  [14445] = 14169,
  [14446] = 14175,
  [14447] = 14176,
  [14448] = 14204,
  [14449] = 14175,
  [14450] = 14188,
  [14451] = 14183,
  [14452] = 14157,
  [14453] = 14188,
  [14454] = 14189,
  [14455] = 14219,
  [14456] = 14153,
  [14457] = 14199,
  [14458] = 14175,
  [14459] = 14157,
  [14460] = 14176,
  [14461] = 14172,
  [14462] = 14175,
  [14463] = 14153,
  [14464] = 14199,
  [14465] = 10758,
  [14466] = 14159,
  [14467] = 14154,
  [14468] = 10766,
  [14469] = 14157,
  [14470] = 14169,
  [14471] = 14203,
  [14472] = 14204,
  [14473] = 14159,
  [14474] = 14203,
  [14475] = 14204,
  [14476] = 14169,
  [14477] = 14165,
  [14478] = 14166,
  [14479] = 14479,
  [14480] = 14154,
  [14481] = 14210,
  [14482] = 14169,
  [14483] = 14175,
  [14484] = 14172,
  [14485] = 14159,
  [14486] = 14175,
  [14487] = 14157,
  [14488] = 14176,
  [14489] = 14159,
  [14490] = 14210,
  [14491] = 14159,
  [14492] = 14183,
  [14493] = 10022,
  [14494] = 14494,
  [14495] = 14157,
  [14496] = 14188,
  [14497] = 14189,
  [14498] = 14159,
  [14499] = 14293,
  [14500] = 14388,
  [14501] = 14203,
  [14502] = 14188,
  [14503] = 14159,
  [14504] = 14210,
  [14505] = 14153,
  [14506] = 14199,
  [14507] = 14204,
  [14508] = 14165,
  [14509] = 14166,
  [14510] = 14278,
  [14511] = 14169,
  [14512] = 10837,
  [14513] = 14203,
  [14514] = 14204,
  [14515] = 14183,
  [14516] = 14157,
  [14517] = 14169,
  [14518] = 14188,
  [14519] = 14189,
  [14520] = 14159,
  [14521] = 14175,
  [14522] = 14293,
  [14523] = 14157,
  [14524] = 14165,
  [14525] = 14380,
  [14526] = 14188,
  [14527] = 14175,
  [14528] = 14214,
  [14529] = 14159,
  [14530] = 14169,
  [14531] = 14172,
  [14532] = 14165,
  [14533] = 14166,
  [14534] = 14293,
  [14535] = 14175,
  [14536] = 14176,
  [14537] = 14177,
  [14538] = 14153,
  [14539] = 14169,
  [14540] = 14540,
  [14541] = 14183,
  [14542] = 14157,
  [14543] = 14188,
  [14544] = 14189,
  [14545] = 2866,
  [14546] = 14157,
  [14547] = 14547,
  [14548] = 14169,
  [14549] = 14199,
  [14550] = 14172,
  [14551] = 14175,
  [14552] = 14153,
  [14553] = 14199,
  [14554] = 14169,
  [14555] = 14203,
  [14556] = 14159,
  [14557] = 14204,
  [14558] = 14203,
  [14559] = 14204,
  [14560] = 14159,
  [14561] = 14561,
  [14562] = 14154,
  [14563] = 14169,
  [14564] = 14165,
  [14565] = 14166,
  [14566] = 14165,
  [14567] = 14166,
  [14568] = 14479,
  [14569] = 14189,
  [14570] = 4675,
  [14571] = 14175,
  [14572] = 14217,
  [14573] = 14169,
  [14574] = 14159,
  [14575] = 14172,
  [14576] = 14159,
  [14577] = 14183,
  [14578] = 14175,
  [14579] = 14175,
  [14580] = 14316,
  [14581] = 14176,
  [14582] = 14175,
  [14583] = 14157,
  [14584] = 14176,
  [14585] = 14159,
  [14586] = 14183,
  [14587] = 14157,
  [14588] = 14188,
  [14589] = 14189,
  [14590] = 14159,
  [14591] = 14165,
  [14592] = 14166,
  [14593] = 14169,
  [14594] = 14594,
  [14595] = 14175,
  [14596] = 14183,
  [14597] = 14278,
  [14598] = 14598,
  [14599] = 14169,
  [14600] = 14153,
  [14601] = 14199,
  [14602] = 14183,
  [14603] = 14173,
  [14604] = 14216,
  [14605] = 14159,
  [14606] = 14188,
  [14607] = 14177,
  [14608] = 14203,
  [14609] = 14204,
  [14610] = 14157,
  [14611] = 10457,
  [14612] = 14161,
  [14613] = 14191,
  [14614] = 14169,
  [14615] = 14159,
  [14616] = 14165,
  [14617] = 14166,
  [14618] = 14169,
  [14619] = 14175,
  [14620] = 14169,
  [14621] = 14598,
  [14622] = 4671,
  [14623] = 14172,
  [14624] = 14191,
  [14625] = 14169,
  [14626] = 14172,
  [14627] = 14161,
  [14628] = 14175,
  [14629] = 14175,
  [14630] = 14176,
  [14631] = 14598,
  [14632] = 14163,
  [14633] = 14183,
  [14634] = 14157,
  [14635] = 14188,
  [14636] = 14189,
  [14637] = 14203,
  [14638] = 14161,
  [14639] = 14172,
  [14640] = 14157,
  [14641] = 14189,
  [14642] = 14210,
  [14643] = 14598,
  [14644] = 14153,
  [14645] = 14222,
  [14646] = 14598,
  [14647] = 14199,
  [14648] = 14189,
  [14649] = 14175,
  [14650] = 14176,
  [14651] = 14161,
  [14652] = 14188,
  [14653] = 4616,
  [14654] = 14154,
  [14655] = 14165,
  [14656] = 14203,
  [14657] = 14204,
  [14658] = 14598,
  [14659] = 14189,
  [14660] = 10933,
  [14661] = 14166,
  [14662] = 14159,
  [14663] = 14183,
  [14664] = 14598,
  [14665] = 14157,
  [14666] = 14188,
  [14667] = 14159,
  [14668] = 14159,
  [14669] = 14598,
  [14670] = 14165,
  [14671] = 14166,
  [14672] = 14189,
  [14673] = 14598,
  [14674] = 14278,
  [14675] = 11117,
  [14676] = 14598,
  [14677] = 14169,
  [14678] = 14598,
  [14679] = 14189,
  [14680] = 14172,
  [14681] = 14598,
  [14682] = 14153,
  [14683] = 11307,
  [14684] = 10384,
  [14685] = 14598,
  [14686] = 14175,
  [14687] = 14598,
  [14688] = 14176,
  [14689] = 14598,
  [14690] = 14176,
  [14691] = 14598,
  [14692] = 14199,
  [14693] = 14598,
  [14694] = 14183,
  [14695] = 14157,
  [14696] = 14188,
  [14697] = 14189,
  [14698] = 14598,
  [14699] = 14183,
  [14700] = 14598,
  [14701] = 14157,
  [14702] = 14188,
  [14703] = 11211,
  [14704] = 14189,
  [14705] = 14172,
  [14706] = 14598,
  [14707] = 14153,
  [14708] = 14169,
  [14709] = 14598,
  [14710] = 14199,
  [14711] = 14153,
  [14712] = 14598,
  [14713] = 14217,
  [14714] = 14199,
  [14715] = 14598,
  [14716] = 14154,
  [14717] = 14717,
  [14718] = 14598,
  [14719] = 14217,
  [14720] = 14598,
  [14721] = 14203,
  [14722] = 14204,
  [14723] = 14598,
  [14724] = 14598,
  [14725] = 14175,
  [14726] = 14159,
  [14727] = 14598,
  [14728] = 10801,
  [14729] = 14354,
  [14730] = 14210,
  [14731] = 14598,
  [14732] = 14598,
  [14733] = 14165,
  [14734] = 14598,
  [14735] = 14166,
  [14736] = 14598,
  [14737] = 14203,
  [14738] = 14204,
  [14739] = 14598,
  [14740] = 14598,
  [14741] = 14169,
  [14742] = 14598,
  [14743] = 14172,
  [14744] = 14598,
  [14745] = 14154,
  [14746] = 14203,
  [14747] = 14598,
  [14748] = 14175,
  [14749] = 14176,
  [14750] = 14598,
  [14751] = 14598,
  [14752] = 14598,
  [14753] = 14204,
  [14754] = 14153,
  [14755] = 14157,
  [14756] = 14598,
  [14757] = 14159,
  [14758] = 14598,
  [14759] = 14175,
  [14760] = 14154,
  [14761] = 14354,
  [14762] = 14479,
  [14763] = 14157,
  [14764] = 14216,
  [14765] = 14153,
  [14766] = 14176,
  [14767] = 14199,
  [14768] = 14219,
  [14769] = 14216,
  [14770] = 14199,
  [14771] = 14494,
  [14772] = 14165,
  [14773] = 14203,
  [14774] = 14204,
  [14775] = 14166,
  [14776] = 14278,
  [14777] = 14159,
  [14778] = 14162,
  [14779] = 10802,
  [14780] = 14168,
  [14781] = 14354,
  [14782] = 14479,
  [14783] = 14165,
  [14784] = 14222,
  [14785] = 14168,
  [14786] = 14166,
  [14787] = 14787,
  [14788] = 14354,
  [14789] = 14479,
  [14790] = 14169,
  [14791] = 14168,
  [14792] = 14165,
  [14793] = 14159,
  [14794] = 14354,
  [14795] = 14479,
  [14796] = 14494,
  [14797] = 14162,
  [14798] = 14169,
  [14799] = 14494,
  [14800] = 14172,
  [14801] = 14162,
  [14802] = 14494,
  [14803] = 14203,
  [14804] = 14162,
  [14805] = 14166,
  [14806] = 14380,
  [14807] = 14175,
  [14808] = 14204,
  [14809] = 14380,
  [14810] = 14175,
  [14811] = 14166,
  [14812] = 14812,
  [14813] = 14813,
  [14814] = 14814,
  [14815] = 14815,
  [14816] = 14816,
  [14817] = 14817,
  [14818] = 14818,
  [14819] = 14819,
  [14820] = 14820,
  [14821] = 14821,
  [14822] = 14822,
  [14823] = 14823,
  [14824] = 14824,
  [14825] = 10022,
  [14826] = 14826,
  [14827] = 14827,
  [14828] = 14828,
  [14829] = 14814,
  [14830] = 14830,
  [14831] = 14831,
  [14832] = 14816,
  [14833] = 14833,
  [14834] = 14833,
  [14835] = 14830,
  [14836] = 14836,
  [14837] = 14831,
  [14838] = 14828,
  [14839] = 10037,
  [14840] = 14840,
  [14841] = 14830,
  [14842] = 14833,
  [14843] = 14843,
  [14844] = 14844,
  [14845] = 14845,
  [14846] = 14846,
  [14847] = 14813,
  [14848] = 14848,
  [14849] = 14849,
  [14850] = 14849,
  [14851] = 14820,
  [14852] = 14819,
  [14853] = 14853,
  [14854] = 14846,
  [14855] = 14855,
  [14856] = 14824,
  [14857] = 14857,
  [14858] = 14858,
  [14859] = 14859,
  [14860] = 14821,
  [14861] = 14861,
  [14862] = 14862,
  [14863] = 14814,
  [14864] = 14864,
  [14865] = 14865,
  [14866] = 14816,
  [14867] = 14823,
  [14868] = 14826,
  [14869] = 14869,
  [14870] = 14870,
  [14871] = 14817,
  [14872] = 14816,
  [14873] = 14873,
  [14874] = 11883,
  [14875] = 14817,
  [14876] = 14830,
  [14877] = 14877,
  [14878] = 14878,
  [14879] = 14873,
  [14880] = 14859,
  [14881] = 14853,
  [14882] = 14817,
  [14883] = 14877,
  [14884] = 14855,
  [14885] = 14845,
  [14886] = 14858,
  [14887] = 14861,
  [14888] = 14862,
  [14889] = 14813,
  [14890] = 14820,
  [14891] = 14824,
  [14892] = 14870,
  [14893] = 14869,
  [14894] = 14855,
  [14895] = 14819,
  [14896] = 14896,
  [14897] = 14821,
  [14898] = 14898,
  [14899] = 14859,
  [14900] = 14877,
  [14901] = 14901,
  [14902] = 14830,
  [14903] = 14828,
  [14904] = 14826,
  [14905] = 14858,
  [14906] = 14906,
  [14907] = 10385,
  [14908] = 14858,
  [14909] = 14909,
  [14910] = 14855,
  [14911] = 14833,
  [14912] = 14817,
  [14913] = 14861,
  [14914] = 14845,
  [14915] = 14909,
  [14916] = 14916,
  [14917] = 14813,
  [14918] = 14918,
  [14919] = 14858,
  [14920] = 14861,
  [14921] = 14862,
  [14922] = 14922,
  [14923] = 14819,
  [14924] = 14843,
  [14925] = 14925,
  [14926] = 14821,
  [14927] = 14927,
  [14928] = 14824,
  [14929] = 14828,
  [14930] = 14862,
  [14931] = 14931,
  [14932] = 14830,
  [14933] = 14916,
  [14934] = 14934,
  [14935] = 14826,
  [14936] = 14845,
  [14937] = 14937,
  [14938] = 14938,
  [14939] = 14869,
  [14940] = 14833,
  [14941] = 14840,
  [14942] = 14813,
  [14943] = 14817,
  [14944] = 14814,
  [14945] = 14845,
  [14946] = 14946,
  [14947] = 14813,
  [14948] = 14846,
  [14949] = 14819,
  [14950] = 14824,
  [14951] = 14823,
  [14952] = 14819,
  [14953] = 14833,
  [14954] = 14846,
  [14955] = 14849,
  [14956] = 14821,
  [14957] = 14830,
  [14958] = 14820,
  [14959] = 14849,
  [14960] = 14960,
  [14961] = 14833,
  [14962] = 14824,
  [14963] = 14826,
  [14964] = 14828,
  [14965] = 14965,
  [14966] = 14820,
  [14967] = 14967,
  [14968] = 14918,
  [14969] = 14859,
  [14970] = 14845,
  [14971] = 14873,
  [14972] = 14813,
  [14973] = 14814,
  [14974] = 14846,
  [14975] = 14975,
  [14976] = 14816,
  [14977] = 14861,
  [14978] = 14819,
  [14979] = 14823,
  [14980] = 14821,
  [14981] = 14849,
  [14982] = 14820,
  [14983] = 14869,
  [14984] = 14849,
  [14985] = 14826,
  [14986] = 14844,
  [14987] = 14967,
  [14988] = 14828,
  [14989] = 14989,
  [14990] = 14846,
  [14991] = 14859,
  [14992] = 14845,
  [14993] = 14818,
  [14994] = 14821,
  [14995] = 14816,
  [14996] = 14813,
  [14997] = 14997,
  [14998] = 14824,
  [14999] = 14814,
  [15000] = 14820,
  [15001] = 14828,
  [15002] = 14819,
  [15003] = 14816,
  [15004] = 15004,
  [15005] = 14821,
  [15006] = 14873,
  [15007] = 14849,
  [15008] = 15008,
  [15009] = 14922,
  [15010] = 14859,
  [15011] = 14877,
  [15012] = 14826,
  [15013] = 14817,
  [15014] = 14820,
  [15015] = 14967,
  [15016] = 14849,
  [15017] = 14845,
  [15018] = 14826,
  [15019] = 15019,
  [15020] = 14859,
  [15021] = 14813,
  [15022] = 15022,
  [15023] = 14814,
  [15024] = 14814,
  [15025] = 14819,
  [15026] = 14816,
  [15027] = 14873,
  [15028] = 14909,
  [15029] = 14821,
  [15030] = 14916,
  [15031] = 14877,
  [15032] = 14827,
  [15033] = 14918,
  [15034] = 14828,
  [15035] = 15004,
  [15036] = 14855,
  [15037] = 14826,
  [15038] = 14814,
  [15039] = 14817,
  [15040] = 14878,
  [15041] = 11684,
  [15042] = 11884,
  [15043] = 14817,
  [15044] = 14845,
  [15045] = 14855,
  [15046] = 14858,
  [15047] = 14813,
  [15048] = 14861,
  [15049] = 14862,
  [15050] = 15050,
  [15051] = 14824,
  [15052] = 15052,
  [15053] = 14853,
  [15054] = 14819,
  [15055] = 14869,
  [15056] = 14821,
  [15057] = 14869,
  [15058] = 14830,
  [15059] = 14855,
  [15060] = 14826,
  [15061] = 14816,
  [15062] = 14858,
  [15063] = 14861,
  [15064] = 14843,
  [15065] = 14862,
  [15066] = 14828,
  [15067] = 14845,
  [15068] = 14830,
  [15069] = 15069,
  [15070] = 14846,
  [15071] = 14813,
  [15072] = 14869,
  [15073] = 14870,
  [15074] = 14833,
  [15075] = 14819,
  [15076] = 14817,
  [15077] = 14821,
  [15078] = 14858,
  [15079] = 14861,
  [15080] = 14843,
  [15081] = 14909,
  [15082] = 14916,
  [15083] = 14826,
  [15084] = 14918,
  [15085] = 14846,
  [15086] = 14934,
  [15087] = 15087,
  [15088] = 14843,
  [15089] = 14845,
  [15090] = 14820,
  [15091] = 14824,
  [15092] = 14813,
  [15093] = 14862,
  [15094] = 14830,
  [15095] = 14938,
  [15096] = 15087,
  [15097] = 14819,
  [15098] = 15098,
  [15099] = 14833,
  [15100] = 14896,
  [15101] = 14849,
  [15102] = 14821,
  [15103] = 14820,
  [15104] = 14824,
  [15105] = 14822,
  [15106] = 14826,
  [15107] = 14846,
  [15108] = 14859,
  [15109] = 14823,
  [15110] = 14830,
  [15111] = 14845,
  [15112] = 14849,
  [15113] = 14859,
  [15114] = 14813,
  [15115] = 14820,
  [15116] = 14814,
  [15117] = 14844,
  [15118] = 14816,
  [15119] = 14819,
  [15120] = 14901,
  [15121] = 14864,
  [15122] = 14821,
  [15123] = 14859,
  [15124] = 14814,
  [15125] = 15125,
  [15126] = 14873,
  [15127] = 14826,
  [15128] = 15008,
  [15129] = 14814,
  [15130] = 11925,
  [15131] = 14816,
  [15132] = 15132,
  [15133] = 14845,
  [15134] = 14813,
  [15135] = 15135,
  [15136] = 14817,
  [15137] = 14828,
  [15138] = 14819,
  [15139] = 14828,
  [15140] = 14828,
  [15141] = 14821,
  [15142] = 14833,
  [15143] = 14896,
  [15144] = 14824,
  [15145] = 14846,
  [15146] = 14816,
  [15147] = 14823,
  [15148] = 14826,
  [15149] = 14817,
  [15150] = 14997,
  [15151] = 14997,
  [15152] = 14828,
  [15153] = 14845,
  [15154] = 14813,
  [15155] = 14878,
  [15156] = 14816,
  [15157] = 14922,
  [15158] = 14849,
  [15159] = 15159,
  [15160] = 14909,
  [15161] = 14909,
  [15162] = 14817,
  [15163] = 14817,
  [15164] = 14817,
  [15165] = 14820,
  [15166] = 14845,
  [15167] = 14813,
  [15168] = 14828,
  [15169] = 14909,
  [15170] = 14916,
  [15171] = 14873,
  [15172] = 14916,
  [15173] = 14824,
  [15174] = 14918,
  [15175] = 14824,
  [15176] = 14830,
  [15177] = 14873,
  [15178] = 14918,
  [15179] = 14830,
  [15180] = 14830,
  [15181] = 14877,
  [15182] = 14873,
  [15183] = 14878,
  [15184] = 14824,
  [15185] = 14845,
  [15186] = 14813,
  [15187] = 14830,
  [15188] = 14833,
  [15189] = 14833,
  [15190] = 14859,
  [15191] = 15191,
  [15192] = 14843,
  [15193] = 14846,
  [15194] = 14817,
  [15195] = 14855,
  [15196] = 14858,
  [15197] = 14861,
  [15198] = 14862,
  [15199] = 14877,
  [15200] = 14967,
  [15201] = 14814,
  [15202] = 14833,
  [15203] = 14869,
  [15204] = 14845,
  [15205] = 14813,
  [15206] = 14849,
  [15207] = 14816,
  [15208] = 14820,
  [15209] = 14833,
  [15210] = 15210,
  [15211] = 14843,
  [15212] = 10384,
  [15213] = 14833,
  [15214] = 14846,
  [15215] = 14828,
  [15216] = 14845,
  [15217] = 14813,
  [15218] = 15210,
  [15219] = 14859,
  [15220] = 14814,
  [15221] = 14869,
  [15222] = 14816,
  [15223] = 14831,
  [15224] = 14817,
  [15225] = 14877,
  [15226] = 14849,
  [15227] = 14820,
  [15228] = 14817,
  [15229] = 14925,
  [15230] = 14909,
  [15231] = 14845,
  [15232] = 14813,
  [15233] = 14916,
  [15234] = 14918,
  [15235] = 14833,
  [15236] = 14922,
  [15237] = 14830,
  [15238] = 14909,
  [15239] = 14843,
  [15240] = 14846,
  [15241] = 14916,
  [15242] = 14918,
  [15243] = 14824,
  [15244] = 14831,
  [15245] = 14859,
  [15246] = 14830,
  [15247] = 14814,
  [15248] = 14817,
  [15249] = 14845,
  [15250] = 14813,
  [15251] = 15251,
  [15252] = 14833,
  [15253] = 14824,
  [15254] = 14824,
  [15255] = 14849,
  [15256] = 14830,
  [15257] = 14864,
  [15258] = 14828,
  [15259] = 14846,
  [15260] = 14846,
  [15261] = 14816,
  [15262] = 14823,
  [15263] = 14820,
  [15264] = 14845,
  [15265] = 14813,
  [15266] = 14849,
  [15267] = 14817,
  [15268] = 14844,
  [15269] = 14820,
  [15270] = 11814,
  [15271] = 14845,
  [15272] = 14824,
  [15273] = 14824,
  [15274] = 14931,
  [15275] = 14859,
  [15276] = 14845,
  [15277] = 14813,
  [15278] = 15125,
  [15279] = 14830,
  [15280] = 14814,
  [15281] = 14855,
  [15282] = 14816,
  [15283] = 14814,
  [15284] = 14813,
  [15285] = 14833,
  [15286] = 14843,
  [15287] = 14833,
  [15288] = 15288,
  [15289] = 14833,
  [15290] = 14845,
  [15291] = 14813,
  [15292] = 14828,
  [15293] = 14813,
  [15294] = 14846,
  [15295] = 14849,
  [15296] = 15296,
  [15297] = 14858,
  [15298] = 14830,
  [15299] = 14873,
  [15300] = 14820,
  [15301] = 14853,
  [15302] = 14855,
  [15303] = 14857,
  [15304] = 14819,
  [15305] = 14858,
  [15306] = 14861,
  [15307] = 14845,
  [15308] = 14813,
  [15309] = 14846,
  [15310] = 14916,
  [15311] = 14862,
  [15312] = 14918,
  [15313] = 15313,
  [15314] = 14823,
  [15315] = 14817,
  [15316] = 14878,
  [15317] = 14824,
  [15318] = 14877,
  [15319] = 15319,
  [15320] = 14870,
  [15321] = 14859,
  [15322] = 14859,
  [15323] = 14896,
  [15324] = 14901,
  [15325] = 14845,
  [15326] = 14813,
  [15327] = 14861,
  [15328] = 14814,
  [15329] = 15329,
  [15330] = 14816,
  [15331] = 14873,
  [15332] = 15332,
  [15333] = 15210,
  [15334] = 14862,
  [15335] = 14830,
  [15336] = 14877,
  [15337] = 14849,
  [15338] = 14931,
  [15339] = 15339,
  [15340] = 14922,
  [15341] = 14845,
  [15342] = 14813,
  [15343] = 14989,
  [15344] = 14931,
  [15345] = 14833,
  [15346] = 14827,
  [15347] = 14846,
  [15348] = 14845,
  [15349] = 14938,
  [15350] = 14855,
  [15351] = 14849,
  [15352] = 14855,
  [15353] = 14858,
  [15354] = 14861,
  [15355] = 14862,
  [15356] = 14821,
  [15357] = 14820,
  [15358] = 14824,
  [15359] = 14858,
  [15360] = 14869,
  [15361] = 14845,
  [15362] = 14813,
  [15363] = 14828,
  [15364] = 14861,
  [15365] = 14862,
  [15366] = 14833,
  [15367] = 14849,
  [15368] = 15368,
  [15369] = 14869,
  [15370] = 15370,
  [15371] = 14828,
  [15372] = 14845,
  [15373] = 14813,
  [15374] = 14817,
  [15375] = 14830,
  [15376] = 14831,
  [15377] = 14869,
  [15378] = 14821,
  [15379] = 14824,
  [15380] = 14820,
  [15381] = 14820,
  [15382] = 14830,
  [15383] = 14817,
  [15384] = 15384,
  [15385] = 14833,
  [15386] = 14869,
  [15387] = 14845,
  [15388] = 14813,
  [15389] = 14909,
  [15390] = 14916,
  [15391] = 14846,
  [15392] = 14918,
  [15393] = 14826,
  [15394] = 15022,
  [15395] = 14827,
  [15396] = 14849,
  [15397] = 15397,
  [15398] = 14843,
  [15399] = 14820,
  [15400] = 14824,
  [15401] = 14938,
  [15402] = 14830,
  [15403] = 14833,
  [15404] = 14845,
  [15405] = 14813,
  [15406] = 14826,
  [15407] = 14833,
  [15408] = 14833,
  [15409] = 15384,
  [15410] = 15410,
  [15411] = 15411,
  [15412] = 14859,
  [15413] = 15022,
  [15414] = 14934,
  [15415] = 14814,
  [15416] = 14846,
  [15417] = 15087,
  [15418] = 14845,
  [15419] = 14813,
  [15420] = 14823,
  [15421] = 14828,
  [15422] = 14816,
  [15423] = 14849,
  [15424] = 14820,
  [15425] = 14814,
  [15426] = 14938,
  [15427] = 14822,
  [15428] = 14828,
  [15429] = 14844,
  [15430] = 14864,
  [15431] = 14846,
  [15432] = 14845,
  [15433] = 14813,
  [15434] = 14846,
  [15435] = 14859,
  [15436] = 14873,
  [15437] = 14814,
  [15438] = 14828,
  [15439] = 15132,
  [15440] = 15440,
  [15441] = 14816,
  [15442] = 14824,
  [15443] = 14845,
  [15444] = 14813,
  [15445] = 14859,
  [15446] = 15446,
  [15447] = 14859,
  [15448] = 14877,
  [15449] = 14846,
  [15450] = 14828,
  [15451] = 14817,
  [15452] = 14967,
  [15453] = 14817,
  [15454] = 14830,
  [15455] = 14849,
  [15456] = 14820,
  [15457] = 14846,
  [15458] = 14823,
  [15459] = 14845,
  [15460] = 14813,
  [15461] = 14814,
  [15462] = 14849,
  [15463] = 14824,
  [15464] = 14817,
  [15465] = 14830,
  [15466] = 14909,
  [15467] = 14916,
  [15468] = 14845,
  [15469] = 14813,
  [15470] = 14918,
  [15471] = 14833,
  [15472] = 14859,
  [15473] = 14817,
  [15474] = 14878,
  [15475] = 14846,
  [15476] = 14845,
  [15477] = 14813,
  [15478] = 14816,
  [15479] = 14849,
  [15480] = 14845,
  [15481] = 14813,
  [15482] = 14843,
  [15483] = 14814,
  [15484] = 14845,
  [15485] = 14813,
  [15486] = 14820,
  [15487] = 14845,
  [15488] = 14813,
  [15489] = 14855,
  [15490] = 14845,
  [15491] = 14813,
  [15492] = 14849,
  [15493] = 14845,
  [15494] = 14813,
  [15495] = 14824,
  [15496] = 14845,
  [15497] = 14813,
  [15498] = 14831,
  [15499] = 14845,
  [15500] = 14813,
  [15501] = 14828,
  [15502] = 14845,
  [15503] = 14813,
  [15504] = 14858,
  [15505] = 14845,
  [15506] = 14813,
  [15507] = 14859,
  [15508] = 14845,
  [15509] = 14813,
  [15510] = 14814,
  [15511] = 14845,
  [15512] = 14813,
  [15513] = 14830,
  [15514] = 14845,
  [15515] = 14813,
  [15516] = 14845,
  [15517] = 14813,
  [15518] = 14845,
  [15519] = 14813,
  [15520] = 14845,
  [15521] = 14813,
  [15522] = 14845,
  [15523] = 14813,
  [15524] = 14845,
  [15525] = 14813,
  [15526] = 14845,
  [15527] = 14813,
  [15528] = 14845,
  [15529] = 14813,
  [15530] = 14845,
  [15531] = 14813,
  [15532] = 14845,
  [15533] = 14813,
  [15534] = 14845,
  [15535] = 14813,
  [15536] = 14845,
  [15537] = 14813,
  [15538] = 14845,
  [15539] = 14813,
  [15540] = 14845,
  [15541] = 14813,
  [15542] = 14845,
  [15543] = 14813,
  [15544] = 14845,
  [15545] = 14813,
  [15546] = 14845,
  [15547] = 14813,
  [15548] = 14845,
  [15549] = 14813,
  [15550] = 14845,
  [15551] = 14813,
  [15552] = 14845,
  [15553] = 14813,
  [15554] = 14845,
  [15555] = 14813,
  [15556] = 14845,
  [15557] = 14813,
  [15558] = 14845,
  [15559] = 14813,
  [15560] = 14937,
  [15561] = 14816,
  [15562] = 14870,
  [15563] = 14861,
  [15564] = 15022,
  [15565] = 14816,
  [15566] = 14946,
  [15567] = 14862,
  [15568] = 14833,
  [15569] = 14997,
  [15570] = 15159,
  [15571] = 14824,
  [15572] = 14833,
  [15573] = 14830,
  [15574] = 14934,
  [15575] = 14869,
  [15576] = 14846,
  [15577] = 15577,
  [15578] = 15332,
  [15579] = 14909,
  [15580] = 14873,
  [15581] = 14909,
  [15582] = 14814,
  [15583] = 14870,
  [15584] = 14877,
  [15585] = 14975,
  [15586] = 14849,
  [15587] = 14916,
  [15588] = 14918,
  [15589] = 14896,
  [15590] = 14828,
  [15591] = 14833,
  [15592] = 15319,
  [15593] = 14820,
  [15594] = 14820,
  [15595] = 14828,
  [15596] = 14817,
  [15597] = 14855,
  [15598] = 14858,
  [15599] = 14861,
  [15600] = 14862,
  [15601] = 14823,
  [15602] = 14901,
  [15603] = 14816,
  [15604] = 14869,
  [15605] = 14869,
  [15606] = 15069,
  [15607] = 14859,
  [15608] = 15608,
  [15609] = 14817,
  [15610] = 14830,
  [15611] = 14845,
  [15612] = 15050,
  [15613] = 14828,
  [15614] = 14846,
  [15615] = 14833,
  [15616] = 14817,
  [15617] = 14909,
  [15618] = 14916,
  [15619] = 14918,
  [15620] = 14813,
  [15621] = 14937,
  [15622] = 14843,
  [15623] = 14909,
  [15624] = 14916,
  [15625] = 14843,
  [15626] = 14918,
  [15627] = 15446,
  [15628] = 14846,
  [15629] = 15050,
  [15630] = 14824,
  [15631] = 14823,
  [15632] = 14830,
  [15633] = 15332,
  [15634] = 15052,
  [15635] = 14849,
  [15636] = 14833,
  [15637] = 14878,
  [15638] = 14816,
  [15639] = 15319,
  [15640] = 14819,
  [15641] = 14814,
  [15642] = 14846,
  [15643] = 14820,
  [15644] = 14823,
  [15645] = 14824,
  [15646] = 14859,
  [15647] = 14843,
  [15648] = 14814,
  [15649] = 14922,
  [15650] = 14849,
  [15651] = 14916,
  [15652] = 14820,
  [15653] = 14820,
  [15654] = 14862,
  [15655] = 14859,
  [15656] = 14922,
  [15657] = 14859,
  [15658] = 14824,
  [15659] = 14814,
  [15660] = 14814,
  [15661] = 14937,
  [15662] = 14816,
  [15663] = 14816,
  [15664] = 15664,
  [15665] = 14814,
  [15666] = 14816,
  [15667] = 14931,
  [15668] = 15668,
  [15669] = 14830,
  [15670] = 15332,
  [15671] = 14815,
  [15672] = 14846,
  [15673] = 14849,
  [15674] = 14821,
  [15675] = 15319,
  [15676] = 14830,
  [15677] = 14828,
  [15678] = 14931,
  [15679] = 14816,
  [15680] = 14938,
  [15681] = 14918,
  [15682] = 14823,
  [15683] = 14822,
  [15684] = 15684,
  [15685] = 14849,
  [15686] = 14819,
  [15687] = 15384,
  [15688] = 14938,
  [15689] = 14878,
  [15690] = 14820,
  [15691] = 14816,
  [15692] = 14870,
  [15693] = 15693,
  [15694] = 15694,
  [15695] = 14827,
  [15696] = 14843,
  [15697] = 14826,
  [15698] = 15698,
  [15699] = 14896,
  [15700] = 14833,
  [15701] = 15701,
  [15702] = 14937,
  [15703] = 14827,
  [15704] = 14873,
  [15705] = 14878,
  [15706] = 14824,
  [15707] = 14896,
  [15708] = 14877,
  [15709] = 15332,
  [15710] = 14828,
  [15711] = 14845,
  [15712] = 14859,
  [15713] = 15319,
  [15714] = 4798,
  [15715] = 14859,
  [15716] = 14878,
  [15717] = 14967,
  [15718] = 14849,
  [15719] = 15719,
  [15720] = 14822,
  [15721] = 14813,
  [15722] = 14849,
  [15723] = 14855,
  [15724] = 14858,
  [15725] = 14861,
  [15726] = 14937,
  [15727] = 14862,
  [15728] = 14846,
  [15729] = 14828,
  [15730] = 15730,
  [15731] = 14816,
  [15732] = 14869,
  [15733] = 15332,
  [15734] = 15319,
  [15735] = 15735,
  [15736] = 14823,
  [15737] = 14833,
  [15738] = 14878,
  [15739] = 14937,
  [15740] = 14817,
  [15741] = 14849,
  [15742] = 14828,
  [15743] = 14820,
  [15744] = 14814,
  [15745] = 14820,
  [15746] = 15332,
  [15747] = 14901,
  [15748] = 14817,
  [15749] = 15319,
  [15750] = 15577,
  [15751] = 14873,
  [15752] = 14828,
  [15753] = 14817,
  [15754] = 14937,
  [15755] = 14859,
  [15756] = 14816,
  [15757] = 14828,
  [15758] = 15332,
  [15759] = 14909,
  [15760] = 14916,
  [15761] = 15319,
  [15762] = 14918,
  [15763] = 14814,
  [15764] = 14922,
  [15765] = 14859,
  [15766] = 14819,
  [15767] = 14937,
  [15768] = 14843,
  [15769] = 14828,
  [15770] = 14967,
  [15771] = 14931,
  [15772] = 14824,
  [15773] = 15773,
  [15774] = 15332,
  [15775] = 14830,
  [15776] = 14814,
  [15777] = 15319,
  [15778] = 14824,
  [15779] = 14937,
  [15780] = 14938,
  [15781] = 14833,
  [15782] = 14817,
  [15783] = 14816,
  [15784] = 14817,
  [15785] = 14817,
  [15786] = 15332,
  [15787] = 14824,
  [15788] = 15319,
  [15789] = 14937,
  [15790] = 15790,
  [15791] = 14846,
  [15792] = 14830,
  [15793] = 14833,
  [15794] = 15384,
  [15795] = 14823,
  [15796] = 15332,
  [15797] = 14909,
  [15798] = 15319,
  [15799] = 14937,
  [15800] = 11297,
  [15801] = 14849,
  [15802] = 14816,
  [15803] = 14833,
  [15804] = 14820,
  [15805] = 14916,
  [15806] = 15332,
  [15807] = 15319,
  [15808] = 14937,
  [15809] = 14845,
  [15810] = 14859,
  [15811] = 14830,
  [15812] = 14846,
  [15813] = 15332,
  [15814] = 15319,
  [15815] = 14937,
  [15816] = 14859,
  [15817] = 14813,
  [15818] = 14859,
  [15819] = 15332,
  [15820] = 14814,
  [15821] = 15319,
  [15822] = 14937,
  [15823] = 14997,
  [15824] = 14816,
  [15825] = 14918,
  [15826] = 15332,
  [15827] = 15319,
  [15828] = 14937,
  [15829] = 14820,
  [15830] = 14819,
  [15831] = 14849,
  [15832] = 14873,
  [15833] = 15332,
  [15834] = 14846,
  [15835] = 15319,
  [15836] = 14937,
  [15837] = 14833,
  [15838] = 10044,
  [15839] = 15839,
  [15840] = 14877,
  [15841] = 14849,
  [15842] = 15332,
  [15843] = 14967,
  [15844] = 15319,
  [15845] = 14937,
  [15846] = 14823,
  [15847] = 14820,
  [15848] = 14823,
  [15849] = 14878,
  [15850] = 15384,
  [15851] = 15332,
  [15852] = 14820,
  [15853] = 15319,
  [15854] = 14937,
  [15855] = 15210,
  [15856] = 14814,
  [15857] = 14821,
  [15858] = 15098,
  [15859] = 14818,
  [15860] = 14821,
  [15861] = 15332,
  [15862] = 14849,
  [15863] = 15319,
  [15864] = 14937,
  [15865] = 14931,
  [15866] = 14820,
  [15867] = 14826,
  [15868] = 14859,
  [15869] = 14843,
  [15870] = 15332,
  [15871] = 14877,
  [15872] = 15319,
  [15873] = 14937,
  [15874] = 14846,
  [15875] = 14826,
  [15876] = 14873,
  [15877] = 15087,
  [15878] = 15332,
  [15879] = 14827,
  [15880] = 15319,
  [15881] = 14937,
  [15882] = 14824,
  [15883] = 14849,
  [15884] = 14820,
  [15885] = 14873,
  [15886] = 15332,
  [15887] = 14828,
  [15888] = 15319,
  [15889] = 14937,
  [15890] = 14849,
  [15891] = 14877,
  [15892] = 14859,
  [15893] = 14877,
  [15894] = 14820,
  [15895] = 14901,
  [15896] = 15332,
  [15897] = 14909,
  [15898] = 15319,
  [15899] = 14937,
  [15900] = 14814,
  [15901] = 15384,
  [15902] = 15052,
  [15903] = 14859,
  [15904] = 15904,
  [15905] = 15332,
  [15906] = 15319,
  [15907] = 14937,
  [15908] = 14855,
  [15909] = 14858,
  [15910] = 14861,
  [15911] = 14853,
  [15912] = 14862,
  [15913] = 14814,
  [15914] = 14816,
  [15915] = 15332,
  [15916] = 15319,
  [15917] = 14937,
  [15918] = 14869,
  [15919] = 14815,
  [15920] = 15332,
  [15921] = 15319,
  [15922] = 14937,
  [15923] = 14830,
  [15924] = 15008,
  [15925] = 14877,
  [15926] = 14859,
  [15927] = 15332,
  [15928] = 15319,
  [15929] = 14937,
  [15930] = 14816,
  [15931] = 14814,
  [15932] = 14828,
  [15933] = 14814,
  [15934] = 15210,
  [15935] = 15332,
  [15936] = 14873,
  [15937] = 15319,
  [15938] = 14937,
  [15939] = 14830,
  [15940] = 14967,
  [15941] = 14853,
  [15942] = 14817,
  [15943] = 15332,
  [15944] = 15319,
  [15945] = 14937,
  [15946] = 14877,
  [15947] = 14845,
  [15948] = 14855,
  [15949] = 15332,
  [15950] = 14909,
  [15951] = 15319,
  [15952] = 14937,
  [15953] = 14916,
  [15954] = 14918,
  [15955] = 14967,
  [15956] = 15719,
  [15957] = 15957,
  [15958] = 14858,
  [15959] = 15332,
  [15960] = 15319,
  [15961] = 14937,
  [15962] = 14843,
  [15963] = 14861,
  [15964] = 15964,
  [15965] = 14862,
  [15966] = 14824,
  [15967] = 15694,
  [15968] = 15332,
  [15969] = 14830,
  [15970] = 15319,
  [15971] = 14937,
  [15972] = 14814,
  [15973] = 14846,
  [15974] = 14845,
  [15975] = 14853,
  [15976] = 14833,
  [15977] = 14869,
  [15978] = 15332,
  [15979] = 15319,
  [15980] = 14937,
  [15981] = 14826,
  [15982] = 15022,
  [15983] = 15332,
  [15984] = 14846,
  [15985] = 15319,
  [15986] = 14937,
  [15987] = 14855,
  [15988] = 14813,
  [15989] = 14823,
  [15990] = 14859,
  [15991] = 15332,
  [15992] = 15319,
  [15993] = 14937,
  [15994] = 14858,
  [15995] = 14849,
  [15996] = 14861,
  [15997] = 14855,
  [15998] = 14820,
  [15999] = 14816,
  [16000] = 14858,
  [16001] = 15332,
  [16002] = 15319,
  [16003] = 14937,
  [16004] = 14862,
  [16005] = 14828,
  [16006] = 14861,
  [16007] = 14862,
  [16008] = 15332,
  [16009] = 15319,
  [16010] = 14937,
  [16011] = 14859,
  [16012] = 14819,
  [16013] = 14827,
  [16014] = 14814,
  [16015] = 15332,
  [16016] = 14813,
  [16017] = 15319,
  [16018] = 14937,
  [16019] = 14816,
  [16020] = 15698,
  [16021] = 15332,
  [16022] = 15319,
  [16023] = 14937,
  [16024] = 14843,
  [16025] = 14816,
  [16026] = 14869,
  [16027] = 15332,
  [16028] = 15319,
  [16029] = 14937,
  [16030] = 14833,
  [16031] = 14821,
  [16032] = 14824,
  [16033] = 14831,
  [16034] = 14869,
  [16035] = 15332,
  [16036] = 15319,
  [16037] = 14937,
  [16038] = 15329,
  [16039] = 14826,
  [16040] = 14828,
  [16041] = 15332,
  [16042] = 15319,
  [16043] = 14937,
  [16044] = 15251,
  [16045] = 14997,
  [16046] = 14819,
  [16047] = 11875,
  [16048] = 15332,
  [16049] = 14827,
  [16050] = 14937,
  [16051] = 15050,
  [16052] = 14817,
  [16053] = 15332,
  [16054] = 14937,
  [16055] = 15332,
  [16056] = 14937,
  [16057] = 15332,
  [16058] = 14937,
  [16059] = 15332,
  [16060] = 14937,
  [16061] = 15332,
  [16062] = 14937,
  [16063] = 15332,
  [16064] = 14937,
  [16065] = 15332,
  [16066] = 14937,
  [16067] = 15332,
  [16068] = 14937,
  [16069] = 15332,
  [16070] = 14937,
  [16071] = 15332,
  [16072] = 14937,
  [16073] = 15332,
  [16074] = 14937,
  [16075] = 15332,
  [16076] = 14937,
  [16077] = 15332,
  [16078] = 14937,
  [16079] = 14937,
  [16080] = 14937,
  [16081] = 14937,
  [16082] = 14937,
  [16083] = 14937,
  [16084] = 14937,
  [16085] = 14937,
  [16086] = 14937,
  [16087] = 14937,
  [16088] = 14937,
  [16089] = 14937,
  [16090] = 14937,
  [16091] = 14937,
  [16092] = 14937,
  [16093] = 14937,
  [16094] = 14937,
  [16095] = 14937,
  [16096] = 14937,
  [16097] = 14937,
  [16098] = 14937,
  [16099] = 14937,
  [16100] = 14937,
  [16101] = 14965,
  [16102] = 15052,
  [16103] = 15839,
  [16104] = 14901,
  [16105] = 14967,
  [16106] = 15339,
  [16107] = 14828,
  [16108] = 14859,
  [16109] = 14846,
  [16110] = 14873,
  [16111] = 14855,
  [16112] = 14817,
  [16113] = 14846,
  [16114] = 14873,
  [16115] = 14877,
  [16116] = 14909,
  [16117] = 14916,
  [16118] = 14967,
  [16119] = 14909,
  [16120] = 14916,
  [16121] = 14916,
  [16122] = 14877,
  [16123] = 15839,
  [16124] = 14918,
  [16125] = 14918,
  [16126] = 14855,
  [16127] = 14858,
  [16128] = 14861,
  [16129] = 14862,
  [16130] = 14814,
  [16131] = 14918,
  [16132] = 14934,
  [16133] = 14843,
  [16134] = 14869,
  [16135] = 15087,
  [16136] = 15839,
  [16137] = 14824,
  [16138] = 14817,
  [16139] = 14828,
  [16140] = 15839,
  [16141] = 14843,
  [16142] = 14845,
  [16143] = 15210,
  [16144] = 16144,
  [16145] = 15210,
  [16146] = 14817,
  [16147] = 11683,
  [16148] = 14830,
  [16149] = 14818,
  [16150] = 15698,
  [16151] = 14821,
  [16152] = 14909,
  [16153] = 14916,
  [16154] = 14918,
  [16155] = 14934,
  [16156] = 14813,
  [16157] = 14824,
  [16158] = 14819,
  [16159] = 14833,
  [16160] = 15098,
  [16161] = 14843,
  [16162] = 15098,
  [16163] = 14821,
  [16164] = 14816,
  [16165] = 14846,
  [16166] = 14822,
  [16167] = 14846,
  [16168] = 14824,
  [16169] = 14830,
  [16170] = 14830,
  [16171] = 14873,
  [16172] = 14855,
  [16173] = 14823,
  [16174] = 14844,
  [16175] = 14831,
  [16176] = 14826,
  [16177] = 14833,
  [16178] = 15125,
  [16179] = 14858,
  [16180] = 15132,
  [16181] = 14828,
  [16182] = 14878,
  [16183] = 15698,
  [16184] = 14827,
  [16185] = 14864,
  [16186] = 14846,
  [16187] = 15125,
  [16188] = 15132,
  [16189] = 14823,
  [16190] = 14859,
  [16191] = 16191,
  [16192] = 15698,
  [16193] = 14824,
  [16194] = 14849,
  [16195] = 14849,
  [16196] = 15125,
  [16197] = 14861,
  [16198] = 15132,
  [16199] = 14820,
  [16200] = 14862,
  [16201] = 14830,
  [16202] = 15008,
  [16203] = 14823,
  [16204] = 14828,
  [16205] = 15698,
  [16206] = 14820,
  [16207] = 15329,
  [16208] = 14817,
  [16209] = 15608,
  [16210] = 14877,
  [16211] = 14859,
  [16212] = 15329,
  [16213] = 14816,
  [16214] = 14845,
  [16215] = 15329,
  [16216] = 14967,
  [16217] = 14859,
  [16218] = 14824,
  [16219] = 16219,
  [16220] = 16220,
  [16221] = 16221,
  [16222] = 16222,
  [16223] = 16223,
  [16224] = 16224,
  [16225] = 16225,
  [16226] = 16226,
  [16227] = 16227,
  [16228] = 16228,
  [16229] = 16229,
  [16230] = 16230,
  [16231] = 16231,
  [16232] = 16223,
  [16233] = 16228,
  [16234] = 16234,
  [16235] = 16223,
  [16236] = 16236,
  [16237] = 16237,
  [16238] = 16238,
  [16239] = 16239,
  [16240] = 16223,
  [16241] = 16241,
  [16242] = 16242,
  [16243] = 16243,
  [16244] = 16242,
  [16245] = 16245,
  [16246] = 16246,
  [16247] = 16247,
  [16248] = 16248,
  [16249] = 16249,
  [16250] = 16219,
  [16251] = 16219,
  [16252] = 16252,
  [16253] = 16231,
  [16254] = 16239,
  [16255] = 16223,
  [16256] = 16223,
  [16257] = 16257,
  [16258] = 16258,
  [16259] = 16259,
  [16260] = 16252,
  [16261] = 16252,
  [16262] = 16262,
  [16263] = 16238,
  [16264] = 16220,
  [16265] = 16242,
  [16266] = 16220,
  [16267] = 16222,
  [16268] = 16268,
  [16269] = 16222,
  [16270] = 16242,
  [16271] = 16228,
  [16272] = 16237,
  [16273] = 16252,
  [16274] = 16242,
  [16275] = 16220,
  [16276] = 16219,
  [16277] = 16220,
  [16278] = 16219,
  [16279] = 16222,
  [16280] = 16252,
  [16281] = 16223,
  [16282] = 16224,
  [16283] = 16222,
  [16284] = 16284,
  [16285] = 16226,
  [16286] = 16227,
  [16287] = 16230,
  [16288] = 16237,
  [16289] = 16223,
  [16290] = 16236,
  [16291] = 16237,
  [16292] = 16238,
  [16293] = 16220,
  [16294] = 16243,
  [16295] = 10160,
  [16296] = 16296,
  [16297] = 16297,
  [16298] = 16245,
  [16299] = 16246,
  [16300] = 16247,
  [16301] = 16248,
  [16302] = 16249,
  [16303] = 16219,
  [16304] = 16239,
  [16305] = 16257,
  [16306] = 16222,
  [16307] = 16231,
  [16308] = 16229,
  [16309] = 16231,
  [16310] = 16310,
  [16311] = 16284,
  [16312] = 16219,
  [16313] = 16223,
  [16314] = 16225,
  [16315] = 16228,
  [16316] = 16297,
  [16317] = 16242,
  [16318] = 16223,
  [16319] = 16252,
  [16320] = 16223,
  [16321] = 16321,
  [16322] = 16224,
  [16323] = 16242,
  [16324] = 16231,
  [16325] = 16226,
  [16326] = 16227,
  [16327] = 16242,
  [16328] = 16220,
  [16329] = 16230,
  [16330] = 16222,
  [16331] = 16252,
  [16332] = 16223,
  [16333] = 16227,
  [16334] = 16236,
  [16335] = 16228,
  [16336] = 16243,
  [16337] = 16245,
  [16338] = 16247,
  [16339] = 16248,
  [16340] = 16249,
  [16341] = 16252,
  [16342] = 16237,
  [16343] = 16257,
  [16344] = 16220,
  [16345] = 16284,
  [16346] = 16252,
  [16347] = 16222,
  [16348] = 16219,
  [16349] = 16242,
  [16350] = 16231,
  [16351] = 10147,
  [16352] = 16237,
  [16353] = 16353,
  [16354] = 16354,
  [16355] = 16220,
  [16356] = 16356,
  [16357] = 16223,
  [16358] = 16219,
  [16359] = 16224,
  [16360] = 16226,
  [16361] = 16227,
  [16362] = 16362,
  [16363] = 16230,
  [16364] = 16242,
  [16365] = 16365,
  [16366] = 16237,
  [16367] = 16223,
  [16368] = 16237,
  [16369] = 16353,
  [16370] = 16236,
  [16371] = 16242,
  [16372] = 16362,
  [16373] = 16245,
  [16374] = 16247,
  [16375] = 16248,
  [16376] = 16249,
  [16377] = 16377,
  [16378] = 16252,
  [16379] = 16252,
  [16380] = 16222,
  [16381] = 16257,
  [16382] = 16229,
  [16383] = 16237,
  [16384] = 16384,
  [16385] = 16220,
  [16386] = 16231,
  [16387] = 16222,
  [16388] = 16220,
  [16389] = 16229,
  [16390] = 16231,
  [16391] = 16310,
  [16392] = 16222,
  [16393] = 16224,
  [16394] = 16226,
  [16395] = 16227,
  [16396] = 16237,
  [16397] = 16230,
  [16398] = 16220,
  [16399] = 16399,
  [16400] = 16400,
  [16401] = 16225,
  [16402] = 16223,
  [16403] = 16228,
  [16404] = 16236,
  [16405] = 16245,
  [16406] = 16247,
  [16407] = 16248,
  [16408] = 16249,
  [16409] = 16409,
  [16410] = 16219,
  [16411] = 16257,
  [16412] = 16400,
  [16413] = 16223,
  [16414] = 16231,
  [16415] = 16310,
  [16416] = 16242,
  [16417] = 16222,
  [16418] = 16219,
  [16419] = 16409,
  [16420] = 16252,
  [16421] = 16224,
  [16422] = 16226,
  [16423] = 16226,
  [16424] = 16227,
  [16425] = 16259,
  [16426] = 16230,
  [16427] = 16219,
  [16428] = 16428,
  [16429] = 16220,
  [16430] = 16223,
  [16431] = 16222,
  [16432] = 16268,
  [16433] = 16237,
  [16434] = 16245,
  [16435] = 16247,
  [16436] = 16248,
  [16437] = 16249,
  [16438] = 16257,
  [16439] = 16242,
  [16440] = 16219,
  [16441] = 16243,
  [16442] = 16442,
  [16443] = 16237,
  [16444] = 16252,
  [16445] = 16224,
  [16446] = 16237,
  [16447] = 16226,
  [16448] = 16227,
  [16449] = 16284,
  [16450] = 16220,
  [16451] = 16230,
  [16452] = 16297,
  [16453] = 16321,
  [16454] = 16225,
  [16455] = 16223,
  [16456] = 16234,
  [16457] = 16222,
  [16458] = 16219,
  [16459] = 16220,
  [16460] = 16224,
  [16461] = 16245,
  [16462] = 16247,
  [16463] = 16248,
  [16464] = 16249,
  [16465] = 16257,
  [16466] = 16353,
  [16467] = 16297,
  [16468] = 16321,
  [16469] = 16231,
  [16470] = 16470,
  [16471] = 16471,
  [16472] = 16237,
  [16473] = 16224,
  [16474] = 16229,
  [16475] = 16226,
  [16476] = 16223,
  [16477] = 16227,
  [16478] = 16237,
  [16479] = 16220,
  [16480] = 16236,
  [16481] = 16230,
  [16482] = 16257,
  [16483] = 16223,
  [16484] = 16296,
  [16485] = 16219,
  [16486] = 16486,
  [16487] = 16231,
  [16488] = 16228,
  [16489] = 16229,
  [16490] = 16400,
  [16491] = 16231,
  [16492] = 16245,
  [16493] = 16247,
  [16494] = 16248,
  [16495] = 16249,
  [16496] = 16310,
  [16497] = 16257,
  [16498] = 16219,
  [16499] = 16224,
  [16500] = 16226,
  [16501] = 16227,
  [16502] = 16247,
  [16503] = 16248,
  [16504] = 16249,
  [16505] = 16225,
  [16506] = 16230,
  [16507] = 16228,
  [16508] = 16223,
  [16509] = 16362,
  [16510] = 16409,
  [16511] = 16252,
  [16512] = 16245,
  [16513] = 16247,
  [16514] = 16248,
  [16515] = 16249,
  [16516] = 16252,
  [16517] = 16517,
  [16518] = 16231,
  [16519] = 16257,
  [16520] = 16520,
  [16521] = 16223,
  [16522] = 16242,
  [16523] = 16229,
  [16524] = 16224,
  [16525] = 16220,
  [16526] = 16226,
  [16527] = 16242,
  [16528] = 16227,
  [16529] = 16222,
  [16530] = 16245,
  [16531] = 16231,
  [16532] = 16310,
  [16533] = 16230,
  [16534] = 16252,
  [16535] = 16354,
  [16536] = 16252,
  [16537] = 16229,
  [16538] = 16231,
  [16539] = 16245,
  [16540] = 16247,
  [16541] = 16248,
  [16542] = 16249,
  [16543] = 16257,
  [16544] = 16237,
  [16545] = 16237,
  [16546] = 16220,
  [16547] = 16224,
  [16548] = 16222,
  [16549] = 16226,
  [16550] = 16220,
  [16551] = 16227,
  [16552] = 16230,
  [16553] = 16553,
  [16554] = 16219,
  [16555] = 16231,
  [16556] = 16247,
  [16557] = 16248,
  [16558] = 16249,
  [16559] = 16222,
  [16560] = 16228,
  [16561] = 16257,
  [16562] = 16224,
  [16563] = 16237,
  [16564] = 16226,
  [16565] = 16227,
  [16566] = 16230,
  [16567] = 16399,
  [16568] = 16219,
  [16569] = 16247,
  [16570] = 16248,
  [16571] = 16249,
  [16572] = 16257,
  [16573] = 16224,
  [16574] = 16226,
  [16575] = 16242,
  [16576] = 16227,
  [16577] = 16225,
  [16578] = 16252,
  [16579] = 16229,
  [16580] = 16230,
  [16581] = 16231,
  [16582] = 16310,
  [16583] = 16228,
  [16584] = 16220,
  [16585] = 16222,
  [16586] = 16247,
  [16587] = 16248,
  [16588] = 16249,
  [16589] = 16353,
  [16590] = 16257,
  [16591] = 16591,
  [16592] = 16553,
  [16593] = 16222,
  [16594] = 16594,
  [16595] = 16224,
  [16596] = 16237,
  [16597] = 16226,
  [16598] = 16227,
  [16599] = 16229,
  [16600] = 16600,
  [16601] = 16231,
  [16602] = 16230,
  [16603] = 16310,
  [16604] = 16225,
  [16605] = 16237,
  [16606] = 16247,
  [16607] = 16248,
  [16608] = 16249,
  [16609] = 16257,
  [16610] = 16231,
  [16611] = 16611,
  [16612] = 16224,
  [16613] = 16226,
  [16614] = 16227,
  [16615] = 16219,
  [16616] = 16616,
  [16617] = 16231,
  [16618] = 16230,
  [16619] = 16230,
  [16620] = 16225,
  [16621] = 16228,
  [16622] = 16622,
  [16623] = 16219,
  [16624] = 16247,
  [16625] = 16248,
  [16626] = 16249,
  [16627] = 16223,
  [16628] = 16257,
  [16629] = 16224,
  [16630] = 16223,
  [16631] = 16226,
  [16632] = 16227,
  [16633] = 16223,
  [16634] = 16225,
  [16635] = 16230,
  [16636] = 16231,
  [16637] = 16242,
  [16638] = 16242,
  [16639] = 16247,
  [16640] = 16248,
  [16641] = 16249,
  [16642] = 16228,
  [16643] = 16257,
  [16644] = 16228,
  [16645] = 16224,
  [16646] = 16252,
  [16647] = 16226,
  [16648] = 16227,
  [16649] = 16252,
  [16650] = 16246,
  [16651] = 16353,
  [16652] = 16230,
  [16653] = 16220,
  [16654] = 16220,
  [16655] = 16228,
  [16656] = 16222,
  [16657] = 16222,
  [16658] = 16247,
  [16659] = 16248,
  [16660] = 16249,
  [16661] = 16257,
  [16662] = 16224,
  [16663] = 16226,
  [16664] = 16227,
  [16665] = 16242,
  [16666] = 16230,
  [16667] = 16362,
  [16668] = 16237,
  [16669] = 16247,
  [16670] = 16248,
  [16671] = 16249,
  [16672] = 16257,
  [16673] = 16237,
  [16674] = 16252,
  [16675] = 16237,
  [16676] = 16224,
  [16677] = 16226,
  [16678] = 16227,
  [16679] = 16219,
  [16680] = 16230,
  [16681] = 16234,
  [16682] = 16252,
  [16683] = 16591,
  [16684] = 16219,
  [16685] = 16231,
  [16686] = 16247,
  [16687] = 16248,
  [16688] = 16249,
  [16689] = 16242,
  [16690] = 16257,
  [16691] = 16691,
  [16692] = 16692,
  [16693] = 16226,
  [16694] = 16242,
  [16695] = 16227,
  [16696] = 16252,
  [16697] = 16223,
  [16698] = 16258,
  [16699] = 16230,
  [16700] = 16362,
  [16701] = 16247,
  [16702] = 16248,
  [16703] = 16249,
  [16704] = 16257,
  [16705] = 16242,
  [16706] = 16706,
  [16707] = 16227,
  [16708] = 16252,
  [16709] = 16222,
  [16710] = 16230,
  [16711] = 16229,
  [16712] = 16712,
  [16713] = 16231,
  [16714] = 16310,
  [16715] = 16220,
  [16716] = 16716,
  [16717] = 16220,
  [16718] = 16247,
  [16719] = 16248,
  [16720] = 16249,
  [16721] = 16257,
  [16722] = 16227,
  [16723] = 16252,
  [16724] = 16222,
  [16725] = 16230,
  [16726] = 16220,
  [16727] = 16247,
  [16728] = 16248,
  [16729] = 16249,
  [16730] = 16222,
  [16731] = 16222,
  [16732] = 16257,
  [16733] = 16222,
  [16734] = 16227,
  [16735] = 16225,
  [16736] = 16230,
  [16737] = 16228,
  [16738] = 16247,
  [16739] = 16248,
  [16740] = 16249,
  [16741] = 16257,
  [16742] = 16227,
  [16743] = 16221,
  [16744] = 16230,
  [16745] = 16223,
  [16746] = 16237,
  [16747] = 16234,
  [16748] = 16399,
  [16749] = 16247,
  [16750] = 16248,
  [16751] = 16249,
  [16752] = 16242,
  [16753] = 16257,
  [16754] = 16227,
  [16755] = 16220,
  [16756] = 16219,
  [16757] = 16230,
  [16758] = 16231,
  [16759] = 16237,
  [16760] = 16252,
  [16761] = 16252,
  [16762] = 16247,
  [16763] = 16248,
  [16764] = 16249,
  [16765] = 16257,
  [16766] = 16227,
  [16767] = 16237,
  [16768] = 16223,
  [16769] = 16230,
  [16770] = 16220,
  [16771] = 16222,
  [16772] = 16247,
  [16773] = 16248,
  [16774] = 16249,
  [16775] = 16257,
  [16776] = 16227,
  [16777] = 16296,
  [16778] = 16230,
  [16779] = 16222,
  [16780] = 16247,
  [16781] = 16248,
  [16782] = 16249,
  [16783] = 16257,
  [16784] = 16219,
  [16785] = 16227,
  [16786] = 16237,
  [16787] = 16237,
  [16788] = 16230,
  [16789] = 16219,
  [16790] = 16362,
  [16791] = 16247,
  [16792] = 16248,
  [16793] = 16249,
  [16794] = 16257,
  [16795] = 16231,
  [16796] = 16400,
  [16797] = 16219,
  [16798] = 16227,
  [16799] = 16230,
  [16800] = 16220,
  [16801] = 16296,
  [16802] = 16237,
  [16803] = 16231,
  [16804] = 16409,
  [16805] = 16247,
  [16806] = 16248,
  [16807] = 16249,
  [16808] = 16808,
  [16809] = 16257,
  [16810] = 16222,
  [16811] = 16227,
  [16812] = 16230,
  [16813] = 16222,
  [16814] = 16237,
  [16815] = 16247,
  [16816] = 16248,
  [16817] = 16249,
  [16818] = 16553,
  [16819] = 16257,
  [16820] = 16219,
  [16821] = 16231,
  [16822] = 16822,
  [16823] = 16823,
  [16824] = 16229,
  [16825] = 16231,
  [16826] = 16310,
  [16827] = 16247,
  [16828] = 16248,
  [16829] = 16249,
  [16830] = 16237,
  [16831] = 16257,
  [16832] = 16219,
  [16833] = 16231,
  [16834] = 16230,
  [16835] = 16237,
  [16836] = 16219,
  [16837] = 16247,
  [16838] = 16248,
  [16839] = 16249,
  [16840] = 16231,
  [16841] = 16409,
  [16842] = 16257,
  [16843] = 16225,
  [16844] = 16230,
  [16845] = 16228,
  [16846] = 16237,
  [16847] = 16247,
  [16848] = 16248,
  [16849] = 16249,
  [16850] = 16257,
  [16851] = 16219,
  [16852] = 16231,
  [16853] = 16230,
  [16854] = 16223,
  [16855] = 16237,
  [16856] = 16247,
  [16857] = 16248,
  [16858] = 16249,
  [16859] = 16219,
  [16860] = 16257,
  [16861] = 16242,
  [16862] = 16231,
  [16863] = 16228,
  [16864] = 16230,
  [16865] = 16237,
  [16866] = 16866,
  [16867] = 16252,
  [16868] = 16247,
  [16869] = 16248,
  [16870] = 16249,
  [16871] = 16219,
  [16872] = 16257,
  [16873] = 16231,
  [16874] = 16354,
  [16875] = 16230,
  [16876] = 16876,
  [16877] = 16220,
  [16878] = 16237,
  [16879] = 16222,
  [16880] = 16247,
  [16881] = 16248,
  [16882] = 16249,
  [16883] = 16219,
  [16884] = 16231,
  [16885] = 16219,
  [16886] = 16230,
  [16887] = 16237,
  [16888] = 16247,
  [16889] = 16248,
  [16890] = 16249,
  [16891] = 16219,
  [16892] = 16231,
  [16893] = 16230,
  [16894] = 16237,
  [16895] = 16247,
  [16896] = 16248,
  [16897] = 16249,
  [16898] = 16237,
  [16899] = 16219,
  [16900] = 16231,
  [16901] = 16230,
  [16902] = 16219,
  [16903] = 16247,
  [16904] = 16248,
  [16905] = 16249,
  [16906] = 16237,
  [16907] = 16219,
  [16908] = 16353,
  [16909] = 16231,
  [16910] = 16230,
  [16911] = 16247,
  [16912] = 16248,
  [16913] = 16249,
  [16914] = 16230,
  [16915] = 16362,
  [16916] = 16237,
  [16917] = 16247,
  [16918] = 16248,
  [16919] = 16249,
  [16920] = 16219,
  [16921] = 16231,
  [16922] = 16922,
  [16923] = 16230,
  [16924] = 16237,
  [16925] = 16247,
  [16926] = 16248,
  [16927] = 16249,
  [16928] = 16230,
  [16929] = 16247,
  [16930] = 16248,
  [16931] = 16249,
  [16932] = 16230,
  [16933] = 16247,
  [16934] = 16248,
  [16935] = 16249,
  [16936] = 16237,
  [16937] = 16219,
  [16938] = 16230,
  [16939] = 16247,
  [16940] = 16248,
  [16941] = 16249,
  [16942] = 16231,
  [16943] = 16230,
  [16944] = 16247,
  [16945] = 16248,
  [16946] = 16249,
  [16947] = 16230,
  [16948] = 16247,
  [16949] = 16248,
  [16950] = 16249,
  [16951] = 16230,
  [16952] = 16247,
  [16953] = 16248,
  [16954] = 16249,
  [16955] = 16230,
  [16956] = 16247,
  [16957] = 16248,
  [16958] = 16249,
  [16959] = 16237,
  [16960] = 16219,
  [16961] = 16230,
  [16962] = 16247,
  [16963] = 16248,
  [16964] = 16249,
  [16965] = 16237,
  [16966] = 16230,
  [16967] = 16247,
  [16968] = 16248,
  [16969] = 16249,
  [16970] = 16230,
  [16971] = 16247,
  [16972] = 16248,
  [16973] = 16249,
  [16974] = 16230,
  [16975] = 16247,
  [16976] = 16248,
  [16977] = 16249,
  [16978] = 16230,
  [16979] = 16230,
  [16980] = 16230,
  [16981] = 16230,
  [16982] = 16230,
  [16983] = 16219,
  [16984] = 16230,
  [16985] = 16230,
  [16986] = 16230,
  [16987] = 16230,
  [16988] = 16230,
  [16989] = 16230,
  [16990] = 16353,
  [16991] = 16230,
  [16992] = 16230,
  [16993] = 16230,
  [16994] = 16230,
  [16995] = 16230,
  [16996] = 16230,
  [16997] = 16230,
  [16998] = 16230,
  [16999] = 16230,
  [17000] = 16230,
  [17001] = 16230,
  [17002] = 16230,
  [17003] = 16242,
  [17004] = 16517,
  [17005] = 16242,
  [17006] = 16229,
  [17007] = 16231,
  [17008] = 16310,
  [17009] = 16691,
  [17010] = 16252,
  [17011] = 16399,
  [17012] = 16297,
  [17013] = 16224,
  [17014] = 16225,
  [17015] = 16428,
  [17016] = 16228,
  [17017] = 16226,
  [17018] = 16227,
  [17019] = 16692,
  [17020] = 17020,
  [17021] = 16223,
  [17022] = 16400,
  [17023] = 16223,
  [17024] = 10645,
  [17025] = 16242,
  [17026] = 16409,
  [17027] = 10230,
  [17028] = 16220,
  [17029] = 16220,
  [17030] = 16220,
  [17031] = 16229,
  [17032] = 16442,
  [17033] = 16230,
  [17034] = 16252,
  [17035] = 16517,
  [17036] = 16231,
  [17037] = 16310,
  [17038] = 16222,
  [17039] = 17039,
  [17040] = 16220,
  [17041] = 16259,
  [17042] = 16229,
  [17043] = 16219,
  [17044] = 16222,
  [17045] = 16223,
  [17046] = 16553,
  [17047] = 16428,
  [17048] = 10432,
  [17049] = 16268,
  [17050] = 16231,
  [17051] = 16362,
  [17052] = 17020,
  [17053] = 16219,
  [17054] = 16236,
  [17055] = 16310,
  [17056] = 16222,
  [17057] = 16237,
  [17058] = 16238,
  [17059] = 16231,
  [17060] = 16252,
  [17061] = 16517,
  [17062] = 17062,
  [17063] = 16517,
  [17064] = 16237,
  [17065] = 16219,
  [17066] = 16284,
  [17067] = 16297,
  [17068] = 16321,
  [17069] = 16252,
  [17070] = 16237,
  [17071] = 16243,
  [17072] = 16428,
  [17073] = 16225,
  [17074] = 17074,
  [17075] = 16245,
  [17076] = 17020,
  [17077] = 17074,
  [17078] = 16246,
  [17079] = 16247,
  [17080] = 16248,
  [17081] = 16249,
  [17082] = 16228,
  [17083] = 17083,
  [17084] = 16229,
  [17085] = 16231,
  [17086] = 16310,
  [17087] = 16399,
  [17088] = 16517,
  [17089] = 17089,
  [17090] = 17090,
  [17091] = 16219,
  [17092] = 17092,
  [17093] = 16239,
  [17094] = 16228,
  [17095] = 11502,
  [17096] = 16257,
  [17097] = 16231,
  [17098] = 16517,
  [17099] = 16225,
  [17100] = 16228,
  [17101] = 16553,
  [17102] = 17020,
  [17103] = 16517,
  [17104] = 16223,
  [17105] = 16228,
  [17106] = 16223,
  [17107] = 16242,
  [17108] = 16517,
  [17109] = 16219,
  [17110] = 16242,
  [17111] = 17111,
  [17112] = 16220,
  [17113] = 16252,
  [17114] = 16517,
  [17115] = 17083,
  [17116] = 16252,
  [17117] = 16223,
  [17118] = 16258,
  [17119] = 16517,
  [17120] = 16220,
  [17121] = 17089,
  [17122] = 16222,
  [17123] = 16222,
  [17124] = 16517,
  [17125] = 16220,
  [17126] = 17126,
  [17127] = 16242,
  [17128] = 16222,
  [17129] = 16517,
  [17130] = 16252,
  [17131] = 17131,
  [17132] = 16229,
  [17133] = 17133,
  [17134] = 16242,
  [17135] = 16220,
  [17136] = 17136,
  [17137] = 16237,
  [17138] = 17062,
  [17139] = 16231,
  [17140] = 16310,
  [17141] = 16222,
  [17142] = 16237,
  [17143] = 16219,
  [17144] = 16252,
  [17145] = 16259,
  [17146] = 16399,
  [17147] = 16310,
  [17148] = 16591,
  [17149] = 16553,
  [17150] = 16229,
  [17151] = 16223,
  [17152] = 16400,
  [17153] = 16219,
  [17154] = 16231,
  [17155] = 16310,
  [17156] = 16229,
  [17157] = 16354,
  [17158] = 16231,
  [17159] = 16310,
  [17160] = 16237,
  [17161] = 16220,
  [17162] = 16229,
  [17163] = 16231,
  [17164] = 16310,
  [17165] = 16409,
  [17166] = 16222,
  [17167] = 16219,
  [17168] = 16258,
  [17169] = 16823,
  [17170] = 16553,
  [17171] = 16553,
  [17172] = 16231,
  [17173] = 16229,
  [17174] = 16231,
  [17175] = 16310,
  [17176] = 10459,
  [17177] = 16220,
  [17178] = 16922,
  [17179] = 16225,
  [17180] = 16225,
  [17181] = 16228,
  [17182] = 16228,
  [17183] = 16237,
  [17184] = 16377,
  [17185] = 16223,
  [17186] = 16223,
  [17187] = 16225,
  [17188] = 16242,
  [17189] = 16228,
  [17190] = 16228,
  [17191] = 16252,
  [17192] = 16223,
  [17193] = 16242,
  [17194] = 16242,
  [17195] = 16220,
  [17196] = 16223,
  [17197] = 16225,
  [17198] = 16222,
  [17199] = 16223,
  [17200] = 16228,
  [17201] = 16252,
  [17202] = 16268,
  [17203] = 16252,
  [17204] = 16237,
  [17205] = 16225,
  [17206] = 16220,
  [17207] = 16223,
  [17208] = 16220,
  [17209] = 16220,
  [17210] = 16237,
  [17211] = 16222,
  [17212] = 16220,
  [17213] = 16224,
  [17214] = 16228,
  [17215] = 16226,
  [17216] = 16222,
  [17217] = 16227,
  [17218] = 16219,
  [17219] = 16220,
  [17220] = 16400,
  [17221] = 16230,
  [17222] = 17092,
  [17223] = 16225,
  [17224] = 16222,
  [17225] = 16228,
  [17226] = 16223,
  [17227] = 16223,
  [17228] = 16242,
  [17229] = 16236,
  [17230] = 16238,
  [17231] = 16384,
  [17232] = 16237,
  [17233] = 16219,
  [17234] = 16409,
  [17235] = 16243,
  [17236] = 16229,
  [17237] = 16245,
  [17238] = 16246,
  [17239] = 16247,
  [17240] = 16248,
  [17241] = 16249,
  [17242] = 16219,
  [17243] = 16239,
  [17244] = 16229,
  [17245] = 16231,
  [17246] = 16310,
  [17247] = 16377,
  [17248] = 16237,
  [17249] = 16257,
  [17250] = 16231,
  [17251] = 16231,
  [17252] = 16231,
  [17253] = 16310,
  [17254] = 16228,
  [17255] = 16225,
  [17256] = 16228,
  [17257] = 16225,
  [17258] = 17092,
  [17259] = 16223,
  [17260] = 16242,
  [17261] = 16591,
  [17262] = 16553,
  [17263] = 16219,
  [17264] = 16223,
  [17265] = 16252,
  [17266] = 16219,
  [17267] = 16259,
  [17268] = 16219,
  [17269] = 16220,
  [17270] = 16252,
  [17271] = 16222,
  [17272] = 16377,
  [17273] = 16242,
  [17274] = 16225,
  [17275] = 16228,
  [17276] = 16228,
  [17277] = 17277,
  [17278] = 16377,
  [17279] = 16354,
  [17280] = 17280,
  [17281] = 16229,
  [17282] = 16242,
  [17283] = 16231,
  [17284] = 16377,
  [17285] = 16310,
  [17286] = 16252,
  [17287] = 16823,
  [17288] = 10320,
  [17289] = 16823,
  [17290] = 16230,
  [17291] = 17291,
  [17292] = 17292,
  [17293] = 17293,
  [17294] = 17291,
  [17295] = 17295,
  [17296] = 17292,
  [17297] = 17297,
  [17298] = 17298,
  [17299] = 17299,
  [17300] = 17293,
  [17301] = 17301,
  [17302] = 17302,
  [17303] = 17303,
  [17304] = 17304,
  [17305] = 17305,
  [17306] = 17295,
  [17307] = 17307,
  [17308] = 17308,
  [17309] = 17309,
  [17310] = 17310,
  [17311] = 17311,
  [17312] = 17295,
  [17313] = 17313,
  [17314] = 17314,
  [17315] = 17314,
  [17316] = 17316,
  [17317] = 17317,
  [17318] = 17318,
  [17319] = 17319,
  [17320] = 17320,
  [17321] = 17321,
  [17322] = 17313,
  [17323] = 17323,
  [17324] = 17324,
  [17325] = 17314,
  [17326] = 17326,
  [17327] = 17327,
  [17328] = 17328,
  [17329] = 17329,
  [17330] = 17329,
  [17331] = 17331,
  [17332] = 17332,
  [17333] = 17333,
  [17334] = 17334,
  [17335] = 17307,
  [17336] = 17316,
  [17337] = 17337,
  [17338] = 17338,
  [17339] = 17339,
  [17340] = 17340,
  [17341] = 17341,
  [17342] = 17342,
  [17343] = 17343,
  [17344] = 17344,
  [17345] = 17345,
  [17346] = 17309,
  [17347] = 17347,
  [17348] = 17348,
  [17349] = 17349,
  [17350] = 17350,
  [17351] = 17351,
  [17352] = 17299,
  [17353] = 17301,
  [17354] = 17302,
  [17355] = 17303,
  [17356] = 17304,
  [17357] = 17311,
  [17358] = 17358,
  [17359] = 17350,
  [17360] = 17338,
  [17361] = 17333,
  [17362] = 17351,
  [17363] = 17363,
  [17364] = 17333,
  [17365] = 17365,
  [17366] = 17366,
  [17367] = 17367,
  [17368] = 17368,
  [17369] = 17321,
  [17370] = 17370,
  [17371] = 17307,
  [17372] = 17372,
  [17373] = 17373,
  [17374] = 17308,
  [17375] = 17363,
  [17376] = 17291,
  [17377] = 17321,
  [17378] = 17313,
  [17379] = 17313,
  [17380] = 17367,
  [17381] = 17314,
  [17382] = 17324,
  [17383] = 17317,
  [17384] = 17318,
  [17385] = 17319,
  [17386] = 17386,
  [17387] = 17291,
  [17388] = 17388,
  [17389] = 17388,
  [17390] = 17299,
  [17391] = 17301,
  [17392] = 17327,
  [17393] = 17328,
  [17394] = 17302,
  [17395] = 17333,
  [17396] = 17326,
  [17397] = 17332,
  [17398] = 17331,
  [17399] = 17339,
  [17400] = 17400,
  [17401] = 17401,
  [17402] = 17326,
  [17403] = 17343,
  [17404] = 17313,
  [17405] = 17324,
  [17406] = 17334,
  [17407] = 17307,
  [17408] = 17321,
  [17409] = 17351,
  [17410] = 17299,
  [17411] = 17301,
  [17412] = 17302,
  [17413] = 17340,
  [17414] = 17342,
  [17415] = 17344,
  [17416] = 17324,
  [17417] = 17331,
  [17418] = 17331,
  [17419] = 17347,
  [17420] = 17334,
  [17421] = 17341,
  [17422] = 17388,
  [17423] = 17316,
  [17424] = 17424,
  [17425] = 17350,
  [17426] = 17337,
  [17427] = 17345,
  [17428] = 17316,
  [17429] = 17308,
  [17430] = 17348,
  [17431] = 17321,
  [17432] = 17324,
  [17433] = 17433,
  [17434] = 17365,
  [17435] = 17435,
  [17436] = 17370,
  [17437] = 17373,
  [17438] = 17317,
  [17439] = 17318,
  [17440] = 17319,
  [17441] = 17363,
  [17442] = 17314,
  [17443] = 17291,
  [17444] = 17337,
  [17445] = 17345,
  [17446] = 17386,
  [17447] = 17327,
  [17448] = 17328,
  [17449] = 17328,
  [17450] = 17334,
  [17451] = 17316,
  [17452] = 17332,
  [17453] = 17453,
  [17454] = 17337,
  [17455] = 17345,
  [17456] = 17456,
  [17457] = 17457,
  [17458] = 17343,
  [17459] = 17348,
  [17460] = 17348,
  [17461] = 17388,
  [17462] = 17292,
  [17463] = 17463,
  [17464] = 17351,
  [17465] = 17299,
  [17466] = 17301,
  [17467] = 17302,
  [17468] = 17468,
  [17469] = 17456,
  [17470] = 17326,
  [17471] = 17366,
  [17472] = 17453,
  [17473] = 17309,
  [17474] = 17292,
  [17475] = 17326,
  [17476] = 17295,
  [17477] = 17366,
  [17478] = 17365,
  [17479] = 17453,
  [17480] = 17313,
  [17481] = 17292,
  [17482] = 17358,
  [17483] = 17324,
  [17484] = 17308,
  [17485] = 17365,
  [17486] = 17386,
  [17487] = 17386,
  [17488] = 17456,
  [17489] = 17293,
  [17490] = 17340,
  [17491] = 17295,
  [17492] = 17348,
  [17493] = 17317,
  [17494] = 17318,
  [17495] = 17319,
  [17496] = 17331,
  [17497] = 17305,
  [17498] = 17338,
  [17499] = 17342,
  [17500] = 17344,
  [17501] = 17501,
  [17502] = 17327,
  [17503] = 17328,
  [17504] = 17329,
  [17505] = 17424,
  [17506] = 17433,
  [17507] = 17332,
  [17508] = 17313,
  [17509] = 17314,
  [17510] = 17456,
  [17511] = 17326,
  [17512] = 17512,
  [17513] = 17343,
  [17514] = 17401,
  [17515] = 17366,
  [17516] = 17453,
  [17517] = 17347,
  [17518] = 17292,
  [17519] = 17351,
  [17520] = 17299,
  [17521] = 17301,
  [17522] = 17302,
  [17523] = 17309,
  [17524] = 17343,
  [17525] = 17307,
  [17526] = 17334,
  [17527] = 17316,
  [17528] = 17528,
  [17529] = 17314,
  [17530] = 17337,
  [17531] = 17337,
  [17532] = 17295,
  [17533] = 17350,
  [17534] = 17345,
  [17535] = 17386,
  [17536] = 17366,
  [17537] = 17293,
  [17538] = 17386,
  [17539] = 17308,
  [17540] = 17314,
  [17541] = 17453,
  [17542] = 17326,
  [17543] = 17292,
  [17544] = 17388,
  [17545] = 17345,
  [17546] = 17321,
  [17547] = 17348,
  [17548] = 17317,
  [17549] = 17318,
  [17550] = 17319,
  [17551] = 17329,
  [17552] = 17326,
  [17553] = 17340,
  [17554] = 17342,
  [17555] = 17344,
  [17556] = 17338,
  [17557] = 17327,
  [17558] = 17328,
  [17559] = 17347,
  [17560] = 17560,
  [17561] = 17350,
  [17562] = 17332,
  [17563] = 17435,
  [17564] = 17308,
  [17565] = 17340,
  [17566] = 17313,
  [17567] = 17370,
  [17568] = 17343,
  [17569] = 17373,
  [17570] = 17295,
  [17571] = 17297,
  [17572] = 17363,
  [17573] = 17334,
  [17574] = 17351,
  [17575] = 17299,
  [17576] = 17301,
  [17577] = 17302,
  [17578] = 17370,
  [17579] = 17309,
  [17580] = 17373,
  [17581] = 17321,
  [17582] = 17363,
  [17583] = 17583,
  [17584] = 17321,
  [17585] = 17291,
  [17586] = 17291,
  [17587] = 17501,
  [17588] = 17365,
  [17589] = 17324,
  [17590] = 17324,
  [17591] = 17512,
  [17592] = 17358,
  [17593] = 17388,
  [17594] = 17308,
  [17595] = 17313,
  [17596] = 17596,
  [17597] = 17386,
  [17598] = 17313,
  [17599] = 17313,
  [17600] = 17348,
  [17601] = 17324,
  [17602] = 17331,
  [17603] = 17317,
  [17604] = 17318,
  [17605] = 17319,
  [17606] = 17386,
  [17607] = 17307,
  [17608] = 17334,
  [17609] = 17316,
  [17610] = 17317,
  [17611] = 17611,
  [17612] = 17327,
  [17613] = 17328,
  [17614] = 17337,
  [17615] = 17345,
  [17616] = 17388,
  [17617] = 17332,
  [17618] = 17340,
  [17619] = 17321,
  [17620] = 17314,
  [17621] = 17318,
  [17622] = 17348,
  [17623] = 17343,
  [17624] = 17319,
  [17625] = 17314,
  [17626] = 17321,
  [17627] = 17324,
  [17628] = 17365,
  [17629] = 17351,
  [17630] = 17299,
  [17631] = 17301,
  [17632] = 17302,
  [17633] = 17331,
  [17634] = 17334,
  [17635] = 17316,
  [17636] = 17386,
  [17637] = 17337,
  [17638] = 17349,
  [17639] = 17345,
  [17640] = 17324,
  [17641] = 17348,
  [17642] = 17331,
  [17643] = 17342,
  [17644] = 17297,
  [17645] = 17344,
  [17646] = 17316,
  [17647] = 17365,
  [17648] = 17331,
  [17649] = 17308,
  [17650] = 17334,
  [17651] = 17456,
  [17652] = 17456,
  [17653] = 17326,
  [17654] = 17326,
  [17655] = 17366,
  [17656] = 17453,
  [17657] = 17292,
  [17658] = 17317,
  [17659] = 17318,
  [17660] = 17319,
  [17661] = 17316,
  [17662] = 17386,
  [17663] = 17347,
  [17664] = 17295,
  [17665] = 17366,
  [17666] = 17453,
  [17667] = 17327,
  [17668] = 17328,
  [17669] = 17324,
  [17670] = 17292,
  [17671] = 17671,
  [17672] = 17332,
  [17673] = 17456,
  [17674] = 17309,
  [17675] = 17327,
  [17676] = 17337,
  [17677] = 17328,
  [17678] = 17343,
  [17679] = 17366,
  [17680] = 17368,
  [17681] = 17453,
  [17682] = 17292,
  [17683] = 17309,
  [17684] = 17351,
  [17685] = 17299,
  [17686] = 17301,
  [17687] = 17302,
  [17688] = 17331,
  [17689] = 17313,
  [17690] = 17457,
  [17691] = 17338,
  [17692] = 17295,
  [17693] = 17314,
  [17694] = 17332,
  [17695] = 17456,
  [17696] = 17313,
  [17697] = 17345,
  [17698] = 17295,
  [17699] = 17292,
  [17700] = 17365,
  [17701] = 17338,
  [17702] = 17307,
  [17703] = 17334,
  [17704] = 17308,
  [17705] = 17366,
  [17706] = 17338,
  [17707] = 17351,
  [17708] = 17340,
  [17709] = 17453,
  [17710] = 17321,
  [17711] = 17338,
  [17712] = 17342,
  [17713] = 17317,
  [17714] = 17318,
  [17715] = 17319,
  [17716] = 17324,
  [17717] = 17331,
  [17718] = 17424,
  [17719] = 17333,
  [17720] = 17339,
  [17721] = 17344,
  [17722] = 17327,
  [17723] = 17328,
  [17724] = 17433,
  [17725] = 17341,
  [17726] = 17334,
  [17727] = 17332,
  [17728] = 17321,
  [17729] = 17343,
  [17730] = 17528,
  [17731] = 17347,
  [17732] = 17316,
  [17733] = 17343,
  [17734] = 17337,
  [17735] = 17324,
  [17736] = 17307,
  [17737] = 17334,
  [17738] = 17316,
  [17739] = 17351,
  [17740] = 17299,
  [17741] = 17301,
  [17742] = 17302,
  [17743] = 17307,
  [17744] = 17309,
  [17745] = 17367,
  [17746] = 17314,
  [17747] = 17345,
  [17748] = 17350,
  [17749] = 17337,
  [17750] = 17314,
  [17751] = 17313,
  [17752] = 17331,
  [17753] = 17292,
  [17754] = 17334,
  [17755] = 17348,
  [17756] = 17348,
  [17757] = 17316,
  [17758] = 17365,
  [17759] = 17308,
  [17760] = 17326,
  [17761] = 17345,
  [17762] = 17326,
  [17763] = 17299,
  [17764] = 17295,
  [17765] = 17348,
  [17766] = 17349,
  [17767] = 17340,
  [17768] = 17317,
  [17769] = 17318,
  [17770] = 17319,
  [17771] = 17342,
  [17772] = 17772,
  [17773] = 17344,
  [17774] = 17386,
  [17775] = 17340,
  [17776] = 17342,
  [17777] = 17327,
  [17778] = 17328,
  [17779] = 17347,
  [17780] = 17344,
  [17781] = 17342,
  [17782] = 17332,
  [17783] = 17313,
  [17784] = 17301,
  [17785] = 17351,
  [17786] = 17333,
  [17787] = 17350,
  [17788] = 17343,
  [17789] = 17347,
  [17790] = 17299,
  [17791] = 17301,
  [17792] = 17350,
  [17793] = 17337,
  [17794] = 17351,
  [17795] = 17299,
  [17796] = 17301,
  [17797] = 17302,
  [17798] = 17302,
  [17799] = 17799,
  [17800] = 17435,
  [17801] = 17370,
  [17802] = 17303,
  [17803] = 17304,
  [17804] = 17373,
  [17805] = 17363,
  [17806] = 17291,
  [17807] = 17365,
  [17808] = 17345,
  [17809] = 17311,
  [17810] = 17350,
  [17811] = 17365,
  [17812] = 17370,
  [17813] = 17373,
  [17814] = 17308,
  [17815] = 17302,
  [17816] = 17816,
  [17817] = 17363,
  [17818] = 17340,
  [17819] = 17388,
  [17820] = 17291,
  [17821] = 17456,
  [17822] = 17386,
  [17823] = 17317,
  [17824] = 17318,
  [17825] = 17319,
  [17826] = 17435,
  [17827] = 17307,
  [17828] = 17828,
  [17829] = 17370,
  [17830] = 17373,
  [17831] = 17295,
  [17832] = 17327,
  [17833] = 17328,
  [17834] = 17388,
  [17835] = 17363,
  [17836] = 17366,
  [17837] = 17332,
  [17838] = 17453,
  [17839] = 17291,
  [17840] = 17367,
  [17841] = 17373,
  [17842] = 17292,
  [17843] = 17343,
  [17844] = 17314,
  [17845] = 17342,
  [17846] = 17344,
  [17847] = 17303,
  [17848] = 17848,
  [17849] = 17351,
  [17850] = 17299,
  [17851] = 17301,
  [17852] = 17302,
  [17853] = 17348,
  [17854] = 17295,
  [17855] = 17340,
  [17856] = 17388,
  [17857] = 17347,
  [17858] = 17342,
  [17859] = 17304,
  [17860] = 17326,
  [17861] = 17321,
  [17862] = 17308,
  [17863] = 17316,
  [17864] = 17324,
  [17865] = 17331,
  [17866] = 17334,
  [17867] = 17317,
  [17868] = 17318,
  [17869] = 17319,
  [17870] = 17870,
  [17871] = 17316,
  [17872] = 17456,
  [17873] = 17337,
  [17874] = 17345,
  [17875] = 17327,
  [17876] = 17328,
  [17877] = 17313,
  [17878] = 17366,
  [17879] = 17453,
  [17880] = 17332,
  [17881] = 17337,
  [17882] = 17386,
  [17883] = 17340,
  [17884] = 17292,
  [17885] = 17343,
  [17886] = 17348,
  [17887] = 17342,
  [17888] = 17344,
  [17889] = 17889,
  [17890] = 17295,
  [17891] = 17351,
  [17892] = 17299,
  [17893] = 17301,
  [17894] = 17302,
  [17895] = 17457,
  [17896] = 17338,
  [17897] = 17365,
  [17898] = 17347,
  [17899] = 17344,
  [17900] = 17457,
  [17901] = 17901,
  [17902] = 17386,
  [17903] = 17308,
  [17904] = 17365,
  [17905] = 17338,
  [17906] = 17345,
  [17907] = 17350,
  [17908] = 17317,
  [17909] = 17318,
  [17910] = 17319,
  [17911] = 17456,
  [17912] = 17338,
  [17913] = 17913,
  [17914] = 17311,
  [17915] = 17365,
  [17916] = 17327,
  [17917] = 17328,
  [17918] = 17456,
  [17919] = 17347,
  [17920] = 17329,
  [17921] = 17332,
  [17922] = 17456,
  [17923] = 17321,
  [17924] = 17324,
  [17925] = 17366,
  [17926] = 17343,
  [17927] = 17453,
  [17928] = 17331,
  [17929] = 17292,
  [17930] = 17338,
  [17931] = 17295,
  [17932] = 17351,
  [17933] = 17299,
  [17934] = 17301,
  [17935] = 17302,
  [17936] = 17333,
  [17937] = 17313,
  [17938] = 17938,
  [17939] = 17334,
  [17940] = 17940,
  [17941] = 17435,
  [17942] = 17309,
  [17943] = 17370,
  [17944] = 17308,
  [17945] = 17373,
  [17946] = 17338,
  [17947] = 17348,
  [17948] = 17363,
  [17949] = 17317,
  [17950] = 17318,
  [17951] = 17319,
  [17952] = 17313,
  [17953] = 17340,
  [17954] = 17321,
  [17955] = 17342,
  [17956] = 17338,
  [17957] = 17327,
  [17958] = 17328,
  [17959] = 17307,
  [17960] = 17333,
  [17961] = 17344,
  [17962] = 17332,
  [17963] = 17963,
  [17964] = 17291,
  [17965] = 17316,
  [17966] = 17326,
  [17967] = 17343,
  [17968] = 17348,
  [17969] = 17338,
  [17970] = 17333,
  [17971] = 17295,
  [17972] = 17307,
  [17973] = 17351,
  [17974] = 17299,
  [17975] = 17301,
  [17976] = 17302,
  [17977] = 17307,
  [17978] = 17596,
  [17979] = 17314,
  [17980] = 17295,
  [17981] = 17366,
  [17982] = 17324,
  [17983] = 17331,
  [17984] = 17367,
  [17985] = 17308,
  [17986] = 17337,
  [17987] = 17321,
  [17988] = 17334,
  [17989] = 17316,
  [17990] = 17317,
  [17991] = 17318,
  [17992] = 17319,
  [17993] = 17337,
  [17994] = 17345,
  [17995] = 17995,
  [17996] = 17314,
  [17997] = 17347,
  [17998] = 17327,
  [17999] = 17328,
  [18000] = 17348,
  [18001] = 17305,
  [18002] = 17358,
  [18003] = 17332,
  [18004] = 17345,
  [18005] = 17456,
  [18006] = 17340,
  [18007] = 17365,
  [18008] = 17343,
  [18009] = 17326,
  [18010] = 17453,
  [18011] = 17320,
  [18012] = 17386,
  [18013] = 17307,
  [18014] = 17351,
  [18015] = 17299,
  [18016] = 17301,
  [18017] = 17302,
  [18018] = 17386,
  [18019] = 18019,
  [18020] = 17340,
  [18021] = 17348,
  [18022] = 17365,
  [18023] = 17342,
  [18024] = 17344,
  [18025] = 17326,
  [18026] = 17308,
  [18027] = 17388,
  [18028] = 17347,
  [18029] = 17342,
  [18030] = 17344,
  [18031] = 17317,
  [18032] = 17318,
  [18033] = 17319,
  [18034] = 17350,
  [18035] = 17456,
  [18036] = 18019,
  [18037] = 17365,
  [18038] = 17292,
  [18039] = 17327,
  [18040] = 17328,
  [18041] = 17366,
  [18042] = 17453,
  [18043] = 17292,
  [18044] = 17332,
  [18045] = 17308,
  [18046] = 17995,
  [18047] = 17365,
  [18048] = 17366,
  [18049] = 17343,
  [18050] = 17314,
  [18051] = 18051,
  [18052] = 17340,
  [18053] = 17295,
  [18054] = 17370,
  [18055] = 17351,
  [18056] = 17299,
  [18057] = 17301,
  [18058] = 17302,
  [18059] = 17373,
  [18060] = 17363,
  [18061] = 17291,
  [18062] = 17347,
  [18063] = 17342,
  [18064] = 17344,
  [18065] = 17453,
  [18066] = 17501,
  [18067] = 17308,
  [18068] = 17292,
  [18069] = 17347,
  [18070] = 17309,
  [18071] = 17388,
  [18072] = 17317,
  [18073] = 17318,
  [18074] = 17319,
  [18075] = 17313,
  [18076] = 17512,
  [18077] = 17314,
  [18078] = 17386,
  [18079] = 17350,
  [18080] = 17327,
  [18081] = 17328,
  [18082] = 17457,
  [18083] = 17333,
  [18084] = 17367,
  [18085] = 17332,
  [18086] = 17340,
  [18087] = 17317,
  [18088] = 17365,
  [18089] = 17901,
  [18090] = 17343,
  [18091] = 17324,
  [18092] = 17324,
  [18093] = 17331,
  [18094] = 17334,
  [18095] = 17316,
  [18096] = 17351,
  [18097] = 17299,
  [18098] = 17301,
  [18099] = 17302,
  [18100] = 17338,
  [18101] = 17337,
  [18102] = 17345,
  [18103] = 17317,
  [18104] = 17298,
  [18105] = 17348,
  [18106] = 17350,
  [18107] = 17295,
  [18108] = 17308,
  [18109] = 17318,
  [18110] = 17319,
  [18111] = 17435,
  [18112] = 17365,
  [18113] = 17317,
  [18114] = 17318,
  [18115] = 17319,
  [18116] = 17333,
  [18117] = 17386,
  [18118] = 17307,
  [18119] = 17435,
  [18120] = 17370,
  [18121] = 17327,
  [18122] = 17328,
  [18123] = 17373,
  [18124] = 17326,
  [18125] = 17307,
  [18126] = 17332,
  [18127] = 17295,
  [18128] = 17456,
  [18129] = 17314,
  [18130] = 18130,
  [18131] = 17343,
  [18132] = 17453,
  [18133] = 17366,
  [18134] = 18134,
  [18135] = 17292,
  [18136] = 17363,
  [18137] = 17351,
  [18138] = 17299,
  [18139] = 17301,
  [18140] = 17302,
  [18141] = 17367,
  [18142] = 17291,
  [18143] = 17313,
  [18144] = 17453,
  [18145] = 17314,
  [18146] = 18146,
  [18147] = 17292,
  [18148] = 17370,
  [18149] = 17308,
  [18150] = 17512,
  [18151] = 17338,
  [18152] = 17373,
  [18153] = 17340,
  [18154] = 17317,
  [18155] = 17318,
  [18156] = 17319,
  [18157] = 17350,
  [18158] = 17326,
  [18159] = 17368,
  [18160] = 17366,
  [18161] = 17342,
  [18162] = 17327,
  [18163] = 17328,
  [18164] = 18164,
  [18165] = 17901,
  [18166] = 17344,
  [18167] = 17332,
  [18168] = 17327,
  [18169] = 17313,
  [18170] = 17328,
  [18171] = 17340,
  [18172] = 17343,
  [18173] = 17326,
  [18174] = 17295,
  [18175] = 17342,
  [18176] = 17344,
  [18177] = 17333,
  [18178] = 17351,
  [18179] = 17299,
  [18180] = 17301,
  [18181] = 17302,
  [18182] = 17347,
  [18183] = 17347,
  [18184] = 17363,
  [18185] = 17333,
  [18186] = 17332,
  [18187] = 17313,
  [18188] = 17350,
  [18189] = 17388,
  [18190] = 17308,
  [18191] = 17386,
  [18192] = 17457,
  [18193] = 17291,
  [18194] = 17963,
  [18195] = 17317,
  [18196] = 17318,
  [18197] = 17319,
  [18198] = 17326,
  [18199] = 17338,
  [18200] = 17435,
  [18201] = 17367,
  [18202] = 17560,
  [18203] = 17327,
  [18204] = 17328,
  [18205] = 17370,
  [18206] = 17373,
  [18207] = 17363,
  [18208] = 17332,
  [18209] = 17314,
  [18210] = 17453,
  [18211] = 17342,
  [18212] = 17291,
  [18213] = 17343,
  [18214] = 17388,
  [18215] = 17339,
  [18216] = 17386,
  [18217] = 18217,
  [18218] = 17341,
  [18219] = 17351,
  [18220] = 17299,
  [18221] = 17301,
  [18222] = 17302,
  [18223] = 17350,
  [18224] = 18224,
  [18225] = 17324,
  [18226] = 17343,
  [18227] = 17331,
  [18228] = 17388,
  [18229] = 17334,
  [18230] = 17316,
  [18231] = 17308,
  [18232] = 17901,
  [18233] = 17337,
  [18234] = 17456,
  [18235] = 17345,
  [18236] = 17317,
  [18237] = 17318,
  [18238] = 17319,
  [18239] = 17331,
  [18240] = 17348,
  [18241] = 17365,
  [18242] = 17386,
  [18243] = 17366,
  [18244] = 17327,
  [18245] = 17328,
  [18246] = 17350,
  [18247] = 17350,
  [18248] = 17349,
  [18249] = 17332,
  [18250] = 17363,
  [18251] = 17351,
  [18252] = 17299,
  [18253] = 17301,
  [18254] = 17343,
  [18255] = 17453,
  [18256] = 17302,
  [18257] = 17333,
  [18258] = 17292,
  [18259] = 17303,
  [18260] = 17351,
  [18261] = 17299,
  [18262] = 17301,
  [18263] = 17302,
  [18264] = 17313,
  [18265] = 17291,
  [18266] = 17358,
  [18267] = 17304,
  [18268] = 17338,
  [18269] = 17307,
  [18270] = 17309,
  [18271] = 17456,
  [18272] = 17308,
  [18273] = 17311,
  [18274] = 17453,
  [18275] = 17307,
  [18276] = 17326,
  [18277] = 17317,
  [18278] = 17318,
  [18279] = 17319,
  [18280] = 17340,
  [18281] = 17367,
  [18282] = 17457,
  [18283] = 17338,
  [18284] = 17342,
  [18285] = 17327,
  [18286] = 17328,
  [18287] = 17401,
  [18288] = 17321,
  [18289] = 17291,
  [18290] = 17332,
  [18291] = 17307,
  [18292] = 17901,
  [18293] = 17326,
  [18294] = 17338,
  [18295] = 17343,
  [18296] = 17435,
  [18297] = 17292,
  [18298] = 17671,
  [18299] = 17332,
  [18300] = 17370,
  [18301] = 17351,
  [18302] = 17299,
  [18303] = 17301,
  [18304] = 17302,
  [18305] = 18305,
  [18306] = 17388,
  [18307] = 17940,
  [18308] = 17305,
  [18309] = 17344,
  [18310] = 17373,
  [18311] = 17363,
  [18312] = 17308,
  [18313] = 17326,
  [18314] = 17318,
  [18315] = 17324,
  [18316] = 18316,
  [18317] = 17317,
  [18318] = 17318,
  [18319] = 17319,
  [18320] = 17307,
  [18321] = 17331,
  [18322] = 17345,
  [18323] = 17348,
  [18324] = 17386,
  [18325] = 17327,
  [18326] = 17328,
  [18327] = 17453,
  [18328] = 17329,
  [18329] = 17292,
  [18330] = 17332,
  [18331] = 17319,
  [18332] = 17293,
  [18333] = 17338,
  [18334] = 17313,
  [18335] = 17343,
  [18336] = 17340,
  [18337] = 17342,
  [18338] = 17358,
  [18339] = 17291,
  [18340] = 18340,
  [18341] = 17351,
  [18342] = 17299,
  [18343] = 17301,
  [18344] = 17302,
  [18345] = 17388,
  [18346] = 17314,
  [18347] = 17963,
  [18348] = 18224,
  [18349] = 17324,
  [18350] = 17331,
  [18351] = 17345,
  [18352] = 17308,
  [18353] = 17314,
  [18354] = 17348,
  [18355] = 17386,
  [18356] = 17453,
  [18357] = 17317,
  [18358] = 17318,
  [18359] = 17319,
  [18360] = 18360,
  [18361] = 17321,
  [18362] = 17292,
  [18363] = 17313,
  [18364] = 17329,
  [18365] = 17327,
  [18366] = 17328,
  [18367] = 17291,
  [18368] = 17333,
  [18369] = 17388,
  [18370] = 17332,
  [18371] = 17386,
  [18372] = 17435,
  [18373] = 17344,
  [18374] = 17435,
  [18375] = 17343,
  [18376] = 17345,
  [18377] = 17370,
  [18378] = 17291,
  [18379] = 17324,
  [18380] = 17331,
  [18381] = 17351,
  [18382] = 17299,
  [18383] = 17301,
  [18384] = 17302,
  [18385] = 17326,
  [18386] = 17345,
  [18387] = 17348,
  [18388] = 17324,
  [18389] = 17331,
  [18390] = 17386,
  [18391] = 17308,
  [18392] = 17373,
  [18393] = 17363,
  [18394] = 17334,
  [18395] = 17316,
  [18396] = 17317,
  [18397] = 17318,
  [18398] = 17319,
  [18399] = 17337,
  [18400] = 17345,
  [18401] = 17314,
  [18402] = 17453,
  [18403] = 17292,
  [18404] = 17327,
  [18405] = 17328,
  [18406] = 17348,
  [18407] = 17313,
  [18408] = 17295,
  [18409] = 17332,
  [18410] = 17963,
  [18411] = 18019,
  [18412] = 17370,
  [18413] = 17365,
  [18414] = 17343,
  [18415] = 17291,
  [18416] = 17347,
  [18417] = 17340,
  [18418] = 17388,
  [18419] = 18051,
  [18420] = 17351,
  [18421] = 17299,
  [18422] = 17301,
  [18423] = 17302,
  [18424] = 17386,
  [18425] = 17324,
  [18426] = 17331,
  [18427] = 17324,
  [18428] = 17331,
  [18429] = 17345,
  [18430] = 17308,
  [18431] = 17342,
  [18432] = 17348,
  [18433] = 17386,
  [18434] = 17321,
  [18435] = 17317,
  [18436] = 17318,
  [18437] = 17319,
  [18438] = 17453,
  [18439] = 17292,
  [18440] = 17456,
  [18441] = 17313,
  [18442] = 17344,
  [18443] = 17327,
  [18444] = 17328,
  [18445] = 17291,
  [18446] = 17366,
  [18447] = 17453,
  [18448] = 17332,
  [18449] = 17307,
  [18450] = 17347,
  [18451] = 17308,
  [18452] = 17292,
  [18453] = 17343,
  [18454] = 17457,
  [18455] = 17350,
  [18456] = 17373,
  [18457] = 17388,
  [18458] = 17295,
  [18459] = 17351,
  [18460] = 17299,
  [18461] = 17301,
  [18462] = 17302,
  [18463] = 17313,
  [18464] = 17344,
  [18465] = 17334,
  [18466] = 17324,
  [18467] = 17331,
  [18468] = 17345,
  [18469] = 17308,
  [18470] = 17314,
  [18471] = 17348,
  [18472] = 17386,
  [18473] = 17453,
  [18474] = 17317,
  [18475] = 17318,
  [18476] = 17319,
  [18477] = 17309,
  [18478] = 17292,
  [18479] = 17313,
  [18480] = 17313,
  [18481] = 17512,
  [18482] = 17327,
  [18483] = 17328,
  [18484] = 17365,
  [18485] = 18217,
  [18486] = 17350,
  [18487] = 17332,
  [18488] = 17338,
  [18489] = 17456,
  [18490] = 17324,
  [18491] = 17870,
  [18492] = 17343,
  [18493] = 17370,
  [18494] = 17331,
  [18495] = 17388,
  [18496] = 17317,
  [18497] = 17316,
  [18498] = 17351,
  [18499] = 17299,
  [18500] = 17301,
  [18501] = 17302,
  [18502] = 17337,
  [18503] = 17324,
  [18504] = 17331,
  [18505] = 17309,
  [18506] = 17338,
  [18507] = 17345,
  [18508] = 17308,
  [18509] = 17424,
  [18510] = 17318,
  [18511] = 17348,
  [18512] = 17386,
  [18513] = 17317,
  [18514] = 17318,
  [18515] = 17319,
  [18516] = 17319,
  [18517] = 17453,
  [18518] = 17292,
  [18519] = 17313,
  [18520] = 17433,
  [18521] = 17327,
  [18522] = 17328,
  [18523] = 17333,
  [18524] = 17291,
  [18525] = 17307,
  [18526] = 17332,
  [18527] = 17435,
  [18528] = 17370,
  [18529] = 17334,
  [18530] = 17316,
  [18531] = 17343,
  [18532] = 17388,
  [18533] = 17373,
  [18534] = 17307,
  [18535] = 17310,
  [18536] = 17351,
  [18537] = 17299,
  [18538] = 17301,
  [18539] = 17302,
  [18540] = 17326,
  [18541] = 17337,
  [18542] = 17324,
  [18543] = 17331,
  [18544] = 17345,
  [18545] = 17348,
  [18546] = 17308,
  [18547] = 17363,
  [18548] = 17367,
  [18549] = 17314,
  [18550] = 18550,
  [18551] = 17317,
  [18552] = 17318,
  [18553] = 17319,
  [18554] = 17386,
  [18555] = 17596,
  [18556] = 17453,
  [18557] = 17292,
  [18558] = 17313,
  [18559] = 17327,
  [18560] = 17328,
  [18561] = 17327,
  [18562] = 17291,
  [18563] = 17326,
  [18564] = 17332,
  [18565] = 17345,
  [18566] = 17328,
  [18567] = 5244,
  [18568] = 17940,
  [18569] = 17343,
  [18570] = 17348,
  [18571] = 17388,
  [18572] = 17340,
  [18573] = 17435,
  [18574] = 17351,
  [18575] = 17299,
  [18576] = 17301,
  [18577] = 17302,
  [18578] = 17340,
  [18579] = 17345,
  [18580] = 17344,
  [18581] = 17342,
  [18582] = 17344,
  [18583] = 17324,
  [18584] = 17308,
  [18585] = 17332,
  [18586] = 17331,
  [18587] = 17347,
  [18588] = 17345,
  [18589] = 17317,
  [18590] = 17318,
  [18591] = 17319,
  [18592] = 17291,
  [18593] = 17350,
  [18594] = 17348,
  [18595] = 17386,
  [18596] = 17453,
  [18597] = 17327,
  [18598] = 17328,
  [18599] = 17292,
  [18600] = 17313,
  [18601] = 17342,
  [18602] = 17332,
  [18603] = 17313,
  [18604] = 17292,
  [18605] = 17365,
  [18606] = 17344,
  [18607] = 17343,
  [18608] = 17314,
  [18609] = 17435,
  [18610] = 17370,
  [18611] = 17373,
  [18612] = 17351,
  [18613] = 17299,
  [18614] = 17301,
  [18615] = 17302,
  [18616] = 17363,
  [18617] = 17291,
  [18618] = 17370,
  [18619] = 17291,
  [18620] = 17388,
  [18621] = 17363,
  [18622] = 17308,
  [18623] = 17339,
  [18624] = 17348,
  [18625] = 17995,
  [18626] = 18224,
  [18627] = 17317,
  [18628] = 17318,
  [18629] = 17319,
  [18630] = 17347,
  [18631] = 17388,
  [18632] = 17388,
  [18633] = 17324,
  [18634] = 17331,
  [18635] = 17327,
  [18636] = 17328,
  [18637] = 17345,
  [18638] = 17457,
  [18639] = 17348,
  [18640] = 17332,
  [18641] = 17341,
  [18642] = 17310,
  [18643] = 17343,
  [18644] = 17386,
  [18645] = 17343,
  [18646] = 17453,
  [18647] = 17292,
  [18648] = 17313,
  [18649] = 17435,
  [18650] = 17351,
  [18651] = 17299,
  [18652] = 17301,
  [18653] = 17302,
  [18654] = 17291,
  [18655] = 17370,
  [18656] = 17388,
  [18657] = 17365,
  [18658] = 17291,
  [18659] = 17305,
  [18660] = 17308,
  [18661] = 17373,
  [18662] = 17560,
  [18663] = 17324,
  [18664] = 17317,
  [18665] = 17318,
  [18666] = 17319,
  [18667] = 17331,
  [18668] = 17327,
  [18669] = 17328,
  [18670] = 17332,
  [18671] = 17349,
  [18672] = 17388,
  [18673] = 17351,
  [18674] = 17343,
  [18675] = 17345,
  [18676] = 17351,
  [18677] = 17299,
  [18678] = 17301,
  [18679] = 17302,
  [18680] = 17348,
  [18681] = 17386,
  [18682] = 17453,
  [18683] = 17292,
  [18684] = 17313,
  [18685] = 17299,
  [18686] = 17301,
  [18687] = 17302,
  [18688] = 17317,
  [18689] = 17318,
  [18690] = 17319,
  [18691] = 17291,
  [18692] = 17327,
  [18693] = 17328,
  [18694] = 17303,
  [18695] = 17304,
  [18696] = 17311,
  [18697] = 17343,
  [18698] = 17291,
  [18699] = 17351,
  [18700] = 17299,
  [18701] = 17301,
  [18702] = 17302,
  [18703] = 17388,
  [18704] = 17386,
  [18705] = 17363,
  [18706] = 17303,
  [18707] = 17324,
  [18708] = 17963,
  [18709] = 18217,
  [18710] = 17373,
  [18711] = 17363,
  [18712] = 17963,
  [18713] = 17299,
  [18714] = 17301,
  [18715] = 17302,
  [18716] = 17331,
  [18717] = 17345,
  [18718] = 17350,
  [18719] = 17348,
  [18720] = 17326,
  [18721] = 17386,
  [18722] = 17456,
  [18723] = 17291,
  [18724] = 17366,
  [18725] = 17299,
  [18726] = 17301,
  [18727] = 17302,
  [18728] = 17453,
  [18729] = 17292,
  [18730] = 17313,
  [18731] = 17453,
  [18732] = 17292,
  [18733] = 17338,
  [18734] = 17347,
  [18735] = 17299,
  [18736] = 17301,
  [18737] = 17302,
  [18738] = 17295,
  [18739] = 17291,
  [18740] = 18224,
  [18741] = 17333,
  [18742] = 17326,
  [18743] = 17314,
  [18744] = 17347,
  [18745] = 17299,
  [18746] = 17301,
  [18747] = 17302,
  [18748] = 17388,
  [18749] = 17311,
  [18750] = 17365,
  [18751] = 17309,
  [18752] = 17343,
  [18753] = 17313,
  [18754] = 18051,
  [18755] = 17299,
  [18756] = 17301,
  [18757] = 17302,
  [18758] = 17366,
  [18759] = 17324,
  [18760] = 17331,
  [18761] = 17291,
  [18762] = 17334,
  [18763] = 17321,
  [18764] = 17324,
  [18765] = 17299,
  [18766] = 17301,
  [18767] = 17302,
  [18768] = 17345,
  [18769] = 17348,
  [18770] = 17386,
  [18771] = 17331,
  [18772] = 17334,
  [18773] = 17386,
  [18774] = 17316,
  [18775] = 17299,
  [18776] = 17301,
  [18777] = 17302,
  [18778] = 17453,
  [18779] = 17292,
  [18780] = 17313,
  [18781] = 17337,
  [18782] = 17321,
  [18783] = 17324,
  [18784] = 17345,
  [18785] = 17299,
  [18786] = 17301,
  [18787] = 17302,
  [18788] = 17316,
  [18789] = 17291,
  [18790] = 17596,
  [18791] = 17348,
  [18792] = 18792,
  [18793] = 18793,
  [18794] = 17310,
  [18795] = 17299,
  [18796] = 17301,
  [18797] = 17302,
  [18798] = 17388,
  [18799] = 17347,
  [18800] = 17308,
  [18801] = 17338,
  [18802] = 17388,
  [18803] = 17348,
  [18804] = 17350,
  [18805] = 17299,
  [18806] = 17301,
  [18807] = 17302,
  [18808] = 17324,
  [18809] = 17331,
  [18810] = 17345,
  [18811] = 17295,
  [18812] = 17329,
  [18813] = 17367,
  [18814] = 17340,
  [18815] = 17299,
  [18816] = 17301,
  [18817] = 17302,
  [18818] = 17292,
  [18819] = 17313,
  [18820] = 17386,
  [18821] = 8192,
  [18822] = 17337,
  [18823] = 17333,
  [18824] = 17317,
  [18825] = 17299,
  [18826] = 17301,
  [18827] = 17302,
  [18828] = 17324,
  [18829] = 17331,
  [18830] = 17560,
  [18831] = 17313,
  [18832] = 18051,
  [18833] = 18833,
  [18834] = 17324,
  [18835] = 17331,
  [18836] = 17318,
  [18837] = 17313,
  [18838] = 17310,
  [18839] = 17319,
  [18840] = 17324,
  [18841] = 17331,
  [18842] = 17365,
  [18843] = 17313,
  [18844] = 17340,
  [18845] = 17342,
  [18846] = 17324,
  [18847] = 17331,
  [18848] = 17344,
  [18849] = 17313,
  [18850] = 17350,
  [18851] = 17307,
  [18852] = 17324,
  [18853] = 17331,
  [18854] = 17386,
  [18855] = 17313,
  [18856] = 17453,
  [18857] = 17342,
  [18858] = 17324,
  [18859] = 17331,
  [18860] = 17388,
  [18861] = 17313,
  [18862] = 17327,
  [18863] = 17331,
  [18864] = 17324,
  [18865] = 17331,
  [18866] = 17328,
  [18867] = 17313,
  [18868] = 18868,
  [18869] = 17347,
  [18870] = 17324,
  [18871] = 17331,
  [18872] = 17307,
  [18873] = 17313,
  [18874] = 17456,
  [18875] = 17367,
  [18876] = 17324,
  [18877] = 17331,
  [18878] = 17332,
  [18879] = 17313,
  [18880] = 17292,
  [18881] = 17350,
  [18882] = 17324,
  [18883] = 17331,
  [18884] = 17333,
  [18885] = 17313,
  [18886] = 17304,
  [18887] = 17373,
  [18888] = 17324,
  [18889] = 17331,
  [18890] = 17314,
  [18891] = 17313,
  [18892] = 17366,
  [18893] = 17366,
  [18894] = 17324,
  [18895] = 17331,
  [18896] = 17456,
  [18897] = 17313,
  [18898] = 18898,
  [18899] = 17453,
  [18900] = 17324,
  [18901] = 17331,
  [18902] = 18902,
  [18903] = 17313,
  [18904] = 17292,
  [18905] = 17324,
  [18906] = 17331,
  [18907] = 17365,
  [18908] = 17309,
  [18909] = 17313,
  [18910] = 17344,
  [18911] = 17324,
  [18912] = 17339,
  [18913] = 17323,
  [18914] = 17331,
  [18915] = 17313,
  [18916] = 18316,
  [18917] = 17366,
  [18918] = 17324,
  [18919] = 17331,
  [18920] = 17341,
  [18921] = 17313,
  [18922] = 17295,
  [18923] = 17348,
  [18924] = 17343,
  [18925] = 17324,
  [18926] = 17331,
  [18927] = 17313,
  [18928] = 17333,
  [18929] = 17329,
  [18930] = 17324,
  [18931] = 17331,
  [18932] = 17313,
  [18933] = 17313,
  [18934] = 17324,
  [18935] = 17331,
  [18936] = 17313,
  [18937] = 17400,
  [18938] = 17324,
  [18939] = 17331,
  [18940] = 18019,
  [18941] = 17292,
  [18942] = 18164,
  [18943] = 17313,
  [18944] = 17326,
  [18945] = 17324,
  [18946] = 17331,
  [18947] = 17313,
  [18948] = 17314,
  [18949] = 17321,
  [18950] = 18051,
  [18951] = 17324,
  [18952] = 17331,
  [18953] = 17313,
  [18954] = 17313,
  [18955] = 17435,
  [18956] = 18898,
  [18957] = 17370,
  [18958] = 17345,
  [18959] = 17388,
  [18960] = 17331,
  [18961] = 17349,
  [18962] = 17324,
  [18963] = 17457,
  [18964] = 17331,
  [18965] = 17351,
  [18966] = 18966,
  [18967] = 17299,
  [18968] = 17334,
  [18969] = 17316,
  [18970] = 18130,
  [18971] = 18134,
  [18972] = 18146,
  [18973] = 17337,
  [18974] = 17345,
  [18975] = 17338,
  [18976] = 17435,
  [18977] = 17348,
  [18978] = 17370,
  [18979] = 17373,
  [18980] = 17365,
  [18981] = 17301,
  [18982] = 17302,
  [18983] = 18983,
  [18984] = 17303,
  [18985] = 17363,
  [18986] = 17304,
  [18987] = 17386,
  [18988] = 17963,
  [18989] = 18217,
  [18990] = 17311,
  [18991] = 18991,
  [18992] = 17295,
  [18993] = 17347,
  [18994] = 18224,
  [18995] = 17456,
  [18996] = 17297,
  [18997] = 17366,
  [18998] = 17453,
  [18999] = 17292,
  [19000] = 17313,
  [19001] = 17310,
  [19002] = 17295,
  [19003] = 17291,
  [19004] = 17453,
  [19005] = 17373,
  [19006] = 17456,
  [19007] = 17326,
  [19008] = 17308,
  [19009] = 17326,
  [19010] = 19010,
  [19011] = 18898,
  [19012] = 17365,
  [19013] = 17901,
  [19014] = 17309,
  [19015] = 17293,
  [19016] = 17313,
  [19017] = 17368,
  [19018] = 17292,
  [19019] = 17340,
  [19020] = 17363,
  [19021] = 17342,
  [19022] = 17323,
  [19023] = 17333,
  [19024] = 17501,
  [19025] = 17291,
  [19026] = 17512,
  [19027] = 17344,
  [19028] = 17348,
  [19029] = 17347,
  [19030] = 17295,
  [19031] = 17338,
  [19032] = 18792,
  [19033] = 17372,
  [19034] = 17307,
  [19035] = 17307,
  [19036] = 17435,
  [19037] = 17940,
  [19038] = 17329,
  [19039] = 18164,
  [19040] = 17457,
  [19041] = 17333,
  [19042] = 17370,
  [19043] = 17326,
  [19044] = 17314,
  [19045] = 19045,
  [19046] = 17307,
  [19047] = 17293,
  [19048] = 17560,
  [19049] = 17388,
  [19050] = 17307,
  [19051] = 17373,
  [19052] = 17367,
  [19053] = 17400,
  [19054] = 17313,
  [19055] = 17317,
  [19056] = 17314,
  [19057] = 17350,
  [19058] = 18130,
  [19059] = 18134,
  [19060] = 18146,
  [19061] = 18019,
  [19062] = 17363,
  [19063] = 17318,
  [19064] = 17319,
  [19065] = 17291,
  [19066] = 18051,
  [19067] = 17326,
  [19068] = 17338,
  [19069] = 17326,
  [19070] = 17310,
  [19071] = 18983,
  [19072] = 17350,
  [19073] = 17308,
  [19074] = 17308,
  [19075] = 17340,
  [19076] = 17342,
  [19077] = 17344,
  [19078] = 17388,
  [19079] = 17347,
  [19080] = 17365,
  [19081] = 17340,
  [19082] = 17350,
  [19083] = 17400,
  [19084] = 17340,
  [19085] = 17386,
  [19086] = 18898,
  [19087] = 17424,
  [19088] = 17340,
  [19089] = 17342,
  [19090] = 17349,
  [19091] = 17435,
  [19092] = 17370,
  [19093] = 17373,
  [19094] = 17363,
  [19095] = 17321,
  [19096] = 17388,
  [19097] = 17323,
  [19098] = 17342,
  [19099] = 17291,
  [19100] = 17344,
  [19101] = 17344,
  [19102] = 17347,
  [19103] = 17435,
  [19104] = 17317,
  [19105] = 17370,
  [19106] = 17388,
  [19107] = 17350,
  [19108] = 17329,
  [19109] = 19109,
  [19110] = 17400,
  [19111] = 17373,
  [19112] = 17318,
  [19113] = 17319,
  [19114] = 18164,
  [19115] = 17363,
  [19116] = 17350,
  [19117] = 17671,
  [19118] = 17501,
  [19119] = 17388,
  [19120] = 17327,
  [19121] = 19121,
  [19122] = 17435,
  [19123] = 17328,
  [19124] = 17297,
  [19125] = 19125,
  [19126] = 17828,
  [19127] = 17342,
  [19128] = 17848,
  [19129] = 17370,
  [19130] = 17963,
  [19131] = 17368,
  [19132] = 18130,
  [19133] = 18134,
  [19134] = 18146,
  [19135] = 17313,
  [19136] = 17324,
  [19137] = 17332,
  [19138] = 17291,
  [19139] = 17331,
  [19140] = 17373,
  [19141] = 17363,
  [19142] = 17512,
  [19143] = 17291,
  [19144] = 18983,
  [19145] = 17347,
  [19146] = 17889,
  [19147] = 17307,
  [19148] = 17327,
  [19149] = 19149,
  [19150] = 17328,
  [19151] = 17338,
  [19152] = 17400,
  [19153] = 17323,
  [19154] = 17297,
  [19155] = 17424,
  [19156] = 17332,
  [19157] = 17433,
  [19158] = 17463,
  [19159] = 18898,
  [19160] = 17388,
  [19161] = 19161,
  [19162] = 17435,
  [19163] = 17334,
  [19164] = 17316,
  [19165] = 17350,
  [19166] = 17323,
  [19167] = 17366,
  [19168] = 17329,
  [19169] = 17337,
  [19170] = 19170,
  [19171] = 19171,
  [19172] = 17347,
  [19173] = 17339,
  [19174] = 17291,
  [19175] = 17341,
  [19176] = 19176,
  [19177] = 18164,
  [19178] = 17338,
  [19179] = 17345,
  [19180] = 17388,
  [19181] = 17321,
  [19182] = 17324,
  [19183] = 17339,
  [19184] = 17348,
  [19185] = 17314,
  [19186] = 17331,
  [19187] = 18130,
  [19188] = 18134,
  [19189] = 18146,
  [19190] = 17343,
  [19191] = 17321,
  [19192] = 18983,
  [19193] = 17528,
  [19194] = 17341,
  [19195] = 17456,
  [19196] = 17334,
  [19197] = 18898,
  [19198] = 19198,
  [19199] = 17343,
  [19200] = 17365,
  [19201] = 17367,
  [19202] = 17316,
  [19203] = 17344,
  [19204] = 17323,
  [19205] = 17337,
  [19206] = 17317,
  [19207] = 17324,
  [19208] = 17345,
  [19209] = 17331,
  [19210] = 17901,
  [19211] = 17334,
  [19212] = 17316,
  [19213] = 17337,
  [19214] = 18164,
  [19215] = 17368,
  [19216] = 17345,
  [19217] = 17348,
  [19218] = 18130,
  [19219] = 18134,
  [19220] = 18146,
  [19221] = 17321,
  [19222] = 17348,
  [19223] = 17386,
  [19224] = 17349,
  [19225] = 17307,
  [19226] = 18898,
  [19227] = 17365,
  [19228] = 17365,
  [19229] = 17349,
  [19230] = 17321,
  [19231] = 17324,
  [19232] = 17401,
  [19233] = 17323,
  [19234] = 17386,
  [19235] = 17331,
  [19236] = 17351,
  [19237] = 17299,
  [19238] = 17351,
  [19239] = 17334,
  [19240] = 18164,
  [19241] = 17316,
  [19242] = 17301,
  [19243] = 17337,
  [19244] = 18130,
  [19245] = 18134,
  [19246] = 18146,
  [19247] = 17345,
  [19248] = 17299,
  [19249] = 17456,
  [19250] = 17301,
  [19251] = 17302,
  [19252] = 18898,
  [19253] = 17366,
  [19254] = 17453,
  [19255] = 17292,
  [19256] = 17302,
  [19257] = 17303,
  [19258] = 17303,
  [19259] = 17323,
  [19260] = 17304,
  [19261] = 17295,
  [19262] = 17456,
  [19263] = 17304,
  [19264] = 17366,
  [19265] = 17453,
  [19266] = 18164,
  [19267] = 17292,
  [19268] = 17311,
  [19269] = 17311,
  [19270] = 18130,
  [19271] = 18134,
  [19272] = 18146,
  [19273] = 17348,
  [19274] = 17295,
  [19275] = 17309,
  [19276] = 17388,
  [19277] = 17337,
  [19278] = 18898,
  [19279] = 17313,
  [19280] = 17365,
  [19281] = 17386,
  [19282] = 17435,
  [19283] = 17318,
  [19284] = 17323,
  [19285] = 17370,
  [19286] = 17309,
  [19287] = 17386,
  [19288] = 17313,
  [19289] = 17435,
  [19290] = 18316,
  [19291] = 18164,
  [19292] = 17319,
  [19293] = 17333,
  [19294] = 18130,
  [19295] = 18134,
  [19296] = 18146,
  [19297] = 19297,
  [19298] = 18898,
  [19299] = 17338,
  [19300] = 17373,
  [19301] = 17326,
  [19302] = 17456,
  [19303] = 17963,
  [19304] = 17370,
  [19305] = 17323,
  [19306] = 17373,
  [19307] = 17433,
  [19308] = 17363,
  [19309] = 17340,
  [19310] = 17333,
  [19311] = 17366,
  [19312] = 18164,
  [19313] = 18792,
  [19314] = 18130,
  [19315] = 18134,
  [19316] = 18146,
  [19317] = 17338,
  [19318] = 18898,
  [19319] = 17342,
  [19320] = 17453,
  [19321] = 17292,
  [19322] = 17307,
  [19323] = 19323,
  [19324] = 17338,
  [19325] = 17323,
  [19326] = 17344,
  [19327] = 17291,
  [19328] = 17347,
  [19329] = 17333,
  [19330] = 17345,
  [19331] = 18164,
  [19332] = 17671,
  [19333] = 18130,
  [19334] = 18134,
  [19335] = 18146,
  [19336] = 17295,
  [19337] = 18898,
  [19338] = 17367,
  [19339] = 17314,
  [19340] = 17456,
  [19341] = 17307,
  [19342] = 17313,
  [19343] = 17347,
  [19344] = 17323,
  [19345] = 17358,
  [19346] = 17350,
  [19347] = 17388,
  [19348] = 17367,
  [19349] = 17424,
  [19350] = 18164,
  [19351] = 17367,
  [19352] = 18130,
  [19353] = 18134,
  [19354] = 18146,
  [19355] = 17314,
  [19356] = 18898,
  [19357] = 17326,
  [19358] = 17366,
  [19359] = 17293,
  [19360] = 17453,
  [19361] = 17292,
  [19362] = 17327,
  [19363] = 17340,
  [19364] = 17350,
  [19365] = 17342,
  [19366] = 18164,
  [19367] = 17338,
  [19368] = 18130,
  [19369] = 18134,
  [19370] = 18146,
  [19371] = 17307,
  [19372] = 18898,
  [19373] = 17344,
  [19374] = 17295,
  [19375] = 17347,
  [19376] = 17435,
  [19377] = 17370,
  [19378] = 17373,
  [19379] = 17350,
  [19380] = 17326,
  [19381] = 18019,
  [19382] = 18164,
  [19383] = 19198,
  [19384] = 18130,
  [19385] = 18134,
  [19386] = 18146,
  [19387] = 17363,
  [19388] = 18898,
  [19389] = 17333,
  [19390] = 17340,
  [19391] = 17528,
  [19392] = 17342,
  [19393] = 17366,
  [19394] = 17435,
  [19395] = 17370,
  [19396] = 17344,
  [19397] = 17373,
  [19398] = 18164,
  [19399] = 17313,
  [19400] = 18130,
  [19401] = 18134,
  [19402] = 18146,
  [19403] = 17347,
  [19404] = 18898,
  [19405] = 17363,
  [19406] = 17291,
  [19407] = 17308,
  [19408] = 17457,
  [19409] = 17963,
  [19410] = 17305,
  [19411] = 19411,
  [19412] = 17350,
  [19413] = 17435,
  [19414] = 18164,
  [19415] = 17363,
  [19416] = 18130,
  [19417] = 18134,
  [19418] = 18146,
  [19419] = 17317,
  [19420] = 18898,
  [19421] = 17388,
  [19422] = 17307,
  [19423] = 17329,
  [19424] = 17370,
  [19425] = 17373,
  [19426] = 19170,
  [19427] = 19171,
  [19428] = 17321,
  [19429] = 17314,
  [19430] = 18164,
  [19431] = 17314,
  [19432] = 18130,
  [19433] = 18134,
  [19434] = 18146,
  [19435] = 17339,
  [19436] = 18898,
  [19437] = 17435,
  [19438] = 17370,
  [19439] = 17373,
  [19440] = 17363,
  [19441] = 17363,
  [19442] = 17963,
  [19443] = 17291,
  [19444] = 17291,
  [19445] = 17334,
  [19446] = 18164,
  [19447] = 18217,
  [19448] = 18130,
  [19449] = 18134,
  [19450] = 18146,
  [19451] = 17453,
  [19452] = 18898,
  [19453] = 17671,
  [19454] = 18316,
  [19455] = 17328,
  [19456] = 17293,
  [19457] = 17317,
  [19458] = 17326,
  [19459] = 17338,
  [19460] = 17316,
  [19461] = 17388,
  [19462] = 18164,
  [19463] = 17341,
  [19464] = 18130,
  [19465] = 18134,
  [19466] = 18146,
  [19467] = 17321,
  [19468] = 18898,
  [19469] = 17324,
  [19470] = 17338,
  [19471] = 17340,
  [19472] = 17342,
  [19473] = 17337,
  [19474] = 17318,
  [19475] = 17293,
  [19476] = 17344,
  [19477] = 17319,
  [19478] = 18164,
  [19479] = 17318,
  [19480] = 18130,
  [19481] = 18134,
  [19482] = 18146,
  [19483] = 17347,
  [19484] = 18898,
  [19485] = 18217,
  [19486] = 17327,
  [19487] = 17292,
  [19488] = 17350,
  [19489] = 17388,
  [19490] = 17388,
  [19491] = 17329,
  [19492] = 17326,
  [19493] = 18224,
  [19494] = 18164,
  [19495] = 17333,
  [19496] = 18130,
  [19497] = 18134,
  [19498] = 18146,
  [19499] = 17435,
  [19500] = 18898,
  [19501] = 17331,
  [19502] = 17370,
  [19503] = 17328,
  [19504] = 17373,
  [19505] = 17307,
  [19506] = 17363,
  [19507] = 17291,
  [19508] = 17334,
  [19509] = 17327,
  [19510] = 18164,
  [19511] = 17329,
  [19512] = 18130,
  [19513] = 18134,
  [19514] = 18146,
  [19515] = 17291,
  [19516] = 17329,
  [19517] = 17291,
  [19518] = 17388,
  [19519] = 17328,
  [19520] = 17307,
  [19521] = 17340,
  [19522] = 19522,
  [19523] = 17342,
  [19524] = 18164,
  [19525] = 17319,
  [19526] = 18130,
  [19527] = 18134,
  [19528] = 18146,
  [19529] = 17293,
  [19530] = 17370,
  [19531] = 17332,
  [19532] = 19532,
  [19533] = 17332,
  [19534] = 17314,
  [19535] = 17435,
  [19536] = 19297,
  [19537] = 17316,
  [19538] = 17321,
  [19539] = 18164,
  [19540] = 17293,
  [19541] = 18130,
  [19542] = 18134,
  [19543] = 18146,
  [19544] = 17370,
  [19545] = 17367,
  [19546] = 17332,
  [19547] = 17345,
  [19548] = 17373,
  [19549] = 17363,
  [19550] = 17329,
  [19551] = 17344,
  [19552] = 17373,
  [19553] = 17308,
  [19554] = 18164,
  [19555] = 17456,
  [19556] = 18130,
  [19557] = 18134,
  [19558] = 18146,
  [19559] = 17339,
  [19560] = 17293,
  [19561] = 17337,
  [19562] = 17324,
  [19563] = 17347,
  [19564] = 17331,
  [19565] = 17341,
  [19566] = 17334,
  [19567] = 17321,
  [19568] = 17316,
  [19569] = 18164,
  [19570] = 17501,
  [19571] = 18130,
  [19572] = 18134,
  [19573] = 18146,
  [19574] = 17324,
  [19575] = 17337,
  [19576] = 17345,
  [19577] = 17331,
  [19578] = 17345,
  [19579] = 17348,
  [19580] = 17334,
  [19581] = 17316,
  [19582] = 17337,
  [19583] = 17365,
  [19584] = 18164,
  [19585] = 17321,
  [19586] = 18130,
  [19587] = 18134,
  [19588] = 18146,
  [19589] = 17345,
  [19590] = 17343,
  [19591] = 17348,
  [19592] = 19532,
  [19593] = 17321,
  [19594] = 17386,
  [19595] = 17321,
  [19596] = 17963,
  [19597] = 17334,
  [19598] = 17316,
  [19599] = 18164,
  [19600] = 17337,
  [19601] = 18130,
  [19602] = 18134,
  [19603] = 18146,
  [19604] = 17365,
  [19605] = 17321,
  [19606] = 17363,
  [19607] = 17348,
  [19608] = 17324,
  [19609] = 17321,
  [19610] = 17456,
  [19611] = 17326,
  [19612] = 17338,
  [19613] = 17366,
  [19614] = 18164,
  [19615] = 17433,
  [19616] = 18130,
  [19617] = 18134,
  [19618] = 18146,
  [19619] = 17326,
  [19620] = 17453,
  [19621] = 17292,
  [19622] = 17321,
  [19623] = 17324,
  [19624] = 17331,
  [19625] = 17295,
  [19626] = 17349,
  [19627] = 17386,
  [19628] = 17424,
  [19629] = 18164,
  [19630] = 17433,
  [19631] = 18130,
  [19632] = 18134,
  [19633] = 18146,
  [19634] = 17334,
  [19635] = 17316,
  [19636] = 17337,
  [19637] = 17345,
  [19638] = 17331,
  [19639] = 17348,
  [19640] = 17309,
  [19641] = 17324,
  [19642] = 17350,
  [19643] = 17313,
  [19644] = 18164,
  [19645] = 17365,
  [19646] = 18130,
  [19647] = 18134,
  [19648] = 18146,
  [19649] = 17401,
  [19650] = 19650,
  [19651] = 17340,
  [19652] = 17351,
  [19653] = 17386,
  [19654] = 17560,
  [19655] = 17456,
  [19656] = 17342,
  [19657] = 17366,
  [19658] = 17299,
  [19659] = 18164,
  [19660] = 17453,
  [19661] = 18130,
  [19662] = 18134,
  [19663] = 18146,
  [19664] = 17366,
  [19665] = 17456,
  [19666] = 17292,
  [19667] = 17338,
  [19668] = 17366,
  [19669] = 17453,
  [19670] = 17292,
  [19671] = 17301,
  [19672] = 17302,
  [19673] = 17303,
  [19674] = 18164,
  [19675] = 17295,
  [19676] = 18130,
  [19677] = 18134,
  [19678] = 18146,
  [19679] = 17304,
  [19680] = 17311,
  [19681] = 17324,
  [19682] = 17333,
  [19683] = 17344,
  [19684] = 17331,
  [19685] = 17329,
  [19686] = 17331,
  [19687] = 17321,
  [19688] = 17295,
  [19689] = 18164,
  [19690] = 17350,
  [19691] = 18130,
  [19692] = 18134,
  [19693] = 18146,
  [19694] = 17313,
  [19695] = 17307,
  [19696] = 17334,
  [19697] = 17347,
  [19698] = 17340,
  [19699] = 17309,
  [19700] = 17316,
  [19701] = 17367,
  [19702] = 17313,
  [19703] = 17314,
  [19704] = 18164,
  [19705] = 18217,
  [19706] = 18130,
  [19707] = 18134,
  [19708] = 18146,
  [19709] = 17870,
  [19710] = 17337,
  [19711] = 17342,
  [19712] = 17350,
  [19713] = 17333,
  [19714] = 17338,
  [19715] = 17321,
  [19716] = 17334,
  [19717] = 17316,
  [19718] = 17326,
  [19719] = 18164,
  [19720] = 17337,
  [19721] = 18130,
  [19722] = 18134,
  [19723] = 18146,
  [19724] = 17365,
  [19725] = 17344,
  [19726] = 17338,
  [19727] = 17424,
  [19728] = 17338,
  [19729] = 17345,
  [19730] = 17340,
  [19731] = 17342,
  [19732] = 17326,
  [19733] = 17344,
  [19734] = 18164,
  [19735] = 17358,
  [19736] = 18130,
  [19737] = 18134,
  [19738] = 18146,
  [19739] = 17348,
  [19740] = 17321,
  [19741] = 17347,
  [19742] = 17365,
  [19743] = 17324,
  [19744] = 19744,
  [19745] = 17350,
  [19746] = 17308,
  [19747] = 19747,
  [19748] = 17321,
  [19749] = 18164,
  [19750] = 17329,
  [19751] = 18130,
  [19752] = 18134,
  [19753] = 18146,
  [19754] = 17331,
  [19755] = 17365,
  [19756] = 17433,
  [19757] = 17334,
  [19758] = 17338,
  [19759] = 17435,
  [19760] = 17370,
  [19761] = 17373,
  [19762] = 17333,
  [19763] = 17363,
  [19764] = 17870,
  [19765] = 18130,
  [19766] = 18134,
  [19767] = 18146,
  [19768] = 17388,
  [19769] = 17291,
  [19770] = 17367,
  [19771] = 17316,
  [19772] = 17435,
  [19773] = 17337,
  [19774] = 17386,
  [19775] = 17307,
  [19776] = 17334,
  [19777] = 17388,
  [19778] = 17611,
  [19779] = 18130,
  [19780] = 18134,
  [19781] = 18146,
  [19782] = 17386,
  [19783] = 17308,
  [19784] = 17435,
  [19785] = 17333,
  [19786] = 17314,
  [19787] = 17345,
  [19788] = 17339,
  [19789] = 17348,
  [19790] = 17401,
  [19791] = 17341,
  [19792] = 17370,
  [19793] = 18130,
  [19794] = 18134,
  [19795] = 18146,
  [19796] = 17501,
  [19797] = 17324,
  [19798] = 17365,
  [19799] = 17373,
  [19800] = 17512,
  [19801] = 17331,
  [19802] = 17388,
  [19803] = 17386,
  [19804] = 18224,
  [19805] = 18224,
  [19806] = 17363,
  [19807] = 18130,
  [19808] = 18134,
  [19809] = 18146,
  [19810] = 17291,
  [19811] = 17307,
  [19812] = 17424,
  [19813] = 17326,
  [19814] = 18983,
  [19815] = 18051,
  [19816] = 17453,
  [19817] = 17433,
  [19818] = 17308,
  [19819] = 18130,
  [19820] = 18134,
  [19821] = 18146,
  [19822] = 17334,
  [19823] = 17367,
  [19824] = 17456,
  [19825] = 17317,
  [19826] = 17366,
  [19827] = 17453,
  [19828] = 17292,
  [19829] = 17316,
  [19830] = 17305,
  [19831] = 18130,
  [19832] = 18134,
  [19833] = 18146,
  [19834] = 17314,
  [19835] = 17318,
  [19836] = 18130,
  [19837] = 18134,
  [19838] = 18146,
  [19839] = 17319,
  [19840] = 17370,
  [19841] = 18130,
  [19842] = 18134,
  [19843] = 18146,
  [19844] = 17340,
  [19845] = 17324,
  [19846] = 18130,
  [19847] = 18134,
  [19848] = 18146,
  [19849] = 17342,
  [19850] = 17344,
  [19851] = 18130,
  [19852] = 18134,
  [19853] = 18146,
  [19854] = 17456,
  [19855] = 17373,
  [19856] = 18130,
  [19857] = 18134,
  [19858] = 18146,
  [19859] = 19859,
  [19860] = 17343,
  [19861] = 18130,
  [19862] = 18134,
  [19863] = 18146,
  [19864] = 17347,
  [19865] = 17331,
  [19866] = 18130,
  [19867] = 18134,
  [19868] = 18146,
  [19869] = 17350,
  [19870] = 17401,
  [19871] = 18130,
  [19872] = 18134,
  [19873] = 18146,
  [19874] = 17528,
  [19875] = 17424,
  [19876] = 18130,
  [19877] = 18134,
  [19878] = 18146,
  [19879] = 17337,
  [19880] = 17424,
  [19881] = 18130,
  [19882] = 18134,
  [19883] = 18146,
  [19884] = 17326,
  [19885] = 17671,
  [19886] = 18130,
  [19887] = 18134,
  [19888] = 18146,
  [19889] = 17334,
  [19890] = 17327,
  [19891] = 18130,
  [19892] = 18134,
  [19893] = 18146,
  [19894] = 17316,
  [19895] = 17328,
  [19896] = 17293,
  [19897] = 17435,
  [19898] = 17370,
  [19899] = 17332,
  [19900] = 17373,
  [19901] = 17386,
  [19902] = 17363,
  [19903] = 17337,
  [19904] = 17317,
  [19905] = 17345,
  [19906] = 19010,
  [19907] = 17340,
  [19908] = 17342,
  [19909] = 17344,
  [19910] = 17291,
  [19911] = 17388,
  [19912] = 17347,
  [19913] = 17291,
  [19914] = 19170,
  [19915] = 19171,
  [19916] = 17339,
  [19917] = 17345,
  [19918] = 17341,
  [19919] = 18340,
  [19920] = 17816,
  [19921] = 17318,
  [19922] = 17298,
  [19923] = 17372,
  [19924] = 17433,
  [19925] = 17388,
  [19926] = 18966,
  [19927] = 17457,
  [19928] = 17319,
  [19929] = 17348,
  [19930] = 17348,
  [19931] = 19859,
  [19932] = 17366,
  [19933] = 17453,
  [19934] = 19297,
  [19935] = 17343,
  [19936] = 17292,
  [19937] = 17528,
  [19938] = 17363,
  [19939] = 17329,
  [19940] = 18340,
  [19941] = 17816,
  [19942] = 17327,
  [19943] = 18966,
  [19944] = 17334,
  [19945] = 17456,
  [19946] = 17350,
  [19947] = 17295,
  [19948] = 19859,
  [19949] = 17316,
  [19950] = 17365,
  [19951] = 17365,
  [19952] = 17295,
  [19953] = 17337,
  [19954] = 17349,
  [19955] = 18340,
  [19956] = 17816,
  [19957] = 17327,
  [19958] = 18966,
  [19959] = 17291,
  [19960] = 17386,
  [19961] = 17388,
  [19962] = 19859,
  [19963] = 17321,
  [19964] = 17435,
  [19965] = 17351,
  [19966] = 5338,
  [19967] = 17435,
  [19968] = 17345,
  [19969] = 18340,
  [19970] = 17328,
  [19971] = 17299,
  [19972] = 17301,
  [19973] = 19859,
  [19974] = 17302,
  [19975] = 5256,
  [19976] = 17324,
  [19977] = 17331,
  [19978] = 17313,
  [19979] = 18340,
  [19980] = 17334,
  [19981] = 17316,
  [19982] = 18340,
  [19983] = 17337,
  [19984] = 17345,
  [19985] = 18340,
  [19986] = 17940,
  [19987] = 17348,
  [19988] = 18340,
  [19989] = 18340,
  [19990] = 18340,
  [19991] = 18340,
  [19992] = 18340,
  [19993] = 18340,
  [19994] = 18340,
  [19995] = 18340,
  [19996] = 18340,
  [19997] = 18340,
  [19998] = 18340,
  [19999] = 18340,
  [20000] = 18340,
  [20001] = 18340,
  [20002] = 18340,
  [20003] = 18340,
  [20004] = 18340,
  [20005] = 18340,
  [20006] = 18340,
  [20007] = 18340,
  [20008] = 18340,
  [20009] = 18340,
  [20010] = 18340,
  [20011] = 18340,
  [20012] = 18340,
  [20013] = 18340,
  [20014] = 18340,
  [20015] = 18340,
  [20016] = 18340,
  [20017] = 18340,
  [20018] = 18340,
  [20019] = 18340,
  [20020] = 18340,
  [20021] = 18340,
  [20022] = 18340,
  [20023] = 18340,
  [20024] = 18340,
  [20025] = 18340,
  [20026] = 18340,
  [20027] = 18340,
  [20028] = 18340,
  [20029] = 18340,
  [20030] = 18340,
  [20031] = 18340,
  [20032] = 18340,
  [20033] = 18340,
  [20034] = 18340,
  [20035] = 18340,
  [20036] = 17303,
  [20037] = 19010,
  [20038] = 17304,
  [20039] = 19323,
  [20040] = 17309,
  [20041] = 19744,
  [20042] = 17365,
  [20043] = 17386,
  [20044] = 17332,
  [20045] = 17329,
  [20046] = 17424,
  [20047] = 17321,
  [20048] = 17386,
  [20049] = 17313,
  [20050] = 17324,
  [20051] = 19323,
  [20052] = 19744,
  [20053] = 17311,
  [20054] = 17435,
  [20055] = 17370,
  [20056] = 17331,
  [20057] = 17373,
  [20058] = 19323,
  [20059] = 19744,
  [20060] = 17363,
  [20061] = 17456,
  [20062] = 17963,
  [20063] = 17366,
  [20064] = 17453,
  [20065] = 17291,
  [20066] = 17292,
  [20067] = 17331,
  [20068] = 17295,
  [20069] = 20069,
  [20070] = 17295,
  [20071] = 20071,
  [20072] = 17334,
  [20073] = 17370,
  [20074] = 17435,
  [20075] = 12706,
  [20076] = 17453,
  [20077] = 17298,
  [20078] = 17316,
  [20079] = 17388,
  [20080] = 17337,
  [20081] = 17310,
  [20082] = 17345,
  [20083] = 17309,
  [20084] = 17433,
  [20085] = 17313,
  [20086] = 17348,
  [20087] = 17348,
  [20088] = 17307,
  [20089] = 17298,
  [20090] = 17370,
  [20091] = 17339,
  [20092] = 17365,
  [20093] = 17349,
  [20094] = 17341,
  [20095] = 17388,
  [20096] = 17386,
  [20097] = 17321,
  [20098] = 17772,
  [20099] = 17456,
  [20100] = 17373,
  [20101] = 17298,
  [20102] = 17324,
  [20103] = 17338,
  [20104] = 17321,
  [20105] = 17366,
  [20106] = 17453,
  [20107] = 17456,
  [20108] = 17331,
  [20109] = 17366,
  [20110] = 17343,
  [20111] = 17453,
  [20112] = 17334,
  [20113] = 17333,
  [20114] = 17456,
  [20115] = 17291,
  [20116] = 17995,
  [20117] = 17292,
  [20118] = 17321,
  [20119] = 17363,
  [20120] = 17292,
  [20121] = 17324,
  [20122] = 17331,
  [20123] = 17307,
  [20124] = 17349,
  [20125] = 17316,
  [20126] = 17337,
  [20127] = 17366,
  [20128] = 17351,
  [20129] = 17367,
  [20130] = 17314,
  [20131] = 17299,
  [20132] = 17301,
  [20133] = 17295,
  [20134] = 17302,
  [20135] = 17292,
  [20136] = 17424,
  [20137] = 17433,
  [20138] = 17334,
  [20139] = 17316,
  [20140] = 17313,
  [20141] = 17303,
  [20142] = 17293,
  [20143] = 17326,
  [20144] = 17304,
  [20145] = 17311,
  [20146] = 17351,
  [20147] = 17453,
  [20148] = 17337,
  [20149] = 17347,
  [20150] = 17334,
  [20151] = 17329,
  [20152] = 17316,
  [20153] = 17337,
  [20154] = 17456,
  [20155] = 17338,
  [20156] = 17345,
  [20157] = 17295,
  [20158] = 17340,
  [20159] = 17342,
  [20160] = 17366,
  [20161] = 17345,
  [20162] = 18792,
  [20163] = 17348,
  [20164] = 17344,
  [20165] = 17338,
  [20166] = 17453,
  [20167] = 17453,
  [20168] = 20168,
  [20169] = 20169,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(438);
      ADVANCE_MAP(
        '!', 472,
        '"', 613,
        '#', 552,
        '$', 418,
        '%', 587,
        '&', 548,
        '\'', 609,
        '(', 461,
        ')', 462,
        '*', 506,
        '+', 471,
        ',', 469,
        '-', 474,
        '.', 503,
        '0', 590,
        ':', 456,
        ';', 514,
        '<', 550,
        '=', 450,
        '>', 546,
        '?', 453,
        '@', 653,
        '[', 481,
        '\\', 2,
        ']', 492,
        '^', 655,
        '`', 819,
        'a', 744,
        'c', 738,
        'd', 764,
        'e', 732,
        'i', 745,
        'l', 703,
        'm', 676,
        'o', 776,
        't', 724,
        'v', 674,
        'w', 728,
        '{', 509,
        '|', 478,
        '}', 515,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(434);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(621);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 621,
        '\r', 1,
        '#', 433,
        'o', 415,
        'u', 406,
        'x', 432,
        ' ', 627,
        '"', 627,
        '\'', 627,
        '\\', 627,
        'b', 627,
        'n', 627,
        'r', 627,
        't', 627,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(422);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 621,
        '\r', 1,
        'o', 415,
        'u', 406,
        'x', 432,
        ' ', 627,
        '"', 627,
        '\'', 627,
        '\\', 627,
        'b', 627,
        'n', 627,
        'r', 627,
        't', 627,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(422);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(610);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(363);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(611);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(611);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(610);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(363);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(281);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 472,
        '%', 587,
        '\'', 818,
        '(', 461,
        '+', 470,
        '-', 473,
        '.', 262,
        '[', 491,
        '\\', 203,
        '{', 507,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 472,
        '\'', 818,
        '(', 461,
        '+', 470,
        '-', 473,
        '.', 820,
        '[', 491,
        '\\', 203,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(472);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '[') ADVANCE(487);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 'l') ADVANCE(703);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        ')', 462,
        '.', 820,
        '0', 590,
        ':', 493,
        ';', 270,
        '<', 261,
        '>', 409,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 679,
        'o', 777,
        't', 809,
        '{', 509,
        '~', 429,
        '+', 602,
        '-', 602,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '.', 502,
        '0', 590,
        ':', 272,
        ';', 270,
        '=', 450,
        '[', 485,
        '\\', 203,
        '`', 819,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 679,
        'o', 777,
        't', 809,
        '{', 509,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        ';', 270,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 807,
        'i', 745,
        'l', 703,
        'm', 679,
        'o', 777,
        't', 809,
        '{', 509,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        ';', 270,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 679,
        'o', 777,
        't', 809,
        '{', 509,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        ';', 270,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 752,
        'i', 745,
        'l', 703,
        'm', 679,
        'o', 777,
        't', 809,
        '{', 509,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        ';', 270,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 679,
        'o', 777,
        't', 809,
        '{', 509,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 455,
        ';', 270,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 509,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 455,
        ';', 270,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 509,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '\'', 608,
        '(', 461,
        '0', 590,
        ';', 270,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 509,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 817,
        '$', 418,
        '\'', 608,
        '(', 461,
        '0', 590,
        ';', 270,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 509,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        ')', 462,
        ',', 469,
        '.', 502,
        '0', 590,
        ':', 494,
        ';', 513,
        '>', 409,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        '{', 511,
        '|', 476,
        '}', 515,
        '~', 452,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        ')', 462,
        ',', 469,
        '.', 502,
        '0', 590,
        ':', 494,
        ';', 513,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        '{', 511,
        '|', 477,
        '~', 452,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        '0', 590,
        ':', 455,
        ';', 270,
        '=', 450,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 509,
        '|', 476,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        '0', 590,
        ':', 455,
        ';', 270,
        '=', 450,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 509,
        '|', 476,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        '0', 590,
        ':', 460,
        '=', 450,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'c', 768,
        'e', 753,
        'i', 749,
        'm', 713,
        'v', 674,
        '{', 509,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        '0', 590,
        ':', 277,
        '=', 450,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'c', 768,
        'e', 753,
        'i', 749,
        'm', 713,
        'v', 674,
        '{', 509,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        '0', 590,
        ';', 270,
        '=', 450,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 509,
        '|', 476,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        '0', 590,
        ';', 270,
        '=', 450,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 509,
        '|', 476,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        '.', 502,
        '0', 590,
        ';', 270,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 509,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '#', 553,
        '$', 418,
        '\'', 608,
        '(', 461,
        '.', 502,
        '0', 590,
        ';', 270,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 509,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        ')', 462,
        '+', 602,
        '-', 603,
        '.', 502,
        '0', 590,
        ':', 501,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'l', 703,
        'm', 682,
        '{', 511,
        '|', 283,
        '}', 515,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        ';', 513,
        '=', 450,
        '>', 409,
        '[', 485,
        '\\', 203,
        '`', 819,
        'c', 768,
        'e', 753,
        'i', 749,
        'l', 703,
        'm', 678,
        'v', 674,
        '{', 509,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'd', 764,
        'l', 703,
        'm', 682,
        '{', 511,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'd', 766,
        'l', 703,
        'm', 682,
        't', 765,
        '{', 511,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'd', 775,
        'l', 703,
        'm', 682,
        '{', 511,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'e', 753,
        'l', 703,
        'm', 682,
        '{', 511,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'l', 703,
        'm', 682,
        't', 725,
        '{', 511,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'l', 703,
        'm', 682,
        'w', 728,
        '{', 511,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 744,
        'i', 750,
        'l', 703,
        'm', 682,
        '{', 511,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '\'', 608,
        '(', 461,
        ')', 462,
        '.', 820,
        '0', 590,
        ':', 493,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        '{', 511,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '\'', 608,
        '(', 461,
        ')', 462,
        '.', 820,
        '0', 590,
        ':', 455,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        '{', 511,
        '~', 452,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 635,
        '"', 613,
        '$', 418,
        '\'', 608,
        '(', 461,
        '.', 820,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'l', 703,
        'm', 682,
        '{', 511,
        '+', 602,
        '-', 602,
        '?', 429,
        '~', 429,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 734,
        'i', 745,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 807,
        'i', 745,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 734,
        'i', 754,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 734,
        'i', 754,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 732,
        'i', 745,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 732,
        'i', 754,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 752,
        'i', 745,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 732,
        'i', 754,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 686,
        'm', 680,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 807,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 734,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 734,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 734,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 732,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 732,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 752,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 732,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 807,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 734,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 734,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 734,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 732,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 732,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 752,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 732,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 817,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '0', 590,
        ':', 457,
        ';', 514,
        '<', 658,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '.', 502,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 657,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '.', 502,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 657,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 479,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '.', 502,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 657,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '.', 502,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 657,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 479,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 807,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 734,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 734,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 734,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 732,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 732,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 752,
        'i', 745,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 743,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 732,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 514,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 686,
        'm', 772,
        'o', 776,
        't', 809,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 768,
        'e', 733,
        'i', 749,
        'l', 688,
        'm', 712,
        'o', 780,
        'v', 674,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 768,
        'e', 753,
        'i', 749,
        'l', 688,
        'm', 712,
        'o', 780,
        'v', 674,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 764,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 764,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 766,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        't', 765,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 766,
        'l', 688,
        'm', 773,
        'o', 780,
        't', 765,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 775,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 775,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 733,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        't', 725,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        'w', 728,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 753,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        't', 725,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        'w', 728,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 743,
        'e', 735,
        'i', 750,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 743,
        'i', 750,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 768,
        'e', 733,
        'i', 749,
        'l', 688,
        'm', 712,
        'o', 780,
        'v', 674,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 768,
        'e', 753,
        'i', 749,
        'l', 688,
        'm', 712,
        'o', 780,
        'v', 674,
        '{', 509,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 764,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 764,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 766,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        't', 765,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 766,
        'l', 688,
        'm', 773,
        'o', 780,
        't', 765,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 775,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 775,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 733,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        't', 725,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        'w', 728,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 753,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        't', 725,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        'w', 728,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 743,
        'e', 735,
        'i', 750,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 457,
        ';', 513,
        '<', 657,
        '?', 454,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 743,
        'i', 750,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 759,
        'e', 808,
        'l', 687,
        'm', 680,
        'o', 780,
        't', 809,
        '{', 510,
        '|', 407,
        '%', 649,
        '/', 649,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 759,
        'e', 808,
        'l', 687,
        'm', 680,
        'o', 780,
        '{', 510,
        '|', 407,
        '%', 649,
        '/', 649,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 553,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 759,
        'l', 687,
        'm', 680,
        'o', 780,
        '{', 510,
        '|', 407,
        '%', 649,
        '/', 649,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '#', 428,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        '-', 605,
        '.', 502,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 759,
        'l', 686,
        'm', 680,
        'o', 780,
        '{', 511,
        '|', 284,
        '%', 649,
        '/', 649,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '/', 649,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '}', 515,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '/', 649,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '}', 515,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 768,
        'e', 733,
        'i', 749,
        'l', 686,
        'm', 677,
        'o', 780,
        'v', 674,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 789,
        'c', 768,
        'e', 753,
        'i', 749,
        'l', 686,
        'm', 677,
        'o', 780,
        'v', 674,
        '{', 509,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 764,
        'e', 735,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 764,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 766,
        'e', 735,
        'l', 686,
        'm', 681,
        'o', 780,
        't', 765,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 766,
        'l', 686,
        'm', 681,
        'o', 780,
        't', 765,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 775,
        'e', 735,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'd', 775,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 733,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 686,
        'm', 681,
        'o', 780,
        't', 725,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 686,
        'm', 681,
        'o', 780,
        'w', 728,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 479,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'e', 753,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'l', 686,
        'm', 681,
        'o', 780,
        't', 725,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'l', 686,
        'm', 681,
        'o', 780,
        'w', 728,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 488,
        '\\', 203,
        '`', 819,
        'a', 789,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 479,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 743,
        'e', 735,
        'i', 750,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '%', 588,
        '&', 664,
        '\'', 608,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '/', 649,
        '0', 590,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 743,
        'i', 750,
        'l', 686,
        'm', 681,
        'o', 780,
        '{', 511,
        '|', 480,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '0', 590,
        ':', 458,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '0', 590,
        ':', 458,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 479,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '0', 590,
        ':', 458,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '0', 590,
        ':', 458,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 479,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'e', 735,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 479,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 480,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '!', 636,
        '"', 613,
        '$', 660,
        '&', 664,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '0', 590,
        ':', 497,
        ';', 513,
        '<', 658,
        '=', 661,
        '>', 659,
        '?', 454,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 789,
        'l', 688,
        'm', 773,
        'o', 780,
        '{', 511,
        '|', 479,
        '}', 515,
        '~', 452,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '!', 636,
        '#', 428,
        '&', 664,
        ')', 462,
        '*', 646,
        '+', 604,
        '-', 605,
        '.', 502,
        ':', 274,
        '<', 658,
        '[', 279,
        'a', 359,
        'l', 288,
        'm', 293,
        'o', 379,
        '|', 407,
        '%', 649,
        '/', 649,
        '?', 429,
        '~', 429,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(157);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '!', 275,
        '"', 613,
        '#', 817,
        '&', 664,
        '\'', 609,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        ':', 497,
        ';', 514,
        '<', 658,
        '[', 484,
        ']', 492,
        'a', 345,
        'c', 341,
        'd', 364,
        'e', 336,
        'i', 346,
        'l', 287,
        'm', 313,
        'o', 376,
        't', 327,
        'v', 285,
        'w', 329,
        '{', 508,
        '|', 480,
        '}', 515,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 275,
        '"', 613,
        '#', 817,
        '&', 664,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        ':', 497,
        ';', 514,
        '<', 658,
        '[', 484,
        ']', 492,
        'a', 345,
        'c', 341,
        'd', 364,
        'e', 336,
        'i', 346,
        'l', 287,
        'm', 313,
        'o', 376,
        't', 327,
        'v', 285,
        'w', 329,
        '{', 508,
        '|', 480,
        '}', 515,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(159);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 275,
        '#', 817,
        '&', 664,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        ':', 268,
        ';', 514,
        '<', 658,
        '[', 253,
        ']', 492,
        'a', 345,
        'c', 340,
        'd', 365,
        'e', 336,
        'i', 350,
        'l', 287,
        'm', 371,
        'o', 376,
        't', 367,
        'v', 285,
        '{', 254,
        '|', 480,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 275,
        '#', 553,
        '&', 664,
        '(', 461,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        ':', 496,
        ';', 514,
        '<', 658,
        '[', 245,
        ']', 492,
        'a', 345,
        'c', 340,
        'd', 365,
        'e', 336,
        'i', 350,
        'l', 287,
        'm', 371,
        'o', 376,
        't', 367,
        'v', 285,
        'w', 329,
        '{', 246,
        '|', 480,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 275,
        '#', 553,
        '&', 664,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '.', 502,
        ':', 497,
        ';', 513,
        '<', 658,
        '>', 659,
        '[', 253,
        ']', 492,
        'a', 386,
        'c', 370,
        'd', 364,
        'e', 335,
        'i', 351,
        'l', 289,
        'm', 314,
        'o', 379,
        't', 326,
        'v', 285,
        'w', 329,
        '{', 254,
        '|', 480,
        '}', 515,
        '$', 661,
        '=', 661,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 275,
        '#', 553,
        '&', 664,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        '.', 502,
        ':', 497,
        ';', 513,
        '<', 658,
        '>', 659,
        '[', 253,
        ']', 492,
        'a', 386,
        'c', 370,
        'd', 364,
        'e', 335,
        'i', 351,
        'l', 289,
        'm', 314,
        'o', 379,
        't', 326,
        'v', 285,
        'w', 329,
        '{', 254,
        '|', 479,
        '}', 515,
        '$', 661,
        '=', 661,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 275,
        '#', 553,
        '&', 664,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 605,
        '.', 502,
        ':', 268,
        ';', 513,
        '<', 658,
        '[', 280,
        'a', 345,
        'd', 365,
        'e', 334,
        'i', 352,
        'l', 289,
        'm', 372,
        'o', 379,
        't', 366,
        '|', 480,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
        '$', 661,
        '=', 661,
        '>', 661,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 275,
        '&', 664,
        '(', 461,
        ')', 462,
        '*', 646,
        '+', 604,
        ',', 469,
        '-', 606,
        ':', 497,
        ';', 513,
        '<', 658,
        '>', 659,
        '[', 250,
        ']', 492,
        'a', 345,
        'd', 364,
        'e', 335,
        'i', 352,
        'l', 289,
        'm', 372,
        'o', 379,
        't', 326,
        'w', 329,
        '{', 251,
        '|', 479,
        '}', 515,
        '$', 661,
        '=', 661,
        '%', 649,
        '/', 649,
        '@', 655,
        '^', 655,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '%', 587,
        '\'', 608,
        '(', 461,
        ')', 462,
        '+', 601,
        ',', 469,
        '-', 607,
        '.', 502,
        '0', 590,
        ':', 494,
        ';', 513,
        '=', 450,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        'e', 808,
        '{', 510,
        '|', 476,
        '}', 515,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '%', 587,
        '\'', 608,
        '(', 461,
        '+', 601,
        ',', 469,
        '-', 607,
        '.', 820,
        '0', 590,
        ':', 498,
        ';', 513,
        '=', 450,
        '?', 453,
        '[', 488,
        '\\', 203,
        '`', 819,
        '{', 510,
        '|', 477,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'e', 808,
        'm', 769,
        'o', 777,
        '{', 510,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '%', 587,
        '\'', 608,
        '(', 461,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'o', 777,
        '{', 510,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 506,
        '+', 601,
        ',', 469,
        '-', 607,
        '.', 502,
        '0', 590,
        ':', 498,
        ';', 513,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'c', 768,
        'e', 753,
        'i', 749,
        'm', 713,
        'v', 674,
        '{', 508,
        '|', 476,
        '}', 515,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ')', 462,
        '+', 601,
        ',', 469,
        '-', 607,
        '.', 502,
        '0', 590,
        ':', 498,
        ';', 513,
        '=', 450,
        '?', 453,
        '[', 488,
        '\\', 203,
        ']', 492,
        '`', 819,
        '{', 510,
        '|', 476,
        '}', 515,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '*', 506,
        '+', 601,
        '-', 607,
        '.', 502,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '*', 506,
        '+', 601,
        '-', 607,
        '.', 502,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 508,
        '|', 476,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '*', 506,
        '+', 601,
        '-', 607,
        '.', 502,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '*', 506,
        '+', 601,
        '-', 607,
        '.', 502,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 508,
        '|', 476,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '+', 601,
        ',', 469,
        '-', 607,
        '.', 262,
        '0', 590,
        ':', 498,
        ';', 513,
        '=', 450,
        '?', 453,
        '[', 488,
        '\\', 203,
        '`', 819,
        '{', 510,
        '|', 477,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '+', 601,
        ',', 469,
        '-', 607,
        '.', 262,
        '0', 590,
        ':', 459,
        ';', 513,
        '=', 450,
        '?', 453,
        '[', 488,
        '\\', 203,
        '`', 819,
        '{', 510,
        '|', 477,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 262,
        '0', 590,
        ':', 498,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 807,
        'i', 745,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 262,
        '0', 590,
        ':', 498,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 262,
        '0', 590,
        ':', 498,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 752,
        'i', 745,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 262,
        '0', 590,
        ':', 498,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 262,
        '0', 590,
        ':', 498,
        '=', 450,
        '?', 453,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 744,
        'i', 750,
        '{', 510,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 502,
        '0', 590,
        ':', 498,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 807,
        'i', 745,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 502,
        '0', 590,
        ':', 498,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 502,
        '0', 590,
        ':', 498,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 752,
        'i', 745,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 502,
        '0', 590,
        ':', 498,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 744,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 502,
        '0', 590,
        ':', 498,
        '=', 450,
        '?', 453,
        '[', 489,
        '\\', 203,
        '`', 819,
        'a', 744,
        'i', 750,
        '{', 510,
        '|', 476,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        ',', 469,
        '.', 502,
        '0', 590,
        ':', 266,
        ';', 513,
        '[', 488,
        '\\', 203,
        '`', 819,
        'e', 808,
        '{', 510,
        '|', 477,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '.', 820,
        '0', 590,
        '[', 488,
        '\\', 203,
        '`', 819,
        'e', 808,
        '{', 510,
        '|', 476,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 493,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'c', 768,
        'e', 753,
        'i', 749,
        'm', 713,
        'v', 674,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 455,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 455,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        ']', 492,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 455,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 455,
        ';', 270,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '"', 613,
        '#', 551,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 455,
        '=', 450,
        '?', 453,
        '[', 485,
        '\\', 203,
        '`', 819,
        'c', 768,
        'e', 753,
        'i', 749,
        'm', 713,
        'v', 674,
        '{', 508,
        '~', 451,
        '+', 601,
        '-', 601,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '"', 613,
        '#', 817,
        '\'', 608,
        '(', 461,
        ')', 462,
        ',', 469,
        '0', 590,
        ':', 494,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 512,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '"', 613,
        '#', 817,
        '\'', 608,
        '(', 461,
        '0', 590,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 512,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 202:
      if (lookahead == '"') ADVANCE(613);
      if (lookahead == '%') ADVANCE(616);
      if (lookahead == '@') ADVANCE(617);
      if (lookahead == '[') ADVANCE(618);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(614);
      if (lookahead != 0) ADVANCE(619);
      END_STATE();
    case 203:
      if (lookahead == '#') ADVANCE(433);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '#', 551,
        '%', 587,
        '\'', 818,
        '(', 461,
        ')', 462,
        ':', 266,
        '<', 549,
        '?', 453,
        '[', 486,
        '\\', 203,
        'm', 769,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '#', 551,
        '%', 587,
        '\'', 818,
        '(', 461,
        '<', 549,
        '?', 453,
        '[', 486,
        '\\', 203,
        't', 809,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 493,
        ';', 270,
        '<', 549,
        '=', 450,
        '?', 453,
        '[', 483,
        '\\', 203,
        ']', 492,
        'c', 739,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 246,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 490,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 490,
        '\\', 203,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        ';', 270,
        '[', 490,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        ';', 270,
        '[', 490,
        '\\', 203,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '(', 461,
        '<', 549,
        '?', 453,
        '[', 486,
        '\\', 203,
        'l', 718,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        ',', 469,
        '-', 276,
        '.', 502,
        ':', 494,
        ';', 513,
        '=', 450,
        '[', 280,
        '\\', 203,
        'i', 750,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        'c', 739,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 493,
        '[', 253,
        '\\', 203,
        'c', 768,
        'e', 753,
        'i', 756,
        'm', 713,
        'v', 674,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 277,
        '=', 450,
        '[', 253,
        '\\', 203,
        'c', 768,
        'e', 753,
        'i', 749,
        'm', 713,
        'v', 674,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ';', 270,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ';', 270,
        '[', 253,
        '\\', 203,
        ']', 492,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ';', 270,
        '[', 253,
        '\\', 203,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '#', 551,
        '\'', 818,
        '*', 506,
        '-', 276,
        '.', 502,
        ';', 270,
        '[', 253,
        '\\', 203,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '#', 551,
        ')', 462,
        '*', 506,
        '-', 276,
        ':', 501,
        '[', 279,
        '\\', 203,
        'a', 760,
        'c', 768,
        'w', 728,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '#', 551,
        '*', 506,
        '-', 276,
        ':', 499,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        'w', 728,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '#', 551,
        '*', 506,
        '-', 276,
        ':', 499,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 807,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        'w', 728,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '#', 551,
        '*', 506,
        '-', 276,
        ':', 499,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        'w', 728,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '#', 551,
        '*', 506,
        '-', 276,
        ':', 499,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 754,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        'w', 728,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '#', 551,
        '*', 506,
        '-', 276,
        ':', 499,
        '=', 450,
        '[', 280,
        '\\', 203,
        'a', 760,
        'c', 768,
        'i', 750,
        'w', 728,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '#', 817,
        '%', 587,
        '(', 461,
        ')', 462,
        '*', 506,
        '+', 271,
        '-', 276,
        '.', 502,
        ':', 500,
        ';', 270,
        '=', 450,
        '[', 245,
        ']', 492,
        'a', 357,
        'c', 341,
        'e', 354,
        'i', 346,
        'l', 306,
        'm', 315,
        'o', 375,
        't', 404,
        'v', 285,
        'w', 329,
        '{', 246,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '#', 817,
        '(', 461,
        '*', 506,
        '-', 276,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 490,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '#', 817,
        '(', 461,
        '*', 506,
        '-', 276,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 490,
        '\\', 203,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '#', 817,
        '(', 461,
        '.', 502,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '#', 817,
        '(', 461,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 490,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 739,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '#', 817,
        '(', 461,
        ':', 493,
        ';', 270,
        '=', 450,
        '[', 490,
        '\\', 203,
        'a', 760,
        'c', 739,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        '{', 254,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '#', 817,
        ')', 462,
        '-', 276,
        ':', 273,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 751,
        'l', 703,
        'm', 711,
        'o', 777,
        't', 809,
        'v', 674,
        'w', 728,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 817,
        ')', 462,
        ':', 493,
        ';', 270,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 751,
        'l', 703,
        'm', 711,
        'o', 777,
        't', 809,
        'v', 674,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 817,
        '*', 506,
        '-', 276,
        ':', 272,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 807,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        'w', 728,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 817,
        '*', 506,
        '-', 276,
        ':', 272,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        'v', 674,
        'w', 728,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 817,
        '*', 506,
        '-', 276,
        ':', 272,
        ';', 270,
        '=', 450,
        '[', 253,
        '\\', 203,
        'a', 760,
        'c', 738,
        'e', 752,
        'i', 754,
        'l', 703,
        'm', 769,
        'o', 777,
        't', 809,
        'w', 728,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '#', 553,
        '(', 461,
        ')', 462,
        ',', 469,
        '-', 276,
        '.', 502,
        ':', 267,
        ';', 513,
        '=', 450,
        '[', 250,
        '\\', 203,
        'a', 760,
        'i', 750,
        'w', 728,
        '{', 251,
        '|', 477,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '#', 553,
        '(', 461,
        '*', 506,
        '-', 276,
        '.', 502,
        ':', 499,
        ';', 513,
        '=', 450,
        '[', 250,
        'a', 357,
        'c', 370,
        'i', 352,
        'w', 329,
        '{', 251,
        '}', 515,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '#', 553,
        ')', 462,
        ',', 469,
        '-', 276,
        '.', 503,
        ':', 494,
        ';', 513,
        '=', 450,
        '[', 279,
        '\\', 203,
        ']', 492,
        'w', 728,
        '|', 476,
        '}', 515,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '#', 553,
        ')', 462,
        ',', 469,
        '-', 276,
        '.', 502,
        ':', 494,
        ';', 513,
        '=', 450,
        '[', 253,
        '\\', 203,
        ']', 492,
        'c', 768,
        'e', 753,
        'i', 749,
        'm', 713,
        'v', 674,
        'w', 728,
        '{', 254,
        '|', 476,
        '}', 515,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '#', 553,
        '.', 502,
        '>', 546,
        '[', 279,
        '\\', 203,
        ']', 492,
        '`', 819,
        'w', 728,
        '|', 476,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 244:
      if (lookahead == '%') ADVANCE(587);
      if (lookahead == '[') ADVANCE(491);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 't') ADVANCE(809);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 245:
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 246:
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 247:
      if (lookahead == '%') ADVANCE(585);
      END_STATE();
    case 248:
      if (lookahead == '%') ADVANCE(586);
      END_STATE();
    case 249:
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 250:
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 251:
      if (lookahead == '%') ADVANCE(582);
      END_STATE();
    case 252:
      if (lookahead == '%') ADVANCE(623);
      if (lookahead == '@') ADVANCE(624);
      if (lookahead == '[') ADVANCE(625);
      if (lookahead == '|') ADVANCE(622);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(614);
      if (lookahead != 0) ADVANCE(626);
      END_STATE();
    case 253:
      if (lookahead == '%') ADVANCE(247);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 254:
      if (lookahead == '%') ADVANCE(248);
      END_STATE();
    case 255:
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(462);
      if (lookahead == '[') ADVANCE(249);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 'v') ADVANCE(674);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 256:
      ADVANCE_MAP(
        '(', 461,
        '.', 820,
        ':', 277,
        ';', 513,
        '=', 450,
        '>', 546,
        '[', 253,
        'c', 370,
        'e', 353,
        'i', 351,
        'm', 312,
        'v', 285,
        '{', 254,
        '}', 515,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256);
      END_STATE();
    case 257:
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '.') ADVANCE(820);
      if (lookahead == '[') ADVANCE(487);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 'm') ADVANCE(769);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 258:
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '[') ADVANCE(491);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == '{') ADVANCE(507);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 259:
      if (lookahead == '*') ADVANCE(265);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(632);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(264);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(631);
      END_STATE();
    case 260:
      if (lookahead == '*') ADVANCE(414);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(413);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(631);
      END_STATE();
    case 261:
      if (lookahead == '-') ADVANCE(557);
      END_STATE();
    case 262:
      if (lookahead == '.') ADVANCE(467);
      END_STATE();
    case 263:
      if (lookahead == '.') ADVANCE(820);
      if (lookahead == '[') ADVANCE(279);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(584);
      END_STATE();
    case 264:
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(264);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(631);
      END_STATE();
    case 265:
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(632);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(631);
      END_STATE();
    case 266:
      if (lookahead == ':') ADVANCE(554);
      END_STATE();
    case 267:
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '=') ADVANCE(475);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 268:
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '=') ADVANCE(669);
      END_STATE();
    case 269:
      ADVANCE_MAP(
        ':', 501,
        ';', 513,
        '=', 450,
        '>', 409,
        '[', 253,
        'c', 370,
        'e', 353,
        'i', 351,
        'm', 312,
        'v', 285,
        '{', 254,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269);
      END_STATE();
    case 270:
      if (lookahead == ';') ADVANCE(441);
      END_STATE();
    case 271:
      if (lookahead == '=') ADVANCE(468);
      END_STATE();
    case 272:
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 273:
      if (lookahead == '=') ADVANCE(475);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 274:
      if (lookahead == '=') ADVANCE(669);
      END_STATE();
    case 275:
      if (lookahead == '=') ADVANCE(656);
      END_STATE();
    case 276:
      if (lookahead == '>') ADVANCE(504);
      END_STATE();
    case 277:
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 278:
      if (lookahead == '>') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(278);
      END_STATE();
    case 279:
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 280:
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 281:
      if (lookahead == '[') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(363);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281);
      END_STATE();
    case 282:
      if (lookahead == '[') ADVANCE(487);
      if (lookahead == '\\') ADVANCE(203);
      if (lookahead == 'l') ADVANCE(718);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 283:
      if (lookahead == ']') ADVANCE(556);
      END_STATE();
    case 284:
      if (lookahead == ']') ADVANCE(556);
      if (lookahead == '|') ADVANCE(667);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 285:
      if (lookahead == 'a') ADVANCE(337);
      END_STATE();
    case 286:
      if (lookahead == 'a') ADVANCE(389);
      END_STATE();
    case 287:
      if (lookahead == 'a') ADVANCE(356);
      if (lookahead == 'e') ADVANCE(391);
      if (lookahead == 'o') ADVANCE(381);
      if (lookahead == 's') ADVANCE(411);
      if (lookahead == 'x') ADVANCE(369);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(356);
      if (lookahead == 'e') ADVANCE(398);
      if (lookahead == 'o') ADVANCE(381);
      if (lookahead == 's') ADVANCE(411);
      if (lookahead == 'x') ADVANCE(369);
      END_STATE();
    case 289:
      if (lookahead == 'a') ADVANCE(356);
      if (lookahead == 'o') ADVANCE(381);
      if (lookahead == 's') ADVANCE(411);
      if (lookahead == 'x') ADVANCE(369);
      END_STATE();
    case 290:
      if (lookahead == 'a') ADVANCE(332);
      END_STATE();
    case 291:
      if (lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 292:
      if (lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 293:
      if (lookahead == 'a') ADVANCE(395);
      if (lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 294:
      if (lookahead == 'c') ADVANCE(338);
      if (lookahead == 'h') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(396);
      END_STATE();
    case 295:
      if (lookahead == 'c') ADVANCE(316);
      if (lookahead == 't') ADVANCE(317);
      END_STATE();
    case 296:
      if (lookahead == 'c') ADVANCE(324);
      END_STATE();
    case 297:
      if (lookahead == 'd') ADVANCE(446);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(530);
      END_STATE();
    case 299:
      if (lookahead == 'd') ADVANCE(645);
      END_STATE();
    case 300:
      if (lookahead == 'd') ADVANCE(648);
      END_STATE();
    case 301:
      if (lookahead == 'd') ADVANCE(536);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(445);
      END_STATE();
    case 303:
      if (lookahead == 'd') ADVANCE(423);
      END_STATE();
    case 304:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 305:
      if (lookahead == 'd') ADVANCE(310);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(520);
      END_STATE();
    case 310:
      if (lookahead == 'e') ADVANCE(524);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(565);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 314:
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(392);
      if (lookahead == 'o') ADVANCE(304);
      END_STATE();
    case 316:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 318:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 319:
      if (lookahead == 'e') ADVANCE(347);
      END_STATE();
    case 320:
      if (lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 321:
      if (lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 322:
      if (lookahead == 'h') ADVANCE(532);
      END_STATE();
    case 323:
      if (lookahead == 'h') ADVANCE(373);
      END_STATE();
    case 324:
      if (lookahead == 'h') ADVANCE(425);
      END_STATE();
    case 325:
      if (lookahead == 'h') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(396);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(320);
      END_STATE();
    case 327:
      if (lookahead == 'h') ADVANCE(320);
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 328:
      if (lookahead == 'i') ADVANCE(405);
      END_STATE();
    case 329:
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 330:
      if (lookahead == 'i') ADVANCE(374);
      END_STATE();
    case 331:
      if (lookahead == 'i') ADVANCE(393);
      END_STATE();
    case 332:
      if (lookahead == 'i') ADVANCE(358);
      END_STATE();
    case 333:
      if (lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 334:
      if (lookahead == 'l') ADVANCE(388);
      END_STATE();
    case 335:
      if (lookahead == 'l') ADVANCE(388);
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 336:
      if (lookahead == 'l') ADVANCE(388);
      if (lookahead == 'n') ADVANCE(298);
      if (lookahead == 'x') ADVANCE(295);
      END_STATE();
    case 337:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 338:
      if (lookahead == 'l') ADVANCE(403);
      END_STATE();
    case 339:
      if (lookahead == 'l') ADVANCE(463);
      END_STATE();
    case 340:
      if (lookahead == 'l') ADVANCE(286);
      END_STATE();
    case 341:
      if (lookahead == 'l') ADVANCE(286);
      if (lookahead == 'o') ADVANCE(355);
      END_STATE();
    case 342:
      if (lookahead == 'l') ADVANCE(328);
      END_STATE();
    case 343:
      if (lookahead == 'l') ADVANCE(309);
      END_STATE();
    case 344:
      if (lookahead == 'n') ADVANCE(633);
      END_STATE();
    case 345:
      if (lookahead == 'n') ADVANCE(297);
      if (lookahead == 's') ADVANCE(380);
      END_STATE();
    case 346:
      if (lookahead == 'n') ADVANCE(294);
      END_STATE();
    case 347:
      if (lookahead == 'n') ADVANCE(522);
      END_STATE();
    case 348:
      if (lookahead == 'n') ADVANCE(559);
      END_STATE();
    case 349:
      if (lookahead == 'n') ADVANCE(518);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(540);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 352:
      if (lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 353:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 354:
      if (lookahead == 'n') ADVANCE(298);
      if (lookahead == 'x') ADVANCE(295);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 356:
      if (lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 357:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 358:
      if (lookahead == 'n') ADVANCE(394);
      END_STATE();
    case 359:
      if (lookahead == 'n') ADVANCE(303);
      if (lookahead == 's') ADVANCE(380);
      END_STATE();
    case 360:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 361:
      if (lookahead == 'n') ADVANCE(311);
      if (lookahead == 'w') ADVANCE(360);
      END_STATE();
    case 362:
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 363:
      ADVANCE_MAP(
        'o', 415,
        'x', 432,
        ' ', 627,
        '"', 627,
        '\'', 627,
        '\\', 627,
        'b', 627,
        'n', 627,
        'r', 627,
        't', 627,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(422);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(563);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(361);
      END_STATE();
    case 366:
      if (lookahead == 'o') ADVANCE(567);
      END_STATE();
    case 367:
      if (lookahead == 'o') ADVANCE(567);
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 368:
      if (lookahead == 'o') ADVANCE(569);
      END_STATE();
    case 369:
      if (lookahead == 'o') ADVANCE(381);
      END_STATE();
    case 370:
      if (lookahead == 'o') ADVANCE(355);
      END_STATE();
    case 371:
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 372:
      if (lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 373:
      if (lookahead == 'o') ADVANCE(301);
      END_STATE();
    case 374:
      if (lookahead == 'o') ADVANCE(349);
      END_STATE();
    case 375:
      if (lookahead == 'p') ADVANCE(319);
      END_STATE();
    case 376:
      if (lookahead == 'p') ADVANCE(319);
      if (lookahead == 'r') ADVANCE(666);
      END_STATE();
    case 377:
      if (lookahead == 'p') ADVANCE(399);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(308);
      END_STATE();
    case 379:
      if (lookahead == 'r') ADVANCE(666);
      END_STATE();
    case 380:
      if (lookahead == 'r') ADVANCE(642);
      END_STATE();
    case 381:
      if (lookahead == 'r') ADVANCE(645);
      END_STATE();
    case 382:
      if (lookahead == 'r') ADVANCE(542);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 384:
      if (lookahead == 'r') ADVANCE(362);
      END_STATE();
    case 385:
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 386:
      if (lookahead == 's') ADVANCE(380);
      END_STATE();
    case 387:
      if (lookahead == 's') ADVANCE(526);
      END_STATE();
    case 388:
      if (lookahead == 's') ADVANCE(307);
      END_STATE();
    case 389:
      if (lookahead == 's') ADVANCE(387);
      END_STATE();
    case 390:
      if (lookahead == 's') ADVANCE(400);
      END_STATE();
    case 391:
      if (lookahead == 't') ADVANCE(442);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(534);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(516);
      END_STATE();
    case 395:
      if (lookahead == 't') ADVANCE(296);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(333);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 398:
      if (lookahead == 't') ADVANCE(424);
      END_STATE();
    case 399:
      if (lookahead == 't') ADVANCE(330);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(383);
      END_STATE();
    case 401:
      if (lookahead == 't') ADVANCE(368);
      END_STATE();
    case 402:
      if (lookahead == 'u') ADVANCE(343);
      END_STATE();
    case 403:
      if (lookahead == 'u') ADVANCE(305);
      END_STATE();
    case 404:
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 405:
      if (lookahead == 'z') ADVANCE(321);
      END_STATE();
    case 406:
      if (lookahead == '{') ADVANCE(430);
      END_STATE();
    case 407:
      if (lookahead == '|') ADVANCE(667);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 408:
      if (lookahead == '}') ADVANCE(620);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(408);
      END_STATE();
    case 409:
      if (lookahead == '}') ADVANCE(572);
      END_STATE();
    case 410:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(599);
      END_STATE();
    case 411:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(642);
      END_STATE();
    case 412:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(596);
      END_STATE();
    case 413:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(413);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(631);
      END_STATE();
    case 414:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(632);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(631);
      END_STATE();
    case 415:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(417);
      END_STATE();
    case 416:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(630);
      END_STATE();
    case 417:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(416);
      END_STATE();
    case 418:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(573);
      END_STATE();
    case 419:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(599);
      END_STATE();
    case 420:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(278);
      END_STATE();
    case 421:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(628);
      END_STATE();
    case 422:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(421);
      END_STATE();
    case 423:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      END_STATE();
    case 424:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 425:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      END_STATE();
    case 426:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 427:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 428:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(641);
      END_STATE();
    case 429:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 430:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(408);
      END_STATE();
    case 431:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(629);
      END_STATE();
    case 432:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(431);
      END_STATE();
    case 433:
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 434:
      if (eof) ADVANCE(438);
      ADVANCE_MAP(
        '!', 472,
        '"', 613,
        '#', 552,
        '$', 418,
        '%', 587,
        '&', 548,
        '\'', 608,
        '(', 461,
        ')', 462,
        '*', 506,
        '+', 471,
        ',', 469,
        '-', 474,
        '.', 503,
        '0', 590,
        ':', 495,
        ';', 514,
        '<', 550,
        '=', 450,
        '>', 546,
        '?', 453,
        '@', 653,
        '[', 482,
        '\\', 2,
        ']', 492,
        '^', 655,
        '`', 819,
        'a', 744,
        'c', 738,
        'd', 764,
        'e', 732,
        'i', 745,
        'l', 703,
        'm', 676,
        'o', 776,
        't', 724,
        'v', 674,
        'w', 728,
        '{', 509,
        '|', 478,
        '}', 515,
        '~', 451,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(434);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      END_STATE();
    case 435:
      if (eof) ADVANCE(438);
      ADVANCE_MAP(
        '!', 472,
        '"', 613,
        '#', 551,
        '%', 587,
        '&', 547,
        '\'', 818,
        '(', 461,
        ')', 462,
        '*', 506,
        '+', 271,
        ',', 469,
        '-', 276,
        '.', 262,
        '0', 590,
        ':', 495,
        ';', 513,
        '<', 549,
        '=', 450,
        '>', 546,
        '?', 453,
        '[', 486,
        '\\', 203,
        ']', 492,
        '`', 819,
        '{', 510,
        '|', 476,
        '}', 515,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(435);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 436:
      if (eof) ADVANCE(438);
      ADVANCE_MAP(
        '#', 551,
        '%', 587,
        '&', 547,
        '\'', 818,
        '(', 461,
        ')', 462,
        '*', 506,
        ',', 469,
        '-', 276,
        '.', 502,
        ':', 277,
        ';', 513,
        '=', 450,
        '>', 546,
        '[', 491,
        '\\', 203,
        ']', 492,
        '|', 476,
        '}', 515,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(436);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(816);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 437:
      if (eof) ADVANCE(438);
      ADVANCE_MAP(
        '&', 547,
        ')', 462,
        '*', 506,
        ',', 469,
        '-', 276,
        ':', 277,
        ';', 513,
        '=', 450,
        '>', 546,
        '[', 253,
        '\\', 203,
        ']', 492,
        'a', 760,
        'c', 768,
        'e', 753,
        'i', 749,
        'm', 713,
        'v', 674,
        'w', 728,
        '{', 254,
        '|', 476,
        '}', 515,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(437);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_shebang);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(439);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(440);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(440);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '=') ADVANCE(475);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '=') ADVANCE(669);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '=') ADVANCE(669);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_external);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(638);
      if (lookahead == '=') ADVANCE(468);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(638);
      if (lookahead == '>') ADVANCE(504);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(556);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(556);
      if (lookahead == '|') ADVANCE(666);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(556);
      if (lookahead == '|') ADVANCE(667);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(667);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '<') ADVANCE(545);
      if (lookahead == '>') ADVANCE(544);
      if (lookahead == '@') ADVANCE(615);
      if (lookahead == '|') ADVANCE(555);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '<') ADVANCE(545);
      if (lookahead == '>') ADVANCE(544);
      if (lookahead == '@') ADVANCE(574);
      if (lookahead == '|') ADVANCE(555);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '<') ADVANCE(545);
      if (lookahead == '>') ADVANCE(544);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '@') ADVANCE(575);
      if (lookahead == '|') ADVANCE(555);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '<') ADVANCE(545);
      if (lookahead == '>') ADVANCE(544);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '@') ADVANCE(574);
      if (lookahead == '|') ADVANCE(555);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '@') ADVANCE(576);
      if (lookahead == '|') ADVANCE(555);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(247);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(554);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '=') ADVANCE(475);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '=') ADVANCE(669);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '=') ADVANCE(669);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(554);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(475);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(449);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(467);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(583);
      if (lookahead == '<') ADVANCE(571);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(582);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(582);
      if (lookahead == '<') ADVANCE(571);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(248);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(441);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_exception);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_include);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_val);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_end);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_method);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(740);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(338);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(663);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(557);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(439);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(641);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(641);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_then);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_done);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_to);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_downto);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(573);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(578);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(577);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(579);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(585);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(586);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(584);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 594,
        'B', 412,
        'b', 412,
        'E', 410,
        'e', 410,
        'O', 597,
        'o', 597,
        'X', 600,
        'x', 600,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(591);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(594);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(410);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(591);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(595);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(593);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(599);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(410);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(594);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(593);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(595);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(596);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(598);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(598);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(599);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(592);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(638);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(638);
      if (lookahead == '>') ADVANCE(504);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(640);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(639);
      if (lookahead == '>') ADVANCE(427);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(639);
      if (lookahead == '>') ADVANCE(505);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(504);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 265,
        '.', 260,
        'L', 632,
        'l', 632,
        'n', 632,
        ' ', 259,
        '#', 259,
        '+', 259,
        '-', 259,
        '0', 259,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(264);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(631);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 420,
        '\\', 344,
        ' ', 633,
        ',', 633,
        '.', 633,
        ';', 633,
        '?', 633,
        '[', 633,
        ']', 633,
        '{', 633,
        '}', 633,
      );
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(615);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(619);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(619);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(621);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 265,
        '.', 260,
        'L', 632,
        'l', 632,
        'n', 632,
        ' ', 259,
        '#', 259,
        '+', 259,
        '-', 259,
        '0', 259,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(264);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(631);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 420,
        '\\', 344,
        ' ', 633,
        ',', 633,
        '.', 633,
        ';', 633,
        '?', 633,
        '[', 633,
        ']', 633,
        '{', 633,
        '}', 633,
      );
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(615);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(626);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(626);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(631);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(429);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(662);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(652);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(641);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(643);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_pow_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(643);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(742);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(343);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(652);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(651);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(652);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 654,
        '\\', 344,
        '.', 634,
        '?', 634,
        ' ', 633,
        ',', 633,
        ';', 633,
        '[', 633,
        ']', 633,
        '{', 633,
        '}', 633,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(655);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(278);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(558);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(426);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(572);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(573);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(637);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_or_operator);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(736);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(790);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == 'e') ADVANCE(794);
      if (lookahead == 'o') ADVANCE(696);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == 'e') ADVANCE(794);
      if (lookahead == 'o') ADVANCE(698);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == 'e') ADVANCE(794);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == 'o') ADVANCE(696);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == 'o') ADVANCE(699);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == 'o') ADVANCE(698);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(793);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(729);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(737);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(741);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(757);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(782);
      if (lookahead == 's') ADVANCE(811);
      if (lookahead == 'x') ADVANCE(770);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(757);
      if (lookahead == 'e') ADVANCE(801);
      if (lookahead == 'o') ADVANCE(782);
      if (lookahead == 's') ADVANCE(811);
      if (lookahead == 'x') ADVANCE(770);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(757);
      if (lookahead == 'o') ADVANCE(782);
      if (lookahead == 's') ADVANCE(811);
      if (lookahead == 'x') ADVANCE(770);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(740);
      if (lookahead == 'h') ADVANCE(716);
      if (lookahead == 'i') ADVANCE(802);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(740);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(720);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(710);
      if (lookahead == 't') ADVANCE(705);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(710);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(447);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(531);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(804);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(537);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(650);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(647);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(448);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(812);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(708);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(562);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(785);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(466);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(521);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(525);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(566);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(779);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(794);
      if (lookahead == 'o') ADVANCE(696);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(794);
      if (lookahead == 'o') ADVANCE(698);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(794);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(746);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(747);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(786);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(783);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(797);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(533);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(814);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(771);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(716);
      if (lookahead == 'i') ADVANCE(802);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(716);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(715);
      if (lookahead == 'o') ADVANCE(568);
      if (lookahead == 'y') ADVANCE(778);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(715);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(810);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(774);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(799);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(758);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(796);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(685);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(788);
      if (lookahead == 'n') ADVANCE(695);
      if (lookahead == 'x') ADVANCE(692);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(788);
      if (lookahead == 'n') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(788);
      if (lookahead == 'x') ADVANCE(692);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(788);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(529);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(464);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(755);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(675);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(805);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(726);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(707);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(694);
      if (lookahead == 's') ADVANCE(781);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(694);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(539);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(523);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(560);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(519);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(722);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(541);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(689);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(695);
      if (lookahead == 'x') ADVANCE(692);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(695);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(690);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(791);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(723);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(698);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(795);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(701);
      if (lookahead == 's') ADVANCE(781);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(700);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(803);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(709);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(684);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(564);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(568);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(806);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(570);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(755);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(696);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(782);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(697);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(699);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(698);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(748);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(762);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(714);
      if (lookahead == 'r') ADVANCE(668);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(714);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(706);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(798);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(668);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(644);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(650);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(543);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(683);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(763);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(730);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(527);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(704);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(781);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(787);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(800);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(443);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(691);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(721);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(517);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(535);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(444);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(727);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(719);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(784);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(813);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(731);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(767);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(742);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(702);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'w') ADVANCE(761);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'x') ADVANCE(692);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'x') ADVANCE(693);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'y') ADVANCE(778);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'z') ADVANCE(717);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(815);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(644);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(672);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(815);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym__capitalized_identifier);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(816);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'f', 4,
        'i', 5,
        'l', 6,
        'm', 7,
        'n', 8,
        'o', 9,
        'p', 10,
        'r', 11,
        's', 12,
        't', 13,
        'v', 14,
        'w', 15,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'b') ADVANCE(27);
      if (lookahead == 'f') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 14:
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 15:
      if (lookahead == 'h') ADVANCE(35);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(36);
      END_STATE();
    case 17:
      if (lookahead == 'g') ADVANCE(37);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(38);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(40);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 22:
      if (lookahead == 'z') ADVANCE(41);
      END_STATE();
    case 23:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 24:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 25:
      if (lookahead == 'w') ADVANCE(44);
      END_STATE();
    case 26:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 27:
      if (lookahead == 'j') ADVANCE(46);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 29:
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(48);
      END_STATE();
    case 31:
      if (lookahead == 'g') ADVANCE(49);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(50);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(51);
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 41:
      if (lookahead == 'y') ADVANCE(60);
      END_STATE();
    case 42:
      if (lookahead == 'c') ADVANCE(61);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 45:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 47:
      if (lookahead == 'v') ADVANCE(65);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 55:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 61:
      if (lookahead == 'h') ADVANCE(75);
      END_STATE();
    case 62:
      if (lookahead == 'b') ADVANCE(76);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 66:
      if (lookahead == 'c') ADVANCE(80);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(81);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(84);
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 77:
      if (lookahead == 'c') ADVANCE(87);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 80:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(91);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 85:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(96);
      END_STATE();
    case 92:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 435, .external_lex_state = 2},
  [2] = {.lex_state = 9, .external_lex_state = 3},
  [3] = {.lex_state = 9, .external_lex_state = 3},
  [4] = {.lex_state = 9, .external_lex_state = 3},
  [5] = {.lex_state = 9, .external_lex_state = 3},
  [6] = {.lex_state = 9, .external_lex_state = 3},
  [7] = {.lex_state = 9, .external_lex_state = 3},
  [8] = {.lex_state = 9, .external_lex_state = 3},
  [9] = {.lex_state = 9, .external_lex_state = 3},
  [10] = {.lex_state = 9, .external_lex_state = 3},
  [11] = {.lex_state = 9, .external_lex_state = 3},
  [12] = {.lex_state = 9, .external_lex_state = 3},
  [13] = {.lex_state = 9, .external_lex_state = 3},
  [14] = {.lex_state = 9, .external_lex_state = 3},
  [15] = {.lex_state = 9, .external_lex_state = 3},
  [16] = {.lex_state = 9, .external_lex_state = 3},
  [17] = {.lex_state = 9, .external_lex_state = 3},
  [18] = {.lex_state = 9, .external_lex_state = 3},
  [19] = {.lex_state = 9, .external_lex_state = 3},
  [20] = {.lex_state = 9, .external_lex_state = 3},
  [21] = {.lex_state = 9, .external_lex_state = 3},
  [22] = {.lex_state = 9, .external_lex_state = 3},
  [23] = {.lex_state = 9, .external_lex_state = 3},
  [24] = {.lex_state = 9, .external_lex_state = 3},
  [25] = {.lex_state = 9, .external_lex_state = 3},
  [26] = {.lex_state = 9, .external_lex_state = 3},
  [27] = {.lex_state = 9, .external_lex_state = 3},
  [28] = {.lex_state = 9, .external_lex_state = 3},
  [29] = {.lex_state = 9, .external_lex_state = 3},
  [30] = {.lex_state = 9, .external_lex_state = 3},
  [31] = {.lex_state = 9, .external_lex_state = 3},
  [32] = {.lex_state = 9, .external_lex_state = 3},
  [33] = {.lex_state = 9, .external_lex_state = 3},
  [34] = {.lex_state = 9, .external_lex_state = 3},
  [35] = {.lex_state = 9, .external_lex_state = 3},
  [36] = {.lex_state = 9, .external_lex_state = 3},
  [37] = {.lex_state = 9, .external_lex_state = 3},
  [38] = {.lex_state = 9, .external_lex_state = 3},
  [39] = {.lex_state = 9, .external_lex_state = 3},
  [40] = {.lex_state = 9, .external_lex_state = 3},
  [41] = {.lex_state = 9, .external_lex_state = 3},
  [42] = {.lex_state = 9, .external_lex_state = 3},
  [43] = {.lex_state = 9, .external_lex_state = 3},
  [44] = {.lex_state = 9, .external_lex_state = 3},
  [45] = {.lex_state = 9, .external_lex_state = 3},
  [46] = {.lex_state = 9, .external_lex_state = 3},
  [47] = {.lex_state = 9, .external_lex_state = 3},
  [48] = {.lex_state = 9, .external_lex_state = 3},
  [49] = {.lex_state = 9, .external_lex_state = 3},
  [50] = {.lex_state = 9, .external_lex_state = 3},
  [51] = {.lex_state = 9, .external_lex_state = 3},
  [52] = {.lex_state = 9, .external_lex_state = 3},
  [53] = {.lex_state = 9, .external_lex_state = 3},
  [54] = {.lex_state = 9, .external_lex_state = 3},
  [55] = {.lex_state = 9, .external_lex_state = 3},
  [56] = {.lex_state = 9, .external_lex_state = 3},
  [57] = {.lex_state = 9, .external_lex_state = 3},
  [58] = {.lex_state = 9, .external_lex_state = 3},
  [59] = {.lex_state = 9, .external_lex_state = 3},
  [60] = {.lex_state = 9, .external_lex_state = 3},
  [61] = {.lex_state = 9, .external_lex_state = 3},
  [62] = {.lex_state = 9, .external_lex_state = 3},
  [63] = {.lex_state = 9, .external_lex_state = 3},
  [64] = {.lex_state = 9, .external_lex_state = 3},
  [65] = {.lex_state = 9, .external_lex_state = 3},
  [66] = {.lex_state = 9, .external_lex_state = 3},
  [67] = {.lex_state = 9, .external_lex_state = 3},
  [68] = {.lex_state = 9, .external_lex_state = 3},
  [69] = {.lex_state = 9, .external_lex_state = 3},
  [70] = {.lex_state = 9, .external_lex_state = 3},
  [71] = {.lex_state = 9, .external_lex_state = 3},
  [72] = {.lex_state = 9, .external_lex_state = 3},
  [73] = {.lex_state = 9, .external_lex_state = 3},
  [74] = {.lex_state = 9, .external_lex_state = 3},
  [75] = {.lex_state = 9, .external_lex_state = 3},
  [76] = {.lex_state = 9, .external_lex_state = 3},
  [77] = {.lex_state = 9, .external_lex_state = 3},
  [78] = {.lex_state = 9, .external_lex_state = 3},
  [79] = {.lex_state = 9, .external_lex_state = 3},
  [80] = {.lex_state = 9, .external_lex_state = 3},
  [81] = {.lex_state = 9, .external_lex_state = 3},
  [82] = {.lex_state = 9, .external_lex_state = 3},
  [83] = {.lex_state = 9, .external_lex_state = 3},
  [84] = {.lex_state = 9, .external_lex_state = 3},
  [85] = {.lex_state = 9, .external_lex_state = 3},
  [86] = {.lex_state = 9, .external_lex_state = 3},
  [87] = {.lex_state = 9, .external_lex_state = 3},
  [88] = {.lex_state = 9, .external_lex_state = 3},
  [89] = {.lex_state = 41, .external_lex_state = 3},
  [90] = {.lex_state = 47, .external_lex_state = 3},
  [91] = {.lex_state = 48, .external_lex_state = 3},
  [92] = {.lex_state = 44, .external_lex_state = 3},
  [93] = {.lex_state = 10, .external_lex_state = 3},
  [94] = {.lex_state = 49, .external_lex_state = 3},
  [95] = {.lex_state = 42, .external_lex_state = 3},
  [96] = {.lex_state = 10, .external_lex_state = 3},
  [97] = {.lex_state = 50, .external_lex_state = 3},
  [98] = {.lex_state = 9, .external_lex_state = 3},
  [99] = {.lex_state = 9, .external_lex_state = 3},
  [100] = {.lex_state = 9, .external_lex_state = 3},
  [101] = {.lex_state = 10, .external_lex_state = 3},
  [102] = {.lex_state = 10, .external_lex_state = 3},
  [103] = {.lex_state = 10, .external_lex_state = 3},
  [104] = {.lex_state = 10, .external_lex_state = 3},
  [105] = {.lex_state = 43, .external_lex_state = 3},
  [106] = {.lex_state = 9, .external_lex_state = 3},
  [107] = {.lex_state = 9, .external_lex_state = 3},
  [108] = {.lex_state = 9, .external_lex_state = 3},
  [109] = {.lex_state = 46, .external_lex_state = 3},
  [110] = {.lex_state = 51, .external_lex_state = 3},
  [111] = {.lex_state = 52, .external_lex_state = 3},
  [112] = {.lex_state = 45, .external_lex_state = 3},
  [113] = {.lex_state = 131, .external_lex_state = 3},
  [114] = {.lex_state = 132, .external_lex_state = 3},
  [115] = {.lex_state = 131, .external_lex_state = 3},
  [116] = {.lex_state = 132, .external_lex_state = 3},
  [117] = {.lex_state = 129, .external_lex_state = 3},
  [118] = {.lex_state = 129, .external_lex_state = 3},
  [119] = {.lex_state = 130, .external_lex_state = 3},
  [120] = {.lex_state = 130, .external_lex_state = 3},
  [121] = {.lex_state = 13, .external_lex_state = 3},
  [122] = {.lex_state = 11, .external_lex_state = 3},
  [123] = {.lex_state = 147, .external_lex_state = 3},
  [124] = {.lex_state = 147, .external_lex_state = 3},
  [125] = {.lex_state = 148, .external_lex_state = 3},
  [126] = {.lex_state = 12, .external_lex_state = 3},
  [127] = {.lex_state = 14, .external_lex_state = 3},
  [128] = {.lex_state = 135, .external_lex_state = 3},
  [129] = {.lex_state = 148, .external_lex_state = 3},
  [130] = {.lex_state = 128, .external_lex_state = 3},
  [131] = {.lex_state = 128, .external_lex_state = 3},
  [132] = {.lex_state = 128, .external_lex_state = 3},
  [133] = {.lex_state = 128, .external_lex_state = 3},
  [134] = {.lex_state = 128, .external_lex_state = 3},
  [135] = {.lex_state = 128, .external_lex_state = 3},
  [136] = {.lex_state = 128, .external_lex_state = 3},
  [137] = {.lex_state = 9, .external_lex_state = 3},
  [138] = {.lex_state = 128, .external_lex_state = 3},
  [139] = {.lex_state = 128, .external_lex_state = 3},
  [140] = {.lex_state = 128, .external_lex_state = 3},
  [141] = {.lex_state = 128, .external_lex_state = 3},
  [142] = {.lex_state = 137, .external_lex_state = 3},
  [143] = {.lex_state = 128, .external_lex_state = 3},
  [144] = {.lex_state = 128, .external_lex_state = 3},
  [145] = {.lex_state = 128, .external_lex_state = 3},
  [146] = {.lex_state = 128, .external_lex_state = 3},
  [147] = {.lex_state = 128, .external_lex_state = 3},
  [148] = {.lex_state = 128, .external_lex_state = 3},
  [149] = {.lex_state = 128, .external_lex_state = 3},
  [150] = {.lex_state = 128, .external_lex_state = 3},
  [151] = {.lex_state = 128, .external_lex_state = 3},
  [152] = {.lex_state = 128, .external_lex_state = 3},
  [153] = {.lex_state = 128, .external_lex_state = 3},
  [154] = {.lex_state = 128, .external_lex_state = 3},
  [155] = {.lex_state = 128, .external_lex_state = 3},
  [156] = {.lex_state = 128, .external_lex_state = 3},
  [157] = {.lex_state = 128, .external_lex_state = 3},
  [158] = {.lex_state = 128, .external_lex_state = 3},
  [159] = {.lex_state = 128, .external_lex_state = 3},
  [160] = {.lex_state = 128, .external_lex_state = 3},
  [161] = {.lex_state = 128, .external_lex_state = 3},
  [162] = {.lex_state = 128, .external_lex_state = 3},
  [163] = {.lex_state = 128, .external_lex_state = 3},
  [164] = {.lex_state = 128, .external_lex_state = 3},
  [165] = {.lex_state = 128, .external_lex_state = 3},
  [166] = {.lex_state = 128, .external_lex_state = 3},
  [167] = {.lex_state = 128, .external_lex_state = 3},
  [168] = {.lex_state = 128, .external_lex_state = 3},
  [169] = {.lex_state = 128, .external_lex_state = 3},
  [170] = {.lex_state = 128, .external_lex_state = 3},
  [171] = {.lex_state = 128, .external_lex_state = 3},
  [172] = {.lex_state = 128, .external_lex_state = 3},
  [173] = {.lex_state = 128, .external_lex_state = 3},
  [174] = {.lex_state = 128, .external_lex_state = 3},
  [175] = {.lex_state = 128, .external_lex_state = 3},
  [176] = {.lex_state = 128, .external_lex_state = 3},
  [177] = {.lex_state = 128, .external_lex_state = 3},
  [178] = {.lex_state = 128, .external_lex_state = 3},
  [179] = {.lex_state = 128, .external_lex_state = 3},
  [180] = {.lex_state = 128, .external_lex_state = 3},
  [181] = {.lex_state = 128, .external_lex_state = 3},
  [182] = {.lex_state = 128, .external_lex_state = 3},
  [183] = {.lex_state = 128, .external_lex_state = 3},
  [184] = {.lex_state = 128, .external_lex_state = 3},
  [185] = {.lex_state = 140, .external_lex_state = 3},
  [186] = {.lex_state = 128, .external_lex_state = 3},
  [187] = {.lex_state = 128, .external_lex_state = 3},
  [188] = {.lex_state = 133, .external_lex_state = 3},
  [189] = {.lex_state = 128, .external_lex_state = 3},
  [190] = {.lex_state = 128, .external_lex_state = 3},
  [191] = {.lex_state = 141, .external_lex_state = 3},
  [192] = {.lex_state = 128, .external_lex_state = 3},
  [193] = {.lex_state = 128, .external_lex_state = 3},
  [194] = {.lex_state = 139, .external_lex_state = 3},
  [195] = {.lex_state = 128, .external_lex_state = 3},
  [196] = {.lex_state = 128, .external_lex_state = 3},
  [197] = {.lex_state = 128, .external_lex_state = 3},
  [198] = {.lex_state = 128, .external_lex_state = 3},
  [199] = {.lex_state = 10, .external_lex_state = 3},
  [200] = {.lex_state = 128, .external_lex_state = 3},
  [201] = {.lex_state = 128, .external_lex_state = 3},
  [202] = {.lex_state = 128, .external_lex_state = 3},
  [203] = {.lex_state = 128, .external_lex_state = 3},
  [204] = {.lex_state = 128, .external_lex_state = 3},
  [205] = {.lex_state = 128, .external_lex_state = 3},
  [206] = {.lex_state = 128, .external_lex_state = 3},
  [207] = {.lex_state = 128, .external_lex_state = 3},
  [208] = {.lex_state = 136, .external_lex_state = 3},
  [209] = {.lex_state = 128, .external_lex_state = 3},
  [210] = {.lex_state = 128, .external_lex_state = 3},
  [211] = {.lex_state = 128, .external_lex_state = 3},
  [212] = {.lex_state = 128, .external_lex_state = 3},
  [213] = {.lex_state = 128, .external_lex_state = 3},
  [214] = {.lex_state = 128, .external_lex_state = 3},
  [215] = {.lex_state = 128, .external_lex_state = 3},
  [216] = {.lex_state = 128, .external_lex_state = 3},
  [217] = {.lex_state = 128, .external_lex_state = 3},
  [218] = {.lex_state = 128, .external_lex_state = 3},
  [219] = {.lex_state = 128, .external_lex_state = 3},
  [220] = {.lex_state = 128, .external_lex_state = 3},
  [221] = {.lex_state = 128, .external_lex_state = 3},
  [222] = {.lex_state = 142, .external_lex_state = 3},
  [223] = {.lex_state = 128, .external_lex_state = 3},
  [224] = {.lex_state = 128, .external_lex_state = 3},
  [225] = {.lex_state = 134, .external_lex_state = 3},
  [226] = {.lex_state = 143, .external_lex_state = 3},
  [227] = {.lex_state = 141, .external_lex_state = 3},
  [228] = {.lex_state = 139, .external_lex_state = 3},
  [229] = {.lex_state = 145, .external_lex_state = 3},
  [230] = {.lex_state = 138, .external_lex_state = 3},
  [231] = {.lex_state = 140, .external_lex_state = 3},
  [232] = {.lex_state = 133, .external_lex_state = 3},
  [233] = {.lex_state = 146, .external_lex_state = 3},
  [234] = {.lex_state = 144, .external_lex_state = 3},
  [235] = {.lex_state = 134, .external_lex_state = 3},
  [236] = {.lex_state = 145, .external_lex_state = 3},
  [237] = {.lex_state = 143, .external_lex_state = 3},
  [238] = {.lex_state = 144, .external_lex_state = 3},
  [239] = {.lex_state = 30, .external_lex_state = 3},
  [240] = {.lex_state = 29, .external_lex_state = 3},
  [241] = {.lex_state = 37, .external_lex_state = 3},
  [242] = {.lex_state = 32, .external_lex_state = 3},
  [243] = {.lex_state = 34, .external_lex_state = 3},
  [244] = {.lex_state = 34, .external_lex_state = 3},
  [245] = {.lex_state = 34, .external_lex_state = 3},
  [246] = {.lex_state = 35, .external_lex_state = 3},
  [247] = {.lex_state = 34, .external_lex_state = 3},
  [248] = {.lex_state = 34, .external_lex_state = 3},
  [249] = {.lex_state = 34, .external_lex_state = 3},
  [250] = {.lex_state = 34, .external_lex_state = 3},
  [251] = {.lex_state = 34, .external_lex_state = 3},
  [252] = {.lex_state = 34, .external_lex_state = 3},
  [253] = {.lex_state = 34, .external_lex_state = 3},
  [254] = {.lex_state = 31, .external_lex_state = 3},
  [255] = {.lex_state = 34, .external_lex_state = 3},
  [256] = {.lex_state = 34, .external_lex_state = 3},
  [257] = {.lex_state = 34, .external_lex_state = 3},
  [258] = {.lex_state = 34, .external_lex_state = 3},
  [259] = {.lex_state = 36, .external_lex_state = 3},
  [260] = {.lex_state = 34, .external_lex_state = 3},
  [261] = {.lex_state = 34, .external_lex_state = 3},
  [262] = {.lex_state = 34, .external_lex_state = 3},
  [263] = {.lex_state = 34, .external_lex_state = 3},
  [264] = {.lex_state = 34, .external_lex_state = 3},
  [265] = {.lex_state = 34, .external_lex_state = 3},
  [266] = {.lex_state = 34, .external_lex_state = 3},
  [267] = {.lex_state = 34, .external_lex_state = 3},
  [268] = {.lex_state = 34, .external_lex_state = 3},
  [269] = {.lex_state = 34, .external_lex_state = 3},
  [270] = {.lex_state = 34, .external_lex_state = 3},
  [271] = {.lex_state = 34, .external_lex_state = 3},
  [272] = {.lex_state = 34, .external_lex_state = 3},
  [273] = {.lex_state = 34, .external_lex_state = 3},
  [274] = {.lex_state = 34, .external_lex_state = 3},
  [275] = {.lex_state = 34, .external_lex_state = 3},
  [276] = {.lex_state = 34, .external_lex_state = 3},
  [277] = {.lex_state = 34, .external_lex_state = 3},
  [278] = {.lex_state = 34, .external_lex_state = 3},
  [279] = {.lex_state = 34, .external_lex_state = 3},
  [280] = {.lex_state = 29, .external_lex_state = 3},
  [281] = {.lex_state = 34, .external_lex_state = 3},
  [282] = {.lex_state = 34, .external_lex_state = 3},
  [283] = {.lex_state = 34, .external_lex_state = 3},
  [284] = {.lex_state = 34, .external_lex_state = 3},
  [285] = {.lex_state = 34, .external_lex_state = 3},
  [286] = {.lex_state = 33, .external_lex_state = 3},
  [287] = {.lex_state = 34, .external_lex_state = 3},
  [288] = {.lex_state = 34, .external_lex_state = 3},
  [289] = {.lex_state = 34, .external_lex_state = 3},
  [290] = {.lex_state = 34, .external_lex_state = 3},
  [291] = {.lex_state = 34, .external_lex_state = 3},
  [292] = {.lex_state = 29, .external_lex_state = 3},
  [293] = {.lex_state = 29, .external_lex_state = 3},
  [294] = {.lex_state = 29, .external_lex_state = 3},
  [295] = {.lex_state = 29, .external_lex_state = 3},
  [296] = {.lex_state = 29, .external_lex_state = 3},
  [297] = {.lex_state = 29, .external_lex_state = 3},
  [298] = {.lex_state = 29, .external_lex_state = 3},
  [299] = {.lex_state = 29, .external_lex_state = 3},
  [300] = {.lex_state = 29, .external_lex_state = 3},
  [301] = {.lex_state = 29, .external_lex_state = 3},
  [302] = {.lex_state = 29, .external_lex_state = 3},
  [303] = {.lex_state = 29, .external_lex_state = 3},
  [304] = {.lex_state = 29, .external_lex_state = 3},
  [305] = {.lex_state = 29, .external_lex_state = 3},
  [306] = {.lex_state = 29, .external_lex_state = 3},
  [307] = {.lex_state = 29, .external_lex_state = 3},
  [308] = {.lex_state = 29, .external_lex_state = 3},
  [309] = {.lex_state = 29, .external_lex_state = 3},
  [310] = {.lex_state = 29, .external_lex_state = 3},
  [311] = {.lex_state = 29, .external_lex_state = 3},
  [312] = {.lex_state = 29, .external_lex_state = 3},
  [313] = {.lex_state = 29, .external_lex_state = 3},
  [314] = {.lex_state = 29, .external_lex_state = 3},
  [315] = {.lex_state = 29, .external_lex_state = 3},
  [316] = {.lex_state = 29, .external_lex_state = 3},
  [317] = {.lex_state = 29, .external_lex_state = 3},
  [318] = {.lex_state = 29, .external_lex_state = 3},
  [319] = {.lex_state = 29, .external_lex_state = 3},
  [320] = {.lex_state = 29, .external_lex_state = 3},
  [321] = {.lex_state = 29, .external_lex_state = 3},
  [322] = {.lex_state = 29, .external_lex_state = 3},
  [323] = {.lex_state = 29, .external_lex_state = 3},
  [324] = {.lex_state = 29, .external_lex_state = 3},
  [325] = {.lex_state = 29, .external_lex_state = 3},
  [326] = {.lex_state = 29, .external_lex_state = 3},
  [327] = {.lex_state = 29, .external_lex_state = 3},
  [328] = {.lex_state = 29, .external_lex_state = 3},
  [329] = {.lex_state = 29, .external_lex_state = 3},
  [330] = {.lex_state = 29, .external_lex_state = 3},
  [331] = {.lex_state = 29, .external_lex_state = 3},
  [332] = {.lex_state = 29, .external_lex_state = 3},
  [333] = {.lex_state = 29, .external_lex_state = 3},
  [334] = {.lex_state = 29, .external_lex_state = 3},
  [335] = {.lex_state = 29, .external_lex_state = 3},
  [336] = {.lex_state = 29, .external_lex_state = 3},
  [337] = {.lex_state = 29, .external_lex_state = 3},
  [338] = {.lex_state = 29, .external_lex_state = 3},
  [339] = {.lex_state = 29, .external_lex_state = 3},
  [340] = {.lex_state = 29, .external_lex_state = 3},
  [341] = {.lex_state = 29, .external_lex_state = 3},
  [342] = {.lex_state = 29, .external_lex_state = 3},
  [343] = {.lex_state = 29, .external_lex_state = 3},
  [344] = {.lex_state = 29, .external_lex_state = 3},
  [345] = {.lex_state = 29, .external_lex_state = 3},
  [346] = {.lex_state = 29, .external_lex_state = 3},
  [347] = {.lex_state = 29, .external_lex_state = 3},
  [348] = {.lex_state = 29, .external_lex_state = 3},
  [349] = {.lex_state = 29, .external_lex_state = 3},
  [350] = {.lex_state = 29, .external_lex_state = 3},
  [351] = {.lex_state = 29, .external_lex_state = 3},
  [352] = {.lex_state = 29, .external_lex_state = 3},
  [353] = {.lex_state = 29, .external_lex_state = 3},
  [354] = {.lex_state = 29, .external_lex_state = 3},
  [355] = {.lex_state = 29, .external_lex_state = 3},
  [356] = {.lex_state = 29, .external_lex_state = 3},
  [357] = {.lex_state = 29, .external_lex_state = 3},
  [358] = {.lex_state = 29, .external_lex_state = 3},
  [359] = {.lex_state = 83, .external_lex_state = 3},
  [360] = {.lex_state = 87, .external_lex_state = 3},
  [361] = {.lex_state = 29, .external_lex_state = 3},
  [362] = {.lex_state = 29, .external_lex_state = 3},
  [363] = {.lex_state = 29, .external_lex_state = 3},
  [364] = {.lex_state = 29, .external_lex_state = 3},
  [365] = {.lex_state = 29, .external_lex_state = 3},
  [366] = {.lex_state = 29, .external_lex_state = 3},
  [367] = {.lex_state = 29, .external_lex_state = 3},
  [368] = {.lex_state = 29, .external_lex_state = 3},
  [369] = {.lex_state = 29, .external_lex_state = 3},
  [370] = {.lex_state = 29, .external_lex_state = 3},
  [371] = {.lex_state = 29, .external_lex_state = 3},
  [372] = {.lex_state = 29, .external_lex_state = 3},
  [373] = {.lex_state = 29, .external_lex_state = 3},
  [374] = {.lex_state = 29, .external_lex_state = 3},
  [375] = {.lex_state = 29, .external_lex_state = 3},
  [376] = {.lex_state = 29, .external_lex_state = 3},
  [377] = {.lex_state = 29, .external_lex_state = 3},
  [378] = {.lex_state = 29, .external_lex_state = 3},
  [379] = {.lex_state = 29, .external_lex_state = 3},
  [380] = {.lex_state = 29, .external_lex_state = 3},
  [381] = {.lex_state = 29, .external_lex_state = 3},
  [382] = {.lex_state = 29, .external_lex_state = 3},
  [383] = {.lex_state = 29, .external_lex_state = 3},
  [384] = {.lex_state = 29, .external_lex_state = 3},
  [385] = {.lex_state = 29, .external_lex_state = 3},
  [386] = {.lex_state = 29, .external_lex_state = 3},
  [387] = {.lex_state = 29, .external_lex_state = 3},
  [388] = {.lex_state = 29, .external_lex_state = 3},
  [389] = {.lex_state = 29, .external_lex_state = 3},
  [390] = {.lex_state = 29, .external_lex_state = 3},
  [391] = {.lex_state = 29, .external_lex_state = 3},
  [392] = {.lex_state = 29, .external_lex_state = 3},
  [393] = {.lex_state = 29, .external_lex_state = 3},
  [394] = {.lex_state = 29, .external_lex_state = 3},
  [395] = {.lex_state = 29, .external_lex_state = 3},
  [396] = {.lex_state = 29, .external_lex_state = 3},
  [397] = {.lex_state = 29, .external_lex_state = 3},
  [398] = {.lex_state = 29, .external_lex_state = 3},
  [399] = {.lex_state = 29, .external_lex_state = 3},
  [400] = {.lex_state = 29, .external_lex_state = 3},
  [401] = {.lex_state = 29, .external_lex_state = 3},
  [402] = {.lex_state = 29, .external_lex_state = 3},
  [403] = {.lex_state = 29, .external_lex_state = 3},
  [404] = {.lex_state = 29, .external_lex_state = 3},
  [405] = {.lex_state = 29, .external_lex_state = 3},
  [406] = {.lex_state = 29, .external_lex_state = 3},
  [407] = {.lex_state = 29, .external_lex_state = 3},
  [408] = {.lex_state = 29, .external_lex_state = 3},
  [409] = {.lex_state = 29, .external_lex_state = 3},
  [410] = {.lex_state = 29, .external_lex_state = 3},
  [411] = {.lex_state = 29, .external_lex_state = 3},
  [412] = {.lex_state = 29, .external_lex_state = 3},
  [413] = {.lex_state = 29, .external_lex_state = 3},
  [414] = {.lex_state = 29, .external_lex_state = 3},
  [415] = {.lex_state = 29, .external_lex_state = 3},
  [416] = {.lex_state = 29, .external_lex_state = 3},
  [417] = {.lex_state = 29, .external_lex_state = 3},
  [418] = {.lex_state = 29, .external_lex_state = 3},
  [419] = {.lex_state = 29, .external_lex_state = 3},
  [420] = {.lex_state = 29, .external_lex_state = 3},
  [421] = {.lex_state = 29, .external_lex_state = 3},
  [422] = {.lex_state = 29, .external_lex_state = 3},
  [423] = {.lex_state = 29, .external_lex_state = 3},
  [424] = {.lex_state = 29, .external_lex_state = 3},
  [425] = {.lex_state = 29, .external_lex_state = 3},
  [426] = {.lex_state = 29, .external_lex_state = 3},
  [427] = {.lex_state = 29, .external_lex_state = 3},
  [428] = {.lex_state = 29, .external_lex_state = 3},
  [429] = {.lex_state = 29, .external_lex_state = 3},
  [430] = {.lex_state = 29, .external_lex_state = 3},
  [431] = {.lex_state = 29, .external_lex_state = 3},
  [432] = {.lex_state = 29, .external_lex_state = 3},
  [433] = {.lex_state = 29, .external_lex_state = 3},
  [434] = {.lex_state = 29, .external_lex_state = 3},
  [435] = {.lex_state = 29, .external_lex_state = 3},
  [436] = {.lex_state = 29, .external_lex_state = 3},
  [437] = {.lex_state = 29, .external_lex_state = 3},
  [438] = {.lex_state = 29, .external_lex_state = 3},
  [439] = {.lex_state = 29, .external_lex_state = 3},
  [440] = {.lex_state = 29, .external_lex_state = 3},
  [441] = {.lex_state = 29, .external_lex_state = 3},
  [442] = {.lex_state = 29, .external_lex_state = 3},
  [443] = {.lex_state = 29, .external_lex_state = 3},
  [444] = {.lex_state = 29, .external_lex_state = 3},
  [445] = {.lex_state = 29, .external_lex_state = 3},
  [446] = {.lex_state = 29, .external_lex_state = 3},
  [447] = {.lex_state = 29, .external_lex_state = 3},
  [448] = {.lex_state = 29, .external_lex_state = 3},
  [449] = {.lex_state = 29, .external_lex_state = 3},
  [450] = {.lex_state = 29, .external_lex_state = 3},
  [451] = {.lex_state = 29, .external_lex_state = 3},
  [452] = {.lex_state = 29, .external_lex_state = 3},
  [453] = {.lex_state = 29, .external_lex_state = 3},
  [454] = {.lex_state = 29, .external_lex_state = 3},
  [455] = {.lex_state = 29, .external_lex_state = 3},
  [456] = {.lex_state = 29, .external_lex_state = 3},
  [457] = {.lex_state = 29, .external_lex_state = 3},
  [458] = {.lex_state = 29, .external_lex_state = 3},
  [459] = {.lex_state = 29, .external_lex_state = 3},
  [460] = {.lex_state = 29, .external_lex_state = 3},
  [461] = {.lex_state = 29, .external_lex_state = 3},
  [462] = {.lex_state = 29, .external_lex_state = 3},
  [463] = {.lex_state = 29, .external_lex_state = 3},
  [464] = {.lex_state = 29, .external_lex_state = 3},
  [465] = {.lex_state = 29, .external_lex_state = 3},
  [466] = {.lex_state = 29, .external_lex_state = 3},
  [467] = {.lex_state = 29, .external_lex_state = 3},
  [468] = {.lex_state = 29, .external_lex_state = 3},
  [469] = {.lex_state = 29, .external_lex_state = 3},
  [470] = {.lex_state = 29, .external_lex_state = 3},
  [471] = {.lex_state = 29, .external_lex_state = 3},
  [472] = {.lex_state = 29, .external_lex_state = 3},
  [473] = {.lex_state = 29, .external_lex_state = 3},
  [474] = {.lex_state = 29, .external_lex_state = 3},
  [475] = {.lex_state = 29, .external_lex_state = 3},
  [476] = {.lex_state = 29, .external_lex_state = 3},
  [477] = {.lex_state = 29, .external_lex_state = 3},
  [478] = {.lex_state = 29, .external_lex_state = 3},
  [479] = {.lex_state = 29, .external_lex_state = 3},
  [480] = {.lex_state = 29, .external_lex_state = 3},
  [481] = {.lex_state = 29, .external_lex_state = 3},
  [482] = {.lex_state = 29, .external_lex_state = 3},
  [483] = {.lex_state = 29, .external_lex_state = 3},
  [484] = {.lex_state = 29, .external_lex_state = 3},
  [485] = {.lex_state = 29, .external_lex_state = 3},
  [486] = {.lex_state = 29, .external_lex_state = 3},
  [487] = {.lex_state = 29, .external_lex_state = 3},
  [488] = {.lex_state = 29, .external_lex_state = 3},
  [489] = {.lex_state = 29, .external_lex_state = 3},
  [490] = {.lex_state = 29, .external_lex_state = 3},
  [491] = {.lex_state = 29, .external_lex_state = 3},
  [492] = {.lex_state = 29, .external_lex_state = 3},
  [493] = {.lex_state = 29, .external_lex_state = 3},
  [494] = {.lex_state = 29, .external_lex_state = 3},
  [495] = {.lex_state = 29, .external_lex_state = 3},
  [496] = {.lex_state = 29, .external_lex_state = 3},
  [497] = {.lex_state = 29, .external_lex_state = 3},
  [498] = {.lex_state = 29, .external_lex_state = 3},
  [499] = {.lex_state = 29, .external_lex_state = 3},
  [500] = {.lex_state = 29, .external_lex_state = 3},
  [501] = {.lex_state = 29, .external_lex_state = 3},
  [502] = {.lex_state = 89, .external_lex_state = 3},
  [503] = {.lex_state = 29, .external_lex_state = 3},
  [504] = {.lex_state = 33, .external_lex_state = 3},
  [505] = {.lex_state = 29, .external_lex_state = 3},
  [506] = {.lex_state = 29, .external_lex_state = 3},
  [507] = {.lex_state = 29, .external_lex_state = 3},
  [508] = {.lex_state = 84, .external_lex_state = 3},
  [509] = {.lex_state = 29, .external_lex_state = 3},
  [510] = {.lex_state = 29, .external_lex_state = 3},
  [511] = {.lex_state = 88, .external_lex_state = 3},
  [512] = {.lex_state = 29, .external_lex_state = 3},
  [513] = {.lex_state = 29, .external_lex_state = 3},
  [514] = {.lex_state = 29, .external_lex_state = 3},
  [515] = {.lex_state = 33, .external_lex_state = 3},
  [516] = {.lex_state = 29, .external_lex_state = 3},
  [517] = {.lex_state = 29, .external_lex_state = 3},
  [518] = {.lex_state = 29, .external_lex_state = 3},
  [519] = {.lex_state = 33, .external_lex_state = 3},
  [520] = {.lex_state = 29, .external_lex_state = 3},
  [521] = {.lex_state = 29, .external_lex_state = 3},
  [522] = {.lex_state = 29, .external_lex_state = 3},
  [523] = {.lex_state = 29, .external_lex_state = 3},
  [524] = {.lex_state = 29, .external_lex_state = 3},
  [525] = {.lex_state = 29, .external_lex_state = 3},
  [526] = {.lex_state = 29, .external_lex_state = 3},
  [527] = {.lex_state = 29, .external_lex_state = 3},
  [528] = {.lex_state = 29, .external_lex_state = 3},
  [529] = {.lex_state = 29, .external_lex_state = 3},
  [530] = {.lex_state = 29, .external_lex_state = 3},
  [531] = {.lex_state = 81, .external_lex_state = 3},
  [532] = {.lex_state = 29, .external_lex_state = 3},
  [533] = {.lex_state = 29, .external_lex_state = 3},
  [534] = {.lex_state = 29, .external_lex_state = 3},
  [535] = {.lex_state = 29, .external_lex_state = 3},
  [536] = {.lex_state = 29, .external_lex_state = 3},
  [537] = {.lex_state = 29, .external_lex_state = 3},
  [538] = {.lex_state = 29, .external_lex_state = 3},
  [539] = {.lex_state = 29, .external_lex_state = 3},
  [540] = {.lex_state = 29, .external_lex_state = 3},
  [541] = {.lex_state = 29, .external_lex_state = 3},
  [542] = {.lex_state = 29, .external_lex_state = 3},
  [543] = {.lex_state = 29, .external_lex_state = 3},
  [544] = {.lex_state = 29, .external_lex_state = 3},
  [545] = {.lex_state = 29, .external_lex_state = 3},
  [546] = {.lex_state = 33, .external_lex_state = 3},
  [547] = {.lex_state = 29, .external_lex_state = 3},
  [548] = {.lex_state = 29, .external_lex_state = 3},
  [549] = {.lex_state = 29, .external_lex_state = 3},
  [550] = {.lex_state = 29, .external_lex_state = 3},
  [551] = {.lex_state = 29, .external_lex_state = 3},
  [552] = {.lex_state = 29, .external_lex_state = 3},
  [553] = {.lex_state = 29, .external_lex_state = 3},
  [554] = {.lex_state = 29, .external_lex_state = 3},
  [555] = {.lex_state = 29, .external_lex_state = 3},
  [556] = {.lex_state = 29, .external_lex_state = 3},
  [557] = {.lex_state = 29, .external_lex_state = 3},
  [558] = {.lex_state = 29, .external_lex_state = 3},
  [559] = {.lex_state = 29, .external_lex_state = 3},
  [560] = {.lex_state = 29, .external_lex_state = 3},
  [561] = {.lex_state = 29, .external_lex_state = 3},
  [562] = {.lex_state = 29, .external_lex_state = 3},
  [563] = {.lex_state = 29, .external_lex_state = 3},
  [564] = {.lex_state = 29, .external_lex_state = 3},
  [565] = {.lex_state = 29, .external_lex_state = 3},
  [566] = {.lex_state = 29, .external_lex_state = 3},
  [567] = {.lex_state = 29, .external_lex_state = 3},
  [568] = {.lex_state = 29, .external_lex_state = 3},
  [569] = {.lex_state = 29, .external_lex_state = 3},
  [570] = {.lex_state = 29, .external_lex_state = 3},
  [571] = {.lex_state = 29, .external_lex_state = 3},
  [572] = {.lex_state = 29, .external_lex_state = 3},
  [573] = {.lex_state = 29, .external_lex_state = 3},
  [574] = {.lex_state = 29, .external_lex_state = 3},
  [575] = {.lex_state = 29, .external_lex_state = 3},
  [576] = {.lex_state = 29, .external_lex_state = 3},
  [577] = {.lex_state = 29, .external_lex_state = 3},
  [578] = {.lex_state = 29, .external_lex_state = 3},
  [579] = {.lex_state = 29, .external_lex_state = 3},
  [580] = {.lex_state = 29, .external_lex_state = 3},
  [581] = {.lex_state = 29, .external_lex_state = 3},
  [582] = {.lex_state = 29, .external_lex_state = 3},
  [583] = {.lex_state = 29, .external_lex_state = 3},
  [584] = {.lex_state = 29, .external_lex_state = 3},
  [585] = {.lex_state = 29, .external_lex_state = 3},
  [586] = {.lex_state = 29, .external_lex_state = 3},
  [587] = {.lex_state = 29, .external_lex_state = 3},
  [588] = {.lex_state = 29, .external_lex_state = 3},
  [589] = {.lex_state = 29, .external_lex_state = 3},
  [590] = {.lex_state = 29, .external_lex_state = 3},
  [591] = {.lex_state = 29, .external_lex_state = 3},
  [592] = {.lex_state = 29, .external_lex_state = 3},
  [593] = {.lex_state = 29, .external_lex_state = 3},
  [594] = {.lex_state = 29, .external_lex_state = 3},
  [595] = {.lex_state = 29, .external_lex_state = 3},
  [596] = {.lex_state = 29, .external_lex_state = 3},
  [597] = {.lex_state = 29, .external_lex_state = 3},
  [598] = {.lex_state = 29, .external_lex_state = 3},
  [599] = {.lex_state = 29, .external_lex_state = 3},
  [600] = {.lex_state = 29, .external_lex_state = 3},
  [601] = {.lex_state = 29, .external_lex_state = 3},
  [602] = {.lex_state = 29, .external_lex_state = 3},
  [603] = {.lex_state = 29, .external_lex_state = 3},
  [604] = {.lex_state = 29, .external_lex_state = 3},
  [605] = {.lex_state = 29, .external_lex_state = 3},
  [606] = {.lex_state = 29, .external_lex_state = 3},
  [607] = {.lex_state = 29, .external_lex_state = 3},
  [608] = {.lex_state = 29, .external_lex_state = 3},
  [609] = {.lex_state = 29, .external_lex_state = 3},
  [610] = {.lex_state = 29, .external_lex_state = 3},
  [611] = {.lex_state = 29, .external_lex_state = 3},
  [612] = {.lex_state = 29, .external_lex_state = 3},
  [613] = {.lex_state = 29, .external_lex_state = 3},
  [614] = {.lex_state = 29, .external_lex_state = 3},
  [615] = {.lex_state = 29, .external_lex_state = 3},
  [616] = {.lex_state = 29, .external_lex_state = 3},
  [617] = {.lex_state = 29, .external_lex_state = 3},
  [618] = {.lex_state = 29, .external_lex_state = 3},
  [619] = {.lex_state = 29, .external_lex_state = 3},
  [620] = {.lex_state = 29, .external_lex_state = 3},
  [621] = {.lex_state = 29, .external_lex_state = 3},
  [622] = {.lex_state = 29, .external_lex_state = 3},
  [623] = {.lex_state = 29, .external_lex_state = 3},
  [624] = {.lex_state = 29, .external_lex_state = 3},
  [625] = {.lex_state = 29, .external_lex_state = 3},
  [626] = {.lex_state = 29, .external_lex_state = 3},
  [627] = {.lex_state = 29, .external_lex_state = 3},
  [628] = {.lex_state = 29, .external_lex_state = 3},
  [629] = {.lex_state = 29, .external_lex_state = 3},
  [630] = {.lex_state = 29, .external_lex_state = 3},
  [631] = {.lex_state = 29, .external_lex_state = 3},
  [632] = {.lex_state = 29, .external_lex_state = 3},
  [633] = {.lex_state = 29, .external_lex_state = 3},
  [634] = {.lex_state = 29, .external_lex_state = 3},
  [635] = {.lex_state = 29, .external_lex_state = 3},
  [636] = {.lex_state = 29, .external_lex_state = 3},
  [637] = {.lex_state = 29, .external_lex_state = 3},
  [638] = {.lex_state = 29, .external_lex_state = 3},
  [639] = {.lex_state = 29, .external_lex_state = 3},
  [640] = {.lex_state = 29, .external_lex_state = 3},
  [641] = {.lex_state = 29, .external_lex_state = 3},
  [642] = {.lex_state = 29, .external_lex_state = 3},
  [643] = {.lex_state = 29, .external_lex_state = 3},
  [644] = {.lex_state = 29, .external_lex_state = 3},
  [645] = {.lex_state = 29, .external_lex_state = 3},
  [646] = {.lex_state = 29, .external_lex_state = 3},
  [647] = {.lex_state = 29, .external_lex_state = 3},
  [648] = {.lex_state = 29, .external_lex_state = 3},
  [649] = {.lex_state = 29, .external_lex_state = 3},
  [650] = {.lex_state = 29, .external_lex_state = 3},
  [651] = {.lex_state = 29, .external_lex_state = 3},
  [652] = {.lex_state = 29, .external_lex_state = 3},
  [653] = {.lex_state = 29, .external_lex_state = 3},
  [654] = {.lex_state = 29, .external_lex_state = 3},
  [655] = {.lex_state = 29, .external_lex_state = 3},
  [656] = {.lex_state = 29, .external_lex_state = 3},
  [657] = {.lex_state = 29, .external_lex_state = 3},
  [658] = {.lex_state = 29, .external_lex_state = 3},
  [659] = {.lex_state = 29, .external_lex_state = 3},
  [660] = {.lex_state = 29, .external_lex_state = 3},
  [661] = {.lex_state = 29, .external_lex_state = 3},
  [662] = {.lex_state = 29, .external_lex_state = 3},
  [663] = {.lex_state = 29, .external_lex_state = 3},
  [664] = {.lex_state = 29, .external_lex_state = 3},
  [665] = {.lex_state = 29, .external_lex_state = 3},
  [666] = {.lex_state = 29, .external_lex_state = 3},
  [667] = {.lex_state = 29, .external_lex_state = 3},
  [668] = {.lex_state = 29, .external_lex_state = 3},
  [669] = {.lex_state = 29, .external_lex_state = 3},
  [670] = {.lex_state = 29, .external_lex_state = 3},
  [671] = {.lex_state = 29, .external_lex_state = 3},
  [672] = {.lex_state = 29, .external_lex_state = 3},
  [673] = {.lex_state = 29, .external_lex_state = 3},
  [674] = {.lex_state = 29, .external_lex_state = 3},
  [675] = {.lex_state = 29, .external_lex_state = 3},
  [676] = {.lex_state = 29, .external_lex_state = 3},
  [677] = {.lex_state = 29, .external_lex_state = 3},
  [678] = {.lex_state = 29, .external_lex_state = 3},
  [679] = {.lex_state = 29, .external_lex_state = 3},
  [680] = {.lex_state = 29, .external_lex_state = 3},
  [681] = {.lex_state = 29, .external_lex_state = 3},
  [682] = {.lex_state = 29, .external_lex_state = 3},
  [683] = {.lex_state = 29, .external_lex_state = 3},
  [684] = {.lex_state = 29, .external_lex_state = 3},
  [685] = {.lex_state = 29, .external_lex_state = 3},
  [686] = {.lex_state = 29, .external_lex_state = 3},
  [687] = {.lex_state = 29, .external_lex_state = 3},
  [688] = {.lex_state = 29, .external_lex_state = 3},
  [689] = {.lex_state = 29, .external_lex_state = 3},
  [690] = {.lex_state = 29, .external_lex_state = 3},
  [691] = {.lex_state = 29, .external_lex_state = 3},
  [692] = {.lex_state = 29, .external_lex_state = 3},
  [693] = {.lex_state = 29, .external_lex_state = 3},
  [694] = {.lex_state = 29, .external_lex_state = 3},
  [695] = {.lex_state = 29, .external_lex_state = 3},
  [696] = {.lex_state = 29, .external_lex_state = 3},
  [697] = {.lex_state = 29, .external_lex_state = 3},
  [698] = {.lex_state = 29, .external_lex_state = 3},
  [699] = {.lex_state = 29, .external_lex_state = 3},
  [700] = {.lex_state = 29, .external_lex_state = 3},
  [701] = {.lex_state = 29, .external_lex_state = 3},
  [702] = {.lex_state = 29, .external_lex_state = 3},
  [703] = {.lex_state = 29, .external_lex_state = 3},
  [704] = {.lex_state = 29, .external_lex_state = 3},
  [705] = {.lex_state = 29, .external_lex_state = 3},
  [706] = {.lex_state = 29, .external_lex_state = 3},
  [707] = {.lex_state = 29, .external_lex_state = 3},
  [708] = {.lex_state = 29, .external_lex_state = 3},
  [709] = {.lex_state = 29, .external_lex_state = 3},
  [710] = {.lex_state = 29, .external_lex_state = 3},
  [711] = {.lex_state = 29, .external_lex_state = 3},
  [712] = {.lex_state = 29, .external_lex_state = 3},
  [713] = {.lex_state = 29, .external_lex_state = 3},
  [714] = {.lex_state = 29, .external_lex_state = 3},
  [715] = {.lex_state = 29, .external_lex_state = 3},
  [716] = {.lex_state = 29, .external_lex_state = 3},
  [717] = {.lex_state = 29, .external_lex_state = 3},
  [718] = {.lex_state = 29, .external_lex_state = 3},
  [719] = {.lex_state = 29, .external_lex_state = 3},
  [720] = {.lex_state = 29, .external_lex_state = 3},
  [721] = {.lex_state = 29, .external_lex_state = 3},
  [722] = {.lex_state = 29, .external_lex_state = 3},
  [723] = {.lex_state = 29, .external_lex_state = 3},
  [724] = {.lex_state = 29, .external_lex_state = 3},
  [725] = {.lex_state = 29, .external_lex_state = 3},
  [726] = {.lex_state = 29, .external_lex_state = 3},
  [727] = {.lex_state = 29, .external_lex_state = 3},
  [728] = {.lex_state = 29, .external_lex_state = 3},
  [729] = {.lex_state = 29, .external_lex_state = 3},
  [730] = {.lex_state = 29, .external_lex_state = 3},
  [731] = {.lex_state = 29, .external_lex_state = 3},
  [732] = {.lex_state = 29, .external_lex_state = 3},
  [733] = {.lex_state = 29, .external_lex_state = 3},
  [734] = {.lex_state = 29, .external_lex_state = 3},
  [735] = {.lex_state = 29, .external_lex_state = 3},
  [736] = {.lex_state = 29, .external_lex_state = 3},
  [737] = {.lex_state = 29, .external_lex_state = 3},
  [738] = {.lex_state = 29, .external_lex_state = 3},
  [739] = {.lex_state = 29, .external_lex_state = 3},
  [740] = {.lex_state = 29, .external_lex_state = 3},
  [741] = {.lex_state = 29, .external_lex_state = 3},
  [742] = {.lex_state = 29, .external_lex_state = 3},
  [743] = {.lex_state = 29, .external_lex_state = 3},
  [744] = {.lex_state = 29, .external_lex_state = 3},
  [745] = {.lex_state = 29, .external_lex_state = 3},
  [746] = {.lex_state = 29, .external_lex_state = 3},
  [747] = {.lex_state = 29, .external_lex_state = 3},
  [748] = {.lex_state = 29, .external_lex_state = 3},
  [749] = {.lex_state = 29, .external_lex_state = 3},
  [750] = {.lex_state = 29, .external_lex_state = 3},
  [751] = {.lex_state = 29, .external_lex_state = 3},
  [752] = {.lex_state = 29, .external_lex_state = 3},
  [753] = {.lex_state = 29, .external_lex_state = 3},
  [754] = {.lex_state = 29, .external_lex_state = 3},
  [755] = {.lex_state = 29, .external_lex_state = 3},
  [756] = {.lex_state = 29, .external_lex_state = 3},
  [757] = {.lex_state = 29, .external_lex_state = 3},
  [758] = {.lex_state = 29, .external_lex_state = 3},
  [759] = {.lex_state = 29, .external_lex_state = 3},
  [760] = {.lex_state = 29, .external_lex_state = 3},
  [761] = {.lex_state = 29, .external_lex_state = 3},
  [762] = {.lex_state = 29, .external_lex_state = 3},
  [763] = {.lex_state = 29, .external_lex_state = 3},
  [764] = {.lex_state = 29, .external_lex_state = 3},
  [765] = {.lex_state = 29, .external_lex_state = 3},
  [766] = {.lex_state = 29, .external_lex_state = 3},
  [767] = {.lex_state = 29, .external_lex_state = 3},
  [768] = {.lex_state = 29, .external_lex_state = 3},
  [769] = {.lex_state = 29, .external_lex_state = 3},
  [770] = {.lex_state = 29, .external_lex_state = 3},
  [771] = {.lex_state = 29, .external_lex_state = 3},
  [772] = {.lex_state = 29, .external_lex_state = 3},
  [773] = {.lex_state = 29, .external_lex_state = 3},
  [774] = {.lex_state = 29, .external_lex_state = 3},
  [775] = {.lex_state = 29, .external_lex_state = 3},
  [776] = {.lex_state = 29, .external_lex_state = 3},
  [777] = {.lex_state = 29, .external_lex_state = 3},
  [778] = {.lex_state = 29, .external_lex_state = 3},
  [779] = {.lex_state = 29, .external_lex_state = 3},
  [780] = {.lex_state = 29, .external_lex_state = 3},
  [781] = {.lex_state = 29, .external_lex_state = 3},
  [782] = {.lex_state = 29, .external_lex_state = 3},
  [783] = {.lex_state = 29, .external_lex_state = 3},
  [784] = {.lex_state = 29, .external_lex_state = 3},
  [785] = {.lex_state = 29, .external_lex_state = 3},
  [786] = {.lex_state = 29, .external_lex_state = 3},
  [787] = {.lex_state = 29, .external_lex_state = 3},
  [788] = {.lex_state = 29, .external_lex_state = 3},
  [789] = {.lex_state = 29, .external_lex_state = 3},
  [790] = {.lex_state = 29, .external_lex_state = 3},
  [791] = {.lex_state = 29, .external_lex_state = 3},
  [792] = {.lex_state = 29, .external_lex_state = 3},
  [793] = {.lex_state = 29, .external_lex_state = 3},
  [794] = {.lex_state = 29, .external_lex_state = 3},
  [795] = {.lex_state = 29, .external_lex_state = 3},
  [796] = {.lex_state = 29, .external_lex_state = 3},
  [797] = {.lex_state = 29, .external_lex_state = 3},
  [798] = {.lex_state = 29, .external_lex_state = 3},
  [799] = {.lex_state = 29, .external_lex_state = 3},
  [800] = {.lex_state = 29, .external_lex_state = 3},
  [801] = {.lex_state = 29, .external_lex_state = 3},
  [802] = {.lex_state = 29, .external_lex_state = 3},
  [803] = {.lex_state = 29, .external_lex_state = 3},
  [804] = {.lex_state = 29, .external_lex_state = 3},
  [805] = {.lex_state = 29, .external_lex_state = 3},
  [806] = {.lex_state = 29, .external_lex_state = 3},
  [807] = {.lex_state = 29, .external_lex_state = 3},
  [808] = {.lex_state = 29, .external_lex_state = 3},
  [809] = {.lex_state = 29, .external_lex_state = 3},
  [810] = {.lex_state = 29, .external_lex_state = 3},
  [811] = {.lex_state = 29, .external_lex_state = 3},
  [812] = {.lex_state = 29, .external_lex_state = 3},
  [813] = {.lex_state = 29, .external_lex_state = 3},
  [814] = {.lex_state = 29, .external_lex_state = 3},
  [815] = {.lex_state = 29, .external_lex_state = 3},
  [816] = {.lex_state = 29, .external_lex_state = 3},
  [817] = {.lex_state = 29, .external_lex_state = 3},
  [818] = {.lex_state = 29, .external_lex_state = 3},
  [819] = {.lex_state = 29, .external_lex_state = 3},
  [820] = {.lex_state = 29, .external_lex_state = 3},
  [821] = {.lex_state = 29, .external_lex_state = 3},
  [822] = {.lex_state = 29, .external_lex_state = 3},
  [823] = {.lex_state = 29, .external_lex_state = 3},
  [824] = {.lex_state = 29, .external_lex_state = 3},
  [825] = {.lex_state = 29, .external_lex_state = 3},
  [826] = {.lex_state = 29, .external_lex_state = 3},
  [827] = {.lex_state = 29, .external_lex_state = 3},
  [828] = {.lex_state = 29, .external_lex_state = 3},
  [829] = {.lex_state = 29, .external_lex_state = 3},
  [830] = {.lex_state = 29, .external_lex_state = 3},
  [831] = {.lex_state = 29, .external_lex_state = 3},
  [832] = {.lex_state = 82, .external_lex_state = 3},
  [833] = {.lex_state = 29, .external_lex_state = 3},
  [834] = {.lex_state = 29, .external_lex_state = 3},
  [835] = {.lex_state = 29, .external_lex_state = 3},
  [836] = {.lex_state = 29, .external_lex_state = 3},
  [837] = {.lex_state = 29, .external_lex_state = 3},
  [838] = {.lex_state = 29, .external_lex_state = 3},
  [839] = {.lex_state = 29, .external_lex_state = 3},
  [840] = {.lex_state = 29, .external_lex_state = 3},
  [841] = {.lex_state = 29, .external_lex_state = 3},
  [842] = {.lex_state = 90, .external_lex_state = 3},
  [843] = {.lex_state = 29, .external_lex_state = 3},
  [844] = {.lex_state = 29, .external_lex_state = 3},
  [845] = {.lex_state = 29, .external_lex_state = 3},
  [846] = {.lex_state = 29, .external_lex_state = 3},
  [847] = {.lex_state = 29, .external_lex_state = 3},
  [848] = {.lex_state = 29, .external_lex_state = 3},
  [849] = {.lex_state = 29, .external_lex_state = 3},
  [850] = {.lex_state = 29, .external_lex_state = 3},
  [851] = {.lex_state = 29, .external_lex_state = 3},
  [852] = {.lex_state = 29, .external_lex_state = 3},
  [853] = {.lex_state = 29, .external_lex_state = 3},
  [854] = {.lex_state = 29, .external_lex_state = 3},
  [855] = {.lex_state = 29, .external_lex_state = 3},
  [856] = {.lex_state = 29, .external_lex_state = 3},
  [857] = {.lex_state = 29, .external_lex_state = 3},
  [858] = {.lex_state = 29, .external_lex_state = 3},
  [859] = {.lex_state = 29, .external_lex_state = 3},
  [860] = {.lex_state = 29, .external_lex_state = 3},
  [861] = {.lex_state = 29, .external_lex_state = 3},
  [862] = {.lex_state = 29, .external_lex_state = 3},
  [863] = {.lex_state = 29, .external_lex_state = 3},
  [864] = {.lex_state = 29, .external_lex_state = 3},
  [865] = {.lex_state = 29, .external_lex_state = 3},
  [866] = {.lex_state = 29, .external_lex_state = 3},
  [867] = {.lex_state = 29, .external_lex_state = 3},
  [868] = {.lex_state = 29, .external_lex_state = 3},
  [869] = {.lex_state = 29, .external_lex_state = 3},
  [870] = {.lex_state = 29, .external_lex_state = 3},
  [871] = {.lex_state = 29, .external_lex_state = 3},
  [872] = {.lex_state = 29, .external_lex_state = 3},
  [873] = {.lex_state = 29, .external_lex_state = 3},
  [874] = {.lex_state = 29, .external_lex_state = 3},
  [875] = {.lex_state = 29, .external_lex_state = 3},
  [876] = {.lex_state = 29, .external_lex_state = 3},
  [877] = {.lex_state = 29, .external_lex_state = 3},
  [878] = {.lex_state = 29, .external_lex_state = 3},
  [879] = {.lex_state = 29, .external_lex_state = 3},
  [880] = {.lex_state = 29, .external_lex_state = 3},
  [881] = {.lex_state = 29, .external_lex_state = 3},
  [882] = {.lex_state = 29, .external_lex_state = 3},
  [883] = {.lex_state = 29, .external_lex_state = 3},
  [884] = {.lex_state = 29, .external_lex_state = 3},
  [885] = {.lex_state = 29, .external_lex_state = 3},
  [886] = {.lex_state = 29, .external_lex_state = 3},
  [887] = {.lex_state = 29, .external_lex_state = 3},
  [888] = {.lex_state = 29, .external_lex_state = 3},
  [889] = {.lex_state = 29, .external_lex_state = 3},
  [890] = {.lex_state = 29, .external_lex_state = 3},
  [891] = {.lex_state = 29, .external_lex_state = 3},
  [892] = {.lex_state = 29, .external_lex_state = 3},
  [893] = {.lex_state = 29, .external_lex_state = 3},
  [894] = {.lex_state = 29, .external_lex_state = 3},
  [895] = {.lex_state = 29, .external_lex_state = 3},
  [896] = {.lex_state = 29, .external_lex_state = 3},
  [897] = {.lex_state = 29, .external_lex_state = 3},
  [898] = {.lex_state = 29, .external_lex_state = 3},
  [899] = {.lex_state = 29, .external_lex_state = 3},
  [900] = {.lex_state = 29, .external_lex_state = 3},
  [901] = {.lex_state = 29, .external_lex_state = 3},
  [902] = {.lex_state = 29, .external_lex_state = 3},
  [903] = {.lex_state = 29, .external_lex_state = 3},
  [904] = {.lex_state = 29, .external_lex_state = 3},
  [905] = {.lex_state = 29, .external_lex_state = 3},
  [906] = {.lex_state = 29, .external_lex_state = 3},
  [907] = {.lex_state = 29, .external_lex_state = 3},
  [908] = {.lex_state = 29, .external_lex_state = 3},
  [909] = {.lex_state = 29, .external_lex_state = 3},
  [910] = {.lex_state = 29, .external_lex_state = 3},
  [911] = {.lex_state = 29, .external_lex_state = 3},
  [912] = {.lex_state = 29, .external_lex_state = 3},
  [913] = {.lex_state = 29, .external_lex_state = 3},
  [914] = {.lex_state = 29, .external_lex_state = 3},
  [915] = {.lex_state = 29, .external_lex_state = 3},
  [916] = {.lex_state = 29, .external_lex_state = 3},
  [917] = {.lex_state = 29, .external_lex_state = 3},
  [918] = {.lex_state = 29, .external_lex_state = 3},
  [919] = {.lex_state = 29, .external_lex_state = 3},
  [920] = {.lex_state = 29, .external_lex_state = 3},
  [921] = {.lex_state = 29, .external_lex_state = 3},
  [922] = {.lex_state = 29, .external_lex_state = 3},
  [923] = {.lex_state = 29, .external_lex_state = 3},
  [924] = {.lex_state = 29, .external_lex_state = 3},
  [925] = {.lex_state = 29, .external_lex_state = 3},
  [926] = {.lex_state = 29, .external_lex_state = 3},
  [927] = {.lex_state = 29, .external_lex_state = 3},
  [928] = {.lex_state = 29, .external_lex_state = 3},
  [929] = {.lex_state = 29, .external_lex_state = 3},
  [930] = {.lex_state = 29, .external_lex_state = 3},
  [931] = {.lex_state = 29, .external_lex_state = 3},
  [932] = {.lex_state = 29, .external_lex_state = 3},
  [933] = {.lex_state = 29, .external_lex_state = 3},
  [934] = {.lex_state = 29, .external_lex_state = 3},
  [935] = {.lex_state = 29, .external_lex_state = 3},
  [936] = {.lex_state = 29, .external_lex_state = 3},
  [937] = {.lex_state = 29, .external_lex_state = 3},
  [938] = {.lex_state = 29, .external_lex_state = 3},
  [939] = {.lex_state = 29, .external_lex_state = 3},
  [940] = {.lex_state = 29, .external_lex_state = 3},
  [941] = {.lex_state = 29, .external_lex_state = 3},
  [942] = {.lex_state = 29, .external_lex_state = 3},
  [943] = {.lex_state = 29, .external_lex_state = 3},
  [944] = {.lex_state = 29, .external_lex_state = 3},
  [945] = {.lex_state = 29, .external_lex_state = 3},
  [946] = {.lex_state = 29, .external_lex_state = 3},
  [947] = {.lex_state = 29, .external_lex_state = 3},
  [948] = {.lex_state = 29, .external_lex_state = 3},
  [949] = {.lex_state = 29, .external_lex_state = 3},
  [950] = {.lex_state = 29, .external_lex_state = 3},
  [951] = {.lex_state = 29, .external_lex_state = 3},
  [952] = {.lex_state = 29, .external_lex_state = 3},
  [953] = {.lex_state = 29, .external_lex_state = 3},
  [954] = {.lex_state = 29, .external_lex_state = 3},
  [955] = {.lex_state = 29, .external_lex_state = 3},
  [956] = {.lex_state = 29, .external_lex_state = 3},
  [957] = {.lex_state = 29, .external_lex_state = 3},
  [958] = {.lex_state = 29, .external_lex_state = 3},
  [959] = {.lex_state = 29, .external_lex_state = 3},
  [960] = {.lex_state = 29, .external_lex_state = 3},
  [961] = {.lex_state = 29, .external_lex_state = 3},
  [962] = {.lex_state = 29, .external_lex_state = 3},
  [963] = {.lex_state = 29, .external_lex_state = 3},
  [964] = {.lex_state = 29, .external_lex_state = 3},
  [965] = {.lex_state = 29, .external_lex_state = 3},
  [966] = {.lex_state = 29, .external_lex_state = 3},
  [967] = {.lex_state = 29, .external_lex_state = 3},
  [968] = {.lex_state = 29, .external_lex_state = 3},
  [969] = {.lex_state = 29, .external_lex_state = 3},
  [970] = {.lex_state = 29, .external_lex_state = 3},
  [971] = {.lex_state = 29, .external_lex_state = 3},
  [972] = {.lex_state = 29, .external_lex_state = 3},
  [973] = {.lex_state = 29, .external_lex_state = 3},
  [974] = {.lex_state = 29, .external_lex_state = 3},
  [975] = {.lex_state = 29, .external_lex_state = 3},
  [976] = {.lex_state = 29, .external_lex_state = 3},
  [977] = {.lex_state = 29, .external_lex_state = 3},
  [978] = {.lex_state = 29, .external_lex_state = 3},
  [979] = {.lex_state = 29, .external_lex_state = 3},
  [980] = {.lex_state = 29, .external_lex_state = 3},
  [981] = {.lex_state = 29, .external_lex_state = 3},
  [982] = {.lex_state = 29, .external_lex_state = 3},
  [983] = {.lex_state = 29, .external_lex_state = 3},
  [984] = {.lex_state = 29, .external_lex_state = 3},
  [985] = {.lex_state = 29, .external_lex_state = 3},
  [986] = {.lex_state = 29, .external_lex_state = 3},
  [987] = {.lex_state = 29, .external_lex_state = 3},
  [988] = {.lex_state = 29, .external_lex_state = 3},
  [989] = {.lex_state = 29, .external_lex_state = 3},
  [990] = {.lex_state = 29, .external_lex_state = 3},
  [991] = {.lex_state = 29, .external_lex_state = 3},
  [992] = {.lex_state = 29, .external_lex_state = 3},
  [993] = {.lex_state = 29, .external_lex_state = 3},
  [994] = {.lex_state = 29, .external_lex_state = 3},
  [995] = {.lex_state = 29, .external_lex_state = 3},
  [996] = {.lex_state = 29, .external_lex_state = 3},
  [997] = {.lex_state = 29, .external_lex_state = 3},
  [998] = {.lex_state = 29, .external_lex_state = 3},
  [999] = {.lex_state = 29, .external_lex_state = 3},
  [1000] = {.lex_state = 29, .external_lex_state = 3},
  [1001] = {.lex_state = 29, .external_lex_state = 3},
  [1002] = {.lex_state = 29, .external_lex_state = 3},
  [1003] = {.lex_state = 29, .external_lex_state = 3},
  [1004] = {.lex_state = 29, .external_lex_state = 3},
  [1005] = {.lex_state = 29, .external_lex_state = 3},
  [1006] = {.lex_state = 29, .external_lex_state = 3},
  [1007] = {.lex_state = 29, .external_lex_state = 3},
  [1008] = {.lex_state = 29, .external_lex_state = 3},
  [1009] = {.lex_state = 29, .external_lex_state = 3},
  [1010] = {.lex_state = 29, .external_lex_state = 3},
  [1011] = {.lex_state = 29, .external_lex_state = 3},
  [1012] = {.lex_state = 29, .external_lex_state = 3},
  [1013] = {.lex_state = 29, .external_lex_state = 3},
  [1014] = {.lex_state = 29, .external_lex_state = 3},
  [1015] = {.lex_state = 29, .external_lex_state = 3},
  [1016] = {.lex_state = 29, .external_lex_state = 3},
  [1017] = {.lex_state = 29, .external_lex_state = 3},
  [1018] = {.lex_state = 29, .external_lex_state = 3},
  [1019] = {.lex_state = 29, .external_lex_state = 3},
  [1020] = {.lex_state = 29, .external_lex_state = 3},
  [1021] = {.lex_state = 29, .external_lex_state = 3},
  [1022] = {.lex_state = 29, .external_lex_state = 3},
  [1023] = {.lex_state = 29, .external_lex_state = 3},
  [1024] = {.lex_state = 29, .external_lex_state = 3},
  [1025] = {.lex_state = 29, .external_lex_state = 3},
  [1026] = {.lex_state = 29, .external_lex_state = 3},
  [1027] = {.lex_state = 29, .external_lex_state = 3},
  [1028] = {.lex_state = 29, .external_lex_state = 3},
  [1029] = {.lex_state = 29, .external_lex_state = 3},
  [1030] = {.lex_state = 29, .external_lex_state = 3},
  [1031] = {.lex_state = 29, .external_lex_state = 3},
  [1032] = {.lex_state = 29, .external_lex_state = 3},
  [1033] = {.lex_state = 29, .external_lex_state = 3},
  [1034] = {.lex_state = 29, .external_lex_state = 3},
  [1035] = {.lex_state = 29, .external_lex_state = 3},
  [1036] = {.lex_state = 29, .external_lex_state = 3},
  [1037] = {.lex_state = 29, .external_lex_state = 3},
  [1038] = {.lex_state = 29, .external_lex_state = 3},
  [1039] = {.lex_state = 29, .external_lex_state = 3},
  [1040] = {.lex_state = 29, .external_lex_state = 3},
  [1041] = {.lex_state = 29, .external_lex_state = 3},
  [1042] = {.lex_state = 29, .external_lex_state = 3},
  [1043] = {.lex_state = 29, .external_lex_state = 3},
  [1044] = {.lex_state = 29, .external_lex_state = 3},
  [1045] = {.lex_state = 29, .external_lex_state = 3},
  [1046] = {.lex_state = 29, .external_lex_state = 3},
  [1047] = {.lex_state = 29, .external_lex_state = 3},
  [1048] = {.lex_state = 29, .external_lex_state = 3},
  [1049] = {.lex_state = 29, .external_lex_state = 3},
  [1050] = {.lex_state = 29, .external_lex_state = 3},
  [1051] = {.lex_state = 29, .external_lex_state = 3},
  [1052] = {.lex_state = 29, .external_lex_state = 3},
  [1053] = {.lex_state = 29, .external_lex_state = 3},
  [1054] = {.lex_state = 29, .external_lex_state = 3},
  [1055] = {.lex_state = 29, .external_lex_state = 3},
  [1056] = {.lex_state = 29, .external_lex_state = 3},
  [1057] = {.lex_state = 29, .external_lex_state = 3},
  [1058] = {.lex_state = 29, .external_lex_state = 3},
  [1059] = {.lex_state = 29, .external_lex_state = 3},
  [1060] = {.lex_state = 29, .external_lex_state = 3},
  [1061] = {.lex_state = 29, .external_lex_state = 3},
  [1062] = {.lex_state = 29, .external_lex_state = 3},
  [1063] = {.lex_state = 29, .external_lex_state = 3},
  [1064] = {.lex_state = 29, .external_lex_state = 3},
  [1065] = {.lex_state = 29, .external_lex_state = 3},
  [1066] = {.lex_state = 29, .external_lex_state = 3},
  [1067] = {.lex_state = 29, .external_lex_state = 3},
  [1068] = {.lex_state = 29, .external_lex_state = 3},
  [1069] = {.lex_state = 29, .external_lex_state = 3},
  [1070] = {.lex_state = 29, .external_lex_state = 3},
  [1071] = {.lex_state = 29, .external_lex_state = 3},
  [1072] = {.lex_state = 29, .external_lex_state = 3},
  [1073] = {.lex_state = 29, .external_lex_state = 3},
  [1074] = {.lex_state = 29, .external_lex_state = 3},
  [1075] = {.lex_state = 29, .external_lex_state = 3},
  [1076] = {.lex_state = 29, .external_lex_state = 3},
  [1077] = {.lex_state = 29, .external_lex_state = 3},
  [1078] = {.lex_state = 29, .external_lex_state = 3},
  [1079] = {.lex_state = 29, .external_lex_state = 3},
  [1080] = {.lex_state = 29, .external_lex_state = 3},
  [1081] = {.lex_state = 29, .external_lex_state = 3},
  [1082] = {.lex_state = 29, .external_lex_state = 3},
  [1083] = {.lex_state = 29, .external_lex_state = 3},
  [1084] = {.lex_state = 29, .external_lex_state = 3},
  [1085] = {.lex_state = 29, .external_lex_state = 3},
  [1086] = {.lex_state = 29, .external_lex_state = 3},
  [1087] = {.lex_state = 29, .external_lex_state = 3},
  [1088] = {.lex_state = 29, .external_lex_state = 3},
  [1089] = {.lex_state = 29, .external_lex_state = 3},
  [1090] = {.lex_state = 29, .external_lex_state = 3},
  [1091] = {.lex_state = 29, .external_lex_state = 3},
  [1092] = {.lex_state = 29, .external_lex_state = 3},
  [1093] = {.lex_state = 29, .external_lex_state = 3},
  [1094] = {.lex_state = 29, .external_lex_state = 3},
  [1095] = {.lex_state = 29, .external_lex_state = 3},
  [1096] = {.lex_state = 29, .external_lex_state = 3},
  [1097] = {.lex_state = 29, .external_lex_state = 3},
  [1098] = {.lex_state = 29, .external_lex_state = 3},
  [1099] = {.lex_state = 29, .external_lex_state = 3},
  [1100] = {.lex_state = 29, .external_lex_state = 3},
  [1101] = {.lex_state = 29, .external_lex_state = 3},
  [1102] = {.lex_state = 29, .external_lex_state = 3},
  [1103] = {.lex_state = 29, .external_lex_state = 3},
  [1104] = {.lex_state = 29, .external_lex_state = 3},
  [1105] = {.lex_state = 29, .external_lex_state = 3},
  [1106] = {.lex_state = 29, .external_lex_state = 3},
  [1107] = {.lex_state = 29, .external_lex_state = 3},
  [1108] = {.lex_state = 29, .external_lex_state = 3},
  [1109] = {.lex_state = 29, .external_lex_state = 3},
  [1110] = {.lex_state = 29, .external_lex_state = 3},
  [1111] = {.lex_state = 29, .external_lex_state = 3},
  [1112] = {.lex_state = 29, .external_lex_state = 3},
  [1113] = {.lex_state = 29, .external_lex_state = 3},
  [1114] = {.lex_state = 29, .external_lex_state = 3},
  [1115] = {.lex_state = 29, .external_lex_state = 3},
  [1116] = {.lex_state = 29, .external_lex_state = 3},
  [1117] = {.lex_state = 29, .external_lex_state = 3},
  [1118] = {.lex_state = 29, .external_lex_state = 3},
  [1119] = {.lex_state = 29, .external_lex_state = 3},
  [1120] = {.lex_state = 29, .external_lex_state = 3},
  [1121] = {.lex_state = 29, .external_lex_state = 3},
  [1122] = {.lex_state = 29, .external_lex_state = 3},
  [1123] = {.lex_state = 29, .external_lex_state = 3},
  [1124] = {.lex_state = 29, .external_lex_state = 3},
  [1125] = {.lex_state = 29, .external_lex_state = 3},
  [1126] = {.lex_state = 29, .external_lex_state = 3},
  [1127] = {.lex_state = 29, .external_lex_state = 3},
  [1128] = {.lex_state = 29, .external_lex_state = 3},
  [1129] = {.lex_state = 29, .external_lex_state = 3},
  [1130] = {.lex_state = 29, .external_lex_state = 3},
  [1131] = {.lex_state = 29, .external_lex_state = 3},
  [1132] = {.lex_state = 29, .external_lex_state = 3},
  [1133] = {.lex_state = 29, .external_lex_state = 3},
  [1134] = {.lex_state = 29, .external_lex_state = 3},
  [1135] = {.lex_state = 29, .external_lex_state = 3},
  [1136] = {.lex_state = 29, .external_lex_state = 3},
  [1137] = {.lex_state = 29, .external_lex_state = 3},
  [1138] = {.lex_state = 29, .external_lex_state = 3},
  [1139] = {.lex_state = 29, .external_lex_state = 3},
  [1140] = {.lex_state = 29, .external_lex_state = 3},
  [1141] = {.lex_state = 29, .external_lex_state = 3},
  [1142] = {.lex_state = 29, .external_lex_state = 3},
  [1143] = {.lex_state = 29, .external_lex_state = 3},
  [1144] = {.lex_state = 29, .external_lex_state = 3},
  [1145] = {.lex_state = 29, .external_lex_state = 3},
  [1146] = {.lex_state = 29, .external_lex_state = 3},
  [1147] = {.lex_state = 29, .external_lex_state = 3},
  [1148] = {.lex_state = 29, .external_lex_state = 3},
  [1149] = {.lex_state = 29, .external_lex_state = 3},
  [1150] = {.lex_state = 29, .external_lex_state = 3},
  [1151] = {.lex_state = 29, .external_lex_state = 3},
  [1152] = {.lex_state = 29, .external_lex_state = 3},
  [1153] = {.lex_state = 29, .external_lex_state = 3},
  [1154] = {.lex_state = 29, .external_lex_state = 3},
  [1155] = {.lex_state = 29, .external_lex_state = 3},
  [1156] = {.lex_state = 29, .external_lex_state = 3},
  [1157] = {.lex_state = 29, .external_lex_state = 3},
  [1158] = {.lex_state = 29, .external_lex_state = 3},
  [1159] = {.lex_state = 29, .external_lex_state = 3},
  [1160] = {.lex_state = 29, .external_lex_state = 3},
  [1161] = {.lex_state = 29, .external_lex_state = 3},
  [1162] = {.lex_state = 29, .external_lex_state = 3},
  [1163] = {.lex_state = 29, .external_lex_state = 3},
  [1164] = {.lex_state = 29, .external_lex_state = 3},
  [1165] = {.lex_state = 29, .external_lex_state = 3},
  [1166] = {.lex_state = 29, .external_lex_state = 3},
  [1167] = {.lex_state = 29, .external_lex_state = 3},
  [1168] = {.lex_state = 29, .external_lex_state = 3},
  [1169] = {.lex_state = 29, .external_lex_state = 3},
  [1170] = {.lex_state = 29, .external_lex_state = 3},
  [1171] = {.lex_state = 29, .external_lex_state = 3},
  [1172] = {.lex_state = 29, .external_lex_state = 3},
  [1173] = {.lex_state = 29, .external_lex_state = 3},
  [1174] = {.lex_state = 29, .external_lex_state = 3},
  [1175] = {.lex_state = 29, .external_lex_state = 3},
  [1176] = {.lex_state = 29, .external_lex_state = 3},
  [1177] = {.lex_state = 29, .external_lex_state = 3},
  [1178] = {.lex_state = 29, .external_lex_state = 3},
  [1179] = {.lex_state = 29, .external_lex_state = 3},
  [1180] = {.lex_state = 29, .external_lex_state = 3},
  [1181] = {.lex_state = 29, .external_lex_state = 3},
  [1182] = {.lex_state = 29, .external_lex_state = 3},
  [1183] = {.lex_state = 29, .external_lex_state = 3},
  [1184] = {.lex_state = 29, .external_lex_state = 3},
  [1185] = {.lex_state = 29, .external_lex_state = 3},
  [1186] = {.lex_state = 29, .external_lex_state = 3},
  [1187] = {.lex_state = 29, .external_lex_state = 3},
  [1188] = {.lex_state = 29, .external_lex_state = 3},
  [1189] = {.lex_state = 29, .external_lex_state = 3},
  [1190] = {.lex_state = 29, .external_lex_state = 3},
  [1191] = {.lex_state = 29, .external_lex_state = 3},
  [1192] = {.lex_state = 29, .external_lex_state = 3},
  [1193] = {.lex_state = 29, .external_lex_state = 3},
  [1194] = {.lex_state = 29, .external_lex_state = 3},
  [1195] = {.lex_state = 29, .external_lex_state = 3},
  [1196] = {.lex_state = 29, .external_lex_state = 3},
  [1197] = {.lex_state = 29, .external_lex_state = 3},
  [1198] = {.lex_state = 29, .external_lex_state = 3},
  [1199] = {.lex_state = 29, .external_lex_state = 3},
  [1200] = {.lex_state = 29, .external_lex_state = 3},
  [1201] = {.lex_state = 29, .external_lex_state = 3},
  [1202] = {.lex_state = 29, .external_lex_state = 3},
  [1203] = {.lex_state = 29, .external_lex_state = 3},
  [1204] = {.lex_state = 29, .external_lex_state = 3},
  [1205] = {.lex_state = 29, .external_lex_state = 3},
  [1206] = {.lex_state = 29, .external_lex_state = 3},
  [1207] = {.lex_state = 29, .external_lex_state = 3},
  [1208] = {.lex_state = 29, .external_lex_state = 3},
  [1209] = {.lex_state = 29, .external_lex_state = 3},
  [1210] = {.lex_state = 29, .external_lex_state = 3},
  [1211] = {.lex_state = 29, .external_lex_state = 3},
  [1212] = {.lex_state = 29, .external_lex_state = 3},
  [1213] = {.lex_state = 29, .external_lex_state = 3},
  [1214] = {.lex_state = 29, .external_lex_state = 3},
  [1215] = {.lex_state = 29, .external_lex_state = 3},
  [1216] = {.lex_state = 29, .external_lex_state = 3},
  [1217] = {.lex_state = 29, .external_lex_state = 3},
  [1218] = {.lex_state = 29, .external_lex_state = 3},
  [1219] = {.lex_state = 29, .external_lex_state = 3},
  [1220] = {.lex_state = 29, .external_lex_state = 3},
  [1221] = {.lex_state = 29, .external_lex_state = 3},
  [1222] = {.lex_state = 29, .external_lex_state = 3},
  [1223] = {.lex_state = 29, .external_lex_state = 3},
  [1224] = {.lex_state = 29, .external_lex_state = 3},
  [1225] = {.lex_state = 29, .external_lex_state = 3},
  [1226] = {.lex_state = 29, .external_lex_state = 3},
  [1227] = {.lex_state = 29, .external_lex_state = 3},
  [1228] = {.lex_state = 29, .external_lex_state = 3},
  [1229] = {.lex_state = 29, .external_lex_state = 3},
  [1230] = {.lex_state = 29, .external_lex_state = 3},
  [1231] = {.lex_state = 29, .external_lex_state = 3},
  [1232] = {.lex_state = 29, .external_lex_state = 3},
  [1233] = {.lex_state = 29, .external_lex_state = 3},
  [1234] = {.lex_state = 29, .external_lex_state = 3},
  [1235] = {.lex_state = 29, .external_lex_state = 3},
  [1236] = {.lex_state = 29, .external_lex_state = 3},
  [1237] = {.lex_state = 29, .external_lex_state = 3},
  [1238] = {.lex_state = 29, .external_lex_state = 3},
  [1239] = {.lex_state = 29, .external_lex_state = 3},
  [1240] = {.lex_state = 29, .external_lex_state = 3},
  [1241] = {.lex_state = 29, .external_lex_state = 3},
  [1242] = {.lex_state = 29, .external_lex_state = 3},
  [1243] = {.lex_state = 29, .external_lex_state = 3},
  [1244] = {.lex_state = 29, .external_lex_state = 3},
  [1245] = {.lex_state = 29, .external_lex_state = 3},
  [1246] = {.lex_state = 29, .external_lex_state = 3},
  [1247] = {.lex_state = 29, .external_lex_state = 3},
  [1248] = {.lex_state = 29, .external_lex_state = 3},
  [1249] = {.lex_state = 29, .external_lex_state = 3},
  [1250] = {.lex_state = 29, .external_lex_state = 3},
  [1251] = {.lex_state = 29, .external_lex_state = 3},
  [1252] = {.lex_state = 29, .external_lex_state = 3},
  [1253] = {.lex_state = 29, .external_lex_state = 3},
  [1254] = {.lex_state = 29, .external_lex_state = 3},
  [1255] = {.lex_state = 29, .external_lex_state = 3},
  [1256] = {.lex_state = 29, .external_lex_state = 3},
  [1257] = {.lex_state = 29, .external_lex_state = 3},
  [1258] = {.lex_state = 29, .external_lex_state = 3},
  [1259] = {.lex_state = 29, .external_lex_state = 3},
  [1260] = {.lex_state = 29, .external_lex_state = 3},
  [1261] = {.lex_state = 29, .external_lex_state = 3},
  [1262] = {.lex_state = 29, .external_lex_state = 3},
  [1263] = {.lex_state = 29, .external_lex_state = 3},
  [1264] = {.lex_state = 29, .external_lex_state = 3},
  [1265] = {.lex_state = 29, .external_lex_state = 3},
  [1266] = {.lex_state = 29, .external_lex_state = 3},
  [1267] = {.lex_state = 29, .external_lex_state = 3},
  [1268] = {.lex_state = 29, .external_lex_state = 3},
  [1269] = {.lex_state = 29, .external_lex_state = 3},
  [1270] = {.lex_state = 29, .external_lex_state = 3},
  [1271] = {.lex_state = 29, .external_lex_state = 3},
  [1272] = {.lex_state = 29, .external_lex_state = 3},
  [1273] = {.lex_state = 29, .external_lex_state = 3},
  [1274] = {.lex_state = 29, .external_lex_state = 3},
  [1275] = {.lex_state = 29, .external_lex_state = 3},
  [1276] = {.lex_state = 29, .external_lex_state = 3},
  [1277] = {.lex_state = 29, .external_lex_state = 3},
  [1278] = {.lex_state = 29, .external_lex_state = 3},
  [1279] = {.lex_state = 29, .external_lex_state = 3},
  [1280] = {.lex_state = 29, .external_lex_state = 3},
  [1281] = {.lex_state = 29, .external_lex_state = 3},
  [1282] = {.lex_state = 29, .external_lex_state = 3},
  [1283] = {.lex_state = 29, .external_lex_state = 3},
  [1284] = {.lex_state = 29, .external_lex_state = 3},
  [1285] = {.lex_state = 29, .external_lex_state = 3},
  [1286] = {.lex_state = 29, .external_lex_state = 3},
  [1287] = {.lex_state = 29, .external_lex_state = 3},
  [1288] = {.lex_state = 29, .external_lex_state = 3},
  [1289] = {.lex_state = 29, .external_lex_state = 3},
  [1290] = {.lex_state = 29, .external_lex_state = 3},
  [1291] = {.lex_state = 29, .external_lex_state = 3},
  [1292] = {.lex_state = 29, .external_lex_state = 3},
  [1293] = {.lex_state = 29, .external_lex_state = 3},
  [1294] = {.lex_state = 29, .external_lex_state = 3},
  [1295] = {.lex_state = 29, .external_lex_state = 3},
  [1296] = {.lex_state = 29, .external_lex_state = 3},
  [1297] = {.lex_state = 29, .external_lex_state = 3},
  [1298] = {.lex_state = 29, .external_lex_state = 3},
  [1299] = {.lex_state = 29, .external_lex_state = 3},
  [1300] = {.lex_state = 29, .external_lex_state = 3},
  [1301] = {.lex_state = 29, .external_lex_state = 3},
  [1302] = {.lex_state = 29, .external_lex_state = 3},
  [1303] = {.lex_state = 29, .external_lex_state = 3},
  [1304] = {.lex_state = 29, .external_lex_state = 3},
  [1305] = {.lex_state = 29, .external_lex_state = 3},
  [1306] = {.lex_state = 29, .external_lex_state = 3},
  [1307] = {.lex_state = 29, .external_lex_state = 3},
  [1308] = {.lex_state = 29, .external_lex_state = 3},
  [1309] = {.lex_state = 29, .external_lex_state = 3},
  [1310] = {.lex_state = 29, .external_lex_state = 3},
  [1311] = {.lex_state = 29, .external_lex_state = 3},
  [1312] = {.lex_state = 29, .external_lex_state = 3},
  [1313] = {.lex_state = 29, .external_lex_state = 3},
  [1314] = {.lex_state = 29, .external_lex_state = 3},
  [1315] = {.lex_state = 29, .external_lex_state = 3},
  [1316] = {.lex_state = 29, .external_lex_state = 3},
  [1317] = {.lex_state = 29, .external_lex_state = 3},
  [1318] = {.lex_state = 29, .external_lex_state = 3},
  [1319] = {.lex_state = 29, .external_lex_state = 3},
  [1320] = {.lex_state = 29, .external_lex_state = 3},
  [1321] = {.lex_state = 29, .external_lex_state = 3},
  [1322] = {.lex_state = 29, .external_lex_state = 3},
  [1323] = {.lex_state = 29, .external_lex_state = 3},
  [1324] = {.lex_state = 29, .external_lex_state = 3},
  [1325] = {.lex_state = 29, .external_lex_state = 3},
  [1326] = {.lex_state = 29, .external_lex_state = 3},
  [1327] = {.lex_state = 29, .external_lex_state = 3},
  [1328] = {.lex_state = 29, .external_lex_state = 3},
  [1329] = {.lex_state = 29, .external_lex_state = 3},
  [1330] = {.lex_state = 29, .external_lex_state = 3},
  [1331] = {.lex_state = 29, .external_lex_state = 3},
  [1332] = {.lex_state = 29, .external_lex_state = 3},
  [1333] = {.lex_state = 29, .external_lex_state = 3},
  [1334] = {.lex_state = 29, .external_lex_state = 3},
  [1335] = {.lex_state = 29, .external_lex_state = 3},
  [1336] = {.lex_state = 29, .external_lex_state = 3},
  [1337] = {.lex_state = 29, .external_lex_state = 3},
  [1338] = {.lex_state = 29, .external_lex_state = 3},
  [1339] = {.lex_state = 29, .external_lex_state = 3},
  [1340] = {.lex_state = 29, .external_lex_state = 3},
  [1341] = {.lex_state = 29, .external_lex_state = 3},
  [1342] = {.lex_state = 29, .external_lex_state = 3},
  [1343] = {.lex_state = 29, .external_lex_state = 3},
  [1344] = {.lex_state = 29, .external_lex_state = 3},
  [1345] = {.lex_state = 29, .external_lex_state = 3},
  [1346] = {.lex_state = 29, .external_lex_state = 3},
  [1347] = {.lex_state = 29, .external_lex_state = 3},
  [1348] = {.lex_state = 29, .external_lex_state = 3},
  [1349] = {.lex_state = 29, .external_lex_state = 3},
  [1350] = {.lex_state = 29, .external_lex_state = 3},
  [1351] = {.lex_state = 29, .external_lex_state = 3},
  [1352] = {.lex_state = 29, .external_lex_state = 3},
  [1353] = {.lex_state = 29, .external_lex_state = 3},
  [1354] = {.lex_state = 29, .external_lex_state = 3},
  [1355] = {.lex_state = 29, .external_lex_state = 3},
  [1356] = {.lex_state = 29, .external_lex_state = 3},
  [1357] = {.lex_state = 29, .external_lex_state = 3},
  [1358] = {.lex_state = 29, .external_lex_state = 3},
  [1359] = {.lex_state = 29, .external_lex_state = 3},
  [1360] = {.lex_state = 29, .external_lex_state = 3},
  [1361] = {.lex_state = 29, .external_lex_state = 3},
  [1362] = {.lex_state = 29, .external_lex_state = 3},
  [1363] = {.lex_state = 29, .external_lex_state = 3},
  [1364] = {.lex_state = 29, .external_lex_state = 3},
  [1365] = {.lex_state = 29, .external_lex_state = 3},
  [1366] = {.lex_state = 29, .external_lex_state = 3},
  [1367] = {.lex_state = 29, .external_lex_state = 3},
  [1368] = {.lex_state = 29, .external_lex_state = 3},
  [1369] = {.lex_state = 29, .external_lex_state = 3},
  [1370] = {.lex_state = 29, .external_lex_state = 3},
  [1371] = {.lex_state = 29, .external_lex_state = 3},
  [1372] = {.lex_state = 29, .external_lex_state = 3},
  [1373] = {.lex_state = 29, .external_lex_state = 3},
  [1374] = {.lex_state = 29, .external_lex_state = 3},
  [1375] = {.lex_state = 29, .external_lex_state = 3},
  [1376] = {.lex_state = 29, .external_lex_state = 3},
  [1377] = {.lex_state = 29, .external_lex_state = 3},
  [1378] = {.lex_state = 29, .external_lex_state = 3},
  [1379] = {.lex_state = 29, .external_lex_state = 3},
  [1380] = {.lex_state = 29, .external_lex_state = 3},
  [1381] = {.lex_state = 29, .external_lex_state = 3},
  [1382] = {.lex_state = 29, .external_lex_state = 3},
  [1383] = {.lex_state = 29, .external_lex_state = 3},
  [1384] = {.lex_state = 29, .external_lex_state = 3},
  [1385] = {.lex_state = 29, .external_lex_state = 3},
  [1386] = {.lex_state = 29, .external_lex_state = 3},
  [1387] = {.lex_state = 29, .external_lex_state = 3},
  [1388] = {.lex_state = 29, .external_lex_state = 3},
  [1389] = {.lex_state = 29, .external_lex_state = 3},
  [1390] = {.lex_state = 29, .external_lex_state = 3},
  [1391] = {.lex_state = 29, .external_lex_state = 3},
  [1392] = {.lex_state = 29, .external_lex_state = 3},
  [1393] = {.lex_state = 29, .external_lex_state = 3},
  [1394] = {.lex_state = 29, .external_lex_state = 3},
  [1395] = {.lex_state = 29, .external_lex_state = 3},
  [1396] = {.lex_state = 29, .external_lex_state = 3},
  [1397] = {.lex_state = 29, .external_lex_state = 3},
  [1398] = {.lex_state = 29, .external_lex_state = 3},
  [1399] = {.lex_state = 29, .external_lex_state = 3},
  [1400] = {.lex_state = 29, .external_lex_state = 3},
  [1401] = {.lex_state = 29, .external_lex_state = 3},
  [1402] = {.lex_state = 29, .external_lex_state = 3},
  [1403] = {.lex_state = 29, .external_lex_state = 3},
  [1404] = {.lex_state = 29, .external_lex_state = 3},
  [1405] = {.lex_state = 29, .external_lex_state = 3},
  [1406] = {.lex_state = 29, .external_lex_state = 3},
  [1407] = {.lex_state = 29, .external_lex_state = 3},
  [1408] = {.lex_state = 29, .external_lex_state = 3},
  [1409] = {.lex_state = 29, .external_lex_state = 3},
  [1410] = {.lex_state = 29, .external_lex_state = 3},
  [1411] = {.lex_state = 29, .external_lex_state = 3},
  [1412] = {.lex_state = 29, .external_lex_state = 3},
  [1413] = {.lex_state = 29, .external_lex_state = 3},
  [1414] = {.lex_state = 29, .external_lex_state = 3},
  [1415] = {.lex_state = 29, .external_lex_state = 3},
  [1416] = {.lex_state = 29, .external_lex_state = 3},
  [1417] = {.lex_state = 29, .external_lex_state = 3},
  [1418] = {.lex_state = 29, .external_lex_state = 3},
  [1419] = {.lex_state = 29, .external_lex_state = 3},
  [1420] = {.lex_state = 29, .external_lex_state = 3},
  [1421] = {.lex_state = 29, .external_lex_state = 3},
  [1422] = {.lex_state = 29, .external_lex_state = 3},
  [1423] = {.lex_state = 29, .external_lex_state = 3},
  [1424] = {.lex_state = 29, .external_lex_state = 3},
  [1425] = {.lex_state = 29, .external_lex_state = 3},
  [1426] = {.lex_state = 29, .external_lex_state = 3},
  [1427] = {.lex_state = 29, .external_lex_state = 3},
  [1428] = {.lex_state = 29, .external_lex_state = 3},
  [1429] = {.lex_state = 29, .external_lex_state = 3},
  [1430] = {.lex_state = 29, .external_lex_state = 3},
  [1431] = {.lex_state = 29, .external_lex_state = 3},
  [1432] = {.lex_state = 29, .external_lex_state = 3},
  [1433] = {.lex_state = 29, .external_lex_state = 3},
  [1434] = {.lex_state = 29, .external_lex_state = 3},
  [1435] = {.lex_state = 29, .external_lex_state = 3},
  [1436] = {.lex_state = 29, .external_lex_state = 3},
  [1437] = {.lex_state = 29, .external_lex_state = 3},
  [1438] = {.lex_state = 29, .external_lex_state = 3},
  [1439] = {.lex_state = 29, .external_lex_state = 3},
  [1440] = {.lex_state = 29, .external_lex_state = 3},
  [1441] = {.lex_state = 29, .external_lex_state = 3},
  [1442] = {.lex_state = 29, .external_lex_state = 3},
  [1443] = {.lex_state = 29, .external_lex_state = 3},
  [1444] = {.lex_state = 29, .external_lex_state = 3},
  [1445] = {.lex_state = 29, .external_lex_state = 3},
  [1446] = {.lex_state = 29, .external_lex_state = 3},
  [1447] = {.lex_state = 29, .external_lex_state = 3},
  [1448] = {.lex_state = 29, .external_lex_state = 3},
  [1449] = {.lex_state = 29, .external_lex_state = 3},
  [1450] = {.lex_state = 29, .external_lex_state = 3},
  [1451] = {.lex_state = 29, .external_lex_state = 3},
  [1452] = {.lex_state = 29, .external_lex_state = 3},
  [1453] = {.lex_state = 29, .external_lex_state = 3},
  [1454] = {.lex_state = 29, .external_lex_state = 3},
  [1455] = {.lex_state = 29, .external_lex_state = 3},
  [1456] = {.lex_state = 29, .external_lex_state = 3},
  [1457] = {.lex_state = 29, .external_lex_state = 3},
  [1458] = {.lex_state = 29, .external_lex_state = 3},
  [1459] = {.lex_state = 29, .external_lex_state = 3},
  [1460] = {.lex_state = 29, .external_lex_state = 3},
  [1461] = {.lex_state = 29, .external_lex_state = 3},
  [1462] = {.lex_state = 29, .external_lex_state = 3},
  [1463] = {.lex_state = 29, .external_lex_state = 3},
  [1464] = {.lex_state = 29, .external_lex_state = 3},
  [1465] = {.lex_state = 29, .external_lex_state = 3},
  [1466] = {.lex_state = 29, .external_lex_state = 3},
  [1467] = {.lex_state = 29, .external_lex_state = 3},
  [1468] = {.lex_state = 29, .external_lex_state = 3},
  [1469] = {.lex_state = 29, .external_lex_state = 3},
  [1470] = {.lex_state = 29, .external_lex_state = 3},
  [1471] = {.lex_state = 29, .external_lex_state = 3},
  [1472] = {.lex_state = 29, .external_lex_state = 3},
  [1473] = {.lex_state = 29, .external_lex_state = 3},
  [1474] = {.lex_state = 29, .external_lex_state = 3},
  [1475] = {.lex_state = 29, .external_lex_state = 3},
  [1476] = {.lex_state = 29, .external_lex_state = 3},
  [1477] = {.lex_state = 29, .external_lex_state = 3},
  [1478] = {.lex_state = 29, .external_lex_state = 3},
  [1479] = {.lex_state = 29, .external_lex_state = 3},
  [1480] = {.lex_state = 29, .external_lex_state = 3},
  [1481] = {.lex_state = 29, .external_lex_state = 3},
  [1482] = {.lex_state = 29, .external_lex_state = 3},
  [1483] = {.lex_state = 29, .external_lex_state = 3},
  [1484] = {.lex_state = 29, .external_lex_state = 3},
  [1485] = {.lex_state = 29, .external_lex_state = 3},
  [1486] = {.lex_state = 29, .external_lex_state = 3},
  [1487] = {.lex_state = 29, .external_lex_state = 3},
  [1488] = {.lex_state = 29, .external_lex_state = 3},
  [1489] = {.lex_state = 29, .external_lex_state = 3},
  [1490] = {.lex_state = 29, .external_lex_state = 3},
  [1491] = {.lex_state = 29, .external_lex_state = 3},
  [1492] = {.lex_state = 29, .external_lex_state = 3},
  [1493] = {.lex_state = 29, .external_lex_state = 3},
  [1494] = {.lex_state = 29, .external_lex_state = 3},
  [1495] = {.lex_state = 29, .external_lex_state = 3},
  [1496] = {.lex_state = 29, .external_lex_state = 3},
  [1497] = {.lex_state = 29, .external_lex_state = 3},
  [1498] = {.lex_state = 29, .external_lex_state = 3},
  [1499] = {.lex_state = 29, .external_lex_state = 3},
  [1500] = {.lex_state = 29, .external_lex_state = 3},
  [1501] = {.lex_state = 29, .external_lex_state = 3},
  [1502] = {.lex_state = 29, .external_lex_state = 3},
  [1503] = {.lex_state = 29, .external_lex_state = 3},
  [1504] = {.lex_state = 29, .external_lex_state = 3},
  [1505] = {.lex_state = 29, .external_lex_state = 3},
  [1506] = {.lex_state = 86, .external_lex_state = 3},
  [1507] = {.lex_state = 67, .external_lex_state = 3},
  [1508] = {.lex_state = 29, .external_lex_state = 3},
  [1509] = {.lex_state = 29, .external_lex_state = 3},
  [1510] = {.lex_state = 29, .external_lex_state = 3},
  [1511] = {.lex_state = 29, .external_lex_state = 3},
  [1512] = {.lex_state = 29, .external_lex_state = 3},
  [1513] = {.lex_state = 29, .external_lex_state = 3},
  [1514] = {.lex_state = 29, .external_lex_state = 3},
  [1515] = {.lex_state = 29, .external_lex_state = 3},
  [1516] = {.lex_state = 29, .external_lex_state = 3},
  [1517] = {.lex_state = 29, .external_lex_state = 3},
  [1518] = {.lex_state = 29, .external_lex_state = 3},
  [1519] = {.lex_state = 29, .external_lex_state = 3},
  [1520] = {.lex_state = 29, .external_lex_state = 3},
  [1521] = {.lex_state = 29, .external_lex_state = 3},
  [1522] = {.lex_state = 29, .external_lex_state = 3},
  [1523] = {.lex_state = 29, .external_lex_state = 3},
  [1524] = {.lex_state = 29, .external_lex_state = 3},
  [1525] = {.lex_state = 29, .external_lex_state = 3},
  [1526] = {.lex_state = 29, .external_lex_state = 3},
  [1527] = {.lex_state = 29, .external_lex_state = 3},
  [1528] = {.lex_state = 29, .external_lex_state = 3},
  [1529] = {.lex_state = 29, .external_lex_state = 3},
  [1530] = {.lex_state = 29, .external_lex_state = 3},
  [1531] = {.lex_state = 29, .external_lex_state = 3},
  [1532] = {.lex_state = 29, .external_lex_state = 3},
  [1533] = {.lex_state = 29, .external_lex_state = 3},
  [1534] = {.lex_state = 71, .external_lex_state = 3},
  [1535] = {.lex_state = 29, .external_lex_state = 3},
  [1536] = {.lex_state = 67, .external_lex_state = 3},
  [1537] = {.lex_state = 29, .external_lex_state = 3},
  [1538] = {.lex_state = 29, .external_lex_state = 3},
  [1539] = {.lex_state = 29, .external_lex_state = 3},
  [1540] = {.lex_state = 29, .external_lex_state = 3},
  [1541] = {.lex_state = 29, .external_lex_state = 3},
  [1542] = {.lex_state = 29, .external_lex_state = 3},
  [1543] = {.lex_state = 29, .external_lex_state = 3},
  [1544] = {.lex_state = 29, .external_lex_state = 3},
  [1545] = {.lex_state = 71, .external_lex_state = 3},
  [1546] = {.lex_state = 29, .external_lex_state = 3},
  [1547] = {.lex_state = 29, .external_lex_state = 3},
  [1548] = {.lex_state = 29, .external_lex_state = 3},
  [1549] = {.lex_state = 29, .external_lex_state = 3},
  [1550] = {.lex_state = 29, .external_lex_state = 3},
  [1551] = {.lex_state = 29, .external_lex_state = 3},
  [1552] = {.lex_state = 29, .external_lex_state = 3},
  [1553] = {.lex_state = 29, .external_lex_state = 3},
  [1554] = {.lex_state = 29, .external_lex_state = 3},
  [1555] = {.lex_state = 29, .external_lex_state = 3},
  [1556] = {.lex_state = 29, .external_lex_state = 3},
  [1557] = {.lex_state = 29, .external_lex_state = 3},
  [1558] = {.lex_state = 29, .external_lex_state = 3},
  [1559] = {.lex_state = 29, .external_lex_state = 3},
  [1560] = {.lex_state = 29, .external_lex_state = 3},
  [1561] = {.lex_state = 29, .external_lex_state = 3},
  [1562] = {.lex_state = 29, .external_lex_state = 3},
  [1563] = {.lex_state = 29, .external_lex_state = 3},
  [1564] = {.lex_state = 29, .external_lex_state = 3},
  [1565] = {.lex_state = 29, .external_lex_state = 3},
  [1566] = {.lex_state = 29, .external_lex_state = 3},
  [1567] = {.lex_state = 29, .external_lex_state = 3},
  [1568] = {.lex_state = 29, .external_lex_state = 3},
  [1569] = {.lex_state = 29, .external_lex_state = 3},
  [1570] = {.lex_state = 29, .external_lex_state = 3},
  [1571] = {.lex_state = 29, .external_lex_state = 3},
  [1572] = {.lex_state = 29, .external_lex_state = 3},
  [1573] = {.lex_state = 29, .external_lex_state = 3},
  [1574] = {.lex_state = 29, .external_lex_state = 3},
  [1575] = {.lex_state = 29, .external_lex_state = 3},
  [1576] = {.lex_state = 29, .external_lex_state = 3},
  [1577] = {.lex_state = 29, .external_lex_state = 3},
  [1578] = {.lex_state = 29, .external_lex_state = 3},
  [1579] = {.lex_state = 29, .external_lex_state = 3},
  [1580] = {.lex_state = 29, .external_lex_state = 3},
  [1581] = {.lex_state = 29, .external_lex_state = 3},
  [1582] = {.lex_state = 29, .external_lex_state = 3},
  [1583] = {.lex_state = 29, .external_lex_state = 3},
  [1584] = {.lex_state = 29, .external_lex_state = 3},
  [1585] = {.lex_state = 29, .external_lex_state = 3},
  [1586] = {.lex_state = 29, .external_lex_state = 3},
  [1587] = {.lex_state = 29, .external_lex_state = 3},
  [1588] = {.lex_state = 29, .external_lex_state = 3},
  [1589] = {.lex_state = 29, .external_lex_state = 3},
  [1590] = {.lex_state = 29, .external_lex_state = 3},
  [1591] = {.lex_state = 29, .external_lex_state = 3},
  [1592] = {.lex_state = 29, .external_lex_state = 3},
  [1593] = {.lex_state = 29, .external_lex_state = 3},
  [1594] = {.lex_state = 29, .external_lex_state = 3},
  [1595] = {.lex_state = 29, .external_lex_state = 3},
  [1596] = {.lex_state = 29, .external_lex_state = 3},
  [1597] = {.lex_state = 29, .external_lex_state = 3},
  [1598] = {.lex_state = 29, .external_lex_state = 3},
  [1599] = {.lex_state = 29, .external_lex_state = 3},
  [1600] = {.lex_state = 29, .external_lex_state = 3},
  [1601] = {.lex_state = 29, .external_lex_state = 3},
  [1602] = {.lex_state = 29, .external_lex_state = 3},
  [1603] = {.lex_state = 29, .external_lex_state = 3},
  [1604] = {.lex_state = 29, .external_lex_state = 3},
  [1605] = {.lex_state = 29, .external_lex_state = 3},
  [1606] = {.lex_state = 29, .external_lex_state = 3},
  [1607] = {.lex_state = 29, .external_lex_state = 3},
  [1608] = {.lex_state = 29, .external_lex_state = 3},
  [1609] = {.lex_state = 29, .external_lex_state = 3},
  [1610] = {.lex_state = 29, .external_lex_state = 3},
  [1611] = {.lex_state = 29, .external_lex_state = 3},
  [1612] = {.lex_state = 29, .external_lex_state = 3},
  [1613] = {.lex_state = 29, .external_lex_state = 3},
  [1614] = {.lex_state = 29, .external_lex_state = 3},
  [1615] = {.lex_state = 29, .external_lex_state = 3},
  [1616] = {.lex_state = 29, .external_lex_state = 3},
  [1617] = {.lex_state = 29, .external_lex_state = 3},
  [1618] = {.lex_state = 29, .external_lex_state = 3},
  [1619] = {.lex_state = 29, .external_lex_state = 3},
  [1620] = {.lex_state = 29, .external_lex_state = 3},
  [1621] = {.lex_state = 29, .external_lex_state = 3},
  [1622] = {.lex_state = 29, .external_lex_state = 3},
  [1623] = {.lex_state = 29, .external_lex_state = 3},
  [1624] = {.lex_state = 29, .external_lex_state = 3},
  [1625] = {.lex_state = 29, .external_lex_state = 3},
  [1626] = {.lex_state = 29, .external_lex_state = 3},
  [1627] = {.lex_state = 29, .external_lex_state = 3},
  [1628] = {.lex_state = 29, .external_lex_state = 3},
  [1629] = {.lex_state = 29, .external_lex_state = 3},
  [1630] = {.lex_state = 29, .external_lex_state = 3},
  [1631] = {.lex_state = 29, .external_lex_state = 3},
  [1632] = {.lex_state = 29, .external_lex_state = 3},
  [1633] = {.lex_state = 29, .external_lex_state = 3},
  [1634] = {.lex_state = 29, .external_lex_state = 3},
  [1635] = {.lex_state = 29, .external_lex_state = 3},
  [1636] = {.lex_state = 29, .external_lex_state = 3},
  [1637] = {.lex_state = 29, .external_lex_state = 3},
  [1638] = {.lex_state = 29, .external_lex_state = 3},
  [1639] = {.lex_state = 29, .external_lex_state = 3},
  [1640] = {.lex_state = 29, .external_lex_state = 3},
  [1641] = {.lex_state = 29, .external_lex_state = 3},
  [1642] = {.lex_state = 29, .external_lex_state = 3},
  [1643] = {.lex_state = 29, .external_lex_state = 3},
  [1644] = {.lex_state = 29, .external_lex_state = 3},
  [1645] = {.lex_state = 29, .external_lex_state = 3},
  [1646] = {.lex_state = 29, .external_lex_state = 3},
  [1647] = {.lex_state = 29, .external_lex_state = 3},
  [1648] = {.lex_state = 29, .external_lex_state = 3},
  [1649] = {.lex_state = 29, .external_lex_state = 3},
  [1650] = {.lex_state = 29, .external_lex_state = 3},
  [1651] = {.lex_state = 29, .external_lex_state = 3},
  [1652] = {.lex_state = 29, .external_lex_state = 3},
  [1653] = {.lex_state = 29, .external_lex_state = 3},
  [1654] = {.lex_state = 29, .external_lex_state = 3},
  [1655] = {.lex_state = 29, .external_lex_state = 3},
  [1656] = {.lex_state = 29, .external_lex_state = 3},
  [1657] = {.lex_state = 29, .external_lex_state = 3},
  [1658] = {.lex_state = 29, .external_lex_state = 3},
  [1659] = {.lex_state = 29, .external_lex_state = 3},
  [1660] = {.lex_state = 29, .external_lex_state = 3},
  [1661] = {.lex_state = 29, .external_lex_state = 3},
  [1662] = {.lex_state = 29, .external_lex_state = 3},
  [1663] = {.lex_state = 29, .external_lex_state = 3},
  [1664] = {.lex_state = 29, .external_lex_state = 3},
  [1665] = {.lex_state = 29, .external_lex_state = 3},
  [1666] = {.lex_state = 29, .external_lex_state = 3},
  [1667] = {.lex_state = 29, .external_lex_state = 3},
  [1668] = {.lex_state = 29, .external_lex_state = 3},
  [1669] = {.lex_state = 29, .external_lex_state = 3},
  [1670] = {.lex_state = 29, .external_lex_state = 3},
  [1671] = {.lex_state = 29, .external_lex_state = 3},
  [1672] = {.lex_state = 29, .external_lex_state = 3},
  [1673] = {.lex_state = 29, .external_lex_state = 3},
  [1674] = {.lex_state = 29, .external_lex_state = 3},
  [1675] = {.lex_state = 29, .external_lex_state = 3},
  [1676] = {.lex_state = 29, .external_lex_state = 3},
  [1677] = {.lex_state = 29, .external_lex_state = 3},
  [1678] = {.lex_state = 29, .external_lex_state = 3},
  [1679] = {.lex_state = 29, .external_lex_state = 3},
  [1680] = {.lex_state = 29, .external_lex_state = 3},
  [1681] = {.lex_state = 29, .external_lex_state = 3},
  [1682] = {.lex_state = 29, .external_lex_state = 3},
  [1683] = {.lex_state = 29, .external_lex_state = 3},
  [1684] = {.lex_state = 29, .external_lex_state = 3},
  [1685] = {.lex_state = 29, .external_lex_state = 3},
  [1686] = {.lex_state = 29, .external_lex_state = 3},
  [1687] = {.lex_state = 29, .external_lex_state = 3},
  [1688] = {.lex_state = 29, .external_lex_state = 3},
  [1689] = {.lex_state = 29, .external_lex_state = 3},
  [1690] = {.lex_state = 29, .external_lex_state = 3},
  [1691] = {.lex_state = 29, .external_lex_state = 3},
  [1692] = {.lex_state = 29, .external_lex_state = 3},
  [1693] = {.lex_state = 29, .external_lex_state = 3},
  [1694] = {.lex_state = 29, .external_lex_state = 3},
  [1695] = {.lex_state = 29, .external_lex_state = 3},
  [1696] = {.lex_state = 29, .external_lex_state = 3},
  [1697] = {.lex_state = 29, .external_lex_state = 3},
  [1698] = {.lex_state = 29, .external_lex_state = 3},
  [1699] = {.lex_state = 29, .external_lex_state = 3},
  [1700] = {.lex_state = 29, .external_lex_state = 3},
  [1701] = {.lex_state = 29, .external_lex_state = 3},
  [1702] = {.lex_state = 29, .external_lex_state = 3},
  [1703] = {.lex_state = 29, .external_lex_state = 3},
  [1704] = {.lex_state = 29, .external_lex_state = 3},
  [1705] = {.lex_state = 29, .external_lex_state = 3},
  [1706] = {.lex_state = 29, .external_lex_state = 3},
  [1707] = {.lex_state = 29, .external_lex_state = 3},
  [1708] = {.lex_state = 29, .external_lex_state = 3},
  [1709] = {.lex_state = 29, .external_lex_state = 3},
  [1710] = {.lex_state = 29, .external_lex_state = 3},
  [1711] = {.lex_state = 29, .external_lex_state = 3},
  [1712] = {.lex_state = 29, .external_lex_state = 3},
  [1713] = {.lex_state = 29, .external_lex_state = 3},
  [1714] = {.lex_state = 29, .external_lex_state = 3},
  [1715] = {.lex_state = 29, .external_lex_state = 3},
  [1716] = {.lex_state = 29, .external_lex_state = 3},
  [1717] = {.lex_state = 29, .external_lex_state = 3},
  [1718] = {.lex_state = 29, .external_lex_state = 3},
  [1719] = {.lex_state = 29, .external_lex_state = 3},
  [1720] = {.lex_state = 29, .external_lex_state = 3},
  [1721] = {.lex_state = 29, .external_lex_state = 3},
  [1722] = {.lex_state = 29, .external_lex_state = 3},
  [1723] = {.lex_state = 29, .external_lex_state = 3},
  [1724] = {.lex_state = 29, .external_lex_state = 3},
  [1725] = {.lex_state = 29, .external_lex_state = 3},
  [1726] = {.lex_state = 29, .external_lex_state = 3},
  [1727] = {.lex_state = 29, .external_lex_state = 3},
  [1728] = {.lex_state = 29, .external_lex_state = 3},
  [1729] = {.lex_state = 29, .external_lex_state = 3},
  [1730] = {.lex_state = 29, .external_lex_state = 3},
  [1731] = {.lex_state = 29, .external_lex_state = 3},
  [1732] = {.lex_state = 29, .external_lex_state = 3},
  [1733] = {.lex_state = 29, .external_lex_state = 3},
  [1734] = {.lex_state = 29, .external_lex_state = 3},
  [1735] = {.lex_state = 29, .external_lex_state = 3},
  [1736] = {.lex_state = 29, .external_lex_state = 3},
  [1737] = {.lex_state = 29, .external_lex_state = 3},
  [1738] = {.lex_state = 29, .external_lex_state = 3},
  [1739] = {.lex_state = 29, .external_lex_state = 3},
  [1740] = {.lex_state = 29, .external_lex_state = 3},
  [1741] = {.lex_state = 29, .external_lex_state = 3},
  [1742] = {.lex_state = 29, .external_lex_state = 3},
  [1743] = {.lex_state = 29, .external_lex_state = 3},
  [1744] = {.lex_state = 29, .external_lex_state = 3},
  [1745] = {.lex_state = 29, .external_lex_state = 3},
  [1746] = {.lex_state = 29, .external_lex_state = 3},
  [1747] = {.lex_state = 29, .external_lex_state = 3},
  [1748] = {.lex_state = 29, .external_lex_state = 3},
  [1749] = {.lex_state = 29, .external_lex_state = 3},
  [1750] = {.lex_state = 29, .external_lex_state = 3},
  [1751] = {.lex_state = 29, .external_lex_state = 3},
  [1752] = {.lex_state = 29, .external_lex_state = 3},
  [1753] = {.lex_state = 91, .external_lex_state = 3},
  [1754] = {.lex_state = 29, .external_lex_state = 3},
  [1755] = {.lex_state = 29, .external_lex_state = 3},
  [1756] = {.lex_state = 29, .external_lex_state = 3},
  [1757] = {.lex_state = 29, .external_lex_state = 3},
  [1758] = {.lex_state = 29, .external_lex_state = 3},
  [1759] = {.lex_state = 29, .external_lex_state = 3},
  [1760] = {.lex_state = 29, .external_lex_state = 3},
  [1761] = {.lex_state = 92, .external_lex_state = 3},
  [1762] = {.lex_state = 29, .external_lex_state = 3},
  [1763] = {.lex_state = 29, .external_lex_state = 3},
  [1764] = {.lex_state = 29, .external_lex_state = 3},
  [1765] = {.lex_state = 29, .external_lex_state = 3},
  [1766] = {.lex_state = 29, .external_lex_state = 3},
  [1767] = {.lex_state = 29, .external_lex_state = 3},
  [1768] = {.lex_state = 29, .external_lex_state = 3},
  [1769] = {.lex_state = 29, .external_lex_state = 3},
  [1770] = {.lex_state = 29, .external_lex_state = 3},
  [1771] = {.lex_state = 29, .external_lex_state = 3},
  [1772] = {.lex_state = 29, .external_lex_state = 3},
  [1773] = {.lex_state = 29, .external_lex_state = 3},
  [1774] = {.lex_state = 29, .external_lex_state = 3},
  [1775] = {.lex_state = 29, .external_lex_state = 3},
  [1776] = {.lex_state = 29, .external_lex_state = 3},
  [1777] = {.lex_state = 29, .external_lex_state = 3},
  [1778] = {.lex_state = 29, .external_lex_state = 3},
  [1779] = {.lex_state = 29, .external_lex_state = 3},
  [1780] = {.lex_state = 29, .external_lex_state = 3},
  [1781] = {.lex_state = 29, .external_lex_state = 3},
  [1782] = {.lex_state = 29, .external_lex_state = 3},
  [1783] = {.lex_state = 29, .external_lex_state = 3},
  [1784] = {.lex_state = 29, .external_lex_state = 3},
  [1785] = {.lex_state = 29, .external_lex_state = 3},
  [1786] = {.lex_state = 29, .external_lex_state = 3},
  [1787] = {.lex_state = 29, .external_lex_state = 3},
  [1788] = {.lex_state = 29, .external_lex_state = 3},
  [1789] = {.lex_state = 29, .external_lex_state = 3},
  [1790] = {.lex_state = 29, .external_lex_state = 3},
  [1791] = {.lex_state = 29, .external_lex_state = 3},
  [1792] = {.lex_state = 29, .external_lex_state = 3},
  [1793] = {.lex_state = 29, .external_lex_state = 3},
  [1794] = {.lex_state = 29, .external_lex_state = 3},
  [1795] = {.lex_state = 29, .external_lex_state = 3},
  [1796] = {.lex_state = 29, .external_lex_state = 3},
  [1797] = {.lex_state = 29, .external_lex_state = 3},
  [1798] = {.lex_state = 29, .external_lex_state = 3},
  [1799] = {.lex_state = 29, .external_lex_state = 3},
  [1800] = {.lex_state = 29, .external_lex_state = 3},
  [1801] = {.lex_state = 29, .external_lex_state = 3},
  [1802] = {.lex_state = 29, .external_lex_state = 3},
  [1803] = {.lex_state = 29, .external_lex_state = 3},
  [1804] = {.lex_state = 29, .external_lex_state = 3},
  [1805] = {.lex_state = 29, .external_lex_state = 3},
  [1806] = {.lex_state = 29, .external_lex_state = 3},
  [1807] = {.lex_state = 29, .external_lex_state = 3},
  [1808] = {.lex_state = 29, .external_lex_state = 3},
  [1809] = {.lex_state = 29, .external_lex_state = 3},
  [1810] = {.lex_state = 29, .external_lex_state = 3},
  [1811] = {.lex_state = 29, .external_lex_state = 3},
  [1812] = {.lex_state = 29, .external_lex_state = 3},
  [1813] = {.lex_state = 29, .external_lex_state = 3},
  [1814] = {.lex_state = 29, .external_lex_state = 3},
  [1815] = {.lex_state = 29, .external_lex_state = 3},
  [1816] = {.lex_state = 29, .external_lex_state = 3},
  [1817] = {.lex_state = 29, .external_lex_state = 3},
  [1818] = {.lex_state = 29, .external_lex_state = 3},
  [1819] = {.lex_state = 29, .external_lex_state = 3},
  [1820] = {.lex_state = 65, .external_lex_state = 3},
  [1821] = {.lex_state = 29, .external_lex_state = 3},
  [1822] = {.lex_state = 29, .external_lex_state = 3},
  [1823] = {.lex_state = 29, .external_lex_state = 3},
  [1824] = {.lex_state = 29, .external_lex_state = 3},
  [1825] = {.lex_state = 29, .external_lex_state = 3},
  [1826] = {.lex_state = 29, .external_lex_state = 3},
  [1827] = {.lex_state = 29, .external_lex_state = 3},
  [1828] = {.lex_state = 29, .external_lex_state = 3},
  [1829] = {.lex_state = 29, .external_lex_state = 3},
  [1830] = {.lex_state = 29, .external_lex_state = 3},
  [1831] = {.lex_state = 29, .external_lex_state = 3},
  [1832] = {.lex_state = 29, .external_lex_state = 3},
  [1833] = {.lex_state = 29, .external_lex_state = 3},
  [1834] = {.lex_state = 29, .external_lex_state = 3},
  [1835] = {.lex_state = 29, .external_lex_state = 3},
  [1836] = {.lex_state = 29, .external_lex_state = 3},
  [1837] = {.lex_state = 29, .external_lex_state = 3},
  [1838] = {.lex_state = 29, .external_lex_state = 3},
  [1839] = {.lex_state = 29, .external_lex_state = 3},
  [1840] = {.lex_state = 29, .external_lex_state = 3},
  [1841] = {.lex_state = 29, .external_lex_state = 3},
  [1842] = {.lex_state = 29, .external_lex_state = 3},
  [1843] = {.lex_state = 29, .external_lex_state = 3},
  [1844] = {.lex_state = 29, .external_lex_state = 3},
  [1845] = {.lex_state = 29, .external_lex_state = 3},
  [1846] = {.lex_state = 29, .external_lex_state = 3},
  [1847] = {.lex_state = 29, .external_lex_state = 3},
  [1848] = {.lex_state = 29, .external_lex_state = 3},
  [1849] = {.lex_state = 29, .external_lex_state = 3},
  [1850] = {.lex_state = 29, .external_lex_state = 3},
  [1851] = {.lex_state = 29, .external_lex_state = 3},
  [1852] = {.lex_state = 29, .external_lex_state = 3},
  [1853] = {.lex_state = 29, .external_lex_state = 3},
  [1854] = {.lex_state = 29, .external_lex_state = 3},
  [1855] = {.lex_state = 29, .external_lex_state = 3},
  [1856] = {.lex_state = 29, .external_lex_state = 3},
  [1857] = {.lex_state = 29, .external_lex_state = 3},
  [1858] = {.lex_state = 29, .external_lex_state = 3},
  [1859] = {.lex_state = 29, .external_lex_state = 3},
  [1860] = {.lex_state = 29, .external_lex_state = 3},
  [1861] = {.lex_state = 29, .external_lex_state = 3},
  [1862] = {.lex_state = 29, .external_lex_state = 3},
  [1863] = {.lex_state = 29, .external_lex_state = 3},
  [1864] = {.lex_state = 29, .external_lex_state = 3},
  [1865] = {.lex_state = 29, .external_lex_state = 3},
  [1866] = {.lex_state = 29, .external_lex_state = 3},
  [1867] = {.lex_state = 29, .external_lex_state = 3},
  [1868] = {.lex_state = 29, .external_lex_state = 3},
  [1869] = {.lex_state = 29, .external_lex_state = 3},
  [1870] = {.lex_state = 29, .external_lex_state = 3},
  [1871] = {.lex_state = 29, .external_lex_state = 3},
  [1872] = {.lex_state = 29, .external_lex_state = 3},
  [1873] = {.lex_state = 29, .external_lex_state = 3},
  [1874] = {.lex_state = 29, .external_lex_state = 3},
  [1875] = {.lex_state = 65, .external_lex_state = 3},
  [1876] = {.lex_state = 29, .external_lex_state = 3},
  [1877] = {.lex_state = 29, .external_lex_state = 3},
  [1878] = {.lex_state = 29, .external_lex_state = 3},
  [1879] = {.lex_state = 29, .external_lex_state = 3},
  [1880] = {.lex_state = 29, .external_lex_state = 3},
  [1881] = {.lex_state = 29, .external_lex_state = 3},
  [1882] = {.lex_state = 29, .external_lex_state = 3},
  [1883] = {.lex_state = 29, .external_lex_state = 3},
  [1884] = {.lex_state = 29, .external_lex_state = 3},
  [1885] = {.lex_state = 29, .external_lex_state = 3},
  [1886] = {.lex_state = 29, .external_lex_state = 3},
  [1887] = {.lex_state = 29, .external_lex_state = 3},
  [1888] = {.lex_state = 29, .external_lex_state = 3},
  [1889] = {.lex_state = 29, .external_lex_state = 3},
  [1890] = {.lex_state = 29, .external_lex_state = 3},
  [1891] = {.lex_state = 29, .external_lex_state = 3},
  [1892] = {.lex_state = 29, .external_lex_state = 3},
  [1893] = {.lex_state = 29, .external_lex_state = 3},
  [1894] = {.lex_state = 29, .external_lex_state = 3},
  [1895] = {.lex_state = 29, .external_lex_state = 3},
  [1896] = {.lex_state = 29, .external_lex_state = 3},
  [1897] = {.lex_state = 29, .external_lex_state = 3},
  [1898] = {.lex_state = 29, .external_lex_state = 3},
  [1899] = {.lex_state = 29, .external_lex_state = 3},
  [1900] = {.lex_state = 29, .external_lex_state = 3},
  [1901] = {.lex_state = 29, .external_lex_state = 3},
  [1902] = {.lex_state = 29, .external_lex_state = 3},
  [1903] = {.lex_state = 29, .external_lex_state = 3},
  [1904] = {.lex_state = 29, .external_lex_state = 3},
  [1905] = {.lex_state = 29, .external_lex_state = 3},
  [1906] = {.lex_state = 29, .external_lex_state = 3},
  [1907] = {.lex_state = 29, .external_lex_state = 3},
  [1908] = {.lex_state = 29, .external_lex_state = 3},
  [1909] = {.lex_state = 29, .external_lex_state = 3},
  [1910] = {.lex_state = 29, .external_lex_state = 3},
  [1911] = {.lex_state = 29, .external_lex_state = 3},
  [1912] = {.lex_state = 29, .external_lex_state = 3},
  [1913] = {.lex_state = 29, .external_lex_state = 3},
  [1914] = {.lex_state = 29, .external_lex_state = 3},
  [1915] = {.lex_state = 29, .external_lex_state = 3},
  [1916] = {.lex_state = 29, .external_lex_state = 3},
  [1917] = {.lex_state = 29, .external_lex_state = 3},
  [1918] = {.lex_state = 29, .external_lex_state = 3},
  [1919] = {.lex_state = 29, .external_lex_state = 3},
  [1920] = {.lex_state = 29, .external_lex_state = 3},
  [1921] = {.lex_state = 29, .external_lex_state = 3},
  [1922] = {.lex_state = 29, .external_lex_state = 3},
  [1923] = {.lex_state = 29, .external_lex_state = 3},
  [1924] = {.lex_state = 29, .external_lex_state = 3},
  [1925] = {.lex_state = 29, .external_lex_state = 3},
  [1926] = {.lex_state = 29, .external_lex_state = 3},
  [1927] = {.lex_state = 29, .external_lex_state = 3},
  [1928] = {.lex_state = 29, .external_lex_state = 3},
  [1929] = {.lex_state = 29, .external_lex_state = 3},
  [1930] = {.lex_state = 29, .external_lex_state = 3},
  [1931] = {.lex_state = 29, .external_lex_state = 3},
  [1932] = {.lex_state = 29, .external_lex_state = 3},
  [1933] = {.lex_state = 29, .external_lex_state = 3},
  [1934] = {.lex_state = 29, .external_lex_state = 3},
  [1935] = {.lex_state = 29, .external_lex_state = 3},
  [1936] = {.lex_state = 29, .external_lex_state = 3},
  [1937] = {.lex_state = 29, .external_lex_state = 3},
  [1938] = {.lex_state = 29, .external_lex_state = 3},
  [1939] = {.lex_state = 29, .external_lex_state = 3},
  [1940] = {.lex_state = 29, .external_lex_state = 3},
  [1941] = {.lex_state = 29, .external_lex_state = 3},
  [1942] = {.lex_state = 29, .external_lex_state = 3},
  [1943] = {.lex_state = 29, .external_lex_state = 3},
  [1944] = {.lex_state = 29, .external_lex_state = 3},
  [1945] = {.lex_state = 29, .external_lex_state = 3},
  [1946] = {.lex_state = 29, .external_lex_state = 3},
  [1947] = {.lex_state = 29, .external_lex_state = 3},
  [1948] = {.lex_state = 29, .external_lex_state = 3},
  [1949] = {.lex_state = 29, .external_lex_state = 3},
  [1950] = {.lex_state = 29, .external_lex_state = 3},
  [1951] = {.lex_state = 29, .external_lex_state = 3},
  [1952] = {.lex_state = 29, .external_lex_state = 3},
  [1953] = {.lex_state = 29, .external_lex_state = 3},
  [1954] = {.lex_state = 29, .external_lex_state = 3},
  [1955] = {.lex_state = 29, .external_lex_state = 3},
  [1956] = {.lex_state = 29, .external_lex_state = 3},
  [1957] = {.lex_state = 29, .external_lex_state = 3},
  [1958] = {.lex_state = 29, .external_lex_state = 3},
  [1959] = {.lex_state = 29, .external_lex_state = 3},
  [1960] = {.lex_state = 29, .external_lex_state = 3},
  [1961] = {.lex_state = 29, .external_lex_state = 3},
  [1962] = {.lex_state = 29, .external_lex_state = 3},
  [1963] = {.lex_state = 29, .external_lex_state = 3},
  [1964] = {.lex_state = 29, .external_lex_state = 3},
  [1965] = {.lex_state = 29, .external_lex_state = 3},
  [1966] = {.lex_state = 29, .external_lex_state = 3},
  [1967] = {.lex_state = 29, .external_lex_state = 3},
  [1968] = {.lex_state = 29, .external_lex_state = 3},
  [1969] = {.lex_state = 29, .external_lex_state = 3},
  [1970] = {.lex_state = 29, .external_lex_state = 3},
  [1971] = {.lex_state = 29, .external_lex_state = 3},
  [1972] = {.lex_state = 29, .external_lex_state = 3},
  [1973] = {.lex_state = 29, .external_lex_state = 3},
  [1974] = {.lex_state = 29, .external_lex_state = 3},
  [1975] = {.lex_state = 29, .external_lex_state = 3},
  [1976] = {.lex_state = 29, .external_lex_state = 3},
  [1977] = {.lex_state = 29, .external_lex_state = 3},
  [1978] = {.lex_state = 29, .external_lex_state = 3},
  [1979] = {.lex_state = 29, .external_lex_state = 3},
  [1980] = {.lex_state = 29, .external_lex_state = 3},
  [1981] = {.lex_state = 29, .external_lex_state = 3},
  [1982] = {.lex_state = 29, .external_lex_state = 3},
  [1983] = {.lex_state = 29, .external_lex_state = 3},
  [1984] = {.lex_state = 29, .external_lex_state = 3},
  [1985] = {.lex_state = 29, .external_lex_state = 3},
  [1986] = {.lex_state = 29, .external_lex_state = 3},
  [1987] = {.lex_state = 29, .external_lex_state = 3},
  [1988] = {.lex_state = 29, .external_lex_state = 3},
  [1989] = {.lex_state = 29, .external_lex_state = 3},
  [1990] = {.lex_state = 29, .external_lex_state = 3},
  [1991] = {.lex_state = 29, .external_lex_state = 3},
  [1992] = {.lex_state = 29, .external_lex_state = 3},
  [1993] = {.lex_state = 29, .external_lex_state = 3},
  [1994] = {.lex_state = 29, .external_lex_state = 3},
  [1995] = {.lex_state = 29, .external_lex_state = 3},
  [1996] = {.lex_state = 29, .external_lex_state = 3},
  [1997] = {.lex_state = 29, .external_lex_state = 3},
  [1998] = {.lex_state = 29, .external_lex_state = 3},
  [1999] = {.lex_state = 29, .external_lex_state = 3},
  [2000] = {.lex_state = 29, .external_lex_state = 3},
  [2001] = {.lex_state = 29, .external_lex_state = 3},
  [2002] = {.lex_state = 29, .external_lex_state = 3},
  [2003] = {.lex_state = 29, .external_lex_state = 3},
  [2004] = {.lex_state = 29, .external_lex_state = 3},
  [2005] = {.lex_state = 29, .external_lex_state = 3},
  [2006] = {.lex_state = 29, .external_lex_state = 3},
  [2007] = {.lex_state = 29, .external_lex_state = 3},
  [2008] = {.lex_state = 29, .external_lex_state = 3},
  [2009] = {.lex_state = 29, .external_lex_state = 3},
  [2010] = {.lex_state = 29, .external_lex_state = 3},
  [2011] = {.lex_state = 29, .external_lex_state = 3},
  [2012] = {.lex_state = 29, .external_lex_state = 3},
  [2013] = {.lex_state = 29, .external_lex_state = 3},
  [2014] = {.lex_state = 29, .external_lex_state = 3},
  [2015] = {.lex_state = 29, .external_lex_state = 3},
  [2016] = {.lex_state = 29, .external_lex_state = 3},
  [2017] = {.lex_state = 29, .external_lex_state = 3},
  [2018] = {.lex_state = 29, .external_lex_state = 3},
  [2019] = {.lex_state = 29, .external_lex_state = 3},
  [2020] = {.lex_state = 29, .external_lex_state = 3},
  [2021] = {.lex_state = 29, .external_lex_state = 3},
  [2022] = {.lex_state = 29, .external_lex_state = 3},
  [2023] = {.lex_state = 29, .external_lex_state = 3},
  [2024] = {.lex_state = 29, .external_lex_state = 3},
  [2025] = {.lex_state = 29, .external_lex_state = 3},
  [2026] = {.lex_state = 29, .external_lex_state = 3},
  [2027] = {.lex_state = 29, .external_lex_state = 3},
  [2028] = {.lex_state = 29, .external_lex_state = 3},
  [2029] = {.lex_state = 29, .external_lex_state = 3},
  [2030] = {.lex_state = 29, .external_lex_state = 3},
  [2031] = {.lex_state = 29, .external_lex_state = 3},
  [2032] = {.lex_state = 29, .external_lex_state = 3},
  [2033] = {.lex_state = 29, .external_lex_state = 3},
  [2034] = {.lex_state = 29, .external_lex_state = 3},
  [2035] = {.lex_state = 29, .external_lex_state = 3},
  [2036] = {.lex_state = 29, .external_lex_state = 3},
  [2037] = {.lex_state = 29, .external_lex_state = 3},
  [2038] = {.lex_state = 29, .external_lex_state = 3},
  [2039] = {.lex_state = 29, .external_lex_state = 3},
  [2040] = {.lex_state = 29, .external_lex_state = 3},
  [2041] = {.lex_state = 29, .external_lex_state = 3},
  [2042] = {.lex_state = 29, .external_lex_state = 3},
  [2043] = {.lex_state = 29, .external_lex_state = 3},
  [2044] = {.lex_state = 29, .external_lex_state = 3},
  [2045] = {.lex_state = 29, .external_lex_state = 3},
  [2046] = {.lex_state = 29, .external_lex_state = 3},
  [2047] = {.lex_state = 29, .external_lex_state = 3},
  [2048] = {.lex_state = 29, .external_lex_state = 3},
  [2049] = {.lex_state = 29, .external_lex_state = 3},
  [2050] = {.lex_state = 29, .external_lex_state = 3},
  [2051] = {.lex_state = 29, .external_lex_state = 3},
  [2052] = {.lex_state = 29, .external_lex_state = 3},
  [2053] = {.lex_state = 29, .external_lex_state = 3},
  [2054] = {.lex_state = 29, .external_lex_state = 3},
  [2055] = {.lex_state = 29, .external_lex_state = 3},
  [2056] = {.lex_state = 29, .external_lex_state = 3},
  [2057] = {.lex_state = 29, .external_lex_state = 3},
  [2058] = {.lex_state = 29, .external_lex_state = 3},
  [2059] = {.lex_state = 29, .external_lex_state = 3},
  [2060] = {.lex_state = 29, .external_lex_state = 3},
  [2061] = {.lex_state = 29, .external_lex_state = 3},
  [2062] = {.lex_state = 29, .external_lex_state = 3},
  [2063] = {.lex_state = 29, .external_lex_state = 3},
  [2064] = {.lex_state = 29, .external_lex_state = 3},
  [2065] = {.lex_state = 29, .external_lex_state = 3},
  [2066] = {.lex_state = 29, .external_lex_state = 3},
  [2067] = {.lex_state = 29, .external_lex_state = 3},
  [2068] = {.lex_state = 29, .external_lex_state = 3},
  [2069] = {.lex_state = 29, .external_lex_state = 3},
  [2070] = {.lex_state = 29, .external_lex_state = 3},
  [2071] = {.lex_state = 29, .external_lex_state = 3},
  [2072] = {.lex_state = 29, .external_lex_state = 3},
  [2073] = {.lex_state = 29, .external_lex_state = 3},
  [2074] = {.lex_state = 29, .external_lex_state = 3},
  [2075] = {.lex_state = 29, .external_lex_state = 3},
  [2076] = {.lex_state = 29, .external_lex_state = 3},
  [2077] = {.lex_state = 29, .external_lex_state = 3},
  [2078] = {.lex_state = 29, .external_lex_state = 3},
  [2079] = {.lex_state = 29, .external_lex_state = 3},
  [2080] = {.lex_state = 29, .external_lex_state = 3},
  [2081] = {.lex_state = 29, .external_lex_state = 3},
  [2082] = {.lex_state = 29, .external_lex_state = 3},
  [2083] = {.lex_state = 29, .external_lex_state = 3},
  [2084] = {.lex_state = 29, .external_lex_state = 3},
  [2085] = {.lex_state = 29, .external_lex_state = 3},
  [2086] = {.lex_state = 29, .external_lex_state = 3},
  [2087] = {.lex_state = 29, .external_lex_state = 3},
  [2088] = {.lex_state = 29, .external_lex_state = 3},
  [2089] = {.lex_state = 29, .external_lex_state = 3},
  [2090] = {.lex_state = 29, .external_lex_state = 3},
  [2091] = {.lex_state = 29, .external_lex_state = 3},
  [2092] = {.lex_state = 29, .external_lex_state = 3},
  [2093] = {.lex_state = 29, .external_lex_state = 3},
  [2094] = {.lex_state = 29, .external_lex_state = 3},
  [2095] = {.lex_state = 29, .external_lex_state = 3},
  [2096] = {.lex_state = 29, .external_lex_state = 3},
  [2097] = {.lex_state = 29, .external_lex_state = 3},
  [2098] = {.lex_state = 29, .external_lex_state = 3},
  [2099] = {.lex_state = 29, .external_lex_state = 3},
  [2100] = {.lex_state = 29, .external_lex_state = 3},
  [2101] = {.lex_state = 29, .external_lex_state = 3},
  [2102] = {.lex_state = 29, .external_lex_state = 3},
  [2103] = {.lex_state = 29, .external_lex_state = 3},
  [2104] = {.lex_state = 29, .external_lex_state = 3},
  [2105] = {.lex_state = 29, .external_lex_state = 3},
  [2106] = {.lex_state = 29, .external_lex_state = 3},
  [2107] = {.lex_state = 29, .external_lex_state = 3},
  [2108] = {.lex_state = 29, .external_lex_state = 3},
  [2109] = {.lex_state = 29, .external_lex_state = 3},
  [2110] = {.lex_state = 29, .external_lex_state = 3},
  [2111] = {.lex_state = 29, .external_lex_state = 3},
  [2112] = {.lex_state = 29, .external_lex_state = 3},
  [2113] = {.lex_state = 29, .external_lex_state = 3},
  [2114] = {.lex_state = 29, .external_lex_state = 3},
  [2115] = {.lex_state = 29, .external_lex_state = 3},
  [2116] = {.lex_state = 29, .external_lex_state = 3},
  [2117] = {.lex_state = 29, .external_lex_state = 3},
  [2118] = {.lex_state = 29, .external_lex_state = 3},
  [2119] = {.lex_state = 29, .external_lex_state = 3},
  [2120] = {.lex_state = 29, .external_lex_state = 3},
  [2121] = {.lex_state = 29, .external_lex_state = 3},
  [2122] = {.lex_state = 29, .external_lex_state = 3},
  [2123] = {.lex_state = 29, .external_lex_state = 3},
  [2124] = {.lex_state = 29, .external_lex_state = 3},
  [2125] = {.lex_state = 29, .external_lex_state = 3},
  [2126] = {.lex_state = 29, .external_lex_state = 3},
  [2127] = {.lex_state = 29, .external_lex_state = 3},
  [2128] = {.lex_state = 29, .external_lex_state = 3},
  [2129] = {.lex_state = 29, .external_lex_state = 3},
  [2130] = {.lex_state = 29, .external_lex_state = 3},
  [2131] = {.lex_state = 29, .external_lex_state = 3},
  [2132] = {.lex_state = 29, .external_lex_state = 3},
  [2133] = {.lex_state = 29, .external_lex_state = 3},
  [2134] = {.lex_state = 29, .external_lex_state = 3},
  [2135] = {.lex_state = 85, .external_lex_state = 3},
  [2136] = {.lex_state = 29, .external_lex_state = 3},
  [2137] = {.lex_state = 29, .external_lex_state = 3},
  [2138] = {.lex_state = 29, .external_lex_state = 3},
  [2139] = {.lex_state = 29, .external_lex_state = 3},
  [2140] = {.lex_state = 29, .external_lex_state = 3},
  [2141] = {.lex_state = 29, .external_lex_state = 3},
  [2142] = {.lex_state = 29, .external_lex_state = 3},
  [2143] = {.lex_state = 29, .external_lex_state = 3},
  [2144] = {.lex_state = 29, .external_lex_state = 3},
  [2145] = {.lex_state = 29, .external_lex_state = 3},
  [2146] = {.lex_state = 29, .external_lex_state = 3},
  [2147] = {.lex_state = 29, .external_lex_state = 3},
  [2148] = {.lex_state = 29, .external_lex_state = 3},
  [2149] = {.lex_state = 29, .external_lex_state = 3},
  [2150] = {.lex_state = 29, .external_lex_state = 3},
  [2151] = {.lex_state = 29, .external_lex_state = 3},
  [2152] = {.lex_state = 29, .external_lex_state = 3},
  [2153] = {.lex_state = 29, .external_lex_state = 3},
  [2154] = {.lex_state = 29, .external_lex_state = 3},
  [2155] = {.lex_state = 29, .external_lex_state = 3},
  [2156] = {.lex_state = 29, .external_lex_state = 3},
  [2157] = {.lex_state = 29, .external_lex_state = 3},
  [2158] = {.lex_state = 29, .external_lex_state = 3},
  [2159] = {.lex_state = 29, .external_lex_state = 3},
  [2160] = {.lex_state = 29, .external_lex_state = 3},
  [2161] = {.lex_state = 29, .external_lex_state = 3},
  [2162] = {.lex_state = 29, .external_lex_state = 3},
  [2163] = {.lex_state = 29, .external_lex_state = 3},
  [2164] = {.lex_state = 29, .external_lex_state = 3},
  [2165] = {.lex_state = 29, .external_lex_state = 3},
  [2166] = {.lex_state = 29, .external_lex_state = 3},
  [2167] = {.lex_state = 29, .external_lex_state = 3},
  [2168] = {.lex_state = 29, .external_lex_state = 3},
  [2169] = {.lex_state = 29, .external_lex_state = 3},
  [2170] = {.lex_state = 73, .external_lex_state = 3},
  [2171] = {.lex_state = 29, .external_lex_state = 3},
  [2172] = {.lex_state = 29, .external_lex_state = 3},
  [2173] = {.lex_state = 29, .external_lex_state = 3},
  [2174] = {.lex_state = 29, .external_lex_state = 3},
  [2175] = {.lex_state = 29, .external_lex_state = 3},
  [2176] = {.lex_state = 29, .external_lex_state = 3},
  [2177] = {.lex_state = 29, .external_lex_state = 3},
  [2178] = {.lex_state = 29, .external_lex_state = 3},
  [2179] = {.lex_state = 29, .external_lex_state = 3},
  [2180] = {.lex_state = 29, .external_lex_state = 3},
  [2181] = {.lex_state = 29, .external_lex_state = 3},
  [2182] = {.lex_state = 29, .external_lex_state = 3},
  [2183] = {.lex_state = 29, .external_lex_state = 3},
  [2184] = {.lex_state = 29, .external_lex_state = 3},
  [2185] = {.lex_state = 29, .external_lex_state = 3},
  [2186] = {.lex_state = 29, .external_lex_state = 3},
  [2187] = {.lex_state = 29, .external_lex_state = 3},
  [2188] = {.lex_state = 29, .external_lex_state = 3},
  [2189] = {.lex_state = 29, .external_lex_state = 3},
  [2190] = {.lex_state = 29, .external_lex_state = 3},
  [2191] = {.lex_state = 29, .external_lex_state = 3},
  [2192] = {.lex_state = 29, .external_lex_state = 3},
  [2193] = {.lex_state = 73, .external_lex_state = 3},
  [2194] = {.lex_state = 68, .external_lex_state = 3},
  [2195] = {.lex_state = 29, .external_lex_state = 3},
  [2196] = {.lex_state = 72, .external_lex_state = 3},
  [2197] = {.lex_state = 29, .external_lex_state = 3},
  [2198] = {.lex_state = 29, .external_lex_state = 3},
  [2199] = {.lex_state = 29, .external_lex_state = 3},
  [2200] = {.lex_state = 29, .external_lex_state = 3},
  [2201] = {.lex_state = 29, .external_lex_state = 3},
  [2202] = {.lex_state = 29, .external_lex_state = 3},
  [2203] = {.lex_state = 29, .external_lex_state = 3},
  [2204] = {.lex_state = 29, .external_lex_state = 3},
  [2205] = {.lex_state = 29, .external_lex_state = 3},
  [2206] = {.lex_state = 29, .external_lex_state = 3},
  [2207] = {.lex_state = 29, .external_lex_state = 3},
  [2208] = {.lex_state = 29, .external_lex_state = 3},
  [2209] = {.lex_state = 29, .external_lex_state = 3},
  [2210] = {.lex_state = 29, .external_lex_state = 3},
  [2211] = {.lex_state = 29, .external_lex_state = 3},
  [2212] = {.lex_state = 29, .external_lex_state = 3},
  [2213] = {.lex_state = 29, .external_lex_state = 3},
  [2214] = {.lex_state = 29, .external_lex_state = 3},
  [2215] = {.lex_state = 29, .external_lex_state = 3},
  [2216] = {.lex_state = 29, .external_lex_state = 3},
  [2217] = {.lex_state = 29, .external_lex_state = 3},
  [2218] = {.lex_state = 29, .external_lex_state = 3},
  [2219] = {.lex_state = 29, .external_lex_state = 3},
  [2220] = {.lex_state = 29, .external_lex_state = 3},
  [2221] = {.lex_state = 29, .external_lex_state = 3},
  [2222] = {.lex_state = 29, .external_lex_state = 3},
  [2223] = {.lex_state = 29, .external_lex_state = 3},
  [2224] = {.lex_state = 29, .external_lex_state = 3},
  [2225] = {.lex_state = 29, .external_lex_state = 3},
  [2226] = {.lex_state = 29, .external_lex_state = 3},
  [2227] = {.lex_state = 29, .external_lex_state = 3},
  [2228] = {.lex_state = 29, .external_lex_state = 3},
  [2229] = {.lex_state = 29, .external_lex_state = 3},
  [2230] = {.lex_state = 29, .external_lex_state = 3},
  [2231] = {.lex_state = 29, .external_lex_state = 3},
  [2232] = {.lex_state = 29, .external_lex_state = 3},
  [2233] = {.lex_state = 29, .external_lex_state = 3},
  [2234] = {.lex_state = 29, .external_lex_state = 3},
  [2235] = {.lex_state = 29, .external_lex_state = 3},
  [2236] = {.lex_state = 29, .external_lex_state = 3},
  [2237] = {.lex_state = 29, .external_lex_state = 3},
  [2238] = {.lex_state = 29, .external_lex_state = 3},
  [2239] = {.lex_state = 29, .external_lex_state = 3},
  [2240] = {.lex_state = 29, .external_lex_state = 3},
  [2241] = {.lex_state = 29, .external_lex_state = 3},
  [2242] = {.lex_state = 29, .external_lex_state = 3},
  [2243] = {.lex_state = 29, .external_lex_state = 3},
  [2244] = {.lex_state = 29, .external_lex_state = 3},
  [2245] = {.lex_state = 29, .external_lex_state = 3},
  [2246] = {.lex_state = 29, .external_lex_state = 3},
  [2247] = {.lex_state = 29, .external_lex_state = 3},
  [2248] = {.lex_state = 29, .external_lex_state = 3},
  [2249] = {.lex_state = 29, .external_lex_state = 3},
  [2250] = {.lex_state = 29, .external_lex_state = 3},
  [2251] = {.lex_state = 29, .external_lex_state = 3},
  [2252] = {.lex_state = 29, .external_lex_state = 3},
  [2253] = {.lex_state = 29, .external_lex_state = 3},
  [2254] = {.lex_state = 68, .external_lex_state = 3},
  [2255] = {.lex_state = 72, .external_lex_state = 3},
  [2256] = {.lex_state = 29, .external_lex_state = 3},
  [2257] = {.lex_state = 29, .external_lex_state = 3},
  [2258] = {.lex_state = 29, .external_lex_state = 3},
  [2259] = {.lex_state = 29, .external_lex_state = 3},
  [2260] = {.lex_state = 29, .external_lex_state = 3},
  [2261] = {.lex_state = 29, .external_lex_state = 3},
  [2262] = {.lex_state = 29, .external_lex_state = 3},
  [2263] = {.lex_state = 29, .external_lex_state = 3},
  [2264] = {.lex_state = 29, .external_lex_state = 3},
  [2265] = {.lex_state = 29, .external_lex_state = 3},
  [2266] = {.lex_state = 29, .external_lex_state = 3},
  [2267] = {.lex_state = 29, .external_lex_state = 3},
  [2268] = {.lex_state = 29, .external_lex_state = 3},
  [2269] = {.lex_state = 29, .external_lex_state = 3},
  [2270] = {.lex_state = 29, .external_lex_state = 3},
  [2271] = {.lex_state = 29, .external_lex_state = 3},
  [2272] = {.lex_state = 29, .external_lex_state = 3},
  [2273] = {.lex_state = 29, .external_lex_state = 3},
  [2274] = {.lex_state = 29, .external_lex_state = 3},
  [2275] = {.lex_state = 29, .external_lex_state = 3},
  [2276] = {.lex_state = 29, .external_lex_state = 3},
  [2277] = {.lex_state = 29, .external_lex_state = 3},
  [2278] = {.lex_state = 29, .external_lex_state = 3},
  [2279] = {.lex_state = 29, .external_lex_state = 3},
  [2280] = {.lex_state = 29, .external_lex_state = 3},
  [2281] = {.lex_state = 29, .external_lex_state = 3},
  [2282] = {.lex_state = 29, .external_lex_state = 3},
  [2283] = {.lex_state = 29, .external_lex_state = 3},
  [2284] = {.lex_state = 29, .external_lex_state = 3},
  [2285] = {.lex_state = 29, .external_lex_state = 3},
  [2286] = {.lex_state = 29, .external_lex_state = 3},
  [2287] = {.lex_state = 29, .external_lex_state = 3},
  [2288] = {.lex_state = 29, .external_lex_state = 3},
  [2289] = {.lex_state = 29, .external_lex_state = 3},
  [2290] = {.lex_state = 29, .external_lex_state = 3},
  [2291] = {.lex_state = 29, .external_lex_state = 3},
  [2292] = {.lex_state = 29, .external_lex_state = 3},
  [2293] = {.lex_state = 29, .external_lex_state = 3},
  [2294] = {.lex_state = 29, .external_lex_state = 3},
  [2295] = {.lex_state = 29, .external_lex_state = 3},
  [2296] = {.lex_state = 29, .external_lex_state = 3},
  [2297] = {.lex_state = 29, .external_lex_state = 3},
  [2298] = {.lex_state = 29, .external_lex_state = 3},
  [2299] = {.lex_state = 29, .external_lex_state = 3},
  [2300] = {.lex_state = 29, .external_lex_state = 3},
  [2301] = {.lex_state = 29, .external_lex_state = 3},
  [2302] = {.lex_state = 29, .external_lex_state = 3},
  [2303] = {.lex_state = 29, .external_lex_state = 3},
  [2304] = {.lex_state = 29, .external_lex_state = 3},
  [2305] = {.lex_state = 29, .external_lex_state = 3},
  [2306] = {.lex_state = 29, .external_lex_state = 3},
  [2307] = {.lex_state = 29, .external_lex_state = 3},
  [2308] = {.lex_state = 29, .external_lex_state = 3},
  [2309] = {.lex_state = 29, .external_lex_state = 3},
  [2310] = {.lex_state = 29, .external_lex_state = 3},
  [2311] = {.lex_state = 29, .external_lex_state = 3},
  [2312] = {.lex_state = 29, .external_lex_state = 3},
  [2313] = {.lex_state = 29, .external_lex_state = 3},
  [2314] = {.lex_state = 29, .external_lex_state = 3},
  [2315] = {.lex_state = 29, .external_lex_state = 3},
  [2316] = {.lex_state = 29, .external_lex_state = 3},
  [2317] = {.lex_state = 29, .external_lex_state = 3},
  [2318] = {.lex_state = 29, .external_lex_state = 3},
  [2319] = {.lex_state = 29, .external_lex_state = 3},
  [2320] = {.lex_state = 29, .external_lex_state = 3},
  [2321] = {.lex_state = 29, .external_lex_state = 3},
  [2322] = {.lex_state = 29, .external_lex_state = 3},
  [2323] = {.lex_state = 29, .external_lex_state = 3},
  [2324] = {.lex_state = 29, .external_lex_state = 3},
  [2325] = {.lex_state = 29, .external_lex_state = 3},
  [2326] = {.lex_state = 29, .external_lex_state = 3},
  [2327] = {.lex_state = 29, .external_lex_state = 3},
  [2328] = {.lex_state = 29, .external_lex_state = 3},
  [2329] = {.lex_state = 29, .external_lex_state = 3},
  [2330] = {.lex_state = 29, .external_lex_state = 3},
  [2331] = {.lex_state = 29, .external_lex_state = 3},
  [2332] = {.lex_state = 29, .external_lex_state = 3},
  [2333] = {.lex_state = 29, .external_lex_state = 3},
  [2334] = {.lex_state = 29, .external_lex_state = 3},
  [2335] = {.lex_state = 29, .external_lex_state = 3},
  [2336] = {.lex_state = 29, .external_lex_state = 3},
  [2337] = {.lex_state = 29, .external_lex_state = 3},
  [2338] = {.lex_state = 29, .external_lex_state = 3},
  [2339] = {.lex_state = 29, .external_lex_state = 3},
  [2340] = {.lex_state = 29, .external_lex_state = 3},
  [2341] = {.lex_state = 29, .external_lex_state = 3},
  [2342] = {.lex_state = 29, .external_lex_state = 3},
  [2343] = {.lex_state = 29, .external_lex_state = 3},
  [2344] = {.lex_state = 29, .external_lex_state = 3},
  [2345] = {.lex_state = 29, .external_lex_state = 3},
  [2346] = {.lex_state = 29, .external_lex_state = 3},
  [2347] = {.lex_state = 29, .external_lex_state = 3},
  [2348] = {.lex_state = 29, .external_lex_state = 3},
  [2349] = {.lex_state = 29, .external_lex_state = 3},
  [2350] = {.lex_state = 29, .external_lex_state = 3},
  [2351] = {.lex_state = 29, .external_lex_state = 3},
  [2352] = {.lex_state = 29, .external_lex_state = 3},
  [2353] = {.lex_state = 29, .external_lex_state = 3},
  [2354] = {.lex_state = 29, .external_lex_state = 3},
  [2355] = {.lex_state = 29, .external_lex_state = 3},
  [2356] = {.lex_state = 29, .external_lex_state = 3},
  [2357] = {.lex_state = 29, .external_lex_state = 3},
  [2358] = {.lex_state = 29, .external_lex_state = 3},
  [2359] = {.lex_state = 29, .external_lex_state = 3},
  [2360] = {.lex_state = 29, .external_lex_state = 3},
  [2361] = {.lex_state = 29, .external_lex_state = 3},
  [2362] = {.lex_state = 29, .external_lex_state = 3},
  [2363] = {.lex_state = 29, .external_lex_state = 3},
  [2364] = {.lex_state = 29, .external_lex_state = 3},
  [2365] = {.lex_state = 29, .external_lex_state = 3},
  [2366] = {.lex_state = 29, .external_lex_state = 3},
  [2367] = {.lex_state = 29, .external_lex_state = 3},
  [2368] = {.lex_state = 29, .external_lex_state = 3},
  [2369] = {.lex_state = 29, .external_lex_state = 3},
  [2370] = {.lex_state = 29, .external_lex_state = 3},
  [2371] = {.lex_state = 29, .external_lex_state = 3},
  [2372] = {.lex_state = 29, .external_lex_state = 3},
  [2373] = {.lex_state = 29, .external_lex_state = 3},
  [2374] = {.lex_state = 29, .external_lex_state = 3},
  [2375] = {.lex_state = 29, .external_lex_state = 3},
  [2376] = {.lex_state = 29, .external_lex_state = 3},
  [2377] = {.lex_state = 29, .external_lex_state = 3},
  [2378] = {.lex_state = 29, .external_lex_state = 3},
  [2379] = {.lex_state = 29, .external_lex_state = 3},
  [2380] = {.lex_state = 29, .external_lex_state = 3},
  [2381] = {.lex_state = 29, .external_lex_state = 3},
  [2382] = {.lex_state = 29, .external_lex_state = 3},
  [2383] = {.lex_state = 29, .external_lex_state = 3},
  [2384] = {.lex_state = 29, .external_lex_state = 3},
  [2385] = {.lex_state = 29, .external_lex_state = 3},
  [2386] = {.lex_state = 29, .external_lex_state = 3},
  [2387] = {.lex_state = 29, .external_lex_state = 3},
  [2388] = {.lex_state = 29, .external_lex_state = 3},
  [2389] = {.lex_state = 29, .external_lex_state = 3},
  [2390] = {.lex_state = 29, .external_lex_state = 3},
  [2391] = {.lex_state = 29, .external_lex_state = 3},
  [2392] = {.lex_state = 29, .external_lex_state = 3},
  [2393] = {.lex_state = 29, .external_lex_state = 3},
  [2394] = {.lex_state = 66, .external_lex_state = 3},
  [2395] = {.lex_state = 66, .external_lex_state = 3},
  [2396] = {.lex_state = 74, .external_lex_state = 3},
  [2397] = {.lex_state = 74, .external_lex_state = 3},
  [2398] = {.lex_state = 70, .external_lex_state = 3},
  [2399] = {.lex_state = 75, .external_lex_state = 3},
  [2400] = {.lex_state = 70, .external_lex_state = 3},
  [2401] = {.lex_state = 75, .external_lex_state = 3},
  [2402] = {.lex_state = 76, .external_lex_state = 3},
  [2403] = {.lex_state = 69, .external_lex_state = 3},
  [2404] = {.lex_state = 76, .external_lex_state = 3},
  [2405] = {.lex_state = 69, .external_lex_state = 3},
  [2406] = {.lex_state = 109, .external_lex_state = 3},
  [2407] = {.lex_state = 110, .external_lex_state = 3},
  [2408] = {.lex_state = 78, .external_lex_state = 3},
  [2409] = {.lex_state = 80, .external_lex_state = 3},
  [2410] = {.lex_state = 77, .external_lex_state = 3},
  [2411] = {.lex_state = 109, .external_lex_state = 3},
  [2412] = {.lex_state = 109, .external_lex_state = 3},
  [2413] = {.lex_state = 110, .external_lex_state = 3},
  [2414] = {.lex_state = 79, .external_lex_state = 3},
  [2415] = {.lex_state = 110, .external_lex_state = 3},
  [2416] = {.lex_state = 78, .external_lex_state = 3},
  [2417] = {.lex_state = 78, .external_lex_state = 3},
  [2418] = {.lex_state = 80, .external_lex_state = 3},
  [2419] = {.lex_state = 80, .external_lex_state = 3},
  [2420] = {.lex_state = 123, .external_lex_state = 3},
  [2421] = {.lex_state = 77, .external_lex_state = 3},
  [2422] = {.lex_state = 77, .external_lex_state = 3},
  [2423] = {.lex_state = 79, .external_lex_state = 3},
  [2424] = {.lex_state = 79, .external_lex_state = 3},
  [2425] = {.lex_state = 183, .external_lex_state = 3},
  [2426] = {.lex_state = 183, .external_lex_state = 3},
  [2427] = {.lex_state = 124, .external_lex_state = 3},
  [2428] = {.lex_state = 185, .external_lex_state = 3},
  [2429] = {.lex_state = 185, .external_lex_state = 3},
  [2430] = {.lex_state = 186, .external_lex_state = 3},
  [2431] = {.lex_state = 186, .external_lex_state = 3},
  [2432] = {.lex_state = 113, .external_lex_state = 3},
  [2433] = {.lex_state = 184, .external_lex_state = 3},
  [2434] = {.lex_state = 184, .external_lex_state = 3},
  [2435] = {.lex_state = 111, .external_lex_state = 3},
  [2436] = {.lex_state = 118, .external_lex_state = 3},
  [2437] = {.lex_state = 119, .external_lex_state = 3},
  [2438] = {.lex_state = 117, .external_lex_state = 3},
  [2439] = {.lex_state = 114, .external_lex_state = 3},
  [2440] = {.lex_state = 115, .external_lex_state = 3},
  [2441] = {.lex_state = 123, .external_lex_state = 3},
  [2442] = {.lex_state = 123, .external_lex_state = 3},
  [2443] = {.lex_state = 121, .external_lex_state = 3},
  [2444] = {.lex_state = 120, .external_lex_state = 3},
  [2445] = {.lex_state = 125, .external_lex_state = 3},
  [2446] = {.lex_state = 125, .external_lex_state = 3},
  [2447] = {.lex_state = 125, .external_lex_state = 3},
  [2448] = {.lex_state = 116, .external_lex_state = 3},
  [2449] = {.lex_state = 124, .external_lex_state = 3},
  [2450] = {.lex_state = 112, .external_lex_state = 3},
  [2451] = {.lex_state = 185, .external_lex_state = 3},
  [2452] = {.lex_state = 125, .external_lex_state = 3},
  [2453] = {.lex_state = 183, .external_lex_state = 3},
  [2454] = {.lex_state = 125, .external_lex_state = 3},
  [2455] = {.lex_state = 122, .external_lex_state = 3},
  [2456] = {.lex_state = 125, .external_lex_state = 3},
  [2457] = {.lex_state = 124, .external_lex_state = 3},
  [2458] = {.lex_state = 125, .external_lex_state = 3},
  [2459] = {.lex_state = 125, .external_lex_state = 3},
  [2460] = {.lex_state = 113, .external_lex_state = 3},
  [2461] = {.lex_state = 16, .external_lex_state = 3},
  [2462] = {.lex_state = 113, .external_lex_state = 3},
  [2463] = {.lex_state = 16, .external_lex_state = 3},
  [2464] = {.lex_state = 184, .external_lex_state = 3},
  [2465] = {.lex_state = 16, .external_lex_state = 3},
  [2466] = {.lex_state = 186, .external_lex_state = 3},
  [2467] = {.lex_state = 15, .external_lex_state = 3},
  [2468] = {.lex_state = 15, .external_lex_state = 3},
  [2469] = {.lex_state = 15, .external_lex_state = 3},
  [2470] = {.lex_state = 119, .external_lex_state = 3},
  [2471] = {.lex_state = 115, .external_lex_state = 3},
  [2472] = {.lex_state = 115, .external_lex_state = 3},
  [2473] = {.lex_state = 111, .external_lex_state = 3},
  [2474] = {.lex_state = 126, .external_lex_state = 3},
  [2475] = {.lex_state = 126, .external_lex_state = 3},
  [2476] = {.lex_state = 118, .external_lex_state = 3},
  [2477] = {.lex_state = 126, .external_lex_state = 3},
  [2478] = {.lex_state = 119, .external_lex_state = 3},
  [2479] = {.lex_state = 114, .external_lex_state = 3},
  [2480] = {.lex_state = 126, .external_lex_state = 3},
  [2481] = {.lex_state = 126, .external_lex_state = 3},
  [2482] = {.lex_state = 117, .external_lex_state = 3},
  [2483] = {.lex_state = 126, .external_lex_state = 3},
  [2484] = {.lex_state = 126, .external_lex_state = 3},
  [2485] = {.lex_state = 117, .external_lex_state = 3},
  [2486] = {.lex_state = 114, .external_lex_state = 3},
  [2487] = {.lex_state = 118, .external_lex_state = 3},
  [2488] = {.lex_state = 111, .external_lex_state = 3},
  [2489] = {.lex_state = 126, .external_lex_state = 3},
  [2490] = {.lex_state = 22, .external_lex_state = 3},
  [2491] = {.lex_state = 21, .external_lex_state = 3},
  [2492] = {.lex_state = 21, .external_lex_state = 3},
  [2493] = {.lex_state = 112, .external_lex_state = 3},
  [2494] = {.lex_state = 112, .external_lex_state = 3},
  [2495] = {.lex_state = 21, .external_lex_state = 3},
  [2496] = {.lex_state = 121, .external_lex_state = 3},
  [2497] = {.lex_state = 121, .external_lex_state = 3},
  [2498] = {.lex_state = 122, .external_lex_state = 3},
  [2499] = {.lex_state = 122, .external_lex_state = 3},
  [2500] = {.lex_state = 116, .external_lex_state = 3},
  [2501] = {.lex_state = 116, .external_lex_state = 3},
  [2502] = {.lex_state = 22, .external_lex_state = 3},
  [2503] = {.lex_state = 120, .external_lex_state = 3},
  [2504] = {.lex_state = 22, .external_lex_state = 3},
  [2505] = {.lex_state = 120, .external_lex_state = 3},
  [2506] = {.lex_state = 127, .external_lex_state = 3},
  [2507] = {.lex_state = 127, .external_lex_state = 3},
  [2508] = {.lex_state = 127, .external_lex_state = 3},
  [2509] = {.lex_state = 127, .external_lex_state = 3},
  [2510] = {.lex_state = 127, .external_lex_state = 3},
  [2511] = {.lex_state = 127, .external_lex_state = 3},
  [2512] = {.lex_state = 127, .external_lex_state = 3},
  [2513] = {.lex_state = 174, .external_lex_state = 3},
  [2514] = {.lex_state = 23, .external_lex_state = 3},
  [2515] = {.lex_state = 174, .external_lex_state = 3},
  [2516] = {.lex_state = 172, .external_lex_state = 3},
  [2517] = {.lex_state = 172, .external_lex_state = 3},
  [2518] = {.lex_state = 172, .external_lex_state = 3},
  [2519] = {.lex_state = 174, .external_lex_state = 3},
  [2520] = {.lex_state = 174, .external_lex_state = 3},
  [2521] = {.lex_state = 172, .external_lex_state = 3},
  [2522] = {.lex_state = 174, .external_lex_state = 3},
  [2523] = {.lex_state = 172, .external_lex_state = 3},
  [2524] = {.lex_state = 174, .external_lex_state = 3},
  [2525] = {.lex_state = 172, .external_lex_state = 3},
  [2526] = {.lex_state = 174, .external_lex_state = 3},
  [2527] = {.lex_state = 23, .external_lex_state = 3},
  [2528] = {.lex_state = 172, .external_lex_state = 3},
  [2529] = {.lex_state = 172, .external_lex_state = 3},
  [2530] = {.lex_state = 172, .external_lex_state = 3},
  [2531] = {.lex_state = 172, .external_lex_state = 3},
  [2532] = {.lex_state = 174, .external_lex_state = 3},
  [2533] = {.lex_state = 174, .external_lex_state = 3},
  [2534] = {.lex_state = 174, .external_lex_state = 3},
  [2535] = {.lex_state = 23, .external_lex_state = 3},
  [2536] = {.lex_state = 173, .external_lex_state = 3},
  [2537] = {.lex_state = 175, .external_lex_state = 3},
  [2538] = {.lex_state = 173, .external_lex_state = 3},
  [2539] = {.lex_state = 175, .external_lex_state = 3},
  [2540] = {.lex_state = 175, .external_lex_state = 3},
  [2541] = {.lex_state = 173, .external_lex_state = 3},
  [2542] = {.lex_state = 175, .external_lex_state = 3},
  [2543] = {.lex_state = 173, .external_lex_state = 3},
  [2544] = {.lex_state = 166, .external_lex_state = 3},
  [2545] = {.lex_state = 175, .external_lex_state = 3},
  [2546] = {.lex_state = 173, .external_lex_state = 3},
  [2547] = {.lex_state = 173, .external_lex_state = 3},
  [2548] = {.lex_state = 175, .external_lex_state = 3},
  [2549] = {.lex_state = 175, .external_lex_state = 3},
  [2550] = {.lex_state = 175, .external_lex_state = 3},
  [2551] = {.lex_state = 173, .external_lex_state = 3},
  [2552] = {.lex_state = 173, .external_lex_state = 3},
  [2553] = {.lex_state = 173, .external_lex_state = 3},
  [2554] = {.lex_state = 175, .external_lex_state = 3},
  [2555] = {.lex_state = 173, .external_lex_state = 3},
  [2556] = {.lex_state = 175, .external_lex_state = 3},
  [2557] = {.lex_state = 166, .external_lex_state = 3},
  [2558] = {.lex_state = 174, .external_lex_state = 3},
  [2559] = {.lex_state = 172, .external_lex_state = 3},
  [2560] = {.lex_state = 173, .external_lex_state = 3},
  [2561] = {.lex_state = 187, .external_lex_state = 3},
  [2562] = {.lex_state = 175, .external_lex_state = 3},
  [2563] = {.lex_state = 187, .external_lex_state = 3},
  [2564] = {.lex_state = 170, .external_lex_state = 3},
  [2565] = {.lex_state = 170, .external_lex_state = 3},
  [2566] = {.lex_state = 170, .external_lex_state = 3},
  [2567] = {.lex_state = 170, .external_lex_state = 3},
  [2568] = {.lex_state = 170, .external_lex_state = 3},
  [2569] = {.lex_state = 170, .external_lex_state = 3},
  [2570] = {.lex_state = 168, .external_lex_state = 3},
  [2571] = {.lex_state = 168, .external_lex_state = 3},
  [2572] = {.lex_state = 168, .external_lex_state = 3},
  [2573] = {.lex_state = 168, .external_lex_state = 3},
  [2574] = {.lex_state = 168, .external_lex_state = 3},
  [2575] = {.lex_state = 168, .external_lex_state = 3},
  [2576] = {.lex_state = 168, .external_lex_state = 3},
  [2577] = {.lex_state = 168, .external_lex_state = 3},
  [2578] = {.lex_state = 168, .external_lex_state = 3},
  [2579] = {.lex_state = 168, .external_lex_state = 3},
  [2580] = {.lex_state = 168, .external_lex_state = 3},
  [2581] = {.lex_state = 168, .external_lex_state = 3},
  [2582] = {.lex_state = 168, .external_lex_state = 3},
  [2583] = {.lex_state = 168, .external_lex_state = 3},
  [2584] = {.lex_state = 168, .external_lex_state = 3},
  [2585] = {.lex_state = 168, .external_lex_state = 3},
  [2586] = {.lex_state = 168, .external_lex_state = 3},
  [2587] = {.lex_state = 168, .external_lex_state = 3},
  [2588] = {.lex_state = 168, .external_lex_state = 3},
  [2589] = {.lex_state = 168, .external_lex_state = 3},
  [2590] = {.lex_state = 168, .external_lex_state = 3},
  [2591] = {.lex_state = 168, .external_lex_state = 3},
  [2592] = {.lex_state = 168, .external_lex_state = 3},
  [2593] = {.lex_state = 188, .external_lex_state = 3},
  [2594] = {.lex_state = 168, .external_lex_state = 3},
  [2595] = {.lex_state = 168, .external_lex_state = 3},
  [2596] = {.lex_state = 168, .external_lex_state = 3},
  [2597] = {.lex_state = 168, .external_lex_state = 3},
  [2598] = {.lex_state = 168, .external_lex_state = 3},
  [2599] = {.lex_state = 168, .external_lex_state = 3},
  [2600] = {.lex_state = 168, .external_lex_state = 3},
  [2601] = {.lex_state = 168, .external_lex_state = 3},
  [2602] = {.lex_state = 168, .external_lex_state = 3},
  [2603] = {.lex_state = 168, .external_lex_state = 3},
  [2604] = {.lex_state = 168, .external_lex_state = 3},
  [2605] = {.lex_state = 168, .external_lex_state = 3},
  [2606] = {.lex_state = 168, .external_lex_state = 3},
  [2607] = {.lex_state = 168, .external_lex_state = 3},
  [2608] = {.lex_state = 168, .external_lex_state = 3},
  [2609] = {.lex_state = 168, .external_lex_state = 3},
  [2610] = {.lex_state = 168, .external_lex_state = 3},
  [2611] = {.lex_state = 168, .external_lex_state = 3},
  [2612] = {.lex_state = 168, .external_lex_state = 3},
  [2613] = {.lex_state = 168, .external_lex_state = 3},
  [2614] = {.lex_state = 168, .external_lex_state = 3},
  [2615] = {.lex_state = 187, .external_lex_state = 3},
  [2616] = {.lex_state = 168, .external_lex_state = 3},
  [2617] = {.lex_state = 168, .external_lex_state = 3},
  [2618] = {.lex_state = 168, .external_lex_state = 3},
  [2619] = {.lex_state = 168, .external_lex_state = 3},
  [2620] = {.lex_state = 19, .external_lex_state = 3},
  [2621] = {.lex_state = 19, .external_lex_state = 3},
  [2622] = {.lex_state = 19, .external_lex_state = 3},
  [2623] = {.lex_state = 206, .external_lex_state = 2},
  [2624] = {.lex_state = 188, .external_lex_state = 3},
  [2625] = {.lex_state = 83, .external_lex_state = 3},
  [2626] = {.lex_state = 166, .external_lex_state = 3},
  [2627] = {.lex_state = 166, .external_lex_state = 3},
  [2628] = {.lex_state = 166, .external_lex_state = 3},
  [2629] = {.lex_state = 166, .external_lex_state = 3},
  [2630] = {.lex_state = 166, .external_lex_state = 3},
  [2631] = {.lex_state = 166, .external_lex_state = 3},
  [2632] = {.lex_state = 166, .external_lex_state = 3},
  [2633] = {.lex_state = 166, .external_lex_state = 3},
  [2634] = {.lex_state = 87, .external_lex_state = 3},
  [2635] = {.lex_state = 166, .external_lex_state = 3},
  [2636] = {.lex_state = 87, .external_lex_state = 3},
  [2637] = {.lex_state = 166, .external_lex_state = 3},
  [2638] = {.lex_state = 166, .external_lex_state = 3},
  [2639] = {.lex_state = 166, .external_lex_state = 3},
  [2640] = {.lex_state = 166, .external_lex_state = 3},
  [2641] = {.lex_state = 166, .external_lex_state = 3},
  [2642] = {.lex_state = 166, .external_lex_state = 3},
  [2643] = {.lex_state = 166, .external_lex_state = 3},
  [2644] = {.lex_state = 166, .external_lex_state = 3},
  [2645] = {.lex_state = 166, .external_lex_state = 3},
  [2646] = {.lex_state = 166, .external_lex_state = 3},
  [2647] = {.lex_state = 166, .external_lex_state = 3},
  [2648] = {.lex_state = 166, .external_lex_state = 3},
  [2649] = {.lex_state = 166, .external_lex_state = 3},
  [2650] = {.lex_state = 166, .external_lex_state = 3},
  [2651] = {.lex_state = 166, .external_lex_state = 3},
  [2652] = {.lex_state = 166, .external_lex_state = 3},
  [2653] = {.lex_state = 166, .external_lex_state = 3},
  [2654] = {.lex_state = 166, .external_lex_state = 3},
  [2655] = {.lex_state = 166, .external_lex_state = 3},
  [2656] = {.lex_state = 166, .external_lex_state = 3},
  [2657] = {.lex_state = 87, .external_lex_state = 3},
  [2658] = {.lex_state = 166, .external_lex_state = 3},
  [2659] = {.lex_state = 166, .external_lex_state = 3},
  [2660] = {.lex_state = 166, .external_lex_state = 3},
  [2661] = {.lex_state = 166, .external_lex_state = 3},
  [2662] = {.lex_state = 166, .external_lex_state = 3},
  [2663] = {.lex_state = 166, .external_lex_state = 3},
  [2664] = {.lex_state = 87, .external_lex_state = 3},
  [2665] = {.lex_state = 87, .external_lex_state = 3},
  [2666] = {.lex_state = 166, .external_lex_state = 3},
  [2667] = {.lex_state = 87, .external_lex_state = 3},
  [2668] = {.lex_state = 166, .external_lex_state = 3},
  [2669] = {.lex_state = 83, .external_lex_state = 3},
  [2670] = {.lex_state = 87, .external_lex_state = 3},
  [2671] = {.lex_state = 87, .external_lex_state = 3},
  [2672] = {.lex_state = 170, .external_lex_state = 3},
  [2673] = {.lex_state = 87, .external_lex_state = 3},
  [2674] = {.lex_state = 166, .external_lex_state = 3},
  [2675] = {.lex_state = 166, .external_lex_state = 3},
  [2676] = {.lex_state = 83, .external_lex_state = 3},
  [2677] = {.lex_state = 83, .external_lex_state = 3},
  [2678] = {.lex_state = 87, .external_lex_state = 3},
  [2679] = {.lex_state = 166, .external_lex_state = 3},
  [2680] = {.lex_state = 83, .external_lex_state = 3},
  [2681] = {.lex_state = 166, .external_lex_state = 3},
  [2682] = {.lex_state = 83, .external_lex_state = 3},
  [2683] = {.lex_state = 83, .external_lex_state = 3},
  [2684] = {.lex_state = 83, .external_lex_state = 3},
  [2685] = {.lex_state = 83, .external_lex_state = 3},
  [2686] = {.lex_state = 166, .external_lex_state = 3},
  [2687] = {.lex_state = 87, .external_lex_state = 3},
  [2688] = {.lex_state = 83, .external_lex_state = 3},
  [2689] = {.lex_state = 83, .external_lex_state = 3},
  [2690] = {.lex_state = 166, .external_lex_state = 3},
  [2691] = {.lex_state = 166, .external_lex_state = 3},
  [2692] = {.lex_state = 83, .external_lex_state = 3},
  [2693] = {.lex_state = 87, .external_lex_state = 3},
  [2694] = {.lex_state = 87, .external_lex_state = 3},
  [2695] = {.lex_state = 87, .external_lex_state = 3},
  [2696] = {.lex_state = 89, .external_lex_state = 3},
  [2697] = {.lex_state = 83, .external_lex_state = 3},
  [2698] = {.lex_state = 83, .external_lex_state = 3},
  [2699] = {.lex_state = 87, .external_lex_state = 3},
  [2700] = {.lex_state = 87, .external_lex_state = 3},
  [2701] = {.lex_state = 83, .external_lex_state = 3},
  [2702] = {.lex_state = 19, .external_lex_state = 4},
  [2703] = {.lex_state = 87, .external_lex_state = 3},
  [2704] = {.lex_state = 87, .external_lex_state = 3},
  [2705] = {.lex_state = 83, .external_lex_state = 3},
  [2706] = {.lex_state = 19, .external_lex_state = 4},
  [2707] = {.lex_state = 84, .external_lex_state = 3},
  [2708] = {.lex_state = 87, .external_lex_state = 3},
  [2709] = {.lex_state = 88, .external_lex_state = 3},
  [2710] = {.lex_state = 19, .external_lex_state = 4},
  [2711] = {.lex_state = 87, .external_lex_state = 3},
  [2712] = {.lex_state = 89, .external_lex_state = 3},
  [2713] = {.lex_state = 19, .external_lex_state = 4},
  [2714] = {.lex_state = 89, .external_lex_state = 3},
  [2715] = {.lex_state = 84, .external_lex_state = 3},
  [2716] = {.lex_state = 19, .external_lex_state = 4},
  [2717] = {.lex_state = 19, .external_lex_state = 4},
  [2718] = {.lex_state = 88, .external_lex_state = 3},
  [2719] = {.lex_state = 83, .external_lex_state = 3},
  [2720] = {.lex_state = 19, .external_lex_state = 4},
  [2721] = {.lex_state = 89, .external_lex_state = 3},
  [2722] = {.lex_state = 87, .external_lex_state = 3},
  [2723] = {.lex_state = 83, .external_lex_state = 3},
  [2724] = {.lex_state = 19, .external_lex_state = 4},
  [2725] = {.lex_state = 84, .external_lex_state = 3},
  [2726] = {.lex_state = 83, .external_lex_state = 3},
  [2727] = {.lex_state = 19, .external_lex_state = 4},
  [2728] = {.lex_state = 88, .external_lex_state = 3},
  [2729] = {.lex_state = 19, .external_lex_state = 4},
  [2730] = {.lex_state = 19, .external_lex_state = 4},
  [2731] = {.lex_state = 88, .external_lex_state = 3},
  [2732] = {.lex_state = 88, .external_lex_state = 3},
  [2733] = {.lex_state = 88, .external_lex_state = 3},
  [2734] = {.lex_state = 83, .external_lex_state = 3},
  [2735] = {.lex_state = 19, .external_lex_state = 4},
  [2736] = {.lex_state = 88, .external_lex_state = 3},
  [2737] = {.lex_state = 88, .external_lex_state = 3},
  [2738] = {.lex_state = 84, .external_lex_state = 3},
  [2739] = {.lex_state = 19, .external_lex_state = 4},
  [2740] = {.lex_state = 87, .external_lex_state = 3},
  [2741] = {.lex_state = 87, .external_lex_state = 3},
  [2742] = {.lex_state = 89, .external_lex_state = 3},
  [2743] = {.lex_state = 84, .external_lex_state = 3},
  [2744] = {.lex_state = 87, .external_lex_state = 3},
  [2745] = {.lex_state = 81, .external_lex_state = 3},
  [2746] = {.lex_state = 19, .external_lex_state = 4},
  [2747] = {.lex_state = 87, .external_lex_state = 3},
  [2748] = {.lex_state = 87, .external_lex_state = 3},
  [2749] = {.lex_state = 81, .external_lex_state = 3},
  [2750] = {.lex_state = 87, .external_lex_state = 3},
  [2751] = {.lex_state = 87, .external_lex_state = 3},
  [2752] = {.lex_state = 87, .external_lex_state = 3},
  [2753] = {.lex_state = 87, .external_lex_state = 3},
  [2754] = {.lex_state = 19, .external_lex_state = 4},
  [2755] = {.lex_state = 19, .external_lex_state = 4},
  [2756] = {.lex_state = 84, .external_lex_state = 3},
  [2757] = {.lex_state = 88, .external_lex_state = 3},
  [2758] = {.lex_state = 89, .external_lex_state = 3},
  [2759] = {.lex_state = 19, .external_lex_state = 4},
  [2760] = {.lex_state = 84, .external_lex_state = 3},
  [2761] = {.lex_state = 19, .external_lex_state = 4},
  [2762] = {.lex_state = 88, .external_lex_state = 3},
  [2763] = {.lex_state = 84, .external_lex_state = 3},
  [2764] = {.lex_state = 19, .external_lex_state = 4},
  [2765] = {.lex_state = 84, .external_lex_state = 3},
  [2766] = {.lex_state = 19, .external_lex_state = 4},
  [2767] = {.lex_state = 83, .external_lex_state = 3},
  [2768] = {.lex_state = 83, .external_lex_state = 3},
  [2769] = {.lex_state = 19, .external_lex_state = 4},
  [2770] = {.lex_state = 87, .external_lex_state = 3},
  [2771] = {.lex_state = 87, .external_lex_state = 3},
  [2772] = {.lex_state = 81, .external_lex_state = 3},
  [2773] = {.lex_state = 19, .external_lex_state = 4},
  [2774] = {.lex_state = 19, .external_lex_state = 4},
  [2775] = {.lex_state = 83, .external_lex_state = 3},
  [2776] = {.lex_state = 83, .external_lex_state = 3},
  [2777] = {.lex_state = 83, .external_lex_state = 3},
  [2778] = {.lex_state = 83, .external_lex_state = 3},
  [2779] = {.lex_state = 83, .external_lex_state = 3},
  [2780] = {.lex_state = 81, .external_lex_state = 3},
  [2781] = {.lex_state = 19, .external_lex_state = 4},
  [2782] = {.lex_state = 83, .external_lex_state = 3},
  [2783] = {.lex_state = 87, .external_lex_state = 3},
  [2784] = {.lex_state = 83, .external_lex_state = 3},
  [2785] = {.lex_state = 83, .external_lex_state = 3},
  [2786] = {.lex_state = 83, .external_lex_state = 3},
  [2787] = {.lex_state = 83, .external_lex_state = 3},
  [2788] = {.lex_state = 83, .external_lex_state = 3},
  [2789] = {.lex_state = 83, .external_lex_state = 3},
  [2790] = {.lex_state = 83, .external_lex_state = 3},
  [2791] = {.lex_state = 87, .external_lex_state = 3},
  [2792] = {.lex_state = 19, .external_lex_state = 4},
  [2793] = {.lex_state = 83, .external_lex_state = 3},
  [2794] = {.lex_state = 83, .external_lex_state = 3},
  [2795] = {.lex_state = 83, .external_lex_state = 3},
  [2796] = {.lex_state = 83, .external_lex_state = 3},
  [2797] = {.lex_state = 83, .external_lex_state = 3},
  [2798] = {.lex_state = 87, .external_lex_state = 3},
  [2799] = {.lex_state = 83, .external_lex_state = 3},
  [2800] = {.lex_state = 87, .external_lex_state = 3},
  [2801] = {.lex_state = 19, .external_lex_state = 4},
  [2802] = {.lex_state = 87, .external_lex_state = 3},
  [2803] = {.lex_state = 83, .external_lex_state = 3},
  [2804] = {.lex_state = 19, .external_lex_state = 4},
  [2805] = {.lex_state = 89, .external_lex_state = 3},
  [2806] = {.lex_state = 19, .external_lex_state = 4},
  [2807] = {.lex_state = 19, .external_lex_state = 4},
  [2808] = {.lex_state = 19, .external_lex_state = 4},
  [2809] = {.lex_state = 87, .external_lex_state = 3},
  [2810] = {.lex_state = 19, .external_lex_state = 4},
  [2811] = {.lex_state = 81, .external_lex_state = 3},
  [2812] = {.lex_state = 19, .external_lex_state = 4},
  [2813] = {.lex_state = 87, .external_lex_state = 3},
  [2814] = {.lex_state = 87, .external_lex_state = 3},
  [2815] = {.lex_state = 87, .external_lex_state = 3},
  [2816] = {.lex_state = 87, .external_lex_state = 3},
  [2817] = {.lex_state = 19, .external_lex_state = 4},
  [2818] = {.lex_state = 87, .external_lex_state = 3},
  [2819] = {.lex_state = 87, .external_lex_state = 3},
  [2820] = {.lex_state = 87, .external_lex_state = 3},
  [2821] = {.lex_state = 87, .external_lex_state = 3},
  [2822] = {.lex_state = 87, .external_lex_state = 3},
  [2823] = {.lex_state = 87, .external_lex_state = 3},
  [2824] = {.lex_state = 87, .external_lex_state = 3},
  [2825] = {.lex_state = 19, .external_lex_state = 4},
  [2826] = {.lex_state = 87, .external_lex_state = 3},
  [2827] = {.lex_state = 87, .external_lex_state = 3},
  [2828] = {.lex_state = 87, .external_lex_state = 3},
  [2829] = {.lex_state = 87, .external_lex_state = 3},
  [2830] = {.lex_state = 87, .external_lex_state = 3},
  [2831] = {.lex_state = 87, .external_lex_state = 3},
  [2832] = {.lex_state = 87, .external_lex_state = 3},
  [2833] = {.lex_state = 87, .external_lex_state = 3},
  [2834] = {.lex_state = 19, .external_lex_state = 4},
  [2835] = {.lex_state = 87, .external_lex_state = 3},
  [2836] = {.lex_state = 87, .external_lex_state = 3},
  [2837] = {.lex_state = 87, .external_lex_state = 3},
  [2838] = {.lex_state = 19, .external_lex_state = 4},
  [2839] = {.lex_state = 87, .external_lex_state = 3},
  [2840] = {.lex_state = 87, .external_lex_state = 3},
  [2841] = {.lex_state = 19, .external_lex_state = 4},
  [2842] = {.lex_state = 87, .external_lex_state = 3},
  [2843] = {.lex_state = 87, .external_lex_state = 3},
  [2844] = {.lex_state = 81, .external_lex_state = 3},
  [2845] = {.lex_state = 83, .external_lex_state = 3},
  [2846] = {.lex_state = 83, .external_lex_state = 3},
  [2847] = {.lex_state = 83, .external_lex_state = 3},
  [2848] = {.lex_state = 83, .external_lex_state = 3},
  [2849] = {.lex_state = 87, .external_lex_state = 3},
  [2850] = {.lex_state = 87, .external_lex_state = 3},
  [2851] = {.lex_state = 87, .external_lex_state = 3},
  [2852] = {.lex_state = 87, .external_lex_state = 3},
  [2853] = {.lex_state = 89, .external_lex_state = 3},
  [2854] = {.lex_state = 83, .external_lex_state = 3},
  [2855] = {.lex_state = 19, .external_lex_state = 4},
  [2856] = {.lex_state = 89, .external_lex_state = 3},
  [2857] = {.lex_state = 89, .external_lex_state = 3},
  [2858] = {.lex_state = 89, .external_lex_state = 3},
  [2859] = {.lex_state = 84, .external_lex_state = 3},
  [2860] = {.lex_state = 83, .external_lex_state = 3},
  [2861] = {.lex_state = 81, .external_lex_state = 3},
  [2862] = {.lex_state = 84, .external_lex_state = 3},
  [2863] = {.lex_state = 81, .external_lex_state = 3},
  [2864] = {.lex_state = 87, .external_lex_state = 3},
  [2865] = {.lex_state = 83, .external_lex_state = 3},
  [2866] = {.lex_state = 87, .external_lex_state = 3},
  [2867] = {.lex_state = 83, .external_lex_state = 3},
  [2868] = {.lex_state = 87, .external_lex_state = 3},
  [2869] = {.lex_state = 19, .external_lex_state = 3},
  [2870] = {.lex_state = 19, .external_lex_state = 3},
  [2871] = {.lex_state = 87, .external_lex_state = 3},
  [2872] = {.lex_state = 83, .external_lex_state = 3},
  [2873] = {.lex_state = 83, .external_lex_state = 3},
  [2874] = {.lex_state = 83, .external_lex_state = 3},
  [2875] = {.lex_state = 83, .external_lex_state = 3},
  [2876] = {.lex_state = 87, .external_lex_state = 3},
  [2877] = {.lex_state = 83, .external_lex_state = 3},
  [2878] = {.lex_state = 81, .external_lex_state = 3},
  [2879] = {.lex_state = 83, .external_lex_state = 3},
  [2880] = {.lex_state = 81, .external_lex_state = 3},
  [2881] = {.lex_state = 83, .external_lex_state = 3},
  [2882] = {.lex_state = 83, .external_lex_state = 3},
  [2883] = {.lex_state = 83, .external_lex_state = 3},
  [2884] = {.lex_state = 19, .external_lex_state = 4},
  [2885] = {.lex_state = 83, .external_lex_state = 3},
  [2886] = {.lex_state = 83, .external_lex_state = 3},
  [2887] = {.lex_state = 83, .external_lex_state = 3},
  [2888] = {.lex_state = 19, .external_lex_state = 4},
  [2889] = {.lex_state = 83, .external_lex_state = 3},
  [2890] = {.lex_state = 83, .external_lex_state = 3},
  [2891] = {.lex_state = 87, .external_lex_state = 3},
  [2892] = {.lex_state = 88, .external_lex_state = 3},
  [2893] = {.lex_state = 83, .external_lex_state = 3},
  [2894] = {.lex_state = 83, .external_lex_state = 3},
  [2895] = {.lex_state = 83, .external_lex_state = 3},
  [2896] = {.lex_state = 83, .external_lex_state = 3},
  [2897] = {.lex_state = 83, .external_lex_state = 3},
  [2898] = {.lex_state = 83, .external_lex_state = 3},
  [2899] = {.lex_state = 83, .external_lex_state = 3},
  [2900] = {.lex_state = 19, .external_lex_state = 4},
  [2901] = {.lex_state = 83, .external_lex_state = 3},
  [2902] = {.lex_state = 83, .external_lex_state = 3},
  [2903] = {.lex_state = 83, .external_lex_state = 3},
  [2904] = {.lex_state = 83, .external_lex_state = 3},
  [2905] = {.lex_state = 87, .external_lex_state = 3},
  [2906] = {.lex_state = 83, .external_lex_state = 3},
  [2907] = {.lex_state = 87, .external_lex_state = 3},
  [2908] = {.lex_state = 83, .external_lex_state = 3},
  [2909] = {.lex_state = 83, .external_lex_state = 3},
  [2910] = {.lex_state = 87, .external_lex_state = 3},
  [2911] = {.lex_state = 87, .external_lex_state = 3},
  [2912] = {.lex_state = 87, .external_lex_state = 3},
  [2913] = {.lex_state = 83, .external_lex_state = 3},
  [2914] = {.lex_state = 83, .external_lex_state = 3},
  [2915] = {.lex_state = 83, .external_lex_state = 3},
  [2916] = {.lex_state = 83, .external_lex_state = 3},
  [2917] = {.lex_state = 87, .external_lex_state = 3},
  [2918] = {.lex_state = 87, .external_lex_state = 3},
  [2919] = {.lex_state = 87, .external_lex_state = 3},
  [2920] = {.lex_state = 19, .external_lex_state = 4},
  [2921] = {.lex_state = 81, .external_lex_state = 3},
  [2922] = {.lex_state = 19, .external_lex_state = 4},
  [2923] = {.lex_state = 83, .external_lex_state = 3},
  [2924] = {.lex_state = 87, .external_lex_state = 3},
  [2925] = {.lex_state = 169, .external_lex_state = 3},
  [2926] = {.lex_state = 166, .external_lex_state = 3},
  [2927] = {.lex_state = 166, .external_lex_state = 3},
  [2928] = {.lex_state = 166, .external_lex_state = 3},
  [2929] = {.lex_state = 89, .external_lex_state = 3},
  [2930] = {.lex_state = 166, .external_lex_state = 3},
  [2931] = {.lex_state = 166, .external_lex_state = 3},
  [2932] = {.lex_state = 166, .external_lex_state = 3},
  [2933] = {.lex_state = 166, .external_lex_state = 3},
  [2934] = {.lex_state = 166, .external_lex_state = 3},
  [2935] = {.lex_state = 166, .external_lex_state = 3},
  [2936] = {.lex_state = 166, .external_lex_state = 3},
  [2937] = {.lex_state = 166, .external_lex_state = 3},
  [2938] = {.lex_state = 89, .external_lex_state = 3},
  [2939] = {.lex_state = 166, .external_lex_state = 3},
  [2940] = {.lex_state = 166, .external_lex_state = 3},
  [2941] = {.lex_state = 166, .external_lex_state = 3},
  [2942] = {.lex_state = 166, .external_lex_state = 3},
  [2943] = {.lex_state = 166, .external_lex_state = 3},
  [2944] = {.lex_state = 166, .external_lex_state = 3},
  [2945] = {.lex_state = 166, .external_lex_state = 3},
  [2946] = {.lex_state = 89, .external_lex_state = 3},
  [2947] = {.lex_state = 166, .external_lex_state = 3},
  [2948] = {.lex_state = 166, .external_lex_state = 3},
  [2949] = {.lex_state = 166, .external_lex_state = 3},
  [2950] = {.lex_state = 89, .external_lex_state = 3},
  [2951] = {.lex_state = 166, .external_lex_state = 3},
  [2952] = {.lex_state = 166, .external_lex_state = 3},
  [2953] = {.lex_state = 166, .external_lex_state = 3},
  [2954] = {.lex_state = 89, .external_lex_state = 3},
  [2955] = {.lex_state = 166, .external_lex_state = 3},
  [2956] = {.lex_state = 166, .external_lex_state = 3},
  [2957] = {.lex_state = 166, .external_lex_state = 3},
  [2958] = {.lex_state = 89, .external_lex_state = 3},
  [2959] = {.lex_state = 89, .external_lex_state = 3},
  [2960] = {.lex_state = 89, .external_lex_state = 3},
  [2961] = {.lex_state = 89, .external_lex_state = 3},
  [2962] = {.lex_state = 166, .external_lex_state = 3},
  [2963] = {.lex_state = 166, .external_lex_state = 3},
  [2964] = {.lex_state = 166, .external_lex_state = 3},
  [2965] = {.lex_state = 166, .external_lex_state = 3},
  [2966] = {.lex_state = 166, .external_lex_state = 3},
  [2967] = {.lex_state = 89, .external_lex_state = 3},
  [2968] = {.lex_state = 166, .external_lex_state = 3},
  [2969] = {.lex_state = 166, .external_lex_state = 3},
  [2970] = {.lex_state = 166, .external_lex_state = 3},
  [2971] = {.lex_state = 166, .external_lex_state = 3},
  [2972] = {.lex_state = 89, .external_lex_state = 3},
  [2973] = {.lex_state = 166, .external_lex_state = 3},
  [2974] = {.lex_state = 166, .external_lex_state = 3},
  [2975] = {.lex_state = 166, .external_lex_state = 3},
  [2976] = {.lex_state = 166, .external_lex_state = 3},
  [2977] = {.lex_state = 166, .external_lex_state = 3},
  [2978] = {.lex_state = 166, .external_lex_state = 3},
  [2979] = {.lex_state = 166, .external_lex_state = 3},
  [2980] = {.lex_state = 166, .external_lex_state = 3},
  [2981] = {.lex_state = 166, .external_lex_state = 3},
  [2982] = {.lex_state = 166, .external_lex_state = 3},
  [2983] = {.lex_state = 166, .external_lex_state = 3},
  [2984] = {.lex_state = 81, .external_lex_state = 3},
  [2985] = {.lex_state = 166, .external_lex_state = 3},
  [2986] = {.lex_state = 166, .external_lex_state = 3},
  [2987] = {.lex_state = 166, .external_lex_state = 3},
  [2988] = {.lex_state = 81, .external_lex_state = 3},
  [2989] = {.lex_state = 166, .external_lex_state = 3},
  [2990] = {.lex_state = 166, .external_lex_state = 3},
  [2991] = {.lex_state = 81, .external_lex_state = 3},
  [2992] = {.lex_state = 166, .external_lex_state = 3},
  [2993] = {.lex_state = 166, .external_lex_state = 3},
  [2994] = {.lex_state = 166, .external_lex_state = 3},
  [2995] = {.lex_state = 166, .external_lex_state = 3},
  [2996] = {.lex_state = 166, .external_lex_state = 3},
  [2997] = {.lex_state = 81, .external_lex_state = 3},
  [2998] = {.lex_state = 166, .external_lex_state = 3},
  [2999] = {.lex_state = 166, .external_lex_state = 3},
  [3000] = {.lex_state = 166, .external_lex_state = 3},
  [3001] = {.lex_state = 166, .external_lex_state = 3},
  [3002] = {.lex_state = 166, .external_lex_state = 3},
  [3003] = {.lex_state = 166, .external_lex_state = 3},
  [3004] = {.lex_state = 166, .external_lex_state = 3},
  [3005] = {.lex_state = 166, .external_lex_state = 3},
  [3006] = {.lex_state = 166, .external_lex_state = 3},
  [3007] = {.lex_state = 166, .external_lex_state = 3},
  [3008] = {.lex_state = 166, .external_lex_state = 3},
  [3009] = {.lex_state = 166, .external_lex_state = 3},
  [3010] = {.lex_state = 166, .external_lex_state = 3},
  [3011] = {.lex_state = 166, .external_lex_state = 3},
  [3012] = {.lex_state = 81, .external_lex_state = 3},
  [3013] = {.lex_state = 81, .external_lex_state = 3},
  [3014] = {.lex_state = 166, .external_lex_state = 3},
  [3015] = {.lex_state = 166, .external_lex_state = 3},
  [3016] = {.lex_state = 166, .external_lex_state = 3},
  [3017] = {.lex_state = 166, .external_lex_state = 3},
  [3018] = {.lex_state = 166, .external_lex_state = 3},
  [3019] = {.lex_state = 166, .external_lex_state = 3},
  [3020] = {.lex_state = 166, .external_lex_state = 3},
  [3021] = {.lex_state = 166, .external_lex_state = 3},
  [3022] = {.lex_state = 166, .external_lex_state = 3},
  [3023] = {.lex_state = 166, .external_lex_state = 3},
  [3024] = {.lex_state = 166, .external_lex_state = 3},
  [3025] = {.lex_state = 166, .external_lex_state = 3},
  [3026] = {.lex_state = 167, .external_lex_state = 3},
  [3027] = {.lex_state = 167, .external_lex_state = 3},
  [3028] = {.lex_state = 166, .external_lex_state = 3},
  [3029] = {.lex_state = 166, .external_lex_state = 3},
  [3030] = {.lex_state = 81, .external_lex_state = 3},
  [3031] = {.lex_state = 89, .external_lex_state = 3},
  [3032] = {.lex_state = 81, .external_lex_state = 3},
  [3033] = {.lex_state = 81, .external_lex_state = 3},
  [3034] = {.lex_state = 166, .external_lex_state = 3},
  [3035] = {.lex_state = 89, .external_lex_state = 3},
  [3036] = {.lex_state = 166, .external_lex_state = 3},
  [3037] = {.lex_state = 166, .external_lex_state = 3},
  [3038] = {.lex_state = 166, .external_lex_state = 3},
  [3039] = {.lex_state = 166, .external_lex_state = 3},
  [3040] = {.lex_state = 90, .external_lex_state = 3},
  [3041] = {.lex_state = 166, .external_lex_state = 3},
  [3042] = {.lex_state = 81, .external_lex_state = 3},
  [3043] = {.lex_state = 81, .external_lex_state = 3},
  [3044] = {.lex_state = 166, .external_lex_state = 3},
  [3045] = {.lex_state = 166, .external_lex_state = 3},
  [3046] = {.lex_state = 81, .external_lex_state = 3},
  [3047] = {.lex_state = 166, .external_lex_state = 3},
  [3048] = {.lex_state = 166, .external_lex_state = 3},
  [3049] = {.lex_state = 166, .external_lex_state = 3},
  [3050] = {.lex_state = 81, .external_lex_state = 3},
  [3051] = {.lex_state = 81, .external_lex_state = 3},
  [3052] = {.lex_state = 166, .external_lex_state = 3},
  [3053] = {.lex_state = 81, .external_lex_state = 3},
  [3054] = {.lex_state = 81, .external_lex_state = 3},
  [3055] = {.lex_state = 81, .external_lex_state = 3},
  [3056] = {.lex_state = 166, .external_lex_state = 3},
  [3057] = {.lex_state = 81, .external_lex_state = 3},
  [3058] = {.lex_state = 81, .external_lex_state = 3},
  [3059] = {.lex_state = 81, .external_lex_state = 3},
  [3060] = {.lex_state = 166, .external_lex_state = 3},
  [3061] = {.lex_state = 81, .external_lex_state = 3},
  [3062] = {.lex_state = 90, .external_lex_state = 3},
  [3063] = {.lex_state = 90, .external_lex_state = 3},
  [3064] = {.lex_state = 90, .external_lex_state = 3},
  [3065] = {.lex_state = 81, .external_lex_state = 3},
  [3066] = {.lex_state = 166, .external_lex_state = 3},
  [3067] = {.lex_state = 166, .external_lex_state = 3},
  [3068] = {.lex_state = 81, .external_lex_state = 3},
  [3069] = {.lex_state = 166, .external_lex_state = 3},
  [3070] = {.lex_state = 166, .external_lex_state = 3},
  [3071] = {.lex_state = 166, .external_lex_state = 3},
  [3072] = {.lex_state = 166, .external_lex_state = 3},
  [3073] = {.lex_state = 166, .external_lex_state = 3},
  [3074] = {.lex_state = 166, .external_lex_state = 3},
  [3075] = {.lex_state = 90, .external_lex_state = 3},
  [3076] = {.lex_state = 90, .external_lex_state = 3},
  [3077] = {.lex_state = 90, .external_lex_state = 3},
  [3078] = {.lex_state = 166, .external_lex_state = 3},
  [3079] = {.lex_state = 166, .external_lex_state = 3},
  [3080] = {.lex_state = 81, .external_lex_state = 3},
  [3081] = {.lex_state = 81, .external_lex_state = 3},
  [3082] = {.lex_state = 90, .external_lex_state = 3},
  [3083] = {.lex_state = 81, .external_lex_state = 3},
  [3084] = {.lex_state = 90, .external_lex_state = 3},
  [3085] = {.lex_state = 81, .external_lex_state = 3},
  [3086] = {.lex_state = 84, .external_lex_state = 3},
  [3087] = {.lex_state = 166, .external_lex_state = 3},
  [3088] = {.lex_state = 84, .external_lex_state = 3},
  [3089] = {.lex_state = 84, .external_lex_state = 3},
  [3090] = {.lex_state = 81, .external_lex_state = 3},
  [3091] = {.lex_state = 81, .external_lex_state = 3},
  [3092] = {.lex_state = 81, .external_lex_state = 3},
  [3093] = {.lex_state = 84, .external_lex_state = 3},
  [3094] = {.lex_state = 81, .external_lex_state = 3},
  [3095] = {.lex_state = 84, .external_lex_state = 3},
  [3096] = {.lex_state = 84, .external_lex_state = 3},
  [3097] = {.lex_state = 84, .external_lex_state = 3},
  [3098] = {.lex_state = 81, .external_lex_state = 3},
  [3099] = {.lex_state = 84, .external_lex_state = 3},
  [3100] = {.lex_state = 84, .external_lex_state = 3},
  [3101] = {.lex_state = 84, .external_lex_state = 3},
  [3102] = {.lex_state = 84, .external_lex_state = 3},
  [3103] = {.lex_state = 84, .external_lex_state = 3},
  [3104] = {.lex_state = 84, .external_lex_state = 3},
  [3105] = {.lex_state = 81, .external_lex_state = 3},
  [3106] = {.lex_state = 81, .external_lex_state = 3},
  [3107] = {.lex_state = 82, .external_lex_state = 3},
  [3108] = {.lex_state = 81, .external_lex_state = 3},
  [3109] = {.lex_state = 82, .external_lex_state = 3},
  [3110] = {.lex_state = 81, .external_lex_state = 3},
  [3111] = {.lex_state = 84, .external_lex_state = 3},
  [3112] = {.lex_state = 84, .external_lex_state = 3},
  [3113] = {.lex_state = 84, .external_lex_state = 3},
  [3114] = {.lex_state = 84, .external_lex_state = 3},
  [3115] = {.lex_state = 84, .external_lex_state = 3},
  [3116] = {.lex_state = 84, .external_lex_state = 3},
  [3117] = {.lex_state = 84, .external_lex_state = 3},
  [3118] = {.lex_state = 84, .external_lex_state = 3},
  [3119] = {.lex_state = 84, .external_lex_state = 3},
  [3120] = {.lex_state = 84, .external_lex_state = 3},
  [3121] = {.lex_state = 84, .external_lex_state = 3},
  [3122] = {.lex_state = 81, .external_lex_state = 3},
  [3123] = {.lex_state = 166, .external_lex_state = 3},
  [3124] = {.lex_state = 166, .external_lex_state = 3},
  [3125] = {.lex_state = 166, .external_lex_state = 3},
  [3126] = {.lex_state = 84, .external_lex_state = 3},
  [3127] = {.lex_state = 166, .external_lex_state = 3},
  [3128] = {.lex_state = 84, .external_lex_state = 3},
  [3129] = {.lex_state = 84, .external_lex_state = 3},
  [3130] = {.lex_state = 84, .external_lex_state = 3},
  [3131] = {.lex_state = 84, .external_lex_state = 3},
  [3132] = {.lex_state = 84, .external_lex_state = 3},
  [3133] = {.lex_state = 84, .external_lex_state = 3},
  [3134] = {.lex_state = 166, .external_lex_state = 3},
  [3135] = {.lex_state = 81, .external_lex_state = 3},
  [3136] = {.lex_state = 81, .external_lex_state = 3},
  [3137] = {.lex_state = 166, .external_lex_state = 3},
  [3138] = {.lex_state = 84, .external_lex_state = 3},
  [3139] = {.lex_state = 84, .external_lex_state = 3},
  [3140] = {.lex_state = 84, .external_lex_state = 3},
  [3141] = {.lex_state = 84, .external_lex_state = 3},
  [3142] = {.lex_state = 166, .external_lex_state = 3},
  [3143] = {.lex_state = 166, .external_lex_state = 3},
  [3144] = {.lex_state = 81, .external_lex_state = 3},
  [3145] = {.lex_state = 166, .external_lex_state = 3},
  [3146] = {.lex_state = 84, .external_lex_state = 3},
  [3147] = {.lex_state = 166, .external_lex_state = 3},
  [3148] = {.lex_state = 84, .external_lex_state = 3},
  [3149] = {.lex_state = 166, .external_lex_state = 3},
  [3150] = {.lex_state = 166, .external_lex_state = 3},
  [3151] = {.lex_state = 81, .external_lex_state = 3},
  [3152] = {.lex_state = 166, .external_lex_state = 3},
  [3153] = {.lex_state = 81, .external_lex_state = 3},
  [3154] = {.lex_state = 166, .external_lex_state = 3},
  [3155] = {.lex_state = 166, .external_lex_state = 3},
  [3156] = {.lex_state = 81, .external_lex_state = 3},
  [3157] = {.lex_state = 81, .external_lex_state = 3},
  [3158] = {.lex_state = 166, .external_lex_state = 3},
  [3159] = {.lex_state = 84, .external_lex_state = 3},
  [3160] = {.lex_state = 166, .external_lex_state = 3},
  [3161] = {.lex_state = 166, .external_lex_state = 3},
  [3162] = {.lex_state = 166, .external_lex_state = 3},
  [3163] = {.lex_state = 166, .external_lex_state = 3},
  [3164] = {.lex_state = 166, .external_lex_state = 3},
  [3165] = {.lex_state = 166, .external_lex_state = 3},
  [3166] = {.lex_state = 166, .external_lex_state = 3},
  [3167] = {.lex_state = 166, .external_lex_state = 3},
  [3168] = {.lex_state = 166, .external_lex_state = 3},
  [3169] = {.lex_state = 81, .external_lex_state = 3},
  [3170] = {.lex_state = 166, .external_lex_state = 3},
  [3171] = {.lex_state = 81, .external_lex_state = 3},
  [3172] = {.lex_state = 81, .external_lex_state = 3},
  [3173] = {.lex_state = 88, .external_lex_state = 3},
  [3174] = {.lex_state = 166, .external_lex_state = 3},
  [3175] = {.lex_state = 88, .external_lex_state = 3},
  [3176] = {.lex_state = 84, .external_lex_state = 3},
  [3177] = {.lex_state = 88, .external_lex_state = 3},
  [3178] = {.lex_state = 84, .external_lex_state = 3},
  [3179] = {.lex_state = 81, .external_lex_state = 3},
  [3180] = {.lex_state = 88, .external_lex_state = 3},
  [3181] = {.lex_state = 88, .external_lex_state = 3},
  [3182] = {.lex_state = 88, .external_lex_state = 3},
  [3183] = {.lex_state = 88, .external_lex_state = 3},
  [3184] = {.lex_state = 81, .external_lex_state = 3},
  [3185] = {.lex_state = 166, .external_lex_state = 3},
  [3186] = {.lex_state = 88, .external_lex_state = 3},
  [3187] = {.lex_state = 166, .external_lex_state = 3},
  [3188] = {.lex_state = 88, .external_lex_state = 3},
  [3189] = {.lex_state = 88, .external_lex_state = 3},
  [3190] = {.lex_state = 84, .external_lex_state = 3},
  [3191] = {.lex_state = 88, .external_lex_state = 3},
  [3192] = {.lex_state = 88, .external_lex_state = 3},
  [3193] = {.lex_state = 88, .external_lex_state = 3},
  [3194] = {.lex_state = 88, .external_lex_state = 3},
  [3195] = {.lex_state = 88, .external_lex_state = 3},
  [3196] = {.lex_state = 88, .external_lex_state = 3},
  [3197] = {.lex_state = 166, .external_lex_state = 3},
  [3198] = {.lex_state = 88, .external_lex_state = 3},
  [3199] = {.lex_state = 88, .external_lex_state = 3},
  [3200] = {.lex_state = 166, .external_lex_state = 3},
  [3201] = {.lex_state = 88, .external_lex_state = 3},
  [3202] = {.lex_state = 88, .external_lex_state = 3},
  [3203] = {.lex_state = 84, .external_lex_state = 3},
  [3204] = {.lex_state = 88, .external_lex_state = 3},
  [3205] = {.lex_state = 84, .external_lex_state = 3},
  [3206] = {.lex_state = 88, .external_lex_state = 3},
  [3207] = {.lex_state = 88, .external_lex_state = 3},
  [3208] = {.lex_state = 88, .external_lex_state = 3},
  [3209] = {.lex_state = 88, .external_lex_state = 3},
  [3210] = {.lex_state = 88, .external_lex_state = 3},
  [3211] = {.lex_state = 88, .external_lex_state = 3},
  [3212] = {.lex_state = 88, .external_lex_state = 3},
  [3213] = {.lex_state = 84, .external_lex_state = 3},
  [3214] = {.lex_state = 88, .external_lex_state = 3},
  [3215] = {.lex_state = 88, .external_lex_state = 3},
  [3216] = {.lex_state = 88, .external_lex_state = 3},
  [3217] = {.lex_state = 88, .external_lex_state = 3},
  [3218] = {.lex_state = 88, .external_lex_state = 3},
  [3219] = {.lex_state = 88, .external_lex_state = 3},
  [3220] = {.lex_state = 88, .external_lex_state = 3},
  [3221] = {.lex_state = 84, .external_lex_state = 3},
  [3222] = {.lex_state = 82, .external_lex_state = 3},
  [3223] = {.lex_state = 88, .external_lex_state = 3},
  [3224] = {.lex_state = 84, .external_lex_state = 3},
  [3225] = {.lex_state = 84, .external_lex_state = 3},
  [3226] = {.lex_state = 88, .external_lex_state = 3},
  [3227] = {.lex_state = 166, .external_lex_state = 3},
  [3228] = {.lex_state = 166, .external_lex_state = 3},
  [3229] = {.lex_state = 166, .external_lex_state = 3},
  [3230] = {.lex_state = 88, .external_lex_state = 3},
  [3231] = {.lex_state = 166, .external_lex_state = 3},
  [3232] = {.lex_state = 166, .external_lex_state = 3},
  [3233] = {.lex_state = 89, .external_lex_state = 3},
  [3234] = {.lex_state = 89, .external_lex_state = 3},
  [3235] = {.lex_state = 89, .external_lex_state = 3},
  [3236] = {.lex_state = 89, .external_lex_state = 3},
  [3237] = {.lex_state = 89, .external_lex_state = 3},
  [3238] = {.lex_state = 89, .external_lex_state = 3},
  [3239] = {.lex_state = 88, .external_lex_state = 3},
  [3240] = {.lex_state = 88, .external_lex_state = 3},
  [3241] = {.lex_state = 166, .external_lex_state = 3},
  [3242] = {.lex_state = 89, .external_lex_state = 3},
  [3243] = {.lex_state = 89, .external_lex_state = 3},
  [3244] = {.lex_state = 89, .external_lex_state = 3},
  [3245] = {.lex_state = 88, .external_lex_state = 3},
  [3246] = {.lex_state = 89, .external_lex_state = 3},
  [3247] = {.lex_state = 89, .external_lex_state = 3},
  [3248] = {.lex_state = 89, .external_lex_state = 3},
  [3249] = {.lex_state = 88, .external_lex_state = 3},
  [3250] = {.lex_state = 88, .external_lex_state = 3},
  [3251] = {.lex_state = 166, .external_lex_state = 3},
  [3252] = {.lex_state = 88, .external_lex_state = 3},
  [3253] = {.lex_state = 89, .external_lex_state = 3},
  [3254] = {.lex_state = 88, .external_lex_state = 3},
  [3255] = {.lex_state = 89, .external_lex_state = 3},
  [3256] = {.lex_state = 88, .external_lex_state = 3},
  [3257] = {.lex_state = 89, .external_lex_state = 3},
  [3258] = {.lex_state = 88, .external_lex_state = 3},
  [3259] = {.lex_state = 89, .external_lex_state = 3},
  [3260] = {.lex_state = 166, .external_lex_state = 3},
  [3261] = {.lex_state = 84, .external_lex_state = 3},
  [3262] = {.lex_state = 89, .external_lex_state = 3},
  [3263] = {.lex_state = 84, .external_lex_state = 3},
  [3264] = {.lex_state = 89, .external_lex_state = 3},
  [3265] = {.lex_state = 89, .external_lex_state = 3},
  [3266] = {.lex_state = 82, .external_lex_state = 3},
  [3267] = {.lex_state = 166, .external_lex_state = 3},
  [3268] = {.lex_state = 166, .external_lex_state = 3},
  [3269] = {.lex_state = 82, .external_lex_state = 3},
  [3270] = {.lex_state = 82, .external_lex_state = 3},
  [3271] = {.lex_state = 88, .external_lex_state = 3},
  [3272] = {.lex_state = 88, .external_lex_state = 3},
  [3273] = {.lex_state = 166, .external_lex_state = 3},
  [3274] = {.lex_state = 82, .external_lex_state = 3},
  [3275] = {.lex_state = 82, .external_lex_state = 3},
  [3276] = {.lex_state = 166, .external_lex_state = 3},
  [3277] = {.lex_state = 166, .external_lex_state = 3},
  [3278] = {.lex_state = 82, .external_lex_state = 3},
  [3279] = {.lex_state = 166, .external_lex_state = 3},
  [3280] = {.lex_state = 166, .external_lex_state = 3},
  [3281] = {.lex_state = 90, .external_lex_state = 3},
  [3282] = {.lex_state = 90, .external_lex_state = 3},
  [3283] = {.lex_state = 166, .external_lex_state = 3},
  [3284] = {.lex_state = 166, .external_lex_state = 3},
  [3285] = {.lex_state = 166, .external_lex_state = 3},
  [3286] = {.lex_state = 81, .external_lex_state = 3},
  [3287] = {.lex_state = 84, .external_lex_state = 3},
  [3288] = {.lex_state = 84, .external_lex_state = 3},
  [3289] = {.lex_state = 166, .external_lex_state = 3},
  [3290] = {.lex_state = 166, .external_lex_state = 3},
  [3291] = {.lex_state = 84, .external_lex_state = 3},
  [3292] = {.lex_state = 84, .external_lex_state = 3},
  [3293] = {.lex_state = 84, .external_lex_state = 3},
  [3294] = {.lex_state = 84, .external_lex_state = 3},
  [3295] = {.lex_state = 84, .external_lex_state = 3},
  [3296] = {.lex_state = 84, .external_lex_state = 3},
  [3297] = {.lex_state = 84, .external_lex_state = 3},
  [3298] = {.lex_state = 84, .external_lex_state = 3},
  [3299] = {.lex_state = 89, .external_lex_state = 3},
  [3300] = {.lex_state = 84, .external_lex_state = 3},
  [3301] = {.lex_state = 84, .external_lex_state = 3},
  [3302] = {.lex_state = 84, .external_lex_state = 3},
  [3303] = {.lex_state = 84, .external_lex_state = 3},
  [3304] = {.lex_state = 84, .external_lex_state = 3},
  [3305] = {.lex_state = 84, .external_lex_state = 3},
  [3306] = {.lex_state = 81, .external_lex_state = 3},
  [3307] = {.lex_state = 89, .external_lex_state = 3},
  [3308] = {.lex_state = 89, .external_lex_state = 3},
  [3309] = {.lex_state = 89, .external_lex_state = 3},
  [3310] = {.lex_state = 166, .external_lex_state = 3},
  [3311] = {.lex_state = 84, .external_lex_state = 3},
  [3312] = {.lex_state = 89, .external_lex_state = 3},
  [3313] = {.lex_state = 84, .external_lex_state = 3},
  [3314] = {.lex_state = 89, .external_lex_state = 3},
  [3315] = {.lex_state = 166, .external_lex_state = 3},
  [3316] = {.lex_state = 166, .external_lex_state = 3},
  [3317] = {.lex_state = 84, .external_lex_state = 3},
  [3318] = {.lex_state = 82, .external_lex_state = 3},
  [3319] = {.lex_state = 166, .external_lex_state = 3},
  [3320] = {.lex_state = 166, .external_lex_state = 3},
  [3321] = {.lex_state = 89, .external_lex_state = 3},
  [3322] = {.lex_state = 89, .external_lex_state = 3},
  [3323] = {.lex_state = 89, .external_lex_state = 3},
  [3324] = {.lex_state = 88, .external_lex_state = 3},
  [3325] = {.lex_state = 88, .external_lex_state = 3},
  [3326] = {.lex_state = 88, .external_lex_state = 3},
  [3327] = {.lex_state = 88, .external_lex_state = 3},
  [3328] = {.lex_state = 88, .external_lex_state = 3},
  [3329] = {.lex_state = 89, .external_lex_state = 3},
  [3330] = {.lex_state = 88, .external_lex_state = 3},
  [3331] = {.lex_state = 89, .external_lex_state = 3},
  [3332] = {.lex_state = 89, .external_lex_state = 3},
  [3333] = {.lex_state = 88, .external_lex_state = 3},
  [3334] = {.lex_state = 88, .external_lex_state = 3},
  [3335] = {.lex_state = 88, .external_lex_state = 3},
  [3336] = {.lex_state = 88, .external_lex_state = 3},
  [3337] = {.lex_state = 166, .external_lex_state = 3},
  [3338] = {.lex_state = 88, .external_lex_state = 3},
  [3339] = {.lex_state = 88, .external_lex_state = 3},
  [3340] = {.lex_state = 88, .external_lex_state = 3},
  [3341] = {.lex_state = 81, .external_lex_state = 3},
  [3342] = {.lex_state = 88, .external_lex_state = 3},
  [3343] = {.lex_state = 166, .external_lex_state = 3},
  [3344] = {.lex_state = 88, .external_lex_state = 3},
  [3345] = {.lex_state = 88, .external_lex_state = 3},
  [3346] = {.lex_state = 88, .external_lex_state = 3},
  [3347] = {.lex_state = 89, .external_lex_state = 3},
  [3348] = {.lex_state = 88, .external_lex_state = 3},
  [3349] = {.lex_state = 89, .external_lex_state = 3},
  [3350] = {.lex_state = 89, .external_lex_state = 3},
  [3351] = {.lex_state = 169, .external_lex_state = 3},
  [3352] = {.lex_state = 166, .external_lex_state = 3},
  [3353] = {.lex_state = 88, .external_lex_state = 3},
  [3354] = {.lex_state = 89, .external_lex_state = 3},
  [3355] = {.lex_state = 89, .external_lex_state = 3},
  [3356] = {.lex_state = 169, .external_lex_state = 3},
  [3357] = {.lex_state = 89, .external_lex_state = 3},
  [3358] = {.lex_state = 81, .external_lex_state = 3},
  [3359] = {.lex_state = 169, .external_lex_state = 3},
  [3360] = {.lex_state = 84, .external_lex_state = 3},
  [3361] = {.lex_state = 84, .external_lex_state = 3},
  [3362] = {.lex_state = 84, .external_lex_state = 3},
  [3363] = {.lex_state = 84, .external_lex_state = 3},
  [3364] = {.lex_state = 166, .external_lex_state = 3},
  [3365] = {.lex_state = 166, .external_lex_state = 3},
  [3366] = {.lex_state = 169, .external_lex_state = 3},
  [3367] = {.lex_state = 89, .external_lex_state = 3},
  [3368] = {.lex_state = 89, .external_lex_state = 3},
  [3369] = {.lex_state = 88, .external_lex_state = 3},
  [3370] = {.lex_state = 88, .external_lex_state = 3},
  [3371] = {.lex_state = 88, .external_lex_state = 3},
  [3372] = {.lex_state = 88, .external_lex_state = 3},
  [3373] = {.lex_state = 169, .external_lex_state = 3},
  [3374] = {.lex_state = 89, .external_lex_state = 3},
  [3375] = {.lex_state = 89, .external_lex_state = 3},
  [3376] = {.lex_state = 166, .external_lex_state = 3},
  [3377] = {.lex_state = 81, .external_lex_state = 3},
  [3378] = {.lex_state = 89, .external_lex_state = 3},
  [3379] = {.lex_state = 81, .external_lex_state = 3},
  [3380] = {.lex_state = 81, .external_lex_state = 3},
  [3381] = {.lex_state = 89, .external_lex_state = 3},
  [3382] = {.lex_state = 166, .external_lex_state = 3},
  [3383] = {.lex_state = 166, .external_lex_state = 3},
  [3384] = {.lex_state = 81, .external_lex_state = 3},
  [3385] = {.lex_state = 166, .external_lex_state = 3},
  [3386] = {.lex_state = 89, .external_lex_state = 3},
  [3387] = {.lex_state = 19, .external_lex_state = 3},
  [3388] = {.lex_state = 89, .external_lex_state = 3},
  [3389] = {.lex_state = 166, .external_lex_state = 3},
  [3390] = {.lex_state = 166, .external_lex_state = 3},
  [3391] = {.lex_state = 166, .external_lex_state = 3},
  [3392] = {.lex_state = 166, .external_lex_state = 3},
  [3393] = {.lex_state = 166, .external_lex_state = 3},
  [3394] = {.lex_state = 89, .external_lex_state = 3},
  [3395] = {.lex_state = 166, .external_lex_state = 3},
  [3396] = {.lex_state = 166, .external_lex_state = 3},
  [3397] = {.lex_state = 82, .external_lex_state = 3},
  [3398] = {.lex_state = 89, .external_lex_state = 3},
  [3399] = {.lex_state = 166, .external_lex_state = 3},
  [3400] = {.lex_state = 166, .external_lex_state = 3},
  [3401] = {.lex_state = 89, .external_lex_state = 3},
  [3402] = {.lex_state = 89, .external_lex_state = 3},
  [3403] = {.lex_state = 89, .external_lex_state = 3},
  [3404] = {.lex_state = 89, .external_lex_state = 3},
  [3405] = {.lex_state = 89, .external_lex_state = 3},
  [3406] = {.lex_state = 166, .external_lex_state = 3},
  [3407] = {.lex_state = 166, .external_lex_state = 3},
  [3408] = {.lex_state = 81, .external_lex_state = 3},
  [3409] = {.lex_state = 166, .external_lex_state = 3},
  [3410] = {.lex_state = 166, .external_lex_state = 3},
  [3411] = {.lex_state = 166, .external_lex_state = 3},
  [3412] = {.lex_state = 166, .external_lex_state = 3},
  [3413] = {.lex_state = 166, .external_lex_state = 3},
  [3414] = {.lex_state = 166, .external_lex_state = 3},
  [3415] = {.lex_state = 89, .external_lex_state = 3},
  [3416] = {.lex_state = 89, .external_lex_state = 3},
  [3417] = {.lex_state = 89, .external_lex_state = 3},
  [3418] = {.lex_state = 166, .external_lex_state = 3},
  [3419] = {.lex_state = 166, .external_lex_state = 3},
  [3420] = {.lex_state = 89, .external_lex_state = 3},
  [3421] = {.lex_state = 166, .external_lex_state = 3},
  [3422] = {.lex_state = 81, .external_lex_state = 3},
  [3423] = {.lex_state = 81, .external_lex_state = 3},
  [3424] = {.lex_state = 166, .external_lex_state = 3},
  [3425] = {.lex_state = 166, .external_lex_state = 3},
  [3426] = {.lex_state = 166, .external_lex_state = 3},
  [3427] = {.lex_state = 81, .external_lex_state = 3},
  [3428] = {.lex_state = 81, .external_lex_state = 3},
  [3429] = {.lex_state = 166, .external_lex_state = 3},
  [3430] = {.lex_state = 89, .external_lex_state = 3},
  [3431] = {.lex_state = 166, .external_lex_state = 3},
  [3432] = {.lex_state = 166, .external_lex_state = 3},
  [3433] = {.lex_state = 166, .external_lex_state = 3},
  [3434] = {.lex_state = 166, .external_lex_state = 3},
  [3435] = {.lex_state = 166, .external_lex_state = 3},
  [3436] = {.lex_state = 166, .external_lex_state = 3},
  [3437] = {.lex_state = 166, .external_lex_state = 3},
  [3438] = {.lex_state = 166, .external_lex_state = 3},
  [3439] = {.lex_state = 19, .external_lex_state = 3},
  [3440] = {.lex_state = 81, .external_lex_state = 3},
  [3441] = {.lex_state = 166, .external_lex_state = 3},
  [3442] = {.lex_state = 81, .external_lex_state = 3},
  [3443] = {.lex_state = 89, .external_lex_state = 3},
  [3444] = {.lex_state = 81, .external_lex_state = 3},
  [3445] = {.lex_state = 166, .external_lex_state = 3},
  [3446] = {.lex_state = 166, .external_lex_state = 3},
  [3447] = {.lex_state = 166, .external_lex_state = 3},
  [3448] = {.lex_state = 81, .external_lex_state = 3},
  [3449] = {.lex_state = 89, .external_lex_state = 3},
  [3450] = {.lex_state = 166, .external_lex_state = 3},
  [3451] = {.lex_state = 166, .external_lex_state = 3},
  [3452] = {.lex_state = 166, .external_lex_state = 3},
  [3453] = {.lex_state = 166, .external_lex_state = 3},
  [3454] = {.lex_state = 166, .external_lex_state = 3},
  [3455] = {.lex_state = 81, .external_lex_state = 3},
  [3456] = {.lex_state = 166, .external_lex_state = 3},
  [3457] = {.lex_state = 166, .external_lex_state = 3},
  [3458] = {.lex_state = 166, .external_lex_state = 3},
  [3459] = {.lex_state = 81, .external_lex_state = 3},
  [3460] = {.lex_state = 166, .external_lex_state = 3},
  [3461] = {.lex_state = 81, .external_lex_state = 3},
  [3462] = {.lex_state = 81, .external_lex_state = 3},
  [3463] = {.lex_state = 81, .external_lex_state = 3},
  [3464] = {.lex_state = 81, .external_lex_state = 3},
  [3465] = {.lex_state = 90, .external_lex_state = 3},
  [3466] = {.lex_state = 82, .external_lex_state = 3},
  [3467] = {.lex_state = 82, .external_lex_state = 3},
  [3468] = {.lex_state = 82, .external_lex_state = 3},
  [3469] = {.lex_state = 82, .external_lex_state = 3},
  [3470] = {.lex_state = 90, .external_lex_state = 3},
  [3471] = {.lex_state = 82, .external_lex_state = 3},
  [3472] = {.lex_state = 82, .external_lex_state = 3},
  [3473] = {.lex_state = 82, .external_lex_state = 3},
  [3474] = {.lex_state = 90, .external_lex_state = 3},
  [3475] = {.lex_state = 82, .external_lex_state = 3},
  [3476] = {.lex_state = 82, .external_lex_state = 3},
  [3477] = {.lex_state = 90, .external_lex_state = 3},
  [3478] = {.lex_state = 90, .external_lex_state = 3},
  [3479] = {.lex_state = 82, .external_lex_state = 3},
  [3480] = {.lex_state = 90, .external_lex_state = 3},
  [3481] = {.lex_state = 90, .external_lex_state = 3},
  [3482] = {.lex_state = 91, .external_lex_state = 3},
  [3483] = {.lex_state = 90, .external_lex_state = 3},
  [3484] = {.lex_state = 90, .external_lex_state = 3},
  [3485] = {.lex_state = 90, .external_lex_state = 3},
  [3486] = {.lex_state = 82, .external_lex_state = 3},
  [3487] = {.lex_state = 82, .external_lex_state = 3},
  [3488] = {.lex_state = 90, .external_lex_state = 3},
  [3489] = {.lex_state = 19, .external_lex_state = 3},
  [3490] = {.lex_state = 90, .external_lex_state = 3},
  [3491] = {.lex_state = 82, .external_lex_state = 3},
  [3492] = {.lex_state = 19, .external_lex_state = 3},
  [3493] = {.lex_state = 82, .external_lex_state = 3},
  [3494] = {.lex_state = 19, .external_lex_state = 3},
  [3495] = {.lex_state = 91, .external_lex_state = 3},
  [3496] = {.lex_state = 82, .external_lex_state = 3},
  [3497] = {.lex_state = 82, .external_lex_state = 3},
  [3498] = {.lex_state = 166, .external_lex_state = 3},
  [3499] = {.lex_state = 82, .external_lex_state = 3},
  [3500] = {.lex_state = 19, .external_lex_state = 3},
  [3501] = {.lex_state = 82, .external_lex_state = 3},
  [3502] = {.lex_state = 90, .external_lex_state = 3},
  [3503] = {.lex_state = 90, .external_lex_state = 3},
  [3504] = {.lex_state = 90, .external_lex_state = 3},
  [3505] = {.lex_state = 90, .external_lex_state = 3},
  [3506] = {.lex_state = 90, .external_lex_state = 3},
  [3507] = {.lex_state = 82, .external_lex_state = 3},
  [3508] = {.lex_state = 82, .external_lex_state = 3},
  [3509] = {.lex_state = 90, .external_lex_state = 3},
  [3510] = {.lex_state = 90, .external_lex_state = 3},
  [3511] = {.lex_state = 91, .external_lex_state = 3},
  [3512] = {.lex_state = 82, .external_lex_state = 3},
  [3513] = {.lex_state = 82, .external_lex_state = 3},
  [3514] = {.lex_state = 82, .external_lex_state = 3},
  [3515] = {.lex_state = 86, .external_lex_state = 3},
  [3516] = {.lex_state = 82, .external_lex_state = 3},
  [3517] = {.lex_state = 86, .external_lex_state = 3},
  [3518] = {.lex_state = 82, .external_lex_state = 3},
  [3519] = {.lex_state = 82, .external_lex_state = 3},
  [3520] = {.lex_state = 82, .external_lex_state = 3},
  [3521] = {.lex_state = 19, .external_lex_state = 3},
  [3522] = {.lex_state = 82, .external_lex_state = 3},
  [3523] = {.lex_state = 82, .external_lex_state = 3},
  [3524] = {.lex_state = 90, .external_lex_state = 3},
  [3525] = {.lex_state = 82, .external_lex_state = 3},
  [3526] = {.lex_state = 82, .external_lex_state = 3},
  [3527] = {.lex_state = 82, .external_lex_state = 3},
  [3528] = {.lex_state = 166, .external_lex_state = 3},
  [3529] = {.lex_state = 82, .external_lex_state = 3},
  [3530] = {.lex_state = 82, .external_lex_state = 3},
  [3531] = {.lex_state = 19, .external_lex_state = 3},
  [3532] = {.lex_state = 82, .external_lex_state = 3},
  [3533] = {.lex_state = 82, .external_lex_state = 3},
  [3534] = {.lex_state = 82, .external_lex_state = 3},
  [3535] = {.lex_state = 82, .external_lex_state = 3},
  [3536] = {.lex_state = 82, .external_lex_state = 3},
  [3537] = {.lex_state = 19, .external_lex_state = 3},
  [3538] = {.lex_state = 82, .external_lex_state = 3},
  [3539] = {.lex_state = 82, .external_lex_state = 3},
  [3540] = {.lex_state = 90, .external_lex_state = 3},
  [3541] = {.lex_state = 90, .external_lex_state = 3},
  [3542] = {.lex_state = 82, .external_lex_state = 3},
  [3543] = {.lex_state = 82, .external_lex_state = 3},
  [3544] = {.lex_state = 90, .external_lex_state = 3},
  [3545] = {.lex_state = 90, .external_lex_state = 3},
  [3546] = {.lex_state = 86, .external_lex_state = 3},
  [3547] = {.lex_state = 82, .external_lex_state = 3},
  [3548] = {.lex_state = 82, .external_lex_state = 3},
  [3549] = {.lex_state = 90, .external_lex_state = 3},
  [3550] = {.lex_state = 90, .external_lex_state = 3},
  [3551] = {.lex_state = 19, .external_lex_state = 3},
  [3552] = {.lex_state = 82, .external_lex_state = 3},
  [3553] = {.lex_state = 82, .external_lex_state = 3},
  [3554] = {.lex_state = 19, .external_lex_state = 3},
  [3555] = {.lex_state = 82, .external_lex_state = 3},
  [3556] = {.lex_state = 19, .external_lex_state = 3},
  [3557] = {.lex_state = 19, .external_lex_state = 3},
  [3558] = {.lex_state = 86, .external_lex_state = 3},
  [3559] = {.lex_state = 82, .external_lex_state = 3},
  [3560] = {.lex_state = 19, .external_lex_state = 3},
  [3561] = {.lex_state = 67, .external_lex_state = 3},
  [3562] = {.lex_state = 82, .external_lex_state = 3},
  [3563] = {.lex_state = 82, .external_lex_state = 3},
  [3564] = {.lex_state = 82, .external_lex_state = 3},
  [3565] = {.lex_state = 91, .external_lex_state = 3},
  [3566] = {.lex_state = 90, .external_lex_state = 3},
  [3567] = {.lex_state = 19, .external_lex_state = 3},
  [3568] = {.lex_state = 82, .external_lex_state = 3},
  [3569] = {.lex_state = 90, .external_lex_state = 3},
  [3570] = {.lex_state = 82, .external_lex_state = 3},
  [3571] = {.lex_state = 90, .external_lex_state = 3},
  [3572] = {.lex_state = 90, .external_lex_state = 3},
  [3573] = {.lex_state = 82, .external_lex_state = 3},
  [3574] = {.lex_state = 90, .external_lex_state = 3},
  [3575] = {.lex_state = 90, .external_lex_state = 3},
  [3576] = {.lex_state = 90, .external_lex_state = 3},
  [3577] = {.lex_state = 90, .external_lex_state = 3},
  [3578] = {.lex_state = 90, .external_lex_state = 3},
  [3579] = {.lex_state = 90, .external_lex_state = 3},
  [3580] = {.lex_state = 90, .external_lex_state = 3},
  [3581] = {.lex_state = 90, .external_lex_state = 3},
  [3582] = {.lex_state = 90, .external_lex_state = 3},
  [3583] = {.lex_state = 90, .external_lex_state = 3},
  [3584] = {.lex_state = 90, .external_lex_state = 3},
  [3585] = {.lex_state = 90, .external_lex_state = 3},
  [3586] = {.lex_state = 90, .external_lex_state = 3},
  [3587] = {.lex_state = 90, .external_lex_state = 3},
  [3588] = {.lex_state = 19, .external_lex_state = 3},
  [3589] = {.lex_state = 82, .external_lex_state = 3},
  [3590] = {.lex_state = 90, .external_lex_state = 3},
  [3591] = {.lex_state = 19, .external_lex_state = 3},
  [3592] = {.lex_state = 90, .external_lex_state = 3},
  [3593] = {.lex_state = 82, .external_lex_state = 3},
  [3594] = {.lex_state = 82, .external_lex_state = 3},
  [3595] = {.lex_state = 82, .external_lex_state = 3},
  [3596] = {.lex_state = 82, .external_lex_state = 3},
  [3597] = {.lex_state = 82, .external_lex_state = 3},
  [3598] = {.lex_state = 90, .external_lex_state = 3},
  [3599] = {.lex_state = 90, .external_lex_state = 3},
  [3600] = {.lex_state = 19, .external_lex_state = 3},
  [3601] = {.lex_state = 166, .external_lex_state = 3},
  [3602] = {.lex_state = 90, .external_lex_state = 3},
  [3603] = {.lex_state = 82, .external_lex_state = 3},
  [3604] = {.lex_state = 19, .external_lex_state = 3},
  [3605] = {.lex_state = 90, .external_lex_state = 3},
  [3606] = {.lex_state = 90, .external_lex_state = 3},
  [3607] = {.lex_state = 90, .external_lex_state = 3},
  [3608] = {.lex_state = 90, .external_lex_state = 3},
  [3609] = {.lex_state = 90, .external_lex_state = 3},
  [3610] = {.lex_state = 82, .external_lex_state = 3},
  [3611] = {.lex_state = 90, .external_lex_state = 3},
  [3612] = {.lex_state = 19, .external_lex_state = 3},
  [3613] = {.lex_state = 19, .external_lex_state = 3},
  [3614] = {.lex_state = 19, .external_lex_state = 3},
  [3615] = {.lex_state = 82, .external_lex_state = 3},
  [3616] = {.lex_state = 19, .external_lex_state = 3},
  [3617] = {.lex_state = 82, .external_lex_state = 3},
  [3618] = {.lex_state = 166, .external_lex_state = 3},
  [3619] = {.lex_state = 71, .external_lex_state = 3},
  [3620] = {.lex_state = 19, .external_lex_state = 3},
  [3621] = {.lex_state = 19, .external_lex_state = 3},
  [3622] = {.lex_state = 19, .external_lex_state = 3},
  [3623] = {.lex_state = 82, .external_lex_state = 3},
  [3624] = {.lex_state = 90, .external_lex_state = 3},
  [3625] = {.lex_state = 90, .external_lex_state = 3},
  [3626] = {.lex_state = 90, .external_lex_state = 3},
  [3627] = {.lex_state = 90, .external_lex_state = 3},
  [3628] = {.lex_state = 19, .external_lex_state = 3},
  [3629] = {.lex_state = 91, .external_lex_state = 3},
  [3630] = {.lex_state = 19, .external_lex_state = 3},
  [3631] = {.lex_state = 91, .external_lex_state = 3},
  [3632] = {.lex_state = 19, .external_lex_state = 3},
  [3633] = {.lex_state = 86, .external_lex_state = 3},
  [3634] = {.lex_state = 19, .external_lex_state = 3},
  [3635] = {.lex_state = 19, .external_lex_state = 3},
  [3636] = {.lex_state = 19, .external_lex_state = 3},
  [3637] = {.lex_state = 19, .external_lex_state = 3},
  [3638] = {.lex_state = 82, .external_lex_state = 3},
  [3639] = {.lex_state = 19, .external_lex_state = 3},
  [3640] = {.lex_state = 91, .external_lex_state = 3},
  [3641] = {.lex_state = 19, .external_lex_state = 3},
  [3642] = {.lex_state = 166, .external_lex_state = 3},
  [3643] = {.lex_state = 91, .external_lex_state = 3},
  [3644] = {.lex_state = 19, .external_lex_state = 3},
  [3645] = {.lex_state = 166, .external_lex_state = 3},
  [3646] = {.lex_state = 19, .external_lex_state = 3},
  [3647] = {.lex_state = 90, .external_lex_state = 3},
  [3648] = {.lex_state = 82, .external_lex_state = 3},
  [3649] = {.lex_state = 90, .external_lex_state = 3},
  [3650] = {.lex_state = 19, .external_lex_state = 3},
  [3651] = {.lex_state = 19, .external_lex_state = 3},
  [3652] = {.lex_state = 19, .external_lex_state = 3},
  [3653] = {.lex_state = 166, .external_lex_state = 3},
  [3654] = {.lex_state = 90, .external_lex_state = 3},
  [3655] = {.lex_state = 19, .external_lex_state = 3},
  [3656] = {.lex_state = 86, .external_lex_state = 3},
  [3657] = {.lex_state = 86, .external_lex_state = 3},
  [3658] = {.lex_state = 86, .external_lex_state = 3},
  [3659] = {.lex_state = 19, .external_lex_state = 3},
  [3660] = {.lex_state = 90, .external_lex_state = 3},
  [3661] = {.lex_state = 19, .external_lex_state = 3},
  [3662] = {.lex_state = 91, .external_lex_state = 3},
  [3663] = {.lex_state = 19, .external_lex_state = 3},
  [3664] = {.lex_state = 82, .external_lex_state = 3},
  [3665] = {.lex_state = 19, .external_lex_state = 3},
  [3666] = {.lex_state = 91, .external_lex_state = 3},
  [3667] = {.lex_state = 91, .external_lex_state = 3},
  [3668] = {.lex_state = 86, .external_lex_state = 3},
  [3669] = {.lex_state = 86, .external_lex_state = 3},
  [3670] = {.lex_state = 86, .external_lex_state = 3},
  [3671] = {.lex_state = 90, .external_lex_state = 3},
  [3672] = {.lex_state = 19, .external_lex_state = 3},
  [3673] = {.lex_state = 19, .external_lex_state = 3},
  [3674] = {.lex_state = 19, .external_lex_state = 3},
  [3675] = {.lex_state = 82, .external_lex_state = 3},
  [3676] = {.lex_state = 166, .external_lex_state = 3},
  [3677] = {.lex_state = 19, .external_lex_state = 3},
  [3678] = {.lex_state = 90, .external_lex_state = 3},
  [3679] = {.lex_state = 82, .external_lex_state = 3},
  [3680] = {.lex_state = 90, .external_lex_state = 3},
  [3681] = {.lex_state = 90, .external_lex_state = 3},
  [3682] = {.lex_state = 166, .external_lex_state = 3},
  [3683] = {.lex_state = 166, .external_lex_state = 3},
  [3684] = {.lex_state = 166, .external_lex_state = 3},
  [3685] = {.lex_state = 19, .external_lex_state = 3},
  [3686] = {.lex_state = 19, .external_lex_state = 3},
  [3687] = {.lex_state = 90, .external_lex_state = 3},
  [3688] = {.lex_state = 82, .external_lex_state = 3},
  [3689] = {.lex_state = 166, .external_lex_state = 3},
  [3690] = {.lex_state = 90, .external_lex_state = 3},
  [3691] = {.lex_state = 19, .external_lex_state = 3},
  [3692] = {.lex_state = 90, .external_lex_state = 3},
  [3693] = {.lex_state = 90, .external_lex_state = 3},
  [3694] = {.lex_state = 90, .external_lex_state = 3},
  [3695] = {.lex_state = 73, .external_lex_state = 3},
  [3696] = {.lex_state = 86, .external_lex_state = 3},
  [3697] = {.lex_state = 91, .external_lex_state = 3},
  [3698] = {.lex_state = 166, .external_lex_state = 3},
  [3699] = {.lex_state = 19, .external_lex_state = 3},
  [3700] = {.lex_state = 86, .external_lex_state = 3},
  [3701] = {.lex_state = 86, .external_lex_state = 3},
  [3702] = {.lex_state = 86, .external_lex_state = 3},
  [3703] = {.lex_state = 188, .external_lex_state = 3},
  [3704] = {.lex_state = 188, .external_lex_state = 3},
  [3705] = {.lex_state = 166, .external_lex_state = 3},
  [3706] = {.lex_state = 67, .external_lex_state = 3},
  [3707] = {.lex_state = 86, .external_lex_state = 3},
  [3708] = {.lex_state = 91, .external_lex_state = 3},
  [3709] = {.lex_state = 86, .external_lex_state = 3},
  [3710] = {.lex_state = 86, .external_lex_state = 3},
  [3711] = {.lex_state = 19, .external_lex_state = 3},
  [3712] = {.lex_state = 188, .external_lex_state = 3},
  [3713] = {.lex_state = 91, .external_lex_state = 3},
  [3714] = {.lex_state = 19, .external_lex_state = 3},
  [3715] = {.lex_state = 19, .external_lex_state = 3},
  [3716] = {.lex_state = 19, .external_lex_state = 3},
  [3717] = {.lex_state = 19, .external_lex_state = 3},
  [3718] = {.lex_state = 19, .external_lex_state = 3},
  [3719] = {.lex_state = 86, .external_lex_state = 3},
  [3720] = {.lex_state = 91, .external_lex_state = 3},
  [3721] = {.lex_state = 19, .external_lex_state = 3},
  [3722] = {.lex_state = 166, .external_lex_state = 3},
  [3723] = {.lex_state = 166, .external_lex_state = 3},
  [3724] = {.lex_state = 86, .external_lex_state = 3},
  [3725] = {.lex_state = 166, .external_lex_state = 3},
  [3726] = {.lex_state = 86, .external_lex_state = 3},
  [3727] = {.lex_state = 86, .external_lex_state = 3},
  [3728] = {.lex_state = 86, .external_lex_state = 3},
  [3729] = {.lex_state = 86, .external_lex_state = 3},
  [3730] = {.lex_state = 86, .external_lex_state = 3},
  [3731] = {.lex_state = 19, .external_lex_state = 3},
  [3732] = {.lex_state = 86, .external_lex_state = 3},
  [3733] = {.lex_state = 166, .external_lex_state = 3},
  [3734] = {.lex_state = 166, .external_lex_state = 3},
  [3735] = {.lex_state = 91, .external_lex_state = 3},
  [3736] = {.lex_state = 91, .external_lex_state = 3},
  [3737] = {.lex_state = 166, .external_lex_state = 3},
  [3738] = {.lex_state = 86, .external_lex_state = 3},
  [3739] = {.lex_state = 166, .external_lex_state = 3},
  [3740] = {.lex_state = 91, .external_lex_state = 3},
  [3741] = {.lex_state = 19, .external_lex_state = 3},
  [3742] = {.lex_state = 19, .external_lex_state = 3},
  [3743] = {.lex_state = 19, .external_lex_state = 3},
  [3744] = {.lex_state = 68, .external_lex_state = 3},
  [3745] = {.lex_state = 91, .external_lex_state = 3},
  [3746] = {.lex_state = 86, .external_lex_state = 3},
  [3747] = {.lex_state = 166, .external_lex_state = 3},
  [3748] = {.lex_state = 91, .external_lex_state = 3},
  [3749] = {.lex_state = 166, .external_lex_state = 3},
  [3750] = {.lex_state = 91, .external_lex_state = 3},
  [3751] = {.lex_state = 19, .external_lex_state = 3},
  [3752] = {.lex_state = 166, .external_lex_state = 3},
  [3753] = {.lex_state = 166, .external_lex_state = 3},
  [3754] = {.lex_state = 85, .external_lex_state = 3},
  [3755] = {.lex_state = 19, .external_lex_state = 3},
  [3756] = {.lex_state = 166, .external_lex_state = 3},
  [3757] = {.lex_state = 166, .external_lex_state = 3},
  [3758] = {.lex_state = 166, .external_lex_state = 3},
  [3759] = {.lex_state = 91, .external_lex_state = 3},
  [3760] = {.lex_state = 86, .external_lex_state = 3},
  [3761] = {.lex_state = 91, .external_lex_state = 3},
  [3762] = {.lex_state = 188, .external_lex_state = 3},
  [3763] = {.lex_state = 91, .external_lex_state = 3},
  [3764] = {.lex_state = 19, .external_lex_state = 3},
  [3765] = {.lex_state = 166, .external_lex_state = 3},
  [3766] = {.lex_state = 91, .external_lex_state = 3},
  [3767] = {.lex_state = 86, .external_lex_state = 3},
  [3768] = {.lex_state = 71, .external_lex_state = 3},
  [3769] = {.lex_state = 166, .external_lex_state = 3},
  [3770] = {.lex_state = 19, .external_lex_state = 3},
  [3771] = {.lex_state = 91, .external_lex_state = 3},
  [3772] = {.lex_state = 91, .external_lex_state = 3},
  [3773] = {.lex_state = 19, .external_lex_state = 3},
  [3774] = {.lex_state = 19, .external_lex_state = 3},
  [3775] = {.lex_state = 91, .external_lex_state = 3},
  [3776] = {.lex_state = 19, .external_lex_state = 3},
  [3777] = {.lex_state = 85, .external_lex_state = 3},
  [3778] = {.lex_state = 85, .external_lex_state = 3},
  [3779] = {.lex_state = 166, .external_lex_state = 3},
  [3780] = {.lex_state = 91, .external_lex_state = 3},
  [3781] = {.lex_state = 166, .external_lex_state = 3},
  [3782] = {.lex_state = 91, .external_lex_state = 3},
  [3783] = {.lex_state = 166, .external_lex_state = 3},
  [3784] = {.lex_state = 91, .external_lex_state = 3},
  [3785] = {.lex_state = 166, .external_lex_state = 3},
  [3786] = {.lex_state = 91, .external_lex_state = 3},
  [3787] = {.lex_state = 166, .external_lex_state = 3},
  [3788] = {.lex_state = 91, .external_lex_state = 3},
  [3789] = {.lex_state = 188, .external_lex_state = 3},
  [3790] = {.lex_state = 166, .external_lex_state = 3},
  [3791] = {.lex_state = 86, .external_lex_state = 3},
  [3792] = {.lex_state = 19, .external_lex_state = 3},
  [3793] = {.lex_state = 19, .external_lex_state = 3},
  [3794] = {.lex_state = 166, .external_lex_state = 3},
  [3795] = {.lex_state = 91, .external_lex_state = 3},
  [3796] = {.lex_state = 91, .external_lex_state = 3},
  [3797] = {.lex_state = 91, .external_lex_state = 3},
  [3798] = {.lex_state = 91, .external_lex_state = 3},
  [3799] = {.lex_state = 91, .external_lex_state = 3},
  [3800] = {.lex_state = 91, .external_lex_state = 3},
  [3801] = {.lex_state = 91, .external_lex_state = 3},
  [3802] = {.lex_state = 19, .external_lex_state = 3},
  [3803] = {.lex_state = 19, .external_lex_state = 3},
  [3804] = {.lex_state = 91, .external_lex_state = 3},
  [3805] = {.lex_state = 91, .external_lex_state = 3},
  [3806] = {.lex_state = 91, .external_lex_state = 3},
  [3807] = {.lex_state = 91, .external_lex_state = 3},
  [3808] = {.lex_state = 91, .external_lex_state = 3},
  [3809] = {.lex_state = 166, .external_lex_state = 3},
  [3810] = {.lex_state = 91, .external_lex_state = 3},
  [3811] = {.lex_state = 166, .external_lex_state = 3},
  [3812] = {.lex_state = 86, .external_lex_state = 3},
  [3813] = {.lex_state = 166, .external_lex_state = 3},
  [3814] = {.lex_state = 86, .external_lex_state = 3},
  [3815] = {.lex_state = 166, .external_lex_state = 3},
  [3816] = {.lex_state = 91, .external_lex_state = 3},
  [3817] = {.lex_state = 85, .external_lex_state = 3},
  [3818] = {.lex_state = 91, .external_lex_state = 3},
  [3819] = {.lex_state = 91, .external_lex_state = 3},
  [3820] = {.lex_state = 166, .external_lex_state = 3},
  [3821] = {.lex_state = 166, .external_lex_state = 3},
  [3822] = {.lex_state = 86, .external_lex_state = 3},
  [3823] = {.lex_state = 86, .external_lex_state = 3},
  [3824] = {.lex_state = 166, .external_lex_state = 3},
  [3825] = {.lex_state = 91, .external_lex_state = 3},
  [3826] = {.lex_state = 86, .external_lex_state = 3},
  [3827] = {.lex_state = 67, .external_lex_state = 3},
  [3828] = {.lex_state = 166, .external_lex_state = 3},
  [3829] = {.lex_state = 91, .external_lex_state = 3},
  [3830] = {.lex_state = 91, .external_lex_state = 3},
  [3831] = {.lex_state = 91, .external_lex_state = 3},
  [3832] = {.lex_state = 166, .external_lex_state = 3},
  [3833] = {.lex_state = 91, .external_lex_state = 3},
  [3834] = {.lex_state = 19, .external_lex_state = 3},
  [3835] = {.lex_state = 166, .external_lex_state = 3},
  [3836] = {.lex_state = 188, .external_lex_state = 3},
  [3837] = {.lex_state = 19, .external_lex_state = 3},
  [3838] = {.lex_state = 92, .external_lex_state = 3},
  [3839] = {.lex_state = 166, .external_lex_state = 3},
  [3840] = {.lex_state = 86, .external_lex_state = 3},
  [3841] = {.lex_state = 166, .external_lex_state = 3},
  [3842] = {.lex_state = 86, .external_lex_state = 3},
  [3843] = {.lex_state = 19, .external_lex_state = 3},
  [3844] = {.lex_state = 91, .external_lex_state = 3},
  [3845] = {.lex_state = 91, .external_lex_state = 3},
  [3846] = {.lex_state = 166, .external_lex_state = 3},
  [3847] = {.lex_state = 85, .external_lex_state = 3},
  [3848] = {.lex_state = 91, .external_lex_state = 3},
  [3849] = {.lex_state = 19, .external_lex_state = 3},
  [3850] = {.lex_state = 188, .external_lex_state = 3},
  [3851] = {.lex_state = 166, .external_lex_state = 3},
  [3852] = {.lex_state = 71, .external_lex_state = 3},
  [3853] = {.lex_state = 91, .external_lex_state = 3},
  [3854] = {.lex_state = 86, .external_lex_state = 3},
  [3855] = {.lex_state = 86, .external_lex_state = 3},
  [3856] = {.lex_state = 91, .external_lex_state = 3},
  [3857] = {.lex_state = 166, .external_lex_state = 3},
  [3858] = {.lex_state = 166, .external_lex_state = 3},
  [3859] = {.lex_state = 188, .external_lex_state = 3},
  [3860] = {.lex_state = 91, .external_lex_state = 3},
  [3861] = {.lex_state = 166, .external_lex_state = 3},
  [3862] = {.lex_state = 91, .external_lex_state = 3},
  [3863] = {.lex_state = 85, .external_lex_state = 3},
  [3864] = {.lex_state = 166, .external_lex_state = 3},
  [3865] = {.lex_state = 91, .external_lex_state = 3},
  [3866] = {.lex_state = 166, .external_lex_state = 3},
  [3867] = {.lex_state = 188, .external_lex_state = 3},
  [3868] = {.lex_state = 86, .external_lex_state = 3},
  [3869] = {.lex_state = 86, .external_lex_state = 3},
  [3870] = {.lex_state = 86, .external_lex_state = 3},
  [3871] = {.lex_state = 166, .external_lex_state = 3},
  [3872] = {.lex_state = 19, .external_lex_state = 3},
  [3873] = {.lex_state = 166, .external_lex_state = 3},
  [3874] = {.lex_state = 91, .external_lex_state = 3},
  [3875] = {.lex_state = 86, .external_lex_state = 3},
  [3876] = {.lex_state = 91, .external_lex_state = 3},
  [3877] = {.lex_state = 86, .external_lex_state = 3},
  [3878] = {.lex_state = 19, .external_lex_state = 3},
  [3879] = {.lex_state = 166, .external_lex_state = 3},
  [3880] = {.lex_state = 86, .external_lex_state = 3},
  [3881] = {.lex_state = 188, .external_lex_state = 3},
  [3882] = {.lex_state = 19, .external_lex_state = 3},
  [3883] = {.lex_state = 86, .external_lex_state = 3},
  [3884] = {.lex_state = 86, .external_lex_state = 3},
  [3885] = {.lex_state = 86, .external_lex_state = 3},
  [3886] = {.lex_state = 92, .external_lex_state = 3},
  [3887] = {.lex_state = 86, .external_lex_state = 3},
  [3888] = {.lex_state = 19, .external_lex_state = 3},
  [3889] = {.lex_state = 86, .external_lex_state = 3},
  [3890] = {.lex_state = 92, .external_lex_state = 3},
  [3891] = {.lex_state = 86, .external_lex_state = 3},
  [3892] = {.lex_state = 86, .external_lex_state = 3},
  [3893] = {.lex_state = 91, .external_lex_state = 3},
  [3894] = {.lex_state = 166, .external_lex_state = 3},
  [3895] = {.lex_state = 92, .external_lex_state = 3},
  [3896] = {.lex_state = 19, .external_lex_state = 3},
  [3897] = {.lex_state = 91, .external_lex_state = 3},
  [3898] = {.lex_state = 166, .external_lex_state = 3},
  [3899] = {.lex_state = 166, .external_lex_state = 3},
  [3900] = {.lex_state = 166, .external_lex_state = 3},
  [3901] = {.lex_state = 166, .external_lex_state = 3},
  [3902] = {.lex_state = 86, .external_lex_state = 3},
  [3903] = {.lex_state = 91, .external_lex_state = 3},
  [3904] = {.lex_state = 86, .external_lex_state = 3},
  [3905] = {.lex_state = 86, .external_lex_state = 3},
  [3906] = {.lex_state = 92, .external_lex_state = 3},
  [3907] = {.lex_state = 91, .external_lex_state = 3},
  [3908] = {.lex_state = 91, .external_lex_state = 3},
  [3909] = {.lex_state = 166, .external_lex_state = 3},
  [3910] = {.lex_state = 166, .external_lex_state = 3},
  [3911] = {.lex_state = 91, .external_lex_state = 3},
  [3912] = {.lex_state = 166, .external_lex_state = 3},
  [3913] = {.lex_state = 166, .external_lex_state = 3},
  [3914] = {.lex_state = 86, .external_lex_state = 3},
  [3915] = {.lex_state = 86, .external_lex_state = 3},
  [3916] = {.lex_state = 85, .external_lex_state = 3},
  [3917] = {.lex_state = 19, .external_lex_state = 3},
  [3918] = {.lex_state = 86, .external_lex_state = 3},
  [3919] = {.lex_state = 188, .external_lex_state = 3},
  [3920] = {.lex_state = 86, .external_lex_state = 3},
  [3921] = {.lex_state = 166, .external_lex_state = 3},
  [3922] = {.lex_state = 188, .external_lex_state = 3},
  [3923] = {.lex_state = 19, .external_lex_state = 3},
  [3924] = {.lex_state = 86, .external_lex_state = 3},
  [3925] = {.lex_state = 166, .external_lex_state = 3},
  [3926] = {.lex_state = 85, .external_lex_state = 3},
  [3927] = {.lex_state = 19, .external_lex_state = 3},
  [3928] = {.lex_state = 86, .external_lex_state = 3},
  [3929] = {.lex_state = 188, .external_lex_state = 3},
  [3930] = {.lex_state = 166, .external_lex_state = 3},
  [3931] = {.lex_state = 166, .external_lex_state = 3},
  [3932] = {.lex_state = 86, .external_lex_state = 3},
  [3933] = {.lex_state = 86, .external_lex_state = 3},
  [3934] = {.lex_state = 166, .external_lex_state = 3},
  [3935] = {.lex_state = 86, .external_lex_state = 3},
  [3936] = {.lex_state = 86, .external_lex_state = 3},
  [3937] = {.lex_state = 86, .external_lex_state = 3},
  [3938] = {.lex_state = 86, .external_lex_state = 3},
  [3939] = {.lex_state = 166, .external_lex_state = 3},
  [3940] = {.lex_state = 166, .external_lex_state = 3},
  [3941] = {.lex_state = 86, .external_lex_state = 3},
  [3942] = {.lex_state = 166, .external_lex_state = 3},
  [3943] = {.lex_state = 72, .external_lex_state = 3},
  [3944] = {.lex_state = 19, .external_lex_state = 3},
  [3945] = {.lex_state = 85, .external_lex_state = 3},
  [3946] = {.lex_state = 19, .external_lex_state = 3},
  [3947] = {.lex_state = 86, .external_lex_state = 3},
  [3948] = {.lex_state = 92, .external_lex_state = 3},
  [3949] = {.lex_state = 188, .external_lex_state = 3},
  [3950] = {.lex_state = 166, .external_lex_state = 3},
  [3951] = {.lex_state = 166, .external_lex_state = 3},
  [3952] = {.lex_state = 91, .external_lex_state = 3},
  [3953] = {.lex_state = 166, .external_lex_state = 3},
  [3954] = {.lex_state = 166, .external_lex_state = 3},
  [3955] = {.lex_state = 19, .external_lex_state = 3},
  [3956] = {.lex_state = 188, .external_lex_state = 3},
  [3957] = {.lex_state = 188, .external_lex_state = 3},
  [3958] = {.lex_state = 86, .external_lex_state = 3},
  [3959] = {.lex_state = 19, .external_lex_state = 3},
  [3960] = {.lex_state = 86, .external_lex_state = 3},
  [3961] = {.lex_state = 86, .external_lex_state = 3},
  [3962] = {.lex_state = 188, .external_lex_state = 3},
  [3963] = {.lex_state = 19, .external_lex_state = 3},
  [3964] = {.lex_state = 92, .external_lex_state = 3},
  [3965] = {.lex_state = 91, .external_lex_state = 3},
  [3966] = {.lex_state = 86, .external_lex_state = 3},
  [3967] = {.lex_state = 166, .external_lex_state = 3},
  [3968] = {.lex_state = 188, .external_lex_state = 3},
  [3969] = {.lex_state = 91, .external_lex_state = 3},
  [3970] = {.lex_state = 166, .external_lex_state = 3},
  [3971] = {.lex_state = 92, .external_lex_state = 3},
  [3972] = {.lex_state = 19, .external_lex_state = 3},
  [3973] = {.lex_state = 86, .external_lex_state = 3},
  [3974] = {.lex_state = 166, .external_lex_state = 3},
  [3975] = {.lex_state = 188, .external_lex_state = 3},
  [3976] = {.lex_state = 166, .external_lex_state = 3},
  [3977] = {.lex_state = 166, .external_lex_state = 3},
  [3978] = {.lex_state = 166, .external_lex_state = 3},
  [3979] = {.lex_state = 85, .external_lex_state = 3},
  [3980] = {.lex_state = 188, .external_lex_state = 3},
  [3981] = {.lex_state = 86, .external_lex_state = 3},
  [3982] = {.lex_state = 166, .external_lex_state = 3},
  [3983] = {.lex_state = 166, .external_lex_state = 3},
  [3984] = {.lex_state = 91, .external_lex_state = 3},
  [3985] = {.lex_state = 166, .external_lex_state = 3},
  [3986] = {.lex_state = 166, .external_lex_state = 3},
  [3987] = {.lex_state = 91, .external_lex_state = 3},
  [3988] = {.lex_state = 91, .external_lex_state = 3},
  [3989] = {.lex_state = 91, .external_lex_state = 3},
  [3990] = {.lex_state = 91, .external_lex_state = 3},
  [3991] = {.lex_state = 166, .external_lex_state = 3},
  [3992] = {.lex_state = 166, .external_lex_state = 3},
  [3993] = {.lex_state = 91, .external_lex_state = 3},
  [3994] = {.lex_state = 86, .external_lex_state = 3},
  [3995] = {.lex_state = 19, .external_lex_state = 3},
  [3996] = {.lex_state = 166, .external_lex_state = 3},
  [3997] = {.lex_state = 92, .external_lex_state = 3},
  [3998] = {.lex_state = 19, .external_lex_state = 3},
  [3999] = {.lex_state = 86, .external_lex_state = 3},
  [4000] = {.lex_state = 86, .external_lex_state = 3},
  [4001] = {.lex_state = 19, .external_lex_state = 3},
  [4002] = {.lex_state = 19, .external_lex_state = 3},
  [4003] = {.lex_state = 166, .external_lex_state = 3},
  [4004] = {.lex_state = 92, .external_lex_state = 3},
  [4005] = {.lex_state = 166, .external_lex_state = 3},
  [4006] = {.lex_state = 166, .external_lex_state = 3},
  [4007] = {.lex_state = 188, .external_lex_state = 3},
  [4008] = {.lex_state = 91, .external_lex_state = 3},
  [4009] = {.lex_state = 85, .external_lex_state = 3},
  [4010] = {.lex_state = 86, .external_lex_state = 3},
  [4011] = {.lex_state = 166, .external_lex_state = 3},
  [4012] = {.lex_state = 166, .external_lex_state = 3},
  [4013] = {.lex_state = 91, .external_lex_state = 3},
  [4014] = {.lex_state = 188, .external_lex_state = 3},
  [4015] = {.lex_state = 91, .external_lex_state = 3},
  [4016] = {.lex_state = 86, .external_lex_state = 3},
  [4017] = {.lex_state = 188, .external_lex_state = 3},
  [4018] = {.lex_state = 188, .external_lex_state = 3},
  [4019] = {.lex_state = 166, .external_lex_state = 3},
  [4020] = {.lex_state = 86, .external_lex_state = 3},
  [4021] = {.lex_state = 92, .external_lex_state = 3},
  [4022] = {.lex_state = 166, .external_lex_state = 3},
  [4023] = {.lex_state = 65, .external_lex_state = 3},
  [4024] = {.lex_state = 86, .external_lex_state = 3},
  [4025] = {.lex_state = 91, .external_lex_state = 3},
  [4026] = {.lex_state = 166, .external_lex_state = 3},
  [4027] = {.lex_state = 166, .external_lex_state = 3},
  [4028] = {.lex_state = 72, .external_lex_state = 3},
  [4029] = {.lex_state = 166, .external_lex_state = 3},
  [4030] = {.lex_state = 72, .external_lex_state = 3},
  [4031] = {.lex_state = 19, .external_lex_state = 3},
  [4032] = {.lex_state = 166, .external_lex_state = 3},
  [4033] = {.lex_state = 166, .external_lex_state = 3},
  [4034] = {.lex_state = 166, .external_lex_state = 3},
  [4035] = {.lex_state = 85, .external_lex_state = 3},
  [4036] = {.lex_state = 85, .external_lex_state = 3},
  [4037] = {.lex_state = 19, .external_lex_state = 3},
  [4038] = {.lex_state = 92, .external_lex_state = 3},
  [4039] = {.lex_state = 166, .external_lex_state = 3},
  [4040] = {.lex_state = 85, .external_lex_state = 3},
  [4041] = {.lex_state = 166, .external_lex_state = 3},
  [4042] = {.lex_state = 85, .external_lex_state = 3},
  [4043] = {.lex_state = 85, .external_lex_state = 3},
  [4044] = {.lex_state = 85, .external_lex_state = 3},
  [4045] = {.lex_state = 85, .external_lex_state = 3},
  [4046] = {.lex_state = 85, .external_lex_state = 3},
  [4047] = {.lex_state = 85, .external_lex_state = 3},
  [4048] = {.lex_state = 85, .external_lex_state = 3},
  [4049] = {.lex_state = 85, .external_lex_state = 3},
  [4050] = {.lex_state = 85, .external_lex_state = 3},
  [4051] = {.lex_state = 92, .external_lex_state = 3},
  [4052] = {.lex_state = 92, .external_lex_state = 3},
  [4053] = {.lex_state = 19, .external_lex_state = 3},
  [4054] = {.lex_state = 85, .external_lex_state = 3},
  [4055] = {.lex_state = 85, .external_lex_state = 3},
  [4056] = {.lex_state = 92, .external_lex_state = 3},
  [4057] = {.lex_state = 92, .external_lex_state = 3},
  [4058] = {.lex_state = 92, .external_lex_state = 3},
  [4059] = {.lex_state = 92, .external_lex_state = 3},
  [4060] = {.lex_state = 92, .external_lex_state = 3},
  [4061] = {.lex_state = 92, .external_lex_state = 3},
  [4062] = {.lex_state = 19, .external_lex_state = 3},
  [4063] = {.lex_state = 19, .external_lex_state = 3},
  [4064] = {.lex_state = 85, .external_lex_state = 3},
  [4065] = {.lex_state = 92, .external_lex_state = 3},
  [4066] = {.lex_state = 92, .external_lex_state = 3},
  [4067] = {.lex_state = 92, .external_lex_state = 3},
  [4068] = {.lex_state = 92, .external_lex_state = 3},
  [4069] = {.lex_state = 92, .external_lex_state = 3},
  [4070] = {.lex_state = 92, .external_lex_state = 3},
  [4071] = {.lex_state = 92, .external_lex_state = 3},
  [4072] = {.lex_state = 85, .external_lex_state = 3},
  [4073] = {.lex_state = 92, .external_lex_state = 3},
  [4074] = {.lex_state = 92, .external_lex_state = 3},
  [4075] = {.lex_state = 85, .external_lex_state = 3},
  [4076] = {.lex_state = 92, .external_lex_state = 3},
  [4077] = {.lex_state = 92, .external_lex_state = 3},
  [4078] = {.lex_state = 92, .external_lex_state = 3},
  [4079] = {.lex_state = 92, .external_lex_state = 3},
  [4080] = {.lex_state = 92, .external_lex_state = 3},
  [4081] = {.lex_state = 92, .external_lex_state = 3},
  [4082] = {.lex_state = 92, .external_lex_state = 3},
  [4083] = {.lex_state = 92, .external_lex_state = 3},
  [4084] = {.lex_state = 92, .external_lex_state = 3},
  [4085] = {.lex_state = 92, .external_lex_state = 3},
  [4086] = {.lex_state = 19, .external_lex_state = 3},
  [4087] = {.lex_state = 19, .external_lex_state = 3},
  [4088] = {.lex_state = 92, .external_lex_state = 3},
  [4089] = {.lex_state = 92, .external_lex_state = 3},
  [4090] = {.lex_state = 92, .external_lex_state = 3},
  [4091] = {.lex_state = 92, .external_lex_state = 3},
  [4092] = {.lex_state = 92, .external_lex_state = 3},
  [4093] = {.lex_state = 92, .external_lex_state = 3},
  [4094] = {.lex_state = 92, .external_lex_state = 3},
  [4095] = {.lex_state = 19, .external_lex_state = 3},
  [4096] = {.lex_state = 92, .external_lex_state = 3},
  [4097] = {.lex_state = 92, .external_lex_state = 3},
  [4098] = {.lex_state = 92, .external_lex_state = 3},
  [4099] = {.lex_state = 92, .external_lex_state = 3},
  [4100] = {.lex_state = 92, .external_lex_state = 3},
  [4101] = {.lex_state = 92, .external_lex_state = 3},
  [4102] = {.lex_state = 92, .external_lex_state = 3},
  [4103] = {.lex_state = 92, .external_lex_state = 3},
  [4104] = {.lex_state = 19, .external_lex_state = 3},
  [4105] = {.lex_state = 166, .external_lex_state = 3},
  [4106] = {.lex_state = 85, .external_lex_state = 3},
  [4107] = {.lex_state = 92, .external_lex_state = 3},
  [4108] = {.lex_state = 19, .external_lex_state = 3},
  [4109] = {.lex_state = 92, .external_lex_state = 3},
  [4110] = {.lex_state = 19, .external_lex_state = 3},
  [4111] = {.lex_state = 85, .external_lex_state = 3},
  [4112] = {.lex_state = 19, .external_lex_state = 3},
  [4113] = {.lex_state = 92, .external_lex_state = 3},
  [4114] = {.lex_state = 85, .external_lex_state = 3},
  [4115] = {.lex_state = 92, .external_lex_state = 3},
  [4116] = {.lex_state = 19, .external_lex_state = 3},
  [4117] = {.lex_state = 19, .external_lex_state = 3},
  [4118] = {.lex_state = 19, .external_lex_state = 3},
  [4119] = {.lex_state = 85, .external_lex_state = 3},
  [4120] = {.lex_state = 85, .external_lex_state = 3},
  [4121] = {.lex_state = 92, .external_lex_state = 3},
  [4122] = {.lex_state = 166, .external_lex_state = 3},
  [4123] = {.lex_state = 19, .external_lex_state = 3},
  [4124] = {.lex_state = 85, .external_lex_state = 3},
  [4125] = {.lex_state = 65, .external_lex_state = 3},
  [4126] = {.lex_state = 85, .external_lex_state = 3},
  [4127] = {.lex_state = 85, .external_lex_state = 3},
  [4128] = {.lex_state = 85, .external_lex_state = 3},
  [4129] = {.lex_state = 85, .external_lex_state = 3},
  [4130] = {.lex_state = 166, .external_lex_state = 3},
  [4131] = {.lex_state = 166, .external_lex_state = 3},
  [4132] = {.lex_state = 166, .external_lex_state = 3},
  [4133] = {.lex_state = 166, .external_lex_state = 3},
  [4134] = {.lex_state = 166, .external_lex_state = 3},
  [4135] = {.lex_state = 166, .external_lex_state = 3},
  [4136] = {.lex_state = 19, .external_lex_state = 3},
  [4137] = {.lex_state = 19, .external_lex_state = 3},
  [4138] = {.lex_state = 85, .external_lex_state = 3},
  [4139] = {.lex_state = 85, .external_lex_state = 3},
  [4140] = {.lex_state = 19, .external_lex_state = 3},
  [4141] = {.lex_state = 19, .external_lex_state = 3},
  [4142] = {.lex_state = 19, .external_lex_state = 3},
  [4143] = {.lex_state = 85, .external_lex_state = 3},
  [4144] = {.lex_state = 65, .external_lex_state = 3},
  [4145] = {.lex_state = 19, .external_lex_state = 3},
  [4146] = {.lex_state = 19, .external_lex_state = 3},
  [4147] = {.lex_state = 19, .external_lex_state = 3},
  [4148] = {.lex_state = 85, .external_lex_state = 3},
  [4149] = {.lex_state = 85, .external_lex_state = 3},
  [4150] = {.lex_state = 19, .external_lex_state = 3},
  [4151] = {.lex_state = 85, .external_lex_state = 3},
  [4152] = {.lex_state = 19, .external_lex_state = 3},
  [4153] = {.lex_state = 19, .external_lex_state = 3},
  [4154] = {.lex_state = 19, .external_lex_state = 3},
  [4155] = {.lex_state = 85, .external_lex_state = 3},
  [4156] = {.lex_state = 19, .external_lex_state = 3},
  [4157] = {.lex_state = 85, .external_lex_state = 3},
  [4158] = {.lex_state = 19, .external_lex_state = 3},
  [4159] = {.lex_state = 19, .external_lex_state = 3},
  [4160] = {.lex_state = 19, .external_lex_state = 3},
  [4161] = {.lex_state = 92, .external_lex_state = 3},
  [4162] = {.lex_state = 85, .external_lex_state = 3},
  [4163] = {.lex_state = 166, .external_lex_state = 3},
  [4164] = {.lex_state = 85, .external_lex_state = 3},
  [4165] = {.lex_state = 85, .external_lex_state = 3},
  [4166] = {.lex_state = 19, .external_lex_state = 3},
  [4167] = {.lex_state = 19, .external_lex_state = 3},
  [4168] = {.lex_state = 19, .external_lex_state = 3},
  [4169] = {.lex_state = 85, .external_lex_state = 3},
  [4170] = {.lex_state = 19, .external_lex_state = 3},
  [4171] = {.lex_state = 85, .external_lex_state = 3},
  [4172] = {.lex_state = 92, .external_lex_state = 3},
  [4173] = {.lex_state = 19, .external_lex_state = 3},
  [4174] = {.lex_state = 19, .external_lex_state = 3},
  [4175] = {.lex_state = 19, .external_lex_state = 3},
  [4176] = {.lex_state = 92, .external_lex_state = 3},
  [4177] = {.lex_state = 19, .external_lex_state = 3},
  [4178] = {.lex_state = 19, .external_lex_state = 3},
  [4179] = {.lex_state = 19, .external_lex_state = 3},
  [4180] = {.lex_state = 19, .external_lex_state = 3},
  [4181] = {.lex_state = 92, .external_lex_state = 3},
  [4182] = {.lex_state = 85, .external_lex_state = 3},
  [4183] = {.lex_state = 92, .external_lex_state = 3},
  [4184] = {.lex_state = 85, .external_lex_state = 3},
  [4185] = {.lex_state = 166, .external_lex_state = 3},
  [4186] = {.lex_state = 19, .external_lex_state = 3},
  [4187] = {.lex_state = 19, .external_lex_state = 3},
  [4188] = {.lex_state = 19, .external_lex_state = 3},
  [4189] = {.lex_state = 92, .external_lex_state = 3},
  [4190] = {.lex_state = 92, .external_lex_state = 3},
  [4191] = {.lex_state = 92, .external_lex_state = 3},
  [4192] = {.lex_state = 92, .external_lex_state = 3},
  [4193] = {.lex_state = 92, .external_lex_state = 3},
  [4194] = {.lex_state = 92, .external_lex_state = 3},
  [4195] = {.lex_state = 19, .external_lex_state = 3},
  [4196] = {.lex_state = 85, .external_lex_state = 3},
  [4197] = {.lex_state = 85, .external_lex_state = 3},
  [4198] = {.lex_state = 92, .external_lex_state = 3},
  [4199] = {.lex_state = 92, .external_lex_state = 3},
  [4200] = {.lex_state = 19, .external_lex_state = 3},
  [4201] = {.lex_state = 19, .external_lex_state = 3},
  [4202] = {.lex_state = 19, .external_lex_state = 3},
  [4203] = {.lex_state = 92, .external_lex_state = 3},
  [4204] = {.lex_state = 92, .external_lex_state = 3},
  [4205] = {.lex_state = 92, .external_lex_state = 3},
  [4206] = {.lex_state = 85, .external_lex_state = 3},
  [4207] = {.lex_state = 92, .external_lex_state = 3},
  [4208] = {.lex_state = 92, .external_lex_state = 3},
  [4209] = {.lex_state = 92, .external_lex_state = 3},
  [4210] = {.lex_state = 19, .external_lex_state = 3},
  [4211] = {.lex_state = 19, .external_lex_state = 3},
  [4212] = {.lex_state = 19, .external_lex_state = 3},
  [4213] = {.lex_state = 92, .external_lex_state = 3},
  [4214] = {.lex_state = 92, .external_lex_state = 3},
  [4215] = {.lex_state = 92, .external_lex_state = 3},
  [4216] = {.lex_state = 92, .external_lex_state = 3},
  [4217] = {.lex_state = 85, .external_lex_state = 3},
  [4218] = {.lex_state = 92, .external_lex_state = 3},
  [4219] = {.lex_state = 19, .external_lex_state = 3},
  [4220] = {.lex_state = 19, .external_lex_state = 3},
  [4221] = {.lex_state = 19, .external_lex_state = 3},
  [4222] = {.lex_state = 19, .external_lex_state = 3},
  [4223] = {.lex_state = 85, .external_lex_state = 3},
  [4224] = {.lex_state = 85, .external_lex_state = 3},
  [4225] = {.lex_state = 19, .external_lex_state = 3},
  [4226] = {.lex_state = 19, .external_lex_state = 3},
  [4227] = {.lex_state = 19, .external_lex_state = 3},
  [4228] = {.lex_state = 19, .external_lex_state = 3},
  [4229] = {.lex_state = 19, .external_lex_state = 3},
  [4230] = {.lex_state = 19, .external_lex_state = 3},
  [4231] = {.lex_state = 19, .external_lex_state = 3},
  [4232] = {.lex_state = 85, .external_lex_state = 3},
  [4233] = {.lex_state = 19, .external_lex_state = 3},
  [4234] = {.lex_state = 19, .external_lex_state = 3},
  [4235] = {.lex_state = 19, .external_lex_state = 3},
  [4236] = {.lex_state = 19, .external_lex_state = 3},
  [4237] = {.lex_state = 19, .external_lex_state = 3},
  [4238] = {.lex_state = 19, .external_lex_state = 3},
  [4239] = {.lex_state = 19, .external_lex_state = 3},
  [4240] = {.lex_state = 19, .external_lex_state = 3},
  [4241] = {.lex_state = 19, .external_lex_state = 3},
  [4242] = {.lex_state = 19, .external_lex_state = 3},
  [4243] = {.lex_state = 19, .external_lex_state = 3},
  [4244] = {.lex_state = 68, .external_lex_state = 3},
  [4245] = {.lex_state = 19, .external_lex_state = 3},
  [4246] = {.lex_state = 19, .external_lex_state = 3},
  [4247] = {.lex_state = 19, .external_lex_state = 3},
  [4248] = {.lex_state = 85, .external_lex_state = 3},
  [4249] = {.lex_state = 19, .external_lex_state = 3},
  [4250] = {.lex_state = 19, .external_lex_state = 3},
  [4251] = {.lex_state = 19, .external_lex_state = 3},
  [4252] = {.lex_state = 85, .external_lex_state = 3},
  [4253] = {.lex_state = 19, .external_lex_state = 3},
  [4254] = {.lex_state = 19, .external_lex_state = 3},
  [4255] = {.lex_state = 19, .external_lex_state = 3},
  [4256] = {.lex_state = 19, .external_lex_state = 3},
  [4257] = {.lex_state = 19, .external_lex_state = 3},
  [4258] = {.lex_state = 19, .external_lex_state = 3},
  [4259] = {.lex_state = 19, .external_lex_state = 3},
  [4260] = {.lex_state = 85, .external_lex_state = 3},
  [4261] = {.lex_state = 19, .external_lex_state = 3},
  [4262] = {.lex_state = 19, .external_lex_state = 3},
  [4263] = {.lex_state = 19, .external_lex_state = 3},
  [4264] = {.lex_state = 19, .external_lex_state = 3},
  [4265] = {.lex_state = 19, .external_lex_state = 3},
  [4266] = {.lex_state = 19, .external_lex_state = 3},
  [4267] = {.lex_state = 19, .external_lex_state = 3},
  [4268] = {.lex_state = 19, .external_lex_state = 3},
  [4269] = {.lex_state = 19, .external_lex_state = 3},
  [4270] = {.lex_state = 19, .external_lex_state = 3},
  [4271] = {.lex_state = 19, .external_lex_state = 3},
  [4272] = {.lex_state = 19, .external_lex_state = 3},
  [4273] = {.lex_state = 85, .external_lex_state = 3},
  [4274] = {.lex_state = 19, .external_lex_state = 3},
  [4275] = {.lex_state = 19, .external_lex_state = 3},
  [4276] = {.lex_state = 19, .external_lex_state = 3},
  [4277] = {.lex_state = 19, .external_lex_state = 3},
  [4278] = {.lex_state = 19, .external_lex_state = 3},
  [4279] = {.lex_state = 19, .external_lex_state = 3},
  [4280] = {.lex_state = 19, .external_lex_state = 3},
  [4281] = {.lex_state = 19, .external_lex_state = 3},
  [4282] = {.lex_state = 19, .external_lex_state = 3},
  [4283] = {.lex_state = 19, .external_lex_state = 3},
  [4284] = {.lex_state = 19, .external_lex_state = 3},
  [4285] = {.lex_state = 19, .external_lex_state = 3},
  [4286] = {.lex_state = 19, .external_lex_state = 3},
  [4287] = {.lex_state = 19, .external_lex_state = 3},
  [4288] = {.lex_state = 19, .external_lex_state = 3},
  [4289] = {.lex_state = 19, .external_lex_state = 3},
  [4290] = {.lex_state = 19, .external_lex_state = 3},
  [4291] = {.lex_state = 19, .external_lex_state = 3},
  [4292] = {.lex_state = 19, .external_lex_state = 3},
  [4293] = {.lex_state = 19, .external_lex_state = 3},
  [4294] = {.lex_state = 19, .external_lex_state = 3},
  [4295] = {.lex_state = 19, .external_lex_state = 3},
  [4296] = {.lex_state = 19, .external_lex_state = 3},
  [4297] = {.lex_state = 19, .external_lex_state = 3},
  [4298] = {.lex_state = 19, .external_lex_state = 3},
  [4299] = {.lex_state = 19, .external_lex_state = 3},
  [4300] = {.lex_state = 85, .external_lex_state = 3},
  [4301] = {.lex_state = 85, .external_lex_state = 3},
  [4302] = {.lex_state = 85, .external_lex_state = 3},
  [4303] = {.lex_state = 85, .external_lex_state = 3},
  [4304] = {.lex_state = 19, .external_lex_state = 3},
  [4305] = {.lex_state = 66, .external_lex_state = 3},
  [4306] = {.lex_state = 85, .external_lex_state = 3},
  [4307] = {.lex_state = 73, .external_lex_state = 3},
  [4308] = {.lex_state = 166, .external_lex_state = 3},
  [4309] = {.lex_state = 73, .external_lex_state = 3},
  [4310] = {.lex_state = 166, .external_lex_state = 3},
  [4311] = {.lex_state = 85, .external_lex_state = 3},
  [4312] = {.lex_state = 19, .external_lex_state = 3},
  [4313] = {.lex_state = 85, .external_lex_state = 3},
  [4314] = {.lex_state = 85, .external_lex_state = 3},
  [4315] = {.lex_state = 85, .external_lex_state = 3},
  [4316] = {.lex_state = 19, .external_lex_state = 3},
  [4317] = {.lex_state = 85, .external_lex_state = 3},
  [4318] = {.lex_state = 85, .external_lex_state = 3},
  [4319] = {.lex_state = 85, .external_lex_state = 3},
  [4320] = {.lex_state = 85, .external_lex_state = 3},
  [4321] = {.lex_state = 74, .external_lex_state = 3},
  [4322] = {.lex_state = 19, .external_lex_state = 3},
  [4323] = {.lex_state = 85, .external_lex_state = 3},
  [4324] = {.lex_state = 166, .external_lex_state = 3},
  [4325] = {.lex_state = 166, .external_lex_state = 3},
  [4326] = {.lex_state = 166, .external_lex_state = 3},
  [4327] = {.lex_state = 166, .external_lex_state = 3},
  [4328] = {.lex_state = 166, .external_lex_state = 3},
  [4329] = {.lex_state = 166, .external_lex_state = 3},
  [4330] = {.lex_state = 166, .external_lex_state = 3},
  [4331] = {.lex_state = 166, .external_lex_state = 3},
  [4332] = {.lex_state = 166, .external_lex_state = 3},
  [4333] = {.lex_state = 166, .external_lex_state = 3},
  [4334] = {.lex_state = 166, .external_lex_state = 3},
  [4335] = {.lex_state = 166, .external_lex_state = 3},
  [4336] = {.lex_state = 166, .external_lex_state = 3},
  [4337] = {.lex_state = 166, .external_lex_state = 3},
  [4338] = {.lex_state = 166, .external_lex_state = 3},
  [4339] = {.lex_state = 166, .external_lex_state = 3},
  [4340] = {.lex_state = 166, .external_lex_state = 3},
  [4341] = {.lex_state = 166, .external_lex_state = 3},
  [4342] = {.lex_state = 166, .external_lex_state = 3},
  [4343] = {.lex_state = 166, .external_lex_state = 3},
  [4344] = {.lex_state = 166, .external_lex_state = 3},
  [4345] = {.lex_state = 166, .external_lex_state = 3},
  [4346] = {.lex_state = 166, .external_lex_state = 3},
  [4347] = {.lex_state = 166, .external_lex_state = 3},
  [4348] = {.lex_state = 166, .external_lex_state = 3},
  [4349] = {.lex_state = 166, .external_lex_state = 3},
  [4350] = {.lex_state = 19, .external_lex_state = 3},
  [4351] = {.lex_state = 166, .external_lex_state = 3},
  [4352] = {.lex_state = 166, .external_lex_state = 3},
  [4353] = {.lex_state = 166, .external_lex_state = 3},
  [4354] = {.lex_state = 166, .external_lex_state = 3},
  [4355] = {.lex_state = 166, .external_lex_state = 3},
  [4356] = {.lex_state = 166, .external_lex_state = 3},
  [4357] = {.lex_state = 166, .external_lex_state = 3},
  [4358] = {.lex_state = 166, .external_lex_state = 3},
  [4359] = {.lex_state = 166, .external_lex_state = 3},
  [4360] = {.lex_state = 166, .external_lex_state = 3},
  [4361] = {.lex_state = 166, .external_lex_state = 3},
  [4362] = {.lex_state = 166, .external_lex_state = 3},
  [4363] = {.lex_state = 166, .external_lex_state = 3},
  [4364] = {.lex_state = 166, .external_lex_state = 3},
  [4365] = {.lex_state = 166, .external_lex_state = 3},
  [4366] = {.lex_state = 166, .external_lex_state = 3},
  [4367] = {.lex_state = 166, .external_lex_state = 3},
  [4368] = {.lex_state = 166, .external_lex_state = 3},
  [4369] = {.lex_state = 85, .external_lex_state = 3},
  [4370] = {.lex_state = 166, .external_lex_state = 3},
  [4371] = {.lex_state = 166, .external_lex_state = 3},
  [4372] = {.lex_state = 85, .external_lex_state = 3},
  [4373] = {.lex_state = 166, .external_lex_state = 3},
  [4374] = {.lex_state = 166, .external_lex_state = 3},
  [4375] = {.lex_state = 166, .external_lex_state = 3},
  [4376] = {.lex_state = 166, .external_lex_state = 3},
  [4377] = {.lex_state = 166, .external_lex_state = 3},
  [4378] = {.lex_state = 85, .external_lex_state = 3},
  [4379] = {.lex_state = 166, .external_lex_state = 3},
  [4380] = {.lex_state = 166, .external_lex_state = 3},
  [4381] = {.lex_state = 166, .external_lex_state = 3},
  [4382] = {.lex_state = 85, .external_lex_state = 3},
  [4383] = {.lex_state = 166, .external_lex_state = 3},
  [4384] = {.lex_state = 166, .external_lex_state = 3},
  [4385] = {.lex_state = 166, .external_lex_state = 3},
  [4386] = {.lex_state = 166, .external_lex_state = 3},
  [4387] = {.lex_state = 166, .external_lex_state = 3},
  [4388] = {.lex_state = 166, .external_lex_state = 3},
  [4389] = {.lex_state = 166, .external_lex_state = 3},
  [4390] = {.lex_state = 166, .external_lex_state = 3},
  [4391] = {.lex_state = 166, .external_lex_state = 3},
  [4392] = {.lex_state = 166, .external_lex_state = 3},
  [4393] = {.lex_state = 68, .external_lex_state = 3},
  [4394] = {.lex_state = 85, .external_lex_state = 3},
  [4395] = {.lex_state = 166, .external_lex_state = 3},
  [4396] = {.lex_state = 166, .external_lex_state = 3},
  [4397] = {.lex_state = 166, .external_lex_state = 3},
  [4398] = {.lex_state = 166, .external_lex_state = 3},
  [4399] = {.lex_state = 166, .external_lex_state = 3},
  [4400] = {.lex_state = 166, .external_lex_state = 3},
  [4401] = {.lex_state = 166, .external_lex_state = 3},
  [4402] = {.lex_state = 166, .external_lex_state = 3},
  [4403] = {.lex_state = 166, .external_lex_state = 3},
  [4404] = {.lex_state = 166, .external_lex_state = 3},
  [4405] = {.lex_state = 166, .external_lex_state = 3},
  [4406] = {.lex_state = 166, .external_lex_state = 3},
  [4407] = {.lex_state = 166, .external_lex_state = 3},
  [4408] = {.lex_state = 166, .external_lex_state = 3},
  [4409] = {.lex_state = 166, .external_lex_state = 3},
  [4410] = {.lex_state = 166, .external_lex_state = 3},
  [4411] = {.lex_state = 166, .external_lex_state = 3},
  [4412] = {.lex_state = 166, .external_lex_state = 3},
  [4413] = {.lex_state = 166, .external_lex_state = 3},
  [4414] = {.lex_state = 166, .external_lex_state = 3},
  [4415] = {.lex_state = 166, .external_lex_state = 3},
  [4416] = {.lex_state = 19, .external_lex_state = 3},
  [4417] = {.lex_state = 19, .external_lex_state = 3},
  [4418] = {.lex_state = 19, .external_lex_state = 3},
  [4419] = {.lex_state = 19, .external_lex_state = 3},
  [4420] = {.lex_state = 19, .external_lex_state = 3},
  [4421] = {.lex_state = 19, .external_lex_state = 3},
  [4422] = {.lex_state = 19, .external_lex_state = 3},
  [4423] = {.lex_state = 19, .external_lex_state = 3},
  [4424] = {.lex_state = 19, .external_lex_state = 3},
  [4425] = {.lex_state = 19, .external_lex_state = 3},
  [4426] = {.lex_state = 19, .external_lex_state = 3},
  [4427] = {.lex_state = 19, .external_lex_state = 3},
  [4428] = {.lex_state = 19, .external_lex_state = 3},
  [4429] = {.lex_state = 19, .external_lex_state = 3},
  [4430] = {.lex_state = 19, .external_lex_state = 3},
  [4431] = {.lex_state = 19, .external_lex_state = 3},
  [4432] = {.lex_state = 19, .external_lex_state = 3},
  [4433] = {.lex_state = 19, .external_lex_state = 3},
  [4434] = {.lex_state = 19, .external_lex_state = 3},
  [4435] = {.lex_state = 19, .external_lex_state = 3},
  [4436] = {.lex_state = 19, .external_lex_state = 3},
  [4437] = {.lex_state = 19, .external_lex_state = 3},
  [4438] = {.lex_state = 19, .external_lex_state = 3},
  [4439] = {.lex_state = 19, .external_lex_state = 3},
  [4440] = {.lex_state = 19, .external_lex_state = 3},
  [4441] = {.lex_state = 19, .external_lex_state = 3},
  [4442] = {.lex_state = 19, .external_lex_state = 3},
  [4443] = {.lex_state = 19, .external_lex_state = 3},
  [4444] = {.lex_state = 19, .external_lex_state = 3},
  [4445] = {.lex_state = 19, .external_lex_state = 3},
  [4446] = {.lex_state = 19, .external_lex_state = 3},
  [4447] = {.lex_state = 19, .external_lex_state = 3},
  [4448] = {.lex_state = 19, .external_lex_state = 3},
  [4449] = {.lex_state = 19, .external_lex_state = 3},
  [4450] = {.lex_state = 19, .external_lex_state = 3},
  [4451] = {.lex_state = 19, .external_lex_state = 3},
  [4452] = {.lex_state = 19, .external_lex_state = 3},
  [4453] = {.lex_state = 19, .external_lex_state = 3},
  [4454] = {.lex_state = 19, .external_lex_state = 3},
  [4455] = {.lex_state = 19, .external_lex_state = 3},
  [4456] = {.lex_state = 66, .external_lex_state = 3},
  [4457] = {.lex_state = 19, .external_lex_state = 3},
  [4458] = {.lex_state = 19, .external_lex_state = 3},
  [4459] = {.lex_state = 19, .external_lex_state = 3},
  [4460] = {.lex_state = 19, .external_lex_state = 3},
  [4461] = {.lex_state = 66, .external_lex_state = 3},
  [4462] = {.lex_state = 19, .external_lex_state = 3},
  [4463] = {.lex_state = 19, .external_lex_state = 3},
  [4464] = {.lex_state = 19, .external_lex_state = 3},
  [4465] = {.lex_state = 19, .external_lex_state = 3},
  [4466] = {.lex_state = 19, .external_lex_state = 3},
  [4467] = {.lex_state = 19, .external_lex_state = 3},
  [4468] = {.lex_state = 19, .external_lex_state = 3},
  [4469] = {.lex_state = 75, .external_lex_state = 3},
  [4470] = {.lex_state = 74, .external_lex_state = 3},
  [4471] = {.lex_state = 74, .external_lex_state = 3},
  [4472] = {.lex_state = 19, .external_lex_state = 3},
  [4473] = {.lex_state = 19, .external_lex_state = 3},
  [4474] = {.lex_state = 19, .external_lex_state = 3},
  [4475] = {.lex_state = 19, .external_lex_state = 3},
  [4476] = {.lex_state = 19, .external_lex_state = 3},
  [4477] = {.lex_state = 19, .external_lex_state = 3},
  [4478] = {.lex_state = 19, .external_lex_state = 3},
  [4479] = {.lex_state = 19, .external_lex_state = 3},
  [4480] = {.lex_state = 19, .external_lex_state = 3},
  [4481] = {.lex_state = 19, .external_lex_state = 3},
  [4482] = {.lex_state = 70, .external_lex_state = 3},
  [4483] = {.lex_state = 19, .external_lex_state = 3},
  [4484] = {.lex_state = 19, .external_lex_state = 3},
  [4485] = {.lex_state = 19, .external_lex_state = 3},
  [4486] = {.lex_state = 19, .external_lex_state = 3},
  [4487] = {.lex_state = 167, .external_lex_state = 3},
  [4488] = {.lex_state = 19, .external_lex_state = 3},
  [4489] = {.lex_state = 19, .external_lex_state = 3},
  [4490] = {.lex_state = 76, .external_lex_state = 3},
  [4491] = {.lex_state = 19, .external_lex_state = 3},
  [4492] = {.lex_state = 19, .external_lex_state = 3},
  [4493] = {.lex_state = 167, .external_lex_state = 3},
  [4494] = {.lex_state = 19, .external_lex_state = 3},
  [4495] = {.lex_state = 167, .external_lex_state = 3},
  [4496] = {.lex_state = 19, .external_lex_state = 3},
  [4497] = {.lex_state = 167, .external_lex_state = 3},
  [4498] = {.lex_state = 19, .external_lex_state = 3},
  [4499] = {.lex_state = 19, .external_lex_state = 3},
  [4500] = {.lex_state = 167, .external_lex_state = 3},
  [4501] = {.lex_state = 19, .external_lex_state = 3},
  [4502] = {.lex_state = 19, .external_lex_state = 3},
  [4503] = {.lex_state = 69, .external_lex_state = 3},
  [4504] = {.lex_state = 19, .external_lex_state = 3},
  [4505] = {.lex_state = 19, .external_lex_state = 3},
  [4506] = {.lex_state = 19, .external_lex_state = 3},
  [4507] = {.lex_state = 167, .external_lex_state = 3},
  [4508] = {.lex_state = 19, .external_lex_state = 3},
  [4509] = {.lex_state = 75, .external_lex_state = 3},
  [4510] = {.lex_state = 19, .external_lex_state = 3},
  [4511] = {.lex_state = 75, .external_lex_state = 3},
  [4512] = {.lex_state = 19, .external_lex_state = 3},
  [4513] = {.lex_state = 19, .external_lex_state = 3},
  [4514] = {.lex_state = 19, .external_lex_state = 3},
  [4515] = {.lex_state = 19, .external_lex_state = 3},
  [4516] = {.lex_state = 19, .external_lex_state = 3},
  [4517] = {.lex_state = 19, .external_lex_state = 3},
  [4518] = {.lex_state = 167, .external_lex_state = 3},
  [4519] = {.lex_state = 19, .external_lex_state = 3},
  [4520] = {.lex_state = 167, .external_lex_state = 3},
  [4521] = {.lex_state = 19, .external_lex_state = 3},
  [4522] = {.lex_state = 167, .external_lex_state = 3},
  [4523] = {.lex_state = 167, .external_lex_state = 3},
  [4524] = {.lex_state = 19, .external_lex_state = 3},
  [4525] = {.lex_state = 19, .external_lex_state = 3},
  [4526] = {.lex_state = 167, .external_lex_state = 3},
  [4527] = {.lex_state = 19, .external_lex_state = 3},
  [4528] = {.lex_state = 167, .external_lex_state = 3},
  [4529] = {.lex_state = 167, .external_lex_state = 3},
  [4530] = {.lex_state = 19, .external_lex_state = 3},
  [4531] = {.lex_state = 19, .external_lex_state = 3},
  [4532] = {.lex_state = 167, .external_lex_state = 3},
  [4533] = {.lex_state = 19, .external_lex_state = 3},
  [4534] = {.lex_state = 19, .external_lex_state = 3},
  [4535] = {.lex_state = 19, .external_lex_state = 3},
  [4536] = {.lex_state = 167, .external_lex_state = 3},
  [4537] = {.lex_state = 19, .external_lex_state = 3},
  [4538] = {.lex_state = 167, .external_lex_state = 3},
  [4539] = {.lex_state = 19, .external_lex_state = 3},
  [4540] = {.lex_state = 19, .external_lex_state = 3},
  [4541] = {.lex_state = 19, .external_lex_state = 3},
  [4542] = {.lex_state = 167, .external_lex_state = 3},
  [4543] = {.lex_state = 19, .external_lex_state = 3},
  [4544] = {.lex_state = 19, .external_lex_state = 3},
  [4545] = {.lex_state = 167, .external_lex_state = 3},
  [4546] = {.lex_state = 167, .external_lex_state = 3},
  [4547] = {.lex_state = 167, .external_lex_state = 3},
  [4548] = {.lex_state = 70, .external_lex_state = 3},
  [4549] = {.lex_state = 167, .external_lex_state = 3},
  [4550] = {.lex_state = 19, .external_lex_state = 3},
  [4551] = {.lex_state = 70, .external_lex_state = 3},
  [4552] = {.lex_state = 19, .external_lex_state = 3},
  [4553] = {.lex_state = 19, .external_lex_state = 3},
  [4554] = {.lex_state = 19, .external_lex_state = 3},
  [4555] = {.lex_state = 19, .external_lex_state = 3},
  [4556] = {.lex_state = 19, .external_lex_state = 3},
  [4557] = {.lex_state = 19, .external_lex_state = 3},
  [4558] = {.lex_state = 19, .external_lex_state = 3},
  [4559] = {.lex_state = 19, .external_lex_state = 3},
  [4560] = {.lex_state = 19, .external_lex_state = 3},
  [4561] = {.lex_state = 19, .external_lex_state = 3},
  [4562] = {.lex_state = 69, .external_lex_state = 3},
  [4563] = {.lex_state = 69, .external_lex_state = 3},
  [4564] = {.lex_state = 19, .external_lex_state = 3},
  [4565] = {.lex_state = 19, .external_lex_state = 3},
  [4566] = {.lex_state = 167, .external_lex_state = 3},
  [4567] = {.lex_state = 19, .external_lex_state = 3},
  [4568] = {.lex_state = 167, .external_lex_state = 3},
  [4569] = {.lex_state = 19, .external_lex_state = 3},
  [4570] = {.lex_state = 167, .external_lex_state = 3},
  [4571] = {.lex_state = 19, .external_lex_state = 3},
  [4572] = {.lex_state = 19, .external_lex_state = 3},
  [4573] = {.lex_state = 167, .external_lex_state = 3},
  [4574] = {.lex_state = 167, .external_lex_state = 3},
  [4575] = {.lex_state = 19, .external_lex_state = 3},
  [4576] = {.lex_state = 19, .external_lex_state = 3},
  [4577] = {.lex_state = 19, .external_lex_state = 3},
  [4578] = {.lex_state = 19, .external_lex_state = 3},
  [4579] = {.lex_state = 19, .external_lex_state = 3},
  [4580] = {.lex_state = 76, .external_lex_state = 3},
  [4581] = {.lex_state = 19, .external_lex_state = 3},
  [4582] = {.lex_state = 19, .external_lex_state = 3},
  [4583] = {.lex_state = 19, .external_lex_state = 3},
  [4584] = {.lex_state = 19, .external_lex_state = 3},
  [4585] = {.lex_state = 19, .external_lex_state = 3},
  [4586] = {.lex_state = 19, .external_lex_state = 3},
  [4587] = {.lex_state = 19, .external_lex_state = 3},
  [4588] = {.lex_state = 19, .external_lex_state = 3},
  [4589] = {.lex_state = 19, .external_lex_state = 3},
  [4590] = {.lex_state = 19, .external_lex_state = 3},
  [4591] = {.lex_state = 19, .external_lex_state = 3},
  [4592] = {.lex_state = 19, .external_lex_state = 3},
  [4593] = {.lex_state = 19, .external_lex_state = 3},
  [4594] = {.lex_state = 19, .external_lex_state = 3},
  [4595] = {.lex_state = 19, .external_lex_state = 3},
  [4596] = {.lex_state = 19, .external_lex_state = 3},
  [4597] = {.lex_state = 76, .external_lex_state = 3},
  [4598] = {.lex_state = 167, .external_lex_state = 3},
  [4599] = {.lex_state = 19, .external_lex_state = 3},
  [4600] = {.lex_state = 167, .external_lex_state = 3},
  [4601] = {.lex_state = 167, .external_lex_state = 3},
  [4602] = {.lex_state = 167, .external_lex_state = 3},
  [4603] = {.lex_state = 167, .external_lex_state = 3},
  [4604] = {.lex_state = 167, .external_lex_state = 3},
  [4605] = {.lex_state = 167, .external_lex_state = 3},
  [4606] = {.lex_state = 167, .external_lex_state = 3},
  [4607] = {.lex_state = 167, .external_lex_state = 3},
  [4608] = {.lex_state = 167, .external_lex_state = 3},
  [4609] = {.lex_state = 167, .external_lex_state = 3},
  [4610] = {.lex_state = 167, .external_lex_state = 3},
  [4611] = {.lex_state = 167, .external_lex_state = 3},
  [4612] = {.lex_state = 167, .external_lex_state = 3},
  [4613] = {.lex_state = 167, .external_lex_state = 3},
  [4614] = {.lex_state = 167, .external_lex_state = 3},
  [4615] = {.lex_state = 167, .external_lex_state = 3},
  [4616] = {.lex_state = 9, .external_lex_state = 3},
  [4617] = {.lex_state = 167, .external_lex_state = 3},
  [4618] = {.lex_state = 167, .external_lex_state = 3},
  [4619] = {.lex_state = 167, .external_lex_state = 3},
  [4620] = {.lex_state = 167, .external_lex_state = 3},
  [4621] = {.lex_state = 167, .external_lex_state = 3},
  [4622] = {.lex_state = 167, .external_lex_state = 3},
  [4623] = {.lex_state = 167, .external_lex_state = 3},
  [4624] = {.lex_state = 167, .external_lex_state = 3},
  [4625] = {.lex_state = 167, .external_lex_state = 3},
  [4626] = {.lex_state = 167, .external_lex_state = 3},
  [4627] = {.lex_state = 167, .external_lex_state = 3},
  [4628] = {.lex_state = 167, .external_lex_state = 3},
  [4629] = {.lex_state = 167, .external_lex_state = 3},
  [4630] = {.lex_state = 167, .external_lex_state = 3},
  [4631] = {.lex_state = 167, .external_lex_state = 3},
  [4632] = {.lex_state = 109, .external_lex_state = 3},
  [4633] = {.lex_state = 167, .external_lex_state = 3},
  [4634] = {.lex_state = 167, .external_lex_state = 3},
  [4635] = {.lex_state = 167, .external_lex_state = 3},
  [4636] = {.lex_state = 167, .external_lex_state = 3},
  [4637] = {.lex_state = 167, .external_lex_state = 3},
  [4638] = {.lex_state = 167, .external_lex_state = 3},
  [4639] = {.lex_state = 167, .external_lex_state = 3},
  [4640] = {.lex_state = 167, .external_lex_state = 3},
  [4641] = {.lex_state = 167, .external_lex_state = 3},
  [4642] = {.lex_state = 167, .external_lex_state = 3},
  [4643] = {.lex_state = 167, .external_lex_state = 3},
  [4644] = {.lex_state = 167, .external_lex_state = 3},
  [4645] = {.lex_state = 109, .external_lex_state = 3},
  [4646] = {.lex_state = 109, .external_lex_state = 3},
  [4647] = {.lex_state = 109, .external_lex_state = 3},
  [4648] = {.lex_state = 109, .external_lex_state = 3},
  [4649] = {.lex_state = 167, .external_lex_state = 3},
  [4650] = {.lex_state = 109, .external_lex_state = 3},
  [4651] = {.lex_state = 109, .external_lex_state = 3},
  [4652] = {.lex_state = 109, .external_lex_state = 3},
  [4653] = {.lex_state = 109, .external_lex_state = 3},
  [4654] = {.lex_state = 167, .external_lex_state = 3},
  [4655] = {.lex_state = 167, .external_lex_state = 3},
  [4656] = {.lex_state = 167, .external_lex_state = 3},
  [4657] = {.lex_state = 167, .external_lex_state = 3},
  [4658] = {.lex_state = 167, .external_lex_state = 3},
  [4659] = {.lex_state = 167, .external_lex_state = 3},
  [4660] = {.lex_state = 167, .external_lex_state = 3},
  [4661] = {.lex_state = 167, .external_lex_state = 3},
  [4662] = {.lex_state = 167, .external_lex_state = 3},
  [4663] = {.lex_state = 167, .external_lex_state = 3},
  [4664] = {.lex_state = 167, .external_lex_state = 3},
  [4665] = {.lex_state = 167, .external_lex_state = 3},
  [4666] = {.lex_state = 167, .external_lex_state = 3},
  [4667] = {.lex_state = 167, .external_lex_state = 3},
  [4668] = {.lex_state = 167, .external_lex_state = 3},
  [4669] = {.lex_state = 167, .external_lex_state = 3},
  [4670] = {.lex_state = 167, .external_lex_state = 3},
  [4671] = {.lex_state = 9, .external_lex_state = 3},
  [4672] = {.lex_state = 167, .external_lex_state = 3},
  [4673] = {.lex_state = 167, .external_lex_state = 3},
  [4674] = {.lex_state = 167, .external_lex_state = 3},
  [4675] = {.lex_state = 9, .external_lex_state = 3},
  [4676] = {.lex_state = 167, .external_lex_state = 3},
  [4677] = {.lex_state = 167, .external_lex_state = 3},
  [4678] = {.lex_state = 167, .external_lex_state = 3},
  [4679] = {.lex_state = 167, .external_lex_state = 3},
  [4680] = {.lex_state = 167, .external_lex_state = 3},
  [4681] = {.lex_state = 109, .external_lex_state = 3},
  [4682] = {.lex_state = 167, .external_lex_state = 3},
  [4683] = {.lex_state = 167, .external_lex_state = 3},
  [4684] = {.lex_state = 167, .external_lex_state = 3},
  [4685] = {.lex_state = 167, .external_lex_state = 3},
  [4686] = {.lex_state = 167, .external_lex_state = 3},
  [4687] = {.lex_state = 167, .external_lex_state = 3},
  [4688] = {.lex_state = 167, .external_lex_state = 3},
  [4689] = {.lex_state = 167, .external_lex_state = 3},
  [4690] = {.lex_state = 167, .external_lex_state = 3},
  [4691] = {.lex_state = 167, .external_lex_state = 3},
  [4692] = {.lex_state = 167, .external_lex_state = 3},
  [4693] = {.lex_state = 167, .external_lex_state = 3},
  [4694] = {.lex_state = 167, .external_lex_state = 3},
  [4695] = {.lex_state = 167, .external_lex_state = 3},
  [4696] = {.lex_state = 167, .external_lex_state = 3},
  [4697] = {.lex_state = 167, .external_lex_state = 3},
  [4698] = {.lex_state = 167, .external_lex_state = 3},
  [4699] = {.lex_state = 167, .external_lex_state = 3},
  [4700] = {.lex_state = 167, .external_lex_state = 3},
  [4701] = {.lex_state = 167, .external_lex_state = 3},
  [4702] = {.lex_state = 167, .external_lex_state = 3},
  [4703] = {.lex_state = 167, .external_lex_state = 3},
  [4704] = {.lex_state = 167, .external_lex_state = 3},
  [4705] = {.lex_state = 109, .external_lex_state = 3},
  [4706] = {.lex_state = 109, .external_lex_state = 3},
  [4707] = {.lex_state = 110, .external_lex_state = 3},
  [4708] = {.lex_state = 110, .external_lex_state = 3},
  [4709] = {.lex_state = 167, .external_lex_state = 3},
  [4710] = {.lex_state = 109, .external_lex_state = 3},
  [4711] = {.lex_state = 109, .external_lex_state = 3},
  [4712] = {.lex_state = 167, .external_lex_state = 3},
  [4713] = {.lex_state = 109, .external_lex_state = 3},
  [4714] = {.lex_state = 109, .external_lex_state = 3},
  [4715] = {.lex_state = 109, .external_lex_state = 3},
  [4716] = {.lex_state = 109, .external_lex_state = 3},
  [4717] = {.lex_state = 109, .external_lex_state = 3},
  [4718] = {.lex_state = 167, .external_lex_state = 3},
  [4719] = {.lex_state = 109, .external_lex_state = 3},
  [4720] = {.lex_state = 109, .external_lex_state = 3},
  [4721] = {.lex_state = 109, .external_lex_state = 3},
  [4722] = {.lex_state = 109, .external_lex_state = 3},
  [4723] = {.lex_state = 109, .external_lex_state = 3},
  [4724] = {.lex_state = 109, .external_lex_state = 3},
  [4725] = {.lex_state = 109, .external_lex_state = 3},
  [4726] = {.lex_state = 109, .external_lex_state = 3},
  [4727] = {.lex_state = 167, .external_lex_state = 3},
  [4728] = {.lex_state = 109, .external_lex_state = 3},
  [4729] = {.lex_state = 109, .external_lex_state = 3},
  [4730] = {.lex_state = 109, .external_lex_state = 3},
  [4731] = {.lex_state = 109, .external_lex_state = 3},
  [4732] = {.lex_state = 109, .external_lex_state = 3},
  [4733] = {.lex_state = 109, .external_lex_state = 3},
  [4734] = {.lex_state = 109, .external_lex_state = 3},
  [4735] = {.lex_state = 109, .external_lex_state = 3},
  [4736] = {.lex_state = 109, .external_lex_state = 3},
  [4737] = {.lex_state = 167, .external_lex_state = 3},
  [4738] = {.lex_state = 109, .external_lex_state = 3},
  [4739] = {.lex_state = 109, .external_lex_state = 3},
  [4740] = {.lex_state = 109, .external_lex_state = 3},
  [4741] = {.lex_state = 109, .external_lex_state = 3},
  [4742] = {.lex_state = 109, .external_lex_state = 3},
  [4743] = {.lex_state = 109, .external_lex_state = 3},
  [4744] = {.lex_state = 109, .external_lex_state = 3},
  [4745] = {.lex_state = 109, .external_lex_state = 3},
  [4746] = {.lex_state = 167, .external_lex_state = 3},
  [4747] = {.lex_state = 109, .external_lex_state = 3},
  [4748] = {.lex_state = 110, .external_lex_state = 3},
  [4749] = {.lex_state = 109, .external_lex_state = 3},
  [4750] = {.lex_state = 109, .external_lex_state = 3},
  [4751] = {.lex_state = 109, .external_lex_state = 3},
  [4752] = {.lex_state = 167, .external_lex_state = 3},
  [4753] = {.lex_state = 109, .external_lex_state = 3},
  [4754] = {.lex_state = 167, .external_lex_state = 3},
  [4755] = {.lex_state = 167, .external_lex_state = 3},
  [4756] = {.lex_state = 167, .external_lex_state = 3},
  [4757] = {.lex_state = 109, .external_lex_state = 3},
  [4758] = {.lex_state = 167, .external_lex_state = 3},
  [4759] = {.lex_state = 167, .external_lex_state = 3},
  [4760] = {.lex_state = 167, .external_lex_state = 3},
  [4761] = {.lex_state = 167, .external_lex_state = 3},
  [4762] = {.lex_state = 167, .external_lex_state = 3},
  [4763] = {.lex_state = 167, .external_lex_state = 3},
  [4764] = {.lex_state = 109, .external_lex_state = 3},
  [4765] = {.lex_state = 110, .external_lex_state = 3},
  [4766] = {.lex_state = 167, .external_lex_state = 3},
  [4767] = {.lex_state = 167, .external_lex_state = 3},
  [4768] = {.lex_state = 167, .external_lex_state = 3},
  [4769] = {.lex_state = 110, .external_lex_state = 3},
  [4770] = {.lex_state = 167, .external_lex_state = 3},
  [4771] = {.lex_state = 109, .external_lex_state = 3},
  [4772] = {.lex_state = 167, .external_lex_state = 3},
  [4773] = {.lex_state = 167, .external_lex_state = 3},
  [4774] = {.lex_state = 167, .external_lex_state = 3},
  [4775] = {.lex_state = 109, .external_lex_state = 3},
  [4776] = {.lex_state = 109, .external_lex_state = 3},
  [4777] = {.lex_state = 167, .external_lex_state = 3},
  [4778] = {.lex_state = 167, .external_lex_state = 3},
  [4779] = {.lex_state = 109, .external_lex_state = 3},
  [4780] = {.lex_state = 167, .external_lex_state = 3},
  [4781] = {.lex_state = 167, .external_lex_state = 3},
  [4782] = {.lex_state = 109, .external_lex_state = 3},
  [4783] = {.lex_state = 109, .external_lex_state = 3},
  [4784] = {.lex_state = 167, .external_lex_state = 3},
  [4785] = {.lex_state = 109, .external_lex_state = 3},
  [4786] = {.lex_state = 167, .external_lex_state = 3},
  [4787] = {.lex_state = 109, .external_lex_state = 3},
  [4788] = {.lex_state = 167, .external_lex_state = 3},
  [4789] = {.lex_state = 109, .external_lex_state = 3},
  [4790] = {.lex_state = 109, .external_lex_state = 3},
  [4791] = {.lex_state = 167, .external_lex_state = 3},
  [4792] = {.lex_state = 109, .external_lex_state = 3},
  [4793] = {.lex_state = 167, .external_lex_state = 3},
  [4794] = {.lex_state = 167, .external_lex_state = 3},
  [4795] = {.lex_state = 167, .external_lex_state = 3},
  [4796] = {.lex_state = 167, .external_lex_state = 3},
  [4797] = {.lex_state = 110, .external_lex_state = 3},
  [4798] = {.lex_state = 9, .external_lex_state = 3},
  [4799] = {.lex_state = 167, .external_lex_state = 3},
  [4800] = {.lex_state = 167, .external_lex_state = 3},
  [4801] = {.lex_state = 167, .external_lex_state = 3},
  [4802] = {.lex_state = 167, .external_lex_state = 3},
  [4803] = {.lex_state = 167, .external_lex_state = 3},
  [4804] = {.lex_state = 167, .external_lex_state = 3},
  [4805] = {.lex_state = 109, .external_lex_state = 3},
  [4806] = {.lex_state = 109, .external_lex_state = 3},
  [4807] = {.lex_state = 109, .external_lex_state = 3},
  [4808] = {.lex_state = 109, .external_lex_state = 3},
  [4809] = {.lex_state = 110, .external_lex_state = 3},
  [4810] = {.lex_state = 109, .external_lex_state = 3},
  [4811] = {.lex_state = 109, .external_lex_state = 3},
  [4812] = {.lex_state = 109, .external_lex_state = 3},
  [4813] = {.lex_state = 109, .external_lex_state = 3},
  [4814] = {.lex_state = 109, .external_lex_state = 3},
  [4815] = {.lex_state = 109, .external_lex_state = 3},
  [4816] = {.lex_state = 110, .external_lex_state = 3},
  [4817] = {.lex_state = 109, .external_lex_state = 3},
  [4818] = {.lex_state = 109, .external_lex_state = 3},
  [4819] = {.lex_state = 109, .external_lex_state = 3},
  [4820] = {.lex_state = 109, .external_lex_state = 3},
  [4821] = {.lex_state = 167, .external_lex_state = 3},
  [4822] = {.lex_state = 109, .external_lex_state = 3},
  [4823] = {.lex_state = 109, .external_lex_state = 3},
  [4824] = {.lex_state = 109, .external_lex_state = 3},
  [4825] = {.lex_state = 110, .external_lex_state = 3},
  [4826] = {.lex_state = 110, .external_lex_state = 3},
  [4827] = {.lex_state = 109, .external_lex_state = 3},
  [4828] = {.lex_state = 109, .external_lex_state = 3},
  [4829] = {.lex_state = 109, .external_lex_state = 3},
  [4830] = {.lex_state = 167, .external_lex_state = 3},
  [4831] = {.lex_state = 109, .external_lex_state = 3},
  [4832] = {.lex_state = 110, .external_lex_state = 3},
  [4833] = {.lex_state = 167, .external_lex_state = 3},
  [4834] = {.lex_state = 167, .external_lex_state = 3},
  [4835] = {.lex_state = 109, .external_lex_state = 3},
  [4836] = {.lex_state = 167, .external_lex_state = 3},
  [4837] = {.lex_state = 110, .external_lex_state = 3},
  [4838] = {.lex_state = 110, .external_lex_state = 3},
  [4839] = {.lex_state = 110, .external_lex_state = 3},
  [4840] = {.lex_state = 110, .external_lex_state = 3},
  [4841] = {.lex_state = 110, .external_lex_state = 3},
  [4842] = {.lex_state = 78, .external_lex_state = 3},
  [4843] = {.lex_state = 167, .external_lex_state = 3},
  [4844] = {.lex_state = 110, .external_lex_state = 3},
  [4845] = {.lex_state = 110, .external_lex_state = 3},
  [4846] = {.lex_state = 110, .external_lex_state = 3},
  [4847] = {.lex_state = 110, .external_lex_state = 3},
  [4848] = {.lex_state = 110, .external_lex_state = 3},
  [4849] = {.lex_state = 110, .external_lex_state = 3},
  [4850] = {.lex_state = 110, .external_lex_state = 3},
  [4851] = {.lex_state = 110, .external_lex_state = 3},
  [4852] = {.lex_state = 110, .external_lex_state = 3},
  [4853] = {.lex_state = 78, .external_lex_state = 3},
  [4854] = {.lex_state = 110, .external_lex_state = 3},
  [4855] = {.lex_state = 110, .external_lex_state = 3},
  [4856] = {.lex_state = 110, .external_lex_state = 3},
  [4857] = {.lex_state = 110, .external_lex_state = 3},
  [4858] = {.lex_state = 110, .external_lex_state = 3},
  [4859] = {.lex_state = 110, .external_lex_state = 3},
  [4860] = {.lex_state = 110, .external_lex_state = 3},
  [4861] = {.lex_state = 78, .external_lex_state = 3},
  [4862] = {.lex_state = 110, .external_lex_state = 3},
  [4863] = {.lex_state = 110, .external_lex_state = 3},
  [4864] = {.lex_state = 110, .external_lex_state = 3},
  [4865] = {.lex_state = 110, .external_lex_state = 3},
  [4866] = {.lex_state = 167, .external_lex_state = 3},
  [4867] = {.lex_state = 110, .external_lex_state = 3},
  [4868] = {.lex_state = 110, .external_lex_state = 3},
  [4869] = {.lex_state = 110, .external_lex_state = 3},
  [4870] = {.lex_state = 167, .external_lex_state = 3},
  [4871] = {.lex_state = 110, .external_lex_state = 3},
  [4872] = {.lex_state = 110, .external_lex_state = 3},
  [4873] = {.lex_state = 110, .external_lex_state = 3},
  [4874] = {.lex_state = 167, .external_lex_state = 3},
  [4875] = {.lex_state = 110, .external_lex_state = 3},
  [4876] = {.lex_state = 110, .external_lex_state = 3},
  [4877] = {.lex_state = 78, .external_lex_state = 3},
  [4878] = {.lex_state = 110, .external_lex_state = 3},
  [4879] = {.lex_state = 110, .external_lex_state = 3},
  [4880] = {.lex_state = 110, .external_lex_state = 3},
  [4881] = {.lex_state = 167, .external_lex_state = 3},
  [4882] = {.lex_state = 78, .external_lex_state = 3},
  [4883] = {.lex_state = 110, .external_lex_state = 3},
  [4884] = {.lex_state = 110, .external_lex_state = 3},
  [4885] = {.lex_state = 110, .external_lex_state = 3},
  [4886] = {.lex_state = 110, .external_lex_state = 3},
  [4887] = {.lex_state = 110, .external_lex_state = 3},
  [4888] = {.lex_state = 110, .external_lex_state = 3},
  [4889] = {.lex_state = 110, .external_lex_state = 3},
  [4890] = {.lex_state = 110, .external_lex_state = 3},
  [4891] = {.lex_state = 110, .external_lex_state = 3},
  [4892] = {.lex_state = 78, .external_lex_state = 3},
  [4893] = {.lex_state = 110, .external_lex_state = 3},
  [4894] = {.lex_state = 110, .external_lex_state = 3},
  [4895] = {.lex_state = 110, .external_lex_state = 3},
  [4896] = {.lex_state = 110, .external_lex_state = 3},
  [4897] = {.lex_state = 110, .external_lex_state = 3},
  [4898] = {.lex_state = 110, .external_lex_state = 3},
  [4899] = {.lex_state = 110, .external_lex_state = 3},
  [4900] = {.lex_state = 110, .external_lex_state = 3},
  [4901] = {.lex_state = 110, .external_lex_state = 3},
  [4902] = {.lex_state = 110, .external_lex_state = 3},
  [4903] = {.lex_state = 110, .external_lex_state = 3},
  [4904] = {.lex_state = 110, .external_lex_state = 3},
  [4905] = {.lex_state = 110, .external_lex_state = 3},
  [4906] = {.lex_state = 78, .external_lex_state = 3},
  [4907] = {.lex_state = 78, .external_lex_state = 3},
  [4908] = {.lex_state = 110, .external_lex_state = 3},
  [4909] = {.lex_state = 110, .external_lex_state = 3},
  [4910] = {.lex_state = 110, .external_lex_state = 3},
  [4911] = {.lex_state = 110, .external_lex_state = 3},
  [4912] = {.lex_state = 110, .external_lex_state = 3},
  [4913] = {.lex_state = 167, .external_lex_state = 3},
  [4914] = {.lex_state = 78, .external_lex_state = 3},
  [4915] = {.lex_state = 110, .external_lex_state = 3},
  [4916] = {.lex_state = 110, .external_lex_state = 3},
  [4917] = {.lex_state = 110, .external_lex_state = 3},
  [4918] = {.lex_state = 110, .external_lex_state = 3},
  [4919] = {.lex_state = 110, .external_lex_state = 3},
  [4920] = {.lex_state = 110, .external_lex_state = 3},
  [4921] = {.lex_state = 110, .external_lex_state = 3},
  [4922] = {.lex_state = 78, .external_lex_state = 3},
  [4923] = {.lex_state = 110, .external_lex_state = 3},
  [4924] = {.lex_state = 110, .external_lex_state = 3},
  [4925] = {.lex_state = 110, .external_lex_state = 3},
  [4926] = {.lex_state = 167, .external_lex_state = 3},
  [4927] = {.lex_state = 78, .external_lex_state = 3},
  [4928] = {.lex_state = 78, .external_lex_state = 3},
  [4929] = {.lex_state = 78, .external_lex_state = 3},
  [4930] = {.lex_state = 78, .external_lex_state = 3},
  [4931] = {.lex_state = 78, .external_lex_state = 3},
  [4932] = {.lex_state = 78, .external_lex_state = 3},
  [4933] = {.lex_state = 80, .external_lex_state = 3},
  [4934] = {.lex_state = 78, .external_lex_state = 3},
  [4935] = {.lex_state = 78, .external_lex_state = 3},
  [4936] = {.lex_state = 78, .external_lex_state = 3},
  [4937] = {.lex_state = 78, .external_lex_state = 3},
  [4938] = {.lex_state = 78, .external_lex_state = 3},
  [4939] = {.lex_state = 78, .external_lex_state = 3},
  [4940] = {.lex_state = 78, .external_lex_state = 3},
  [4941] = {.lex_state = 78, .external_lex_state = 3},
  [4942] = {.lex_state = 78, .external_lex_state = 3},
  [4943] = {.lex_state = 78, .external_lex_state = 3},
  [4944] = {.lex_state = 78, .external_lex_state = 3},
  [4945] = {.lex_state = 78, .external_lex_state = 3},
  [4946] = {.lex_state = 78, .external_lex_state = 3},
  [4947] = {.lex_state = 78, .external_lex_state = 3},
  [4948] = {.lex_state = 78, .external_lex_state = 3},
  [4949] = {.lex_state = 78, .external_lex_state = 3},
  [4950] = {.lex_state = 78, .external_lex_state = 3},
  [4951] = {.lex_state = 78, .external_lex_state = 3},
  [4952] = {.lex_state = 78, .external_lex_state = 3},
  [4953] = {.lex_state = 78, .external_lex_state = 3},
  [4954] = {.lex_state = 78, .external_lex_state = 3},
  [4955] = {.lex_state = 78, .external_lex_state = 3},
  [4956] = {.lex_state = 78, .external_lex_state = 3},
  [4957] = {.lex_state = 78, .external_lex_state = 3},
  [4958] = {.lex_state = 78, .external_lex_state = 3},
  [4959] = {.lex_state = 78, .external_lex_state = 3},
  [4960] = {.lex_state = 78, .external_lex_state = 3},
  [4961] = {.lex_state = 77, .external_lex_state = 3},
  [4962] = {.lex_state = 78, .external_lex_state = 3},
  [4963] = {.lex_state = 78, .external_lex_state = 3},
  [4964] = {.lex_state = 78, .external_lex_state = 3},
  [4965] = {.lex_state = 78, .external_lex_state = 3},
  [4966] = {.lex_state = 78, .external_lex_state = 3},
  [4967] = {.lex_state = 78, .external_lex_state = 3},
  [4968] = {.lex_state = 77, .external_lex_state = 3},
  [4969] = {.lex_state = 77, .external_lex_state = 3},
  [4970] = {.lex_state = 77, .external_lex_state = 3},
  [4971] = {.lex_state = 78, .external_lex_state = 3},
  [4972] = {.lex_state = 78, .external_lex_state = 3},
  [4973] = {.lex_state = 78, .external_lex_state = 3},
  [4974] = {.lex_state = 78, .external_lex_state = 3},
  [4975] = {.lex_state = 78, .external_lex_state = 3},
  [4976] = {.lex_state = 78, .external_lex_state = 3},
  [4977] = {.lex_state = 77, .external_lex_state = 3},
  [4978] = {.lex_state = 77, .external_lex_state = 3},
  [4979] = {.lex_state = 77, .external_lex_state = 3},
  [4980] = {.lex_state = 78, .external_lex_state = 3},
  [4981] = {.lex_state = 78, .external_lex_state = 3},
  [4982] = {.lex_state = 78, .external_lex_state = 3},
  [4983] = {.lex_state = 77, .external_lex_state = 3},
  [4984] = {.lex_state = 77, .external_lex_state = 3},
  [4985] = {.lex_state = 80, .external_lex_state = 3},
  [4986] = {.lex_state = 167, .external_lex_state = 3},
  [4987] = {.lex_state = 78, .external_lex_state = 3},
  [4988] = {.lex_state = 80, .external_lex_state = 3},
  [4989] = {.lex_state = 167, .external_lex_state = 3},
  [4990] = {.lex_state = 167, .external_lex_state = 3},
  [4991] = {.lex_state = 167, .external_lex_state = 3},
  [4992] = {.lex_state = 167, .external_lex_state = 3},
  [4993] = {.lex_state = 167, .external_lex_state = 3},
  [4994] = {.lex_state = 9, .external_lex_state = 3},
  [4995] = {.lex_state = 80, .external_lex_state = 3},
  [4996] = {.lex_state = 80, .external_lex_state = 3},
  [4997] = {.lex_state = 80, .external_lex_state = 3},
  [4998] = {.lex_state = 167, .external_lex_state = 3},
  [4999] = {.lex_state = 167, .external_lex_state = 3},
  [5000] = {.lex_state = 80, .external_lex_state = 3},
  [5001] = {.lex_state = 80, .external_lex_state = 3},
  [5002] = {.lex_state = 80, .external_lex_state = 3},
  [5003] = {.lex_state = 167, .external_lex_state = 3},
  [5004] = {.lex_state = 167, .external_lex_state = 3},
  [5005] = {.lex_state = 78, .external_lex_state = 3},
  [5006] = {.lex_state = 78, .external_lex_state = 3},
  [5007] = {.lex_state = 78, .external_lex_state = 3},
  [5008] = {.lex_state = 167, .external_lex_state = 3},
  [5009] = {.lex_state = 78, .external_lex_state = 3},
  [5010] = {.lex_state = 78, .external_lex_state = 3},
  [5011] = {.lex_state = 78, .external_lex_state = 3},
  [5012] = {.lex_state = 167, .external_lex_state = 3},
  [5013] = {.lex_state = 78, .external_lex_state = 3},
  [5014] = {.lex_state = 78, .external_lex_state = 3},
  [5015] = {.lex_state = 78, .external_lex_state = 3},
  [5016] = {.lex_state = 167, .external_lex_state = 3},
  [5017] = {.lex_state = 78, .external_lex_state = 3},
  [5018] = {.lex_state = 78, .external_lex_state = 3},
  [5019] = {.lex_state = 78, .external_lex_state = 3},
  [5020] = {.lex_state = 109, .external_lex_state = 3},
  [5021] = {.lex_state = 167, .external_lex_state = 3},
  [5022] = {.lex_state = 78, .external_lex_state = 3},
  [5023] = {.lex_state = 78, .external_lex_state = 3},
  [5024] = {.lex_state = 167, .external_lex_state = 3},
  [5025] = {.lex_state = 167, .external_lex_state = 3},
  [5026] = {.lex_state = 78, .external_lex_state = 3},
  [5027] = {.lex_state = 167, .external_lex_state = 3},
  [5028] = {.lex_state = 78, .external_lex_state = 3},
  [5029] = {.lex_state = 78, .external_lex_state = 3},
  [5030] = {.lex_state = 167, .external_lex_state = 3},
  [5031] = {.lex_state = 78, .external_lex_state = 3},
  [5032] = {.lex_state = 167, .external_lex_state = 3},
  [5033] = {.lex_state = 78, .external_lex_state = 3},
  [5034] = {.lex_state = 167, .external_lex_state = 3},
  [5035] = {.lex_state = 167, .external_lex_state = 3},
  [5036] = {.lex_state = 167, .external_lex_state = 3},
  [5037] = {.lex_state = 167, .external_lex_state = 3},
  [5038] = {.lex_state = 167, .external_lex_state = 3},
  [5039] = {.lex_state = 167, .external_lex_state = 3},
  [5040] = {.lex_state = 167, .external_lex_state = 3},
  [5041] = {.lex_state = 167, .external_lex_state = 3},
  [5042] = {.lex_state = 167, .external_lex_state = 3},
  [5043] = {.lex_state = 167, .external_lex_state = 3},
  [5044] = {.lex_state = 167, .external_lex_state = 3},
  [5045] = {.lex_state = 167, .external_lex_state = 3},
  [5046] = {.lex_state = 167, .external_lex_state = 3},
  [5047] = {.lex_state = 167, .external_lex_state = 3},
  [5048] = {.lex_state = 167, .external_lex_state = 3},
  [5049] = {.lex_state = 167, .external_lex_state = 3},
  [5050] = {.lex_state = 167, .external_lex_state = 3},
  [5051] = {.lex_state = 167, .external_lex_state = 3},
  [5052] = {.lex_state = 167, .external_lex_state = 3},
  [5053] = {.lex_state = 167, .external_lex_state = 3},
  [5054] = {.lex_state = 167, .external_lex_state = 3},
  [5055] = {.lex_state = 167, .external_lex_state = 3},
  [5056] = {.lex_state = 167, .external_lex_state = 3},
  [5057] = {.lex_state = 167, .external_lex_state = 3},
  [5058] = {.lex_state = 77, .external_lex_state = 3},
  [5059] = {.lex_state = 10, .external_lex_state = 3},
  [5060] = {.lex_state = 167, .external_lex_state = 3},
  [5061] = {.lex_state = 167, .external_lex_state = 3},
  [5062] = {.lex_state = 77, .external_lex_state = 3},
  [5063] = {.lex_state = 80, .external_lex_state = 3},
  [5064] = {.lex_state = 167, .external_lex_state = 3},
  [5065] = {.lex_state = 167, .external_lex_state = 3},
  [5066] = {.lex_state = 167, .external_lex_state = 3},
  [5067] = {.lex_state = 167, .external_lex_state = 3},
  [5068] = {.lex_state = 167, .external_lex_state = 3},
  [5069] = {.lex_state = 167, .external_lex_state = 3},
  [5070] = {.lex_state = 78, .external_lex_state = 3},
  [5071] = {.lex_state = 78, .external_lex_state = 3},
  [5072] = {.lex_state = 78, .external_lex_state = 3},
  [5073] = {.lex_state = 78, .external_lex_state = 3},
  [5074] = {.lex_state = 80, .external_lex_state = 3},
  [5075] = {.lex_state = 80, .external_lex_state = 3},
  [5076] = {.lex_state = 77, .external_lex_state = 3},
  [5077] = {.lex_state = 80, .external_lex_state = 3},
  [5078] = {.lex_state = 77, .external_lex_state = 3},
  [5079] = {.lex_state = 77, .external_lex_state = 3},
  [5080] = {.lex_state = 77, .external_lex_state = 3},
  [5081] = {.lex_state = 77, .external_lex_state = 3},
  [5082] = {.lex_state = 80, .external_lex_state = 3},
  [5083] = {.lex_state = 80, .external_lex_state = 3},
  [5084] = {.lex_state = 80, .external_lex_state = 3},
  [5085] = {.lex_state = 80, .external_lex_state = 3},
  [5086] = {.lex_state = 80, .external_lex_state = 3},
  [5087] = {.lex_state = 80, .external_lex_state = 3},
  [5088] = {.lex_state = 77, .external_lex_state = 3},
  [5089] = {.lex_state = 183, .external_lex_state = 3},
  [5090] = {.lex_state = 80, .external_lex_state = 3},
  [5091] = {.lex_state = 80, .external_lex_state = 3},
  [5092] = {.lex_state = 77, .external_lex_state = 3},
  [5093] = {.lex_state = 80, .external_lex_state = 3},
  [5094] = {.lex_state = 77, .external_lex_state = 3},
  [5095] = {.lex_state = 80, .external_lex_state = 3},
  [5096] = {.lex_state = 80, .external_lex_state = 3},
  [5097] = {.lex_state = 77, .external_lex_state = 3},
  [5098] = {.lex_state = 80, .external_lex_state = 3},
  [5099] = {.lex_state = 80, .external_lex_state = 3},
  [5100] = {.lex_state = 80, .external_lex_state = 3},
  [5101] = {.lex_state = 80, .external_lex_state = 3},
  [5102] = {.lex_state = 80, .external_lex_state = 3},
  [5103] = {.lex_state = 80, .external_lex_state = 3},
  [5104] = {.lex_state = 80, .external_lex_state = 3},
  [5105] = {.lex_state = 80, .external_lex_state = 3},
  [5106] = {.lex_state = 80, .external_lex_state = 3},
  [5107] = {.lex_state = 80, .external_lex_state = 3},
  [5108] = {.lex_state = 80, .external_lex_state = 3},
  [5109] = {.lex_state = 80, .external_lex_state = 3},
  [5110] = {.lex_state = 80, .external_lex_state = 3},
  [5111] = {.lex_state = 80, .external_lex_state = 3},
  [5112] = {.lex_state = 80, .external_lex_state = 3},
  [5113] = {.lex_state = 77, .external_lex_state = 3},
  [5114] = {.lex_state = 80, .external_lex_state = 3},
  [5115] = {.lex_state = 9, .external_lex_state = 3},
  [5116] = {.lex_state = 183, .external_lex_state = 3},
  [5117] = {.lex_state = 80, .external_lex_state = 3},
  [5118] = {.lex_state = 80, .external_lex_state = 3},
  [5119] = {.lex_state = 80, .external_lex_state = 3},
  [5120] = {.lex_state = 80, .external_lex_state = 3},
  [5121] = {.lex_state = 80, .external_lex_state = 3},
  [5122] = {.lex_state = 80, .external_lex_state = 3},
  [5123] = {.lex_state = 80, .external_lex_state = 3},
  [5124] = {.lex_state = 80, .external_lex_state = 3},
  [5125] = {.lex_state = 80, .external_lex_state = 3},
  [5126] = {.lex_state = 77, .external_lex_state = 3},
  [5127] = {.lex_state = 80, .external_lex_state = 3},
  [5128] = {.lex_state = 80, .external_lex_state = 3},
  [5129] = {.lex_state = 80, .external_lex_state = 3},
  [5130] = {.lex_state = 77, .external_lex_state = 3},
  [5131] = {.lex_state = 80, .external_lex_state = 3},
  [5132] = {.lex_state = 80, .external_lex_state = 3},
  [5133] = {.lex_state = 77, .external_lex_state = 3},
  [5134] = {.lex_state = 77, .external_lex_state = 3},
  [5135] = {.lex_state = 80, .external_lex_state = 3},
  [5136] = {.lex_state = 80, .external_lex_state = 3},
  [5137] = {.lex_state = 77, .external_lex_state = 3},
  [5138] = {.lex_state = 77, .external_lex_state = 3},
  [5139] = {.lex_state = 77, .external_lex_state = 3},
  [5140] = {.lex_state = 77, .external_lex_state = 3},
  [5141] = {.lex_state = 77, .external_lex_state = 3},
  [5142] = {.lex_state = 80, .external_lex_state = 3},
  [5143] = {.lex_state = 77, .external_lex_state = 3},
  [5144] = {.lex_state = 80, .external_lex_state = 3},
  [5145] = {.lex_state = 77, .external_lex_state = 3},
  [5146] = {.lex_state = 77, .external_lex_state = 3},
  [5147] = {.lex_state = 80, .external_lex_state = 3},
  [5148] = {.lex_state = 80, .external_lex_state = 3},
  [5149] = {.lex_state = 80, .external_lex_state = 3},
  [5150] = {.lex_state = 77, .external_lex_state = 3},
  [5151] = {.lex_state = 80, .external_lex_state = 3},
  [5152] = {.lex_state = 77, .external_lex_state = 3},
  [5153] = {.lex_state = 77, .external_lex_state = 3},
  [5154] = {.lex_state = 80, .external_lex_state = 3},
  [5155] = {.lex_state = 77, .external_lex_state = 3},
  [5156] = {.lex_state = 80, .external_lex_state = 3},
  [5157] = {.lex_state = 77, .external_lex_state = 3},
  [5158] = {.lex_state = 77, .external_lex_state = 3},
  [5159] = {.lex_state = 77, .external_lex_state = 3},
  [5160] = {.lex_state = 77, .external_lex_state = 3},
  [5161] = {.lex_state = 77, .external_lex_state = 3},
  [5162] = {.lex_state = 80, .external_lex_state = 3},
  [5163] = {.lex_state = 77, .external_lex_state = 3},
  [5164] = {.lex_state = 77, .external_lex_state = 3},
  [5165] = {.lex_state = 80, .external_lex_state = 3},
  [5166] = {.lex_state = 77, .external_lex_state = 3},
  [5167] = {.lex_state = 80, .external_lex_state = 3},
  [5168] = {.lex_state = 10, .external_lex_state = 3},
  [5169] = {.lex_state = 77, .external_lex_state = 3},
  [5170] = {.lex_state = 77, .external_lex_state = 3},
  [5171] = {.lex_state = 77, .external_lex_state = 3},
  [5172] = {.lex_state = 77, .external_lex_state = 3},
  [5173] = {.lex_state = 77, .external_lex_state = 3},
  [5174] = {.lex_state = 77, .external_lex_state = 3},
  [5175] = {.lex_state = 80, .external_lex_state = 3},
  [5176] = {.lex_state = 77, .external_lex_state = 3},
  [5177] = {.lex_state = 79, .external_lex_state = 3},
  [5178] = {.lex_state = 77, .external_lex_state = 3},
  [5179] = {.lex_state = 77, .external_lex_state = 3},
  [5180] = {.lex_state = 80, .external_lex_state = 3},
  [5181] = {.lex_state = 77, .external_lex_state = 3},
  [5182] = {.lex_state = 77, .external_lex_state = 3},
  [5183] = {.lex_state = 109, .external_lex_state = 3},
  [5184] = {.lex_state = 77, .external_lex_state = 3},
  [5185] = {.lex_state = 77, .external_lex_state = 3},
  [5186] = {.lex_state = 80, .external_lex_state = 3},
  [5187] = {.lex_state = 79, .external_lex_state = 3},
  [5188] = {.lex_state = 80, .external_lex_state = 3},
  [5189] = {.lex_state = 77, .external_lex_state = 3},
  [5190] = {.lex_state = 77, .external_lex_state = 3},
  [5191] = {.lex_state = 77, .external_lex_state = 3},
  [5192] = {.lex_state = 80, .external_lex_state = 3},
  [5193] = {.lex_state = 77, .external_lex_state = 3},
  [5194] = {.lex_state = 109, .external_lex_state = 3},
  [5195] = {.lex_state = 77, .external_lex_state = 3},
  [5196] = {.lex_state = 77, .external_lex_state = 3},
  [5197] = {.lex_state = 110, .external_lex_state = 3},
  [5198] = {.lex_state = 80, .external_lex_state = 3},
  [5199] = {.lex_state = 80, .external_lex_state = 3},
  [5200] = {.lex_state = 80, .external_lex_state = 3},
  [5201] = {.lex_state = 80, .external_lex_state = 3},
  [5202] = {.lex_state = 77, .external_lex_state = 3},
  [5203] = {.lex_state = 77, .external_lex_state = 3},
  [5204] = {.lex_state = 77, .external_lex_state = 3},
  [5205] = {.lex_state = 80, .external_lex_state = 3},
  [5206] = {.lex_state = 77, .external_lex_state = 3},
  [5207] = {.lex_state = 77, .external_lex_state = 3},
  [5208] = {.lex_state = 77, .external_lex_state = 3},
  [5209] = {.lex_state = 77, .external_lex_state = 3},
  [5210] = {.lex_state = 77, .external_lex_state = 3},
  [5211] = {.lex_state = 80, .external_lex_state = 3},
  [5212] = {.lex_state = 77, .external_lex_state = 3},
  [5213] = {.lex_state = 185, .external_lex_state = 3},
  [5214] = {.lex_state = 79, .external_lex_state = 3},
  [5215] = {.lex_state = 79, .external_lex_state = 3},
  [5216] = {.lex_state = 77, .external_lex_state = 3},
  [5217] = {.lex_state = 77, .external_lex_state = 3},
  [5218] = {.lex_state = 80, .external_lex_state = 3},
  [5219] = {.lex_state = 78, .external_lex_state = 3},
  [5220] = {.lex_state = 185, .external_lex_state = 3},
  [5221] = {.lex_state = 77, .external_lex_state = 3},
  [5222] = {.lex_state = 80, .external_lex_state = 3},
  [5223] = {.lex_state = 79, .external_lex_state = 3},
  [5224] = {.lex_state = 77, .external_lex_state = 3},
  [5225] = {.lex_state = 80, .external_lex_state = 3},
  [5226] = {.lex_state = 80, .external_lex_state = 3},
  [5227] = {.lex_state = 77, .external_lex_state = 3},
  [5228] = {.lex_state = 79, .external_lex_state = 3},
  [5229] = {.lex_state = 79, .external_lex_state = 3},
  [5230] = {.lex_state = 79, .external_lex_state = 3},
  [5231] = {.lex_state = 79, .external_lex_state = 3},
  [5232] = {.lex_state = 79, .external_lex_state = 3},
  [5233] = {.lex_state = 79, .external_lex_state = 3},
  [5234] = {.lex_state = 77, .external_lex_state = 3},
  [5235] = {.lex_state = 77, .external_lex_state = 3},
  [5236] = {.lex_state = 77, .external_lex_state = 3},
  [5237] = {.lex_state = 77, .external_lex_state = 3},
  [5238] = {.lex_state = 77, .external_lex_state = 3},
  [5239] = {.lex_state = 178, .external_lex_state = 3},
  [5240] = {.lex_state = 178, .external_lex_state = 3},
  [5241] = {.lex_state = 79, .external_lex_state = 3},
  [5242] = {.lex_state = 79, .external_lex_state = 3},
  [5243] = {.lex_state = 79, .external_lex_state = 3},
  [5244] = {.lex_state = 158, .external_lex_state = 2},
  [5245] = {.lex_state = 79, .external_lex_state = 3},
  [5246] = {.lex_state = 79, .external_lex_state = 3},
  [5247] = {.lex_state = 79, .external_lex_state = 3},
  [5248] = {.lex_state = 79, .external_lex_state = 3},
  [5249] = {.lex_state = 79, .external_lex_state = 3},
  [5250] = {.lex_state = 79, .external_lex_state = 3},
  [5251] = {.lex_state = 79, .external_lex_state = 3},
  [5252] = {.lex_state = 110, .external_lex_state = 3},
  [5253] = {.lex_state = 79, .external_lex_state = 3},
  [5254] = {.lex_state = 185, .external_lex_state = 3},
  [5255] = {.lex_state = 79, .external_lex_state = 3},
  [5256] = {.lex_state = 158, .external_lex_state = 2},
  [5257] = {.lex_state = 186, .external_lex_state = 3},
  [5258] = {.lex_state = 178, .external_lex_state = 3},
  [5259] = {.lex_state = 79, .external_lex_state = 3},
  [5260] = {.lex_state = 79, .external_lex_state = 3},
  [5261] = {.lex_state = 79, .external_lex_state = 3},
  [5262] = {.lex_state = 178, .external_lex_state = 3},
  [5263] = {.lex_state = 79, .external_lex_state = 3},
  [5264] = {.lex_state = 79, .external_lex_state = 3},
  [5265] = {.lex_state = 79, .external_lex_state = 3},
  [5266] = {.lex_state = 180, .external_lex_state = 3},
  [5267] = {.lex_state = 186, .external_lex_state = 3},
  [5268] = {.lex_state = 180, .external_lex_state = 3},
  [5269] = {.lex_state = 79, .external_lex_state = 3},
  [5270] = {.lex_state = 79, .external_lex_state = 3},
  [5271] = {.lex_state = 150, .external_lex_state = 3},
  [5272] = {.lex_state = 183, .external_lex_state = 3},
  [5273] = {.lex_state = 183, .external_lex_state = 3},
  [5274] = {.lex_state = 79, .external_lex_state = 3},
  [5275] = {.lex_state = 79, .external_lex_state = 3},
  [5276] = {.lex_state = 79, .external_lex_state = 3},
  [5277] = {.lex_state = 180, .external_lex_state = 3},
  [5278] = {.lex_state = 79, .external_lex_state = 3},
  [5279] = {.lex_state = 183, .external_lex_state = 3},
  [5280] = {.lex_state = 178, .external_lex_state = 3},
  [5281] = {.lex_state = 79, .external_lex_state = 3},
  [5282] = {.lex_state = 180, .external_lex_state = 3},
  [5283] = {.lex_state = 185, .external_lex_state = 3},
  [5284] = {.lex_state = 180, .external_lex_state = 3},
  [5285] = {.lex_state = 79, .external_lex_state = 3},
  [5286] = {.lex_state = 79, .external_lex_state = 3},
  [5287] = {.lex_state = 79, .external_lex_state = 3},
  [5288] = {.lex_state = 79, .external_lex_state = 3},
  [5289] = {.lex_state = 180, .external_lex_state = 3},
  [5290] = {.lex_state = 180, .external_lex_state = 3},
  [5291] = {.lex_state = 79, .external_lex_state = 3},
  [5292] = {.lex_state = 79, .external_lex_state = 3},
  [5293] = {.lex_state = 185, .external_lex_state = 3},
  [5294] = {.lex_state = 79, .external_lex_state = 3},
  [5295] = {.lex_state = 180, .external_lex_state = 3},
  [5296] = {.lex_state = 180, .external_lex_state = 3},
  [5297] = {.lex_state = 180, .external_lex_state = 3},
  [5298] = {.lex_state = 79, .external_lex_state = 3},
  [5299] = {.lex_state = 79, .external_lex_state = 3},
  [5300] = {.lex_state = 79, .external_lex_state = 3},
  [5301] = {.lex_state = 185, .external_lex_state = 3},
  [5302] = {.lex_state = 79, .external_lex_state = 3},
  [5303] = {.lex_state = 183, .external_lex_state = 3},
  [5304] = {.lex_state = 79, .external_lex_state = 3},
  [5305] = {.lex_state = 79, .external_lex_state = 3},
  [5306] = {.lex_state = 184, .external_lex_state = 3},
  [5307] = {.lex_state = 184, .external_lex_state = 3},
  [5308] = {.lex_state = 79, .external_lex_state = 3},
  [5309] = {.lex_state = 79, .external_lex_state = 3},
  [5310] = {.lex_state = 79, .external_lex_state = 3},
  [5311] = {.lex_state = 79, .external_lex_state = 3},
  [5312] = {.lex_state = 110, .external_lex_state = 3},
  [5313] = {.lex_state = 79, .external_lex_state = 3},
  [5314] = {.lex_state = 79, .external_lex_state = 3},
  [5315] = {.lex_state = 79, .external_lex_state = 3},
  [5316] = {.lex_state = 79, .external_lex_state = 3},
  [5317] = {.lex_state = 79, .external_lex_state = 3},
  [5318] = {.lex_state = 79, .external_lex_state = 3},
  [5319] = {.lex_state = 79, .external_lex_state = 3},
  [5320] = {.lex_state = 79, .external_lex_state = 3},
  [5321] = {.lex_state = 79, .external_lex_state = 3},
  [5322] = {.lex_state = 79, .external_lex_state = 3},
  [5323] = {.lex_state = 79, .external_lex_state = 3},
  [5324] = {.lex_state = 79, .external_lex_state = 3},
  [5325] = {.lex_state = 79, .external_lex_state = 3},
  [5326] = {.lex_state = 79, .external_lex_state = 3},
  [5327] = {.lex_state = 79, .external_lex_state = 3},
  [5328] = {.lex_state = 79, .external_lex_state = 3},
  [5329] = {.lex_state = 79, .external_lex_state = 3},
  [5330] = {.lex_state = 79, .external_lex_state = 3},
  [5331] = {.lex_state = 79, .external_lex_state = 3},
  [5332] = {.lex_state = 79, .external_lex_state = 3},
  [5333] = {.lex_state = 79, .external_lex_state = 3},
  [5334] = {.lex_state = 79, .external_lex_state = 3},
  [5335] = {.lex_state = 79, .external_lex_state = 3},
  [5336] = {.lex_state = 79, .external_lex_state = 3},
  [5337] = {.lex_state = 178, .external_lex_state = 3},
  [5338] = {.lex_state = 158, .external_lex_state = 2},
  [5339] = {.lex_state = 79, .external_lex_state = 3},
  [5340] = {.lex_state = 79, .external_lex_state = 3},
  [5341] = {.lex_state = 79, .external_lex_state = 3},
  [5342] = {.lex_state = 178, .external_lex_state = 3},
  [5343] = {.lex_state = 79, .external_lex_state = 3},
  [5344] = {.lex_state = 180, .external_lex_state = 3},
  [5345] = {.lex_state = 178, .external_lex_state = 3},
  [5346] = {.lex_state = 178, .external_lex_state = 3},
  [5347] = {.lex_state = 79, .external_lex_state = 3},
  [5348] = {.lex_state = 80, .external_lex_state = 3},
  [5349] = {.lex_state = 178, .external_lex_state = 3},
  [5350] = {.lex_state = 178, .external_lex_state = 3},
  [5351] = {.lex_state = 79, .external_lex_state = 3},
  [5352] = {.lex_state = 183, .external_lex_state = 3},
  [5353] = {.lex_state = 123, .external_lex_state = 3},
  [5354] = {.lex_state = 183, .external_lex_state = 3},
  [5355] = {.lex_state = 183, .external_lex_state = 3},
  [5356] = {.lex_state = 179, .external_lex_state = 3},
  [5357] = {.lex_state = 185, .external_lex_state = 3},
  [5358] = {.lex_state = 179, .external_lex_state = 3},
  [5359] = {.lex_state = 184, .external_lex_state = 3},
  [5360] = {.lex_state = 78, .external_lex_state = 3},
  [5361] = {.lex_state = 152, .external_lex_state = 3},
  [5362] = {.lex_state = 185, .external_lex_state = 3},
  [5363] = {.lex_state = 183, .external_lex_state = 3},
  [5364] = {.lex_state = 184, .external_lex_state = 3},
  [5365] = {.lex_state = 183, .external_lex_state = 3},
  [5366] = {.lex_state = 183, .external_lex_state = 3},
  [5367] = {.lex_state = 179, .external_lex_state = 3},
  [5368] = {.lex_state = 183, .external_lex_state = 3},
  [5369] = {.lex_state = 183, .external_lex_state = 3},
  [5370] = {.lex_state = 185, .external_lex_state = 3},
  [5371] = {.lex_state = 179, .external_lex_state = 3},
  [5372] = {.lex_state = 179, .external_lex_state = 3},
  [5373] = {.lex_state = 185, .external_lex_state = 3},
  [5374] = {.lex_state = 185, .external_lex_state = 3},
  [5375] = {.lex_state = 185, .external_lex_state = 3},
  [5376] = {.lex_state = 185, .external_lex_state = 3},
  [5377] = {.lex_state = 185, .external_lex_state = 3},
  [5378] = {.lex_state = 185, .external_lex_state = 3},
  [5379] = {.lex_state = 183, .external_lex_state = 3},
  [5380] = {.lex_state = 183, .external_lex_state = 3},
  [5381] = {.lex_state = 185, .external_lex_state = 3},
  [5382] = {.lex_state = 185, .external_lex_state = 3},
  [5383] = {.lex_state = 185, .external_lex_state = 3},
  [5384] = {.lex_state = 185, .external_lex_state = 3},
  [5385] = {.lex_state = 183, .external_lex_state = 3},
  [5386] = {.lex_state = 183, .external_lex_state = 3},
  [5387] = {.lex_state = 185, .external_lex_state = 3},
  [5388] = {.lex_state = 185, .external_lex_state = 3},
  [5389] = {.lex_state = 185, .external_lex_state = 3},
  [5390] = {.lex_state = 185, .external_lex_state = 3},
  [5391] = {.lex_state = 185, .external_lex_state = 3},
  [5392] = {.lex_state = 185, .external_lex_state = 3},
  [5393] = {.lex_state = 185, .external_lex_state = 3},
  [5394] = {.lex_state = 183, .external_lex_state = 3},
  [5395] = {.lex_state = 185, .external_lex_state = 3},
  [5396] = {.lex_state = 185, .external_lex_state = 3},
  [5397] = {.lex_state = 181, .external_lex_state = 3},
  [5398] = {.lex_state = 183, .external_lex_state = 3},
  [5399] = {.lex_state = 183, .external_lex_state = 3},
  [5400] = {.lex_state = 185, .external_lex_state = 3},
  [5401] = {.lex_state = 185, .external_lex_state = 3},
  [5402] = {.lex_state = 183, .external_lex_state = 3},
  [5403] = {.lex_state = 183, .external_lex_state = 3},
  [5404] = {.lex_state = 181, .external_lex_state = 3},
  [5405] = {.lex_state = 181, .external_lex_state = 3},
  [5406] = {.lex_state = 183, .external_lex_state = 3},
  [5407] = {.lex_state = 185, .external_lex_state = 3},
  [5408] = {.lex_state = 181, .external_lex_state = 3},
  [5409] = {.lex_state = 186, .external_lex_state = 3},
  [5410] = {.lex_state = 181, .external_lex_state = 3},
  [5411] = {.lex_state = 181, .external_lex_state = 3},
  [5412] = {.lex_state = 183, .external_lex_state = 3},
  [5413] = {.lex_state = 183, .external_lex_state = 3},
  [5414] = {.lex_state = 183, .external_lex_state = 3},
  [5415] = {.lex_state = 183, .external_lex_state = 3},
  [5416] = {.lex_state = 186, .external_lex_state = 3},
  [5417] = {.lex_state = 183, .external_lex_state = 3},
  [5418] = {.lex_state = 181, .external_lex_state = 3},
  [5419] = {.lex_state = 181, .external_lex_state = 3},
  [5420] = {.lex_state = 184, .external_lex_state = 3},
  [5421] = {.lex_state = 186, .external_lex_state = 3},
  [5422] = {.lex_state = 183, .external_lex_state = 3},
  [5423] = {.lex_state = 183, .external_lex_state = 3},
  [5424] = {.lex_state = 185, .external_lex_state = 3},
  [5425] = {.lex_state = 183, .external_lex_state = 3},
  [5426] = {.lex_state = 183, .external_lex_state = 3},
  [5427] = {.lex_state = 183, .external_lex_state = 3},
  [5428] = {.lex_state = 123, .external_lex_state = 3},
  [5429] = {.lex_state = 183, .external_lex_state = 3},
  [5430] = {.lex_state = 179, .external_lex_state = 3},
  [5431] = {.lex_state = 185, .external_lex_state = 3},
  [5432] = {.lex_state = 123, .external_lex_state = 3},
  [5433] = {.lex_state = 181, .external_lex_state = 3},
  [5434] = {.lex_state = 186, .external_lex_state = 3},
  [5435] = {.lex_state = 183, .external_lex_state = 3},
  [5436] = {.lex_state = 181, .external_lex_state = 3},
  [5437] = {.lex_state = 181, .external_lex_state = 3},
  [5438] = {.lex_state = 183, .external_lex_state = 3},
  [5439] = {.lex_state = 183, .external_lex_state = 3},
  [5440] = {.lex_state = 183, .external_lex_state = 3},
  [5441] = {.lex_state = 185, .external_lex_state = 3},
  [5442] = {.lex_state = 185, .external_lex_state = 3},
  [5443] = {.lex_state = 185, .external_lex_state = 3},
  [5444] = {.lex_state = 185, .external_lex_state = 3},
  [5445] = {.lex_state = 185, .external_lex_state = 3},
  [5446] = {.lex_state = 185, .external_lex_state = 3},
  [5447] = {.lex_state = 183, .external_lex_state = 3},
  [5448] = {.lex_state = 183, .external_lex_state = 3},
  [5449] = {.lex_state = 183, .external_lex_state = 3},
  [5450] = {.lex_state = 185, .external_lex_state = 3},
  [5451] = {.lex_state = 185, .external_lex_state = 3},
  [5452] = {.lex_state = 185, .external_lex_state = 3},
  [5453] = {.lex_state = 183, .external_lex_state = 3},
  [5454] = {.lex_state = 185, .external_lex_state = 3},
  [5455] = {.lex_state = 185, .external_lex_state = 3},
  [5456] = {.lex_state = 123, .external_lex_state = 3},
  [5457] = {.lex_state = 78, .external_lex_state = 3},
  [5458] = {.lex_state = 149, .external_lex_state = 3},
  [5459] = {.lex_state = 185, .external_lex_state = 3},
  [5460] = {.lex_state = 183, .external_lex_state = 3},
  [5461] = {.lex_state = 179, .external_lex_state = 3},
  [5462] = {.lex_state = 185, .external_lex_state = 3},
  [5463] = {.lex_state = 179, .external_lex_state = 3},
  [5464] = {.lex_state = 183, .external_lex_state = 3},
  [5465] = {.lex_state = 183, .external_lex_state = 3},
  [5466] = {.lex_state = 184, .external_lex_state = 3},
  [5467] = {.lex_state = 179, .external_lex_state = 3},
  [5468] = {.lex_state = 179, .external_lex_state = 3},
  [5469] = {.lex_state = 185, .external_lex_state = 3},
  [5470] = {.lex_state = 179, .external_lex_state = 3},
  [5471] = {.lex_state = 183, .external_lex_state = 3},
  [5472] = {.lex_state = 185, .external_lex_state = 3},
  [5473] = {.lex_state = 183, .external_lex_state = 3},
  [5474] = {.lex_state = 185, .external_lex_state = 3},
  [5475] = {.lex_state = 185, .external_lex_state = 3},
  [5476] = {.lex_state = 183, .external_lex_state = 3},
  [5477] = {.lex_state = 185, .external_lex_state = 3},
  [5478] = {.lex_state = 183, .external_lex_state = 3},
  [5479] = {.lex_state = 183, .external_lex_state = 3},
  [5480] = {.lex_state = 183, .external_lex_state = 3},
  [5481] = {.lex_state = 123, .external_lex_state = 3},
  [5482] = {.lex_state = 185, .external_lex_state = 3},
  [5483] = {.lex_state = 183, .external_lex_state = 3},
  [5484] = {.lex_state = 183, .external_lex_state = 3},
  [5485] = {.lex_state = 185, .external_lex_state = 3},
  [5486] = {.lex_state = 183, .external_lex_state = 3},
  [5487] = {.lex_state = 123, .external_lex_state = 3},
  [5488] = {.lex_state = 185, .external_lex_state = 3},
  [5489] = {.lex_state = 123, .external_lex_state = 3},
  [5490] = {.lex_state = 123, .external_lex_state = 3},
  [5491] = {.lex_state = 123, .external_lex_state = 3},
  [5492] = {.lex_state = 123, .external_lex_state = 3},
  [5493] = {.lex_state = 123, .external_lex_state = 3},
  [5494] = {.lex_state = 185, .external_lex_state = 3},
  [5495] = {.lex_state = 123, .external_lex_state = 3},
  [5496] = {.lex_state = 184, .external_lex_state = 3},
  [5497] = {.lex_state = 123, .external_lex_state = 3},
  [5498] = {.lex_state = 123, .external_lex_state = 3},
  [5499] = {.lex_state = 184, .external_lex_state = 3},
  [5500] = {.lex_state = 184, .external_lex_state = 3},
  [5501] = {.lex_state = 184, .external_lex_state = 3},
  [5502] = {.lex_state = 184, .external_lex_state = 3},
  [5503] = {.lex_state = 184, .external_lex_state = 3},
  [5504] = {.lex_state = 184, .external_lex_state = 3},
  [5505] = {.lex_state = 151, .external_lex_state = 3},
  [5506] = {.lex_state = 184, .external_lex_state = 3},
  [5507] = {.lex_state = 123, .external_lex_state = 3},
  [5508] = {.lex_state = 186, .external_lex_state = 3},
  [5509] = {.lex_state = 124, .external_lex_state = 3},
  [5510] = {.lex_state = 186, .external_lex_state = 3},
  [5511] = {.lex_state = 184, .external_lex_state = 3},
  [5512] = {.lex_state = 186, .external_lex_state = 3},
  [5513] = {.lex_state = 186, .external_lex_state = 3},
  [5514] = {.lex_state = 186, .external_lex_state = 3},
  [5515] = {.lex_state = 123, .external_lex_state = 3},
  [5516] = {.lex_state = 123, .external_lex_state = 3},
  [5517] = {.lex_state = 124, .external_lex_state = 3},
  [5518] = {.lex_state = 123, .external_lex_state = 3},
  [5519] = {.lex_state = 186, .external_lex_state = 3},
  [5520] = {.lex_state = 123, .external_lex_state = 3},
  [5521] = {.lex_state = 123, .external_lex_state = 3},
  [5522] = {.lex_state = 186, .external_lex_state = 3},
  [5523] = {.lex_state = 186, .external_lex_state = 3},
  [5524] = {.lex_state = 186, .external_lex_state = 3},
  [5525] = {.lex_state = 184, .external_lex_state = 3},
  [5526] = {.lex_state = 123, .external_lex_state = 3},
  [5527] = {.lex_state = 186, .external_lex_state = 3},
  [5528] = {.lex_state = 186, .external_lex_state = 3},
  [5529] = {.lex_state = 186, .external_lex_state = 3},
  [5530] = {.lex_state = 80, .external_lex_state = 3},
  [5531] = {.lex_state = 184, .external_lex_state = 3},
  [5532] = {.lex_state = 184, .external_lex_state = 3},
  [5533] = {.lex_state = 186, .external_lex_state = 3},
  [5534] = {.lex_state = 123, .external_lex_state = 3},
  [5535] = {.lex_state = 186, .external_lex_state = 3},
  [5536] = {.lex_state = 186, .external_lex_state = 3},
  [5537] = {.lex_state = 186, .external_lex_state = 3},
  [5538] = {.lex_state = 184, .external_lex_state = 3},
  [5539] = {.lex_state = 184, .external_lex_state = 3},
  [5540] = {.lex_state = 184, .external_lex_state = 3},
  [5541] = {.lex_state = 186, .external_lex_state = 3},
  [5542] = {.lex_state = 123, .external_lex_state = 3},
  [5543] = {.lex_state = 186, .external_lex_state = 3},
  [5544] = {.lex_state = 184, .external_lex_state = 3},
  [5545] = {.lex_state = 123, .external_lex_state = 3},
  [5546] = {.lex_state = 184, .external_lex_state = 3},
  [5547] = {.lex_state = 186, .external_lex_state = 3},
  [5548] = {.lex_state = 123, .external_lex_state = 3},
  [5549] = {.lex_state = 77, .external_lex_state = 3},
  [5550] = {.lex_state = 123, .external_lex_state = 3},
  [5551] = {.lex_state = 186, .external_lex_state = 3},
  [5552] = {.lex_state = 184, .external_lex_state = 3},
  [5553] = {.lex_state = 186, .external_lex_state = 3},
  [5554] = {.lex_state = 124, .external_lex_state = 3},
  [5555] = {.lex_state = 123, .external_lex_state = 3},
  [5556] = {.lex_state = 184, .external_lex_state = 3},
  [5557] = {.lex_state = 186, .external_lex_state = 3},
  [5558] = {.lex_state = 123, .external_lex_state = 3},
  [5559] = {.lex_state = 186, .external_lex_state = 3},
  [5560] = {.lex_state = 186, .external_lex_state = 3},
  [5561] = {.lex_state = 123, .external_lex_state = 3},
  [5562] = {.lex_state = 123, .external_lex_state = 3},
  [5563] = {.lex_state = 186, .external_lex_state = 3},
  [5564] = {.lex_state = 184, .external_lex_state = 3},
  [5565] = {.lex_state = 186, .external_lex_state = 3},
  [5566] = {.lex_state = 123, .external_lex_state = 3},
  [5567] = {.lex_state = 186, .external_lex_state = 3},
  [5568] = {.lex_state = 123, .external_lex_state = 3},
  [5569] = {.lex_state = 123, .external_lex_state = 3},
  [5570] = {.lex_state = 184, .external_lex_state = 3},
  [5571] = {.lex_state = 186, .external_lex_state = 3},
  [5572] = {.lex_state = 186, .external_lex_state = 3},
  [5573] = {.lex_state = 184, .external_lex_state = 3},
  [5574] = {.lex_state = 186, .external_lex_state = 3},
  [5575] = {.lex_state = 123, .external_lex_state = 3},
  [5576] = {.lex_state = 186, .external_lex_state = 3},
  [5577] = {.lex_state = 123, .external_lex_state = 3},
  [5578] = {.lex_state = 123, .external_lex_state = 3},
  [5579] = {.lex_state = 124, .external_lex_state = 3},
  [5580] = {.lex_state = 123, .external_lex_state = 3},
  [5581] = {.lex_state = 186, .external_lex_state = 3},
  [5582] = {.lex_state = 186, .external_lex_state = 3},
  [5583] = {.lex_state = 186, .external_lex_state = 3},
  [5584] = {.lex_state = 124, .external_lex_state = 3},
  [5585] = {.lex_state = 186, .external_lex_state = 3},
  [5586] = {.lex_state = 184, .external_lex_state = 3},
  [5587] = {.lex_state = 184, .external_lex_state = 3},
  [5588] = {.lex_state = 186, .external_lex_state = 3},
  [5589] = {.lex_state = 184, .external_lex_state = 3},
  [5590] = {.lex_state = 123, .external_lex_state = 3},
  [5591] = {.lex_state = 123, .external_lex_state = 3},
  [5592] = {.lex_state = 184, .external_lex_state = 3},
  [5593] = {.lex_state = 184, .external_lex_state = 3},
  [5594] = {.lex_state = 184, .external_lex_state = 3},
  [5595] = {.lex_state = 184, .external_lex_state = 3},
  [5596] = {.lex_state = 184, .external_lex_state = 3},
  [5597] = {.lex_state = 184, .external_lex_state = 3},
  [5598] = {.lex_state = 123, .external_lex_state = 3},
  [5599] = {.lex_state = 186, .external_lex_state = 3},
  [5600] = {.lex_state = 184, .external_lex_state = 3},
  [5601] = {.lex_state = 186, .external_lex_state = 3},
  [5602] = {.lex_state = 184, .external_lex_state = 3},
  [5603] = {.lex_state = 184, .external_lex_state = 3},
  [5604] = {.lex_state = 80, .external_lex_state = 3},
  [5605] = {.lex_state = 123, .external_lex_state = 3},
  [5606] = {.lex_state = 186, .external_lex_state = 3},
  [5607] = {.lex_state = 186, .external_lex_state = 3},
  [5608] = {.lex_state = 123, .external_lex_state = 3},
  [5609] = {.lex_state = 184, .external_lex_state = 3},
  [5610] = {.lex_state = 184, .external_lex_state = 3},
  [5611] = {.lex_state = 186, .external_lex_state = 3},
  [5612] = {.lex_state = 77, .external_lex_state = 3},
  [5613] = {.lex_state = 184, .external_lex_state = 3},
  [5614] = {.lex_state = 184, .external_lex_state = 3},
  [5615] = {.lex_state = 184, .external_lex_state = 3},
  [5616] = {.lex_state = 123, .external_lex_state = 3},
  [5617] = {.lex_state = 123, .external_lex_state = 3},
  [5618] = {.lex_state = 123, .external_lex_state = 3},
  [5619] = {.lex_state = 123, .external_lex_state = 3},
  [5620] = {.lex_state = 123, .external_lex_state = 3},
  [5621] = {.lex_state = 123, .external_lex_state = 3},
  [5622] = {.lex_state = 184, .external_lex_state = 3},
  [5623] = {.lex_state = 184, .external_lex_state = 3},
  [5624] = {.lex_state = 123, .external_lex_state = 3},
  [5625] = {.lex_state = 124, .external_lex_state = 3},
  [5626] = {.lex_state = 184, .external_lex_state = 3},
  [5627] = {.lex_state = 123, .external_lex_state = 3},
  [5628] = {.lex_state = 186, .external_lex_state = 3},
  [5629] = {.lex_state = 123, .external_lex_state = 3},
  [5630] = {.lex_state = 186, .external_lex_state = 3},
  [5631] = {.lex_state = 123, .external_lex_state = 3},
  [5632] = {.lex_state = 123, .external_lex_state = 3},
  [5633] = {.lex_state = 186, .external_lex_state = 3},
  [5634] = {.lex_state = 123, .external_lex_state = 3},
  [5635] = {.lex_state = 123, .external_lex_state = 3},
  [5636] = {.lex_state = 186, .external_lex_state = 3},
  [5637] = {.lex_state = 186, .external_lex_state = 3},
  [5638] = {.lex_state = 123, .external_lex_state = 3},
  [5639] = {.lex_state = 184, .external_lex_state = 3},
  [5640] = {.lex_state = 123, .external_lex_state = 3},
  [5641] = {.lex_state = 123, .external_lex_state = 3},
  [5642] = {.lex_state = 123, .external_lex_state = 3},
  [5643] = {.lex_state = 123, .external_lex_state = 3},
  [5644] = {.lex_state = 123, .external_lex_state = 3},
  [5645] = {.lex_state = 123, .external_lex_state = 3},
  [5646] = {.lex_state = 184, .external_lex_state = 3},
  [5647] = {.lex_state = 184, .external_lex_state = 3},
  [5648] = {.lex_state = 123, .external_lex_state = 3},
  [5649] = {.lex_state = 123, .external_lex_state = 3},
  [5650] = {.lex_state = 184, .external_lex_state = 3},
  [5651] = {.lex_state = 123, .external_lex_state = 3},
  [5652] = {.lex_state = 184, .external_lex_state = 3},
  [5653] = {.lex_state = 123, .external_lex_state = 3},
  [5654] = {.lex_state = 123, .external_lex_state = 3},
  [5655] = {.lex_state = 123, .external_lex_state = 3},
  [5656] = {.lex_state = 123, .external_lex_state = 3},
  [5657] = {.lex_state = 123, .external_lex_state = 3},
  [5658] = {.lex_state = 123, .external_lex_state = 3},
  [5659] = {.lex_state = 123, .external_lex_state = 3},
  [5660] = {.lex_state = 123, .external_lex_state = 3},
  [5661] = {.lex_state = 123, .external_lex_state = 3},
  [5662] = {.lex_state = 186, .external_lex_state = 3},
  [5663] = {.lex_state = 123, .external_lex_state = 3},
  [5664] = {.lex_state = 123, .external_lex_state = 3},
  [5665] = {.lex_state = 124, .external_lex_state = 3},
  [5666] = {.lex_state = 123, .external_lex_state = 3},
  [5667] = {.lex_state = 123, .external_lex_state = 3},
  [5668] = {.lex_state = 123, .external_lex_state = 3},
  [5669] = {.lex_state = 184, .external_lex_state = 3},
  [5670] = {.lex_state = 124, .external_lex_state = 3},
  [5671] = {.lex_state = 186, .external_lex_state = 3},
  [5672] = {.lex_state = 124, .external_lex_state = 3},
  [5673] = {.lex_state = 123, .external_lex_state = 3},
  [5674] = {.lex_state = 124, .external_lex_state = 3},
  [5675] = {.lex_state = 123, .external_lex_state = 3},
  [5676] = {.lex_state = 186, .external_lex_state = 3},
  [5677] = {.lex_state = 123, .external_lex_state = 3},
  [5678] = {.lex_state = 123, .external_lex_state = 3},
  [5679] = {.lex_state = 123, .external_lex_state = 3},
  [5680] = {.lex_state = 124, .external_lex_state = 3},
  [5681] = {.lex_state = 184, .external_lex_state = 3},
  [5682] = {.lex_state = 113, .external_lex_state = 3},
  [5683] = {.lex_state = 19, .external_lex_state = 3},
  [5684] = {.lex_state = 113, .external_lex_state = 3},
  [5685] = {.lex_state = 124, .external_lex_state = 3},
  [5686] = {.lex_state = 113, .external_lex_state = 3},
  [5687] = {.lex_state = 124, .external_lex_state = 3},
  [5688] = {.lex_state = 124, .external_lex_state = 3},
  [5689] = {.lex_state = 124, .external_lex_state = 3},
  [5690] = {.lex_state = 124, .external_lex_state = 3},
  [5691] = {.lex_state = 124, .external_lex_state = 3},
  [5692] = {.lex_state = 124, .external_lex_state = 3},
  [5693] = {.lex_state = 124, .external_lex_state = 3},
  [5694] = {.lex_state = 124, .external_lex_state = 3},
  [5695] = {.lex_state = 124, .external_lex_state = 3},
  [5696] = {.lex_state = 124, .external_lex_state = 3},
  [5697] = {.lex_state = 124, .external_lex_state = 3},
  [5698] = {.lex_state = 79, .external_lex_state = 3},
  [5699] = {.lex_state = 124, .external_lex_state = 3},
  [5700] = {.lex_state = 124, .external_lex_state = 3},
  [5701] = {.lex_state = 124, .external_lex_state = 3},
  [5702] = {.lex_state = 124, .external_lex_state = 3},
  [5703] = {.lex_state = 124, .external_lex_state = 3},
  [5704] = {.lex_state = 124, .external_lex_state = 3},
  [5705] = {.lex_state = 124, .external_lex_state = 3},
  [5706] = {.lex_state = 124, .external_lex_state = 3},
  [5707] = {.lex_state = 124, .external_lex_state = 3},
  [5708] = {.lex_state = 124, .external_lex_state = 3},
  [5709] = {.lex_state = 19, .external_lex_state = 3},
  [5710] = {.lex_state = 124, .external_lex_state = 3},
  [5711] = {.lex_state = 124, .external_lex_state = 3},
  [5712] = {.lex_state = 124, .external_lex_state = 3},
  [5713] = {.lex_state = 124, .external_lex_state = 3},
  [5714] = {.lex_state = 124, .external_lex_state = 3},
  [5715] = {.lex_state = 124, .external_lex_state = 3},
  [5716] = {.lex_state = 19, .external_lex_state = 3},
  [5717] = {.lex_state = 124, .external_lex_state = 3},
  [5718] = {.lex_state = 124, .external_lex_state = 3},
  [5719] = {.lex_state = 124, .external_lex_state = 3},
  [5720] = {.lex_state = 79, .external_lex_state = 3},
  [5721] = {.lex_state = 124, .external_lex_state = 3},
  [5722] = {.lex_state = 124, .external_lex_state = 3},
  [5723] = {.lex_state = 124, .external_lex_state = 3},
  [5724] = {.lex_state = 124, .external_lex_state = 3},
  [5725] = {.lex_state = 124, .external_lex_state = 3},
  [5726] = {.lex_state = 19, .external_lex_state = 3},
  [5727] = {.lex_state = 19, .external_lex_state = 3},
  [5728] = {.lex_state = 124, .external_lex_state = 3},
  [5729] = {.lex_state = 113, .external_lex_state = 3},
  [5730] = {.lex_state = 113, .external_lex_state = 3},
  [5731] = {.lex_state = 124, .external_lex_state = 3},
  [5732] = {.lex_state = 124, .external_lex_state = 3},
  [5733] = {.lex_state = 124, .external_lex_state = 3},
  [5734] = {.lex_state = 124, .external_lex_state = 3},
  [5735] = {.lex_state = 124, .external_lex_state = 3},
  [5736] = {.lex_state = 19, .external_lex_state = 3},
  [5737] = {.lex_state = 113, .external_lex_state = 3},
  [5738] = {.lex_state = 113, .external_lex_state = 3},
  [5739] = {.lex_state = 124, .external_lex_state = 3},
  [5740] = {.lex_state = 124, .external_lex_state = 3},
  [5741] = {.lex_state = 124, .external_lex_state = 3},
  [5742] = {.lex_state = 124, .external_lex_state = 3},
  [5743] = {.lex_state = 124, .external_lex_state = 3},
  [5744] = {.lex_state = 124, .external_lex_state = 3},
  [5745] = {.lex_state = 124, .external_lex_state = 3},
  [5746] = {.lex_state = 124, .external_lex_state = 3},
  [5747] = {.lex_state = 124, .external_lex_state = 3},
  [5748] = {.lex_state = 124, .external_lex_state = 3},
  [5749] = {.lex_state = 124, .external_lex_state = 3},
  [5750] = {.lex_state = 124, .external_lex_state = 3},
  [5751] = {.lex_state = 124, .external_lex_state = 3},
  [5752] = {.lex_state = 124, .external_lex_state = 3},
  [5753] = {.lex_state = 124, .external_lex_state = 3},
  [5754] = {.lex_state = 124, .external_lex_state = 3},
  [5755] = {.lex_state = 124, .external_lex_state = 3},
  [5756] = {.lex_state = 124, .external_lex_state = 3},
  [5757] = {.lex_state = 124, .external_lex_state = 3},
  [5758] = {.lex_state = 124, .external_lex_state = 3},
  [5759] = {.lex_state = 124, .external_lex_state = 3},
  [5760] = {.lex_state = 124, .external_lex_state = 3},
  [5761] = {.lex_state = 124, .external_lex_state = 3},
  [5762] = {.lex_state = 113, .external_lex_state = 3},
  [5763] = {.lex_state = 113, .external_lex_state = 3},
  [5764] = {.lex_state = 124, .external_lex_state = 3},
  [5765] = {.lex_state = 113, .external_lex_state = 3},
  [5766] = {.lex_state = 124, .external_lex_state = 3},
  [5767] = {.lex_state = 124, .external_lex_state = 3},
  [5768] = {.lex_state = 124, .external_lex_state = 3},
  [5769] = {.lex_state = 124, .external_lex_state = 3},
  [5770] = {.lex_state = 124, .external_lex_state = 3},
  [5771] = {.lex_state = 124, .external_lex_state = 3},
  [5772] = {.lex_state = 113, .external_lex_state = 3},
  [5773] = {.lex_state = 124, .external_lex_state = 3},
  [5774] = {.lex_state = 119, .external_lex_state = 3},
  [5775] = {.lex_state = 113, .external_lex_state = 3},
  [5776] = {.lex_state = 114, .external_lex_state = 3},
  [5777] = {.lex_state = 114, .external_lex_state = 3},
  [5778] = {.lex_state = 114, .external_lex_state = 3},
  [5779] = {.lex_state = 114, .external_lex_state = 3},
  [5780] = {.lex_state = 114, .external_lex_state = 3},
  [5781] = {.lex_state = 114, .external_lex_state = 3},
  [5782] = {.lex_state = 114, .external_lex_state = 3},
  [5783] = {.lex_state = 118, .external_lex_state = 3},
  [5784] = {.lex_state = 28, .external_lex_state = 3},
  [5785] = {.lex_state = 28, .external_lex_state = 3},
  [5786] = {.lex_state = 111, .external_lex_state = 3},
  [5787] = {.lex_state = 28, .external_lex_state = 3},
  [5788] = {.lex_state = 28, .external_lex_state = 3},
  [5789] = {.lex_state = 113, .external_lex_state = 3},
  [5790] = {.lex_state = 113, .external_lex_state = 3},
  [5791] = {.lex_state = 113, .external_lex_state = 3},
  [5792] = {.lex_state = 113, .external_lex_state = 3},
  [5793] = {.lex_state = 114, .external_lex_state = 3},
  [5794] = {.lex_state = 114, .external_lex_state = 3},
  [5795] = {.lex_state = 27, .external_lex_state = 3},
  [5796] = {.lex_state = 27, .external_lex_state = 3},
  [5797] = {.lex_state = 27, .external_lex_state = 3},
  [5798] = {.lex_state = 27, .external_lex_state = 3},
  [5799] = {.lex_state = 27, .external_lex_state = 3},
  [5800] = {.lex_state = 27, .external_lex_state = 3},
  [5801] = {.lex_state = 27, .external_lex_state = 3},
  [5802] = {.lex_state = 27, .external_lex_state = 3},
  [5803] = {.lex_state = 27, .external_lex_state = 3},
  [5804] = {.lex_state = 27, .external_lex_state = 3},
  [5805] = {.lex_state = 27, .external_lex_state = 3},
  [5806] = {.lex_state = 27, .external_lex_state = 3},
  [5807] = {.lex_state = 27, .external_lex_state = 3},
  [5808] = {.lex_state = 27, .external_lex_state = 3},
  [5809] = {.lex_state = 27, .external_lex_state = 3},
  [5810] = {.lex_state = 27, .external_lex_state = 3},
  [5811] = {.lex_state = 27, .external_lex_state = 3},
  [5812] = {.lex_state = 27, .external_lex_state = 3},
  [5813] = {.lex_state = 27, .external_lex_state = 3},
  [5814] = {.lex_state = 27, .external_lex_state = 3},
  [5815] = {.lex_state = 27, .external_lex_state = 3},
  [5816] = {.lex_state = 27, .external_lex_state = 3},
  [5817] = {.lex_state = 27, .external_lex_state = 3},
  [5818] = {.lex_state = 27, .external_lex_state = 3},
  [5819] = {.lex_state = 27, .external_lex_state = 3},
  [5820] = {.lex_state = 27, .external_lex_state = 3},
  [5821] = {.lex_state = 27, .external_lex_state = 3},
  [5822] = {.lex_state = 27, .external_lex_state = 3},
  [5823] = {.lex_state = 27, .external_lex_state = 3},
  [5824] = {.lex_state = 27, .external_lex_state = 3},
  [5825] = {.lex_state = 27, .external_lex_state = 3},
  [5826] = {.lex_state = 27, .external_lex_state = 3},
  [5827] = {.lex_state = 27, .external_lex_state = 3},
  [5828] = {.lex_state = 27, .external_lex_state = 3},
  [5829] = {.lex_state = 27, .external_lex_state = 3},
  [5830] = {.lex_state = 27, .external_lex_state = 3},
  [5831] = {.lex_state = 27, .external_lex_state = 3},
  [5832] = {.lex_state = 27, .external_lex_state = 3},
  [5833] = {.lex_state = 27, .external_lex_state = 3},
  [5834] = {.lex_state = 27, .external_lex_state = 3},
  [5835] = {.lex_state = 27, .external_lex_state = 3},
  [5836] = {.lex_state = 27, .external_lex_state = 3},
  [5837] = {.lex_state = 117, .external_lex_state = 3},
  [5838] = {.lex_state = 27, .external_lex_state = 3},
  [5839] = {.lex_state = 113, .external_lex_state = 3},
  [5840] = {.lex_state = 27, .external_lex_state = 3},
  [5841] = {.lex_state = 113, .external_lex_state = 3},
  [5842] = {.lex_state = 27, .external_lex_state = 3},
  [5843] = {.lex_state = 118, .external_lex_state = 3},
  [5844] = {.lex_state = 27, .external_lex_state = 3},
  [5845] = {.lex_state = 118, .external_lex_state = 3},
  [5846] = {.lex_state = 118, .external_lex_state = 3},
  [5847] = {.lex_state = 118, .external_lex_state = 3},
  [5848] = {.lex_state = 118, .external_lex_state = 3},
  [5849] = {.lex_state = 118, .external_lex_state = 3},
  [5850] = {.lex_state = 118, .external_lex_state = 3},
  [5851] = {.lex_state = 27, .external_lex_state = 3},
  [5852] = {.lex_state = 27, .external_lex_state = 3},
  [5853] = {.lex_state = 111, .external_lex_state = 3},
  [5854] = {.lex_state = 27, .external_lex_state = 3},
  [5855] = {.lex_state = 27, .external_lex_state = 3},
  [5856] = {.lex_state = 111, .external_lex_state = 3},
  [5857] = {.lex_state = 111, .external_lex_state = 3},
  [5858] = {.lex_state = 111, .external_lex_state = 3},
  [5859] = {.lex_state = 27, .external_lex_state = 3},
  [5860] = {.lex_state = 111, .external_lex_state = 3},
  [5861] = {.lex_state = 111, .external_lex_state = 3},
  [5862] = {.lex_state = 111, .external_lex_state = 3},
  [5863] = {.lex_state = 27, .external_lex_state = 3},
  [5864] = {.lex_state = 27, .external_lex_state = 3},
  [5865] = {.lex_state = 113, .external_lex_state = 3},
  [5866] = {.lex_state = 113, .external_lex_state = 3},
  [5867] = {.lex_state = 118, .external_lex_state = 3},
  [5868] = {.lex_state = 119, .external_lex_state = 3},
  [5869] = {.lex_state = 118, .external_lex_state = 3},
  [5870] = {.lex_state = 119, .external_lex_state = 3},
  [5871] = {.lex_state = 119, .external_lex_state = 3},
  [5872] = {.lex_state = 27, .external_lex_state = 3},
  [5873] = {.lex_state = 119, .external_lex_state = 3},
  [5874] = {.lex_state = 119, .external_lex_state = 3},
  [5875] = {.lex_state = 119, .external_lex_state = 3},
  [5876] = {.lex_state = 119, .external_lex_state = 3},
  [5877] = {.lex_state = 27, .external_lex_state = 3},
  [5878] = {.lex_state = 27, .external_lex_state = 3},
  [5879] = {.lex_state = 111, .external_lex_state = 3},
  [5880] = {.lex_state = 27, .external_lex_state = 3},
  [5881] = {.lex_state = 27, .external_lex_state = 3},
  [5882] = {.lex_state = 117, .external_lex_state = 3},
  [5883] = {.lex_state = 27, .external_lex_state = 3},
  [5884] = {.lex_state = 111, .external_lex_state = 3},
  [5885] = {.lex_state = 117, .external_lex_state = 3},
  [5886] = {.lex_state = 117, .external_lex_state = 3},
  [5887] = {.lex_state = 117, .external_lex_state = 3},
  [5888] = {.lex_state = 117, .external_lex_state = 3},
  [5889] = {.lex_state = 117, .external_lex_state = 3},
  [5890] = {.lex_state = 117, .external_lex_state = 3},
  [5891] = {.lex_state = 113, .external_lex_state = 3},
  [5892] = {.lex_state = 161, .external_lex_state = 2},
  [5893] = {.lex_state = 119, .external_lex_state = 3},
  [5894] = {.lex_state = 27, .external_lex_state = 3},
  [5895] = {.lex_state = 119, .external_lex_state = 3},
  [5896] = {.lex_state = 161, .external_lex_state = 2},
  [5897] = {.lex_state = 161, .external_lex_state = 2},
  [5898] = {.lex_state = 117, .external_lex_state = 3},
  [5899] = {.lex_state = 117, .external_lex_state = 3},
  [5900] = {.lex_state = 115, .external_lex_state = 3},
  [5901] = {.lex_state = 115, .external_lex_state = 3},
  [5902] = {.lex_state = 118, .external_lex_state = 3},
  [5903] = {.lex_state = 111, .external_lex_state = 3},
  [5904] = {.lex_state = 119, .external_lex_state = 3},
  [5905] = {.lex_state = 117, .external_lex_state = 3},
  [5906] = {.lex_state = 161, .external_lex_state = 2},
  [5907] = {.lex_state = 113, .external_lex_state = 3},
  [5908] = {.lex_state = 28, .external_lex_state = 3},
  [5909] = {.lex_state = 28, .external_lex_state = 3},
  [5910] = {.lex_state = 113, .external_lex_state = 3},
  [5911] = {.lex_state = 28, .external_lex_state = 3},
  [5912] = {.lex_state = 27, .external_lex_state = 3},
  [5913] = {.lex_state = 28, .external_lex_state = 3},
  [5914] = {.lex_state = 28, .external_lex_state = 3},
  [5915] = {.lex_state = 28, .external_lex_state = 3},
  [5916] = {.lex_state = 28, .external_lex_state = 3},
  [5917] = {.lex_state = 28, .external_lex_state = 3},
  [5918] = {.lex_state = 28, .external_lex_state = 3},
  [5919] = {.lex_state = 28, .external_lex_state = 3},
  [5920] = {.lex_state = 28, .external_lex_state = 3},
  [5921] = {.lex_state = 28, .external_lex_state = 3},
  [5922] = {.lex_state = 28, .external_lex_state = 3},
  [5923] = {.lex_state = 28, .external_lex_state = 3},
  [5924] = {.lex_state = 28, .external_lex_state = 3},
  [5925] = {.lex_state = 28, .external_lex_state = 3},
  [5926] = {.lex_state = 28, .external_lex_state = 3},
  [5927] = {.lex_state = 28, .external_lex_state = 3},
  [5928] = {.lex_state = 28, .external_lex_state = 3},
  [5929] = {.lex_state = 113, .external_lex_state = 3},
  [5930] = {.lex_state = 28, .external_lex_state = 3},
  [5931] = {.lex_state = 28, .external_lex_state = 3},
  [5932] = {.lex_state = 27, .external_lex_state = 3},
  [5933] = {.lex_state = 28, .external_lex_state = 3},
  [5934] = {.lex_state = 28, .external_lex_state = 3},
  [5935] = {.lex_state = 28, .external_lex_state = 3},
  [5936] = {.lex_state = 28, .external_lex_state = 3},
  [5937] = {.lex_state = 28, .external_lex_state = 3},
  [5938] = {.lex_state = 28, .external_lex_state = 3},
  [5939] = {.lex_state = 28, .external_lex_state = 3},
  [5940] = {.lex_state = 28, .external_lex_state = 3},
  [5941] = {.lex_state = 28, .external_lex_state = 3},
  [5942] = {.lex_state = 115, .external_lex_state = 3},
  [5943] = {.lex_state = 28, .external_lex_state = 3},
  [5944] = {.lex_state = 28, .external_lex_state = 3},
  [5945] = {.lex_state = 28, .external_lex_state = 3},
  [5946] = {.lex_state = 28, .external_lex_state = 3},
  [5947] = {.lex_state = 28, .external_lex_state = 3},
  [5948] = {.lex_state = 28, .external_lex_state = 3},
  [5949] = {.lex_state = 28, .external_lex_state = 3},
  [5950] = {.lex_state = 28, .external_lex_state = 3},
  [5951] = {.lex_state = 28, .external_lex_state = 3},
  [5952] = {.lex_state = 28, .external_lex_state = 3},
  [5953] = {.lex_state = 28, .external_lex_state = 3},
  [5954] = {.lex_state = 28, .external_lex_state = 3},
  [5955] = {.lex_state = 28, .external_lex_state = 3},
  [5956] = {.lex_state = 28, .external_lex_state = 3},
  [5957] = {.lex_state = 28, .external_lex_state = 3},
  [5958] = {.lex_state = 28, .external_lex_state = 3},
  [5959] = {.lex_state = 28, .external_lex_state = 3},
  [5960] = {.lex_state = 28, .external_lex_state = 3},
  [5961] = {.lex_state = 28, .external_lex_state = 3},
  [5962] = {.lex_state = 114, .external_lex_state = 3},
  [5963] = {.lex_state = 28, .external_lex_state = 3},
  [5964] = {.lex_state = 28, .external_lex_state = 3},
  [5965] = {.lex_state = 28, .external_lex_state = 3},
  [5966] = {.lex_state = 28, .external_lex_state = 3},
  [5967] = {.lex_state = 28, .external_lex_state = 3},
  [5968] = {.lex_state = 28, .external_lex_state = 3},
  [5969] = {.lex_state = 114, .external_lex_state = 3},
  [5970] = {.lex_state = 28, .external_lex_state = 3},
  [5971] = {.lex_state = 28, .external_lex_state = 3},
  [5972] = {.lex_state = 28, .external_lex_state = 3},
  [5973] = {.lex_state = 28, .external_lex_state = 3},
  [5974] = {.lex_state = 28, .external_lex_state = 3},
  [5975] = {.lex_state = 28, .external_lex_state = 3},
  [5976] = {.lex_state = 28, .external_lex_state = 3},
  [5977] = {.lex_state = 27, .external_lex_state = 3},
  [5978] = {.lex_state = 27, .external_lex_state = 3},
  [5979] = {.lex_state = 27, .external_lex_state = 3},
  [5980] = {.lex_state = 27, .external_lex_state = 3},
  [5981] = {.lex_state = 28, .external_lex_state = 3},
  [5982] = {.lex_state = 27, .external_lex_state = 3},
  [5983] = {.lex_state = 27, .external_lex_state = 3},
  [5984] = {.lex_state = 27, .external_lex_state = 3},
  [5985] = {.lex_state = 27, .external_lex_state = 3},
  [5986] = {.lex_state = 27, .external_lex_state = 3},
  [5987] = {.lex_state = 27, .external_lex_state = 3},
  [5988] = {.lex_state = 27, .external_lex_state = 3},
  [5989] = {.lex_state = 28, .external_lex_state = 3},
  [5990] = {.lex_state = 27, .external_lex_state = 3},
  [5991] = {.lex_state = 113, .external_lex_state = 3},
  [5992] = {.lex_state = 27, .external_lex_state = 3},
  [5993] = {.lex_state = 27, .external_lex_state = 3},
  [5994] = {.lex_state = 27, .external_lex_state = 3},
  [5995] = {.lex_state = 27, .external_lex_state = 3},
  [5996] = {.lex_state = 113, .external_lex_state = 3},
  [5997] = {.lex_state = 113, .external_lex_state = 3},
  [5998] = {.lex_state = 113, .external_lex_state = 3},
  [5999] = {.lex_state = 113, .external_lex_state = 3},
  [6000] = {.lex_state = 27, .external_lex_state = 3},
  [6001] = {.lex_state = 28, .external_lex_state = 3},
  [6002] = {.lex_state = 113, .external_lex_state = 3},
  [6003] = {.lex_state = 78, .external_lex_state = 3},
  [6004] = {.lex_state = 28, .external_lex_state = 3},
  [6005] = {.lex_state = 28, .external_lex_state = 3},
  [6006] = {.lex_state = 27, .external_lex_state = 3},
  [6007] = {.lex_state = 113, .external_lex_state = 3},
  [6008] = {.lex_state = 28, .external_lex_state = 3},
  [6009] = {.lex_state = 28, .external_lex_state = 3},
  [6010] = {.lex_state = 27, .external_lex_state = 3},
  [6011] = {.lex_state = 115, .external_lex_state = 3},
  [6012] = {.lex_state = 28, .external_lex_state = 3},
  [6013] = {.lex_state = 28, .external_lex_state = 3},
  [6014] = {.lex_state = 113, .external_lex_state = 3},
  [6015] = {.lex_state = 28, .external_lex_state = 3},
  [6016] = {.lex_state = 113, .external_lex_state = 3},
  [6017] = {.lex_state = 28, .external_lex_state = 3},
  [6018] = {.lex_state = 115, .external_lex_state = 3},
  [6019] = {.lex_state = 115, .external_lex_state = 3},
  [6020] = {.lex_state = 115, .external_lex_state = 3},
  [6021] = {.lex_state = 28, .external_lex_state = 3},
  [6022] = {.lex_state = 115, .external_lex_state = 3},
  [6023] = {.lex_state = 115, .external_lex_state = 3},
  [6024] = {.lex_state = 113, .external_lex_state = 3},
  [6025] = {.lex_state = 115, .external_lex_state = 3},
  [6026] = {.lex_state = 28, .external_lex_state = 3},
  [6027] = {.lex_state = 28, .external_lex_state = 3},
  [6028] = {.lex_state = 113, .external_lex_state = 3},
  [6029] = {.lex_state = 113, .external_lex_state = 3},
  [6030] = {.lex_state = 113, .external_lex_state = 3},
  [6031] = {.lex_state = 113, .external_lex_state = 3},
  [6032] = {.lex_state = 113, .external_lex_state = 3},
  [6033] = {.lex_state = 113, .external_lex_state = 3},
  [6034] = {.lex_state = 113, .external_lex_state = 3},
  [6035] = {.lex_state = 113, .external_lex_state = 3},
  [6036] = {.lex_state = 113, .external_lex_state = 3},
  [6037] = {.lex_state = 113, .external_lex_state = 3},
  [6038] = {.lex_state = 113, .external_lex_state = 3},
  [6039] = {.lex_state = 113, .external_lex_state = 3},
  [6040] = {.lex_state = 113, .external_lex_state = 3},
  [6041] = {.lex_state = 113, .external_lex_state = 3},
  [6042] = {.lex_state = 113, .external_lex_state = 3},
  [6043] = {.lex_state = 113, .external_lex_state = 3},
  [6044] = {.lex_state = 113, .external_lex_state = 3},
  [6045] = {.lex_state = 113, .external_lex_state = 3},
  [6046] = {.lex_state = 113, .external_lex_state = 3},
  [6047] = {.lex_state = 113, .external_lex_state = 3},
  [6048] = {.lex_state = 123, .external_lex_state = 3},
  [6049] = {.lex_state = 113, .external_lex_state = 3},
  [6050] = {.lex_state = 113, .external_lex_state = 3},
  [6051] = {.lex_state = 113, .external_lex_state = 3},
  [6052] = {.lex_state = 113, .external_lex_state = 3},
  [6053] = {.lex_state = 113, .external_lex_state = 3},
  [6054] = {.lex_state = 113, .external_lex_state = 3},
  [6055] = {.lex_state = 113, .external_lex_state = 3},
  [6056] = {.lex_state = 113, .external_lex_state = 3},
  [6057] = {.lex_state = 113, .external_lex_state = 3},
  [6058] = {.lex_state = 113, .external_lex_state = 3},
  [6059] = {.lex_state = 113, .external_lex_state = 3},
  [6060] = {.lex_state = 113, .external_lex_state = 3},
  [6061] = {.lex_state = 113, .external_lex_state = 3},
  [6062] = {.lex_state = 113, .external_lex_state = 3},
  [6063] = {.lex_state = 113, .external_lex_state = 3},
  [6064] = {.lex_state = 113, .external_lex_state = 3},
  [6065] = {.lex_state = 113, .external_lex_state = 3},
  [6066] = {.lex_state = 113, .external_lex_state = 3},
  [6067] = {.lex_state = 113, .external_lex_state = 3},
  [6068] = {.lex_state = 113, .external_lex_state = 3},
  [6069] = {.lex_state = 113, .external_lex_state = 3},
  [6070] = {.lex_state = 113, .external_lex_state = 3},
  [6071] = {.lex_state = 113, .external_lex_state = 3},
  [6072] = {.lex_state = 113, .external_lex_state = 3},
  [6073] = {.lex_state = 113, .external_lex_state = 3},
  [6074] = {.lex_state = 113, .external_lex_state = 3},
  [6075] = {.lex_state = 113, .external_lex_state = 3},
  [6076] = {.lex_state = 113, .external_lex_state = 3},
  [6077] = {.lex_state = 115, .external_lex_state = 3},
  [6078] = {.lex_state = 113, .external_lex_state = 3},
  [6079] = {.lex_state = 28, .external_lex_state = 3},
  [6080] = {.lex_state = 114, .external_lex_state = 3},
  [6081] = {.lex_state = 119, .external_lex_state = 3},
  [6082] = {.lex_state = 119, .external_lex_state = 3},
  [6083] = {.lex_state = 111, .external_lex_state = 3},
  [6084] = {.lex_state = 120, .external_lex_state = 3},
  [6085] = {.lex_state = 114, .external_lex_state = 3},
  [6086] = {.lex_state = 114, .external_lex_state = 3},
  [6087] = {.lex_state = 435, .external_lex_state = 2},
  [6088] = {.lex_state = 119, .external_lex_state = 3},
  [6089] = {.lex_state = 119, .external_lex_state = 3},
  [6090] = {.lex_state = 119, .external_lex_state = 3},
  [6091] = {.lex_state = 119, .external_lex_state = 3},
  [6092] = {.lex_state = 118, .external_lex_state = 3},
  [6093] = {.lex_state = 114, .external_lex_state = 3},
  [6094] = {.lex_state = 114, .external_lex_state = 3},
  [6095] = {.lex_state = 119, .external_lex_state = 3},
  [6096] = {.lex_state = 119, .external_lex_state = 3},
  [6097] = {.lex_state = 118, .external_lex_state = 3},
  [6098] = {.lex_state = 118, .external_lex_state = 3},
  [6099] = {.lex_state = 117, .external_lex_state = 3},
  [6100] = {.lex_state = 119, .external_lex_state = 3},
  [6101] = {.lex_state = 114, .external_lex_state = 3},
  [6102] = {.lex_state = 117, .external_lex_state = 3},
  [6103] = {.lex_state = 111, .external_lex_state = 3},
  [6104] = {.lex_state = 117, .external_lex_state = 3},
  [6105] = {.lex_state = 114, .external_lex_state = 3},
  [6106] = {.lex_state = 117, .external_lex_state = 3},
  [6107] = {.lex_state = 117, .external_lex_state = 3},
  [6108] = {.lex_state = 117, .external_lex_state = 3},
  [6109] = {.lex_state = 119, .external_lex_state = 3},
  [6110] = {.lex_state = 122, .external_lex_state = 3},
  [6111] = {.lex_state = 114, .external_lex_state = 3},
  [6112] = {.lex_state = 117, .external_lex_state = 3},
  [6113] = {.lex_state = 117, .external_lex_state = 3},
  [6114] = {.lex_state = 117, .external_lex_state = 3},
  [6115] = {.lex_state = 114, .external_lex_state = 3},
  [6116] = {.lex_state = 111, .external_lex_state = 3},
  [6117] = {.lex_state = 117, .external_lex_state = 3},
  [6118] = {.lex_state = 117, .external_lex_state = 3},
  [6119] = {.lex_state = 117, .external_lex_state = 3},
  [6120] = {.lex_state = 114, .external_lex_state = 3},
  [6121] = {.lex_state = 117, .external_lex_state = 3},
  [6122] = {.lex_state = 117, .external_lex_state = 3},
  [6123] = {.lex_state = 117, .external_lex_state = 3},
  [6124] = {.lex_state = 119, .external_lex_state = 3},
  [6125] = {.lex_state = 117, .external_lex_state = 3},
  [6126] = {.lex_state = 117, .external_lex_state = 3},
  [6127] = {.lex_state = 117, .external_lex_state = 3},
  [6128] = {.lex_state = 117, .external_lex_state = 3},
  [6129] = {.lex_state = 111, .external_lex_state = 3},
  [6130] = {.lex_state = 117, .external_lex_state = 3},
  [6131] = {.lex_state = 114, .external_lex_state = 3},
  [6132] = {.lex_state = 117, .external_lex_state = 3},
  [6133] = {.lex_state = 117, .external_lex_state = 3},
  [6134] = {.lex_state = 117, .external_lex_state = 3},
  [6135] = {.lex_state = 116, .external_lex_state = 3},
  [6136] = {.lex_state = 117, .external_lex_state = 3},
  [6137] = {.lex_state = 117, .external_lex_state = 3},
  [6138] = {.lex_state = 117, .external_lex_state = 3},
  [6139] = {.lex_state = 117, .external_lex_state = 3},
  [6140] = {.lex_state = 111, .external_lex_state = 3},
  [6141] = {.lex_state = 117, .external_lex_state = 3},
  [6142] = {.lex_state = 117, .external_lex_state = 3},
  [6143] = {.lex_state = 119, .external_lex_state = 3},
  [6144] = {.lex_state = 114, .external_lex_state = 3},
  [6145] = {.lex_state = 114, .external_lex_state = 3},
  [6146] = {.lex_state = 114, .external_lex_state = 3},
  [6147] = {.lex_state = 117, .external_lex_state = 3},
  [6148] = {.lex_state = 122, .external_lex_state = 3},
  [6149] = {.lex_state = 117, .external_lex_state = 3},
  [6150] = {.lex_state = 117, .external_lex_state = 3},
  [6151] = {.lex_state = 117, .external_lex_state = 3},
  [6152] = {.lex_state = 111, .external_lex_state = 3},
  [6153] = {.lex_state = 114, .external_lex_state = 3},
  [6154] = {.lex_state = 435, .external_lex_state = 2},
  [6155] = {.lex_state = 114, .external_lex_state = 3},
  [6156] = {.lex_state = 117, .external_lex_state = 3},
  [6157] = {.lex_state = 111, .external_lex_state = 3},
  [6158] = {.lex_state = 111, .external_lex_state = 3},
  [6159] = {.lex_state = 119, .external_lex_state = 3},
  [6160] = {.lex_state = 117, .external_lex_state = 3},
  [6161] = {.lex_state = 114, .external_lex_state = 3},
  [6162] = {.lex_state = 119, .external_lex_state = 3},
  [6163] = {.lex_state = 118, .external_lex_state = 3},
  [6164] = {.lex_state = 117, .external_lex_state = 3},
  [6165] = {.lex_state = 114, .external_lex_state = 3},
  [6166] = {.lex_state = 119, .external_lex_state = 3},
  [6167] = {.lex_state = 121, .external_lex_state = 3},
  [6168] = {.lex_state = 119, .external_lex_state = 3},
  [6169] = {.lex_state = 119, .external_lex_state = 3},
  [6170] = {.lex_state = 117, .external_lex_state = 3},
  [6171] = {.lex_state = 119, .external_lex_state = 3},
  [6172] = {.lex_state = 118, .external_lex_state = 3},
  [6173] = {.lex_state = 114, .external_lex_state = 3},
  [6174] = {.lex_state = 117, .external_lex_state = 3},
  [6175] = {.lex_state = 119, .external_lex_state = 3},
  [6176] = {.lex_state = 117, .external_lex_state = 3},
  [6177] = {.lex_state = 121, .external_lex_state = 3},
  [6178] = {.lex_state = 114, .external_lex_state = 3},
  [6179] = {.lex_state = 114, .external_lex_state = 3},
  [6180] = {.lex_state = 119, .external_lex_state = 3},
  [6181] = {.lex_state = 119, .external_lex_state = 3},
  [6182] = {.lex_state = 119, .external_lex_state = 3},
  [6183] = {.lex_state = 118, .external_lex_state = 3},
  [6184] = {.lex_state = 117, .external_lex_state = 3},
  [6185] = {.lex_state = 111, .external_lex_state = 3},
  [6186] = {.lex_state = 435, .external_lex_state = 2},
  [6187] = {.lex_state = 114, .external_lex_state = 3},
  [6188] = {.lex_state = 117, .external_lex_state = 3},
  [6189] = {.lex_state = 117, .external_lex_state = 3},
  [6190] = {.lex_state = 111, .external_lex_state = 3},
  [6191] = {.lex_state = 114, .external_lex_state = 3},
  [6192] = {.lex_state = 117, .external_lex_state = 3},
  [6193] = {.lex_state = 117, .external_lex_state = 3},
  [6194] = {.lex_state = 117, .external_lex_state = 3},
  [6195] = {.lex_state = 117, .external_lex_state = 3},
  [6196] = {.lex_state = 114, .external_lex_state = 3},
  [6197] = {.lex_state = 114, .external_lex_state = 3},
  [6198] = {.lex_state = 114, .external_lex_state = 3},
  [6199] = {.lex_state = 114, .external_lex_state = 3},
  [6200] = {.lex_state = 114, .external_lex_state = 3},
  [6201] = {.lex_state = 114, .external_lex_state = 3},
  [6202] = {.lex_state = 111, .external_lex_state = 3},
  [6203] = {.lex_state = 114, .external_lex_state = 3},
  [6204] = {.lex_state = 118, .external_lex_state = 3},
  [6205] = {.lex_state = 114, .external_lex_state = 3},
  [6206] = {.lex_state = 119, .external_lex_state = 3},
  [6207] = {.lex_state = 114, .external_lex_state = 3},
  [6208] = {.lex_state = 121, .external_lex_state = 3},
  [6209] = {.lex_state = 114, .external_lex_state = 3},
  [6210] = {.lex_state = 114, .external_lex_state = 3},
  [6211] = {.lex_state = 114, .external_lex_state = 3},
  [6212] = {.lex_state = 114, .external_lex_state = 3},
  [6213] = {.lex_state = 114, .external_lex_state = 3},
  [6214] = {.lex_state = 121, .external_lex_state = 3},
  [6215] = {.lex_state = 112, .external_lex_state = 3},
  [6216] = {.lex_state = 122, .external_lex_state = 3},
  [6217] = {.lex_state = 120, .external_lex_state = 3},
  [6218] = {.lex_state = 114, .external_lex_state = 3},
  [6219] = {.lex_state = 114, .external_lex_state = 3},
  [6220] = {.lex_state = 121, .external_lex_state = 3},
  [6221] = {.lex_state = 121, .external_lex_state = 3},
  [6222] = {.lex_state = 121, .external_lex_state = 3},
  [6223] = {.lex_state = 119, .external_lex_state = 3},
  [6224] = {.lex_state = 121, .external_lex_state = 3},
  [6225] = {.lex_state = 114, .external_lex_state = 3},
  [6226] = {.lex_state = 121, .external_lex_state = 3},
  [6227] = {.lex_state = 121, .external_lex_state = 3},
  [6228] = {.lex_state = 435, .external_lex_state = 2},
  [6229] = {.lex_state = 114, .external_lex_state = 3},
  [6230] = {.lex_state = 114, .external_lex_state = 3},
  [6231] = {.lex_state = 114, .external_lex_state = 3},
  [6232] = {.lex_state = 114, .external_lex_state = 3},
  [6233] = {.lex_state = 116, .external_lex_state = 3},
  [6234] = {.lex_state = 114, .external_lex_state = 3},
  [6235] = {.lex_state = 114, .external_lex_state = 3},
  [6236] = {.lex_state = 119, .external_lex_state = 3},
  [6237] = {.lex_state = 114, .external_lex_state = 3},
  [6238] = {.lex_state = 111, .external_lex_state = 3},
  [6239] = {.lex_state = 117, .external_lex_state = 3},
  [6240] = {.lex_state = 122, .external_lex_state = 3},
  [6241] = {.lex_state = 117, .external_lex_state = 3},
  [6242] = {.lex_state = 117, .external_lex_state = 3},
  [6243] = {.lex_state = 111, .external_lex_state = 3},
  [6244] = {.lex_state = 119, .external_lex_state = 3},
  [6245] = {.lex_state = 116, .external_lex_state = 3},
  [6246] = {.lex_state = 117, .external_lex_state = 3},
  [6247] = {.lex_state = 119, .external_lex_state = 3},
  [6248] = {.lex_state = 119, .external_lex_state = 3},
  [6249] = {.lex_state = 111, .external_lex_state = 3},
  [6250] = {.lex_state = 116, .external_lex_state = 3},
  [6251] = {.lex_state = 116, .external_lex_state = 3},
  [6252] = {.lex_state = 119, .external_lex_state = 3},
  [6253] = {.lex_state = 119, .external_lex_state = 3},
  [6254] = {.lex_state = 114, .external_lex_state = 3},
  [6255] = {.lex_state = 435, .external_lex_state = 2},
  [6256] = {.lex_state = 435, .external_lex_state = 2},
  [6257] = {.lex_state = 118, .external_lex_state = 3},
  [6258] = {.lex_state = 112, .external_lex_state = 3},
  [6259] = {.lex_state = 116, .external_lex_state = 3},
  [6260] = {.lex_state = 116, .external_lex_state = 3},
  [6261] = {.lex_state = 118, .external_lex_state = 3},
  [6262] = {.lex_state = 118, .external_lex_state = 3},
  [6263] = {.lex_state = 114, .external_lex_state = 3},
  [6264] = {.lex_state = 435, .external_lex_state = 2},
  [6265] = {.lex_state = 118, .external_lex_state = 3},
  [6266] = {.lex_state = 114, .external_lex_state = 3},
  [6267] = {.lex_state = 120, .external_lex_state = 3},
  [6268] = {.lex_state = 117, .external_lex_state = 3},
  [6269] = {.lex_state = 114, .external_lex_state = 3},
  [6270] = {.lex_state = 114, .external_lex_state = 3},
  [6271] = {.lex_state = 117, .external_lex_state = 3},
  [6272] = {.lex_state = 117, .external_lex_state = 3},
  [6273] = {.lex_state = 117, .external_lex_state = 3},
  [6274] = {.lex_state = 120, .external_lex_state = 3},
  [6275] = {.lex_state = 111, .external_lex_state = 3},
  [6276] = {.lex_state = 114, .external_lex_state = 3},
  [6277] = {.lex_state = 120, .external_lex_state = 3},
  [6278] = {.lex_state = 112, .external_lex_state = 3},
  [6279] = {.lex_state = 111, .external_lex_state = 3},
  [6280] = {.lex_state = 111, .external_lex_state = 3},
  [6281] = {.lex_state = 114, .external_lex_state = 3},
  [6282] = {.lex_state = 118, .external_lex_state = 3},
  [6283] = {.lex_state = 114, .external_lex_state = 3},
  [6284] = {.lex_state = 119, .external_lex_state = 3},
  [6285] = {.lex_state = 119, .external_lex_state = 3},
  [6286] = {.lex_state = 117, .external_lex_state = 3},
  [6287] = {.lex_state = 114, .external_lex_state = 3},
  [6288] = {.lex_state = 111, .external_lex_state = 3},
  [6289] = {.lex_state = 117, .external_lex_state = 3},
  [6290] = {.lex_state = 116, .external_lex_state = 3},
  [6291] = {.lex_state = 114, .external_lex_state = 3},
  [6292] = {.lex_state = 114, .external_lex_state = 3},
  [6293] = {.lex_state = 112, .external_lex_state = 3},
  [6294] = {.lex_state = 117, .external_lex_state = 3},
  [6295] = {.lex_state = 117, .external_lex_state = 3},
  [6296] = {.lex_state = 119, .external_lex_state = 3},
  [6297] = {.lex_state = 119, .external_lex_state = 3},
  [6298] = {.lex_state = 122, .external_lex_state = 3},
  [6299] = {.lex_state = 114, .external_lex_state = 3},
  [6300] = {.lex_state = 122, .external_lex_state = 3},
  [6301] = {.lex_state = 122, .external_lex_state = 3},
  [6302] = {.lex_state = 118, .external_lex_state = 3},
  [6303] = {.lex_state = 118, .external_lex_state = 3},
  [6304] = {.lex_state = 119, .external_lex_state = 3},
  [6305] = {.lex_state = 115, .external_lex_state = 3},
  [6306] = {.lex_state = 119, .external_lex_state = 3},
  [6307] = {.lex_state = 118, .external_lex_state = 3},
  [6308] = {.lex_state = 112, .external_lex_state = 3},
  [6309] = {.lex_state = 112, .external_lex_state = 3},
  [6310] = {.lex_state = 112, .external_lex_state = 3},
  [6311] = {.lex_state = 114, .external_lex_state = 3},
  [6312] = {.lex_state = 114, .external_lex_state = 3},
  [6313] = {.lex_state = 116, .external_lex_state = 3},
  [6314] = {.lex_state = 117, .external_lex_state = 3},
  [6315] = {.lex_state = 118, .external_lex_state = 3},
  [6316] = {.lex_state = 118, .external_lex_state = 3},
  [6317] = {.lex_state = 118, .external_lex_state = 3},
  [6318] = {.lex_state = 112, .external_lex_state = 3},
  [6319] = {.lex_state = 115, .external_lex_state = 3},
  [6320] = {.lex_state = 114, .external_lex_state = 3},
  [6321] = {.lex_state = 118, .external_lex_state = 3},
  [6322] = {.lex_state = 118, .external_lex_state = 3},
  [6323] = {.lex_state = 114, .external_lex_state = 3},
  [6324] = {.lex_state = 118, .external_lex_state = 3},
  [6325] = {.lex_state = 118, .external_lex_state = 3},
  [6326] = {.lex_state = 118, .external_lex_state = 3},
  [6327] = {.lex_state = 118, .external_lex_state = 3},
  [6328] = {.lex_state = 122, .external_lex_state = 3},
  [6329] = {.lex_state = 118, .external_lex_state = 3},
  [6330] = {.lex_state = 118, .external_lex_state = 3},
  [6331] = {.lex_state = 118, .external_lex_state = 3},
  [6332] = {.lex_state = 118, .external_lex_state = 3},
  [6333] = {.lex_state = 118, .external_lex_state = 3},
  [6334] = {.lex_state = 118, .external_lex_state = 3},
  [6335] = {.lex_state = 118, .external_lex_state = 3},
  [6336] = {.lex_state = 118, .external_lex_state = 3},
  [6337] = {.lex_state = 118, .external_lex_state = 3},
  [6338] = {.lex_state = 118, .external_lex_state = 3},
  [6339] = {.lex_state = 118, .external_lex_state = 3},
  [6340] = {.lex_state = 114, .external_lex_state = 3},
  [6341] = {.lex_state = 118, .external_lex_state = 3},
  [6342] = {.lex_state = 118, .external_lex_state = 3},
  [6343] = {.lex_state = 118, .external_lex_state = 3},
  [6344] = {.lex_state = 118, .external_lex_state = 3},
  [6345] = {.lex_state = 118, .external_lex_state = 3},
  [6346] = {.lex_state = 118, .external_lex_state = 3},
  [6347] = {.lex_state = 114, .external_lex_state = 3},
  [6348] = {.lex_state = 114, .external_lex_state = 3},
  [6349] = {.lex_state = 117, .external_lex_state = 3},
  [6350] = {.lex_state = 118, .external_lex_state = 3},
  [6351] = {.lex_state = 118, .external_lex_state = 3},
  [6352] = {.lex_state = 119, .external_lex_state = 3},
  [6353] = {.lex_state = 118, .external_lex_state = 3},
  [6354] = {.lex_state = 118, .external_lex_state = 3},
  [6355] = {.lex_state = 115, .external_lex_state = 3},
  [6356] = {.lex_state = 116, .external_lex_state = 3},
  [6357] = {.lex_state = 120, .external_lex_state = 3},
  [6358] = {.lex_state = 111, .external_lex_state = 3},
  [6359] = {.lex_state = 115, .external_lex_state = 3},
  [6360] = {.lex_state = 114, .external_lex_state = 3},
  [6361] = {.lex_state = 118, .external_lex_state = 3},
  [6362] = {.lex_state = 111, .external_lex_state = 3},
  [6363] = {.lex_state = 115, .external_lex_state = 3},
  [6364] = {.lex_state = 112, .external_lex_state = 3},
  [6365] = {.lex_state = 118, .external_lex_state = 3},
  [6366] = {.lex_state = 117, .external_lex_state = 3},
  [6367] = {.lex_state = 112, .external_lex_state = 3},
  [6368] = {.lex_state = 112, .external_lex_state = 3},
  [6369] = {.lex_state = 115, .external_lex_state = 3},
  [6370] = {.lex_state = 122, .external_lex_state = 3},
  [6371] = {.lex_state = 115, .external_lex_state = 3},
  [6372] = {.lex_state = 111, .external_lex_state = 3},
  [6373] = {.lex_state = 115, .external_lex_state = 3},
  [6374] = {.lex_state = 120, .external_lex_state = 3},
  [6375] = {.lex_state = 115, .external_lex_state = 3},
  [6376] = {.lex_state = 117, .external_lex_state = 3},
  [6377] = {.lex_state = 111, .external_lex_state = 3},
  [6378] = {.lex_state = 111, .external_lex_state = 3},
  [6379] = {.lex_state = 115, .external_lex_state = 3},
  [6380] = {.lex_state = 111, .external_lex_state = 3},
  [6381] = {.lex_state = 120, .external_lex_state = 3},
  [6382] = {.lex_state = 117, .external_lex_state = 3},
  [6383] = {.lex_state = 117, .external_lex_state = 3},
  [6384] = {.lex_state = 115, .external_lex_state = 3},
  [6385] = {.lex_state = 115, .external_lex_state = 3},
  [6386] = {.lex_state = 115, .external_lex_state = 3},
  [6387] = {.lex_state = 115, .external_lex_state = 3},
  [6388] = {.lex_state = 111, .external_lex_state = 3},
  [6389] = {.lex_state = 115, .external_lex_state = 3},
  [6390] = {.lex_state = 115, .external_lex_state = 3},
  [6391] = {.lex_state = 117, .external_lex_state = 3},
  [6392] = {.lex_state = 115, .external_lex_state = 3},
  [6393] = {.lex_state = 118, .external_lex_state = 3},
  [6394] = {.lex_state = 111, .external_lex_state = 3},
  [6395] = {.lex_state = 115, .external_lex_state = 3},
  [6396] = {.lex_state = 115, .external_lex_state = 3},
  [6397] = {.lex_state = 111, .external_lex_state = 3},
  [6398] = {.lex_state = 115, .external_lex_state = 3},
  [6399] = {.lex_state = 115, .external_lex_state = 3},
  [6400] = {.lex_state = 111, .external_lex_state = 3},
  [6401] = {.lex_state = 115, .external_lex_state = 3},
  [6402] = {.lex_state = 111, .external_lex_state = 3},
  [6403] = {.lex_state = 111, .external_lex_state = 3},
  [6404] = {.lex_state = 111, .external_lex_state = 3},
  [6405] = {.lex_state = 114, .external_lex_state = 3},
  [6406] = {.lex_state = 111, .external_lex_state = 3},
  [6407] = {.lex_state = 80, .external_lex_state = 3},
  [6408] = {.lex_state = 115, .external_lex_state = 3},
  [6409] = {.lex_state = 111, .external_lex_state = 3},
  [6410] = {.lex_state = 115, .external_lex_state = 3},
  [6411] = {.lex_state = 119, .external_lex_state = 3},
  [6412] = {.lex_state = 115, .external_lex_state = 3},
  [6413] = {.lex_state = 111, .external_lex_state = 3},
  [6414] = {.lex_state = 115, .external_lex_state = 3},
  [6415] = {.lex_state = 115, .external_lex_state = 3},
  [6416] = {.lex_state = 118, .external_lex_state = 3},
  [6417] = {.lex_state = 115, .external_lex_state = 3},
  [6418] = {.lex_state = 115, .external_lex_state = 3},
  [6419] = {.lex_state = 111, .external_lex_state = 3},
  [6420] = {.lex_state = 111, .external_lex_state = 3},
  [6421] = {.lex_state = 115, .external_lex_state = 3},
  [6422] = {.lex_state = 115, .external_lex_state = 3},
  [6423] = {.lex_state = 115, .external_lex_state = 3},
  [6424] = {.lex_state = 111, .external_lex_state = 3},
  [6425] = {.lex_state = 115, .external_lex_state = 3},
  [6426] = {.lex_state = 115, .external_lex_state = 3},
  [6427] = {.lex_state = 115, .external_lex_state = 3},
  [6428] = {.lex_state = 115, .external_lex_state = 3},
  [6429] = {.lex_state = 111, .external_lex_state = 3},
  [6430] = {.lex_state = 115, .external_lex_state = 3},
  [6431] = {.lex_state = 115, .external_lex_state = 3},
  [6432] = {.lex_state = 115, .external_lex_state = 3},
  [6433] = {.lex_state = 115, .external_lex_state = 3},
  [6434] = {.lex_state = 115, .external_lex_state = 3},
  [6435] = {.lex_state = 115, .external_lex_state = 3},
  [6436] = {.lex_state = 115, .external_lex_state = 3},
  [6437] = {.lex_state = 115, .external_lex_state = 3},
  [6438] = {.lex_state = 111, .external_lex_state = 3},
  [6439] = {.lex_state = 115, .external_lex_state = 3},
  [6440] = {.lex_state = 111, .external_lex_state = 3},
  [6441] = {.lex_state = 115, .external_lex_state = 3},
  [6442] = {.lex_state = 115, .external_lex_state = 3},
  [6443] = {.lex_state = 115, .external_lex_state = 3},
  [6444] = {.lex_state = 111, .external_lex_state = 3},
  [6445] = {.lex_state = 111, .external_lex_state = 3},
  [6446] = {.lex_state = 115, .external_lex_state = 3},
  [6447] = {.lex_state = 111, .external_lex_state = 3},
  [6448] = {.lex_state = 115, .external_lex_state = 3},
  [6449] = {.lex_state = 115, .external_lex_state = 3},
  [6450] = {.lex_state = 115, .external_lex_state = 3},
  [6451] = {.lex_state = 111, .external_lex_state = 3},
  [6452] = {.lex_state = 115, .external_lex_state = 3},
  [6453] = {.lex_state = 115, .external_lex_state = 3},
  [6454] = {.lex_state = 115, .external_lex_state = 3},
  [6455] = {.lex_state = 111, .external_lex_state = 3},
  [6456] = {.lex_state = 111, .external_lex_state = 3},
  [6457] = {.lex_state = 115, .external_lex_state = 3},
  [6458] = {.lex_state = 115, .external_lex_state = 3},
  [6459] = {.lex_state = 115, .external_lex_state = 3},
  [6460] = {.lex_state = 115, .external_lex_state = 3},
  [6461] = {.lex_state = 115, .external_lex_state = 3},
  [6462] = {.lex_state = 111, .external_lex_state = 3},
  [6463] = {.lex_state = 111, .external_lex_state = 3},
  [6464] = {.lex_state = 118, .external_lex_state = 3},
  [6465] = {.lex_state = 119, .external_lex_state = 3},
  [6466] = {.lex_state = 117, .external_lex_state = 3},
  [6467] = {.lex_state = 115, .external_lex_state = 3},
  [6468] = {.lex_state = 119, .external_lex_state = 3},
  [6469] = {.lex_state = 111, .external_lex_state = 3},
  [6470] = {.lex_state = 118, .external_lex_state = 3},
  [6471] = {.lex_state = 111, .external_lex_state = 3},
  [6472] = {.lex_state = 118, .external_lex_state = 3},
  [6473] = {.lex_state = 118, .external_lex_state = 3},
  [6474] = {.lex_state = 118, .external_lex_state = 3},
  [6475] = {.lex_state = 111, .external_lex_state = 3},
  [6476] = {.lex_state = 115, .external_lex_state = 3},
  [6477] = {.lex_state = 118, .external_lex_state = 3},
  [6478] = {.lex_state = 111, .external_lex_state = 3},
  [6479] = {.lex_state = 118, .external_lex_state = 3},
  [6480] = {.lex_state = 115, .external_lex_state = 3},
  [6481] = {.lex_state = 120, .external_lex_state = 3},
  [6482] = {.lex_state = 122, .external_lex_state = 3},
  [6483] = {.lex_state = 120, .external_lex_state = 3},
  [6484] = {.lex_state = 121, .external_lex_state = 3},
  [6485] = {.lex_state = 119, .external_lex_state = 3},
  [6486] = {.lex_state = 435, .external_lex_state = 2},
  [6487] = {.lex_state = 111, .external_lex_state = 3},
  [6488] = {.lex_state = 114, .external_lex_state = 3},
  [6489] = {.lex_state = 117, .external_lex_state = 3},
  [6490] = {.lex_state = 123, .external_lex_state = 3},
  [6491] = {.lex_state = 124, .external_lex_state = 3},
  [6492] = {.lex_state = 118, .external_lex_state = 3},
  [6493] = {.lex_state = 118, .external_lex_state = 3},
  [6494] = {.lex_state = 122, .external_lex_state = 3},
  [6495] = {.lex_state = 119, .external_lex_state = 3},
  [6496] = {.lex_state = 111, .external_lex_state = 3},
  [6497] = {.lex_state = 114, .external_lex_state = 3},
  [6498] = {.lex_state = 118, .external_lex_state = 3},
  [6499] = {.lex_state = 114, .external_lex_state = 3},
  [6500] = {.lex_state = 119, .external_lex_state = 3},
  [6501] = {.lex_state = 118, .external_lex_state = 3},
  [6502] = {.lex_state = 119, .external_lex_state = 3},
  [6503] = {.lex_state = 118, .external_lex_state = 3},
  [6504] = {.lex_state = 119, .external_lex_state = 3},
  [6505] = {.lex_state = 119, .external_lex_state = 3},
  [6506] = {.lex_state = 119, .external_lex_state = 3},
  [6507] = {.lex_state = 111, .external_lex_state = 3},
  [6508] = {.lex_state = 119, .external_lex_state = 3},
  [6509] = {.lex_state = 118, .external_lex_state = 3},
  [6510] = {.lex_state = 117, .external_lex_state = 3},
  [6511] = {.lex_state = 111, .external_lex_state = 3},
  [6512] = {.lex_state = 115, .external_lex_state = 3},
  [6513] = {.lex_state = 118, .external_lex_state = 3},
  [6514] = {.lex_state = 119, .external_lex_state = 3},
  [6515] = {.lex_state = 117, .external_lex_state = 3},
  [6516] = {.lex_state = 119, .external_lex_state = 3},
  [6517] = {.lex_state = 119, .external_lex_state = 3},
  [6518] = {.lex_state = 118, .external_lex_state = 3},
  [6519] = {.lex_state = 119, .external_lex_state = 3},
  [6520] = {.lex_state = 119, .external_lex_state = 3},
  [6521] = {.lex_state = 119, .external_lex_state = 3},
  [6522] = {.lex_state = 111, .external_lex_state = 3},
  [6523] = {.lex_state = 119, .external_lex_state = 3},
  [6524] = {.lex_state = 117, .external_lex_state = 3},
  [6525] = {.lex_state = 119, .external_lex_state = 3},
  [6526] = {.lex_state = 119, .external_lex_state = 3},
  [6527] = {.lex_state = 111, .external_lex_state = 3},
  [6528] = {.lex_state = 117, .external_lex_state = 3},
  [6529] = {.lex_state = 119, .external_lex_state = 3},
  [6530] = {.lex_state = 119, .external_lex_state = 3},
  [6531] = {.lex_state = 119, .external_lex_state = 3},
  [6532] = {.lex_state = 119, .external_lex_state = 3},
  [6533] = {.lex_state = 118, .external_lex_state = 3},
  [6534] = {.lex_state = 119, .external_lex_state = 3},
  [6535] = {.lex_state = 118, .external_lex_state = 3},
  [6536] = {.lex_state = 119, .external_lex_state = 3},
  [6537] = {.lex_state = 119, .external_lex_state = 3},
  [6538] = {.lex_state = 119, .external_lex_state = 3},
  [6539] = {.lex_state = 114, .external_lex_state = 3},
  [6540] = {.lex_state = 123, .external_lex_state = 3},
  [6541] = {.lex_state = 117, .external_lex_state = 3},
  [6542] = {.lex_state = 119, .external_lex_state = 3},
  [6543] = {.lex_state = 118, .external_lex_state = 3},
  [6544] = {.lex_state = 119, .external_lex_state = 3},
  [6545] = {.lex_state = 119, .external_lex_state = 3},
  [6546] = {.lex_state = 118, .external_lex_state = 3},
  [6547] = {.lex_state = 118, .external_lex_state = 3},
  [6548] = {.lex_state = 111, .external_lex_state = 3},
  [6549] = {.lex_state = 111, .external_lex_state = 3},
  [6550] = {.lex_state = 111, .external_lex_state = 3},
  [6551] = {.lex_state = 111, .external_lex_state = 3},
  [6552] = {.lex_state = 119, .external_lex_state = 3},
  [6553] = {.lex_state = 111, .external_lex_state = 3},
  [6554] = {.lex_state = 118, .external_lex_state = 3},
  [6555] = {.lex_state = 111, .external_lex_state = 3},
  [6556] = {.lex_state = 117, .external_lex_state = 3},
  [6557] = {.lex_state = 115, .external_lex_state = 3},
  [6558] = {.lex_state = 115, .external_lex_state = 3},
  [6559] = {.lex_state = 118, .external_lex_state = 3},
  [6560] = {.lex_state = 119, .external_lex_state = 3},
  [6561] = {.lex_state = 111, .external_lex_state = 3},
  [6562] = {.lex_state = 111, .external_lex_state = 3},
  [6563] = {.lex_state = 111, .external_lex_state = 3},
  [6564] = {.lex_state = 115, .external_lex_state = 3},
  [6565] = {.lex_state = 111, .external_lex_state = 3},
  [6566] = {.lex_state = 118, .external_lex_state = 3},
  [6567] = {.lex_state = 111, .external_lex_state = 3},
  [6568] = {.lex_state = 119, .external_lex_state = 3},
  [6569] = {.lex_state = 111, .external_lex_state = 3},
  [6570] = {.lex_state = 116, .external_lex_state = 3},
  [6571] = {.lex_state = 115, .external_lex_state = 3},
  [6572] = {.lex_state = 115, .external_lex_state = 3},
  [6573] = {.lex_state = 119, .external_lex_state = 3},
  [6574] = {.lex_state = 118, .external_lex_state = 3},
  [6575] = {.lex_state = 115, .external_lex_state = 3},
  [6576] = {.lex_state = 111, .external_lex_state = 3},
  [6577] = {.lex_state = 115, .external_lex_state = 3},
  [6578] = {.lex_state = 119, .external_lex_state = 3},
  [6579] = {.lex_state = 111, .external_lex_state = 3},
  [6580] = {.lex_state = 115, .external_lex_state = 3},
  [6581] = {.lex_state = 111, .external_lex_state = 3},
  [6582] = {.lex_state = 120, .external_lex_state = 3},
  [6583] = {.lex_state = 121, .external_lex_state = 3},
  [6584] = {.lex_state = 22, .external_lex_state = 3},
  [6585] = {.lex_state = 122, .external_lex_state = 3},
  [6586] = {.lex_state = 122, .external_lex_state = 3},
  [6587] = {.lex_state = 120, .external_lex_state = 3},
  [6588] = {.lex_state = 120, .external_lex_state = 3},
  [6589] = {.lex_state = 22, .external_lex_state = 3},
  [6590] = {.lex_state = 116, .external_lex_state = 3},
  [6591] = {.lex_state = 22, .external_lex_state = 3},
  [6592] = {.lex_state = 21, .external_lex_state = 3},
  [6593] = {.lex_state = 22, .external_lex_state = 3},
  [6594] = {.lex_state = 122, .external_lex_state = 3},
  [6595] = {.lex_state = 22, .external_lex_state = 3},
  [6596] = {.lex_state = 121, .external_lex_state = 3},
  [6597] = {.lex_state = 120, .external_lex_state = 3},
  [6598] = {.lex_state = 116, .external_lex_state = 3},
  [6599] = {.lex_state = 22, .external_lex_state = 3},
  [6600] = {.lex_state = 120, .external_lex_state = 3},
  [6601] = {.lex_state = 21, .external_lex_state = 3},
  [6602] = {.lex_state = 121, .external_lex_state = 3},
  [6603] = {.lex_state = 120, .external_lex_state = 3},
  [6604] = {.lex_state = 21, .external_lex_state = 3},
  [6605] = {.lex_state = 122, .external_lex_state = 3},
  [6606] = {.lex_state = 112, .external_lex_state = 3},
  [6607] = {.lex_state = 22, .external_lex_state = 3},
  [6608] = {.lex_state = 120, .external_lex_state = 3},
  [6609] = {.lex_state = 21, .external_lex_state = 3},
  [6610] = {.lex_state = 120, .external_lex_state = 3},
  [6611] = {.lex_state = 120, .external_lex_state = 3},
  [6612] = {.lex_state = 120, .external_lex_state = 3},
  [6613] = {.lex_state = 120, .external_lex_state = 3},
  [6614] = {.lex_state = 120, .external_lex_state = 3},
  [6615] = {.lex_state = 120, .external_lex_state = 3},
  [6616] = {.lex_state = 435, .external_lex_state = 2},
  [6617] = {.lex_state = 121, .external_lex_state = 3},
  [6618] = {.lex_state = 120, .external_lex_state = 3},
  [6619] = {.lex_state = 22, .external_lex_state = 3},
  [6620] = {.lex_state = 120, .external_lex_state = 3},
  [6621] = {.lex_state = 435, .external_lex_state = 2},
  [6622] = {.lex_state = 122, .external_lex_state = 3},
  [6623] = {.lex_state = 435, .external_lex_state = 2},
  [6624] = {.lex_state = 22, .external_lex_state = 3},
  [6625] = {.lex_state = 120, .external_lex_state = 3},
  [6626] = {.lex_state = 120, .external_lex_state = 3},
  [6627] = {.lex_state = 21, .external_lex_state = 3},
  [6628] = {.lex_state = 161, .external_lex_state = 2},
  [6629] = {.lex_state = 122, .external_lex_state = 3},
  [6630] = {.lex_state = 112, .external_lex_state = 3},
  [6631] = {.lex_state = 116, .external_lex_state = 3},
  [6632] = {.lex_state = 116, .external_lex_state = 3},
  [6633] = {.lex_state = 22, .external_lex_state = 3},
  [6634] = {.lex_state = 22, .external_lex_state = 3},
  [6635] = {.lex_state = 112, .external_lex_state = 3},
  [6636] = {.lex_state = 22, .external_lex_state = 3},
  [6637] = {.lex_state = 120, .external_lex_state = 3},
  [6638] = {.lex_state = 22, .external_lex_state = 3},
  [6639] = {.lex_state = 21, .external_lex_state = 3},
  [6640] = {.lex_state = 22, .external_lex_state = 3},
  [6641] = {.lex_state = 112, .external_lex_state = 3},
  [6642] = {.lex_state = 112, .external_lex_state = 3},
  [6643] = {.lex_state = 22, .external_lex_state = 3},
  [6644] = {.lex_state = 22, .external_lex_state = 3},
  [6645] = {.lex_state = 22, .external_lex_state = 3},
  [6646] = {.lex_state = 22, .external_lex_state = 3},
  [6647] = {.lex_state = 22, .external_lex_state = 3},
  [6648] = {.lex_state = 22, .external_lex_state = 3},
  [6649] = {.lex_state = 120, .external_lex_state = 3},
  [6650] = {.lex_state = 120, .external_lex_state = 3},
  [6651] = {.lex_state = 22, .external_lex_state = 3},
  [6652] = {.lex_state = 120, .external_lex_state = 3},
  [6653] = {.lex_state = 22, .external_lex_state = 3},
  [6654] = {.lex_state = 21, .external_lex_state = 3},
  [6655] = {.lex_state = 22, .external_lex_state = 3},
  [6656] = {.lex_state = 22, .external_lex_state = 3},
  [6657] = {.lex_state = 122, .external_lex_state = 3},
  [6658] = {.lex_state = 21, .external_lex_state = 3},
  [6659] = {.lex_state = 22, .external_lex_state = 3},
  [6660] = {.lex_state = 22, .external_lex_state = 3},
  [6661] = {.lex_state = 22, .external_lex_state = 3},
  [6662] = {.lex_state = 121, .external_lex_state = 3},
  [6663] = {.lex_state = 22, .external_lex_state = 3},
  [6664] = {.lex_state = 120, .external_lex_state = 3},
  [6665] = {.lex_state = 22, .external_lex_state = 3},
  [6666] = {.lex_state = 112, .external_lex_state = 3},
  [6667] = {.lex_state = 22, .external_lex_state = 3},
  [6668] = {.lex_state = 22, .external_lex_state = 3},
  [6669] = {.lex_state = 22, .external_lex_state = 3},
  [6670] = {.lex_state = 112, .external_lex_state = 3},
  [6671] = {.lex_state = 22, .external_lex_state = 3},
  [6672] = {.lex_state = 22, .external_lex_state = 3},
  [6673] = {.lex_state = 22, .external_lex_state = 3},
  [6674] = {.lex_state = 22, .external_lex_state = 3},
  [6675] = {.lex_state = 22, .external_lex_state = 3},
  [6676] = {.lex_state = 22, .external_lex_state = 3},
  [6677] = {.lex_state = 112, .external_lex_state = 3},
  [6678] = {.lex_state = 22, .external_lex_state = 3},
  [6679] = {.lex_state = 22, .external_lex_state = 3},
  [6680] = {.lex_state = 22, .external_lex_state = 3},
  [6681] = {.lex_state = 22, .external_lex_state = 3},
  [6682] = {.lex_state = 22, .external_lex_state = 3},
  [6683] = {.lex_state = 120, .external_lex_state = 3},
  [6684] = {.lex_state = 22, .external_lex_state = 3},
  [6685] = {.lex_state = 22, .external_lex_state = 3},
  [6686] = {.lex_state = 22, .external_lex_state = 3},
  [6687] = {.lex_state = 22, .external_lex_state = 3},
  [6688] = {.lex_state = 22, .external_lex_state = 3},
  [6689] = {.lex_state = 120, .external_lex_state = 3},
  [6690] = {.lex_state = 22, .external_lex_state = 3},
  [6691] = {.lex_state = 15, .external_lex_state = 3},
  [6692] = {.lex_state = 21, .external_lex_state = 3},
  [6693] = {.lex_state = 112, .external_lex_state = 3},
  [6694] = {.lex_state = 112, .external_lex_state = 3},
  [6695] = {.lex_state = 22, .external_lex_state = 3},
  [6696] = {.lex_state = 21, .external_lex_state = 3},
  [6697] = {.lex_state = 21, .external_lex_state = 3},
  [6698] = {.lex_state = 122, .external_lex_state = 3},
  [6699] = {.lex_state = 116, .external_lex_state = 3},
  [6700] = {.lex_state = 161, .external_lex_state = 2},
  [6701] = {.lex_state = 112, .external_lex_state = 3},
  [6702] = {.lex_state = 112, .external_lex_state = 3},
  [6703] = {.lex_state = 161, .external_lex_state = 2},
  [6704] = {.lex_state = 116, .external_lex_state = 3},
  [6705] = {.lex_state = 121, .external_lex_state = 3},
  [6706] = {.lex_state = 122, .external_lex_state = 3},
  [6707] = {.lex_state = 121, .external_lex_state = 3},
  [6708] = {.lex_state = 122, .external_lex_state = 3},
  [6709] = {.lex_state = 122, .external_lex_state = 3},
  [6710] = {.lex_state = 116, .external_lex_state = 3},
  [6711] = {.lex_state = 116, .external_lex_state = 3},
  [6712] = {.lex_state = 122, .external_lex_state = 3},
  [6713] = {.lex_state = 122, .external_lex_state = 3},
  [6714] = {.lex_state = 120, .external_lex_state = 3},
  [6715] = {.lex_state = 116, .external_lex_state = 3},
  [6716] = {.lex_state = 112, .external_lex_state = 3},
  [6717] = {.lex_state = 22, .external_lex_state = 3},
  [6718] = {.lex_state = 116, .external_lex_state = 3},
  [6719] = {.lex_state = 112, .external_lex_state = 3},
  [6720] = {.lex_state = 112, .external_lex_state = 3},
  [6721] = {.lex_state = 112, .external_lex_state = 3},
  [6722] = {.lex_state = 121, .external_lex_state = 3},
  [6723] = {.lex_state = 112, .external_lex_state = 3},
  [6724] = {.lex_state = 112, .external_lex_state = 3},
  [6725] = {.lex_state = 112, .external_lex_state = 3},
  [6726] = {.lex_state = 121, .external_lex_state = 3},
  [6727] = {.lex_state = 121, .external_lex_state = 3},
  [6728] = {.lex_state = 21, .external_lex_state = 3},
  [6729] = {.lex_state = 112, .external_lex_state = 3},
  [6730] = {.lex_state = 112, .external_lex_state = 3},
  [6731] = {.lex_state = 112, .external_lex_state = 3},
  [6732] = {.lex_state = 21, .external_lex_state = 3},
  [6733] = {.lex_state = 21, .external_lex_state = 3},
  [6734] = {.lex_state = 121, .external_lex_state = 3},
  [6735] = {.lex_state = 112, .external_lex_state = 3},
  [6736] = {.lex_state = 112, .external_lex_state = 3},
  [6737] = {.lex_state = 112, .external_lex_state = 3},
  [6738] = {.lex_state = 112, .external_lex_state = 3},
  [6739] = {.lex_state = 112, .external_lex_state = 3},
  [6740] = {.lex_state = 112, .external_lex_state = 3},
  [6741] = {.lex_state = 122, .external_lex_state = 3},
  [6742] = {.lex_state = 121, .external_lex_state = 3},
  [6743] = {.lex_state = 120, .external_lex_state = 3},
  [6744] = {.lex_state = 112, .external_lex_state = 3},
  [6745] = {.lex_state = 112, .external_lex_state = 3},
  [6746] = {.lex_state = 120, .external_lex_state = 3},
  [6747] = {.lex_state = 122, .external_lex_state = 3},
  [6748] = {.lex_state = 21, .external_lex_state = 3},
  [6749] = {.lex_state = 22, .external_lex_state = 3},
  [6750] = {.lex_state = 116, .external_lex_state = 3},
  [6751] = {.lex_state = 21, .external_lex_state = 3},
  [6752] = {.lex_state = 21, .external_lex_state = 3},
  [6753] = {.lex_state = 122, .external_lex_state = 3},
  [6754] = {.lex_state = 161, .external_lex_state = 2},
  [6755] = {.lex_state = 435, .external_lex_state = 2},
  [6756] = {.lex_state = 122, .external_lex_state = 3},
  [6757] = {.lex_state = 116, .external_lex_state = 3},
  [6758] = {.lex_state = 120, .external_lex_state = 3},
  [6759] = {.lex_state = 120, .external_lex_state = 3},
  [6760] = {.lex_state = 120, .external_lex_state = 3},
  [6761] = {.lex_state = 120, .external_lex_state = 3},
  [6762] = {.lex_state = 112, .external_lex_state = 3},
  [6763] = {.lex_state = 22, .external_lex_state = 3},
  [6764] = {.lex_state = 116, .external_lex_state = 3},
  [6765] = {.lex_state = 112, .external_lex_state = 3},
  [6766] = {.lex_state = 120, .external_lex_state = 3},
  [6767] = {.lex_state = 112, .external_lex_state = 3},
  [6768] = {.lex_state = 112, .external_lex_state = 3},
  [6769] = {.lex_state = 116, .external_lex_state = 3},
  [6770] = {.lex_state = 112, .external_lex_state = 3},
  [6771] = {.lex_state = 435, .external_lex_state = 2},
  [6772] = {.lex_state = 122, .external_lex_state = 3},
  [6773] = {.lex_state = 120, .external_lex_state = 3},
  [6774] = {.lex_state = 112, .external_lex_state = 3},
  [6775] = {.lex_state = 120, .external_lex_state = 3},
  [6776] = {.lex_state = 112, .external_lex_state = 3},
  [6777] = {.lex_state = 122, .external_lex_state = 3},
  [6778] = {.lex_state = 122, .external_lex_state = 3},
  [6779] = {.lex_state = 112, .external_lex_state = 3},
  [6780] = {.lex_state = 121, .external_lex_state = 3},
  [6781] = {.lex_state = 120, .external_lex_state = 3},
  [6782] = {.lex_state = 122, .external_lex_state = 3},
  [6783] = {.lex_state = 116, .external_lex_state = 3},
  [6784] = {.lex_state = 121, .external_lex_state = 3},
  [6785] = {.lex_state = 121, .external_lex_state = 3},
  [6786] = {.lex_state = 22, .external_lex_state = 3},
  [6787] = {.lex_state = 122, .external_lex_state = 3},
  [6788] = {.lex_state = 121, .external_lex_state = 3},
  [6789] = {.lex_state = 120, .external_lex_state = 3},
  [6790] = {.lex_state = 112, .external_lex_state = 3},
  [6791] = {.lex_state = 122, .external_lex_state = 3},
  [6792] = {.lex_state = 120, .external_lex_state = 3},
  [6793] = {.lex_state = 21, .external_lex_state = 3},
  [6794] = {.lex_state = 122, .external_lex_state = 3},
  [6795] = {.lex_state = 122, .external_lex_state = 3},
  [6796] = {.lex_state = 116, .external_lex_state = 3},
  [6797] = {.lex_state = 120, .external_lex_state = 3},
  [6798] = {.lex_state = 116, .external_lex_state = 3},
  [6799] = {.lex_state = 120, .external_lex_state = 3},
  [6800] = {.lex_state = 122, .external_lex_state = 3},
  [6801] = {.lex_state = 122, .external_lex_state = 3},
  [6802] = {.lex_state = 122, .external_lex_state = 3},
  [6803] = {.lex_state = 120, .external_lex_state = 3},
  [6804] = {.lex_state = 116, .external_lex_state = 3},
  [6805] = {.lex_state = 121, .external_lex_state = 3},
  [6806] = {.lex_state = 121, .external_lex_state = 3},
  [6807] = {.lex_state = 121, .external_lex_state = 3},
  [6808] = {.lex_state = 120, .external_lex_state = 3},
  [6809] = {.lex_state = 122, .external_lex_state = 3},
  [6810] = {.lex_state = 112, .external_lex_state = 3},
  [6811] = {.lex_state = 120, .external_lex_state = 3},
  [6812] = {.lex_state = 22, .external_lex_state = 3},
  [6813] = {.lex_state = 121, .external_lex_state = 3},
  [6814] = {.lex_state = 21, .external_lex_state = 3},
  [6815] = {.lex_state = 21, .external_lex_state = 3},
  [6816] = {.lex_state = 122, .external_lex_state = 3},
  [6817] = {.lex_state = 112, .external_lex_state = 3},
  [6818] = {.lex_state = 121, .external_lex_state = 3},
  [6819] = {.lex_state = 121, .external_lex_state = 3},
  [6820] = {.lex_state = 121, .external_lex_state = 3},
  [6821] = {.lex_state = 122, .external_lex_state = 3},
  [6822] = {.lex_state = 112, .external_lex_state = 3},
  [6823] = {.lex_state = 112, .external_lex_state = 3},
  [6824] = {.lex_state = 112, .external_lex_state = 3},
  [6825] = {.lex_state = 112, .external_lex_state = 3},
  [6826] = {.lex_state = 116, .external_lex_state = 3},
  [6827] = {.lex_state = 122, .external_lex_state = 3},
  [6828] = {.lex_state = 121, .external_lex_state = 3},
  [6829] = {.lex_state = 121, .external_lex_state = 3},
  [6830] = {.lex_state = 22, .external_lex_state = 3},
  [6831] = {.lex_state = 124, .external_lex_state = 3},
  [6832] = {.lex_state = 122, .external_lex_state = 3},
  [6833] = {.lex_state = 121, .external_lex_state = 3},
  [6834] = {.lex_state = 112, .external_lex_state = 3},
  [6835] = {.lex_state = 121, .external_lex_state = 3},
  [6836] = {.lex_state = 112, .external_lex_state = 3},
  [6837] = {.lex_state = 121, .external_lex_state = 3},
  [6838] = {.lex_state = 121, .external_lex_state = 3},
  [6839] = {.lex_state = 116, .external_lex_state = 3},
  [6840] = {.lex_state = 21, .external_lex_state = 3},
  [6841] = {.lex_state = 116, .external_lex_state = 3},
  [6842] = {.lex_state = 116, .external_lex_state = 3},
  [6843] = {.lex_state = 121, .external_lex_state = 3},
  [6844] = {.lex_state = 112, .external_lex_state = 3},
  [6845] = {.lex_state = 121, .external_lex_state = 3},
  [6846] = {.lex_state = 122, .external_lex_state = 3},
  [6847] = {.lex_state = 122, .external_lex_state = 3},
  [6848] = {.lex_state = 121, .external_lex_state = 3},
  [6849] = {.lex_state = 116, .external_lex_state = 3},
  [6850] = {.lex_state = 121, .external_lex_state = 3},
  [6851] = {.lex_state = 122, .external_lex_state = 3},
  [6852] = {.lex_state = 120, .external_lex_state = 3},
  [6853] = {.lex_state = 121, .external_lex_state = 3},
  [6854] = {.lex_state = 116, .external_lex_state = 3},
  [6855] = {.lex_state = 122, .external_lex_state = 3},
  [6856] = {.lex_state = 112, .external_lex_state = 3},
  [6857] = {.lex_state = 121, .external_lex_state = 3},
  [6858] = {.lex_state = 21, .external_lex_state = 3},
  [6859] = {.lex_state = 121, .external_lex_state = 3},
  [6860] = {.lex_state = 116, .external_lex_state = 3},
  [6861] = {.lex_state = 21, .external_lex_state = 3},
  [6862] = {.lex_state = 122, .external_lex_state = 3},
  [6863] = {.lex_state = 21, .external_lex_state = 3},
  [6864] = {.lex_state = 122, .external_lex_state = 3},
  [6865] = {.lex_state = 21, .external_lex_state = 3},
  [6866] = {.lex_state = 21, .external_lex_state = 3},
  [6867] = {.lex_state = 121, .external_lex_state = 3},
  [6868] = {.lex_state = 122, .external_lex_state = 3},
  [6869] = {.lex_state = 116, .external_lex_state = 3},
  [6870] = {.lex_state = 122, .external_lex_state = 3},
  [6871] = {.lex_state = 21, .external_lex_state = 3},
  [6872] = {.lex_state = 121, .external_lex_state = 3},
  [6873] = {.lex_state = 120, .external_lex_state = 3},
  [6874] = {.lex_state = 122, .external_lex_state = 3},
  [6875] = {.lex_state = 122, .external_lex_state = 3},
  [6876] = {.lex_state = 116, .external_lex_state = 3},
  [6877] = {.lex_state = 116, .external_lex_state = 3},
  [6878] = {.lex_state = 122, .external_lex_state = 3},
  [6879] = {.lex_state = 21, .external_lex_state = 3},
  [6880] = {.lex_state = 112, .external_lex_state = 3},
  [6881] = {.lex_state = 21, .external_lex_state = 3},
  [6882] = {.lex_state = 21, .external_lex_state = 3},
  [6883] = {.lex_state = 116, .external_lex_state = 3},
  [6884] = {.lex_state = 122, .external_lex_state = 3},
  [6885] = {.lex_state = 21, .external_lex_state = 3},
  [6886] = {.lex_state = 21, .external_lex_state = 3},
  [6887] = {.lex_state = 21, .external_lex_state = 3},
  [6888] = {.lex_state = 116, .external_lex_state = 3},
  [6889] = {.lex_state = 112, .external_lex_state = 3},
  [6890] = {.lex_state = 116, .external_lex_state = 3},
  [6891] = {.lex_state = 22, .external_lex_state = 3},
  [6892] = {.lex_state = 21, .external_lex_state = 3},
  [6893] = {.lex_state = 21, .external_lex_state = 3},
  [6894] = {.lex_state = 121, .external_lex_state = 3},
  [6895] = {.lex_state = 116, .external_lex_state = 3},
  [6896] = {.lex_state = 21, .external_lex_state = 3},
  [6897] = {.lex_state = 21, .external_lex_state = 3},
  [6898] = {.lex_state = 116, .external_lex_state = 3},
  [6899] = {.lex_state = 21, .external_lex_state = 3},
  [6900] = {.lex_state = 21, .external_lex_state = 3},
  [6901] = {.lex_state = 122, .external_lex_state = 3},
  [6902] = {.lex_state = 122, .external_lex_state = 3},
  [6903] = {.lex_state = 21, .external_lex_state = 3},
  [6904] = {.lex_state = 21, .external_lex_state = 3},
  [6905] = {.lex_state = 22, .external_lex_state = 3},
  [6906] = {.lex_state = 21, .external_lex_state = 3},
  [6907] = {.lex_state = 120, .external_lex_state = 3},
  [6908] = {.lex_state = 21, .external_lex_state = 3},
  [6909] = {.lex_state = 21, .external_lex_state = 3},
  [6910] = {.lex_state = 21, .external_lex_state = 3},
  [6911] = {.lex_state = 112, .external_lex_state = 3},
  [6912] = {.lex_state = 21, .external_lex_state = 3},
  [6913] = {.lex_state = 113, .external_lex_state = 3},
  [6914] = {.lex_state = 21, .external_lex_state = 3},
  [6915] = {.lex_state = 21, .external_lex_state = 3},
  [6916] = {.lex_state = 21, .external_lex_state = 3},
  [6917] = {.lex_state = 121, .external_lex_state = 3},
  [6918] = {.lex_state = 21, .external_lex_state = 3},
  [6919] = {.lex_state = 122, .external_lex_state = 3},
  [6920] = {.lex_state = 120, .external_lex_state = 3},
  [6921] = {.lex_state = 21, .external_lex_state = 3},
  [6922] = {.lex_state = 21, .external_lex_state = 3},
  [6923] = {.lex_state = 120, .external_lex_state = 3},
  [6924] = {.lex_state = 21, .external_lex_state = 3},
  [6925] = {.lex_state = 120, .external_lex_state = 3},
  [6926] = {.lex_state = 21, .external_lex_state = 3},
  [6927] = {.lex_state = 21, .external_lex_state = 3},
  [6928] = {.lex_state = 21, .external_lex_state = 3},
  [6929] = {.lex_state = 116, .external_lex_state = 3},
  [6930] = {.lex_state = 21, .external_lex_state = 3},
  [6931] = {.lex_state = 21, .external_lex_state = 3},
  [6932] = {.lex_state = 21, .external_lex_state = 3},
  [6933] = {.lex_state = 112, .external_lex_state = 3},
  [6934] = {.lex_state = 21, .external_lex_state = 3},
  [6935] = {.lex_state = 21, .external_lex_state = 3},
  [6936] = {.lex_state = 21, .external_lex_state = 3},
  [6937] = {.lex_state = 116, .external_lex_state = 3},
  [6938] = {.lex_state = 21, .external_lex_state = 3},
  [6939] = {.lex_state = 122, .external_lex_state = 3},
  [6940] = {.lex_state = 116, .external_lex_state = 3},
  [6941] = {.lex_state = 122, .external_lex_state = 3},
  [6942] = {.lex_state = 116, .external_lex_state = 3},
  [6943] = {.lex_state = 120, .external_lex_state = 3},
  [6944] = {.lex_state = 121, .external_lex_state = 3},
  [6945] = {.lex_state = 122, .external_lex_state = 3},
  [6946] = {.lex_state = 120, .external_lex_state = 3},
  [6947] = {.lex_state = 120, .external_lex_state = 3},
  [6948] = {.lex_state = 120, .external_lex_state = 3},
  [6949] = {.lex_state = 112, .external_lex_state = 3},
  [6950] = {.lex_state = 112, .external_lex_state = 3},
  [6951] = {.lex_state = 21, .external_lex_state = 3},
  [6952] = {.lex_state = 120, .external_lex_state = 3},
  [6953] = {.lex_state = 121, .external_lex_state = 3},
  [6954] = {.lex_state = 116, .external_lex_state = 3},
  [6955] = {.lex_state = 122, .external_lex_state = 3},
  [6956] = {.lex_state = 116, .external_lex_state = 3},
  [6957] = {.lex_state = 120, .external_lex_state = 3},
  [6958] = {.lex_state = 121, .external_lex_state = 3},
  [6959] = {.lex_state = 21, .external_lex_state = 3},
  [6960] = {.lex_state = 121, .external_lex_state = 3},
  [6961] = {.lex_state = 121, .external_lex_state = 3},
  [6962] = {.lex_state = 121, .external_lex_state = 3},
  [6963] = {.lex_state = 22, .external_lex_state = 3},
  [6964] = {.lex_state = 121, .external_lex_state = 3},
  [6965] = {.lex_state = 22, .external_lex_state = 3},
  [6966] = {.lex_state = 120, .external_lex_state = 3},
  [6967] = {.lex_state = 122, .external_lex_state = 3},
  [6968] = {.lex_state = 121, .external_lex_state = 3},
  [6969] = {.lex_state = 121, .external_lex_state = 3},
  [6970] = {.lex_state = 121, .external_lex_state = 3},
  [6971] = {.lex_state = 121, .external_lex_state = 3},
  [6972] = {.lex_state = 121, .external_lex_state = 3},
  [6973] = {.lex_state = 120, .external_lex_state = 3},
  [6974] = {.lex_state = 120, .external_lex_state = 3},
  [6975] = {.lex_state = 22, .external_lex_state = 3},
  [6976] = {.lex_state = 121, .external_lex_state = 3},
  [6977] = {.lex_state = 121, .external_lex_state = 3},
  [6978] = {.lex_state = 116, .external_lex_state = 3},
  [6979] = {.lex_state = 21, .external_lex_state = 3},
  [6980] = {.lex_state = 120, .external_lex_state = 3},
  [6981] = {.lex_state = 120, .external_lex_state = 3},
  [6982] = {.lex_state = 121, .external_lex_state = 3},
  [6983] = {.lex_state = 21, .external_lex_state = 3},
  [6984] = {.lex_state = 121, .external_lex_state = 3},
  [6985] = {.lex_state = 21, .external_lex_state = 3},
  [6986] = {.lex_state = 120, .external_lex_state = 3},
  [6987] = {.lex_state = 121, .external_lex_state = 3},
  [6988] = {.lex_state = 112, .external_lex_state = 3},
  [6989] = {.lex_state = 21, .external_lex_state = 3},
  [6990] = {.lex_state = 21, .external_lex_state = 3},
  [6991] = {.lex_state = 122, .external_lex_state = 3},
  [6992] = {.lex_state = 121, .external_lex_state = 3},
  [6993] = {.lex_state = 21, .external_lex_state = 3},
  [6994] = {.lex_state = 121, .external_lex_state = 3},
  [6995] = {.lex_state = 121, .external_lex_state = 3},
  [6996] = {.lex_state = 121, .external_lex_state = 3},
  [6997] = {.lex_state = 121, .external_lex_state = 3},
  [6998] = {.lex_state = 22, .external_lex_state = 3},
  [6999] = {.lex_state = 120, .external_lex_state = 3},
  [7000] = {.lex_state = 121, .external_lex_state = 3},
  [7001] = {.lex_state = 122, .external_lex_state = 3},
  [7002] = {.lex_state = 112, .external_lex_state = 3},
  [7003] = {.lex_state = 435, .external_lex_state = 2},
  [7004] = {.lex_state = 21, .external_lex_state = 3},
  [7005] = {.lex_state = 121, .external_lex_state = 3},
  [7006] = {.lex_state = 122, .external_lex_state = 3},
  [7007] = {.lex_state = 121, .external_lex_state = 3},
  [7008] = {.lex_state = 120, .external_lex_state = 3},
  [7009] = {.lex_state = 116, .external_lex_state = 3},
  [7010] = {.lex_state = 122, .external_lex_state = 3},
  [7011] = {.lex_state = 124, .external_lex_state = 3},
  [7012] = {.lex_state = 121, .external_lex_state = 3},
  [7013] = {.lex_state = 120, .external_lex_state = 3},
  [7014] = {.lex_state = 122, .external_lex_state = 3},
  [7015] = {.lex_state = 121, .external_lex_state = 3},
  [7016] = {.lex_state = 22, .external_lex_state = 3},
  [7017] = {.lex_state = 112, .external_lex_state = 3},
  [7018] = {.lex_state = 116, .external_lex_state = 3},
  [7019] = {.lex_state = 122, .external_lex_state = 3},
  [7020] = {.lex_state = 122, .external_lex_state = 3},
  [7021] = {.lex_state = 22, .external_lex_state = 3},
  [7022] = {.lex_state = 121, .external_lex_state = 3},
  [7023] = {.lex_state = 120, .external_lex_state = 3},
  [7024] = {.lex_state = 116, .external_lex_state = 3},
  [7025] = {.lex_state = 435, .external_lex_state = 2},
  [7026] = {.lex_state = 112, .external_lex_state = 3},
  [7027] = {.lex_state = 22, .external_lex_state = 3},
  [7028] = {.lex_state = 161, .external_lex_state = 2},
  [7029] = {.lex_state = 122, .external_lex_state = 3},
  [7030] = {.lex_state = 122, .external_lex_state = 3},
  [7031] = {.lex_state = 21, .external_lex_state = 3},
  [7032] = {.lex_state = 120, .external_lex_state = 3},
  [7033] = {.lex_state = 21, .external_lex_state = 3},
  [7034] = {.lex_state = 122, .external_lex_state = 3},
  [7035] = {.lex_state = 122, .external_lex_state = 3},
  [7036] = {.lex_state = 435, .external_lex_state = 2},
  [7037] = {.lex_state = 21, .external_lex_state = 3},
  [7038] = {.lex_state = 112, .external_lex_state = 3},
  [7039] = {.lex_state = 22, .external_lex_state = 3},
  [7040] = {.lex_state = 122, .external_lex_state = 3},
  [7041] = {.lex_state = 161, .external_lex_state = 2},
  [7042] = {.lex_state = 16, .external_lex_state = 3},
  [7043] = {.lex_state = 22, .external_lex_state = 3},
  [7044] = {.lex_state = 22, .external_lex_state = 3},
  [7045] = {.lex_state = 22, .external_lex_state = 3},
  [7046] = {.lex_state = 21, .external_lex_state = 3},
  [7047] = {.lex_state = 22, .external_lex_state = 3},
  [7048] = {.lex_state = 120, .external_lex_state = 3},
  [7049] = {.lex_state = 116, .external_lex_state = 3},
  [7050] = {.lex_state = 116, .external_lex_state = 3},
  [7051] = {.lex_state = 120, .external_lex_state = 3},
  [7052] = {.lex_state = 120, .external_lex_state = 3},
  [7053] = {.lex_state = 21, .external_lex_state = 3},
  [7054] = {.lex_state = 22, .external_lex_state = 3},
  [7055] = {.lex_state = 116, .external_lex_state = 3},
  [7056] = {.lex_state = 116, .external_lex_state = 3},
  [7057] = {.lex_state = 116, .external_lex_state = 3},
  [7058] = {.lex_state = 112, .external_lex_state = 3},
  [7059] = {.lex_state = 116, .external_lex_state = 3},
  [7060] = {.lex_state = 112, .external_lex_state = 3},
  [7061] = {.lex_state = 21, .external_lex_state = 3},
  [7062] = {.lex_state = 112, .external_lex_state = 3},
  [7063] = {.lex_state = 121, .external_lex_state = 3},
  [7064] = {.lex_state = 22, .external_lex_state = 3},
  [7065] = {.lex_state = 112, .external_lex_state = 3},
  [7066] = {.lex_state = 120, .external_lex_state = 3},
  [7067] = {.lex_state = 121, .external_lex_state = 3},
  [7068] = {.lex_state = 112, .external_lex_state = 3},
  [7069] = {.lex_state = 112, .external_lex_state = 3},
  [7070] = {.lex_state = 112, .external_lex_state = 3},
  [7071] = {.lex_state = 112, .external_lex_state = 3},
  [7072] = {.lex_state = 122, .external_lex_state = 3},
  [7073] = {.lex_state = 22, .external_lex_state = 3},
  [7074] = {.lex_state = 122, .external_lex_state = 3},
  [7075] = {.lex_state = 122, .external_lex_state = 3},
  [7076] = {.lex_state = 121, .external_lex_state = 3},
  [7077] = {.lex_state = 120, .external_lex_state = 3},
  [7078] = {.lex_state = 112, .external_lex_state = 3},
  [7079] = {.lex_state = 122, .external_lex_state = 3},
  [7080] = {.lex_state = 116, .external_lex_state = 3},
  [7081] = {.lex_state = 116, .external_lex_state = 3},
  [7082] = {.lex_state = 116, .external_lex_state = 3},
  [7083] = {.lex_state = 22, .external_lex_state = 3},
  [7084] = {.lex_state = 22, .external_lex_state = 3},
  [7085] = {.lex_state = 116, .external_lex_state = 3},
  [7086] = {.lex_state = 120, .external_lex_state = 3},
  [7087] = {.lex_state = 116, .external_lex_state = 3},
  [7088] = {.lex_state = 116, .external_lex_state = 3},
  [7089] = {.lex_state = 21, .external_lex_state = 3},
  [7090] = {.lex_state = 122, .external_lex_state = 3},
  [7091] = {.lex_state = 22, .external_lex_state = 3},
  [7092] = {.lex_state = 22, .external_lex_state = 3},
  [7093] = {.lex_state = 112, .external_lex_state = 3},
  [7094] = {.lex_state = 21, .external_lex_state = 3},
  [7095] = {.lex_state = 116, .external_lex_state = 3},
  [7096] = {.lex_state = 116, .external_lex_state = 3},
  [7097] = {.lex_state = 122, .external_lex_state = 3},
  [7098] = {.lex_state = 161, .external_lex_state = 2},
  [7099] = {.lex_state = 116, .external_lex_state = 3},
  [7100] = {.lex_state = 22, .external_lex_state = 3},
  [7101] = {.lex_state = 122, .external_lex_state = 3},
  [7102] = {.lex_state = 122, .external_lex_state = 3},
  [7103] = {.lex_state = 116, .external_lex_state = 3},
  [7104] = {.lex_state = 116, .external_lex_state = 3},
  [7105] = {.lex_state = 116, .external_lex_state = 3},
  [7106] = {.lex_state = 22, .external_lex_state = 3},
  [7107] = {.lex_state = 116, .external_lex_state = 3},
  [7108] = {.lex_state = 120, .external_lex_state = 3},
  [7109] = {.lex_state = 116, .external_lex_state = 3},
  [7110] = {.lex_state = 112, .external_lex_state = 3},
  [7111] = {.lex_state = 112, .external_lex_state = 3},
  [7112] = {.lex_state = 116, .external_lex_state = 3},
  [7113] = {.lex_state = 116, .external_lex_state = 3},
  [7114] = {.lex_state = 116, .external_lex_state = 3},
  [7115] = {.lex_state = 112, .external_lex_state = 3},
  [7116] = {.lex_state = 22, .external_lex_state = 3},
  [7117] = {.lex_state = 116, .external_lex_state = 3},
  [7118] = {.lex_state = 116, .external_lex_state = 3},
  [7119] = {.lex_state = 121, .external_lex_state = 3},
  [7120] = {.lex_state = 116, .external_lex_state = 3},
  [7121] = {.lex_state = 116, .external_lex_state = 3},
  [7122] = {.lex_state = 120, .external_lex_state = 3},
  [7123] = {.lex_state = 116, .external_lex_state = 3},
  [7124] = {.lex_state = 22, .external_lex_state = 3},
  [7125] = {.lex_state = 116, .external_lex_state = 3},
  [7126] = {.lex_state = 120, .external_lex_state = 3},
  [7127] = {.lex_state = 121, .external_lex_state = 3},
  [7128] = {.lex_state = 21, .external_lex_state = 3},
  [7129] = {.lex_state = 161, .external_lex_state = 2},
  [7130] = {.lex_state = 163, .external_lex_state = 2},
  [7131] = {.lex_state = 163, .external_lex_state = 2},
  [7132] = {.lex_state = 16, .external_lex_state = 3},
  [7133] = {.lex_state = 163, .external_lex_state = 2},
  [7134] = {.lex_state = 163, .external_lex_state = 2},
  [7135] = {.lex_state = 111, .external_lex_state = 3},
  [7136] = {.lex_state = 16, .external_lex_state = 3},
  [7137] = {.lex_state = 163, .external_lex_state = 2},
  [7138] = {.lex_state = 163, .external_lex_state = 2},
  [7139] = {.lex_state = 161, .external_lex_state = 2},
  [7140] = {.lex_state = 163, .external_lex_state = 2},
  [7141] = {.lex_state = 197, .external_lex_state = 3},
  [7142] = {.lex_state = 163, .external_lex_state = 2},
  [7143] = {.lex_state = 172, .external_lex_state = 3},
  [7144] = {.lex_state = 163, .external_lex_state = 2},
  [7145] = {.lex_state = 163, .external_lex_state = 2},
  [7146] = {.lex_state = 163, .external_lex_state = 2},
  [7147] = {.lex_state = 163, .external_lex_state = 2},
  [7148] = {.lex_state = 163, .external_lex_state = 2},
  [7149] = {.lex_state = 163, .external_lex_state = 2},
  [7150] = {.lex_state = 16, .external_lex_state = 3},
  [7151] = {.lex_state = 163, .external_lex_state = 2},
  [7152] = {.lex_state = 163, .external_lex_state = 2},
  [7153] = {.lex_state = 161, .external_lex_state = 2},
  [7154] = {.lex_state = 163, .external_lex_state = 2},
  [7155] = {.lex_state = 15, .external_lex_state = 3},
  [7156] = {.lex_state = 163, .external_lex_state = 2},
  [7157] = {.lex_state = 163, .external_lex_state = 2},
  [7158] = {.lex_state = 163, .external_lex_state = 2},
  [7159] = {.lex_state = 163, .external_lex_state = 2},
  [7160] = {.lex_state = 163, .external_lex_state = 2},
  [7161] = {.lex_state = 163, .external_lex_state = 2},
  [7162] = {.lex_state = 163, .external_lex_state = 2},
  [7163] = {.lex_state = 163, .external_lex_state = 2},
  [7164] = {.lex_state = 161, .external_lex_state = 2},
  [7165] = {.lex_state = 163, .external_lex_state = 2},
  [7166] = {.lex_state = 163, .external_lex_state = 2},
  [7167] = {.lex_state = 16, .external_lex_state = 3},
  [7168] = {.lex_state = 163, .external_lex_state = 2},
  [7169] = {.lex_state = 161, .external_lex_state = 2},
  [7170] = {.lex_state = 161, .external_lex_state = 2},
  [7171] = {.lex_state = 15, .external_lex_state = 3},
  [7172] = {.lex_state = 163, .external_lex_state = 2},
  [7173] = {.lex_state = 16, .external_lex_state = 3},
  [7174] = {.lex_state = 163, .external_lex_state = 2},
  [7175] = {.lex_state = 161, .external_lex_state = 2},
  [7176] = {.lex_state = 161, .external_lex_state = 2},
  [7177] = {.lex_state = 163, .external_lex_state = 2},
  [7178] = {.lex_state = 16, .external_lex_state = 3},
  [7179] = {.lex_state = 119, .external_lex_state = 3},
  [7180] = {.lex_state = 163, .external_lex_state = 2},
  [7181] = {.lex_state = 163, .external_lex_state = 2},
  [7182] = {.lex_state = 161, .external_lex_state = 2},
  [7183] = {.lex_state = 16, .external_lex_state = 3},
  [7184] = {.lex_state = 161, .external_lex_state = 2},
  [7185] = {.lex_state = 161, .external_lex_state = 2},
  [7186] = {.lex_state = 163, .external_lex_state = 2},
  [7187] = {.lex_state = 161, .external_lex_state = 2},
  [7188] = {.lex_state = 161, .external_lex_state = 2},
  [7189] = {.lex_state = 16, .external_lex_state = 3},
  [7190] = {.lex_state = 16, .external_lex_state = 3},
  [7191] = {.lex_state = 161, .external_lex_state = 2},
  [7192] = {.lex_state = 161, .external_lex_state = 2},
  [7193] = {.lex_state = 16, .external_lex_state = 3},
  [7194] = {.lex_state = 16, .external_lex_state = 3},
  [7195] = {.lex_state = 16, .external_lex_state = 3},
  [7196] = {.lex_state = 174, .external_lex_state = 3},
  [7197] = {.lex_state = 161, .external_lex_state = 2},
  [7198] = {.lex_state = 161, .external_lex_state = 2},
  [7199] = {.lex_state = 163, .external_lex_state = 2},
  [7200] = {.lex_state = 174, .external_lex_state = 3},
  [7201] = {.lex_state = 163, .external_lex_state = 2},
  [7202] = {.lex_state = 163, .external_lex_state = 2},
  [7203] = {.lex_state = 163, .external_lex_state = 2},
  [7204] = {.lex_state = 117, .external_lex_state = 3},
  [7205] = {.lex_state = 163, .external_lex_state = 2},
  [7206] = {.lex_state = 114, .external_lex_state = 3},
  [7207] = {.lex_state = 15, .external_lex_state = 3},
  [7208] = {.lex_state = 161, .external_lex_state = 2},
  [7209] = {.lex_state = 15, .external_lex_state = 3},
  [7210] = {.lex_state = 16, .external_lex_state = 3},
  [7211] = {.lex_state = 161, .external_lex_state = 2},
  [7212] = {.lex_state = 16, .external_lex_state = 3},
  [7213] = {.lex_state = 16, .external_lex_state = 3},
  [7214] = {.lex_state = 16, .external_lex_state = 3},
  [7215] = {.lex_state = 16, .external_lex_state = 3},
  [7216] = {.lex_state = 161, .external_lex_state = 2},
  [7217] = {.lex_state = 161, .external_lex_state = 2},
  [7218] = {.lex_state = 161, .external_lex_state = 2},
  [7219] = {.lex_state = 15, .external_lex_state = 3},
  [7220] = {.lex_state = 161, .external_lex_state = 2},
  [7221] = {.lex_state = 161, .external_lex_state = 2},
  [7222] = {.lex_state = 163, .external_lex_state = 2},
  [7223] = {.lex_state = 195, .external_lex_state = 3},
  [7224] = {.lex_state = 115, .external_lex_state = 3},
  [7225] = {.lex_state = 163, .external_lex_state = 2},
  [7226] = {.lex_state = 161, .external_lex_state = 2},
  [7227] = {.lex_state = 161, .external_lex_state = 2},
  [7228] = {.lex_state = 163, .external_lex_state = 2},
  [7229] = {.lex_state = 161, .external_lex_state = 2},
  [7230] = {.lex_state = 15, .external_lex_state = 3},
  [7231] = {.lex_state = 15, .external_lex_state = 3},
  [7232] = {.lex_state = 15, .external_lex_state = 3},
  [7233] = {.lex_state = 163, .external_lex_state = 2},
  [7234] = {.lex_state = 161, .external_lex_state = 2},
  [7235] = {.lex_state = 163, .external_lex_state = 2},
  [7236] = {.lex_state = 163, .external_lex_state = 2},
  [7237] = {.lex_state = 16, .external_lex_state = 3},
  [7238] = {.lex_state = 161, .external_lex_state = 2},
  [7239] = {.lex_state = 113, .external_lex_state = 3},
  [7240] = {.lex_state = 161, .external_lex_state = 2},
  [7241] = {.lex_state = 163, .external_lex_state = 2},
  [7242] = {.lex_state = 163, .external_lex_state = 2},
  [7243] = {.lex_state = 163, .external_lex_state = 2},
  [7244] = {.lex_state = 161, .external_lex_state = 2},
  [7245] = {.lex_state = 15, .external_lex_state = 3},
  [7246] = {.lex_state = 15, .external_lex_state = 3},
  [7247] = {.lex_state = 163, .external_lex_state = 2},
  [7248] = {.lex_state = 163, .external_lex_state = 2},
  [7249] = {.lex_state = 15, .external_lex_state = 3},
  [7250] = {.lex_state = 163, .external_lex_state = 2},
  [7251] = {.lex_state = 172, .external_lex_state = 3},
  [7252] = {.lex_state = 15, .external_lex_state = 3},
  [7253] = {.lex_state = 15, .external_lex_state = 3},
  [7254] = {.lex_state = 163, .external_lex_state = 2},
  [7255] = {.lex_state = 113, .external_lex_state = 3},
  [7256] = {.lex_state = 161, .external_lex_state = 2},
  [7257] = {.lex_state = 15, .external_lex_state = 3},
  [7258] = {.lex_state = 15, .external_lex_state = 3},
  [7259] = {.lex_state = 163, .external_lex_state = 2},
  [7260] = {.lex_state = 161, .external_lex_state = 2},
  [7261] = {.lex_state = 163, .external_lex_state = 2},
  [7262] = {.lex_state = 163, .external_lex_state = 2},
  [7263] = {.lex_state = 118, .external_lex_state = 3},
  [7264] = {.lex_state = 161, .external_lex_state = 2},
  [7265] = {.lex_state = 16, .external_lex_state = 3},
  [7266] = {.lex_state = 163, .external_lex_state = 2},
  [7267] = {.lex_state = 161, .external_lex_state = 2},
  [7268] = {.lex_state = 161, .external_lex_state = 2},
  [7269] = {.lex_state = 15, .external_lex_state = 3},
  [7270] = {.lex_state = 163, .external_lex_state = 2},
  [7271] = {.lex_state = 163, .external_lex_state = 2},
  [7272] = {.lex_state = 161, .external_lex_state = 2},
  [7273] = {.lex_state = 15, .external_lex_state = 3},
  [7274] = {.lex_state = 163, .external_lex_state = 2},
  [7275] = {.lex_state = 15, .external_lex_state = 3},
  [7276] = {.lex_state = 163, .external_lex_state = 2},
  [7277] = {.lex_state = 163, .external_lex_state = 2},
  [7278] = {.lex_state = 161, .external_lex_state = 2},
  [7279] = {.lex_state = 163, .external_lex_state = 2},
  [7280] = {.lex_state = 163, .external_lex_state = 2},
  [7281] = {.lex_state = 161, .external_lex_state = 2},
  [7282] = {.lex_state = 161, .external_lex_state = 2},
  [7283] = {.lex_state = 161, .external_lex_state = 2},
  [7284] = {.lex_state = 163, .external_lex_state = 2},
  [7285] = {.lex_state = 161, .external_lex_state = 2},
  [7286] = {.lex_state = 161, .external_lex_state = 2},
  [7287] = {.lex_state = 163, .external_lex_state = 2},
  [7288] = {.lex_state = 161, .external_lex_state = 2},
  [7289] = {.lex_state = 163, .external_lex_state = 2},
  [7290] = {.lex_state = 161, .external_lex_state = 2},
  [7291] = {.lex_state = 163, .external_lex_state = 2},
  [7292] = {.lex_state = 163, .external_lex_state = 2},
  [7293] = {.lex_state = 163, .external_lex_state = 2},
  [7294] = {.lex_state = 163, .external_lex_state = 2},
  [7295] = {.lex_state = 161, .external_lex_state = 2},
  [7296] = {.lex_state = 163, .external_lex_state = 2},
  [7297] = {.lex_state = 163, .external_lex_state = 2},
  [7298] = {.lex_state = 161, .external_lex_state = 2},
  [7299] = {.lex_state = 16, .external_lex_state = 3},
  [7300] = {.lex_state = 161, .external_lex_state = 2},
  [7301] = {.lex_state = 161, .external_lex_state = 2},
  [7302] = {.lex_state = 161, .external_lex_state = 2},
  [7303] = {.lex_state = 163, .external_lex_state = 2},
  [7304] = {.lex_state = 163, .external_lex_state = 2},
  [7305] = {.lex_state = 161, .external_lex_state = 2},
  [7306] = {.lex_state = 163, .external_lex_state = 2},
  [7307] = {.lex_state = 163, .external_lex_state = 2},
  [7308] = {.lex_state = 163, .external_lex_state = 2},
  [7309] = {.lex_state = 163, .external_lex_state = 2},
  [7310] = {.lex_state = 163, .external_lex_state = 2},
  [7311] = {.lex_state = 163, .external_lex_state = 2},
  [7312] = {.lex_state = 15, .external_lex_state = 3},
  [7313] = {.lex_state = 163, .external_lex_state = 2},
  [7314] = {.lex_state = 163, .external_lex_state = 2},
  [7315] = {.lex_state = 163, .external_lex_state = 2},
  [7316] = {.lex_state = 15, .external_lex_state = 3},
  [7317] = {.lex_state = 174, .external_lex_state = 3},
  [7318] = {.lex_state = 172, .external_lex_state = 3},
  [7319] = {.lex_state = 172, .external_lex_state = 3},
  [7320] = {.lex_state = 160, .external_lex_state = 2},
  [7321] = {.lex_state = 162, .external_lex_state = 2},
  [7322] = {.lex_state = 162, .external_lex_state = 2},
  [7323] = {.lex_state = 161, .external_lex_state = 2},
  [7324] = {.lex_state = 162, .external_lex_state = 2},
  [7325] = {.lex_state = 174, .external_lex_state = 3},
  [7326] = {.lex_state = 162, .external_lex_state = 2},
  [7327] = {.lex_state = 162, .external_lex_state = 2},
  [7328] = {.lex_state = 174, .external_lex_state = 3},
  [7329] = {.lex_state = 162, .external_lex_state = 2},
  [7330] = {.lex_state = 162, .external_lex_state = 2},
  [7331] = {.lex_state = 162, .external_lex_state = 2},
  [7332] = {.lex_state = 172, .external_lex_state = 3},
  [7333] = {.lex_state = 174, .external_lex_state = 3},
  [7334] = {.lex_state = 162, .external_lex_state = 2},
  [7335] = {.lex_state = 172, .external_lex_state = 3},
  [7336] = {.lex_state = 174, .external_lex_state = 3},
  [7337] = {.lex_state = 162, .external_lex_state = 2},
  [7338] = {.lex_state = 162, .external_lex_state = 2},
  [7339] = {.lex_state = 162, .external_lex_state = 2},
  [7340] = {.lex_state = 172, .external_lex_state = 3},
  [7341] = {.lex_state = 162, .external_lex_state = 2},
  [7342] = {.lex_state = 162, .external_lex_state = 2},
  [7343] = {.lex_state = 162, .external_lex_state = 2},
  [7344] = {.lex_state = 162, .external_lex_state = 2},
  [7345] = {.lex_state = 117, .external_lex_state = 3},
  [7346] = {.lex_state = 172, .external_lex_state = 3},
  [7347] = {.lex_state = 119, .external_lex_state = 3},
  [7348] = {.lex_state = 162, .external_lex_state = 2},
  [7349] = {.lex_state = 174, .external_lex_state = 3},
  [7350] = {.lex_state = 174, .external_lex_state = 3},
  [7351] = {.lex_state = 162, .external_lex_state = 2},
  [7352] = {.lex_state = 162, .external_lex_state = 2},
  [7353] = {.lex_state = 162, .external_lex_state = 2},
  [7354] = {.lex_state = 174, .external_lex_state = 3},
  [7355] = {.lex_state = 162, .external_lex_state = 2},
  [7356] = {.lex_state = 162, .external_lex_state = 2},
  [7357] = {.lex_state = 161, .external_lex_state = 2},
  [7358] = {.lex_state = 172, .external_lex_state = 3},
  [7359] = {.lex_state = 115, .external_lex_state = 3},
  [7360] = {.lex_state = 162, .external_lex_state = 2},
  [7361] = {.lex_state = 172, .external_lex_state = 3},
  [7362] = {.lex_state = 162, .external_lex_state = 2},
  [7363] = {.lex_state = 172, .external_lex_state = 3},
  [7364] = {.lex_state = 162, .external_lex_state = 2},
  [7365] = {.lex_state = 172, .external_lex_state = 3},
  [7366] = {.lex_state = 162, .external_lex_state = 2},
  [7367] = {.lex_state = 161, .external_lex_state = 2},
  [7368] = {.lex_state = 162, .external_lex_state = 2},
  [7369] = {.lex_state = 172, .external_lex_state = 3},
  [7370] = {.lex_state = 174, .external_lex_state = 3},
  [7371] = {.lex_state = 172, .external_lex_state = 3},
  [7372] = {.lex_state = 162, .external_lex_state = 2},
  [7373] = {.lex_state = 161, .external_lex_state = 2},
  [7374] = {.lex_state = 172, .external_lex_state = 3},
  [7375] = {.lex_state = 161, .external_lex_state = 2},
  [7376] = {.lex_state = 162, .external_lex_state = 2},
  [7377] = {.lex_state = 172, .external_lex_state = 3},
  [7378] = {.lex_state = 162, .external_lex_state = 2},
  [7379] = {.lex_state = 162, .external_lex_state = 2},
  [7380] = {.lex_state = 161, .external_lex_state = 2},
  [7381] = {.lex_state = 162, .external_lex_state = 2},
  [7382] = {.lex_state = 172, .external_lex_state = 3},
  [7383] = {.lex_state = 174, .external_lex_state = 3},
  [7384] = {.lex_state = 174, .external_lex_state = 3},
  [7385] = {.lex_state = 115, .external_lex_state = 3},
  [7386] = {.lex_state = 162, .external_lex_state = 2},
  [7387] = {.lex_state = 174, .external_lex_state = 3},
  [7388] = {.lex_state = 174, .external_lex_state = 3},
  [7389] = {.lex_state = 174, .external_lex_state = 3},
  [7390] = {.lex_state = 162, .external_lex_state = 2},
  [7391] = {.lex_state = 162, .external_lex_state = 2},
  [7392] = {.lex_state = 162, .external_lex_state = 2},
  [7393] = {.lex_state = 172, .external_lex_state = 3},
  [7394] = {.lex_state = 21, .external_lex_state = 3},
  [7395] = {.lex_state = 174, .external_lex_state = 3},
  [7396] = {.lex_state = 162, .external_lex_state = 2},
  [7397] = {.lex_state = 174, .external_lex_state = 3},
  [7398] = {.lex_state = 172, .external_lex_state = 3},
  [7399] = {.lex_state = 162, .external_lex_state = 2},
  [7400] = {.lex_state = 162, .external_lex_state = 2},
  [7401] = {.lex_state = 112, .external_lex_state = 3},
  [7402] = {.lex_state = 161, .external_lex_state = 2},
  [7403] = {.lex_state = 162, .external_lex_state = 2},
  [7404] = {.lex_state = 114, .external_lex_state = 3},
  [7405] = {.lex_state = 162, .external_lex_state = 2},
  [7406] = {.lex_state = 172, .external_lex_state = 3},
  [7407] = {.lex_state = 162, .external_lex_state = 2},
  [7408] = {.lex_state = 162, .external_lex_state = 2},
  [7409] = {.lex_state = 162, .external_lex_state = 2},
  [7410] = {.lex_state = 162, .external_lex_state = 2},
  [7411] = {.lex_state = 172, .external_lex_state = 3},
  [7412] = {.lex_state = 162, .external_lex_state = 2},
  [7413] = {.lex_state = 162, .external_lex_state = 2},
  [7414] = {.lex_state = 172, .external_lex_state = 3},
  [7415] = {.lex_state = 161, .external_lex_state = 2},
  [7416] = {.lex_state = 172, .external_lex_state = 3},
  [7417] = {.lex_state = 172, .external_lex_state = 3},
  [7418] = {.lex_state = 162, .external_lex_state = 2},
  [7419] = {.lex_state = 172, .external_lex_state = 3},
  [7420] = {.lex_state = 172, .external_lex_state = 3},
  [7421] = {.lex_state = 172, .external_lex_state = 3},
  [7422] = {.lex_state = 161, .external_lex_state = 2},
  [7423] = {.lex_state = 162, .external_lex_state = 2},
  [7424] = {.lex_state = 172, .external_lex_state = 3},
  [7425] = {.lex_state = 162, .external_lex_state = 2},
  [7426] = {.lex_state = 162, .external_lex_state = 2},
  [7427] = {.lex_state = 174, .external_lex_state = 3},
  [7428] = {.lex_state = 172, .external_lex_state = 3},
  [7429] = {.lex_state = 111, .external_lex_state = 3},
  [7430] = {.lex_state = 174, .external_lex_state = 3},
  [7431] = {.lex_state = 172, .external_lex_state = 3},
  [7432] = {.lex_state = 161, .external_lex_state = 2},
  [7433] = {.lex_state = 172, .external_lex_state = 3},
  [7434] = {.lex_state = 172, .external_lex_state = 3},
  [7435] = {.lex_state = 172, .external_lex_state = 3},
  [7436] = {.lex_state = 172, .external_lex_state = 3},
  [7437] = {.lex_state = 162, .external_lex_state = 2},
  [7438] = {.lex_state = 162, .external_lex_state = 2},
  [7439] = {.lex_state = 174, .external_lex_state = 3},
  [7440] = {.lex_state = 172, .external_lex_state = 3},
  [7441] = {.lex_state = 114, .external_lex_state = 3},
  [7442] = {.lex_state = 121, .external_lex_state = 3},
  [7443] = {.lex_state = 174, .external_lex_state = 3},
  [7444] = {.lex_state = 174, .external_lex_state = 3},
  [7445] = {.lex_state = 174, .external_lex_state = 3},
  [7446] = {.lex_state = 172, .external_lex_state = 3},
  [7447] = {.lex_state = 118, .external_lex_state = 3},
  [7448] = {.lex_state = 162, .external_lex_state = 2},
  [7449] = {.lex_state = 172, .external_lex_state = 3},
  [7450] = {.lex_state = 22, .external_lex_state = 3},
  [7451] = {.lex_state = 162, .external_lex_state = 2},
  [7452] = {.lex_state = 172, .external_lex_state = 3},
  [7453] = {.lex_state = 161, .external_lex_state = 2},
  [7454] = {.lex_state = 172, .external_lex_state = 3},
  [7455] = {.lex_state = 162, .external_lex_state = 2},
  [7456] = {.lex_state = 162, .external_lex_state = 2},
  [7457] = {.lex_state = 174, .external_lex_state = 3},
  [7458] = {.lex_state = 174, .external_lex_state = 3},
  [7459] = {.lex_state = 172, .external_lex_state = 3},
  [7460] = {.lex_state = 174, .external_lex_state = 3},
  [7461] = {.lex_state = 172, .external_lex_state = 3},
  [7462] = {.lex_state = 174, .external_lex_state = 3},
  [7463] = {.lex_state = 172, .external_lex_state = 3},
  [7464] = {.lex_state = 174, .external_lex_state = 3},
  [7465] = {.lex_state = 174, .external_lex_state = 3},
  [7466] = {.lex_state = 160, .external_lex_state = 2},
  [7467] = {.lex_state = 174, .external_lex_state = 3},
  [7468] = {.lex_state = 174, .external_lex_state = 3},
  [7469] = {.lex_state = 174, .external_lex_state = 3},
  [7470] = {.lex_state = 172, .external_lex_state = 3},
  [7471] = {.lex_state = 174, .external_lex_state = 3},
  [7472] = {.lex_state = 172, .external_lex_state = 3},
  [7473] = {.lex_state = 174, .external_lex_state = 3},
  [7474] = {.lex_state = 122, .external_lex_state = 3},
  [7475] = {.lex_state = 161, .external_lex_state = 2},
  [7476] = {.lex_state = 172, .external_lex_state = 3},
  [7477] = {.lex_state = 174, .external_lex_state = 3},
  [7478] = {.lex_state = 174, .external_lex_state = 3},
  [7479] = {.lex_state = 174, .external_lex_state = 3},
  [7480] = {.lex_state = 116, .external_lex_state = 3},
  [7481] = {.lex_state = 162, .external_lex_state = 2},
  [7482] = {.lex_state = 174, .external_lex_state = 3},
  [7483] = {.lex_state = 161, .external_lex_state = 2},
  [7484] = {.lex_state = 174, .external_lex_state = 3},
  [7485] = {.lex_state = 160, .external_lex_state = 2},
  [7486] = {.lex_state = 174, .external_lex_state = 3},
  [7487] = {.lex_state = 162, .external_lex_state = 2},
  [7488] = {.lex_state = 119, .external_lex_state = 3},
  [7489] = {.lex_state = 174, .external_lex_state = 3},
  [7490] = {.lex_state = 162, .external_lex_state = 2},
  [7491] = {.lex_state = 172, .external_lex_state = 3},
  [7492] = {.lex_state = 162, .external_lex_state = 2},
  [7493] = {.lex_state = 172, .external_lex_state = 3},
  [7494] = {.lex_state = 174, .external_lex_state = 3},
  [7495] = {.lex_state = 162, .external_lex_state = 2},
  [7496] = {.lex_state = 161, .external_lex_state = 2},
  [7497] = {.lex_state = 162, .external_lex_state = 2},
  [7498] = {.lex_state = 174, .external_lex_state = 3},
  [7499] = {.lex_state = 174, .external_lex_state = 3},
  [7500] = {.lex_state = 161, .external_lex_state = 2},
  [7501] = {.lex_state = 162, .external_lex_state = 2},
  [7502] = {.lex_state = 174, .external_lex_state = 3},
  [7503] = {.lex_state = 174, .external_lex_state = 3},
  [7504] = {.lex_state = 174, .external_lex_state = 3},
  [7505] = {.lex_state = 118, .external_lex_state = 3},
  [7506] = {.lex_state = 161, .external_lex_state = 2},
  [7507] = {.lex_state = 174, .external_lex_state = 3},
  [7508] = {.lex_state = 162, .external_lex_state = 2},
  [7509] = {.lex_state = 162, .external_lex_state = 2},
  [7510] = {.lex_state = 172, .external_lex_state = 3},
  [7511] = {.lex_state = 172, .external_lex_state = 3},
  [7512] = {.lex_state = 162, .external_lex_state = 2},
  [7513] = {.lex_state = 172, .external_lex_state = 3},
  [7514] = {.lex_state = 172, .external_lex_state = 3},
  [7515] = {.lex_state = 172, .external_lex_state = 3},
  [7516] = {.lex_state = 174, .external_lex_state = 3},
  [7517] = {.lex_state = 162, .external_lex_state = 2},
  [7518] = {.lex_state = 172, .external_lex_state = 3},
  [7519] = {.lex_state = 172, .external_lex_state = 3},
  [7520] = {.lex_state = 162, .external_lex_state = 2},
  [7521] = {.lex_state = 162, .external_lex_state = 2},
  [7522] = {.lex_state = 162, .external_lex_state = 2},
  [7523] = {.lex_state = 162, .external_lex_state = 2},
  [7524] = {.lex_state = 162, .external_lex_state = 2},
  [7525] = {.lex_state = 174, .external_lex_state = 3},
  [7526] = {.lex_state = 117, .external_lex_state = 3},
  [7527] = {.lex_state = 162, .external_lex_state = 2},
  [7528] = {.lex_state = 161, .external_lex_state = 2},
  [7529] = {.lex_state = 174, .external_lex_state = 3},
  [7530] = {.lex_state = 120, .external_lex_state = 3},
  [7531] = {.lex_state = 162, .external_lex_state = 2},
  [7532] = {.lex_state = 174, .external_lex_state = 3},
  [7533] = {.lex_state = 172, .external_lex_state = 3},
  [7534] = {.lex_state = 162, .external_lex_state = 2},
  [7535] = {.lex_state = 162, .external_lex_state = 2},
  [7536] = {.lex_state = 174, .external_lex_state = 3},
  [7537] = {.lex_state = 162, .external_lex_state = 2},
  [7538] = {.lex_state = 174, .external_lex_state = 3},
  [7539] = {.lex_state = 162, .external_lex_state = 2},
  [7540] = {.lex_state = 174, .external_lex_state = 3},
  [7541] = {.lex_state = 172, .external_lex_state = 3},
  [7542] = {.lex_state = 172, .external_lex_state = 3},
  [7543] = {.lex_state = 172, .external_lex_state = 3},
  [7544] = {.lex_state = 172, .external_lex_state = 3},
  [7545] = {.lex_state = 172, .external_lex_state = 3},
  [7546] = {.lex_state = 162, .external_lex_state = 2},
  [7547] = {.lex_state = 161, .external_lex_state = 2},
  [7548] = {.lex_state = 172, .external_lex_state = 3},
  [7549] = {.lex_state = 172, .external_lex_state = 3},
  [7550] = {.lex_state = 162, .external_lex_state = 2},
  [7551] = {.lex_state = 174, .external_lex_state = 3},
  [7552] = {.lex_state = 174, .external_lex_state = 3},
  [7553] = {.lex_state = 174, .external_lex_state = 3},
  [7554] = {.lex_state = 161, .external_lex_state = 2},
  [7555] = {.lex_state = 174, .external_lex_state = 3},
  [7556] = {.lex_state = 174, .external_lex_state = 3},
  [7557] = {.lex_state = 172, .external_lex_state = 3},
  [7558] = {.lex_state = 162, .external_lex_state = 2},
  [7559] = {.lex_state = 161, .external_lex_state = 2},
  [7560] = {.lex_state = 111, .external_lex_state = 3},
  [7561] = {.lex_state = 161, .external_lex_state = 2},
  [7562] = {.lex_state = 162, .external_lex_state = 2},
  [7563] = {.lex_state = 174, .external_lex_state = 3},
  [7564] = {.lex_state = 174, .external_lex_state = 3},
  [7565] = {.lex_state = 175, .external_lex_state = 3},
  [7566] = {.lex_state = 120, .external_lex_state = 3},
  [7567] = {.lex_state = 435, .external_lex_state = 2},
  [7568] = {.lex_state = 122, .external_lex_state = 3},
  [7569] = {.lex_state = 435, .external_lex_state = 2},
  [7570] = {.lex_state = 435, .external_lex_state = 2},
  [7571] = {.lex_state = 435, .external_lex_state = 2},
  [7572] = {.lex_state = 173, .external_lex_state = 3},
  [7573] = {.lex_state = 435, .external_lex_state = 2},
  [7574] = {.lex_state = 435, .external_lex_state = 2},
  [7575] = {.lex_state = 435, .external_lex_state = 2},
  [7576] = {.lex_state = 121, .external_lex_state = 3},
  [7577] = {.lex_state = 21, .external_lex_state = 3},
  [7578] = {.lex_state = 435, .external_lex_state = 2},
  [7579] = {.lex_state = 22, .external_lex_state = 3},
  [7580] = {.lex_state = 22, .external_lex_state = 3},
  [7581] = {.lex_state = 435, .external_lex_state = 2},
  [7582] = {.lex_state = 435, .external_lex_state = 2},
  [7583] = {.lex_state = 22, .external_lex_state = 3},
  [7584] = {.lex_state = 22, .external_lex_state = 3},
  [7585] = {.lex_state = 22, .external_lex_state = 3},
  [7586] = {.lex_state = 435, .external_lex_state = 2},
  [7587] = {.lex_state = 120, .external_lex_state = 3},
  [7588] = {.lex_state = 116, .external_lex_state = 3},
  [7589] = {.lex_state = 435, .external_lex_state = 2},
  [7590] = {.lex_state = 198, .external_lex_state = 3},
  [7591] = {.lex_state = 21, .external_lex_state = 3},
  [7592] = {.lex_state = 21, .external_lex_state = 3},
  [7593] = {.lex_state = 22, .external_lex_state = 3},
  [7594] = {.lex_state = 435, .external_lex_state = 2},
  [7595] = {.lex_state = 435, .external_lex_state = 2},
  [7596] = {.lex_state = 196, .external_lex_state = 3},
  [7597] = {.lex_state = 435, .external_lex_state = 2},
  [7598] = {.lex_state = 435, .external_lex_state = 2},
  [7599] = {.lex_state = 122, .external_lex_state = 3},
  [7600] = {.lex_state = 173, .external_lex_state = 3},
  [7601] = {.lex_state = 21, .external_lex_state = 3},
  [7602] = {.lex_state = 435, .external_lex_state = 2},
  [7603] = {.lex_state = 116, .external_lex_state = 3},
  [7604] = {.lex_state = 21, .external_lex_state = 3},
  [7605] = {.lex_state = 21, .external_lex_state = 3},
  [7606] = {.lex_state = 112, .external_lex_state = 3},
  [7607] = {.lex_state = 435, .external_lex_state = 2},
  [7608] = {.lex_state = 435, .external_lex_state = 2},
  [7609] = {.lex_state = 21, .external_lex_state = 3},
  [7610] = {.lex_state = 22, .external_lex_state = 3},
  [7611] = {.lex_state = 112, .external_lex_state = 3},
  [7612] = {.lex_state = 435, .external_lex_state = 2},
  [7613] = {.lex_state = 121, .external_lex_state = 3},
  [7614] = {.lex_state = 175, .external_lex_state = 3},
  [7615] = {.lex_state = 435, .external_lex_state = 2},
  [7616] = {.lex_state = 435, .external_lex_state = 2},
  [7617] = {.lex_state = 435, .external_lex_state = 2},
  [7618] = {.lex_state = 435, .external_lex_state = 2},
  [7619] = {.lex_state = 435, .external_lex_state = 2},
  [7620] = {.lex_state = 435, .external_lex_state = 2},
  [7621] = {.lex_state = 211, .external_lex_state = 2},
  [7622] = {.lex_state = 23, .external_lex_state = 3},
  [7623] = {.lex_state = 23, .external_lex_state = 3},
  [7624] = {.lex_state = 435, .external_lex_state = 2},
  [7625] = {.lex_state = 435, .external_lex_state = 2},
  [7626] = {.lex_state = 173, .external_lex_state = 3},
  [7627] = {.lex_state = 23, .external_lex_state = 3},
  [7628] = {.lex_state = 40, .external_lex_state = 3},
  [7629] = {.lex_state = 173, .external_lex_state = 3},
  [7630] = {.lex_state = 435, .external_lex_state = 2},
  [7631] = {.lex_state = 173, .external_lex_state = 3},
  [7632] = {.lex_state = 435, .external_lex_state = 2},
  [7633] = {.lex_state = 435, .external_lex_state = 2},
  [7634] = {.lex_state = 435, .external_lex_state = 2},
  [7635] = {.lex_state = 173, .external_lex_state = 3},
  [7636] = {.lex_state = 23, .external_lex_state = 3},
  [7637] = {.lex_state = 175, .external_lex_state = 3},
  [7638] = {.lex_state = 23, .external_lex_state = 3},
  [7639] = {.lex_state = 175, .external_lex_state = 3},
  [7640] = {.lex_state = 173, .external_lex_state = 3},
  [7641] = {.lex_state = 435, .external_lex_state = 2},
  [7642] = {.lex_state = 23, .external_lex_state = 3},
  [7643] = {.lex_state = 435, .external_lex_state = 2},
  [7644] = {.lex_state = 435, .external_lex_state = 2},
  [7645] = {.lex_state = 211, .external_lex_state = 2},
  [7646] = {.lex_state = 435, .external_lex_state = 2},
  [7647] = {.lex_state = 435, .external_lex_state = 2},
  [7648] = {.lex_state = 435, .external_lex_state = 2},
  [7649] = {.lex_state = 435, .external_lex_state = 2},
  [7650] = {.lex_state = 23, .external_lex_state = 3},
  [7651] = {.lex_state = 23, .external_lex_state = 3},
  [7652] = {.lex_state = 23, .external_lex_state = 3},
  [7653] = {.lex_state = 23, .external_lex_state = 3},
  [7654] = {.lex_state = 23, .external_lex_state = 3},
  [7655] = {.lex_state = 435, .external_lex_state = 2},
  [7656] = {.lex_state = 435, .external_lex_state = 2},
  [7657] = {.lex_state = 211, .external_lex_state = 2},
  [7658] = {.lex_state = 23, .external_lex_state = 3},
  [7659] = {.lex_state = 435, .external_lex_state = 2},
  [7660] = {.lex_state = 435, .external_lex_state = 2},
  [7661] = {.lex_state = 435, .external_lex_state = 2},
  [7662] = {.lex_state = 23, .external_lex_state = 3},
  [7663] = {.lex_state = 23, .external_lex_state = 3},
  [7664] = {.lex_state = 23, .external_lex_state = 3},
  [7665] = {.lex_state = 23, .external_lex_state = 3},
  [7666] = {.lex_state = 23, .external_lex_state = 3},
  [7667] = {.lex_state = 23, .external_lex_state = 3},
  [7668] = {.lex_state = 435, .external_lex_state = 2},
  [7669] = {.lex_state = 435, .external_lex_state = 2},
  [7670] = {.lex_state = 435, .external_lex_state = 2},
  [7671] = {.lex_state = 435, .external_lex_state = 2},
  [7672] = {.lex_state = 23, .external_lex_state = 3},
  [7673] = {.lex_state = 175, .external_lex_state = 3},
  [7674] = {.lex_state = 23, .external_lex_state = 3},
  [7675] = {.lex_state = 173, .external_lex_state = 3},
  [7676] = {.lex_state = 435, .external_lex_state = 2},
  [7677] = {.lex_state = 435, .external_lex_state = 2},
  [7678] = {.lex_state = 173, .external_lex_state = 3},
  [7679] = {.lex_state = 23, .external_lex_state = 3},
  [7680] = {.lex_state = 173, .external_lex_state = 3},
  [7681] = {.lex_state = 23, .external_lex_state = 3},
  [7682] = {.lex_state = 173, .external_lex_state = 3},
  [7683] = {.lex_state = 173, .external_lex_state = 3},
  [7684] = {.lex_state = 175, .external_lex_state = 3},
  [7685] = {.lex_state = 23, .external_lex_state = 3},
  [7686] = {.lex_state = 163, .external_lex_state = 2},
  [7687] = {.lex_state = 23, .external_lex_state = 3},
  [7688] = {.lex_state = 211, .external_lex_state = 2},
  [7689] = {.lex_state = 23, .external_lex_state = 3},
  [7690] = {.lex_state = 23, .external_lex_state = 3},
  [7691] = {.lex_state = 205, .external_lex_state = 2},
  [7692] = {.lex_state = 23, .external_lex_state = 3},
  [7693] = {.lex_state = 23, .external_lex_state = 3},
  [7694] = {.lex_state = 175, .external_lex_state = 3},
  [7695] = {.lex_state = 23, .external_lex_state = 3},
  [7696] = {.lex_state = 40, .external_lex_state = 3},
  [7697] = {.lex_state = 173, .external_lex_state = 3},
  [7698] = {.lex_state = 173, .external_lex_state = 3},
  [7699] = {.lex_state = 163, .external_lex_state = 2},
  [7700] = {.lex_state = 173, .external_lex_state = 3},
  [7701] = {.lex_state = 23, .external_lex_state = 3},
  [7702] = {.lex_state = 173, .external_lex_state = 3},
  [7703] = {.lex_state = 23, .external_lex_state = 3},
  [7704] = {.lex_state = 173, .external_lex_state = 3},
  [7705] = {.lex_state = 175, .external_lex_state = 3},
  [7706] = {.lex_state = 175, .external_lex_state = 3},
  [7707] = {.lex_state = 211, .external_lex_state = 2},
  [7708] = {.lex_state = 175, .external_lex_state = 3},
  [7709] = {.lex_state = 40, .external_lex_state = 3},
  [7710] = {.lex_state = 23, .external_lex_state = 3},
  [7711] = {.lex_state = 175, .external_lex_state = 3},
  [7712] = {.lex_state = 175, .external_lex_state = 3},
  [7713] = {.lex_state = 175, .external_lex_state = 3},
  [7714] = {.lex_state = 175, .external_lex_state = 3},
  [7715] = {.lex_state = 175, .external_lex_state = 3},
  [7716] = {.lex_state = 23, .external_lex_state = 3},
  [7717] = {.lex_state = 23, .external_lex_state = 3},
  [7718] = {.lex_state = 163, .external_lex_state = 2},
  [7719] = {.lex_state = 23, .external_lex_state = 3},
  [7720] = {.lex_state = 23, .external_lex_state = 3},
  [7721] = {.lex_state = 23, .external_lex_state = 3},
  [7722] = {.lex_state = 175, .external_lex_state = 3},
  [7723] = {.lex_state = 435, .external_lex_state = 2},
  [7724] = {.lex_state = 23, .external_lex_state = 3},
  [7725] = {.lex_state = 23, .external_lex_state = 3},
  [7726] = {.lex_state = 175, .external_lex_state = 3},
  [7727] = {.lex_state = 23, .external_lex_state = 3},
  [7728] = {.lex_state = 175, .external_lex_state = 3},
  [7729] = {.lex_state = 175, .external_lex_state = 3},
  [7730] = {.lex_state = 175, .external_lex_state = 3},
  [7731] = {.lex_state = 23, .external_lex_state = 3},
  [7732] = {.lex_state = 205, .external_lex_state = 2},
  [7733] = {.lex_state = 23, .external_lex_state = 3},
  [7734] = {.lex_state = 23, .external_lex_state = 3},
  [7735] = {.lex_state = 211, .external_lex_state = 2},
  [7736] = {.lex_state = 23, .external_lex_state = 3},
  [7737] = {.lex_state = 23, .external_lex_state = 3},
  [7738] = {.lex_state = 23, .external_lex_state = 3},
  [7739] = {.lex_state = 23, .external_lex_state = 3},
  [7740] = {.lex_state = 175, .external_lex_state = 3},
  [7741] = {.lex_state = 175, .external_lex_state = 3},
  [7742] = {.lex_state = 23, .external_lex_state = 3},
  [7743] = {.lex_state = 173, .external_lex_state = 3},
  [7744] = {.lex_state = 435, .external_lex_state = 2},
  [7745] = {.lex_state = 435, .external_lex_state = 2},
  [7746] = {.lex_state = 175, .external_lex_state = 3},
  [7747] = {.lex_state = 175, .external_lex_state = 3},
  [7748] = {.lex_state = 163, .external_lex_state = 2},
  [7749] = {.lex_state = 175, .external_lex_state = 3},
  [7750] = {.lex_state = 173, .external_lex_state = 3},
  [7751] = {.lex_state = 173, .external_lex_state = 3},
  [7752] = {.lex_state = 175, .external_lex_state = 3},
  [7753] = {.lex_state = 163, .external_lex_state = 2},
  [7754] = {.lex_state = 175, .external_lex_state = 3},
  [7755] = {.lex_state = 23, .external_lex_state = 3},
  [7756] = {.lex_state = 23, .external_lex_state = 3},
  [7757] = {.lex_state = 173, .external_lex_state = 3},
  [7758] = {.lex_state = 435, .external_lex_state = 2},
  [7759] = {.lex_state = 173, .external_lex_state = 3},
  [7760] = {.lex_state = 211, .external_lex_state = 2},
  [7761] = {.lex_state = 175, .external_lex_state = 3},
  [7762] = {.lex_state = 435, .external_lex_state = 2},
  [7763] = {.lex_state = 175, .external_lex_state = 3},
  [7764] = {.lex_state = 175, .external_lex_state = 3},
  [7765] = {.lex_state = 23, .external_lex_state = 3},
  [7766] = {.lex_state = 173, .external_lex_state = 3},
  [7767] = {.lex_state = 163, .external_lex_state = 2},
  [7768] = {.lex_state = 175, .external_lex_state = 3},
  [7769] = {.lex_state = 173, .external_lex_state = 3},
  [7770] = {.lex_state = 173, .external_lex_state = 3},
  [7771] = {.lex_state = 173, .external_lex_state = 3},
  [7772] = {.lex_state = 163, .external_lex_state = 2},
  [7773] = {.lex_state = 163, .external_lex_state = 2},
  [7774] = {.lex_state = 435, .external_lex_state = 2},
  [7775] = {.lex_state = 175, .external_lex_state = 3},
  [7776] = {.lex_state = 175, .external_lex_state = 3},
  [7777] = {.lex_state = 163, .external_lex_state = 2},
  [7778] = {.lex_state = 175, .external_lex_state = 3},
  [7779] = {.lex_state = 173, .external_lex_state = 3},
  [7780] = {.lex_state = 205, .external_lex_state = 2},
  [7781] = {.lex_state = 435, .external_lex_state = 2},
  [7782] = {.lex_state = 211, .external_lex_state = 2},
  [7783] = {.lex_state = 435, .external_lex_state = 2},
  [7784] = {.lex_state = 175, .external_lex_state = 3},
  [7785] = {.lex_state = 173, .external_lex_state = 3},
  [7786] = {.lex_state = 211, .external_lex_state = 2},
  [7787] = {.lex_state = 211, .external_lex_state = 2},
  [7788] = {.lex_state = 175, .external_lex_state = 3},
  [7789] = {.lex_state = 175, .external_lex_state = 3},
  [7790] = {.lex_state = 175, .external_lex_state = 3},
  [7791] = {.lex_state = 175, .external_lex_state = 3},
  [7792] = {.lex_state = 435, .external_lex_state = 2},
  [7793] = {.lex_state = 435, .external_lex_state = 2},
  [7794] = {.lex_state = 175, .external_lex_state = 3},
  [7795] = {.lex_state = 435, .external_lex_state = 2},
  [7796] = {.lex_state = 163, .external_lex_state = 2},
  [7797] = {.lex_state = 175, .external_lex_state = 3},
  [7798] = {.lex_state = 435, .external_lex_state = 2},
  [7799] = {.lex_state = 175, .external_lex_state = 3},
  [7800] = {.lex_state = 175, .external_lex_state = 3},
  [7801] = {.lex_state = 175, .external_lex_state = 3},
  [7802] = {.lex_state = 175, .external_lex_state = 3},
  [7803] = {.lex_state = 435, .external_lex_state = 2},
  [7804] = {.lex_state = 211, .external_lex_state = 2},
  [7805] = {.lex_state = 23, .external_lex_state = 3},
  [7806] = {.lex_state = 163, .external_lex_state = 2},
  [7807] = {.lex_state = 163, .external_lex_state = 2},
  [7808] = {.lex_state = 173, .external_lex_state = 3},
  [7809] = {.lex_state = 163, .external_lex_state = 2},
  [7810] = {.lex_state = 173, .external_lex_state = 3},
  [7811] = {.lex_state = 23, .external_lex_state = 3},
  [7812] = {.lex_state = 175, .external_lex_state = 3},
  [7813] = {.lex_state = 175, .external_lex_state = 3},
  [7814] = {.lex_state = 175, .external_lex_state = 3},
  [7815] = {.lex_state = 435, .external_lex_state = 2},
  [7816] = {.lex_state = 435, .external_lex_state = 2},
  [7817] = {.lex_state = 175, .external_lex_state = 3},
  [7818] = {.lex_state = 23, .external_lex_state = 3},
  [7819] = {.lex_state = 211, .external_lex_state = 2},
  [7820] = {.lex_state = 23, .external_lex_state = 3},
  [7821] = {.lex_state = 23, .external_lex_state = 3},
  [7822] = {.lex_state = 211, .external_lex_state = 2},
  [7823] = {.lex_state = 211, .external_lex_state = 2},
  [7824] = {.lex_state = 175, .external_lex_state = 3},
  [7825] = {.lex_state = 173, .external_lex_state = 3},
  [7826] = {.lex_state = 163, .external_lex_state = 2},
  [7827] = {.lex_state = 173, .external_lex_state = 3},
  [7828] = {.lex_state = 173, .external_lex_state = 3},
  [7829] = {.lex_state = 173, .external_lex_state = 3},
  [7830] = {.lex_state = 173, .external_lex_state = 3},
  [7831] = {.lex_state = 173, .external_lex_state = 3},
  [7832] = {.lex_state = 211, .external_lex_state = 2},
  [7833] = {.lex_state = 435, .external_lex_state = 2},
  [7834] = {.lex_state = 173, .external_lex_state = 3},
  [7835] = {.lex_state = 173, .external_lex_state = 3},
  [7836] = {.lex_state = 23, .external_lex_state = 3},
  [7837] = {.lex_state = 163, .external_lex_state = 2},
  [7838] = {.lex_state = 23, .external_lex_state = 3},
  [7839] = {.lex_state = 173, .external_lex_state = 3},
  [7840] = {.lex_state = 23, .external_lex_state = 3},
  [7841] = {.lex_state = 435, .external_lex_state = 2},
  [7842] = {.lex_state = 173, .external_lex_state = 3},
  [7843] = {.lex_state = 435, .external_lex_state = 2},
  [7844] = {.lex_state = 173, .external_lex_state = 3},
  [7845] = {.lex_state = 435, .external_lex_state = 2},
  [7846] = {.lex_state = 211, .external_lex_state = 2},
  [7847] = {.lex_state = 175, .external_lex_state = 3},
  [7848] = {.lex_state = 173, .external_lex_state = 3},
  [7849] = {.lex_state = 23, .external_lex_state = 3},
  [7850] = {.lex_state = 435, .external_lex_state = 2},
  [7851] = {.lex_state = 435, .external_lex_state = 2},
  [7852] = {.lex_state = 173, .external_lex_state = 3},
  [7853] = {.lex_state = 173, .external_lex_state = 3},
  [7854] = {.lex_state = 173, .external_lex_state = 3},
  [7855] = {.lex_state = 173, .external_lex_state = 3},
  [7856] = {.lex_state = 173, .external_lex_state = 3},
  [7857] = {.lex_state = 173, .external_lex_state = 3},
  [7858] = {.lex_state = 23, .external_lex_state = 3},
  [7859] = {.lex_state = 173, .external_lex_state = 3},
  [7860] = {.lex_state = 211, .external_lex_state = 2},
  [7861] = {.lex_state = 175, .external_lex_state = 3},
  [7862] = {.lex_state = 173, .external_lex_state = 3},
  [7863] = {.lex_state = 175, .external_lex_state = 3},
  [7864] = {.lex_state = 23, .external_lex_state = 3},
  [7865] = {.lex_state = 435, .external_lex_state = 2},
  [7866] = {.lex_state = 435, .external_lex_state = 2},
  [7867] = {.lex_state = 435, .external_lex_state = 2},
  [7868] = {.lex_state = 23, .external_lex_state = 3},
  [7869] = {.lex_state = 23, .external_lex_state = 3},
  [7870] = {.lex_state = 175, .external_lex_state = 3},
  [7871] = {.lex_state = 435, .external_lex_state = 2},
  [7872] = {.lex_state = 23, .external_lex_state = 3},
  [7873] = {.lex_state = 23, .external_lex_state = 3},
  [7874] = {.lex_state = 23, .external_lex_state = 3},
  [7875] = {.lex_state = 200, .external_lex_state = 3},
  [7876] = {.lex_state = 435, .external_lex_state = 2},
  [7877] = {.lex_state = 435, .external_lex_state = 2},
  [7878] = {.lex_state = 435, .external_lex_state = 2},
  [7879] = {.lex_state = 23, .external_lex_state = 3},
  [7880] = {.lex_state = 205, .external_lex_state = 2},
  [7881] = {.lex_state = 175, .external_lex_state = 3},
  [7882] = {.lex_state = 435, .external_lex_state = 2},
  [7883] = {.lex_state = 435, .external_lex_state = 2},
  [7884] = {.lex_state = 175, .external_lex_state = 3},
  [7885] = {.lex_state = 163, .external_lex_state = 2},
  [7886] = {.lex_state = 435, .external_lex_state = 2},
  [7887] = {.lex_state = 173, .external_lex_state = 3},
  [7888] = {.lex_state = 23, .external_lex_state = 3},
  [7889] = {.lex_state = 173, .external_lex_state = 3},
  [7890] = {.lex_state = 173, .external_lex_state = 3},
  [7891] = {.lex_state = 175, .external_lex_state = 3},
  [7892] = {.lex_state = 211, .external_lex_state = 2},
  [7893] = {.lex_state = 435, .external_lex_state = 2},
  [7894] = {.lex_state = 23, .external_lex_state = 3},
  [7895] = {.lex_state = 173, .external_lex_state = 3},
  [7896] = {.lex_state = 435, .external_lex_state = 2},
  [7897] = {.lex_state = 435, .external_lex_state = 2},
  [7898] = {.lex_state = 173, .external_lex_state = 3},
  [7899] = {.lex_state = 173, .external_lex_state = 3},
  [7900] = {.lex_state = 173, .external_lex_state = 3},
  [7901] = {.lex_state = 173, .external_lex_state = 3},
  [7902] = {.lex_state = 173, .external_lex_state = 3},
  [7903] = {.lex_state = 163, .external_lex_state = 2},
  [7904] = {.lex_state = 173, .external_lex_state = 3},
  [7905] = {.lex_state = 205, .external_lex_state = 2},
  [7906] = {.lex_state = 173, .external_lex_state = 3},
  [7907] = {.lex_state = 173, .external_lex_state = 3},
  [7908] = {.lex_state = 435, .external_lex_state = 2},
  [7909] = {.lex_state = 435, .external_lex_state = 2},
  [7910] = {.lex_state = 435, .external_lex_state = 2},
  [7911] = {.lex_state = 211, .external_lex_state = 2},
  [7912] = {.lex_state = 435, .external_lex_state = 2},
  [7913] = {.lex_state = 23, .external_lex_state = 3},
  [7914] = {.lex_state = 163, .external_lex_state = 2},
  [7915] = {.lex_state = 23, .external_lex_state = 3},
  [7916] = {.lex_state = 211, .external_lex_state = 2},
  [7917] = {.lex_state = 175, .external_lex_state = 3},
  [7918] = {.lex_state = 201, .external_lex_state = 3},
  [7919] = {.lex_state = 23, .external_lex_state = 3},
  [7920] = {.lex_state = 23, .external_lex_state = 3},
  [7921] = {.lex_state = 163, .external_lex_state = 2},
  [7922] = {.lex_state = 175, .external_lex_state = 3},
  [7923] = {.lex_state = 23, .external_lex_state = 3},
  [7924] = {.lex_state = 23, .external_lex_state = 3},
  [7925] = {.lex_state = 175, .external_lex_state = 3},
  [7926] = {.lex_state = 163, .external_lex_state = 2},
  [7927] = {.lex_state = 163, .external_lex_state = 2},
  [7928] = {.lex_state = 173, .external_lex_state = 3},
  [7929] = {.lex_state = 435, .external_lex_state = 2},
  [7930] = {.lex_state = 435, .external_lex_state = 2},
  [7931] = {.lex_state = 175, .external_lex_state = 3},
  [7932] = {.lex_state = 23, .external_lex_state = 3},
  [7933] = {.lex_state = 23, .external_lex_state = 3},
  [7934] = {.lex_state = 23, .external_lex_state = 3},
  [7935] = {.lex_state = 163, .external_lex_state = 2},
  [7936] = {.lex_state = 435, .external_lex_state = 2},
  [7937] = {.lex_state = 435, .external_lex_state = 2},
  [7938] = {.lex_state = 23, .external_lex_state = 3},
  [7939] = {.lex_state = 435, .external_lex_state = 2},
  [7940] = {.lex_state = 23, .external_lex_state = 3},
  [7941] = {.lex_state = 175, .external_lex_state = 3},
  [7942] = {.lex_state = 435, .external_lex_state = 2},
  [7943] = {.lex_state = 175, .external_lex_state = 3},
  [7944] = {.lex_state = 435, .external_lex_state = 2},
  [7945] = {.lex_state = 160, .external_lex_state = 2},
  [7946] = {.lex_state = 160, .external_lex_state = 2},
  [7947] = {.lex_state = 160, .external_lex_state = 2},
  [7948] = {.lex_state = 435, .external_lex_state = 2},
  [7949] = {.lex_state = 435, .external_lex_state = 2},
  [7950] = {.lex_state = 435, .external_lex_state = 2},
  [7951] = {.lex_state = 435, .external_lex_state = 2},
  [7952] = {.lex_state = 160, .external_lex_state = 2},
  [7953] = {.lex_state = 160, .external_lex_state = 2},
  [7954] = {.lex_state = 160, .external_lex_state = 2},
  [7955] = {.lex_state = 160, .external_lex_state = 2},
  [7956] = {.lex_state = 435, .external_lex_state = 2},
  [7957] = {.lex_state = 162, .external_lex_state = 2},
  [7958] = {.lex_state = 435, .external_lex_state = 2},
  [7959] = {.lex_state = 160, .external_lex_state = 2},
  [7960] = {.lex_state = 160, .external_lex_state = 2},
  [7961] = {.lex_state = 160, .external_lex_state = 2},
  [7962] = {.lex_state = 435, .external_lex_state = 2},
  [7963] = {.lex_state = 162, .external_lex_state = 2},
  [7964] = {.lex_state = 435, .external_lex_state = 2},
  [7965] = {.lex_state = 160, .external_lex_state = 2},
  [7966] = {.lex_state = 435, .external_lex_state = 2},
  [7967] = {.lex_state = 160, .external_lex_state = 2},
  [7968] = {.lex_state = 160, .external_lex_state = 2},
  [7969] = {.lex_state = 160, .external_lex_state = 2},
  [7970] = {.lex_state = 162, .external_lex_state = 2},
  [7971] = {.lex_state = 160, .external_lex_state = 2},
  [7972] = {.lex_state = 160, .external_lex_state = 2},
  [7973] = {.lex_state = 160, .external_lex_state = 2},
  [7974] = {.lex_state = 435, .external_lex_state = 2},
  [7975] = {.lex_state = 435, .external_lex_state = 2},
  [7976] = {.lex_state = 162, .external_lex_state = 2},
  [7977] = {.lex_state = 435, .external_lex_state = 2},
  [7978] = {.lex_state = 435, .external_lex_state = 2},
  [7979] = {.lex_state = 435, .external_lex_state = 2},
  [7980] = {.lex_state = 40, .external_lex_state = 3},
  [7981] = {.lex_state = 435, .external_lex_state = 2},
  [7982] = {.lex_state = 435, .external_lex_state = 2},
  [7983] = {.lex_state = 160, .external_lex_state = 2},
  [7984] = {.lex_state = 160, .external_lex_state = 2},
  [7985] = {.lex_state = 160, .external_lex_state = 2},
  [7986] = {.lex_state = 20, .external_lex_state = 3},
  [7987] = {.lex_state = 160, .external_lex_state = 2},
  [7988] = {.lex_state = 160, .external_lex_state = 2},
  [7989] = {.lex_state = 160, .external_lex_state = 2},
  [7990] = {.lex_state = 160, .external_lex_state = 2},
  [7991] = {.lex_state = 160, .external_lex_state = 2},
  [7992] = {.lex_state = 160, .external_lex_state = 2},
  [7993] = {.lex_state = 162, .external_lex_state = 2},
  [7994] = {.lex_state = 160, .external_lex_state = 2},
  [7995] = {.lex_state = 160, .external_lex_state = 2},
  [7996] = {.lex_state = 20, .external_lex_state = 3},
  [7997] = {.lex_state = 160, .external_lex_state = 2},
  [7998] = {.lex_state = 160, .external_lex_state = 2},
  [7999] = {.lex_state = 160, .external_lex_state = 2},
  [8000] = {.lex_state = 435, .external_lex_state = 2},
  [8001] = {.lex_state = 435, .external_lex_state = 2},
  [8002] = {.lex_state = 160, .external_lex_state = 2},
  [8003] = {.lex_state = 160, .external_lex_state = 2},
  [8004] = {.lex_state = 162, .external_lex_state = 2},
  [8005] = {.lex_state = 160, .external_lex_state = 2},
  [8006] = {.lex_state = 160, .external_lex_state = 2},
  [8007] = {.lex_state = 160, .external_lex_state = 2},
  [8008] = {.lex_state = 160, .external_lex_state = 2},
  [8009] = {.lex_state = 160, .external_lex_state = 2},
  [8010] = {.lex_state = 160, .external_lex_state = 2},
  [8011] = {.lex_state = 160, .external_lex_state = 2},
  [8012] = {.lex_state = 435, .external_lex_state = 2},
  [8013] = {.lex_state = 435, .external_lex_state = 2},
  [8014] = {.lex_state = 20, .external_lex_state = 3},
  [8015] = {.lex_state = 435, .external_lex_state = 2},
  [8016] = {.lex_state = 160, .external_lex_state = 2},
  [8017] = {.lex_state = 160, .external_lex_state = 2},
  [8018] = {.lex_state = 435, .external_lex_state = 2},
  [8019] = {.lex_state = 160, .external_lex_state = 2},
  [8020] = {.lex_state = 29, .external_lex_state = 3},
  [8021] = {.lex_state = 160, .external_lex_state = 2},
  [8022] = {.lex_state = 160, .external_lex_state = 2},
  [8023] = {.lex_state = 20, .external_lex_state = 3},
  [8024] = {.lex_state = 435, .external_lex_state = 2},
  [8025] = {.lex_state = 20, .external_lex_state = 3},
  [8026] = {.lex_state = 435, .external_lex_state = 2},
  [8027] = {.lex_state = 162, .external_lex_state = 2},
  [8028] = {.lex_state = 435, .external_lex_state = 2},
  [8029] = {.lex_state = 160, .external_lex_state = 2},
  [8030] = {.lex_state = 160, .external_lex_state = 2},
  [8031] = {.lex_state = 435, .external_lex_state = 2},
  [8032] = {.lex_state = 162, .external_lex_state = 2},
  [8033] = {.lex_state = 162, .external_lex_state = 2},
  [8034] = {.lex_state = 162, .external_lex_state = 2},
  [8035] = {.lex_state = 435, .external_lex_state = 2},
  [8036] = {.lex_state = 435, .external_lex_state = 2},
  [8037] = {.lex_state = 435, .external_lex_state = 2},
  [8038] = {.lex_state = 160, .external_lex_state = 2},
  [8039] = {.lex_state = 160, .external_lex_state = 2},
  [8040] = {.lex_state = 435, .external_lex_state = 2},
  [8041] = {.lex_state = 160, .external_lex_state = 2},
  [8042] = {.lex_state = 160, .external_lex_state = 2},
  [8043] = {.lex_state = 160, .external_lex_state = 2},
  [8044] = {.lex_state = 160, .external_lex_state = 2},
  [8045] = {.lex_state = 160, .external_lex_state = 2},
  [8046] = {.lex_state = 162, .external_lex_state = 2},
  [8047] = {.lex_state = 162, .external_lex_state = 2},
  [8048] = {.lex_state = 162, .external_lex_state = 2},
  [8049] = {.lex_state = 435, .external_lex_state = 2},
  [8050] = {.lex_state = 435, .external_lex_state = 2},
  [8051] = {.lex_state = 435, .external_lex_state = 2},
  [8052] = {.lex_state = 435, .external_lex_state = 2},
  [8053] = {.lex_state = 435, .external_lex_state = 2},
  [8054] = {.lex_state = 162, .external_lex_state = 2},
  [8055] = {.lex_state = 435, .external_lex_state = 2},
  [8056] = {.lex_state = 435, .external_lex_state = 2},
  [8057] = {.lex_state = 435, .external_lex_state = 2},
  [8058] = {.lex_state = 160, .external_lex_state = 2},
  [8059] = {.lex_state = 160, .external_lex_state = 2},
  [8060] = {.lex_state = 435, .external_lex_state = 2},
  [8061] = {.lex_state = 160, .external_lex_state = 2},
  [8062] = {.lex_state = 160, .external_lex_state = 2},
  [8063] = {.lex_state = 160, .external_lex_state = 2},
  [8064] = {.lex_state = 435, .external_lex_state = 2},
  [8065] = {.lex_state = 435, .external_lex_state = 2},
  [8066] = {.lex_state = 435, .external_lex_state = 2},
  [8067] = {.lex_state = 435, .external_lex_state = 2},
  [8068] = {.lex_state = 160, .external_lex_state = 2},
  [8069] = {.lex_state = 435, .external_lex_state = 2},
  [8070] = {.lex_state = 160, .external_lex_state = 2},
  [8071] = {.lex_state = 162, .external_lex_state = 2},
  [8072] = {.lex_state = 435, .external_lex_state = 2},
  [8073] = {.lex_state = 160, .external_lex_state = 2},
  [8074] = {.lex_state = 435, .external_lex_state = 2},
  [8075] = {.lex_state = 435, .external_lex_state = 2},
  [8076] = {.lex_state = 160, .external_lex_state = 2},
  [8077] = {.lex_state = 435, .external_lex_state = 2},
  [8078] = {.lex_state = 162, .external_lex_state = 2},
  [8079] = {.lex_state = 162, .external_lex_state = 2},
  [8080] = {.lex_state = 435, .external_lex_state = 2},
  [8081] = {.lex_state = 160, .external_lex_state = 2},
  [8082] = {.lex_state = 435, .external_lex_state = 2},
  [8083] = {.lex_state = 435, .external_lex_state = 2},
  [8084] = {.lex_state = 435, .external_lex_state = 2},
  [8085] = {.lex_state = 435, .external_lex_state = 2},
  [8086] = {.lex_state = 162, .external_lex_state = 2},
  [8087] = {.lex_state = 435, .external_lex_state = 2},
  [8088] = {.lex_state = 162, .external_lex_state = 2},
  [8089] = {.lex_state = 435, .external_lex_state = 2},
  [8090] = {.lex_state = 160, .external_lex_state = 2},
  [8091] = {.lex_state = 160, .external_lex_state = 2},
  [8092] = {.lex_state = 435, .external_lex_state = 2},
  [8093] = {.lex_state = 160, .external_lex_state = 2},
  [8094] = {.lex_state = 162, .external_lex_state = 2},
  [8095] = {.lex_state = 160, .external_lex_state = 2},
  [8096] = {.lex_state = 435, .external_lex_state = 2},
  [8097] = {.lex_state = 162, .external_lex_state = 2},
  [8098] = {.lex_state = 162, .external_lex_state = 2},
  [8099] = {.lex_state = 160, .external_lex_state = 2},
  [8100] = {.lex_state = 435, .external_lex_state = 2},
  [8101] = {.lex_state = 435, .external_lex_state = 2},
  [8102] = {.lex_state = 162, .external_lex_state = 2},
  [8103] = {.lex_state = 435, .external_lex_state = 2},
  [8104] = {.lex_state = 435, .external_lex_state = 2},
  [8105] = {.lex_state = 162, .external_lex_state = 2},
  [8106] = {.lex_state = 435, .external_lex_state = 2},
  [8107] = {.lex_state = 435, .external_lex_state = 2},
  [8108] = {.lex_state = 162, .external_lex_state = 2},
  [8109] = {.lex_state = 162, .external_lex_state = 2},
  [8110] = {.lex_state = 160, .external_lex_state = 2},
  [8111] = {.lex_state = 162, .external_lex_state = 2},
  [8112] = {.lex_state = 160, .external_lex_state = 2},
  [8113] = {.lex_state = 162, .external_lex_state = 2},
  [8114] = {.lex_state = 435, .external_lex_state = 2},
  [8115] = {.lex_state = 435, .external_lex_state = 2},
  [8116] = {.lex_state = 435, .external_lex_state = 2},
  [8117] = {.lex_state = 160, .external_lex_state = 2},
  [8118] = {.lex_state = 160, .external_lex_state = 2},
  [8119] = {.lex_state = 160, .external_lex_state = 2},
  [8120] = {.lex_state = 162, .external_lex_state = 2},
  [8121] = {.lex_state = 20, .external_lex_state = 3},
  [8122] = {.lex_state = 160, .external_lex_state = 2},
  [8123] = {.lex_state = 160, .external_lex_state = 2},
  [8124] = {.lex_state = 158, .external_lex_state = 2},
  [8125] = {.lex_state = 158, .external_lex_state = 2},
  [8126] = {.lex_state = 158, .external_lex_state = 2},
  [8127] = {.lex_state = 158, .external_lex_state = 2},
  [8128] = {.lex_state = 23, .external_lex_state = 3},
  [8129] = {.lex_state = 158, .external_lex_state = 2},
  [8130] = {.lex_state = 160, .external_lex_state = 2},
  [8131] = {.lex_state = 160, .external_lex_state = 2},
  [8132] = {.lex_state = 160, .external_lex_state = 2},
  [8133] = {.lex_state = 160, .external_lex_state = 2},
  [8134] = {.lex_state = 158, .external_lex_state = 2},
  [8135] = {.lex_state = 158, .external_lex_state = 2},
  [8136] = {.lex_state = 158, .external_lex_state = 2},
  [8137] = {.lex_state = 160, .external_lex_state = 2},
  [8138] = {.lex_state = 158, .external_lex_state = 2},
  [8139] = {.lex_state = 158, .external_lex_state = 2},
  [8140] = {.lex_state = 158, .external_lex_state = 2},
  [8141] = {.lex_state = 160, .external_lex_state = 2},
  [8142] = {.lex_state = 158, .external_lex_state = 2},
  [8143] = {.lex_state = 158, .external_lex_state = 2},
  [8144] = {.lex_state = 158, .external_lex_state = 2},
  [8145] = {.lex_state = 160, .external_lex_state = 2},
  [8146] = {.lex_state = 160, .external_lex_state = 2},
  [8147] = {.lex_state = 158, .external_lex_state = 2},
  [8148] = {.lex_state = 29, .external_lex_state = 3},
  [8149] = {.lex_state = 158, .external_lex_state = 2},
  [8150] = {.lex_state = 204, .external_lex_state = 2},
  [8151] = {.lex_state = 160, .external_lex_state = 2},
  [8152] = {.lex_state = 160, .external_lex_state = 2},
  [8153] = {.lex_state = 158, .external_lex_state = 2},
  [8154] = {.lex_state = 160, .external_lex_state = 2},
  [8155] = {.lex_state = 158, .external_lex_state = 2},
  [8156] = {.lex_state = 158, .external_lex_state = 2},
  [8157] = {.lex_state = 158, .external_lex_state = 2},
  [8158] = {.lex_state = 158, .external_lex_state = 2},
  [8159] = {.lex_state = 160, .external_lex_state = 2},
  [8160] = {.lex_state = 160, .external_lex_state = 2},
  [8161] = {.lex_state = 204, .external_lex_state = 2},
  [8162] = {.lex_state = 158, .external_lex_state = 2},
  [8163] = {.lex_state = 158, .external_lex_state = 2},
  [8164] = {.lex_state = 158, .external_lex_state = 2},
  [8165] = {.lex_state = 158, .external_lex_state = 2},
  [8166] = {.lex_state = 158, .external_lex_state = 2},
  [8167] = {.lex_state = 158, .external_lex_state = 2},
  [8168] = {.lex_state = 158, .external_lex_state = 2},
  [8169] = {.lex_state = 158, .external_lex_state = 2},
  [8170] = {.lex_state = 160, .external_lex_state = 2},
  [8171] = {.lex_state = 158, .external_lex_state = 2},
  [8172] = {.lex_state = 160, .external_lex_state = 2},
  [8173] = {.lex_state = 158, .external_lex_state = 2},
  [8174] = {.lex_state = 160, .external_lex_state = 2},
  [8175] = {.lex_state = 158, .external_lex_state = 2},
  [8176] = {.lex_state = 204, .external_lex_state = 2},
  [8177] = {.lex_state = 158, .external_lex_state = 2},
  [8178] = {.lex_state = 158, .external_lex_state = 2},
  [8179] = {.lex_state = 158, .external_lex_state = 2},
  [8180] = {.lex_state = 160, .external_lex_state = 2},
  [8181] = {.lex_state = 160, .external_lex_state = 2},
  [8182] = {.lex_state = 158, .external_lex_state = 2},
  [8183] = {.lex_state = 158, .external_lex_state = 2},
  [8184] = {.lex_state = 158, .external_lex_state = 2},
  [8185] = {.lex_state = 158, .external_lex_state = 2},
  [8186] = {.lex_state = 158, .external_lex_state = 2},
  [8187] = {.lex_state = 160, .external_lex_state = 2},
  [8188] = {.lex_state = 158, .external_lex_state = 2},
  [8189] = {.lex_state = 158, .external_lex_state = 2},
  [8190] = {.lex_state = 29, .external_lex_state = 3},
  [8191] = {.lex_state = 160, .external_lex_state = 2},
  [8192] = {.lex_state = 29, .external_lex_state = 3},
  [8193] = {.lex_state = 158, .external_lex_state = 2},
  [8194] = {.lex_state = 158, .external_lex_state = 2},
  [8195] = {.lex_state = 160, .external_lex_state = 2},
  [8196] = {.lex_state = 160, .external_lex_state = 2},
  [8197] = {.lex_state = 160, .external_lex_state = 2},
  [8198] = {.lex_state = 158, .external_lex_state = 2},
  [8199] = {.lex_state = 160, .external_lex_state = 2},
  [8200] = {.lex_state = 160, .external_lex_state = 2},
  [8201] = {.lex_state = 158, .external_lex_state = 2},
  [8202] = {.lex_state = 158, .external_lex_state = 2},
  [8203] = {.lex_state = 160, .external_lex_state = 2},
  [8204] = {.lex_state = 160, .external_lex_state = 2},
  [8205] = {.lex_state = 160, .external_lex_state = 2},
  [8206] = {.lex_state = 160, .external_lex_state = 2},
  [8207] = {.lex_state = 160, .external_lex_state = 2},
  [8208] = {.lex_state = 160, .external_lex_state = 2},
  [8209] = {.lex_state = 204, .external_lex_state = 2},
  [8210] = {.lex_state = 160, .external_lex_state = 2},
  [8211] = {.lex_state = 160, .external_lex_state = 2},
  [8212] = {.lex_state = 160, .external_lex_state = 2},
  [8213] = {.lex_state = 160, .external_lex_state = 2},
  [8214] = {.lex_state = 160, .external_lex_state = 2},
  [8215] = {.lex_state = 158, .external_lex_state = 2},
  [8216] = {.lex_state = 158, .external_lex_state = 2},
  [8217] = {.lex_state = 158, .external_lex_state = 2},
  [8218] = {.lex_state = 158, .external_lex_state = 2},
  [8219] = {.lex_state = 23, .external_lex_state = 3},
  [8220] = {.lex_state = 158, .external_lex_state = 2},
  [8221] = {.lex_state = 158, .external_lex_state = 2},
  [8222] = {.lex_state = 158, .external_lex_state = 2},
  [8223] = {.lex_state = 158, .external_lex_state = 2},
  [8224] = {.lex_state = 158, .external_lex_state = 2},
  [8225] = {.lex_state = 158, .external_lex_state = 2},
  [8226] = {.lex_state = 171, .external_lex_state = 3},
  [8227] = {.lex_state = 158, .external_lex_state = 2},
  [8228] = {.lex_state = 158, .external_lex_state = 2},
  [8229] = {.lex_state = 158, .external_lex_state = 2},
  [8230] = {.lex_state = 158, .external_lex_state = 2},
  [8231] = {.lex_state = 158, .external_lex_state = 2},
  [8232] = {.lex_state = 158, .external_lex_state = 2},
  [8233] = {.lex_state = 158, .external_lex_state = 2},
  [8234] = {.lex_state = 158, .external_lex_state = 2},
  [8235] = {.lex_state = 158, .external_lex_state = 2},
  [8236] = {.lex_state = 160, .external_lex_state = 2},
  [8237] = {.lex_state = 158, .external_lex_state = 2},
  [8238] = {.lex_state = 23, .external_lex_state = 3},
  [8239] = {.lex_state = 158, .external_lex_state = 2},
  [8240] = {.lex_state = 158, .external_lex_state = 2},
  [8241] = {.lex_state = 158, .external_lex_state = 2},
  [8242] = {.lex_state = 158, .external_lex_state = 2},
  [8243] = {.lex_state = 158, .external_lex_state = 2},
  [8244] = {.lex_state = 23, .external_lex_state = 3},
  [8245] = {.lex_state = 158, .external_lex_state = 2},
  [8246] = {.lex_state = 158, .external_lex_state = 2},
  [8247] = {.lex_state = 158, .external_lex_state = 2},
  [8248] = {.lex_state = 23, .external_lex_state = 3},
  [8249] = {.lex_state = 158, .external_lex_state = 2},
  [8250] = {.lex_state = 158, .external_lex_state = 2},
  [8251] = {.lex_state = 158, .external_lex_state = 2},
  [8252] = {.lex_state = 158, .external_lex_state = 2},
  [8253] = {.lex_state = 158, .external_lex_state = 2},
  [8254] = {.lex_state = 23, .external_lex_state = 3},
  [8255] = {.lex_state = 158, .external_lex_state = 2},
  [8256] = {.lex_state = 23, .external_lex_state = 3},
  [8257] = {.lex_state = 158, .external_lex_state = 2},
  [8258] = {.lex_state = 171, .external_lex_state = 3},
  [8259] = {.lex_state = 158, .external_lex_state = 2},
  [8260] = {.lex_state = 158, .external_lex_state = 2},
  [8261] = {.lex_state = 158, .external_lex_state = 2},
  [8262] = {.lex_state = 158, .external_lex_state = 2},
  [8263] = {.lex_state = 160, .external_lex_state = 2},
  [8264] = {.lex_state = 158, .external_lex_state = 2},
  [8265] = {.lex_state = 158, .external_lex_state = 2},
  [8266] = {.lex_state = 158, .external_lex_state = 2},
  [8267] = {.lex_state = 158, .external_lex_state = 2},
  [8268] = {.lex_state = 158, .external_lex_state = 2},
  [8269] = {.lex_state = 158, .external_lex_state = 2},
  [8270] = {.lex_state = 158, .external_lex_state = 2},
  [8271] = {.lex_state = 23, .external_lex_state = 3},
  [8272] = {.lex_state = 158, .external_lex_state = 2},
  [8273] = {.lex_state = 158, .external_lex_state = 2},
  [8274] = {.lex_state = 158, .external_lex_state = 2},
  [8275] = {.lex_state = 204, .external_lex_state = 2},
  [8276] = {.lex_state = 170, .external_lex_state = 3},
  [8277] = {.lex_state = 204, .external_lex_state = 2},
  [8278] = {.lex_state = 204, .external_lex_state = 2},
  [8279] = {.lex_state = 204, .external_lex_state = 2},
  [8280] = {.lex_state = 158, .external_lex_state = 2},
  [8281] = {.lex_state = 158, .external_lex_state = 2},
  [8282] = {.lex_state = 158, .external_lex_state = 2},
  [8283] = {.lex_state = 158, .external_lex_state = 2},
  [8284] = {.lex_state = 435, .external_lex_state = 2},
  [8285] = {.lex_state = 204, .external_lex_state = 2},
  [8286] = {.lex_state = 158, .external_lex_state = 2},
  [8287] = {.lex_state = 435, .external_lex_state = 2},
  [8288] = {.lex_state = 204, .external_lex_state = 2},
  [8289] = {.lex_state = 204, .external_lex_state = 2},
  [8290] = {.lex_state = 204, .external_lex_state = 2},
  [8291] = {.lex_state = 204, .external_lex_state = 2},
  [8292] = {.lex_state = 204, .external_lex_state = 2},
  [8293] = {.lex_state = 435, .external_lex_state = 2},
  [8294] = {.lex_state = 158, .external_lex_state = 2},
  [8295] = {.lex_state = 435, .external_lex_state = 2},
  [8296] = {.lex_state = 187, .external_lex_state = 3},
  [8297] = {.lex_state = 204, .external_lex_state = 2},
  [8298] = {.lex_state = 171, .external_lex_state = 3},
  [8299] = {.lex_state = 158, .external_lex_state = 2},
  [8300] = {.lex_state = 204, .external_lex_state = 2},
  [8301] = {.lex_state = 187, .external_lex_state = 3},
  [8302] = {.lex_state = 204, .external_lex_state = 2},
  [8303] = {.lex_state = 204, .external_lex_state = 2},
  [8304] = {.lex_state = 204, .external_lex_state = 2},
  [8305] = {.lex_state = 204, .external_lex_state = 2},
  [8306] = {.lex_state = 158, .external_lex_state = 2},
  [8307] = {.lex_state = 158, .external_lex_state = 2},
  [8308] = {.lex_state = 171, .external_lex_state = 3},
  [8309] = {.lex_state = 158, .external_lex_state = 2},
  [8310] = {.lex_state = 158, .external_lex_state = 2},
  [8311] = {.lex_state = 158, .external_lex_state = 2},
  [8312] = {.lex_state = 204, .external_lex_state = 2},
  [8313] = {.lex_state = 158, .external_lex_state = 2},
  [8314] = {.lex_state = 204, .external_lex_state = 2},
  [8315] = {.lex_state = 158, .external_lex_state = 2},
  [8316] = {.lex_state = 158, .external_lex_state = 2},
  [8317] = {.lex_state = 158, .external_lex_state = 2},
  [8318] = {.lex_state = 435, .external_lex_state = 2},
  [8319] = {.lex_state = 158, .external_lex_state = 2},
  [8320] = {.lex_state = 158, .external_lex_state = 2},
  [8321] = {.lex_state = 435, .external_lex_state = 2},
  [8322] = {.lex_state = 166, .external_lex_state = 3},
  [8323] = {.lex_state = 204, .external_lex_state = 2},
  [8324] = {.lex_state = 204, .external_lex_state = 2},
  [8325] = {.lex_state = 204, .external_lex_state = 2},
  [8326] = {.lex_state = 158, .external_lex_state = 2},
  [8327] = {.lex_state = 228, .external_lex_state = 2},
  [8328] = {.lex_state = 204, .external_lex_state = 2},
  [8329] = {.lex_state = 171, .external_lex_state = 3},
  [8330] = {.lex_state = 204, .external_lex_state = 2},
  [8331] = {.lex_state = 158, .external_lex_state = 2},
  [8332] = {.lex_state = 158, .external_lex_state = 2},
  [8333] = {.lex_state = 158, .external_lex_state = 2},
  [8334] = {.lex_state = 204, .external_lex_state = 2},
  [8335] = {.lex_state = 158, .external_lex_state = 2},
  [8336] = {.lex_state = 158, .external_lex_state = 2},
  [8337] = {.lex_state = 158, .external_lex_state = 2},
  [8338] = {.lex_state = 204, .external_lex_state = 2},
  [8339] = {.lex_state = 158, .external_lex_state = 2},
  [8340] = {.lex_state = 158, .external_lex_state = 2},
  [8341] = {.lex_state = 204, .external_lex_state = 2},
  [8342] = {.lex_state = 158, .external_lex_state = 2},
  [8343] = {.lex_state = 158, .external_lex_state = 2},
  [8344] = {.lex_state = 204, .external_lex_state = 2},
  [8345] = {.lex_state = 204, .external_lex_state = 2},
  [8346] = {.lex_state = 158, .external_lex_state = 2},
  [8347] = {.lex_state = 158, .external_lex_state = 2},
  [8348] = {.lex_state = 171, .external_lex_state = 3},
  [8349] = {.lex_state = 435, .external_lex_state = 2},
  [8350] = {.lex_state = 204, .external_lex_state = 2},
  [8351] = {.lex_state = 204, .external_lex_state = 2},
  [8352] = {.lex_state = 204, .external_lex_state = 2},
  [8353] = {.lex_state = 158, .external_lex_state = 2},
  [8354] = {.lex_state = 158, .external_lex_state = 2},
  [8355] = {.lex_state = 158, .external_lex_state = 2},
  [8356] = {.lex_state = 204, .external_lex_state = 2},
  [8357] = {.lex_state = 228, .external_lex_state = 2},
  [8358] = {.lex_state = 158, .external_lex_state = 2},
  [8359] = {.lex_state = 204, .external_lex_state = 2},
  [8360] = {.lex_state = 204, .external_lex_state = 2},
  [8361] = {.lex_state = 158, .external_lex_state = 2},
  [8362] = {.lex_state = 158, .external_lex_state = 2},
  [8363] = {.lex_state = 158, .external_lex_state = 2},
  [8364] = {.lex_state = 158, .external_lex_state = 2},
  [8365] = {.lex_state = 158, .external_lex_state = 2},
  [8366] = {.lex_state = 204, .external_lex_state = 2},
  [8367] = {.lex_state = 158, .external_lex_state = 2},
  [8368] = {.lex_state = 158, .external_lex_state = 2},
  [8369] = {.lex_state = 204, .external_lex_state = 2},
  [8370] = {.lex_state = 158, .external_lex_state = 2},
  [8371] = {.lex_state = 158, .external_lex_state = 2},
  [8372] = {.lex_state = 204, .external_lex_state = 2},
  [8373] = {.lex_state = 204, .external_lex_state = 2},
  [8374] = {.lex_state = 158, .external_lex_state = 2},
  [8375] = {.lex_state = 158, .external_lex_state = 2},
  [8376] = {.lex_state = 199, .external_lex_state = 3},
  [8377] = {.lex_state = 204, .external_lex_state = 2},
  [8378] = {.lex_state = 435, .external_lex_state = 2},
  [8379] = {.lex_state = 204, .external_lex_state = 2},
  [8380] = {.lex_state = 435, .external_lex_state = 2},
  [8381] = {.lex_state = 435, .external_lex_state = 2},
  [8382] = {.lex_state = 204, .external_lex_state = 2},
  [8383] = {.lex_state = 166, .external_lex_state = 3},
  [8384] = {.lex_state = 204, .external_lex_state = 2},
  [8385] = {.lex_state = 170, .external_lex_state = 3},
  [8386] = {.lex_state = 435, .external_lex_state = 2},
  [8387] = {.lex_state = 158, .external_lex_state = 2},
  [8388] = {.lex_state = 158, .external_lex_state = 2},
  [8389] = {.lex_state = 204, .external_lex_state = 2},
  [8390] = {.lex_state = 158, .external_lex_state = 2},
  [8391] = {.lex_state = 158, .external_lex_state = 2},
  [8392] = {.lex_state = 204, .external_lex_state = 2},
  [8393] = {.lex_state = 435, .external_lex_state = 2},
  [8394] = {.lex_state = 170, .external_lex_state = 3},
  [8395] = {.lex_state = 170, .external_lex_state = 3},
  [8396] = {.lex_state = 435, .external_lex_state = 2},
  [8397] = {.lex_state = 435, .external_lex_state = 2},
  [8398] = {.lex_state = 435, .external_lex_state = 2},
  [8399] = {.lex_state = 170, .external_lex_state = 3},
  [8400] = {.lex_state = 435, .external_lex_state = 2},
  [8401] = {.lex_state = 435, .external_lex_state = 2},
  [8402] = {.lex_state = 435, .external_lex_state = 2},
  [8403] = {.lex_state = 435, .external_lex_state = 2},
  [8404] = {.lex_state = 435, .external_lex_state = 2},
  [8405] = {.lex_state = 435, .external_lex_state = 2},
  [8406] = {.lex_state = 435, .external_lex_state = 2},
  [8407] = {.lex_state = 435, .external_lex_state = 2},
  [8408] = {.lex_state = 182, .external_lex_state = 3},
  [8409] = {.lex_state = 182, .external_lex_state = 3},
  [8410] = {.lex_state = 182, .external_lex_state = 3},
  [8411] = {.lex_state = 435, .external_lex_state = 2},
  [8412] = {.lex_state = 187, .external_lex_state = 3},
  [8413] = {.lex_state = 435, .external_lex_state = 2},
  [8414] = {.lex_state = 182, .external_lex_state = 3},
  [8415] = {.lex_state = 182, .external_lex_state = 3},
  [8416] = {.lex_state = 170, .external_lex_state = 3},
  [8417] = {.lex_state = 170, .external_lex_state = 3},
  [8418] = {.lex_state = 435, .external_lex_state = 2},
  [8419] = {.lex_state = 435, .external_lex_state = 2},
  [8420] = {.lex_state = 182, .external_lex_state = 3},
  [8421] = {.lex_state = 182, .external_lex_state = 3},
  [8422] = {.lex_state = 182, .external_lex_state = 3},
  [8423] = {.lex_state = 187, .external_lex_state = 3},
  [8424] = {.lex_state = 170, .external_lex_state = 3},
  [8425] = {.lex_state = 170, .external_lex_state = 3},
  [8426] = {.lex_state = 170, .external_lex_state = 3},
  [8427] = {.lex_state = 170, .external_lex_state = 3},
  [8428] = {.lex_state = 170, .external_lex_state = 3},
  [8429] = {.lex_state = 435, .external_lex_state = 2},
  [8430] = {.lex_state = 170, .external_lex_state = 3},
  [8431] = {.lex_state = 435, .external_lex_state = 2},
  [8432] = {.lex_state = 187, .external_lex_state = 3},
  [8433] = {.lex_state = 158, .external_lex_state = 2},
  [8434] = {.lex_state = 182, .external_lex_state = 3},
  [8435] = {.lex_state = 187, .external_lex_state = 3},
  [8436] = {.lex_state = 158, .external_lex_state = 2},
  [8437] = {.lex_state = 435, .external_lex_state = 2},
  [8438] = {.lex_state = 158, .external_lex_state = 2},
  [8439] = {.lex_state = 182, .external_lex_state = 3},
  [8440] = {.lex_state = 435, .external_lex_state = 2},
  [8441] = {.lex_state = 170, .external_lex_state = 3},
  [8442] = {.lex_state = 435, .external_lex_state = 2},
  [8443] = {.lex_state = 170, .external_lex_state = 3},
  [8444] = {.lex_state = 435, .external_lex_state = 2},
  [8445] = {.lex_state = 435, .external_lex_state = 2},
  [8446] = {.lex_state = 158, .external_lex_state = 2},
  [8447] = {.lex_state = 165, .external_lex_state = 2},
  [8448] = {.lex_state = 158, .external_lex_state = 2},
  [8449] = {.lex_state = 158, .external_lex_state = 2},
  [8450] = {.lex_state = 158, .external_lex_state = 2},
  [8451] = {.lex_state = 158, .external_lex_state = 2},
  [8452] = {.lex_state = 158, .external_lex_state = 2},
  [8453] = {.lex_state = 158, .external_lex_state = 2},
  [8454] = {.lex_state = 158, .external_lex_state = 2},
  [8455] = {.lex_state = 158, .external_lex_state = 2},
  [8456] = {.lex_state = 170, .external_lex_state = 3},
  [8457] = {.lex_state = 170, .external_lex_state = 3},
  [8458] = {.lex_state = 158, .external_lex_state = 2},
  [8459] = {.lex_state = 158, .external_lex_state = 2},
  [8460] = {.lex_state = 435, .external_lex_state = 2},
  [8461] = {.lex_state = 170, .external_lex_state = 3},
  [8462] = {.lex_state = 170, .external_lex_state = 3},
  [8463] = {.lex_state = 435, .external_lex_state = 2},
  [8464] = {.lex_state = 435, .external_lex_state = 2},
  [8465] = {.lex_state = 435, .external_lex_state = 2},
  [8466] = {.lex_state = 435, .external_lex_state = 2},
  [8467] = {.lex_state = 158, .external_lex_state = 2},
  [8468] = {.lex_state = 170, .external_lex_state = 3},
  [8469] = {.lex_state = 170, .external_lex_state = 3},
  [8470] = {.lex_state = 170, .external_lex_state = 3},
  [8471] = {.lex_state = 170, .external_lex_state = 3},
  [8472] = {.lex_state = 170, .external_lex_state = 3},
  [8473] = {.lex_state = 435, .external_lex_state = 2},
  [8474] = {.lex_state = 435, .external_lex_state = 2},
  [8475] = {.lex_state = 170, .external_lex_state = 3},
  [8476] = {.lex_state = 170, .external_lex_state = 3},
  [8477] = {.lex_state = 170, .external_lex_state = 3},
  [8478] = {.lex_state = 170, .external_lex_state = 3},
  [8479] = {.lex_state = 170, .external_lex_state = 3},
  [8480] = {.lex_state = 435, .external_lex_state = 2},
  [8481] = {.lex_state = 435, .external_lex_state = 2},
  [8482] = {.lex_state = 170, .external_lex_state = 3},
  [8483] = {.lex_state = 170, .external_lex_state = 3},
  [8484] = {.lex_state = 170, .external_lex_state = 3},
  [8485] = {.lex_state = 170, .external_lex_state = 3},
  [8486] = {.lex_state = 435, .external_lex_state = 2},
  [8487] = {.lex_state = 170, .external_lex_state = 3},
  [8488] = {.lex_state = 170, .external_lex_state = 3},
  [8489] = {.lex_state = 435, .external_lex_state = 2},
  [8490] = {.lex_state = 165, .external_lex_state = 2},
  [8491] = {.lex_state = 435, .external_lex_state = 2},
  [8492] = {.lex_state = 435, .external_lex_state = 2},
  [8493] = {.lex_state = 158, .external_lex_state = 2},
  [8494] = {.lex_state = 435, .external_lex_state = 2},
  [8495] = {.lex_state = 158, .external_lex_state = 2},
  [8496] = {.lex_state = 165, .external_lex_state = 2},
  [8497] = {.lex_state = 435, .external_lex_state = 2},
  [8498] = {.lex_state = 158, .external_lex_state = 2},
  [8499] = {.lex_state = 158, .external_lex_state = 2},
  [8500] = {.lex_state = 435, .external_lex_state = 2},
  [8501] = {.lex_state = 158, .external_lex_state = 2},
  [8502] = {.lex_state = 158, .external_lex_state = 2},
  [8503] = {.lex_state = 158, .external_lex_state = 2},
  [8504] = {.lex_state = 158, .external_lex_state = 2},
  [8505] = {.lex_state = 158, .external_lex_state = 2},
  [8506] = {.lex_state = 158, .external_lex_state = 2},
  [8507] = {.lex_state = 158, .external_lex_state = 2},
  [8508] = {.lex_state = 158, .external_lex_state = 2},
  [8509] = {.lex_state = 158, .external_lex_state = 2},
  [8510] = {.lex_state = 435, .external_lex_state = 2},
  [8511] = {.lex_state = 435, .external_lex_state = 2},
  [8512] = {.lex_state = 158, .external_lex_state = 2},
  [8513] = {.lex_state = 435, .external_lex_state = 2},
  [8514] = {.lex_state = 435, .external_lex_state = 2},
  [8515] = {.lex_state = 435, .external_lex_state = 2},
  [8516] = {.lex_state = 435, .external_lex_state = 2},
  [8517] = {.lex_state = 435, .external_lex_state = 2},
  [8518] = {.lex_state = 435, .external_lex_state = 2},
  [8519] = {.lex_state = 435, .external_lex_state = 2},
  [8520] = {.lex_state = 435, .external_lex_state = 2},
  [8521] = {.lex_state = 158, .external_lex_state = 2},
  [8522] = {.lex_state = 435, .external_lex_state = 2},
  [8523] = {.lex_state = 435, .external_lex_state = 2},
  [8524] = {.lex_state = 435, .external_lex_state = 2},
  [8525] = {.lex_state = 158, .external_lex_state = 2},
  [8526] = {.lex_state = 435, .external_lex_state = 2},
  [8527] = {.lex_state = 435, .external_lex_state = 2},
  [8528] = {.lex_state = 166, .external_lex_state = 3},
  [8529] = {.lex_state = 158, .external_lex_state = 2},
  [8530] = {.lex_state = 435, .external_lex_state = 2},
  [8531] = {.lex_state = 158, .external_lex_state = 2},
  [8532] = {.lex_state = 170, .external_lex_state = 3},
  [8533] = {.lex_state = 435, .external_lex_state = 2},
  [8534] = {.lex_state = 170, .external_lex_state = 3},
  [8535] = {.lex_state = 435, .external_lex_state = 2},
  [8536] = {.lex_state = 435, .external_lex_state = 2},
  [8537] = {.lex_state = 435, .external_lex_state = 2},
  [8538] = {.lex_state = 170, .external_lex_state = 3},
  [8539] = {.lex_state = 158, .external_lex_state = 2},
  [8540] = {.lex_state = 158, .external_lex_state = 2},
  [8541] = {.lex_state = 170, .external_lex_state = 3},
  [8542] = {.lex_state = 435, .external_lex_state = 2},
  [8543] = {.lex_state = 435, .external_lex_state = 2},
  [8544] = {.lex_state = 435, .external_lex_state = 2},
  [8545] = {.lex_state = 435, .external_lex_state = 2},
  [8546] = {.lex_state = 170, .external_lex_state = 3},
  [8547] = {.lex_state = 435, .external_lex_state = 2},
  [8548] = {.lex_state = 435, .external_lex_state = 2},
  [8549] = {.lex_state = 435, .external_lex_state = 2},
  [8550] = {.lex_state = 170, .external_lex_state = 3},
  [8551] = {.lex_state = 435, .external_lex_state = 2},
  [8552] = {.lex_state = 435, .external_lex_state = 2},
  [8553] = {.lex_state = 435, .external_lex_state = 2},
  [8554] = {.lex_state = 435, .external_lex_state = 2},
  [8555] = {.lex_state = 435, .external_lex_state = 2},
  [8556] = {.lex_state = 170, .external_lex_state = 3},
  [8557] = {.lex_state = 170, .external_lex_state = 3},
  [8558] = {.lex_state = 170, .external_lex_state = 3},
  [8559] = {.lex_state = 170, .external_lex_state = 3},
  [8560] = {.lex_state = 170, .external_lex_state = 3},
  [8561] = {.lex_state = 435, .external_lex_state = 2},
  [8562] = {.lex_state = 435, .external_lex_state = 2},
  [8563] = {.lex_state = 435, .external_lex_state = 2},
  [8564] = {.lex_state = 170, .external_lex_state = 3},
  [8565] = {.lex_state = 435, .external_lex_state = 2},
  [8566] = {.lex_state = 435, .external_lex_state = 2},
  [8567] = {.lex_state = 435, .external_lex_state = 2},
  [8568] = {.lex_state = 435, .external_lex_state = 2},
  [8569] = {.lex_state = 435, .external_lex_state = 2},
  [8570] = {.lex_state = 435, .external_lex_state = 2},
  [8571] = {.lex_state = 170, .external_lex_state = 3},
  [8572] = {.lex_state = 435, .external_lex_state = 2},
  [8573] = {.lex_state = 435, .external_lex_state = 2},
  [8574] = {.lex_state = 170, .external_lex_state = 3},
  [8575] = {.lex_state = 435, .external_lex_state = 2},
  [8576] = {.lex_state = 170, .external_lex_state = 3},
  [8577] = {.lex_state = 170, .external_lex_state = 3},
  [8578] = {.lex_state = 435, .external_lex_state = 2},
  [8579] = {.lex_state = 435, .external_lex_state = 2},
  [8580] = {.lex_state = 170, .external_lex_state = 3},
  [8581] = {.lex_state = 435, .external_lex_state = 2},
  [8582] = {.lex_state = 435, .external_lex_state = 2},
  [8583] = {.lex_state = 166, .external_lex_state = 3},
  [8584] = {.lex_state = 435, .external_lex_state = 2},
  [8585] = {.lex_state = 435, .external_lex_state = 2},
  [8586] = {.lex_state = 435, .external_lex_state = 2},
  [8587] = {.lex_state = 435, .external_lex_state = 2},
  [8588] = {.lex_state = 435, .external_lex_state = 2},
  [8589] = {.lex_state = 435, .external_lex_state = 2},
  [8590] = {.lex_state = 435, .external_lex_state = 2},
  [8591] = {.lex_state = 435, .external_lex_state = 2},
  [8592] = {.lex_state = 435, .external_lex_state = 2},
  [8593] = {.lex_state = 435, .external_lex_state = 2},
  [8594] = {.lex_state = 435, .external_lex_state = 2},
  [8595] = {.lex_state = 435, .external_lex_state = 2},
  [8596] = {.lex_state = 435, .external_lex_state = 2},
  [8597] = {.lex_state = 435, .external_lex_state = 2},
  [8598] = {.lex_state = 435, .external_lex_state = 2},
  [8599] = {.lex_state = 435, .external_lex_state = 2},
  [8600] = {.lex_state = 435, .external_lex_state = 2},
  [8601] = {.lex_state = 158, .external_lex_state = 2},
  [8602] = {.lex_state = 435, .external_lex_state = 2},
  [8603] = {.lex_state = 166, .external_lex_state = 3},
  [8604] = {.lex_state = 435, .external_lex_state = 2},
  [8605] = {.lex_state = 435, .external_lex_state = 2},
  [8606] = {.lex_state = 435, .external_lex_state = 2},
  [8607] = {.lex_state = 435, .external_lex_state = 2},
  [8608] = {.lex_state = 435, .external_lex_state = 2},
  [8609] = {.lex_state = 435, .external_lex_state = 2},
  [8610] = {.lex_state = 435, .external_lex_state = 2},
  [8611] = {.lex_state = 435, .external_lex_state = 2},
  [8612] = {.lex_state = 435, .external_lex_state = 2},
  [8613] = {.lex_state = 435, .external_lex_state = 2},
  [8614] = {.lex_state = 435, .external_lex_state = 2},
  [8615] = {.lex_state = 435, .external_lex_state = 2},
  [8616] = {.lex_state = 435, .external_lex_state = 2},
  [8617] = {.lex_state = 435, .external_lex_state = 2},
  [8618] = {.lex_state = 435, .external_lex_state = 2},
  [8619] = {.lex_state = 435, .external_lex_state = 2},
  [8620] = {.lex_state = 435, .external_lex_state = 2},
  [8621] = {.lex_state = 435, .external_lex_state = 2},
  [8622] = {.lex_state = 435, .external_lex_state = 2},
  [8623] = {.lex_state = 435, .external_lex_state = 2},
  [8624] = {.lex_state = 435, .external_lex_state = 2},
  [8625] = {.lex_state = 435, .external_lex_state = 2},
  [8626] = {.lex_state = 435, .external_lex_state = 2},
  [8627] = {.lex_state = 435, .external_lex_state = 2},
  [8628] = {.lex_state = 435, .external_lex_state = 2},
  [8629] = {.lex_state = 435, .external_lex_state = 2},
  [8630] = {.lex_state = 435, .external_lex_state = 2},
  [8631] = {.lex_state = 435, .external_lex_state = 2},
  [8632] = {.lex_state = 435, .external_lex_state = 2},
  [8633] = {.lex_state = 435, .external_lex_state = 2},
  [8634] = {.lex_state = 435, .external_lex_state = 2},
  [8635] = {.lex_state = 435, .external_lex_state = 2},
  [8636] = {.lex_state = 435, .external_lex_state = 2},
  [8637] = {.lex_state = 435, .external_lex_state = 2},
  [8638] = {.lex_state = 435, .external_lex_state = 2},
  [8639] = {.lex_state = 435, .external_lex_state = 2},
  [8640] = {.lex_state = 435, .external_lex_state = 2},
  [8641] = {.lex_state = 435, .external_lex_state = 2},
  [8642] = {.lex_state = 435, .external_lex_state = 2},
  [8643] = {.lex_state = 435, .external_lex_state = 2},
  [8644] = {.lex_state = 435, .external_lex_state = 2},
  [8645] = {.lex_state = 435, .external_lex_state = 2},
  [8646] = {.lex_state = 435, .external_lex_state = 2},
  [8647] = {.lex_state = 435, .external_lex_state = 2},
  [8648] = {.lex_state = 435, .external_lex_state = 2},
  [8649] = {.lex_state = 435, .external_lex_state = 2},
  [8650] = {.lex_state = 435, .external_lex_state = 2},
  [8651] = {.lex_state = 435, .external_lex_state = 2},
  [8652] = {.lex_state = 435, .external_lex_state = 2},
  [8653] = {.lex_state = 435, .external_lex_state = 2},
  [8654] = {.lex_state = 435, .external_lex_state = 2},
  [8655] = {.lex_state = 435, .external_lex_state = 2},
  [8656] = {.lex_state = 435, .external_lex_state = 2},
  [8657] = {.lex_state = 435, .external_lex_state = 2},
  [8658] = {.lex_state = 435, .external_lex_state = 2},
  [8659] = {.lex_state = 435, .external_lex_state = 2},
  [8660] = {.lex_state = 435, .external_lex_state = 2},
  [8661] = {.lex_state = 435, .external_lex_state = 2},
  [8662] = {.lex_state = 435, .external_lex_state = 2},
  [8663] = {.lex_state = 435, .external_lex_state = 2},
  [8664] = {.lex_state = 435, .external_lex_state = 2},
  [8665] = {.lex_state = 435, .external_lex_state = 2},
  [8666] = {.lex_state = 435, .external_lex_state = 2},
  [8667] = {.lex_state = 435, .external_lex_state = 2},
  [8668] = {.lex_state = 435, .external_lex_state = 2},
  [8669] = {.lex_state = 435, .external_lex_state = 2},
  [8670] = {.lex_state = 435, .external_lex_state = 2},
  [8671] = {.lex_state = 435, .external_lex_state = 2},
  [8672] = {.lex_state = 435, .external_lex_state = 2},
  [8673] = {.lex_state = 435, .external_lex_state = 2},
  [8674] = {.lex_state = 435, .external_lex_state = 2},
  [8675] = {.lex_state = 170, .external_lex_state = 3},
  [8676] = {.lex_state = 158, .external_lex_state = 2},
  [8677] = {.lex_state = 435, .external_lex_state = 2},
  [8678] = {.lex_state = 435, .external_lex_state = 2},
  [8679] = {.lex_state = 158, .external_lex_state = 2},
  [8680] = {.lex_state = 170, .external_lex_state = 3},
  [8681] = {.lex_state = 170, .external_lex_state = 3},
  [8682] = {.lex_state = 166, .external_lex_state = 3},
  [8683] = {.lex_state = 182, .external_lex_state = 3},
  [8684] = {.lex_state = 435, .external_lex_state = 2},
  [8685] = {.lex_state = 170, .external_lex_state = 3},
  [8686] = {.lex_state = 170, .external_lex_state = 3},
  [8687] = {.lex_state = 435, .external_lex_state = 2},
  [8688] = {.lex_state = 435, .external_lex_state = 2},
  [8689] = {.lex_state = 170, .external_lex_state = 3},
  [8690] = {.lex_state = 170, .external_lex_state = 3},
  [8691] = {.lex_state = 170, .external_lex_state = 3},
  [8692] = {.lex_state = 170, .external_lex_state = 3},
  [8693] = {.lex_state = 170, .external_lex_state = 3},
  [8694] = {.lex_state = 170, .external_lex_state = 3},
  [8695] = {.lex_state = 187, .external_lex_state = 3},
  [8696] = {.lex_state = 187, .external_lex_state = 3},
  [8697] = {.lex_state = 158, .external_lex_state = 2},
  [8698] = {.lex_state = 187, .external_lex_state = 3},
  [8699] = {.lex_state = 187, .external_lex_state = 3},
  [8700] = {.lex_state = 187, .external_lex_state = 3},
  [8701] = {.lex_state = 187, .external_lex_state = 3},
  [8702] = {.lex_state = 187, .external_lex_state = 3},
  [8703] = {.lex_state = 187, .external_lex_state = 3},
  [8704] = {.lex_state = 187, .external_lex_state = 3},
  [8705] = {.lex_state = 187, .external_lex_state = 3},
  [8706] = {.lex_state = 187, .external_lex_state = 3},
  [8707] = {.lex_state = 158, .external_lex_state = 2},
  [8708] = {.lex_state = 228, .external_lex_state = 2},
  [8709] = {.lex_state = 187, .external_lex_state = 3},
  [8710] = {.lex_state = 187, .external_lex_state = 3},
  [8711] = {.lex_state = 187, .external_lex_state = 3},
  [8712] = {.lex_state = 187, .external_lex_state = 3},
  [8713] = {.lex_state = 187, .external_lex_state = 3},
  [8714] = {.lex_state = 228, .external_lex_state = 2},
  [8715] = {.lex_state = 187, .external_lex_state = 3},
  [8716] = {.lex_state = 187, .external_lex_state = 3},
  [8717] = {.lex_state = 228, .external_lex_state = 2},
  [8718] = {.lex_state = 158, .external_lex_state = 2},
  [8719] = {.lex_state = 158, .external_lex_state = 2},
  [8720] = {.lex_state = 228, .external_lex_state = 2},
  [8721] = {.lex_state = 187, .external_lex_state = 3},
  [8722] = {.lex_state = 187, .external_lex_state = 3},
  [8723] = {.lex_state = 187, .external_lex_state = 3},
  [8724] = {.lex_state = 187, .external_lex_state = 3},
  [8725] = {.lex_state = 187, .external_lex_state = 3},
  [8726] = {.lex_state = 187, .external_lex_state = 3},
  [8727] = {.lex_state = 187, .external_lex_state = 3},
  [8728] = {.lex_state = 187, .external_lex_state = 3},
  [8729] = {.lex_state = 228, .external_lex_state = 2},
  [8730] = {.lex_state = 187, .external_lex_state = 3},
  [8731] = {.lex_state = 187, .external_lex_state = 3},
  [8732] = {.lex_state = 187, .external_lex_state = 3},
  [8733] = {.lex_state = 187, .external_lex_state = 3},
  [8734] = {.lex_state = 187, .external_lex_state = 3},
  [8735] = {.lex_state = 187, .external_lex_state = 3},
  [8736] = {.lex_state = 187, .external_lex_state = 3},
  [8737] = {.lex_state = 228, .external_lex_state = 2},
  [8738] = {.lex_state = 187, .external_lex_state = 3},
  [8739] = {.lex_state = 234, .external_lex_state = 2},
  [8740] = {.lex_state = 187, .external_lex_state = 3},
  [8741] = {.lex_state = 187, .external_lex_state = 3},
  [8742] = {.lex_state = 187, .external_lex_state = 3},
  [8743] = {.lex_state = 187, .external_lex_state = 3},
  [8744] = {.lex_state = 187, .external_lex_state = 3},
  [8745] = {.lex_state = 187, .external_lex_state = 3},
  [8746] = {.lex_state = 187, .external_lex_state = 3},
  [8747] = {.lex_state = 187, .external_lex_state = 3},
  [8748] = {.lex_state = 187, .external_lex_state = 3},
  [8749] = {.lex_state = 187, .external_lex_state = 3},
  [8750] = {.lex_state = 187, .external_lex_state = 3},
  [8751] = {.lex_state = 187, .external_lex_state = 3},
  [8752] = {.lex_state = 187, .external_lex_state = 3},
  [8753] = {.lex_state = 187, .external_lex_state = 3},
  [8754] = {.lex_state = 187, .external_lex_state = 3},
  [8755] = {.lex_state = 225, .external_lex_state = 2},
  [8756] = {.lex_state = 225, .external_lex_state = 2},
  [8757] = {.lex_state = 228, .external_lex_state = 2},
  [8758] = {.lex_state = 228, .external_lex_state = 2},
  [8759] = {.lex_state = 228, .external_lex_state = 2},
  [8760] = {.lex_state = 228, .external_lex_state = 2},
  [8761] = {.lex_state = 228, .external_lex_state = 2},
  [8762] = {.lex_state = 228, .external_lex_state = 2},
  [8763] = {.lex_state = 223, .external_lex_state = 2},
  [8764] = {.lex_state = 223, .external_lex_state = 2},
  [8765] = {.lex_state = 223, .external_lex_state = 2},
  [8766] = {.lex_state = 158, .external_lex_state = 2},
  [8767] = {.lex_state = 228, .external_lex_state = 2},
  [8768] = {.lex_state = 228, .external_lex_state = 2},
  [8769] = {.lex_state = 158, .external_lex_state = 2},
  [8770] = {.lex_state = 228, .external_lex_state = 2},
  [8771] = {.lex_state = 228, .external_lex_state = 2},
  [8772] = {.lex_state = 228, .external_lex_state = 2},
  [8773] = {.lex_state = 228, .external_lex_state = 2},
  [8774] = {.lex_state = 158, .external_lex_state = 2},
  [8775] = {.lex_state = 158, .external_lex_state = 2},
  [8776] = {.lex_state = 225, .external_lex_state = 2},
  [8777] = {.lex_state = 435, .external_lex_state = 2},
  [8778] = {.lex_state = 223, .external_lex_state = 2},
  [8779] = {.lex_state = 158, .external_lex_state = 2},
  [8780] = {.lex_state = 158, .external_lex_state = 2},
  [8781] = {.lex_state = 435, .external_lex_state = 2},
  [8782] = {.lex_state = 435, .external_lex_state = 2},
  [8783] = {.lex_state = 435, .external_lex_state = 2},
  [8784] = {.lex_state = 435, .external_lex_state = 2},
  [8785] = {.lex_state = 435, .external_lex_state = 2},
  [8786] = {.lex_state = 435, .external_lex_state = 2},
  [8787] = {.lex_state = 435, .external_lex_state = 2},
  [8788] = {.lex_state = 435, .external_lex_state = 2},
  [8789] = {.lex_state = 435, .external_lex_state = 2},
  [8790] = {.lex_state = 435, .external_lex_state = 2},
  [8791] = {.lex_state = 435, .external_lex_state = 2},
  [8792] = {.lex_state = 435, .external_lex_state = 2},
  [8793] = {.lex_state = 435, .external_lex_state = 2},
  [8794] = {.lex_state = 435, .external_lex_state = 2},
  [8795] = {.lex_state = 435, .external_lex_state = 2},
  [8796] = {.lex_state = 435, .external_lex_state = 2},
  [8797] = {.lex_state = 435, .external_lex_state = 2},
  [8798] = {.lex_state = 435, .external_lex_state = 2},
  [8799] = {.lex_state = 435, .external_lex_state = 2},
  [8800] = {.lex_state = 435, .external_lex_state = 2},
  [8801] = {.lex_state = 214, .external_lex_state = 2},
  [8802] = {.lex_state = 435, .external_lex_state = 2},
  [8803] = {.lex_state = 435, .external_lex_state = 2},
  [8804] = {.lex_state = 435, .external_lex_state = 2},
  [8805] = {.lex_state = 435, .external_lex_state = 2},
  [8806] = {.lex_state = 158, .external_lex_state = 2},
  [8807] = {.lex_state = 158, .external_lex_state = 2},
  [8808] = {.lex_state = 158, .external_lex_state = 2},
  [8809] = {.lex_state = 213, .external_lex_state = 2},
  [8810] = {.lex_state = 158, .external_lex_state = 2},
  [8811] = {.lex_state = 435, .external_lex_state = 2},
  [8812] = {.lex_state = 435, .external_lex_state = 2},
  [8813] = {.lex_state = 435, .external_lex_state = 2},
  [8814] = {.lex_state = 435, .external_lex_state = 2},
  [8815] = {.lex_state = 435, .external_lex_state = 2},
  [8816] = {.lex_state = 435, .external_lex_state = 2},
  [8817] = {.lex_state = 435, .external_lex_state = 2},
  [8818] = {.lex_state = 435, .external_lex_state = 2},
  [8819] = {.lex_state = 158, .external_lex_state = 2},
  [8820] = {.lex_state = 158, .external_lex_state = 2},
  [8821] = {.lex_state = 435, .external_lex_state = 2},
  [8822] = {.lex_state = 435, .external_lex_state = 2},
  [8823] = {.lex_state = 435, .external_lex_state = 2},
  [8824] = {.lex_state = 225, .external_lex_state = 2},
  [8825] = {.lex_state = 214, .external_lex_state = 2},
  [8826] = {.lex_state = 435, .external_lex_state = 2},
  [8827] = {.lex_state = 435, .external_lex_state = 2},
  [8828] = {.lex_state = 158, .external_lex_state = 2},
  [8829] = {.lex_state = 435, .external_lex_state = 2},
  [8830] = {.lex_state = 213, .external_lex_state = 2},
  [8831] = {.lex_state = 225, .external_lex_state = 2},
  [8832] = {.lex_state = 19, .external_lex_state = 3},
  [8833] = {.lex_state = 19, .external_lex_state = 3},
  [8834] = {.lex_state = 19, .external_lex_state = 3},
  [8835] = {.lex_state = 19, .external_lex_state = 3},
  [8836] = {.lex_state = 19, .external_lex_state = 3},
  [8837] = {.lex_state = 19, .external_lex_state = 3},
  [8838] = {.lex_state = 435, .external_lex_state = 2},
  [8839] = {.lex_state = 19, .external_lex_state = 3},
  [8840] = {.lex_state = 19, .external_lex_state = 3},
  [8841] = {.lex_state = 19, .external_lex_state = 3},
  [8842] = {.lex_state = 19, .external_lex_state = 3},
  [8843] = {.lex_state = 435, .external_lex_state = 2},
  [8844] = {.lex_state = 19, .external_lex_state = 3},
  [8845] = {.lex_state = 226, .external_lex_state = 2},
  [8846] = {.lex_state = 435, .external_lex_state = 2},
  [8847] = {.lex_state = 435, .external_lex_state = 2},
  [8848] = {.lex_state = 435, .external_lex_state = 2},
  [8849] = {.lex_state = 19, .external_lex_state = 3},
  [8850] = {.lex_state = 213, .external_lex_state = 2},
  [8851] = {.lex_state = 435, .external_lex_state = 2},
  [8852] = {.lex_state = 435, .external_lex_state = 2},
  [8853] = {.lex_state = 213, .external_lex_state = 2},
  [8854] = {.lex_state = 435, .external_lex_state = 2},
  [8855] = {.lex_state = 435, .external_lex_state = 2},
  [8856] = {.lex_state = 158, .external_lex_state = 2},
  [8857] = {.lex_state = 435, .external_lex_state = 2},
  [8858] = {.lex_state = 435, .external_lex_state = 2},
  [8859] = {.lex_state = 435, .external_lex_state = 2},
  [8860] = {.lex_state = 435, .external_lex_state = 2},
  [8861] = {.lex_state = 435, .external_lex_state = 2},
  [8862] = {.lex_state = 223, .external_lex_state = 2},
  [8863] = {.lex_state = 223, .external_lex_state = 2},
  [8864] = {.lex_state = 223, .external_lex_state = 2},
  [8865] = {.lex_state = 223, .external_lex_state = 2},
  [8866] = {.lex_state = 223, .external_lex_state = 2},
  [8867] = {.lex_state = 223, .external_lex_state = 2},
  [8868] = {.lex_state = 223, .external_lex_state = 2},
  [8869] = {.lex_state = 223, .external_lex_state = 2},
  [8870] = {.lex_state = 223, .external_lex_state = 2},
  [8871] = {.lex_state = 223, .external_lex_state = 2},
  [8872] = {.lex_state = 223, .external_lex_state = 2},
  [8873] = {.lex_state = 223, .external_lex_state = 2},
  [8874] = {.lex_state = 223, .external_lex_state = 2},
  [8875] = {.lex_state = 19, .external_lex_state = 3},
  [8876] = {.lex_state = 223, .external_lex_state = 2},
  [8877] = {.lex_state = 223, .external_lex_state = 2},
  [8878] = {.lex_state = 223, .external_lex_state = 2},
  [8879] = {.lex_state = 223, .external_lex_state = 2},
  [8880] = {.lex_state = 223, .external_lex_state = 2},
  [8881] = {.lex_state = 223, .external_lex_state = 2},
  [8882] = {.lex_state = 435, .external_lex_state = 2},
  [8883] = {.lex_state = 435, .external_lex_state = 2},
  [8884] = {.lex_state = 223, .external_lex_state = 2},
  [8885] = {.lex_state = 223, .external_lex_state = 2},
  [8886] = {.lex_state = 223, .external_lex_state = 2},
  [8887] = {.lex_state = 19, .external_lex_state = 3},
  [8888] = {.lex_state = 223, .external_lex_state = 2},
  [8889] = {.lex_state = 435, .external_lex_state = 2},
  [8890] = {.lex_state = 223, .external_lex_state = 2},
  [8891] = {.lex_state = 223, .external_lex_state = 2},
  [8892] = {.lex_state = 213, .external_lex_state = 2},
  [8893] = {.lex_state = 226, .external_lex_state = 2},
  [8894] = {.lex_state = 214, .external_lex_state = 2},
  [8895] = {.lex_state = 223, .external_lex_state = 2},
  [8896] = {.lex_state = 19, .external_lex_state = 3},
  [8897] = {.lex_state = 223, .external_lex_state = 2},
  [8898] = {.lex_state = 223, .external_lex_state = 2},
  [8899] = {.lex_state = 223, .external_lex_state = 2},
  [8900] = {.lex_state = 223, .external_lex_state = 2},
  [8901] = {.lex_state = 225, .external_lex_state = 2},
  [8902] = {.lex_state = 225, .external_lex_state = 2},
  [8903] = {.lex_state = 225, .external_lex_state = 2},
  [8904] = {.lex_state = 225, .external_lex_state = 2},
  [8905] = {.lex_state = 214, .external_lex_state = 2},
  [8906] = {.lex_state = 435, .external_lex_state = 2},
  [8907] = {.lex_state = 435, .external_lex_state = 2},
  [8908] = {.lex_state = 435, .external_lex_state = 2},
  [8909] = {.lex_state = 224, .external_lex_state = 2},
  [8910] = {.lex_state = 435, .external_lex_state = 2},
  [8911] = {.lex_state = 435, .external_lex_state = 2},
  [8912] = {.lex_state = 228, .external_lex_state = 2},
  [8913] = {.lex_state = 435, .external_lex_state = 2},
  [8914] = {.lex_state = 435, .external_lex_state = 2},
  [8915] = {.lex_state = 435, .external_lex_state = 2},
  [8916] = {.lex_state = 435, .external_lex_state = 2},
  [8917] = {.lex_state = 435, .external_lex_state = 2},
  [8918] = {.lex_state = 435, .external_lex_state = 2},
  [8919] = {.lex_state = 435, .external_lex_state = 2},
  [8920] = {.lex_state = 435, .external_lex_state = 2},
  [8921] = {.lex_state = 225, .external_lex_state = 2},
  [8922] = {.lex_state = 225, .external_lex_state = 2},
  [8923] = {.lex_state = 225, .external_lex_state = 2},
  [8924] = {.lex_state = 225, .external_lex_state = 2},
  [8925] = {.lex_state = 225, .external_lex_state = 2},
  [8926] = {.lex_state = 435, .external_lex_state = 2},
  [8927] = {.lex_state = 435, .external_lex_state = 2},
  [8928] = {.lex_state = 435, .external_lex_state = 2},
  [8929] = {.lex_state = 435, .external_lex_state = 2},
  [8930] = {.lex_state = 435, .external_lex_state = 2},
  [8931] = {.lex_state = 435, .external_lex_state = 2},
  [8932] = {.lex_state = 435, .external_lex_state = 2},
  [8933] = {.lex_state = 19, .external_lex_state = 3},
  [8934] = {.lex_state = 435, .external_lex_state = 2},
  [8935] = {.lex_state = 225, .external_lex_state = 2},
  [8936] = {.lex_state = 225, .external_lex_state = 2},
  [8937] = {.lex_state = 435, .external_lex_state = 2},
  [8938] = {.lex_state = 225, .external_lex_state = 2},
  [8939] = {.lex_state = 435, .external_lex_state = 2},
  [8940] = {.lex_state = 435, .external_lex_state = 2},
  [8941] = {.lex_state = 435, .external_lex_state = 2},
  [8942] = {.lex_state = 435, .external_lex_state = 2},
  [8943] = {.lex_state = 225, .external_lex_state = 2},
  [8944] = {.lex_state = 435, .external_lex_state = 2},
  [8945] = {.lex_state = 435, .external_lex_state = 2},
  [8946] = {.lex_state = 435, .external_lex_state = 2},
  [8947] = {.lex_state = 228, .external_lex_state = 2},
  [8948] = {.lex_state = 435, .external_lex_state = 2},
  [8949] = {.lex_state = 225, .external_lex_state = 2},
  [8950] = {.lex_state = 435, .external_lex_state = 2},
  [8951] = {.lex_state = 225, .external_lex_state = 2},
  [8952] = {.lex_state = 435, .external_lex_state = 2},
  [8953] = {.lex_state = 225, .external_lex_state = 2},
  [8954] = {.lex_state = 223, .external_lex_state = 2},
  [8955] = {.lex_state = 435, .external_lex_state = 2},
  [8956] = {.lex_state = 435, .external_lex_state = 2},
  [8957] = {.lex_state = 435, .external_lex_state = 2},
  [8958] = {.lex_state = 214, .external_lex_state = 2},
  [8959] = {.lex_state = 214, .external_lex_state = 2},
  [8960] = {.lex_state = 225, .external_lex_state = 2},
  [8961] = {.lex_state = 225, .external_lex_state = 2},
  [8962] = {.lex_state = 225, .external_lex_state = 2},
  [8963] = {.lex_state = 225, .external_lex_state = 2},
  [8964] = {.lex_state = 225, .external_lex_state = 2},
  [8965] = {.lex_state = 225, .external_lex_state = 2},
  [8966] = {.lex_state = 223, .external_lex_state = 2},
  [8967] = {.lex_state = 435, .external_lex_state = 2},
  [8968] = {.lex_state = 225, .external_lex_state = 2},
  [8969] = {.lex_state = 435, .external_lex_state = 2},
  [8970] = {.lex_state = 225, .external_lex_state = 2},
  [8971] = {.lex_state = 435, .external_lex_state = 2},
  [8972] = {.lex_state = 225, .external_lex_state = 2},
  [8973] = {.lex_state = 435, .external_lex_state = 2},
  [8974] = {.lex_state = 225, .external_lex_state = 2},
  [8975] = {.lex_state = 435, .external_lex_state = 2},
  [8976] = {.lex_state = 435, .external_lex_state = 2},
  [8977] = {.lex_state = 214, .external_lex_state = 2},
  [8978] = {.lex_state = 19, .external_lex_state = 3},
  [8979] = {.lex_state = 435, .external_lex_state = 2},
  [8980] = {.lex_state = 435, .external_lex_state = 2},
  [8981] = {.lex_state = 435, .external_lex_state = 2},
  [8982] = {.lex_state = 225, .external_lex_state = 2},
  [8983] = {.lex_state = 225, .external_lex_state = 2},
  [8984] = {.lex_state = 214, .external_lex_state = 2},
  [8985] = {.lex_state = 19, .external_lex_state = 3},
  [8986] = {.lex_state = 214, .external_lex_state = 2},
  [8987] = {.lex_state = 435, .external_lex_state = 2},
  [8988] = {.lex_state = 435, .external_lex_state = 2},
  [8989] = {.lex_state = 435, .external_lex_state = 2},
  [8990] = {.lex_state = 225, .external_lex_state = 2},
  [8991] = {.lex_state = 435, .external_lex_state = 2},
  [8992] = {.lex_state = 214, .external_lex_state = 2},
  [8993] = {.lex_state = 435, .external_lex_state = 2},
  [8994] = {.lex_state = 435, .external_lex_state = 2},
  [8995] = {.lex_state = 435, .external_lex_state = 2},
  [8996] = {.lex_state = 435, .external_lex_state = 2},
  [8997] = {.lex_state = 435, .external_lex_state = 2},
  [8998] = {.lex_state = 435, .external_lex_state = 2},
  [8999] = {.lex_state = 435, .external_lex_state = 2},
  [9000] = {.lex_state = 435, .external_lex_state = 2},
  [9001] = {.lex_state = 435, .external_lex_state = 2},
  [9002] = {.lex_state = 435, .external_lex_state = 2},
  [9003] = {.lex_state = 435, .external_lex_state = 2},
  [9004] = {.lex_state = 435, .external_lex_state = 2},
  [9005] = {.lex_state = 435, .external_lex_state = 2},
  [9006] = {.lex_state = 435, .external_lex_state = 2},
  [9007] = {.lex_state = 435, .external_lex_state = 2},
  [9008] = {.lex_state = 435, .external_lex_state = 2},
  [9009] = {.lex_state = 435, .external_lex_state = 2},
  [9010] = {.lex_state = 435, .external_lex_state = 2},
  [9011] = {.lex_state = 19, .external_lex_state = 3},
  [9012] = {.lex_state = 435, .external_lex_state = 2},
  [9013] = {.lex_state = 19, .external_lex_state = 3},
  [9014] = {.lex_state = 435, .external_lex_state = 2},
  [9015] = {.lex_state = 435, .external_lex_state = 2},
  [9016] = {.lex_state = 226, .external_lex_state = 2},
  [9017] = {.lex_state = 435, .external_lex_state = 2},
  [9018] = {.lex_state = 435, .external_lex_state = 2},
  [9019] = {.lex_state = 19, .external_lex_state = 3},
  [9020] = {.lex_state = 435, .external_lex_state = 2},
  [9021] = {.lex_state = 228, .external_lex_state = 2},
  [9022] = {.lex_state = 19, .external_lex_state = 3},
  [9023] = {.lex_state = 19, .external_lex_state = 3},
  [9024] = {.lex_state = 19, .external_lex_state = 3},
  [9025] = {.lex_state = 19, .external_lex_state = 3},
  [9026] = {.lex_state = 435, .external_lex_state = 2},
  [9027] = {.lex_state = 435, .external_lex_state = 2},
  [9028] = {.lex_state = 19, .external_lex_state = 3},
  [9029] = {.lex_state = 435, .external_lex_state = 2},
  [9030] = {.lex_state = 19, .external_lex_state = 3},
  [9031] = {.lex_state = 435, .external_lex_state = 2},
  [9032] = {.lex_state = 19, .external_lex_state = 3},
  [9033] = {.lex_state = 435, .external_lex_state = 2},
  [9034] = {.lex_state = 435, .external_lex_state = 2},
  [9035] = {.lex_state = 19, .external_lex_state = 3},
  [9036] = {.lex_state = 435, .external_lex_state = 2},
  [9037] = {.lex_state = 435, .external_lex_state = 2},
  [9038] = {.lex_state = 19, .external_lex_state = 3},
  [9039] = {.lex_state = 19, .external_lex_state = 3},
  [9040] = {.lex_state = 435, .external_lex_state = 2},
  [9041] = {.lex_state = 435, .external_lex_state = 2},
  [9042] = {.lex_state = 435, .external_lex_state = 2},
  [9043] = {.lex_state = 19, .external_lex_state = 3},
  [9044] = {.lex_state = 19, .external_lex_state = 3},
  [9045] = {.lex_state = 228, .external_lex_state = 2},
  [9046] = {.lex_state = 435, .external_lex_state = 2},
  [9047] = {.lex_state = 19, .external_lex_state = 3},
  [9048] = {.lex_state = 435, .external_lex_state = 2},
  [9049] = {.lex_state = 435, .external_lex_state = 2},
  [9050] = {.lex_state = 435, .external_lex_state = 2},
  [9051] = {.lex_state = 435, .external_lex_state = 2},
  [9052] = {.lex_state = 19, .external_lex_state = 3},
  [9053] = {.lex_state = 19, .external_lex_state = 3},
  [9054] = {.lex_state = 435, .external_lex_state = 2},
  [9055] = {.lex_state = 435, .external_lex_state = 2},
  [9056] = {.lex_state = 19, .external_lex_state = 3},
  [9057] = {.lex_state = 19, .external_lex_state = 3},
  [9058] = {.lex_state = 225, .external_lex_state = 2},
  [9059] = {.lex_state = 435, .external_lex_state = 2},
  [9060] = {.lex_state = 225, .external_lex_state = 2},
  [9061] = {.lex_state = 19, .external_lex_state = 3},
  [9062] = {.lex_state = 435, .external_lex_state = 2},
  [9063] = {.lex_state = 435, .external_lex_state = 2},
  [9064] = {.lex_state = 19, .external_lex_state = 3},
  [9065] = {.lex_state = 435, .external_lex_state = 2},
  [9066] = {.lex_state = 19, .external_lex_state = 3},
  [9067] = {.lex_state = 19, .external_lex_state = 3},
  [9068] = {.lex_state = 19, .external_lex_state = 3},
  [9069] = {.lex_state = 435, .external_lex_state = 2},
  [9070] = {.lex_state = 435, .external_lex_state = 2},
  [9071] = {.lex_state = 224, .external_lex_state = 2},
  [9072] = {.lex_state = 19, .external_lex_state = 3},
  [9073] = {.lex_state = 228, .external_lex_state = 2},
  [9074] = {.lex_state = 19, .external_lex_state = 3},
  [9075] = {.lex_state = 435, .external_lex_state = 2},
  [9076] = {.lex_state = 19, .external_lex_state = 3},
  [9077] = {.lex_state = 19, .external_lex_state = 3},
  [9078] = {.lex_state = 435, .external_lex_state = 2},
  [9079] = {.lex_state = 19, .external_lex_state = 3},
  [9080] = {.lex_state = 435, .external_lex_state = 2},
  [9081] = {.lex_state = 435, .external_lex_state = 2},
  [9082] = {.lex_state = 19, .external_lex_state = 3},
  [9083] = {.lex_state = 435, .external_lex_state = 2},
  [9084] = {.lex_state = 19, .external_lex_state = 3},
  [9085] = {.lex_state = 19, .external_lex_state = 3},
  [9086] = {.lex_state = 435, .external_lex_state = 2},
  [9087] = {.lex_state = 435, .external_lex_state = 2},
  [9088] = {.lex_state = 435, .external_lex_state = 2},
  [9089] = {.lex_state = 435, .external_lex_state = 2},
  [9090] = {.lex_state = 435, .external_lex_state = 2},
  [9091] = {.lex_state = 435, .external_lex_state = 2},
  [9092] = {.lex_state = 435, .external_lex_state = 2},
  [9093] = {.lex_state = 224, .external_lex_state = 2},
  [9094] = {.lex_state = 19, .external_lex_state = 3},
  [9095] = {.lex_state = 213, .external_lex_state = 2},
  [9096] = {.lex_state = 19, .external_lex_state = 3},
  [9097] = {.lex_state = 19, .external_lex_state = 3},
  [9098] = {.lex_state = 435, .external_lex_state = 2},
  [9099] = {.lex_state = 213, .external_lex_state = 2},
  [9100] = {.lex_state = 435, .external_lex_state = 2},
  [9101] = {.lex_state = 19, .external_lex_state = 3},
  [9102] = {.lex_state = 435, .external_lex_state = 2},
  [9103] = {.lex_state = 435, .external_lex_state = 2},
  [9104] = {.lex_state = 435, .external_lex_state = 2},
  [9105] = {.lex_state = 19, .external_lex_state = 3},
  [9106] = {.lex_state = 435, .external_lex_state = 2},
  [9107] = {.lex_state = 435, .external_lex_state = 2},
  [9108] = {.lex_state = 19, .external_lex_state = 3},
  [9109] = {.lex_state = 19, .external_lex_state = 3},
  [9110] = {.lex_state = 435, .external_lex_state = 2},
  [9111] = {.lex_state = 435, .external_lex_state = 2},
  [9112] = {.lex_state = 158, .external_lex_state = 2},
  [9113] = {.lex_state = 435, .external_lex_state = 2},
  [9114] = {.lex_state = 19, .external_lex_state = 3},
  [9115] = {.lex_state = 228, .external_lex_state = 2},
  [9116] = {.lex_state = 19, .external_lex_state = 3},
  [9117] = {.lex_state = 19, .external_lex_state = 3},
  [9118] = {.lex_state = 19, .external_lex_state = 3},
  [9119] = {.lex_state = 19, .external_lex_state = 3},
  [9120] = {.lex_state = 213, .external_lex_state = 2},
  [9121] = {.lex_state = 19, .external_lex_state = 3},
  [9122] = {.lex_state = 435, .external_lex_state = 2},
  [9123] = {.lex_state = 435, .external_lex_state = 2},
  [9124] = {.lex_state = 19, .external_lex_state = 3},
  [9125] = {.lex_state = 435, .external_lex_state = 2},
  [9126] = {.lex_state = 435, .external_lex_state = 2},
  [9127] = {.lex_state = 19, .external_lex_state = 3},
  [9128] = {.lex_state = 19, .external_lex_state = 3},
  [9129] = {.lex_state = 435, .external_lex_state = 2},
  [9130] = {.lex_state = 435, .external_lex_state = 2},
  [9131] = {.lex_state = 435, .external_lex_state = 2},
  [9132] = {.lex_state = 19, .external_lex_state = 3},
  [9133] = {.lex_state = 19, .external_lex_state = 3},
  [9134] = {.lex_state = 19, .external_lex_state = 3},
  [9135] = {.lex_state = 213, .external_lex_state = 2},
  [9136] = {.lex_state = 435, .external_lex_state = 2},
  [9137] = {.lex_state = 435, .external_lex_state = 2},
  [9138] = {.lex_state = 19, .external_lex_state = 3},
  [9139] = {.lex_state = 19, .external_lex_state = 3},
  [9140] = {.lex_state = 213, .external_lex_state = 2},
  [9141] = {.lex_state = 19, .external_lex_state = 3},
  [9142] = {.lex_state = 19, .external_lex_state = 3},
  [9143] = {.lex_state = 19, .external_lex_state = 3},
  [9144] = {.lex_state = 162, .external_lex_state = 2},
  [9145] = {.lex_state = 213, .external_lex_state = 2},
  [9146] = {.lex_state = 213, .external_lex_state = 2},
  [9147] = {.lex_state = 213, .external_lex_state = 2},
  [9148] = {.lex_state = 172, .external_lex_state = 2},
  [9149] = {.lex_state = 214, .external_lex_state = 2},
  [9150] = {.lex_state = 214, .external_lex_state = 2},
  [9151] = {.lex_state = 213, .external_lex_state = 2},
  [9152] = {.lex_state = 213, .external_lex_state = 2},
  [9153] = {.lex_state = 207, .external_lex_state = 2},
  [9154] = {.lex_state = 214, .external_lex_state = 2},
  [9155] = {.lex_state = 172, .external_lex_state = 2},
  [9156] = {.lex_state = 213, .external_lex_state = 2},
  [9157] = {.lex_state = 208, .external_lex_state = 2},
  [9158] = {.lex_state = 162, .external_lex_state = 2},
  [9159] = {.lex_state = 235, .external_lex_state = 2},
  [9160] = {.lex_state = 214, .external_lex_state = 2},
  [9161] = {.lex_state = 162, .external_lex_state = 2},
  [9162] = {.lex_state = 213, .external_lex_state = 2},
  [9163] = {.lex_state = 214, .external_lex_state = 2},
  [9164] = {.lex_state = 214, .external_lex_state = 2},
  [9165] = {.lex_state = 213, .external_lex_state = 2},
  [9166] = {.lex_state = 435, .external_lex_state = 2},
  [9167] = {.lex_state = 214, .external_lex_state = 2},
  [9168] = {.lex_state = 214, .external_lex_state = 2},
  [9169] = {.lex_state = 214, .external_lex_state = 2},
  [9170] = {.lex_state = 228, .external_lex_state = 2},
  [9171] = {.lex_state = 214, .external_lex_state = 2},
  [9172] = {.lex_state = 214, .external_lex_state = 2},
  [9173] = {.lex_state = 228, .external_lex_state = 2},
  [9174] = {.lex_state = 162, .external_lex_state = 2},
  [9175] = {.lex_state = 162, .external_lex_state = 2},
  [9176] = {.lex_state = 162, .external_lex_state = 2},
  [9177] = {.lex_state = 213, .external_lex_state = 2},
  [9178] = {.lex_state = 162, .external_lex_state = 2},
  [9179] = {.lex_state = 162, .external_lex_state = 2},
  [9180] = {.lex_state = 242, .external_lex_state = 2},
  [9181] = {.lex_state = 214, .external_lex_state = 2},
  [9182] = {.lex_state = 158, .external_lex_state = 2},
  [9183] = {.lex_state = 228, .external_lex_state = 2},
  [9184] = {.lex_state = 214, .external_lex_state = 2},
  [9185] = {.lex_state = 228, .external_lex_state = 2},
  [9186] = {.lex_state = 158, .external_lex_state = 2},
  [9187] = {.lex_state = 213, .external_lex_state = 2},
  [9188] = {.lex_state = 213, .external_lex_state = 2},
  [9189] = {.lex_state = 188, .external_lex_state = 3},
  [9190] = {.lex_state = 158, .external_lex_state = 2},
  [9191] = {.lex_state = 213, .external_lex_state = 2},
  [9192] = {.lex_state = 235, .external_lex_state = 2},
  [9193] = {.lex_state = 228, .external_lex_state = 2},
  [9194] = {.lex_state = 162, .external_lex_state = 2},
  [9195] = {.lex_state = 162, .external_lex_state = 2},
  [9196] = {.lex_state = 214, .external_lex_state = 2},
  [9197] = {.lex_state = 228, .external_lex_state = 2},
  [9198] = {.lex_state = 214, .external_lex_state = 2},
  [9199] = {.lex_state = 174, .external_lex_state = 2},
  [9200] = {.lex_state = 174, .external_lex_state = 2},
  [9201] = {.lex_state = 213, .external_lex_state = 2},
  [9202] = {.lex_state = 228, .external_lex_state = 2},
  [9203] = {.lex_state = 213, .external_lex_state = 2},
  [9204] = {.lex_state = 224, .external_lex_state = 2},
  [9205] = {.lex_state = 228, .external_lex_state = 2},
  [9206] = {.lex_state = 162, .external_lex_state = 2},
  [9207] = {.lex_state = 228, .external_lex_state = 2},
  [9208] = {.lex_state = 174, .external_lex_state = 2},
  [9209] = {.lex_state = 162, .external_lex_state = 2},
  [9210] = {.lex_state = 213, .external_lex_state = 2},
  [9211] = {.lex_state = 213, .external_lex_state = 2},
  [9212] = {.lex_state = 162, .external_lex_state = 2},
  [9213] = {.lex_state = 174, .external_lex_state = 2},
  [9214] = {.lex_state = 174, .external_lex_state = 2},
  [9215] = {.lex_state = 162, .external_lex_state = 2},
  [9216] = {.lex_state = 162, .external_lex_state = 2},
  [9217] = {.lex_state = 162, .external_lex_state = 2},
  [9218] = {.lex_state = 162, .external_lex_state = 2},
  [9219] = {.lex_state = 162, .external_lex_state = 2},
  [9220] = {.lex_state = 174, .external_lex_state = 2},
  [9221] = {.lex_state = 214, .external_lex_state = 2},
  [9222] = {.lex_state = 162, .external_lex_state = 2},
  [9223] = {.lex_state = 162, .external_lex_state = 2},
  [9224] = {.lex_state = 228, .external_lex_state = 2},
  [9225] = {.lex_state = 162, .external_lex_state = 2},
  [9226] = {.lex_state = 172, .external_lex_state = 2},
  [9227] = {.lex_state = 213, .external_lex_state = 2},
  [9228] = {.lex_state = 214, .external_lex_state = 2},
  [9229] = {.lex_state = 213, .external_lex_state = 2},
  [9230] = {.lex_state = 213, .external_lex_state = 2},
  [9231] = {.lex_state = 214, .external_lex_state = 2},
  [9232] = {.lex_state = 214, .external_lex_state = 2},
  [9233] = {.lex_state = 214, .external_lex_state = 2},
  [9234] = {.lex_state = 237, .external_lex_state = 2},
  [9235] = {.lex_state = 214, .external_lex_state = 2},
  [9236] = {.lex_state = 242, .external_lex_state = 2},
  [9237] = {.lex_state = 213, .external_lex_state = 2},
  [9238] = {.lex_state = 162, .external_lex_state = 2},
  [9239] = {.lex_state = 242, .external_lex_state = 2},
  [9240] = {.lex_state = 228, .external_lex_state = 2},
  [9241] = {.lex_state = 214, .external_lex_state = 2},
  [9242] = {.lex_state = 242, .external_lex_state = 2},
  [9243] = {.lex_state = 228, .external_lex_state = 2},
  [9244] = {.lex_state = 435, .external_lex_state = 2},
  [9245] = {.lex_state = 214, .external_lex_state = 2},
  [9246] = {.lex_state = 162, .external_lex_state = 2},
  [9247] = {.lex_state = 188, .external_lex_state = 3},
  [9248] = {.lex_state = 214, .external_lex_state = 2},
  [9249] = {.lex_state = 213, .external_lex_state = 2},
  [9250] = {.lex_state = 214, .external_lex_state = 2},
  [9251] = {.lex_state = 213, .external_lex_state = 2},
  [9252] = {.lex_state = 435, .external_lex_state = 2},
  [9253] = {.lex_state = 235, .external_lex_state = 2},
  [9254] = {.lex_state = 214, .external_lex_state = 2},
  [9255] = {.lex_state = 172, .external_lex_state = 2},
  [9256] = {.lex_state = 172, .external_lex_state = 2},
  [9257] = {.lex_state = 231, .external_lex_state = 2},
  [9258] = {.lex_state = 213, .external_lex_state = 2},
  [9259] = {.lex_state = 435, .external_lex_state = 2},
  [9260] = {.lex_state = 213, .external_lex_state = 2},
  [9261] = {.lex_state = 213, .external_lex_state = 2},
  [9262] = {.lex_state = 214, .external_lex_state = 2},
  [9263] = {.lex_state = 214, .external_lex_state = 2},
  [9264] = {.lex_state = 213, .external_lex_state = 2},
  [9265] = {.lex_state = 435, .external_lex_state = 2},
  [9266] = {.lex_state = 214, .external_lex_state = 2},
  [9267] = {.lex_state = 228, .external_lex_state = 2},
  [9268] = {.lex_state = 435, .external_lex_state = 2},
  [9269] = {.lex_state = 213, .external_lex_state = 2},
  [9270] = {.lex_state = 213, .external_lex_state = 2},
  [9271] = {.lex_state = 213, .external_lex_state = 2},
  [9272] = {.lex_state = 8, .external_lex_state = 2},
  [9273] = {.lex_state = 207, .external_lex_state = 2},
  [9274] = {.lex_state = 226, .external_lex_state = 2},
  [9275] = {.lex_state = 235, .external_lex_state = 2},
  [9276] = {.lex_state = 213, .external_lex_state = 2},
  [9277] = {.lex_state = 213, .external_lex_state = 2},
  [9278] = {.lex_state = 213, .external_lex_state = 2},
  [9279] = {.lex_state = 435, .external_lex_state = 2},
  [9280] = {.lex_state = 435, .external_lex_state = 2},
  [9281] = {.lex_state = 172, .external_lex_state = 2},
  [9282] = {.lex_state = 214, .external_lex_state = 2},
  [9283] = {.lex_state = 213, .external_lex_state = 2},
  [9284] = {.lex_state = 208, .external_lex_state = 2},
  [9285] = {.lex_state = 214, .external_lex_state = 2},
  [9286] = {.lex_state = 214, .external_lex_state = 2},
  [9287] = {.lex_state = 437, .external_lex_state = 2},
  [9288] = {.lex_state = 214, .external_lex_state = 2},
  [9289] = {.lex_state = 214, .external_lex_state = 2},
  [9290] = {.lex_state = 435, .external_lex_state = 2},
  [9291] = {.lex_state = 435, .external_lex_state = 2},
  [9292] = {.lex_state = 162, .external_lex_state = 2},
  [9293] = {.lex_state = 213, .external_lex_state = 2},
  [9294] = {.lex_state = 228, .external_lex_state = 2},
  [9295] = {.lex_state = 242, .external_lex_state = 2},
  [9296] = {.lex_state = 226, .external_lex_state = 2},
  [9297] = {.lex_state = 164, .external_lex_state = 2},
  [9298] = {.lex_state = 224, .external_lex_state = 2},
  [9299] = {.lex_state = 8, .external_lex_state = 2},
  [9300] = {.lex_state = 228, .external_lex_state = 2},
  [9301] = {.lex_state = 224, .external_lex_state = 2},
  [9302] = {.lex_state = 224, .external_lex_state = 2},
  [9303] = {.lex_state = 224, .external_lex_state = 2},
  [9304] = {.lex_state = 224, .external_lex_state = 2},
  [9305] = {.lex_state = 226, .external_lex_state = 2},
  [9306] = {.lex_state = 226, .external_lex_state = 2},
  [9307] = {.lex_state = 226, .external_lex_state = 2},
  [9308] = {.lex_state = 224, .external_lex_state = 2},
  [9309] = {.lex_state = 224, .external_lex_state = 2},
  [9310] = {.lex_state = 224, .external_lex_state = 2},
  [9311] = {.lex_state = 224, .external_lex_state = 2},
  [9312] = {.lex_state = 207, .external_lex_state = 2},
  [9313] = {.lex_state = 435, .external_lex_state = 2},
  [9314] = {.lex_state = 200, .external_lex_state = 3},
  [9315] = {.lex_state = 224, .external_lex_state = 2},
  [9316] = {.lex_state = 224, .external_lex_state = 2},
  [9317] = {.lex_state = 224, .external_lex_state = 2},
  [9318] = {.lex_state = 224, .external_lex_state = 2},
  [9319] = {.lex_state = 224, .external_lex_state = 2},
  [9320] = {.lex_state = 224, .external_lex_state = 2},
  [9321] = {.lex_state = 8, .external_lex_state = 2},
  [9322] = {.lex_state = 164, .external_lex_state = 2},
  [9323] = {.lex_state = 224, .external_lex_state = 2},
  [9324] = {.lex_state = 164, .external_lex_state = 2},
  [9325] = {.lex_state = 164, .external_lex_state = 2},
  [9326] = {.lex_state = 164, .external_lex_state = 2},
  [9327] = {.lex_state = 224, .external_lex_state = 2},
  [9328] = {.lex_state = 162, .external_lex_state = 2},
  [9329] = {.lex_state = 162, .external_lex_state = 2},
  [9330] = {.lex_state = 162, .external_lex_state = 2},
  [9331] = {.lex_state = 162, .external_lex_state = 2},
  [9332] = {.lex_state = 162, .external_lex_state = 2},
  [9333] = {.lex_state = 224, .external_lex_state = 2},
  [9334] = {.lex_state = 228, .external_lex_state = 2},
  [9335] = {.lex_state = 228, .external_lex_state = 2},
  [9336] = {.lex_state = 224, .external_lex_state = 2},
  [9337] = {.lex_state = 164, .external_lex_state = 2},
  [9338] = {.lex_state = 164, .external_lex_state = 2},
  [9339] = {.lex_state = 172, .external_lex_state = 2},
  [9340] = {.lex_state = 8, .external_lex_state = 2},
  [9341] = {.lex_state = 39, .external_lex_state = 3},
  [9342] = {.lex_state = 224, .external_lex_state = 2},
  [9343] = {.lex_state = 224, .external_lex_state = 2},
  [9344] = {.lex_state = 174, .external_lex_state = 2},
  [9345] = {.lex_state = 8, .external_lex_state = 2},
  [9346] = {.lex_state = 188, .external_lex_state = 3},
  [9347] = {.lex_state = 8, .external_lex_state = 2},
  [9348] = {.lex_state = 8, .external_lex_state = 2},
  [9349] = {.lex_state = 224, .external_lex_state = 2},
  [9350] = {.lex_state = 163, .external_lex_state = 2},
  [9351] = {.lex_state = 8, .external_lex_state = 2},
  [9352] = {.lex_state = 218, .external_lex_state = 2},
  [9353] = {.lex_state = 207, .external_lex_state = 2},
  [9354] = {.lex_state = 163, .external_lex_state = 2},
  [9355] = {.lex_state = 162, .external_lex_state = 2},
  [9356] = {.lex_state = 208, .external_lex_state = 2},
  [9357] = {.lex_state = 437, .external_lex_state = 2},
  [9358] = {.lex_state = 213, .external_lex_state = 2},
  [9359] = {.lex_state = 218, .external_lex_state = 2},
  [9360] = {.lex_state = 229, .external_lex_state = 2},
  [9361] = {.lex_state = 174, .external_lex_state = 2},
  [9362] = {.lex_state = 8, .external_lex_state = 2},
  [9363] = {.lex_state = 8, .external_lex_state = 2},
  [9364] = {.lex_state = 8, .external_lex_state = 2},
  [9365] = {.lex_state = 220, .external_lex_state = 2},
  [9366] = {.lex_state = 8, .external_lex_state = 2},
  [9367] = {.lex_state = 8, .external_lex_state = 2},
  [9368] = {.lex_state = 228, .external_lex_state = 2},
  [9369] = {.lex_state = 8, .external_lex_state = 2},
  [9370] = {.lex_state = 8, .external_lex_state = 2},
  [9371] = {.lex_state = 8, .external_lex_state = 2},
  [9372] = {.lex_state = 8, .external_lex_state = 2},
  [9373] = {.lex_state = 8, .external_lex_state = 2},
  [9374] = {.lex_state = 8, .external_lex_state = 2},
  [9375] = {.lex_state = 8, .external_lex_state = 2},
  [9376] = {.lex_state = 8, .external_lex_state = 2},
  [9377] = {.lex_state = 8, .external_lex_state = 2},
  [9378] = {.lex_state = 8, .external_lex_state = 2},
  [9379] = {.lex_state = 8, .external_lex_state = 2},
  [9380] = {.lex_state = 8, .external_lex_state = 2},
  [9381] = {.lex_state = 214, .external_lex_state = 2},
  [9382] = {.lex_state = 208, .external_lex_state = 2},
  [9383] = {.lex_state = 224, .external_lex_state = 2},
  [9384] = {.lex_state = 164, .external_lex_state = 2},
  [9385] = {.lex_state = 8, .external_lex_state = 2},
  [9386] = {.lex_state = 164, .external_lex_state = 2},
  [9387] = {.lex_state = 164, .external_lex_state = 2},
  [9388] = {.lex_state = 164, .external_lex_state = 2},
  [9389] = {.lex_state = 164, .external_lex_state = 2},
  [9390] = {.lex_state = 164, .external_lex_state = 2},
  [9391] = {.lex_state = 8, .external_lex_state = 2},
  [9392] = {.lex_state = 164, .external_lex_state = 2},
  [9393] = {.lex_state = 164, .external_lex_state = 2},
  [9394] = {.lex_state = 164, .external_lex_state = 2},
  [9395] = {.lex_state = 8, .external_lex_state = 2},
  [9396] = {.lex_state = 164, .external_lex_state = 2},
  [9397] = {.lex_state = 164, .external_lex_state = 2},
  [9398] = {.lex_state = 164, .external_lex_state = 2},
  [9399] = {.lex_state = 164, .external_lex_state = 2},
  [9400] = {.lex_state = 164, .external_lex_state = 2},
  [9401] = {.lex_state = 164, .external_lex_state = 2},
  [9402] = {.lex_state = 164, .external_lex_state = 2},
  [9403] = {.lex_state = 164, .external_lex_state = 2},
  [9404] = {.lex_state = 164, .external_lex_state = 2},
  [9405] = {.lex_state = 164, .external_lex_state = 2},
  [9406] = {.lex_state = 164, .external_lex_state = 2},
  [9407] = {.lex_state = 164, .external_lex_state = 2},
  [9408] = {.lex_state = 164, .external_lex_state = 2},
  [9409] = {.lex_state = 164, .external_lex_state = 2},
  [9410] = {.lex_state = 164, .external_lex_state = 2},
  [9411] = {.lex_state = 164, .external_lex_state = 2},
  [9412] = {.lex_state = 164, .external_lex_state = 2},
  [9413] = {.lex_state = 164, .external_lex_state = 2},
  [9414] = {.lex_state = 164, .external_lex_state = 2},
  [9415] = {.lex_state = 207, .external_lex_state = 2},
  [9416] = {.lex_state = 207, .external_lex_state = 2},
  [9417] = {.lex_state = 164, .external_lex_state = 2},
  [9418] = {.lex_state = 164, .external_lex_state = 2},
  [9419] = {.lex_state = 164, .external_lex_state = 2},
  [9420] = {.lex_state = 164, .external_lex_state = 2},
  [9421] = {.lex_state = 163, .external_lex_state = 2},
  [9422] = {.lex_state = 164, .external_lex_state = 2},
  [9423] = {.lex_state = 164, .external_lex_state = 2},
  [9424] = {.lex_state = 164, .external_lex_state = 2},
  [9425] = {.lex_state = 164, .external_lex_state = 2},
  [9426] = {.lex_state = 164, .external_lex_state = 2},
  [9427] = {.lex_state = 164, .external_lex_state = 2},
  [9428] = {.lex_state = 164, .external_lex_state = 2},
  [9429] = {.lex_state = 164, .external_lex_state = 2},
  [9430] = {.lex_state = 228, .external_lex_state = 2},
  [9431] = {.lex_state = 164, .external_lex_state = 2},
  [9432] = {.lex_state = 207, .external_lex_state = 2},
  [9433] = {.lex_state = 164, .external_lex_state = 2},
  [9434] = {.lex_state = 162, .external_lex_state = 2},
  [9435] = {.lex_state = 162, .external_lex_state = 2},
  [9436] = {.lex_state = 162, .external_lex_state = 2},
  [9437] = {.lex_state = 162, .external_lex_state = 2},
  [9438] = {.lex_state = 162, .external_lex_state = 2},
  [9439] = {.lex_state = 162, .external_lex_state = 2},
  [9440] = {.lex_state = 162, .external_lex_state = 2},
  [9441] = {.lex_state = 162, .external_lex_state = 2},
  [9442] = {.lex_state = 162, .external_lex_state = 2},
  [9443] = {.lex_state = 162, .external_lex_state = 2},
  [9444] = {.lex_state = 162, .external_lex_state = 2},
  [9445] = {.lex_state = 226, .external_lex_state = 2},
  [9446] = {.lex_state = 162, .external_lex_state = 2},
  [9447] = {.lex_state = 207, .external_lex_state = 2},
  [9448] = {.lex_state = 207, .external_lex_state = 2},
  [9449] = {.lex_state = 188, .external_lex_state = 3},
  [9450] = {.lex_state = 164, .external_lex_state = 2},
  [9451] = {.lex_state = 207, .external_lex_state = 2},
  [9452] = {.lex_state = 8, .external_lex_state = 2},
  [9453] = {.lex_state = 188, .external_lex_state = 3},
  [9454] = {.lex_state = 164, .external_lex_state = 2},
  [9455] = {.lex_state = 164, .external_lex_state = 2},
  [9456] = {.lex_state = 163, .external_lex_state = 2},
  [9457] = {.lex_state = 226, .external_lex_state = 2},
  [9458] = {.lex_state = 8, .external_lex_state = 2},
  [9459] = {.lex_state = 226, .external_lex_state = 2},
  [9460] = {.lex_state = 228, .external_lex_state = 2},
  [9461] = {.lex_state = 226, .external_lex_state = 2},
  [9462] = {.lex_state = 226, .external_lex_state = 2},
  [9463] = {.lex_state = 226, .external_lex_state = 2},
  [9464] = {.lex_state = 164, .external_lex_state = 2},
  [9465] = {.lex_state = 164, .external_lex_state = 2},
  [9466] = {.lex_state = 226, .external_lex_state = 2},
  [9467] = {.lex_state = 164, .external_lex_state = 2},
  [9468] = {.lex_state = 8, .external_lex_state = 2},
  [9469] = {.lex_state = 164, .external_lex_state = 2},
  [9470] = {.lex_state = 164, .external_lex_state = 2},
  [9471] = {.lex_state = 164, .external_lex_state = 2},
  [9472] = {.lex_state = 164, .external_lex_state = 2},
  [9473] = {.lex_state = 164, .external_lex_state = 2},
  [9474] = {.lex_state = 226, .external_lex_state = 2},
  [9475] = {.lex_state = 164, .external_lex_state = 2},
  [9476] = {.lex_state = 226, .external_lex_state = 2},
  [9477] = {.lex_state = 8, .external_lex_state = 2},
  [9478] = {.lex_state = 226, .external_lex_state = 2},
  [9479] = {.lex_state = 226, .external_lex_state = 2},
  [9480] = {.lex_state = 226, .external_lex_state = 2},
  [9481] = {.lex_state = 226, .external_lex_state = 2},
  [9482] = {.lex_state = 226, .external_lex_state = 2},
  [9483] = {.lex_state = 226, .external_lex_state = 2},
  [9484] = {.lex_state = 8, .external_lex_state = 2},
  [9485] = {.lex_state = 8, .external_lex_state = 2},
  [9486] = {.lex_state = 8, .external_lex_state = 2},
  [9487] = {.lex_state = 226, .external_lex_state = 2},
  [9488] = {.lex_state = 8, .external_lex_state = 2},
  [9489] = {.lex_state = 8, .external_lex_state = 2},
  [9490] = {.lex_state = 226, .external_lex_state = 2},
  [9491] = {.lex_state = 8, .external_lex_state = 2},
  [9492] = {.lex_state = 226, .external_lex_state = 2},
  [9493] = {.lex_state = 8, .external_lex_state = 2},
  [9494] = {.lex_state = 8, .external_lex_state = 2},
  [9495] = {.lex_state = 8, .external_lex_state = 2},
  [9496] = {.lex_state = 8, .external_lex_state = 2},
  [9497] = {.lex_state = 8, .external_lex_state = 2},
  [9498] = {.lex_state = 8, .external_lex_state = 2},
  [9499] = {.lex_state = 8, .external_lex_state = 2},
  [9500] = {.lex_state = 8, .external_lex_state = 2},
  [9501] = {.lex_state = 8, .external_lex_state = 2},
  [9502] = {.lex_state = 8, .external_lex_state = 2},
  [9503] = {.lex_state = 8, .external_lex_state = 2},
  [9504] = {.lex_state = 8, .external_lex_state = 2},
  [9505] = {.lex_state = 8, .external_lex_state = 2},
  [9506] = {.lex_state = 226, .external_lex_state = 2},
  [9507] = {.lex_state = 8, .external_lex_state = 2},
  [9508] = {.lex_state = 226, .external_lex_state = 2},
  [9509] = {.lex_state = 8, .external_lex_state = 2},
  [9510] = {.lex_state = 162, .external_lex_state = 2},
  [9511] = {.lex_state = 8, .external_lex_state = 2},
  [9512] = {.lex_state = 8, .external_lex_state = 2},
  [9513] = {.lex_state = 226, .external_lex_state = 2},
  [9514] = {.lex_state = 226, .external_lex_state = 2},
  [9515] = {.lex_state = 226, .external_lex_state = 2},
  [9516] = {.lex_state = 8, .external_lex_state = 2},
  [9517] = {.lex_state = 237, .external_lex_state = 2},
  [9518] = {.lex_state = 8, .external_lex_state = 2},
  [9519] = {.lex_state = 226, .external_lex_state = 2},
  [9520] = {.lex_state = 163, .external_lex_state = 2},
  [9521] = {.lex_state = 201, .external_lex_state = 3},
  [9522] = {.lex_state = 226, .external_lex_state = 2},
  [9523] = {.lex_state = 220, .external_lex_state = 2},
  [9524] = {.lex_state = 8, .external_lex_state = 2},
  [9525] = {.lex_state = 226, .external_lex_state = 2},
  [9526] = {.lex_state = 163, .external_lex_state = 2},
  [9527] = {.lex_state = 8, .external_lex_state = 2},
  [9528] = {.lex_state = 208, .external_lex_state = 2},
  [9529] = {.lex_state = 164, .external_lex_state = 2},
  [9530] = {.lex_state = 164, .external_lex_state = 2},
  [9531] = {.lex_state = 8, .external_lex_state = 2},
  [9532] = {.lex_state = 226, .external_lex_state = 2},
  [9533] = {.lex_state = 8, .external_lex_state = 2},
  [9534] = {.lex_state = 8, .external_lex_state = 2},
  [9535] = {.lex_state = 8, .external_lex_state = 2},
  [9536] = {.lex_state = 208, .external_lex_state = 2},
  [9537] = {.lex_state = 230, .external_lex_state = 2},
  [9538] = {.lex_state = 8, .external_lex_state = 2},
  [9539] = {.lex_state = 8, .external_lex_state = 2},
  [9540] = {.lex_state = 8, .external_lex_state = 2},
  [9541] = {.lex_state = 8, .external_lex_state = 2},
  [9542] = {.lex_state = 188, .external_lex_state = 3},
  [9543] = {.lex_state = 8, .external_lex_state = 2},
  [9544] = {.lex_state = 8, .external_lex_state = 2},
  [9545] = {.lex_state = 172, .external_lex_state = 2},
  [9546] = {.lex_state = 8, .external_lex_state = 2},
  [9547] = {.lex_state = 8, .external_lex_state = 2},
  [9548] = {.lex_state = 8, .external_lex_state = 2},
  [9549] = {.lex_state = 8, .external_lex_state = 2},
  [9550] = {.lex_state = 8, .external_lex_state = 2},
  [9551] = {.lex_state = 8, .external_lex_state = 2},
  [9552] = {.lex_state = 8, .external_lex_state = 2},
  [9553] = {.lex_state = 8, .external_lex_state = 2},
  [9554] = {.lex_state = 8, .external_lex_state = 2},
  [9555] = {.lex_state = 8, .external_lex_state = 2},
  [9556] = {.lex_state = 8, .external_lex_state = 2},
  [9557] = {.lex_state = 208, .external_lex_state = 2},
  [9558] = {.lex_state = 237, .external_lex_state = 2},
  [9559] = {.lex_state = 437, .external_lex_state = 2},
  [9560] = {.lex_state = 8, .external_lex_state = 2},
  [9561] = {.lex_state = 224, .external_lex_state = 2},
  [9562] = {.lex_state = 224, .external_lex_state = 2},
  [9563] = {.lex_state = 224, .external_lex_state = 2},
  [9564] = {.lex_state = 228, .external_lex_state = 2},
  [9565] = {.lex_state = 224, .external_lex_state = 2},
  [9566] = {.lex_state = 224, .external_lex_state = 2},
  [9567] = {.lex_state = 228, .external_lex_state = 2},
  [9568] = {.lex_state = 228, .external_lex_state = 2},
  [9569] = {.lex_state = 8, .external_lex_state = 2},
  [9570] = {.lex_state = 164, .external_lex_state = 2},
  [9571] = {.lex_state = 164, .external_lex_state = 2},
  [9572] = {.lex_state = 164, .external_lex_state = 2},
  [9573] = {.lex_state = 164, .external_lex_state = 2},
  [9574] = {.lex_state = 164, .external_lex_state = 2},
  [9575] = {.lex_state = 164, .external_lex_state = 2},
  [9576] = {.lex_state = 8, .external_lex_state = 2},
  [9577] = {.lex_state = 164, .external_lex_state = 2},
  [9578] = {.lex_state = 224, .external_lex_state = 2},
  [9579] = {.lex_state = 8, .external_lex_state = 2},
  [9580] = {.lex_state = 224, .external_lex_state = 2},
  [9581] = {.lex_state = 164, .external_lex_state = 2},
  [9582] = {.lex_state = 164, .external_lex_state = 2},
  [9583] = {.lex_state = 164, .external_lex_state = 2},
  [9584] = {.lex_state = 164, .external_lex_state = 2},
  [9585] = {.lex_state = 164, .external_lex_state = 2},
  [9586] = {.lex_state = 164, .external_lex_state = 2},
  [9587] = {.lex_state = 8, .external_lex_state = 2},
  [9588] = {.lex_state = 8, .external_lex_state = 2},
  [9589] = {.lex_state = 164, .external_lex_state = 2},
  [9590] = {.lex_state = 208, .external_lex_state = 2},
  [9591] = {.lex_state = 224, .external_lex_state = 2},
  [9592] = {.lex_state = 208, .external_lex_state = 2},
  [9593] = {.lex_state = 164, .external_lex_state = 2},
  [9594] = {.lex_state = 164, .external_lex_state = 2},
  [9595] = {.lex_state = 164, .external_lex_state = 2},
  [9596] = {.lex_state = 163, .external_lex_state = 2},
  [9597] = {.lex_state = 163, .external_lex_state = 2},
  [9598] = {.lex_state = 163, .external_lex_state = 2},
  [9599] = {.lex_state = 163, .external_lex_state = 2},
  [9600] = {.lex_state = 163, .external_lex_state = 2},
  [9601] = {.lex_state = 163, .external_lex_state = 2},
  [9602] = {.lex_state = 163, .external_lex_state = 2},
  [9603] = {.lex_state = 163, .external_lex_state = 2},
  [9604] = {.lex_state = 163, .external_lex_state = 2},
  [9605] = {.lex_state = 163, .external_lex_state = 2},
  [9606] = {.lex_state = 163, .external_lex_state = 2},
  [9607] = {.lex_state = 163, .external_lex_state = 2},
  [9608] = {.lex_state = 163, .external_lex_state = 2},
  [9609] = {.lex_state = 164, .external_lex_state = 2},
  [9610] = {.lex_state = 208, .external_lex_state = 2},
  [9611] = {.lex_state = 164, .external_lex_state = 2},
  [9612] = {.lex_state = 224, .external_lex_state = 2},
  [9613] = {.lex_state = 164, .external_lex_state = 2},
  [9614] = {.lex_state = 226, .external_lex_state = 2},
  [9615] = {.lex_state = 214, .external_lex_state = 2},
  [9616] = {.lex_state = 163, .external_lex_state = 2},
  [9617] = {.lex_state = 219, .external_lex_state = 2},
  [9618] = {.lex_state = 174, .external_lex_state = 2},
  [9619] = {.lex_state = 435, .external_lex_state = 2},
  [9620] = {.lex_state = 228, .external_lex_state = 2},
  [9621] = {.lex_state = 435, .external_lex_state = 2},
  [9622] = {.lex_state = 435, .external_lex_state = 2},
  [9623] = {.lex_state = 228, .external_lex_state = 2},
  [9624] = {.lex_state = 208, .external_lex_state = 2},
  [9625] = {.lex_state = 174, .external_lex_state = 2},
  [9626] = {.lex_state = 19, .external_lex_state = 3},
  [9627] = {.lex_state = 22, .external_lex_state = 2},
  [9628] = {.lex_state = 435, .external_lex_state = 2},
  [9629] = {.lex_state = 435, .external_lex_state = 2},
  [9630] = {.lex_state = 207, .external_lex_state = 2},
  [9631] = {.lex_state = 435, .external_lex_state = 2},
  [9632] = {.lex_state = 208, .external_lex_state = 2},
  [9633] = {.lex_state = 435, .external_lex_state = 2},
  [9634] = {.lex_state = 207, .external_lex_state = 2},
  [9635] = {.lex_state = 22, .external_lex_state = 2},
  [9636] = {.lex_state = 435, .external_lex_state = 2},
  [9637] = {.lex_state = 208, .external_lex_state = 2},
  [9638] = {.lex_state = 219, .external_lex_state = 2},
  [9639] = {.lex_state = 435, .external_lex_state = 2},
  [9640] = {.lex_state = 207, .external_lex_state = 2},
  [9641] = {.lex_state = 207, .external_lex_state = 2},
  [9642] = {.lex_state = 208, .external_lex_state = 2},
  [9643] = {.lex_state = 214, .external_lex_state = 2},
  [9644] = {.lex_state = 435, .external_lex_state = 2},
  [9645] = {.lex_state = 435, .external_lex_state = 2},
  [9646] = {.lex_state = 435, .external_lex_state = 2},
  [9647] = {.lex_state = 214, .external_lex_state = 2},
  [9648] = {.lex_state = 208, .external_lex_state = 2},
  [9649] = {.lex_state = 228, .external_lex_state = 2},
  [9650] = {.lex_state = 435, .external_lex_state = 2},
  [9651] = {.lex_state = 208, .external_lex_state = 2},
  [9652] = {.lex_state = 208, .external_lex_state = 2},
  [9653] = {.lex_state = 208, .external_lex_state = 2},
  [9654] = {.lex_state = 435, .external_lex_state = 2},
  [9655] = {.lex_state = 208, .external_lex_state = 2},
  [9656] = {.lex_state = 435, .external_lex_state = 2},
  [9657] = {.lex_state = 208, .external_lex_state = 2},
  [9658] = {.lex_state = 435, .external_lex_state = 2},
  [9659] = {.lex_state = 435, .external_lex_state = 2},
  [9660] = {.lex_state = 435, .external_lex_state = 2},
  [9661] = {.lex_state = 22, .external_lex_state = 2},
  [9662] = {.lex_state = 435, .external_lex_state = 2},
  [9663] = {.lex_state = 207, .external_lex_state = 2},
  [9664] = {.lex_state = 213, .external_lex_state = 2},
  [9665] = {.lex_state = 214, .external_lex_state = 2},
  [9666] = {.lex_state = 228, .external_lex_state = 2},
  [9667] = {.lex_state = 213, .external_lex_state = 2},
  [9668] = {.lex_state = 228, .external_lex_state = 2},
  [9669] = {.lex_state = 435, .external_lex_state = 2},
  [9670] = {.lex_state = 21, .external_lex_state = 2},
  [9671] = {.lex_state = 21, .external_lex_state = 2},
  [9672] = {.lex_state = 435, .external_lex_state = 2},
  [9673] = {.lex_state = 228, .external_lex_state = 2},
  [9674] = {.lex_state = 19, .external_lex_state = 3},
  [9675] = {.lex_state = 435, .external_lex_state = 2},
  [9676] = {.lex_state = 172, .external_lex_state = 2},
  [9677] = {.lex_state = 208, .external_lex_state = 2},
  [9678] = {.lex_state = 435, .external_lex_state = 2},
  [9679] = {.lex_state = 435, .external_lex_state = 2},
  [9680] = {.lex_state = 435, .external_lex_state = 2},
  [9681] = {.lex_state = 207, .external_lex_state = 2},
  [9682] = {.lex_state = 435, .external_lex_state = 2},
  [9683] = {.lex_state = 21, .external_lex_state = 2},
  [9684] = {.lex_state = 207, .external_lex_state = 2},
  [9685] = {.lex_state = 172, .external_lex_state = 2},
  [9686] = {.lex_state = 172, .external_lex_state = 2},
  [9687] = {.lex_state = 207, .external_lex_state = 2},
  [9688] = {.lex_state = 435, .external_lex_state = 2},
  [9689] = {.lex_state = 435, .external_lex_state = 2},
  [9690] = {.lex_state = 435, .external_lex_state = 2},
  [9691] = {.lex_state = 213, .external_lex_state = 2},
  [9692] = {.lex_state = 435, .external_lex_state = 2},
  [9693] = {.lex_state = 219, .external_lex_state = 2},
  [9694] = {.lex_state = 435, .external_lex_state = 2},
  [9695] = {.lex_state = 21, .external_lex_state = 2},
  [9696] = {.lex_state = 21, .external_lex_state = 2},
  [9697] = {.lex_state = 435, .external_lex_state = 2},
  [9698] = {.lex_state = 435, .external_lex_state = 2},
  [9699] = {.lex_state = 435, .external_lex_state = 2},
  [9700] = {.lex_state = 435, .external_lex_state = 2},
  [9701] = {.lex_state = 163, .external_lex_state = 2},
  [9702] = {.lex_state = 207, .external_lex_state = 2},
  [9703] = {.lex_state = 208, .external_lex_state = 2},
  [9704] = {.lex_state = 172, .external_lex_state = 2},
  [9705] = {.lex_state = 208, .external_lex_state = 2},
  [9706] = {.lex_state = 232, .external_lex_state = 2},
  [9707] = {.lex_state = 208, .external_lex_state = 2},
  [9708] = {.lex_state = 213, .external_lex_state = 2},
  [9709] = {.lex_state = 158, .external_lex_state = 2},
  [9710] = {.lex_state = 208, .external_lex_state = 2},
  [9711] = {.lex_state = 213, .external_lex_state = 2},
  [9712] = {.lex_state = 435, .external_lex_state = 2},
  [9713] = {.lex_state = 435, .external_lex_state = 2},
  [9714] = {.lex_state = 208, .external_lex_state = 2},
  [9715] = {.lex_state = 435, .external_lex_state = 2},
  [9716] = {.lex_state = 208, .external_lex_state = 2},
  [9717] = {.lex_state = 435, .external_lex_state = 2},
  [9718] = {.lex_state = 21, .external_lex_state = 2},
  [9719] = {.lex_state = 19, .external_lex_state = 3},
  [9720] = {.lex_state = 435, .external_lex_state = 2},
  [9721] = {.lex_state = 435, .external_lex_state = 2},
  [9722] = {.lex_state = 19, .external_lex_state = 3},
  [9723] = {.lex_state = 208, .external_lex_state = 2},
  [9724] = {.lex_state = 213, .external_lex_state = 2},
  [9725] = {.lex_state = 221, .external_lex_state = 2},
  [9726] = {.lex_state = 435, .external_lex_state = 2},
  [9727] = {.lex_state = 435, .external_lex_state = 2},
  [9728] = {.lex_state = 208, .external_lex_state = 2},
  [9729] = {.lex_state = 207, .external_lex_state = 2},
  [9730] = {.lex_state = 435, .external_lex_state = 2},
  [9731] = {.lex_state = 435, .external_lex_state = 2},
  [9732] = {.lex_state = 207, .external_lex_state = 2},
  [9733] = {.lex_state = 221, .external_lex_state = 2},
  [9734] = {.lex_state = 207, .external_lex_state = 2},
  [9735] = {.lex_state = 172, .external_lex_state = 2},
  [9736] = {.lex_state = 228, .external_lex_state = 2},
  [9737] = {.lex_state = 228, .external_lex_state = 2},
  [9738] = {.lex_state = 435, .external_lex_state = 2},
  [9739] = {.lex_state = 207, .external_lex_state = 2},
  [9740] = {.lex_state = 207, .external_lex_state = 2},
  [9741] = {.lex_state = 207, .external_lex_state = 2},
  [9742] = {.lex_state = 435, .external_lex_state = 2},
  [9743] = {.lex_state = 435, .external_lex_state = 2},
  [9744] = {.lex_state = 236, .external_lex_state = 2},
  [9745] = {.lex_state = 435, .external_lex_state = 2},
  [9746] = {.lex_state = 207, .external_lex_state = 2},
  [9747] = {.lex_state = 435, .external_lex_state = 2},
  [9748] = {.lex_state = 207, .external_lex_state = 2},
  [9749] = {.lex_state = 177, .external_lex_state = 3},
  [9750] = {.lex_state = 435, .external_lex_state = 2},
  [9751] = {.lex_state = 221, .external_lex_state = 2},
  [9752] = {.lex_state = 435, .external_lex_state = 2},
  [9753] = {.lex_state = 435, .external_lex_state = 2},
  [9754] = {.lex_state = 435, .external_lex_state = 2},
  [9755] = {.lex_state = 207, .external_lex_state = 2},
  [9756] = {.lex_state = 435, .external_lex_state = 2},
  [9757] = {.lex_state = 435, .external_lex_state = 2},
  [9758] = {.lex_state = 435, .external_lex_state = 2},
  [9759] = {.lex_state = 163, .external_lex_state = 2},
  [9760] = {.lex_state = 207, .external_lex_state = 2},
  [9761] = {.lex_state = 22, .external_lex_state = 2},
  [9762] = {.lex_state = 207, .external_lex_state = 2},
  [9763] = {.lex_state = 233, .external_lex_state = 2},
  [9764] = {.lex_state = 228, .external_lex_state = 2},
  [9765] = {.lex_state = 207, .external_lex_state = 2},
  [9766] = {.lex_state = 435, .external_lex_state = 2},
  [9767] = {.lex_state = 208, .external_lex_state = 2},
  [9768] = {.lex_state = 231, .external_lex_state = 2},
  [9769] = {.lex_state = 22, .external_lex_state = 2},
  [9770] = {.lex_state = 208, .external_lex_state = 2},
  [9771] = {.lex_state = 435, .external_lex_state = 2},
  [9772] = {.lex_state = 207, .external_lex_state = 2},
  [9773] = {.lex_state = 435, .external_lex_state = 2},
  [9774] = {.lex_state = 435, .external_lex_state = 2},
  [9775] = {.lex_state = 435, .external_lex_state = 2},
  [9776] = {.lex_state = 435, .external_lex_state = 2},
  [9777] = {.lex_state = 22, .external_lex_state = 2},
  [9778] = {.lex_state = 435, .external_lex_state = 2},
  [9779] = {.lex_state = 435, .external_lex_state = 2},
  [9780] = {.lex_state = 435, .external_lex_state = 2},
  [9781] = {.lex_state = 207, .external_lex_state = 2},
  [9782] = {.lex_state = 435, .external_lex_state = 2},
  [9783] = {.lex_state = 208, .external_lex_state = 2},
  [9784] = {.lex_state = 435, .external_lex_state = 2},
  [9785] = {.lex_state = 435, .external_lex_state = 2},
  [9786] = {.lex_state = 19, .external_lex_state = 3},
  [9787] = {.lex_state = 435, .external_lex_state = 2},
  [9788] = {.lex_state = 228, .external_lex_state = 2},
  [9789] = {.lex_state = 208, .external_lex_state = 2},
  [9790] = {.lex_state = 207, .external_lex_state = 2},
  [9791] = {.lex_state = 435, .external_lex_state = 2},
  [9792] = {.lex_state = 435, .external_lex_state = 2},
  [9793] = {.lex_state = 19, .external_lex_state = 3},
  [9794] = {.lex_state = 435, .external_lex_state = 2},
  [9795] = {.lex_state = 435, .external_lex_state = 2},
  [9796] = {.lex_state = 435, .external_lex_state = 2},
  [9797] = {.lex_state = 435, .external_lex_state = 2},
  [9798] = {.lex_state = 208, .external_lex_state = 2},
  [9799] = {.lex_state = 435, .external_lex_state = 2},
  [9800] = {.lex_state = 435, .external_lex_state = 2},
  [9801] = {.lex_state = 435, .external_lex_state = 2},
  [9802] = {.lex_state = 435, .external_lex_state = 2},
  [9803] = {.lex_state = 208, .external_lex_state = 2},
  [9804] = {.lex_state = 435, .external_lex_state = 2},
  [9805] = {.lex_state = 207, .external_lex_state = 2},
  [9806] = {.lex_state = 228, .external_lex_state = 2},
  [9807] = {.lex_state = 172, .external_lex_state = 2},
  [9808] = {.lex_state = 435, .external_lex_state = 2},
  [9809] = {.lex_state = 221, .external_lex_state = 2},
  [9810] = {.lex_state = 221, .external_lex_state = 2},
  [9811] = {.lex_state = 435, .external_lex_state = 2},
  [9812] = {.lex_state = 19, .external_lex_state = 3},
  [9813] = {.lex_state = 228, .external_lex_state = 2},
  [9814] = {.lex_state = 208, .external_lex_state = 2},
  [9815] = {.lex_state = 435, .external_lex_state = 2},
  [9816] = {.lex_state = 163, .external_lex_state = 2},
  [9817] = {.lex_state = 221, .external_lex_state = 2},
  [9818] = {.lex_state = 435, .external_lex_state = 2},
  [9819] = {.lex_state = 435, .external_lex_state = 2},
  [9820] = {.lex_state = 228, .external_lex_state = 2},
  [9821] = {.lex_state = 208, .external_lex_state = 2},
  [9822] = {.lex_state = 214, .external_lex_state = 2},
  [9823] = {.lex_state = 207, .external_lex_state = 2},
  [9824] = {.lex_state = 163, .external_lex_state = 2},
  [9825] = {.lex_state = 238, .external_lex_state = 2},
  [9826] = {.lex_state = 207, .external_lex_state = 2},
  [9827] = {.lex_state = 207, .external_lex_state = 2},
  [9828] = {.lex_state = 219, .external_lex_state = 2},
  [9829] = {.lex_state = 435, .external_lex_state = 2},
  [9830] = {.lex_state = 207, .external_lex_state = 2},
  [9831] = {.lex_state = 174, .external_lex_state = 2},
  [9832] = {.lex_state = 207, .external_lex_state = 2},
  [9833] = {.lex_state = 174, .external_lex_state = 2},
  [9834] = {.lex_state = 435, .external_lex_state = 2},
  [9835] = {.lex_state = 219, .external_lex_state = 2},
  [9836] = {.lex_state = 174, .external_lex_state = 2},
  [9837] = {.lex_state = 207, .external_lex_state = 2},
  [9838] = {.lex_state = 435, .external_lex_state = 2},
  [9839] = {.lex_state = 207, .external_lex_state = 2},
  [9840] = {.lex_state = 228, .external_lex_state = 2},
  [9841] = {.lex_state = 435, .external_lex_state = 2},
  [9842] = {.lex_state = 435, .external_lex_state = 2},
  [9843] = {.lex_state = 435, .external_lex_state = 2},
  [9844] = {.lex_state = 435, .external_lex_state = 2},
  [9845] = {.lex_state = 435, .external_lex_state = 2},
  [9846] = {.lex_state = 435, .external_lex_state = 2},
  [9847] = {.lex_state = 435, .external_lex_state = 2},
  [9848] = {.lex_state = 435, .external_lex_state = 2},
  [9849] = {.lex_state = 435, .external_lex_state = 2},
  [9850] = {.lex_state = 435, .external_lex_state = 2},
  [9851] = {.lex_state = 435, .external_lex_state = 2},
  [9852] = {.lex_state = 435, .external_lex_state = 2},
  [9853] = {.lex_state = 435, .external_lex_state = 2},
  [9854] = {.lex_state = 435, .external_lex_state = 2},
  [9855] = {.lex_state = 208, .external_lex_state = 2},
  [9856] = {.lex_state = 435, .external_lex_state = 2},
  [9857] = {.lex_state = 174, .external_lex_state = 2},
  [9858] = {.lex_state = 208, .external_lex_state = 2},
  [9859] = {.lex_state = 207, .external_lex_state = 2},
  [9860] = {.lex_state = 435, .external_lex_state = 2},
  [9861] = {.lex_state = 208, .external_lex_state = 2},
  [9862] = {.lex_state = 231, .external_lex_state = 2},
  [9863] = {.lex_state = 163, .external_lex_state = 2},
  [9864] = {.lex_state = 163, .external_lex_state = 2},
  [9865] = {.lex_state = 214, .external_lex_state = 2},
  [9866] = {.lex_state = 163, .external_lex_state = 2},
  [9867] = {.lex_state = 228, .external_lex_state = 2},
  [9868] = {.lex_state = 228, .external_lex_state = 2},
  [9869] = {.lex_state = 163, .external_lex_state = 2},
  [9870] = {.lex_state = 163, .external_lex_state = 2},
  [9871] = {.lex_state = 163, .external_lex_state = 2},
  [9872] = {.lex_state = 435, .external_lex_state = 2},
  [9873] = {.lex_state = 435, .external_lex_state = 2},
  [9874] = {.lex_state = 163, .external_lex_state = 2},
  [9875] = {.lex_state = 163, .external_lex_state = 2},
  [9876] = {.lex_state = 208, .external_lex_state = 2},
  [9877] = {.lex_state = 163, .external_lex_state = 2},
  [9878] = {.lex_state = 207, .external_lex_state = 2},
  [9879] = {.lex_state = 219, .external_lex_state = 2},
  [9880] = {.lex_state = 163, .external_lex_state = 2},
  [9881] = {.lex_state = 435, .external_lex_state = 2},
  [9882] = {.lex_state = 208, .external_lex_state = 2},
  [9883] = {.lex_state = 208, .external_lex_state = 2},
  [9884] = {.lex_state = 228, .external_lex_state = 2},
  [9885] = {.lex_state = 228, .external_lex_state = 2},
  [9886] = {.lex_state = 228, .external_lex_state = 2},
  [9887] = {.lex_state = 228, .external_lex_state = 2},
  [9888] = {.lex_state = 228, .external_lex_state = 2},
  [9889] = {.lex_state = 228, .external_lex_state = 2},
  [9890] = {.lex_state = 228, .external_lex_state = 2},
  [9891] = {.lex_state = 228, .external_lex_state = 2},
  [9892] = {.lex_state = 228, .external_lex_state = 2},
  [9893] = {.lex_state = 228, .external_lex_state = 2},
  [9894] = {.lex_state = 208, .external_lex_state = 2},
  [9895] = {.lex_state = 228, .external_lex_state = 2},
  [9896] = {.lex_state = 228, .external_lex_state = 2},
  [9897] = {.lex_state = 228, .external_lex_state = 2},
  [9898] = {.lex_state = 208, .external_lex_state = 2},
  [9899] = {.lex_state = 174, .external_lex_state = 2},
  [9900] = {.lex_state = 435, .external_lex_state = 2},
  [9901] = {.lex_state = 167, .external_lex_state = 3},
  [9902] = {.lex_state = 219, .external_lex_state = 2},
  [9903] = {.lex_state = 174, .external_lex_state = 2},
  [9904] = {.lex_state = 174, .external_lex_state = 2},
  [9905] = {.lex_state = 174, .external_lex_state = 2},
  [9906] = {.lex_state = 174, .external_lex_state = 2},
  [9907] = {.lex_state = 174, .external_lex_state = 2},
  [9908] = {.lex_state = 174, .external_lex_state = 2},
  [9909] = {.lex_state = 174, .external_lex_state = 2},
  [9910] = {.lex_state = 174, .external_lex_state = 2},
  [9911] = {.lex_state = 174, .external_lex_state = 2},
  [9912] = {.lex_state = 167, .external_lex_state = 3},
  [9913] = {.lex_state = 167, .external_lex_state = 3},
  [9914] = {.lex_state = 174, .external_lex_state = 2},
  [9915] = {.lex_state = 174, .external_lex_state = 2},
  [9916] = {.lex_state = 174, .external_lex_state = 2},
  [9917] = {.lex_state = 174, .external_lex_state = 2},
  [9918] = {.lex_state = 172, .external_lex_state = 2},
  [9919] = {.lex_state = 172, .external_lex_state = 2},
  [9920] = {.lex_state = 174, .external_lex_state = 2},
  [9921] = {.lex_state = 174, .external_lex_state = 2},
  [9922] = {.lex_state = 174, .external_lex_state = 2},
  [9923] = {.lex_state = 174, .external_lex_state = 2},
  [9924] = {.lex_state = 174, .external_lex_state = 2},
  [9925] = {.lex_state = 174, .external_lex_state = 2},
  [9926] = {.lex_state = 435, .external_lex_state = 2},
  [9927] = {.lex_state = 174, .external_lex_state = 2},
  [9928] = {.lex_state = 174, .external_lex_state = 2},
  [9929] = {.lex_state = 174, .external_lex_state = 2},
  [9930] = {.lex_state = 172, .external_lex_state = 2},
  [9931] = {.lex_state = 174, .external_lex_state = 2},
  [9932] = {.lex_state = 435, .external_lex_state = 2},
  [9933] = {.lex_state = 172, .external_lex_state = 2},
  [9934] = {.lex_state = 172, .external_lex_state = 2},
  [9935] = {.lex_state = 228, .external_lex_state = 2},
  [9936] = {.lex_state = 172, .external_lex_state = 2},
  [9937] = {.lex_state = 174, .external_lex_state = 2},
  [9938] = {.lex_state = 174, .external_lex_state = 2},
  [9939] = {.lex_state = 236, .external_lex_state = 2},
  [9940] = {.lex_state = 174, .external_lex_state = 2},
  [9941] = {.lex_state = 236, .external_lex_state = 2},
  [9942] = {.lex_state = 236, .external_lex_state = 2},
  [9943] = {.lex_state = 221, .external_lex_state = 2},
  [9944] = {.lex_state = 167, .external_lex_state = 3},
  [9945] = {.lex_state = 167, .external_lex_state = 3},
  [9946] = {.lex_state = 167, .external_lex_state = 3},
  [9947] = {.lex_state = 167, .external_lex_state = 3},
  [9948] = {.lex_state = 167, .external_lex_state = 3},
  [9949] = {.lex_state = 236, .external_lex_state = 2},
  [9950] = {.lex_state = 167, .external_lex_state = 3},
  [9951] = {.lex_state = 167, .external_lex_state = 3},
  [9952] = {.lex_state = 172, .external_lex_state = 2},
  [9953] = {.lex_state = 219, .external_lex_state = 2},
  [9954] = {.lex_state = 172, .external_lex_state = 2},
  [9955] = {.lex_state = 167, .external_lex_state = 3},
  [9956] = {.lex_state = 228, .external_lex_state = 2},
  [9957] = {.lex_state = 209, .external_lex_state = 2},
  [9958] = {.lex_state = 167, .external_lex_state = 3},
  [9959] = {.lex_state = 172, .external_lex_state = 2},
  [9960] = {.lex_state = 167, .external_lex_state = 3},
  [9961] = {.lex_state = 162, .external_lex_state = 2},
  [9962] = {.lex_state = 162, .external_lex_state = 2},
  [9963] = {.lex_state = 167, .external_lex_state = 3},
  [9964] = {.lex_state = 167, .external_lex_state = 3},
  [9965] = {.lex_state = 167, .external_lex_state = 3},
  [9966] = {.lex_state = 167, .external_lex_state = 3},
  [9967] = {.lex_state = 210, .external_lex_state = 2},
  [9968] = {.lex_state = 221, .external_lex_state = 2},
  [9969] = {.lex_state = 167, .external_lex_state = 3},
  [9970] = {.lex_state = 172, .external_lex_state = 2},
  [9971] = {.lex_state = 238, .external_lex_state = 2},
  [9972] = {.lex_state = 162, .external_lex_state = 2},
  [9973] = {.lex_state = 162, .external_lex_state = 2},
  [9974] = {.lex_state = 162, .external_lex_state = 2},
  [9975] = {.lex_state = 162, .external_lex_state = 2},
  [9976] = {.lex_state = 162, .external_lex_state = 2},
  [9977] = {.lex_state = 162, .external_lex_state = 2},
  [9978] = {.lex_state = 162, .external_lex_state = 2},
  [9979] = {.lex_state = 162, .external_lex_state = 2},
  [9980] = {.lex_state = 162, .external_lex_state = 2},
  [9981] = {.lex_state = 162, .external_lex_state = 2},
  [9982] = {.lex_state = 162, .external_lex_state = 2},
  [9983] = {.lex_state = 162, .external_lex_state = 2},
  [9984] = {.lex_state = 167, .external_lex_state = 3},
  [9985] = {.lex_state = 167, .external_lex_state = 3},
  [9986] = {.lex_state = 167, .external_lex_state = 3},
  [9987] = {.lex_state = 167, .external_lex_state = 3},
  [9988] = {.lex_state = 172, .external_lex_state = 2},
  [9989] = {.lex_state = 167, .external_lex_state = 3},
  [9990] = {.lex_state = 167, .external_lex_state = 3},
  [9991] = {.lex_state = 167, .external_lex_state = 3},
  [9992] = {.lex_state = 238, .external_lex_state = 2},
  [9993] = {.lex_state = 167, .external_lex_state = 3},
  [9994] = {.lex_state = 167, .external_lex_state = 3},
  [9995] = {.lex_state = 238, .external_lex_state = 2},
  [9996] = {.lex_state = 221, .external_lex_state = 2},
  [9997] = {.lex_state = 174, .external_lex_state = 2},
  [9998] = {.lex_state = 174, .external_lex_state = 2},
  [9999] = {.lex_state = 167, .external_lex_state = 3},
  [10000] = {.lex_state = 167, .external_lex_state = 3},
  [10001] = {.lex_state = 219, .external_lex_state = 2},
  [10002] = {.lex_state = 167, .external_lex_state = 3},
  [10003] = {.lex_state = 174, .external_lex_state = 2},
  [10004] = {.lex_state = 174, .external_lex_state = 2},
  [10005] = {.lex_state = 174, .external_lex_state = 2},
  [10006] = {.lex_state = 167, .external_lex_state = 3},
  [10007] = {.lex_state = 219, .external_lex_state = 2},
  [10008] = {.lex_state = 162, .external_lex_state = 2},
  [10009] = {.lex_state = 162, .external_lex_state = 2},
  [10010] = {.lex_state = 162, .external_lex_state = 2},
  [10011] = {.lex_state = 162, .external_lex_state = 2},
  [10012] = {.lex_state = 162, .external_lex_state = 2},
  [10013] = {.lex_state = 167, .external_lex_state = 3},
  [10014] = {.lex_state = 167, .external_lex_state = 3},
  [10015] = {.lex_state = 162, .external_lex_state = 2},
  [10016] = {.lex_state = 167, .external_lex_state = 3},
  [10017] = {.lex_state = 167, .external_lex_state = 3},
  [10018] = {.lex_state = 21, .external_lex_state = 2},
  [10019] = {.lex_state = 167, .external_lex_state = 3},
  [10020] = {.lex_state = 167, .external_lex_state = 3},
  [10021] = {.lex_state = 228, .external_lex_state = 2},
  [10022] = {.lex_state = 228, .external_lex_state = 2},
  [10023] = {.lex_state = 167, .external_lex_state = 3},
  [10024] = {.lex_state = 167, .external_lex_state = 3},
  [10025] = {.lex_state = 158, .external_lex_state = 3},
  [10026] = {.lex_state = 162, .external_lex_state = 2},
  [10027] = {.lex_state = 167, .external_lex_state = 3},
  [10028] = {.lex_state = 221, .external_lex_state = 2},
  [10029] = {.lex_state = 209, .external_lex_state = 2},
  [10030] = {.lex_state = 162, .external_lex_state = 2},
  [10031] = {.lex_state = 167, .external_lex_state = 3},
  [10032] = {.lex_state = 22, .external_lex_state = 2},
  [10033] = {.lex_state = 174, .external_lex_state = 2},
  [10034] = {.lex_state = 238, .external_lex_state = 2},
  [10035] = {.lex_state = 167, .external_lex_state = 3},
  [10036] = {.lex_state = 167, .external_lex_state = 3},
  [10037] = {.lex_state = 228, .external_lex_state = 2},
  [10038] = {.lex_state = 167, .external_lex_state = 3},
  [10039] = {.lex_state = 167, .external_lex_state = 3},
  [10040] = {.lex_state = 167, .external_lex_state = 3},
  [10041] = {.lex_state = 21, .external_lex_state = 2},
  [10042] = {.lex_state = 167, .external_lex_state = 3},
  [10043] = {.lex_state = 162, .external_lex_state = 2},
  [10044] = {.lex_state = 228, .external_lex_state = 2},
  [10045] = {.lex_state = 167, .external_lex_state = 3},
  [10046] = {.lex_state = 167, .external_lex_state = 3},
  [10047] = {.lex_state = 207, .external_lex_state = 2},
  [10048] = {.lex_state = 167, .external_lex_state = 3},
  [10049] = {.lex_state = 207, .external_lex_state = 2},
  [10050] = {.lex_state = 172, .external_lex_state = 2},
  [10051] = {.lex_state = 172, .external_lex_state = 2},
  [10052] = {.lex_state = 228, .external_lex_state = 2},
  [10053] = {.lex_state = 172, .external_lex_state = 2},
  [10054] = {.lex_state = 172, .external_lex_state = 2},
  [10055] = {.lex_state = 228, .external_lex_state = 2},
  [10056] = {.lex_state = 172, .external_lex_state = 2},
  [10057] = {.lex_state = 208, .external_lex_state = 2},
  [10058] = {.lex_state = 167, .external_lex_state = 3},
  [10059] = {.lex_state = 167, .external_lex_state = 3},
  [10060] = {.lex_state = 167, .external_lex_state = 3},
  [10061] = {.lex_state = 162, .external_lex_state = 2},
  [10062] = {.lex_state = 435, .external_lex_state = 2},
  [10063] = {.lex_state = 172, .external_lex_state = 2},
  [10064] = {.lex_state = 172, .external_lex_state = 2},
  [10065] = {.lex_state = 167, .external_lex_state = 3},
  [10066] = {.lex_state = 172, .external_lex_state = 2},
  [10067] = {.lex_state = 172, .external_lex_state = 2},
  [10068] = {.lex_state = 228, .external_lex_state = 2},
  [10069] = {.lex_state = 167, .external_lex_state = 3},
  [10070] = {.lex_state = 228, .external_lex_state = 2},
  [10071] = {.lex_state = 167, .external_lex_state = 3},
  [10072] = {.lex_state = 172, .external_lex_state = 2},
  [10073] = {.lex_state = 172, .external_lex_state = 2},
  [10074] = {.lex_state = 172, .external_lex_state = 2},
  [10075] = {.lex_state = 172, .external_lex_state = 2},
  [10076] = {.lex_state = 160, .external_lex_state = 2},
  [10077] = {.lex_state = 167, .external_lex_state = 3},
  [10078] = {.lex_state = 210, .external_lex_state = 2},
  [10079] = {.lex_state = 172, .external_lex_state = 2},
  [10080] = {.lex_state = 167, .external_lex_state = 3},
  [10081] = {.lex_state = 167, .external_lex_state = 3},
  [10082] = {.lex_state = 172, .external_lex_state = 2},
  [10083] = {.lex_state = 174, .external_lex_state = 2},
  [10084] = {.lex_state = 22, .external_lex_state = 2},
  [10085] = {.lex_state = 172, .external_lex_state = 2},
  [10086] = {.lex_state = 172, .external_lex_state = 2},
  [10087] = {.lex_state = 172, .external_lex_state = 2},
  [10088] = {.lex_state = 172, .external_lex_state = 2},
  [10089] = {.lex_state = 172, .external_lex_state = 2},
  [10090] = {.lex_state = 158, .external_lex_state = 3},
  [10091] = {.lex_state = 172, .external_lex_state = 2},
  [10092] = {.lex_state = 172, .external_lex_state = 2},
  [10093] = {.lex_state = 172, .external_lex_state = 2},
  [10094] = {.lex_state = 228, .external_lex_state = 2},
  [10095] = {.lex_state = 167, .external_lex_state = 3},
  [10096] = {.lex_state = 172, .external_lex_state = 2},
  [10097] = {.lex_state = 174, .external_lex_state = 2},
  [10098] = {.lex_state = 230, .external_lex_state = 2},
  [10099] = {.lex_state = 200, .external_lex_state = 2},
  [10100] = {.lex_state = 164, .external_lex_state = 2},
  [10101] = {.lex_state = 228, .external_lex_state = 2},
  [10102] = {.lex_state = 228, .external_lex_state = 2},
  [10103] = {.lex_state = 228, .external_lex_state = 2},
  [10104] = {.lex_state = 228, .external_lex_state = 2},
  [10105] = {.lex_state = 173, .external_lex_state = 2},
  [10106] = {.lex_state = 21, .external_lex_state = 2},
  [10107] = {.lex_state = 228, .external_lex_state = 2},
  [10108] = {.lex_state = 163, .external_lex_state = 2},
  [10109] = {.lex_state = 163, .external_lex_state = 2},
  [10110] = {.lex_state = 208, .external_lex_state = 2},
  [10111] = {.lex_state = 162, .external_lex_state = 2},
  [10112] = {.lex_state = 162, .external_lex_state = 2},
  [10113] = {.lex_state = 21, .external_lex_state = 2},
  [10114] = {.lex_state = 228, .external_lex_state = 2},
  [10115] = {.lex_state = 435, .external_lex_state = 2},
  [10116] = {.lex_state = 228, .external_lex_state = 2},
  [10117] = {.lex_state = 163, .external_lex_state = 2},
  [10118] = {.lex_state = 208, .external_lex_state = 2},
  [10119] = {.lex_state = 228, .external_lex_state = 2},
  [10120] = {.lex_state = 164, .external_lex_state = 2},
  [10121] = {.lex_state = 228, .external_lex_state = 2},
  [10122] = {.lex_state = 208, .external_lex_state = 2},
  [10123] = {.lex_state = 228, .external_lex_state = 2},
  [10124] = {.lex_state = 228, .external_lex_state = 2},
  [10125] = {.lex_state = 22, .external_lex_state = 2},
  [10126] = {.lex_state = 22, .external_lex_state = 2},
  [10127] = {.lex_state = 22, .external_lex_state = 2},
  [10128] = {.lex_state = 228, .external_lex_state = 2},
  [10129] = {.lex_state = 228, .external_lex_state = 2},
  [10130] = {.lex_state = 160, .external_lex_state = 2},
  [10131] = {.lex_state = 215, .external_lex_state = 2},
  [10132] = {.lex_state = 228, .external_lex_state = 2},
  [10133] = {.lex_state = 22, .external_lex_state = 2},
  [10134] = {.lex_state = 228, .external_lex_state = 2},
  [10135] = {.lex_state = 215, .external_lex_state = 2},
  [10136] = {.lex_state = 228, .external_lex_state = 2},
  [10137] = {.lex_state = 229, .external_lex_state = 2},
  [10138] = {.lex_state = 229, .external_lex_state = 2},
  [10139] = {.lex_state = 160, .external_lex_state = 2},
  [10140] = {.lex_state = 229, .external_lex_state = 2},
  [10141] = {.lex_state = 228, .external_lex_state = 2},
  [10142] = {.lex_state = 189, .external_lex_state = 3},
  [10143] = {.lex_state = 163, .external_lex_state = 2},
  [10144] = {.lex_state = 189, .external_lex_state = 3},
  [10145] = {.lex_state = 160, .external_lex_state = 2},
  [10146] = {.lex_state = 160, .external_lex_state = 2},
  [10147] = {.lex_state = 228, .external_lex_state = 2},
  [10148] = {.lex_state = 228, .external_lex_state = 2},
  [10149] = {.lex_state = 189, .external_lex_state = 3},
  [10150] = {.lex_state = 162, .external_lex_state = 2},
  [10151] = {.lex_state = 162, .external_lex_state = 2},
  [10152] = {.lex_state = 230, .external_lex_state = 2},
  [10153] = {.lex_state = 164, .external_lex_state = 2},
  [10154] = {.lex_state = 228, .external_lex_state = 2},
  [10155] = {.lex_state = 228, .external_lex_state = 2},
  [10156] = {.lex_state = 228, .external_lex_state = 2},
  [10157] = {.lex_state = 228, .external_lex_state = 2},
  [10158] = {.lex_state = 224, .external_lex_state = 2},
  [10159] = {.lex_state = 228, .external_lex_state = 2},
  [10160] = {.lex_state = 228, .external_lex_state = 2},
  [10161] = {.lex_state = 228, .external_lex_state = 2},
  [10162] = {.lex_state = 226, .external_lex_state = 2},
  [10163] = {.lex_state = 160, .external_lex_state = 2},
  [10164] = {.lex_state = 228, .external_lex_state = 2},
  [10165] = {.lex_state = 215, .external_lex_state = 2},
  [10166] = {.lex_state = 163, .external_lex_state = 2},
  [10167] = {.lex_state = 163, .external_lex_state = 2},
  [10168] = {.lex_state = 208, .external_lex_state = 2},
  [10169] = {.lex_state = 230, .external_lex_state = 2},
  [10170] = {.lex_state = 230, .external_lex_state = 2},
  [10171] = {.lex_state = 215, .external_lex_state = 2},
  [10172] = {.lex_state = 163, .external_lex_state = 2},
  [10173] = {.lex_state = 163, .external_lex_state = 2},
  [10174] = {.lex_state = 163, .external_lex_state = 2},
  [10175] = {.lex_state = 164, .external_lex_state = 2},
  [10176] = {.lex_state = 163, .external_lex_state = 2},
  [10177] = {.lex_state = 163, .external_lex_state = 2},
  [10178] = {.lex_state = 163, .external_lex_state = 2},
  [10179] = {.lex_state = 163, .external_lex_state = 2},
  [10180] = {.lex_state = 228, .external_lex_state = 2},
  [10181] = {.lex_state = 163, .external_lex_state = 2},
  [10182] = {.lex_state = 163, .external_lex_state = 2},
  [10183] = {.lex_state = 163, .external_lex_state = 2},
  [10184] = {.lex_state = 163, .external_lex_state = 2},
  [10185] = {.lex_state = 228, .external_lex_state = 2},
  [10186] = {.lex_state = 160, .external_lex_state = 2},
  [10187] = {.lex_state = 160, .external_lex_state = 2},
  [10188] = {.lex_state = 160, .external_lex_state = 2},
  [10189] = {.lex_state = 162, .external_lex_state = 2},
  [10190] = {.lex_state = 228, .external_lex_state = 2},
  [10191] = {.lex_state = 164, .external_lex_state = 2},
  [10192] = {.lex_state = 164, .external_lex_state = 2},
  [10193] = {.lex_state = 164, .external_lex_state = 2},
  [10194] = {.lex_state = 228, .external_lex_state = 2},
  [10195] = {.lex_state = 228, .external_lex_state = 2},
  [10196] = {.lex_state = 164, .external_lex_state = 2},
  [10197] = {.lex_state = 164, .external_lex_state = 2},
  [10198] = {.lex_state = 228, .external_lex_state = 2},
  [10199] = {.lex_state = 163, .external_lex_state = 2},
  [10200] = {.lex_state = 164, .external_lex_state = 2},
  [10201] = {.lex_state = 221, .external_lex_state = 2},
  [10202] = {.lex_state = 207, .external_lex_state = 2},
  [10203] = {.lex_state = 207, .external_lex_state = 2},
  [10204] = {.lex_state = 163, .external_lex_state = 2},
  [10205] = {.lex_state = 228, .external_lex_state = 2},
  [10206] = {.lex_state = 228, .external_lex_state = 2},
  [10207] = {.lex_state = 164, .external_lex_state = 2},
  [10208] = {.lex_state = 207, .external_lex_state = 2},
  [10209] = {.lex_state = 207, .external_lex_state = 2},
  [10210] = {.lex_state = 207, .external_lex_state = 2},
  [10211] = {.lex_state = 207, .external_lex_state = 2},
  [10212] = {.lex_state = 39, .external_lex_state = 3},
  [10213] = {.lex_state = 215, .external_lex_state = 2},
  [10214] = {.lex_state = 39, .external_lex_state = 3},
  [10215] = {.lex_state = 228, .external_lex_state = 2},
  [10216] = {.lex_state = 215, .external_lex_state = 2},
  [10217] = {.lex_state = 39, .external_lex_state = 3},
  [10218] = {.lex_state = 228, .external_lex_state = 2},
  [10219] = {.lex_state = 164, .external_lex_state = 2},
  [10220] = {.lex_state = 164, .external_lex_state = 2},
  [10221] = {.lex_state = 164, .external_lex_state = 2},
  [10222] = {.lex_state = 206, .external_lex_state = 2},
  [10223] = {.lex_state = 206, .external_lex_state = 2},
  [10224] = {.lex_state = 175, .external_lex_state = 2},
  [10225] = {.lex_state = 228, .external_lex_state = 2},
  [10226] = {.lex_state = 229, .external_lex_state = 2},
  [10227] = {.lex_state = 206, .external_lex_state = 2},
  [10228] = {.lex_state = 228, .external_lex_state = 2},
  [10229] = {.lex_state = 228, .external_lex_state = 2},
  [10230] = {.lex_state = 228, .external_lex_state = 2},
  [10231] = {.lex_state = 22, .external_lex_state = 2},
  [10232] = {.lex_state = 164, .external_lex_state = 2},
  [10233] = {.lex_state = 215, .external_lex_state = 2},
  [10234] = {.lex_state = 228, .external_lex_state = 2},
  [10235] = {.lex_state = 206, .external_lex_state = 2},
  [10236] = {.lex_state = 208, .external_lex_state = 2},
  [10237] = {.lex_state = 206, .external_lex_state = 2},
  [10238] = {.lex_state = 206, .external_lex_state = 2},
  [10239] = {.lex_state = 228, .external_lex_state = 2},
  [10240] = {.lex_state = 215, .external_lex_state = 2},
  [10241] = {.lex_state = 228, .external_lex_state = 2},
  [10242] = {.lex_state = 228, .external_lex_state = 2},
  [10243] = {.lex_state = 162, .external_lex_state = 2},
  [10244] = {.lex_state = 228, .external_lex_state = 2},
  [10245] = {.lex_state = 209, .external_lex_state = 2},
  [10246] = {.lex_state = 228, .external_lex_state = 2},
  [10247] = {.lex_state = 215, .external_lex_state = 2},
  [10248] = {.lex_state = 228, .external_lex_state = 2},
  [10249] = {.lex_state = 228, .external_lex_state = 2},
  [10250] = {.lex_state = 162, .external_lex_state = 2},
  [10251] = {.lex_state = 228, .external_lex_state = 2},
  [10252] = {.lex_state = 228, .external_lex_state = 2},
  [10253] = {.lex_state = 228, .external_lex_state = 2},
  [10254] = {.lex_state = 228, .external_lex_state = 2},
  [10255] = {.lex_state = 228, .external_lex_state = 2},
  [10256] = {.lex_state = 228, .external_lex_state = 2},
  [10257] = {.lex_state = 228, .external_lex_state = 2},
  [10258] = {.lex_state = 228, .external_lex_state = 2},
  [10259] = {.lex_state = 228, .external_lex_state = 2},
  [10260] = {.lex_state = 228, .external_lex_state = 2},
  [10261] = {.lex_state = 228, .external_lex_state = 2},
  [10262] = {.lex_state = 228, .external_lex_state = 2},
  [10263] = {.lex_state = 228, .external_lex_state = 2},
  [10264] = {.lex_state = 162, .external_lex_state = 2},
  [10265] = {.lex_state = 164, .external_lex_state = 2},
  [10266] = {.lex_state = 162, .external_lex_state = 2},
  [10267] = {.lex_state = 162, .external_lex_state = 2},
  [10268] = {.lex_state = 162, .external_lex_state = 2},
  [10269] = {.lex_state = 162, .external_lex_state = 2},
  [10270] = {.lex_state = 162, .external_lex_state = 2},
  [10271] = {.lex_state = 162, .external_lex_state = 2},
  [10272] = {.lex_state = 228, .external_lex_state = 2},
  [10273] = {.lex_state = 162, .external_lex_state = 2},
  [10274] = {.lex_state = 228, .external_lex_state = 2},
  [10275] = {.lex_state = 162, .external_lex_state = 2},
  [10276] = {.lex_state = 228, .external_lex_state = 2},
  [10277] = {.lex_state = 228, .external_lex_state = 2},
  [10278] = {.lex_state = 210, .external_lex_state = 2},
  [10279] = {.lex_state = 228, .external_lex_state = 2},
  [10280] = {.lex_state = 206, .external_lex_state = 2},
  [10281] = {.lex_state = 164, .external_lex_state = 2},
  [10282] = {.lex_state = 228, .external_lex_state = 2},
  [10283] = {.lex_state = 206, .external_lex_state = 2},
  [10284] = {.lex_state = 228, .external_lex_state = 2},
  [10285] = {.lex_state = 228, .external_lex_state = 2},
  [10286] = {.lex_state = 228, .external_lex_state = 2},
  [10287] = {.lex_state = 228, .external_lex_state = 2},
  [10288] = {.lex_state = 208, .external_lex_state = 2},
  [10289] = {.lex_state = 228, .external_lex_state = 2},
  [10290] = {.lex_state = 21, .external_lex_state = 2},
  [10291] = {.lex_state = 162, .external_lex_state = 2},
  [10292] = {.lex_state = 164, .external_lex_state = 2},
  [10293] = {.lex_state = 164, .external_lex_state = 2},
  [10294] = {.lex_state = 206, .external_lex_state = 2},
  [10295] = {.lex_state = 228, .external_lex_state = 2},
  [10296] = {.lex_state = 164, .external_lex_state = 2},
  [10297] = {.lex_state = 160, .external_lex_state = 2},
  [10298] = {.lex_state = 164, .external_lex_state = 2},
  [10299] = {.lex_state = 228, .external_lex_state = 2},
  [10300] = {.lex_state = 164, .external_lex_state = 2},
  [10301] = {.lex_state = 162, .external_lex_state = 2},
  [10302] = {.lex_state = 162, .external_lex_state = 2},
  [10303] = {.lex_state = 164, .external_lex_state = 2},
  [10304] = {.lex_state = 206, .external_lex_state = 2},
  [10305] = {.lex_state = 228, .external_lex_state = 2},
  [10306] = {.lex_state = 167, .external_lex_state = 3},
  [10307] = {.lex_state = 164, .external_lex_state = 2},
  [10308] = {.lex_state = 215, .external_lex_state = 2},
  [10309] = {.lex_state = 228, .external_lex_state = 2},
  [10310] = {.lex_state = 160, .external_lex_state = 2},
  [10311] = {.lex_state = 21, .external_lex_state = 2},
  [10312] = {.lex_state = 160, .external_lex_state = 2},
  [10313] = {.lex_state = 164, .external_lex_state = 2},
  [10314] = {.lex_state = 170, .external_lex_state = 2},
  [10315] = {.lex_state = 164, .external_lex_state = 2},
  [10316] = {.lex_state = 228, .external_lex_state = 2},
  [10317] = {.lex_state = 200, .external_lex_state = 2},
  [10318] = {.lex_state = 228, .external_lex_state = 2},
  [10319] = {.lex_state = 228, .external_lex_state = 2},
  [10320] = {.lex_state = 228, .external_lex_state = 2},
  [10321] = {.lex_state = 164, .external_lex_state = 2},
  [10322] = {.lex_state = 164, .external_lex_state = 2},
  [10323] = {.lex_state = 228, .external_lex_state = 2},
  [10324] = {.lex_state = 228, .external_lex_state = 2},
  [10325] = {.lex_state = 215, .external_lex_state = 2},
  [10326] = {.lex_state = 228, .external_lex_state = 2},
  [10327] = {.lex_state = 228, .external_lex_state = 2},
  [10328] = {.lex_state = 228, .external_lex_state = 2},
  [10329] = {.lex_state = 206, .external_lex_state = 2},
  [10330] = {.lex_state = 228, .external_lex_state = 2},
  [10331] = {.lex_state = 228, .external_lex_state = 2},
  [10332] = {.lex_state = 21, .external_lex_state = 2},
  [10333] = {.lex_state = 164, .external_lex_state = 2},
  [10334] = {.lex_state = 228, .external_lex_state = 2},
  [10335] = {.lex_state = 228, .external_lex_state = 2},
  [10336] = {.lex_state = 228, .external_lex_state = 2},
  [10337] = {.lex_state = 228, .external_lex_state = 2},
  [10338] = {.lex_state = 228, .external_lex_state = 2},
  [10339] = {.lex_state = 228, .external_lex_state = 2},
  [10340] = {.lex_state = 228, .external_lex_state = 2},
  [10341] = {.lex_state = 228, .external_lex_state = 2},
  [10342] = {.lex_state = 228, .external_lex_state = 2},
  [10343] = {.lex_state = 228, .external_lex_state = 2},
  [10344] = {.lex_state = 219, .external_lex_state = 2},
  [10345] = {.lex_state = 221, .external_lex_state = 2},
  [10346] = {.lex_state = 21, .external_lex_state = 2},
  [10347] = {.lex_state = 21, .external_lex_state = 2},
  [10348] = {.lex_state = 21, .external_lex_state = 2},
  [10349] = {.lex_state = 228, .external_lex_state = 2},
  [10350] = {.lex_state = 219, .external_lex_state = 2},
  [10351] = {.lex_state = 228, .external_lex_state = 2},
  [10352] = {.lex_state = 219, .external_lex_state = 2},
  [10353] = {.lex_state = 21, .external_lex_state = 2},
  [10354] = {.lex_state = 21, .external_lex_state = 2},
  [10355] = {.lex_state = 228, .external_lex_state = 2},
  [10356] = {.lex_state = 228, .external_lex_state = 2},
  [10357] = {.lex_state = 228, .external_lex_state = 2},
  [10358] = {.lex_state = 219, .external_lex_state = 2},
  [10359] = {.lex_state = 239, .external_lex_state = 2},
  [10360] = {.lex_state = 219, .external_lex_state = 2},
  [10361] = {.lex_state = 228, .external_lex_state = 2},
  [10362] = {.lex_state = 228, .external_lex_state = 2},
  [10363] = {.lex_state = 219, .external_lex_state = 2},
  [10364] = {.lex_state = 226, .external_lex_state = 2},
  [10365] = {.lex_state = 228, .external_lex_state = 2},
  [10366] = {.lex_state = 228, .external_lex_state = 2},
  [10367] = {.lex_state = 228, .external_lex_state = 2},
  [10368] = {.lex_state = 21, .external_lex_state = 2},
  [10369] = {.lex_state = 158, .external_lex_state = 2},
  [10370] = {.lex_state = 21, .external_lex_state = 2},
  [10371] = {.lex_state = 21, .external_lex_state = 2},
  [10372] = {.lex_state = 215, .external_lex_state = 2},
  [10373] = {.lex_state = 21, .external_lex_state = 2},
  [10374] = {.lex_state = 21, .external_lex_state = 2},
  [10375] = {.lex_state = 219, .external_lex_state = 2},
  [10376] = {.lex_state = 163, .external_lex_state = 2},
  [10377] = {.lex_state = 228, .external_lex_state = 2},
  [10378] = {.lex_state = 228, .external_lex_state = 2},
  [10379] = {.lex_state = 228, .external_lex_state = 2},
  [10380] = {.lex_state = 160, .external_lex_state = 2},
  [10381] = {.lex_state = 21, .external_lex_state = 2},
  [10382] = {.lex_state = 21, .external_lex_state = 2},
  [10383] = {.lex_state = 21, .external_lex_state = 2},
  [10384] = {.lex_state = 228, .external_lex_state = 2},
  [10385] = {.lex_state = 228, .external_lex_state = 2},
  [10386] = {.lex_state = 21, .external_lex_state = 2},
  [10387] = {.lex_state = 219, .external_lex_state = 2},
  [10388] = {.lex_state = 219, .external_lex_state = 2},
  [10389] = {.lex_state = 219, .external_lex_state = 2},
  [10390] = {.lex_state = 233, .external_lex_state = 2},
  [10391] = {.lex_state = 233, .external_lex_state = 2},
  [10392] = {.lex_state = 233, .external_lex_state = 2},
  [10393] = {.lex_state = 221, .external_lex_state = 2},
  [10394] = {.lex_state = 219, .external_lex_state = 2},
  [10395] = {.lex_state = 219, .external_lex_state = 2},
  [10396] = {.lex_state = 228, .external_lex_state = 2},
  [10397] = {.lex_state = 228, .external_lex_state = 2},
  [10398] = {.lex_state = 221, .external_lex_state = 2},
  [10399] = {.lex_state = 22, .external_lex_state = 2},
  [10400] = {.lex_state = 228, .external_lex_state = 2},
  [10401] = {.lex_state = 221, .external_lex_state = 2},
  [10402] = {.lex_state = 228, .external_lex_state = 2},
  [10403] = {.lex_state = 228, .external_lex_state = 2},
  [10404] = {.lex_state = 163, .external_lex_state = 2},
  [10405] = {.lex_state = 228, .external_lex_state = 2},
  [10406] = {.lex_state = 228, .external_lex_state = 2},
  [10407] = {.lex_state = 228, .external_lex_state = 2},
  [10408] = {.lex_state = 21, .external_lex_state = 2},
  [10409] = {.lex_state = 21, .external_lex_state = 2},
  [10410] = {.lex_state = 21, .external_lex_state = 2},
  [10411] = {.lex_state = 21, .external_lex_state = 2},
  [10412] = {.lex_state = 21, .external_lex_state = 2},
  [10413] = {.lex_state = 219, .external_lex_state = 2},
  [10414] = {.lex_state = 21, .external_lex_state = 2},
  [10415] = {.lex_state = 228, .external_lex_state = 2},
  [10416] = {.lex_state = 228, .external_lex_state = 2},
  [10417] = {.lex_state = 219, .external_lex_state = 2},
  [10418] = {.lex_state = 21, .external_lex_state = 2},
  [10419] = {.lex_state = 219, .external_lex_state = 2},
  [10420] = {.lex_state = 219, .external_lex_state = 2},
  [10421] = {.lex_state = 219, .external_lex_state = 2},
  [10422] = {.lex_state = 219, .external_lex_state = 2},
  [10423] = {.lex_state = 239, .external_lex_state = 2},
  [10424] = {.lex_state = 239, .external_lex_state = 2},
  [10425] = {.lex_state = 228, .external_lex_state = 2},
  [10426] = {.lex_state = 228, .external_lex_state = 2},
  [10427] = {.lex_state = 22, .external_lex_state = 2},
  [10428] = {.lex_state = 163, .external_lex_state = 2},
  [10429] = {.lex_state = 22, .external_lex_state = 2},
  [10430] = {.lex_state = 229, .external_lex_state = 2},
  [10431] = {.lex_state = 228, .external_lex_state = 2},
  [10432] = {.lex_state = 228, .external_lex_state = 2},
  [10433] = {.lex_state = 228, .external_lex_state = 2},
  [10434] = {.lex_state = 228, .external_lex_state = 2},
  [10435] = {.lex_state = 228, .external_lex_state = 2},
  [10436] = {.lex_state = 228, .external_lex_state = 2},
  [10437] = {.lex_state = 228, .external_lex_state = 2},
  [10438] = {.lex_state = 221, .external_lex_state = 2},
  [10439] = {.lex_state = 21, .external_lex_state = 2},
  [10440] = {.lex_state = 21, .external_lex_state = 2},
  [10441] = {.lex_state = 21, .external_lex_state = 2},
  [10442] = {.lex_state = 228, .external_lex_state = 2},
  [10443] = {.lex_state = 228, .external_lex_state = 2},
  [10444] = {.lex_state = 228, .external_lex_state = 2},
  [10445] = {.lex_state = 228, .external_lex_state = 2},
  [10446] = {.lex_state = 228, .external_lex_state = 2},
  [10447] = {.lex_state = 221, .external_lex_state = 2},
  [10448] = {.lex_state = 228, .external_lex_state = 2},
  [10449] = {.lex_state = 228, .external_lex_state = 2},
  [10450] = {.lex_state = 228, .external_lex_state = 2},
  [10451] = {.lex_state = 228, .external_lex_state = 2},
  [10452] = {.lex_state = 228, .external_lex_state = 2},
  [10453] = {.lex_state = 224, .external_lex_state = 2},
  [10454] = {.lex_state = 228, .external_lex_state = 2},
  [10455] = {.lex_state = 228, .external_lex_state = 2},
  [10456] = {.lex_state = 228, .external_lex_state = 2},
  [10457] = {.lex_state = 228, .external_lex_state = 2},
  [10458] = {.lex_state = 21, .external_lex_state = 2},
  [10459] = {.lex_state = 228, .external_lex_state = 2},
  [10460] = {.lex_state = 221, .external_lex_state = 2},
  [10461] = {.lex_state = 39, .external_lex_state = 3},
  [10462] = {.lex_state = 21, .external_lex_state = 2},
  [10463] = {.lex_state = 221, .external_lex_state = 2},
  [10464] = {.lex_state = 226, .external_lex_state = 2},
  [10465] = {.lex_state = 228, .external_lex_state = 2},
  [10466] = {.lex_state = 228, .external_lex_state = 2},
  [10467] = {.lex_state = 219, .external_lex_state = 2},
  [10468] = {.lex_state = 219, .external_lex_state = 2},
  [10469] = {.lex_state = 219, .external_lex_state = 2},
  [10470] = {.lex_state = 219, .external_lex_state = 2},
  [10471] = {.lex_state = 219, .external_lex_state = 2},
  [10472] = {.lex_state = 239, .external_lex_state = 2},
  [10473] = {.lex_state = 219, .external_lex_state = 2},
  [10474] = {.lex_state = 228, .external_lex_state = 2},
  [10475] = {.lex_state = 228, .external_lex_state = 2},
  [10476] = {.lex_state = 221, .external_lex_state = 2},
  [10477] = {.lex_state = 221, .external_lex_state = 2},
  [10478] = {.lex_state = 22, .external_lex_state = 2},
  [10479] = {.lex_state = 22, .external_lex_state = 2},
  [10480] = {.lex_state = 22, .external_lex_state = 2},
  [10481] = {.lex_state = 228, .external_lex_state = 2},
  [10482] = {.lex_state = 206, .external_lex_state = 2},
  [10483] = {.lex_state = 221, .external_lex_state = 2},
  [10484] = {.lex_state = 221, .external_lex_state = 2},
  [10485] = {.lex_state = 228, .external_lex_state = 2},
  [10486] = {.lex_state = 221, .external_lex_state = 2},
  [10487] = {.lex_state = 22, .external_lex_state = 2},
  [10488] = {.lex_state = 21, .external_lex_state = 2},
  [10489] = {.lex_state = 22, .external_lex_state = 2},
  [10490] = {.lex_state = 221, .external_lex_state = 2},
  [10491] = {.lex_state = 228, .external_lex_state = 2},
  [10492] = {.lex_state = 221, .external_lex_state = 2},
  [10493] = {.lex_state = 22, .external_lex_state = 2},
  [10494] = {.lex_state = 228, .external_lex_state = 2},
  [10495] = {.lex_state = 228, .external_lex_state = 2},
  [10496] = {.lex_state = 228, .external_lex_state = 2},
  [10497] = {.lex_state = 228, .external_lex_state = 2},
  [10498] = {.lex_state = 215, .external_lex_state = 2},
  [10499] = {.lex_state = 228, .external_lex_state = 2},
  [10500] = {.lex_state = 163, .external_lex_state = 2},
  [10501] = {.lex_state = 22, .external_lex_state = 2},
  [10502] = {.lex_state = 22, .external_lex_state = 2},
  [10503] = {.lex_state = 163, .external_lex_state = 2},
  [10504] = {.lex_state = 22, .external_lex_state = 2},
  [10505] = {.lex_state = 228, .external_lex_state = 2},
  [10506] = {.lex_state = 163, .external_lex_state = 2},
  [10507] = {.lex_state = 163, .external_lex_state = 2},
  [10508] = {.lex_state = 22, .external_lex_state = 2},
  [10509] = {.lex_state = 163, .external_lex_state = 2},
  [10510] = {.lex_state = 221, .external_lex_state = 2},
  [10511] = {.lex_state = 228, .external_lex_state = 2},
  [10512] = {.lex_state = 228, .external_lex_state = 2},
  [10513] = {.lex_state = 221, .external_lex_state = 2},
  [10514] = {.lex_state = 228, .external_lex_state = 2},
  [10515] = {.lex_state = 228, .external_lex_state = 2},
  [10516] = {.lex_state = 228, .external_lex_state = 2},
  [10517] = {.lex_state = 163, .external_lex_state = 2},
  [10518] = {.lex_state = 228, .external_lex_state = 2},
  [10519] = {.lex_state = 219, .external_lex_state = 2},
  [10520] = {.lex_state = 163, .external_lex_state = 2},
  [10521] = {.lex_state = 219, .external_lex_state = 2},
  [10522] = {.lex_state = 219, .external_lex_state = 2},
  [10523] = {.lex_state = 163, .external_lex_state = 2},
  [10524] = {.lex_state = 221, .external_lex_state = 2},
  [10525] = {.lex_state = 163, .external_lex_state = 2},
  [10526] = {.lex_state = 22, .external_lex_state = 2},
  [10527] = {.lex_state = 163, .external_lex_state = 2},
  [10528] = {.lex_state = 228, .external_lex_state = 2},
  [10529] = {.lex_state = 228, .external_lex_state = 2},
  [10530] = {.lex_state = 228, .external_lex_state = 2},
  [10531] = {.lex_state = 21, .external_lex_state = 2},
  [10532] = {.lex_state = 228, .external_lex_state = 2},
  [10533] = {.lex_state = 22, .external_lex_state = 2},
  [10534] = {.lex_state = 22, .external_lex_state = 2},
  [10535] = {.lex_state = 22, .external_lex_state = 2},
  [10536] = {.lex_state = 219, .external_lex_state = 2},
  [10537] = {.lex_state = 22, .external_lex_state = 2},
  [10538] = {.lex_state = 21, .external_lex_state = 2},
  [10539] = {.lex_state = 21, .external_lex_state = 2},
  [10540] = {.lex_state = 21, .external_lex_state = 2},
  [10541] = {.lex_state = 221, .external_lex_state = 2},
  [10542] = {.lex_state = 228, .external_lex_state = 2},
  [10543] = {.lex_state = 228, .external_lex_state = 2},
  [10544] = {.lex_state = 228, .external_lex_state = 2},
  [10545] = {.lex_state = 228, .external_lex_state = 2},
  [10546] = {.lex_state = 22, .external_lex_state = 2},
  [10547] = {.lex_state = 228, .external_lex_state = 2},
  [10548] = {.lex_state = 21, .external_lex_state = 2},
  [10549] = {.lex_state = 228, .external_lex_state = 2},
  [10550] = {.lex_state = 228, .external_lex_state = 2},
  [10551] = {.lex_state = 21, .external_lex_state = 2},
  [10552] = {.lex_state = 21, .external_lex_state = 2},
  [10553] = {.lex_state = 221, .external_lex_state = 2},
  [10554] = {.lex_state = 228, .external_lex_state = 2},
  [10555] = {.lex_state = 21, .external_lex_state = 2},
  [10556] = {.lex_state = 228, .external_lex_state = 2},
  [10557] = {.lex_state = 228, .external_lex_state = 2},
  [10558] = {.lex_state = 221, .external_lex_state = 2},
  [10559] = {.lex_state = 224, .external_lex_state = 2},
  [10560] = {.lex_state = 221, .external_lex_state = 2},
  [10561] = {.lex_state = 228, .external_lex_state = 2},
  [10562] = {.lex_state = 230, .external_lex_state = 2},
  [10563] = {.lex_state = 221, .external_lex_state = 2},
  [10564] = {.lex_state = 230, .external_lex_state = 2},
  [10565] = {.lex_state = 22, .external_lex_state = 2},
  [10566] = {.lex_state = 22, .external_lex_state = 2},
  [10567] = {.lex_state = 22, .external_lex_state = 2},
  [10568] = {.lex_state = 160, .external_lex_state = 2},
  [10569] = {.lex_state = 22, .external_lex_state = 2},
  [10570] = {.lex_state = 22, .external_lex_state = 2},
  [10571] = {.lex_state = 22, .external_lex_state = 2},
  [10572] = {.lex_state = 232, .external_lex_state = 2},
  [10573] = {.lex_state = 232, .external_lex_state = 2},
  [10574] = {.lex_state = 219, .external_lex_state = 2},
  [10575] = {.lex_state = 22, .external_lex_state = 2},
  [10576] = {.lex_state = 228, .external_lex_state = 2},
  [10577] = {.lex_state = 22, .external_lex_state = 2},
  [10578] = {.lex_state = 22, .external_lex_state = 2},
  [10579] = {.lex_state = 232, .external_lex_state = 2},
  [10580] = {.lex_state = 228, .external_lex_state = 2},
  [10581] = {.lex_state = 226, .external_lex_state = 2},
  [10582] = {.lex_state = 228, .external_lex_state = 2},
  [10583] = {.lex_state = 224, .external_lex_state = 2},
  [10584] = {.lex_state = 228, .external_lex_state = 2},
  [10585] = {.lex_state = 22, .external_lex_state = 2},
  [10586] = {.lex_state = 228, .external_lex_state = 2},
  [10587] = {.lex_state = 228, .external_lex_state = 2},
  [10588] = {.lex_state = 206, .external_lex_state = 2},
  [10589] = {.lex_state = 228, .external_lex_state = 2},
  [10590] = {.lex_state = 228, .external_lex_state = 2},
  [10591] = {.lex_state = 228, .external_lex_state = 2},
  [10592] = {.lex_state = 221, .external_lex_state = 2},
  [10593] = {.lex_state = 22, .external_lex_state = 2},
  [10594] = {.lex_state = 230, .external_lex_state = 2},
  [10595] = {.lex_state = 219, .external_lex_state = 2},
  [10596] = {.lex_state = 189, .external_lex_state = 3},
  [10597] = {.lex_state = 228, .external_lex_state = 2},
  [10598] = {.lex_state = 219, .external_lex_state = 2},
  [10599] = {.lex_state = 219, .external_lex_state = 2},
  [10600] = {.lex_state = 229, .external_lex_state = 2},
  [10601] = {.lex_state = 160, .external_lex_state = 2},
  [10602] = {.lex_state = 219, .external_lex_state = 2},
  [10603] = {.lex_state = 228, .external_lex_state = 2},
  [10604] = {.lex_state = 221, .external_lex_state = 2},
  [10605] = {.lex_state = 435, .external_lex_state = 2},
  [10606] = {.lex_state = 22, .external_lex_state = 2},
  [10607] = {.lex_state = 229, .external_lex_state = 2},
  [10608] = {.lex_state = 219, .external_lex_state = 2},
  [10609] = {.lex_state = 221, .external_lex_state = 2},
  [10610] = {.lex_state = 219, .external_lex_state = 2},
  [10611] = {.lex_state = 221, .external_lex_state = 2},
  [10612] = {.lex_state = 228, .external_lex_state = 2},
  [10613] = {.lex_state = 228, .external_lex_state = 2},
  [10614] = {.lex_state = 228, .external_lex_state = 2},
  [10615] = {.lex_state = 221, .external_lex_state = 2},
  [10616] = {.lex_state = 228, .external_lex_state = 2},
  [10617] = {.lex_state = 228, .external_lex_state = 2},
  [10618] = {.lex_state = 224, .external_lex_state = 2},
  [10619] = {.lex_state = 221, .external_lex_state = 2},
  [10620] = {.lex_state = 22, .external_lex_state = 2},
  [10621] = {.lex_state = 22, .external_lex_state = 2},
  [10622] = {.lex_state = 219, .external_lex_state = 2},
  [10623] = {.lex_state = 221, .external_lex_state = 2},
  [10624] = {.lex_state = 221, .external_lex_state = 2},
  [10625] = {.lex_state = 22, .external_lex_state = 2},
  [10626] = {.lex_state = 158, .external_lex_state = 3},
  [10627] = {.lex_state = 228, .external_lex_state = 2},
  [10628] = {.lex_state = 228, .external_lex_state = 2},
  [10629] = {.lex_state = 219, .external_lex_state = 2},
  [10630] = {.lex_state = 228, .external_lex_state = 2},
  [10631] = {.lex_state = 221, .external_lex_state = 2},
  [10632] = {.lex_state = 221, .external_lex_state = 2},
  [10633] = {.lex_state = 221, .external_lex_state = 2},
  [10634] = {.lex_state = 163, .external_lex_state = 2},
  [10635] = {.lex_state = 219, .external_lex_state = 2},
  [10636] = {.lex_state = 228, .external_lex_state = 2},
  [10637] = {.lex_state = 167, .external_lex_state = 3},
  [10638] = {.lex_state = 221, .external_lex_state = 2},
  [10639] = {.lex_state = 228, .external_lex_state = 2},
  [10640] = {.lex_state = 221, .external_lex_state = 2},
  [10641] = {.lex_state = 228, .external_lex_state = 2},
  [10642] = {.lex_state = 226, .external_lex_state = 2},
  [10643] = {.lex_state = 22, .external_lex_state = 2},
  [10644] = {.lex_state = 221, .external_lex_state = 2},
  [10645] = {.lex_state = 228, .external_lex_state = 2},
  [10646] = {.lex_state = 158, .external_lex_state = 2},
  [10647] = {.lex_state = 228, .external_lex_state = 2},
  [10648] = {.lex_state = 228, .external_lex_state = 2},
  [10649] = {.lex_state = 228, .external_lex_state = 2},
  [10650] = {.lex_state = 228, .external_lex_state = 2},
  [10651] = {.lex_state = 228, .external_lex_state = 2},
  [10652] = {.lex_state = 228, .external_lex_state = 2},
  [10653] = {.lex_state = 228, .external_lex_state = 2},
  [10654] = {.lex_state = 215, .external_lex_state = 2},
  [10655] = {.lex_state = 204, .external_lex_state = 2},
  [10656] = {.lex_state = 158, .external_lex_state = 2},
  [10657] = {.lex_state = 158, .external_lex_state = 2},
  [10658] = {.lex_state = 206, .external_lex_state = 2},
  [10659] = {.lex_state = 435, .external_lex_state = 2},
  [10660] = {.lex_state = 204, .external_lex_state = 2},
  [10661] = {.lex_state = 204, .external_lex_state = 2},
  [10662] = {.lex_state = 158, .external_lex_state = 2},
  [10663] = {.lex_state = 206, .external_lex_state = 2},
  [10664] = {.lex_state = 204, .external_lex_state = 2},
  [10665] = {.lex_state = 228, .external_lex_state = 2},
  [10666] = {.lex_state = 206, .external_lex_state = 2},
  [10667] = {.lex_state = 206, .external_lex_state = 2},
  [10668] = {.lex_state = 206, .external_lex_state = 2},
  [10669] = {.lex_state = 228, .external_lex_state = 2},
  [10670] = {.lex_state = 228, .external_lex_state = 2},
  [10671] = {.lex_state = 208, .external_lex_state = 2},
  [10672] = {.lex_state = 228, .external_lex_state = 2},
  [10673] = {.lex_state = 228, .external_lex_state = 2},
  [10674] = {.lex_state = 206, .external_lex_state = 2},
  [10675] = {.lex_state = 228, .external_lex_state = 2},
  [10676] = {.lex_state = 228, .external_lex_state = 2},
  [10677] = {.lex_state = 228, .external_lex_state = 2},
  [10678] = {.lex_state = 228, .external_lex_state = 2},
  [10679] = {.lex_state = 158, .external_lex_state = 2},
  [10680] = {.lex_state = 228, .external_lex_state = 2},
  [10681] = {.lex_state = 228, .external_lex_state = 2},
  [10682] = {.lex_state = 228, .external_lex_state = 2},
  [10683] = {.lex_state = 228, .external_lex_state = 2},
  [10684] = {.lex_state = 228, .external_lex_state = 2},
  [10685] = {.lex_state = 228, .external_lex_state = 2},
  [10686] = {.lex_state = 228, .external_lex_state = 2},
  [10687] = {.lex_state = 228, .external_lex_state = 2},
  [10688] = {.lex_state = 228, .external_lex_state = 2},
  [10689] = {.lex_state = 208, .external_lex_state = 2},
  [10690] = {.lex_state = 19, .external_lex_state = 3},
  [10691] = {.lex_state = 206, .external_lex_state = 2},
  [10692] = {.lex_state = 204, .external_lex_state = 2},
  [10693] = {.lex_state = 215, .external_lex_state = 2},
  [10694] = {.lex_state = 158, .external_lex_state = 2},
  [10695] = {.lex_state = 217, .external_lex_state = 2},
  [10696] = {.lex_state = 228, .external_lex_state = 2},
  [10697] = {.lex_state = 164, .external_lex_state = 2},
  [10698] = {.lex_state = 215, .external_lex_state = 2},
  [10699] = {.lex_state = 164, .external_lex_state = 2},
  [10700] = {.lex_state = 228, .external_lex_state = 2},
  [10701] = {.lex_state = 215, .external_lex_state = 2},
  [10702] = {.lex_state = 228, .external_lex_state = 2},
  [10703] = {.lex_state = 158, .external_lex_state = 2},
  [10704] = {.lex_state = 228, .external_lex_state = 2},
  [10705] = {.lex_state = 228, .external_lex_state = 2},
  [10706] = {.lex_state = 228, .external_lex_state = 2},
  [10707] = {.lex_state = 228, .external_lex_state = 2},
  [10708] = {.lex_state = 228, .external_lex_state = 2},
  [10709] = {.lex_state = 228, .external_lex_state = 2},
  [10710] = {.lex_state = 228, .external_lex_state = 2},
  [10711] = {.lex_state = 228, .external_lex_state = 2},
  [10712] = {.lex_state = 228, .external_lex_state = 2},
  [10713] = {.lex_state = 228, .external_lex_state = 2},
  [10714] = {.lex_state = 228, .external_lex_state = 2},
  [10715] = {.lex_state = 228, .external_lex_state = 2},
  [10716] = {.lex_state = 228, .external_lex_state = 2},
  [10717] = {.lex_state = 228, .external_lex_state = 2},
  [10718] = {.lex_state = 228, .external_lex_state = 2},
  [10719] = {.lex_state = 204, .external_lex_state = 2},
  [10720] = {.lex_state = 158, .external_lex_state = 2},
  [10721] = {.lex_state = 228, .external_lex_state = 2},
  [10722] = {.lex_state = 435, .external_lex_state = 2},
  [10723] = {.lex_state = 158, .external_lex_state = 2},
  [10724] = {.lex_state = 158, .external_lex_state = 2},
  [10725] = {.lex_state = 228, .external_lex_state = 2},
  [10726] = {.lex_state = 215, .external_lex_state = 2},
  [10727] = {.lex_state = 158, .external_lex_state = 2},
  [10728] = {.lex_state = 228, .external_lex_state = 2},
  [10729] = {.lex_state = 228, .external_lex_state = 2},
  [10730] = {.lex_state = 204, .external_lex_state = 2},
  [10731] = {.lex_state = 228, .external_lex_state = 2},
  [10732] = {.lex_state = 228, .external_lex_state = 2},
  [10733] = {.lex_state = 204, .external_lex_state = 2},
  [10734] = {.lex_state = 228, .external_lex_state = 2},
  [10735] = {.lex_state = 158, .external_lex_state = 2},
  [10736] = {.lex_state = 158, .external_lex_state = 2},
  [10737] = {.lex_state = 228, .external_lex_state = 2},
  [10738] = {.lex_state = 228, .external_lex_state = 2},
  [10739] = {.lex_state = 228, .external_lex_state = 2},
  [10740] = {.lex_state = 228, .external_lex_state = 2},
  [10741] = {.lex_state = 228, .external_lex_state = 2},
  [10742] = {.lex_state = 228, .external_lex_state = 2},
  [10743] = {.lex_state = 206, .external_lex_state = 2},
  [10744] = {.lex_state = 228, .external_lex_state = 2},
  [10745] = {.lex_state = 208, .external_lex_state = 2},
  [10746] = {.lex_state = 228, .external_lex_state = 2},
  [10747] = {.lex_state = 215, .external_lex_state = 2},
  [10748] = {.lex_state = 215, .external_lex_state = 2},
  [10749] = {.lex_state = 164, .external_lex_state = 2},
  [10750] = {.lex_state = 164, .external_lex_state = 2},
  [10751] = {.lex_state = 206, .external_lex_state = 2},
  [10752] = {.lex_state = 164, .external_lex_state = 2},
  [10753] = {.lex_state = 215, .external_lex_state = 2},
  [10754] = {.lex_state = 164, .external_lex_state = 2},
  [10755] = {.lex_state = 164, .external_lex_state = 2},
  [10756] = {.lex_state = 164, .external_lex_state = 2},
  [10757] = {.lex_state = 164, .external_lex_state = 2},
  [10758] = {.lex_state = 158, .external_lex_state = 2},
  [10759] = {.lex_state = 164, .external_lex_state = 2},
  [10760] = {.lex_state = 164, .external_lex_state = 2},
  [10761] = {.lex_state = 158, .external_lex_state = 2},
  [10762] = {.lex_state = 164, .external_lex_state = 2},
  [10763] = {.lex_state = 164, .external_lex_state = 2},
  [10764] = {.lex_state = 164, .external_lex_state = 2},
  [10765] = {.lex_state = 164, .external_lex_state = 2},
  [10766] = {.lex_state = 158, .external_lex_state = 2},
  [10767] = {.lex_state = 158, .external_lex_state = 2},
  [10768] = {.lex_state = 228, .external_lex_state = 2},
  [10769] = {.lex_state = 228, .external_lex_state = 2},
  [10770] = {.lex_state = 158, .external_lex_state = 2},
  [10771] = {.lex_state = 215, .external_lex_state = 2},
  [10772] = {.lex_state = 158, .external_lex_state = 2},
  [10773] = {.lex_state = 204, .external_lex_state = 2},
  [10774] = {.lex_state = 228, .external_lex_state = 2},
  [10775] = {.lex_state = 158, .external_lex_state = 2},
  [10776] = {.lex_state = 158, .external_lex_state = 2},
  [10777] = {.lex_state = 215, .external_lex_state = 2},
  [10778] = {.lex_state = 228, .external_lex_state = 2},
  [10779] = {.lex_state = 228, .external_lex_state = 2},
  [10780] = {.lex_state = 228, .external_lex_state = 2},
  [10781] = {.lex_state = 215, .external_lex_state = 2},
  [10782] = {.lex_state = 206, .external_lex_state = 2},
  [10783] = {.lex_state = 228, .external_lex_state = 2},
  [10784] = {.lex_state = 158, .external_lex_state = 2},
  [10785] = {.lex_state = 204, .external_lex_state = 2},
  [10786] = {.lex_state = 206, .external_lex_state = 2},
  [10787] = {.lex_state = 158, .external_lex_state = 2},
  [10788] = {.lex_state = 230, .external_lex_state = 2},
  [10789] = {.lex_state = 206, .external_lex_state = 2},
  [10790] = {.lex_state = 228, .external_lex_state = 2},
  [10791] = {.lex_state = 158, .external_lex_state = 2},
  [10792] = {.lex_state = 206, .external_lex_state = 2},
  [10793] = {.lex_state = 158, .external_lex_state = 2},
  [10794] = {.lex_state = 158, .external_lex_state = 2},
  [10795] = {.lex_state = 207, .external_lex_state = 2},
  [10796] = {.lex_state = 206, .external_lex_state = 2},
  [10797] = {.lex_state = 204, .external_lex_state = 2},
  [10798] = {.lex_state = 206, .external_lex_state = 2},
  [10799] = {.lex_state = 158, .external_lex_state = 2},
  [10800] = {.lex_state = 158, .external_lex_state = 2},
  [10801] = {.lex_state = 158, .external_lex_state = 2},
  [10802] = {.lex_state = 158, .external_lex_state = 2},
  [10803] = {.lex_state = 158, .external_lex_state = 2},
  [10804] = {.lex_state = 158, .external_lex_state = 2},
  [10805] = {.lex_state = 207, .external_lex_state = 2},
  [10806] = {.lex_state = 158, .external_lex_state = 2},
  [10807] = {.lex_state = 204, .external_lex_state = 2},
  [10808] = {.lex_state = 158, .external_lex_state = 2},
  [10809] = {.lex_state = 228, .external_lex_state = 2},
  [10810] = {.lex_state = 23, .external_lex_state = 2},
  [10811] = {.lex_state = 164, .external_lex_state = 2},
  [10812] = {.lex_state = 158, .external_lex_state = 2},
  [10813] = {.lex_state = 158, .external_lex_state = 2},
  [10814] = {.lex_state = 228, .external_lex_state = 2},
  [10815] = {.lex_state = 204, .external_lex_state = 2},
  [10816] = {.lex_state = 228, .external_lex_state = 2},
  [10817] = {.lex_state = 215, .external_lex_state = 2},
  [10818] = {.lex_state = 204, .external_lex_state = 2},
  [10819] = {.lex_state = 206, .external_lex_state = 2},
  [10820] = {.lex_state = 204, .external_lex_state = 2},
  [10821] = {.lex_state = 206, .external_lex_state = 2},
  [10822] = {.lex_state = 158, .external_lex_state = 2},
  [10823] = {.lex_state = 228, .external_lex_state = 2},
  [10824] = {.lex_state = 158, .external_lex_state = 2},
  [10825] = {.lex_state = 158, .external_lex_state = 2},
  [10826] = {.lex_state = 158, .external_lex_state = 2},
  [10827] = {.lex_state = 158, .external_lex_state = 2},
  [10828] = {.lex_state = 204, .external_lex_state = 2},
  [10829] = {.lex_state = 206, .external_lex_state = 2},
  [10830] = {.lex_state = 164, .external_lex_state = 2},
  [10831] = {.lex_state = 158, .external_lex_state = 2},
  [10832] = {.lex_state = 215, .external_lex_state = 2},
  [10833] = {.lex_state = 204, .external_lex_state = 2},
  [10834] = {.lex_state = 215, .external_lex_state = 2},
  [10835] = {.lex_state = 228, .external_lex_state = 2},
  [10836] = {.lex_state = 158, .external_lex_state = 2},
  [10837] = {.lex_state = 158, .external_lex_state = 2},
  [10838] = {.lex_state = 158, .external_lex_state = 2},
  [10839] = {.lex_state = 228, .external_lex_state = 2},
  [10840] = {.lex_state = 206, .external_lex_state = 2},
  [10841] = {.lex_state = 206, .external_lex_state = 2},
  [10842] = {.lex_state = 206, .external_lex_state = 2},
  [10843] = {.lex_state = 206, .external_lex_state = 2},
  [10844] = {.lex_state = 158, .external_lex_state = 2},
  [10845] = {.lex_state = 158, .external_lex_state = 2},
  [10846] = {.lex_state = 204, .external_lex_state = 2},
  [10847] = {.lex_state = 228, .external_lex_state = 2},
  [10848] = {.lex_state = 228, .external_lex_state = 2},
  [10849] = {.lex_state = 228, .external_lex_state = 2},
  [10850] = {.lex_state = 158, .external_lex_state = 2},
  [10851] = {.lex_state = 228, .external_lex_state = 2},
  [10852] = {.lex_state = 206, .external_lex_state = 2},
  [10853] = {.lex_state = 158, .external_lex_state = 2},
  [10854] = {.lex_state = 158, .external_lex_state = 2},
  [10855] = {.lex_state = 215, .external_lex_state = 2},
  [10856] = {.lex_state = 164, .external_lex_state = 2},
  [10857] = {.lex_state = 23, .external_lex_state = 2},
  [10858] = {.lex_state = 164, .external_lex_state = 2},
  [10859] = {.lex_state = 204, .external_lex_state = 2},
  [10860] = {.lex_state = 158, .external_lex_state = 2},
  [10861] = {.lex_state = 215, .external_lex_state = 2},
  [10862] = {.lex_state = 204, .external_lex_state = 2},
  [10863] = {.lex_state = 158, .external_lex_state = 2},
  [10864] = {.lex_state = 215, .external_lex_state = 2},
  [10865] = {.lex_state = 215, .external_lex_state = 2},
  [10866] = {.lex_state = 215, .external_lex_state = 2},
  [10867] = {.lex_state = 215, .external_lex_state = 2},
  [10868] = {.lex_state = 215, .external_lex_state = 2},
  [10869] = {.lex_state = 215, .external_lex_state = 2},
  [10870] = {.lex_state = 158, .external_lex_state = 2},
  [10871] = {.lex_state = 215, .external_lex_state = 2},
  [10872] = {.lex_state = 215, .external_lex_state = 2},
  [10873] = {.lex_state = 164, .external_lex_state = 2},
  [10874] = {.lex_state = 206, .external_lex_state = 2},
  [10875] = {.lex_state = 228, .external_lex_state = 2},
  [10876] = {.lex_state = 164, .external_lex_state = 2},
  [10877] = {.lex_state = 164, .external_lex_state = 2},
  [10878] = {.lex_state = 215, .external_lex_state = 2},
  [10879] = {.lex_state = 158, .external_lex_state = 2},
  [10880] = {.lex_state = 158, .external_lex_state = 2},
  [10881] = {.lex_state = 208, .external_lex_state = 2},
  [10882] = {.lex_state = 166, .external_lex_state = 3},
  [10883] = {.lex_state = 206, .external_lex_state = 2},
  [10884] = {.lex_state = 206, .external_lex_state = 2},
  [10885] = {.lex_state = 206, .external_lex_state = 2},
  [10886] = {.lex_state = 206, .external_lex_state = 2},
  [10887] = {.lex_state = 206, .external_lex_state = 2},
  [10888] = {.lex_state = 435, .external_lex_state = 2},
  [10889] = {.lex_state = 228, .external_lex_state = 2},
  [10890] = {.lex_state = 229, .external_lex_state = 2},
  [10891] = {.lex_state = 228, .external_lex_state = 2},
  [10892] = {.lex_state = 215, .external_lex_state = 2},
  [10893] = {.lex_state = 206, .external_lex_state = 2},
  [10894] = {.lex_state = 215, .external_lex_state = 2},
  [10895] = {.lex_state = 215, .external_lex_state = 2},
  [10896] = {.lex_state = 228, .external_lex_state = 2},
  [10897] = {.lex_state = 158, .external_lex_state = 2},
  [10898] = {.lex_state = 206, .external_lex_state = 2},
  [10899] = {.lex_state = 164, .external_lex_state = 2},
  [10900] = {.lex_state = 164, .external_lex_state = 2},
  [10901] = {.lex_state = 158, .external_lex_state = 2},
  [10902] = {.lex_state = 158, .external_lex_state = 2},
  [10903] = {.lex_state = 228, .external_lex_state = 2},
  [10904] = {.lex_state = 228, .external_lex_state = 2},
  [10905] = {.lex_state = 206, .external_lex_state = 2},
  [10906] = {.lex_state = 158, .external_lex_state = 2},
  [10907] = {.lex_state = 23, .external_lex_state = 2},
  [10908] = {.lex_state = 158, .external_lex_state = 2},
  [10909] = {.lex_state = 228, .external_lex_state = 2},
  [10910] = {.lex_state = 158, .external_lex_state = 2},
  [10911] = {.lex_state = 204, .external_lex_state = 2},
  [10912] = {.lex_state = 204, .external_lex_state = 2},
  [10913] = {.lex_state = 158, .external_lex_state = 2},
  [10914] = {.lex_state = 207, .external_lex_state = 2},
  [10915] = {.lex_state = 207, .external_lex_state = 2},
  [10916] = {.lex_state = 215, .external_lex_state = 2},
  [10917] = {.lex_state = 215, .external_lex_state = 2},
  [10918] = {.lex_state = 228, .external_lex_state = 2},
  [10919] = {.lex_state = 228, .external_lex_state = 2},
  [10920] = {.lex_state = 215, .external_lex_state = 2},
  [10921] = {.lex_state = 215, .external_lex_state = 2},
  [10922] = {.lex_state = 158, .external_lex_state = 2},
  [10923] = {.lex_state = 158, .external_lex_state = 2},
  [10924] = {.lex_state = 228, .external_lex_state = 2},
  [10925] = {.lex_state = 204, .external_lex_state = 2},
  [10926] = {.lex_state = 158, .external_lex_state = 2},
  [10927] = {.lex_state = 204, .external_lex_state = 2},
  [10928] = {.lex_state = 158, .external_lex_state = 2},
  [10929] = {.lex_state = 228, .external_lex_state = 2},
  [10930] = {.lex_state = 228, .external_lex_state = 2},
  [10931] = {.lex_state = 435, .external_lex_state = 2},
  [10932] = {.lex_state = 204, .external_lex_state = 2},
  [10933] = {.lex_state = 160, .external_lex_state = 2},
  [10934] = {.lex_state = 158, .external_lex_state = 2},
  [10935] = {.lex_state = 160, .external_lex_state = 2},
  [10936] = {.lex_state = 158, .external_lex_state = 2},
  [10937] = {.lex_state = 158, .external_lex_state = 2},
  [10938] = {.lex_state = 158, .external_lex_state = 2},
  [10939] = {.lex_state = 165, .external_lex_state = 2},
  [10940] = {.lex_state = 158, .external_lex_state = 2},
  [10941] = {.lex_state = 158, .external_lex_state = 2},
  [10942] = {.lex_state = 158, .external_lex_state = 2},
  [10943] = {.lex_state = 158, .external_lex_state = 2},
  [10944] = {.lex_state = 215, .external_lex_state = 2},
  [10945] = {.lex_state = 158, .external_lex_state = 2},
  [10946] = {.lex_state = 158, .external_lex_state = 2},
  [10947] = {.lex_state = 158, .external_lex_state = 2},
  [10948] = {.lex_state = 158, .external_lex_state = 2},
  [10949] = {.lex_state = 158, .external_lex_state = 2},
  [10950] = {.lex_state = 158, .external_lex_state = 2},
  [10951] = {.lex_state = 158, .external_lex_state = 2},
  [10952] = {.lex_state = 158, .external_lex_state = 2},
  [10953] = {.lex_state = 435, .external_lex_state = 2},
  [10954] = {.lex_state = 158, .external_lex_state = 2},
  [10955] = {.lex_state = 158, .external_lex_state = 2},
  [10956] = {.lex_state = 158, .external_lex_state = 2},
  [10957] = {.lex_state = 158, .external_lex_state = 2},
  [10958] = {.lex_state = 158, .external_lex_state = 2},
  [10959] = {.lex_state = 158, .external_lex_state = 2},
  [10960] = {.lex_state = 158, .external_lex_state = 2},
  [10961] = {.lex_state = 158, .external_lex_state = 2},
  [10962] = {.lex_state = 160, .external_lex_state = 2},
  [10963] = {.lex_state = 435, .external_lex_state = 2},
  [10964] = {.lex_state = 158, .external_lex_state = 2},
  [10965] = {.lex_state = 165, .external_lex_state = 2},
  [10966] = {.lex_state = 165, .external_lex_state = 2},
  [10967] = {.lex_state = 165, .external_lex_state = 2},
  [10968] = {.lex_state = 165, .external_lex_state = 2},
  [10969] = {.lex_state = 165, .external_lex_state = 2},
  [10970] = {.lex_state = 165, .external_lex_state = 2},
  [10971] = {.lex_state = 165, .external_lex_state = 2},
  [10972] = {.lex_state = 165, .external_lex_state = 2},
  [10973] = {.lex_state = 165, .external_lex_state = 2},
  [10974] = {.lex_state = 165, .external_lex_state = 2},
  [10975] = {.lex_state = 165, .external_lex_state = 2},
  [10976] = {.lex_state = 165, .external_lex_state = 2},
  [10977] = {.lex_state = 165, .external_lex_state = 2},
  [10978] = {.lex_state = 158, .external_lex_state = 2},
  [10979] = {.lex_state = 158, .external_lex_state = 2},
  [10980] = {.lex_state = 435, .external_lex_state = 2},
  [10981] = {.lex_state = 158, .external_lex_state = 2},
  [10982] = {.lex_state = 158, .external_lex_state = 2},
  [10983] = {.lex_state = 158, .external_lex_state = 2},
  [10984] = {.lex_state = 158, .external_lex_state = 2},
  [10985] = {.lex_state = 158, .external_lex_state = 2},
  [10986] = {.lex_state = 158, .external_lex_state = 2},
  [10987] = {.lex_state = 158, .external_lex_state = 2},
  [10988] = {.lex_state = 435, .external_lex_state = 2},
  [10989] = {.lex_state = 158, .external_lex_state = 2},
  [10990] = {.lex_state = 158, .external_lex_state = 2},
  [10991] = {.lex_state = 165, .external_lex_state = 2},
  [10992] = {.lex_state = 158, .external_lex_state = 2},
  [10993] = {.lex_state = 158, .external_lex_state = 2},
  [10994] = {.lex_state = 158, .external_lex_state = 2},
  [10995] = {.lex_state = 165, .external_lex_state = 2},
  [10996] = {.lex_state = 158, .external_lex_state = 2},
  [10997] = {.lex_state = 158, .external_lex_state = 2},
  [10998] = {.lex_state = 158, .external_lex_state = 2},
  [10999] = {.lex_state = 158, .external_lex_state = 2},
  [11000] = {.lex_state = 158, .external_lex_state = 2},
  [11001] = {.lex_state = 158, .external_lex_state = 2},
  [11002] = {.lex_state = 165, .external_lex_state = 2},
  [11003] = {.lex_state = 165, .external_lex_state = 2},
  [11004] = {.lex_state = 158, .external_lex_state = 2},
  [11005] = {.lex_state = 158, .external_lex_state = 2},
  [11006] = {.lex_state = 158, .external_lex_state = 2},
  [11007] = {.lex_state = 158, .external_lex_state = 2},
  [11008] = {.lex_state = 158, .external_lex_state = 2},
  [11009] = {.lex_state = 158, .external_lex_state = 2},
  [11010] = {.lex_state = 158, .external_lex_state = 2},
  [11011] = {.lex_state = 201, .external_lex_state = 2},
  [11012] = {.lex_state = 435, .external_lex_state = 2},
  [11013] = {.lex_state = 158, .external_lex_state = 2},
  [11014] = {.lex_state = 158, .external_lex_state = 2},
  [11015] = {.lex_state = 158, .external_lex_state = 2},
  [11016] = {.lex_state = 217, .external_lex_state = 2},
  [11017] = {.lex_state = 158, .external_lex_state = 2},
  [11018] = {.lex_state = 164, .external_lex_state = 2},
  [11019] = {.lex_state = 164, .external_lex_state = 2},
  [11020] = {.lex_state = 164, .external_lex_state = 2},
  [11021] = {.lex_state = 164, .external_lex_state = 2},
  [11022] = {.lex_state = 164, .external_lex_state = 2},
  [11023] = {.lex_state = 201, .external_lex_state = 2},
  [11024] = {.lex_state = 158, .external_lex_state = 2},
  [11025] = {.lex_state = 158, .external_lex_state = 2},
  [11026] = {.lex_state = 158, .external_lex_state = 2},
  [11027] = {.lex_state = 158, .external_lex_state = 2},
  [11028] = {.lex_state = 158, .external_lex_state = 2},
  [11029] = {.lex_state = 158, .external_lex_state = 2},
  [11030] = {.lex_state = 158, .external_lex_state = 2},
  [11031] = {.lex_state = 158, .external_lex_state = 2},
  [11032] = {.lex_state = 158, .external_lex_state = 2},
  [11033] = {.lex_state = 435, .external_lex_state = 2},
  [11034] = {.lex_state = 158, .external_lex_state = 2},
  [11035] = {.lex_state = 435, .external_lex_state = 2},
  [11036] = {.lex_state = 200, .external_lex_state = 2},
  [11037] = {.lex_state = 200, .external_lex_state = 2},
  [11038] = {.lex_state = 158, .external_lex_state = 2},
  [11039] = {.lex_state = 158, .external_lex_state = 2},
  [11040] = {.lex_state = 200, .external_lex_state = 2},
  [11041] = {.lex_state = 158, .external_lex_state = 2},
  [11042] = {.lex_state = 158, .external_lex_state = 2},
  [11043] = {.lex_state = 164, .external_lex_state = 2},
  [11044] = {.lex_state = 158, .external_lex_state = 2},
  [11045] = {.lex_state = 158, .external_lex_state = 2},
  [11046] = {.lex_state = 158, .external_lex_state = 2},
  [11047] = {.lex_state = 158, .external_lex_state = 2},
  [11048] = {.lex_state = 158, .external_lex_state = 2},
  [11049] = {.lex_state = 158, .external_lex_state = 2},
  [11050] = {.lex_state = 158, .external_lex_state = 2},
  [11051] = {.lex_state = 158, .external_lex_state = 2},
  [11052] = {.lex_state = 158, .external_lex_state = 2},
  [11053] = {.lex_state = 158, .external_lex_state = 2},
  [11054] = {.lex_state = 158, .external_lex_state = 2},
  [11055] = {.lex_state = 228, .external_lex_state = 2},
  [11056] = {.lex_state = 228, .external_lex_state = 2},
  [11057] = {.lex_state = 160, .external_lex_state = 2},
  [11058] = {.lex_state = 158, .external_lex_state = 2},
  [11059] = {.lex_state = 435, .external_lex_state = 2},
  [11060] = {.lex_state = 158, .external_lex_state = 2},
  [11061] = {.lex_state = 435, .external_lex_state = 2},
  [11062] = {.lex_state = 158, .external_lex_state = 2},
  [11063] = {.lex_state = 435, .external_lex_state = 2},
  [11064] = {.lex_state = 158, .external_lex_state = 2},
  [11065] = {.lex_state = 158, .external_lex_state = 2},
  [11066] = {.lex_state = 215, .external_lex_state = 2},
  [11067] = {.lex_state = 215, .external_lex_state = 2},
  [11068] = {.lex_state = 158, .external_lex_state = 2},
  [11069] = {.lex_state = 158, .external_lex_state = 2},
  [11070] = {.lex_state = 158, .external_lex_state = 2},
  [11071] = {.lex_state = 158, .external_lex_state = 2},
  [11072] = {.lex_state = 158, .external_lex_state = 2},
  [11073] = {.lex_state = 158, .external_lex_state = 2},
  [11074] = {.lex_state = 255, .external_lex_state = 2},
  [11075] = {.lex_state = 158, .external_lex_state = 2},
  [11076] = {.lex_state = 158, .external_lex_state = 2},
  [11077] = {.lex_state = 158, .external_lex_state = 2},
  [11078] = {.lex_state = 158, .external_lex_state = 2},
  [11079] = {.lex_state = 158, .external_lex_state = 2},
  [11080] = {.lex_state = 207, .external_lex_state = 2},
  [11081] = {.lex_state = 158, .external_lex_state = 2},
  [11082] = {.lex_state = 158, .external_lex_state = 2},
  [11083] = {.lex_state = 158, .external_lex_state = 2},
  [11084] = {.lex_state = 158, .external_lex_state = 2},
  [11085] = {.lex_state = 435, .external_lex_state = 2},
  [11086] = {.lex_state = 173, .external_lex_state = 2},
  [11087] = {.lex_state = 173, .external_lex_state = 2},
  [11088] = {.lex_state = 173, .external_lex_state = 2},
  [11089] = {.lex_state = 207, .external_lex_state = 2},
  [11090] = {.lex_state = 158, .external_lex_state = 2},
  [11091] = {.lex_state = 158, .external_lex_state = 2},
  [11092] = {.lex_state = 158, .external_lex_state = 2},
  [11093] = {.lex_state = 158, .external_lex_state = 2},
  [11094] = {.lex_state = 158, .external_lex_state = 2},
  [11095] = {.lex_state = 158, .external_lex_state = 2},
  [11096] = {.lex_state = 228, .external_lex_state = 2},
  [11097] = {.lex_state = 228, .external_lex_state = 2},
  [11098] = {.lex_state = 207, .external_lex_state = 2},
  [11099] = {.lex_state = 435, .external_lex_state = 2},
  [11100] = {.lex_state = 158, .external_lex_state = 2},
  [11101] = {.lex_state = 158, .external_lex_state = 2},
  [11102] = {.lex_state = 158, .external_lex_state = 2},
  [11103] = {.lex_state = 158, .external_lex_state = 2},
  [11104] = {.lex_state = 158, .external_lex_state = 2},
  [11105] = {.lex_state = 158, .external_lex_state = 2},
  [11106] = {.lex_state = 158, .external_lex_state = 2},
  [11107] = {.lex_state = 158, .external_lex_state = 2},
  [11108] = {.lex_state = 158, .external_lex_state = 2},
  [11109] = {.lex_state = 158, .external_lex_state = 2},
  [11110] = {.lex_state = 158, .external_lex_state = 2},
  [11111] = {.lex_state = 175, .external_lex_state = 2},
  [11112] = {.lex_state = 175, .external_lex_state = 2},
  [11113] = {.lex_state = 158, .external_lex_state = 2},
  [11114] = {.lex_state = 175, .external_lex_state = 2},
  [11115] = {.lex_state = 158, .external_lex_state = 2},
  [11116] = {.lex_state = 158, .external_lex_state = 2},
  [11117] = {.lex_state = 160, .external_lex_state = 2},
  [11118] = {.lex_state = 158, .external_lex_state = 2},
  [11119] = {.lex_state = 158, .external_lex_state = 2},
  [11120] = {.lex_state = 158, .external_lex_state = 2},
  [11121] = {.lex_state = 435, .external_lex_state = 2},
  [11122] = {.lex_state = 158, .external_lex_state = 2},
  [11123] = {.lex_state = 158, .external_lex_state = 2},
  [11124] = {.lex_state = 158, .external_lex_state = 2},
  [11125] = {.lex_state = 158, .external_lex_state = 2},
  [11126] = {.lex_state = 158, .external_lex_state = 2},
  [11127] = {.lex_state = 158, .external_lex_state = 2},
  [11128] = {.lex_state = 160, .external_lex_state = 2},
  [11129] = {.lex_state = 435, .external_lex_state = 2},
  [11130] = {.lex_state = 158, .external_lex_state = 2},
  [11131] = {.lex_state = 158, .external_lex_state = 2},
  [11132] = {.lex_state = 158, .external_lex_state = 2},
  [11133] = {.lex_state = 435, .external_lex_state = 2},
  [11134] = {.lex_state = 158, .external_lex_state = 2},
  [11135] = {.lex_state = 158, .external_lex_state = 2},
  [11136] = {.lex_state = 158, .external_lex_state = 2},
  [11137] = {.lex_state = 158, .external_lex_state = 2},
  [11138] = {.lex_state = 158, .external_lex_state = 2},
  [11139] = {.lex_state = 158, .external_lex_state = 2},
  [11140] = {.lex_state = 158, .external_lex_state = 2},
  [11141] = {.lex_state = 435, .external_lex_state = 2},
  [11142] = {.lex_state = 158, .external_lex_state = 2},
  [11143] = {.lex_state = 158, .external_lex_state = 2},
  [11144] = {.lex_state = 158, .external_lex_state = 2},
  [11145] = {.lex_state = 160, .external_lex_state = 2},
  [11146] = {.lex_state = 158, .external_lex_state = 2},
  [11147] = {.lex_state = 435, .external_lex_state = 2},
  [11148] = {.lex_state = 158, .external_lex_state = 2},
  [11149] = {.lex_state = 158, .external_lex_state = 2},
  [11150] = {.lex_state = 158, .external_lex_state = 2},
  [11151] = {.lex_state = 158, .external_lex_state = 2},
  [11152] = {.lex_state = 435, .external_lex_state = 2},
  [11153] = {.lex_state = 215, .external_lex_state = 2},
  [11154] = {.lex_state = 158, .external_lex_state = 2},
  [11155] = {.lex_state = 158, .external_lex_state = 2},
  [11156] = {.lex_state = 158, .external_lex_state = 2},
  [11157] = {.lex_state = 158, .external_lex_state = 2},
  [11158] = {.lex_state = 158, .external_lex_state = 2},
  [11159] = {.lex_state = 435, .external_lex_state = 2},
  [11160] = {.lex_state = 158, .external_lex_state = 2},
  [11161] = {.lex_state = 158, .external_lex_state = 2},
  [11162] = {.lex_state = 158, .external_lex_state = 2},
  [11163] = {.lex_state = 158, .external_lex_state = 2},
  [11164] = {.lex_state = 158, .external_lex_state = 2},
  [11165] = {.lex_state = 158, .external_lex_state = 2},
  [11166] = {.lex_state = 158, .external_lex_state = 2},
  [11167] = {.lex_state = 158, .external_lex_state = 2},
  [11168] = {.lex_state = 435, .external_lex_state = 2},
  [11169] = {.lex_state = 158, .external_lex_state = 2},
  [11170] = {.lex_state = 158, .external_lex_state = 2},
  [11171] = {.lex_state = 158, .external_lex_state = 3},
  [11172] = {.lex_state = 158, .external_lex_state = 2},
  [11173] = {.lex_state = 158, .external_lex_state = 2},
  [11174] = {.lex_state = 158, .external_lex_state = 2},
  [11175] = {.lex_state = 158, .external_lex_state = 2},
  [11176] = {.lex_state = 158, .external_lex_state = 2},
  [11177] = {.lex_state = 158, .external_lex_state = 2},
  [11178] = {.lex_state = 435, .external_lex_state = 2},
  [11179] = {.lex_state = 158, .external_lex_state = 2},
  [11180] = {.lex_state = 158, .external_lex_state = 2},
  [11181] = {.lex_state = 158, .external_lex_state = 2},
  [11182] = {.lex_state = 158, .external_lex_state = 2},
  [11183] = {.lex_state = 158, .external_lex_state = 2},
  [11184] = {.lex_state = 158, .external_lex_state = 2},
  [11185] = {.lex_state = 435, .external_lex_state = 2},
  [11186] = {.lex_state = 158, .external_lex_state = 2},
  [11187] = {.lex_state = 158, .external_lex_state = 2},
  [11188] = {.lex_state = 158, .external_lex_state = 2},
  [11189] = {.lex_state = 158, .external_lex_state = 2},
  [11190] = {.lex_state = 158, .external_lex_state = 2},
  [11191] = {.lex_state = 158, .external_lex_state = 2},
  [11192] = {.lex_state = 158, .external_lex_state = 2},
  [11193] = {.lex_state = 158, .external_lex_state = 2},
  [11194] = {.lex_state = 158, .external_lex_state = 2},
  [11195] = {.lex_state = 158, .external_lex_state = 2},
  [11196] = {.lex_state = 435, .external_lex_state = 2},
  [11197] = {.lex_state = 158, .external_lex_state = 2},
  [11198] = {.lex_state = 158, .external_lex_state = 3},
  [11199] = {.lex_state = 158, .external_lex_state = 2},
  [11200] = {.lex_state = 158, .external_lex_state = 2},
  [11201] = {.lex_state = 158, .external_lex_state = 2},
  [11202] = {.lex_state = 158, .external_lex_state = 2},
  [11203] = {.lex_state = 435, .external_lex_state = 2},
  [11204] = {.lex_state = 158, .external_lex_state = 2},
  [11205] = {.lex_state = 158, .external_lex_state = 2},
  [11206] = {.lex_state = 435, .external_lex_state = 2},
  [11207] = {.lex_state = 158, .external_lex_state = 2},
  [11208] = {.lex_state = 435, .external_lex_state = 2},
  [11209] = {.lex_state = 158, .external_lex_state = 2},
  [11210] = {.lex_state = 435, .external_lex_state = 2},
  [11211] = {.lex_state = 160, .external_lex_state = 2},
  [11212] = {.lex_state = 158, .external_lex_state = 2},
  [11213] = {.lex_state = 158, .external_lex_state = 2},
  [11214] = {.lex_state = 435, .external_lex_state = 2},
  [11215] = {.lex_state = 158, .external_lex_state = 2},
  [11216] = {.lex_state = 158, .external_lex_state = 2},
  [11217] = {.lex_state = 158, .external_lex_state = 2},
  [11218] = {.lex_state = 158, .external_lex_state = 2},
  [11219] = {.lex_state = 158, .external_lex_state = 2},
  [11220] = {.lex_state = 435, .external_lex_state = 2},
  [11221] = {.lex_state = 158, .external_lex_state = 2},
  [11222] = {.lex_state = 158, .external_lex_state = 2},
  [11223] = {.lex_state = 158, .external_lex_state = 2},
  [11224] = {.lex_state = 158, .external_lex_state = 2},
  [11225] = {.lex_state = 170, .external_lex_state = 2},
  [11226] = {.lex_state = 435, .external_lex_state = 2},
  [11227] = {.lex_state = 158, .external_lex_state = 2},
  [11228] = {.lex_state = 158, .external_lex_state = 2},
  [11229] = {.lex_state = 158, .external_lex_state = 2},
  [11230] = {.lex_state = 158, .external_lex_state = 2},
  [11231] = {.lex_state = 158, .external_lex_state = 2},
  [11232] = {.lex_state = 435, .external_lex_state = 2},
  [11233] = {.lex_state = 158, .external_lex_state = 2},
  [11234] = {.lex_state = 158, .external_lex_state = 2},
  [11235] = {.lex_state = 158, .external_lex_state = 2},
  [11236] = {.lex_state = 158, .external_lex_state = 2},
  [11237] = {.lex_state = 158, .external_lex_state = 2},
  [11238] = {.lex_state = 158, .external_lex_state = 2},
  [11239] = {.lex_state = 158, .external_lex_state = 2},
  [11240] = {.lex_state = 158, .external_lex_state = 2},
  [11241] = {.lex_state = 435, .external_lex_state = 2},
  [11242] = {.lex_state = 158, .external_lex_state = 2},
  [11243] = {.lex_state = 158, .external_lex_state = 2},
  [11244] = {.lex_state = 158, .external_lex_state = 2},
  [11245] = {.lex_state = 435, .external_lex_state = 2},
  [11246] = {.lex_state = 208, .external_lex_state = 2},
  [11247] = {.lex_state = 158, .external_lex_state = 2},
  [11248] = {.lex_state = 158, .external_lex_state = 2},
  [11249] = {.lex_state = 158, .external_lex_state = 2},
  [11250] = {.lex_state = 158, .external_lex_state = 2},
  [11251] = {.lex_state = 158, .external_lex_state = 2},
  [11252] = {.lex_state = 158, .external_lex_state = 2},
  [11253] = {.lex_state = 158, .external_lex_state = 2},
  [11254] = {.lex_state = 435, .external_lex_state = 2},
  [11255] = {.lex_state = 228, .external_lex_state = 2},
  [11256] = {.lex_state = 208, .external_lex_state = 2},
  [11257] = {.lex_state = 228, .external_lex_state = 2},
  [11258] = {.lex_state = 435, .external_lex_state = 2},
  [11259] = {.lex_state = 158, .external_lex_state = 2},
  [11260] = {.lex_state = 158, .external_lex_state = 2},
  [11261] = {.lex_state = 158, .external_lex_state = 2},
  [11262] = {.lex_state = 158, .external_lex_state = 2},
  [11263] = {.lex_state = 435, .external_lex_state = 2},
  [11264] = {.lex_state = 158, .external_lex_state = 2},
  [11265] = {.lex_state = 158, .external_lex_state = 2},
  [11266] = {.lex_state = 158, .external_lex_state = 2},
  [11267] = {.lex_state = 158, .external_lex_state = 2},
  [11268] = {.lex_state = 158, .external_lex_state = 2},
  [11269] = {.lex_state = 158, .external_lex_state = 2},
  [11270] = {.lex_state = 435, .external_lex_state = 2},
  [11271] = {.lex_state = 158, .external_lex_state = 2},
  [11272] = {.lex_state = 435, .external_lex_state = 2},
  [11273] = {.lex_state = 158, .external_lex_state = 2},
  [11274] = {.lex_state = 158, .external_lex_state = 2},
  [11275] = {.lex_state = 158, .external_lex_state = 2},
  [11276] = {.lex_state = 158, .external_lex_state = 2},
  [11277] = {.lex_state = 435, .external_lex_state = 2},
  [11278] = {.lex_state = 158, .external_lex_state = 2},
  [11279] = {.lex_state = 158, .external_lex_state = 2},
  [11280] = {.lex_state = 158, .external_lex_state = 2},
  [11281] = {.lex_state = 158, .external_lex_state = 2},
  [11282] = {.lex_state = 435, .external_lex_state = 2},
  [11283] = {.lex_state = 158, .external_lex_state = 2},
  [11284] = {.lex_state = 158, .external_lex_state = 2},
  [11285] = {.lex_state = 435, .external_lex_state = 2},
  [11286] = {.lex_state = 158, .external_lex_state = 2},
  [11287] = {.lex_state = 158, .external_lex_state = 2},
  [11288] = {.lex_state = 158, .external_lex_state = 2},
  [11289] = {.lex_state = 158, .external_lex_state = 2},
  [11290] = {.lex_state = 158, .external_lex_state = 2},
  [11291] = {.lex_state = 158, .external_lex_state = 2},
  [11292] = {.lex_state = 435, .external_lex_state = 2},
  [11293] = {.lex_state = 158, .external_lex_state = 2},
  [11294] = {.lex_state = 158, .external_lex_state = 2},
  [11295] = {.lex_state = 435, .external_lex_state = 2},
  [11296] = {.lex_state = 158, .external_lex_state = 2},
  [11297] = {.lex_state = 160, .external_lex_state = 2},
  [11298] = {.lex_state = 435, .external_lex_state = 2},
  [11299] = {.lex_state = 201, .external_lex_state = 2},
  [11300] = {.lex_state = 158, .external_lex_state = 2},
  [11301] = {.lex_state = 158, .external_lex_state = 2},
  [11302] = {.lex_state = 158, .external_lex_state = 2},
  [11303] = {.lex_state = 158, .external_lex_state = 2},
  [11304] = {.lex_state = 158, .external_lex_state = 2},
  [11305] = {.lex_state = 158, .external_lex_state = 2},
  [11306] = {.lex_state = 158, .external_lex_state = 2},
  [11307] = {.lex_state = 160, .external_lex_state = 2},
  [11308] = {.lex_state = 158, .external_lex_state = 2},
  [11309] = {.lex_state = 158, .external_lex_state = 2},
  [11310] = {.lex_state = 158, .external_lex_state = 2},
  [11311] = {.lex_state = 158, .external_lex_state = 2},
  [11312] = {.lex_state = 158, .external_lex_state = 2},
  [11313] = {.lex_state = 206, .external_lex_state = 2},
  [11314] = {.lex_state = 158, .external_lex_state = 2},
  [11315] = {.lex_state = 435, .external_lex_state = 2},
  [11316] = {.lex_state = 158, .external_lex_state = 2},
  [11317] = {.lex_state = 206, .external_lex_state = 2},
  [11318] = {.lex_state = 158, .external_lex_state = 2},
  [11319] = {.lex_state = 158, .external_lex_state = 2},
  [11320] = {.lex_state = 158, .external_lex_state = 2},
  [11321] = {.lex_state = 158, .external_lex_state = 2},
  [11322] = {.lex_state = 158, .external_lex_state = 2},
  [11323] = {.lex_state = 158, .external_lex_state = 2},
  [11324] = {.lex_state = 228, .external_lex_state = 2},
  [11325] = {.lex_state = 158, .external_lex_state = 2},
  [11326] = {.lex_state = 158, .external_lex_state = 2},
  [11327] = {.lex_state = 158, .external_lex_state = 2},
  [11328] = {.lex_state = 158, .external_lex_state = 2},
  [11329] = {.lex_state = 228, .external_lex_state = 2},
  [11330] = {.lex_state = 158, .external_lex_state = 2},
  [11331] = {.lex_state = 158, .external_lex_state = 2},
  [11332] = {.lex_state = 228, .external_lex_state = 2},
  [11333] = {.lex_state = 158, .external_lex_state = 2},
  [11334] = {.lex_state = 228, .external_lex_state = 2},
  [11335] = {.lex_state = 228, .external_lex_state = 2},
  [11336] = {.lex_state = 158, .external_lex_state = 2},
  [11337] = {.lex_state = 158, .external_lex_state = 2},
  [11338] = {.lex_state = 157, .external_lex_state = 2},
  [11339] = {.lex_state = 158, .external_lex_state = 2},
  [11340] = {.lex_state = 158, .external_lex_state = 2},
  [11341] = {.lex_state = 158, .external_lex_state = 2},
  [11342] = {.lex_state = 158, .external_lex_state = 2},
  [11343] = {.lex_state = 158, .external_lex_state = 2},
  [11344] = {.lex_state = 166, .external_lex_state = 3},
  [11345] = {.lex_state = 158, .external_lex_state = 3},
  [11346] = {.lex_state = 158, .external_lex_state = 2},
  [11347] = {.lex_state = 158, .external_lex_state = 2},
  [11348] = {.lex_state = 435, .external_lex_state = 2},
  [11349] = {.lex_state = 204, .external_lex_state = 2},
  [11350] = {.lex_state = 158, .external_lex_state = 2},
  [11351] = {.lex_state = 158, .external_lex_state = 2},
  [11352] = {.lex_state = 435, .external_lex_state = 2},
  [11353] = {.lex_state = 158, .external_lex_state = 2},
  [11354] = {.lex_state = 158, .external_lex_state = 2},
  [11355] = {.lex_state = 158, .external_lex_state = 2},
  [11356] = {.lex_state = 158, .external_lex_state = 2},
  [11357] = {.lex_state = 158, .external_lex_state = 2},
  [11358] = {.lex_state = 158, .external_lex_state = 2},
  [11359] = {.lex_state = 158, .external_lex_state = 2},
  [11360] = {.lex_state = 158, .external_lex_state = 2},
  [11361] = {.lex_state = 158, .external_lex_state = 2},
  [11362] = {.lex_state = 158, .external_lex_state = 2},
  [11363] = {.lex_state = 158, .external_lex_state = 2},
  [11364] = {.lex_state = 158, .external_lex_state = 2},
  [11365] = {.lex_state = 158, .external_lex_state = 2},
  [11366] = {.lex_state = 158, .external_lex_state = 2},
  [11367] = {.lex_state = 206, .external_lex_state = 2},
  [11368] = {.lex_state = 163, .external_lex_state = 2},
  [11369] = {.lex_state = 158, .external_lex_state = 2},
  [11370] = {.lex_state = 158, .external_lex_state = 2},
  [11371] = {.lex_state = 158, .external_lex_state = 2},
  [11372] = {.lex_state = 158, .external_lex_state = 2},
  [11373] = {.lex_state = 158, .external_lex_state = 2},
  [11374] = {.lex_state = 228, .external_lex_state = 2},
  [11375] = {.lex_state = 228, .external_lex_state = 2},
  [11376] = {.lex_state = 228, .external_lex_state = 2},
  [11377] = {.lex_state = 158, .external_lex_state = 2},
  [11378] = {.lex_state = 158, .external_lex_state = 2},
  [11379] = {.lex_state = 165, .external_lex_state = 2},
  [11380] = {.lex_state = 208, .external_lex_state = 2},
  [11381] = {.lex_state = 158, .external_lex_state = 2},
  [11382] = {.lex_state = 158, .external_lex_state = 2},
  [11383] = {.lex_state = 158, .external_lex_state = 2},
  [11384] = {.lex_state = 158, .external_lex_state = 2},
  [11385] = {.lex_state = 158, .external_lex_state = 2},
  [11386] = {.lex_state = 158, .external_lex_state = 2},
  [11387] = {.lex_state = 158, .external_lex_state = 2},
  [11388] = {.lex_state = 158, .external_lex_state = 2},
  [11389] = {.lex_state = 164, .external_lex_state = 2},
  [11390] = {.lex_state = 206, .external_lex_state = 2},
  [11391] = {.lex_state = 206, .external_lex_state = 2},
  [11392] = {.lex_state = 158, .external_lex_state = 2},
  [11393] = {.lex_state = 206, .external_lex_state = 2},
  [11394] = {.lex_state = 158, .external_lex_state = 2},
  [11395] = {.lex_state = 435, .external_lex_state = 2},
  [11396] = {.lex_state = 158, .external_lex_state = 2},
  [11397] = {.lex_state = 255, .external_lex_state = 2},
  [11398] = {.lex_state = 158, .external_lex_state = 2},
  [11399] = {.lex_state = 158, .external_lex_state = 2},
  [11400] = {.lex_state = 158, .external_lex_state = 2},
  [11401] = {.lex_state = 158, .external_lex_state = 2},
  [11402] = {.lex_state = 158, .external_lex_state = 2},
  [11403] = {.lex_state = 158, .external_lex_state = 2},
  [11404] = {.lex_state = 158, .external_lex_state = 2},
  [11405] = {.lex_state = 436, .external_lex_state = 2},
  [11406] = {.lex_state = 158, .external_lex_state = 2},
  [11407] = {.lex_state = 215, .external_lex_state = 2},
  [11408] = {.lex_state = 228, .external_lex_state = 2},
  [11409] = {.lex_state = 160, .external_lex_state = 2},
  [11410] = {.lex_state = 158, .external_lex_state = 2},
  [11411] = {.lex_state = 215, .external_lex_state = 2},
  [11412] = {.lex_state = 160, .external_lex_state = 2},
  [11413] = {.lex_state = 160, .external_lex_state = 2},
  [11414] = {.lex_state = 160, .external_lex_state = 2},
  [11415] = {.lex_state = 158, .external_lex_state = 2},
  [11416] = {.lex_state = 158, .external_lex_state = 2},
  [11417] = {.lex_state = 158, .external_lex_state = 2},
  [11418] = {.lex_state = 158, .external_lex_state = 2},
  [11419] = {.lex_state = 160, .external_lex_state = 2},
  [11420] = {.lex_state = 158, .external_lex_state = 2},
  [11421] = {.lex_state = 158, .external_lex_state = 2},
  [11422] = {.lex_state = 158, .external_lex_state = 2},
  [11423] = {.lex_state = 158, .external_lex_state = 2},
  [11424] = {.lex_state = 158, .external_lex_state = 2},
  [11425] = {.lex_state = 228, .external_lex_state = 2},
  [11426] = {.lex_state = 158, .external_lex_state = 2},
  [11427] = {.lex_state = 158, .external_lex_state = 2},
  [11428] = {.lex_state = 158, .external_lex_state = 2},
  [11429] = {.lex_state = 158, .external_lex_state = 2},
  [11430] = {.lex_state = 158, .external_lex_state = 2},
  [11431] = {.lex_state = 158, .external_lex_state = 2},
  [11432] = {.lex_state = 164, .external_lex_state = 2},
  [11433] = {.lex_state = 164, .external_lex_state = 2},
  [11434] = {.lex_state = 164, .external_lex_state = 2},
  [11435] = {.lex_state = 164, .external_lex_state = 2},
  [11436] = {.lex_state = 164, .external_lex_state = 2},
  [11437] = {.lex_state = 164, .external_lex_state = 2},
  [11438] = {.lex_state = 164, .external_lex_state = 2},
  [11439] = {.lex_state = 164, .external_lex_state = 2},
  [11440] = {.lex_state = 164, .external_lex_state = 2},
  [11441] = {.lex_state = 164, .external_lex_state = 2},
  [11442] = {.lex_state = 164, .external_lex_state = 2},
  [11443] = {.lex_state = 164, .external_lex_state = 2},
  [11444] = {.lex_state = 158, .external_lex_state = 2},
  [11445] = {.lex_state = 228, .external_lex_state = 2},
  [11446] = {.lex_state = 228, .external_lex_state = 2},
  [11447] = {.lex_state = 228, .external_lex_state = 2},
  [11448] = {.lex_state = 158, .external_lex_state = 2},
  [11449] = {.lex_state = 158, .external_lex_state = 2},
  [11450] = {.lex_state = 158, .external_lex_state = 2},
  [11451] = {.lex_state = 158, .external_lex_state = 2},
  [11452] = {.lex_state = 228, .external_lex_state = 2},
  [11453] = {.lex_state = 228, .external_lex_state = 2},
  [11454] = {.lex_state = 204, .external_lex_state = 2},
  [11455] = {.lex_state = 228, .external_lex_state = 2},
  [11456] = {.lex_state = 228, .external_lex_state = 2},
  [11457] = {.lex_state = 228, .external_lex_state = 2},
  [11458] = {.lex_state = 228, .external_lex_state = 2},
  [11459] = {.lex_state = 204, .external_lex_state = 2},
  [11460] = {.lex_state = 204, .external_lex_state = 2},
  [11461] = {.lex_state = 204, .external_lex_state = 2},
  [11462] = {.lex_state = 228, .external_lex_state = 2},
  [11463] = {.lex_state = 204, .external_lex_state = 2},
  [11464] = {.lex_state = 165, .external_lex_state = 2},
  [11465] = {.lex_state = 19, .external_lex_state = 3},
  [11466] = {.lex_state = 204, .external_lex_state = 2},
  [11467] = {.lex_state = 158, .external_lex_state = 2},
  [11468] = {.lex_state = 204, .external_lex_state = 2},
  [11469] = {.lex_state = 158, .external_lex_state = 2},
  [11470] = {.lex_state = 165, .external_lex_state = 2},
  [11471] = {.lex_state = 228, .external_lex_state = 2},
  [11472] = {.lex_state = 204, .external_lex_state = 2},
  [11473] = {.lex_state = 204, .external_lex_state = 2},
  [11474] = {.lex_state = 228, .external_lex_state = 2},
  [11475] = {.lex_state = 207, .external_lex_state = 2},
  [11476] = {.lex_state = 228, .external_lex_state = 2},
  [11477] = {.lex_state = 228, .external_lex_state = 2},
  [11478] = {.lex_state = 204, .external_lex_state = 2},
  [11479] = {.lex_state = 165, .external_lex_state = 2},
  [11480] = {.lex_state = 23, .external_lex_state = 2},
  [11481] = {.lex_state = 204, .external_lex_state = 2},
  [11482] = {.lex_state = 228, .external_lex_state = 2},
  [11483] = {.lex_state = 228, .external_lex_state = 2},
  [11484] = {.lex_state = 23, .external_lex_state = 2},
  [11485] = {.lex_state = 228, .external_lex_state = 2},
  [11486] = {.lex_state = 23, .external_lex_state = 2},
  [11487] = {.lex_state = 165, .external_lex_state = 2},
  [11488] = {.lex_state = 23, .external_lex_state = 2},
  [11489] = {.lex_state = 204, .external_lex_state = 2},
  [11490] = {.lex_state = 23, .external_lex_state = 2},
  [11491] = {.lex_state = 164, .external_lex_state = 2},
  [11492] = {.lex_state = 165, .external_lex_state = 2},
  [11493] = {.lex_state = 228, .external_lex_state = 2},
  [11494] = {.lex_state = 204, .external_lex_state = 2},
  [11495] = {.lex_state = 228, .external_lex_state = 2},
  [11496] = {.lex_state = 157, .external_lex_state = 2},
  [11497] = {.lex_state = 228, .external_lex_state = 2},
  [11498] = {.lex_state = 228, .external_lex_state = 2},
  [11499] = {.lex_state = 204, .external_lex_state = 2},
  [11500] = {.lex_state = 165, .external_lex_state = 2},
  [11501] = {.lex_state = 157, .external_lex_state = 2},
  [11502] = {.lex_state = 228, .external_lex_state = 2},
  [11503] = {.lex_state = 228, .external_lex_state = 2},
  [11504] = {.lex_state = 165, .external_lex_state = 2},
  [11505] = {.lex_state = 204, .external_lex_state = 2},
  [11506] = {.lex_state = 165, .external_lex_state = 2},
  [11507] = {.lex_state = 204, .external_lex_state = 2},
  [11508] = {.lex_state = 165, .external_lex_state = 2},
  [11509] = {.lex_state = 157, .external_lex_state = 2},
  [11510] = {.lex_state = 255, .external_lex_state = 2},
  [11511] = {.lex_state = 23, .external_lex_state = 2},
  [11512] = {.lex_state = 164, .external_lex_state = 2},
  [11513] = {.lex_state = 158, .external_lex_state = 2},
  [11514] = {.lex_state = 164, .external_lex_state = 2},
  [11515] = {.lex_state = 158, .external_lex_state = 2},
  [11516] = {.lex_state = 228, .external_lex_state = 2},
  [11517] = {.lex_state = 204, .external_lex_state = 2},
  [11518] = {.lex_state = 435, .external_lex_state = 2},
  [11519] = {.lex_state = 228, .external_lex_state = 2},
  [11520] = {.lex_state = 204, .external_lex_state = 2},
  [11521] = {.lex_state = 228, .external_lex_state = 2},
  [11522] = {.lex_state = 228, .external_lex_state = 2},
  [11523] = {.lex_state = 158, .external_lex_state = 2},
  [11524] = {.lex_state = 23, .external_lex_state = 2},
  [11525] = {.lex_state = 228, .external_lex_state = 2},
  [11526] = {.lex_state = 204, .external_lex_state = 2},
  [11527] = {.lex_state = 19, .external_lex_state = 3},
  [11528] = {.lex_state = 228, .external_lex_state = 2},
  [11529] = {.lex_state = 228, .external_lex_state = 2},
  [11530] = {.lex_state = 204, .external_lex_state = 2},
  [11531] = {.lex_state = 164, .external_lex_state = 2},
  [11532] = {.lex_state = 228, .external_lex_state = 2},
  [11533] = {.lex_state = 228, .external_lex_state = 2},
  [11534] = {.lex_state = 228, .external_lex_state = 2},
  [11535] = {.lex_state = 204, .external_lex_state = 2},
  [11536] = {.lex_state = 204, .external_lex_state = 2},
  [11537] = {.lex_state = 164, .external_lex_state = 2},
  [11538] = {.lex_state = 164, .external_lex_state = 2},
  [11539] = {.lex_state = 164, .external_lex_state = 2},
  [11540] = {.lex_state = 165, .external_lex_state = 2},
  [11541] = {.lex_state = 164, .external_lex_state = 2},
  [11542] = {.lex_state = 204, .external_lex_state = 2},
  [11543] = {.lex_state = 228, .external_lex_state = 2},
  [11544] = {.lex_state = 204, .external_lex_state = 2},
  [11545] = {.lex_state = 204, .external_lex_state = 2},
  [11546] = {.lex_state = 228, .external_lex_state = 2},
  [11547] = {.lex_state = 164, .external_lex_state = 2},
  [11548] = {.lex_state = 164, .external_lex_state = 2},
  [11549] = {.lex_state = 23, .external_lex_state = 2},
  [11550] = {.lex_state = 23, .external_lex_state = 2},
  [11551] = {.lex_state = 164, .external_lex_state = 2},
  [11552] = {.lex_state = 165, .external_lex_state = 2},
  [11553] = {.lex_state = 228, .external_lex_state = 2},
  [11554] = {.lex_state = 228, .external_lex_state = 2},
  [11555] = {.lex_state = 228, .external_lex_state = 2},
  [11556] = {.lex_state = 228, .external_lex_state = 2},
  [11557] = {.lex_state = 158, .external_lex_state = 2},
  [11558] = {.lex_state = 228, .external_lex_state = 2},
  [11559] = {.lex_state = 164, .external_lex_state = 2},
  [11560] = {.lex_state = 228, .external_lex_state = 2},
  [11561] = {.lex_state = 204, .external_lex_state = 2},
  [11562] = {.lex_state = 164, .external_lex_state = 2},
  [11563] = {.lex_state = 228, .external_lex_state = 2},
  [11564] = {.lex_state = 204, .external_lex_state = 2},
  [11565] = {.lex_state = 228, .external_lex_state = 2},
  [11566] = {.lex_state = 255, .external_lex_state = 2},
  [11567] = {.lex_state = 204, .external_lex_state = 2},
  [11568] = {.lex_state = 228, .external_lex_state = 2},
  [11569] = {.lex_state = 23, .external_lex_state = 2},
  [11570] = {.lex_state = 19, .external_lex_state = 3},
  [11571] = {.lex_state = 165, .external_lex_state = 2},
  [11572] = {.lex_state = 23, .external_lex_state = 2},
  [11573] = {.lex_state = 228, .external_lex_state = 2},
  [11574] = {.lex_state = 23, .external_lex_state = 2},
  [11575] = {.lex_state = 23, .external_lex_state = 2},
  [11576] = {.lex_state = 23, .external_lex_state = 2},
  [11577] = {.lex_state = 204, .external_lex_state = 2},
  [11578] = {.lex_state = 204, .external_lex_state = 2},
  [11579] = {.lex_state = 228, .external_lex_state = 2},
  [11580] = {.lex_state = 208, .external_lex_state = 2},
  [11581] = {.lex_state = 157, .external_lex_state = 2},
  [11582] = {.lex_state = 204, .external_lex_state = 2},
  [11583] = {.lex_state = 23, .external_lex_state = 2},
  [11584] = {.lex_state = 158, .external_lex_state = 2},
  [11585] = {.lex_state = 19, .external_lex_state = 3},
  [11586] = {.lex_state = 23, .external_lex_state = 2},
  [11587] = {.lex_state = 204, .external_lex_state = 2},
  [11588] = {.lex_state = 23, .external_lex_state = 2},
  [11589] = {.lex_state = 158, .external_lex_state = 2},
  [11590] = {.lex_state = 23, .external_lex_state = 2},
  [11591] = {.lex_state = 23, .external_lex_state = 2},
  [11592] = {.lex_state = 23, .external_lex_state = 2},
  [11593] = {.lex_state = 158, .external_lex_state = 2},
  [11594] = {.lex_state = 228, .external_lex_state = 2},
  [11595] = {.lex_state = 158, .external_lex_state = 2},
  [11596] = {.lex_state = 204, .external_lex_state = 2},
  [11597] = {.lex_state = 23, .external_lex_state = 2},
  [11598] = {.lex_state = 23, .external_lex_state = 2},
  [11599] = {.lex_state = 19, .external_lex_state = 3},
  [11600] = {.lex_state = 158, .external_lex_state = 2},
  [11601] = {.lex_state = 158, .external_lex_state = 2},
  [11602] = {.lex_state = 204, .external_lex_state = 2},
  [11603] = {.lex_state = 164, .external_lex_state = 2},
  [11604] = {.lex_state = 204, .external_lex_state = 2},
  [11605] = {.lex_state = 158, .external_lex_state = 2},
  [11606] = {.lex_state = 23, .external_lex_state = 2},
  [11607] = {.lex_state = 164, .external_lex_state = 2},
  [11608] = {.lex_state = 164, .external_lex_state = 2},
  [11609] = {.lex_state = 164, .external_lex_state = 2},
  [11610] = {.lex_state = 204, .external_lex_state = 2},
  [11611] = {.lex_state = 164, .external_lex_state = 2},
  [11612] = {.lex_state = 164, .external_lex_state = 2},
  [11613] = {.lex_state = 158, .external_lex_state = 2},
  [11614] = {.lex_state = 23, .external_lex_state = 2},
  [11615] = {.lex_state = 228, .external_lex_state = 2},
  [11616] = {.lex_state = 228, .external_lex_state = 2},
  [11617] = {.lex_state = 204, .external_lex_state = 2},
  [11618] = {.lex_state = 164, .external_lex_state = 2},
  [11619] = {.lex_state = 164, .external_lex_state = 2},
  [11620] = {.lex_state = 228, .external_lex_state = 2},
  [11621] = {.lex_state = 157, .external_lex_state = 2},
  [11622] = {.lex_state = 23, .external_lex_state = 2},
  [11623] = {.lex_state = 204, .external_lex_state = 2},
  [11624] = {.lex_state = 19, .external_lex_state = 3},
  [11625] = {.lex_state = 164, .external_lex_state = 2},
  [11626] = {.lex_state = 204, .external_lex_state = 2},
  [11627] = {.lex_state = 164, .external_lex_state = 2},
  [11628] = {.lex_state = 157, .external_lex_state = 2},
  [11629] = {.lex_state = 204, .external_lex_state = 2},
  [11630] = {.lex_state = 165, .external_lex_state = 2},
  [11631] = {.lex_state = 23, .external_lex_state = 2},
  [11632] = {.lex_state = 164, .external_lex_state = 2},
  [11633] = {.lex_state = 23, .external_lex_state = 2},
  [11634] = {.lex_state = 204, .external_lex_state = 2},
  [11635] = {.lex_state = 204, .external_lex_state = 2},
  [11636] = {.lex_state = 228, .external_lex_state = 2},
  [11637] = {.lex_state = 204, .external_lex_state = 2},
  [11638] = {.lex_state = 228, .external_lex_state = 2},
  [11639] = {.lex_state = 228, .external_lex_state = 2},
  [11640] = {.lex_state = 158, .external_lex_state = 2},
  [11641] = {.lex_state = 228, .external_lex_state = 2},
  [11642] = {.lex_state = 228, .external_lex_state = 2},
  [11643] = {.lex_state = 23, .external_lex_state = 2},
  [11644] = {.lex_state = 19, .external_lex_state = 3},
  [11645] = {.lex_state = 23, .external_lex_state = 2},
  [11646] = {.lex_state = 204, .external_lex_state = 2},
  [11647] = {.lex_state = 228, .external_lex_state = 2},
  [11648] = {.lex_state = 228, .external_lex_state = 2},
  [11649] = {.lex_state = 23, .external_lex_state = 2},
  [11650] = {.lex_state = 228, .external_lex_state = 2},
  [11651] = {.lex_state = 228, .external_lex_state = 2},
  [11652] = {.lex_state = 157, .external_lex_state = 2},
  [11653] = {.lex_state = 165, .external_lex_state = 2},
  [11654] = {.lex_state = 204, .external_lex_state = 2},
  [11655] = {.lex_state = 228, .external_lex_state = 2},
  [11656] = {.lex_state = 228, .external_lex_state = 2},
  [11657] = {.lex_state = 204, .external_lex_state = 2},
  [11658] = {.lex_state = 204, .external_lex_state = 2},
  [11659] = {.lex_state = 204, .external_lex_state = 2},
  [11660] = {.lex_state = 204, .external_lex_state = 2},
  [11661] = {.lex_state = 204, .external_lex_state = 2},
  [11662] = {.lex_state = 204, .external_lex_state = 2},
  [11663] = {.lex_state = 23, .external_lex_state = 2},
  [11664] = {.lex_state = 204, .external_lex_state = 2},
  [11665] = {.lex_state = 204, .external_lex_state = 2},
  [11666] = {.lex_state = 204, .external_lex_state = 2},
  [11667] = {.lex_state = 204, .external_lex_state = 2},
  [11668] = {.lex_state = 204, .external_lex_state = 2},
  [11669] = {.lex_state = 165, .external_lex_state = 2},
  [11670] = {.lex_state = 204, .external_lex_state = 2},
  [11671] = {.lex_state = 204, .external_lex_state = 2},
  [11672] = {.lex_state = 204, .external_lex_state = 2},
  [11673] = {.lex_state = 204, .external_lex_state = 2},
  [11674] = {.lex_state = 204, .external_lex_state = 2},
  [11675] = {.lex_state = 204, .external_lex_state = 2},
  [11676] = {.lex_state = 228, .external_lex_state = 2},
  [11677] = {.lex_state = 228, .external_lex_state = 2},
  [11678] = {.lex_state = 204, .external_lex_state = 2},
  [11679] = {.lex_state = 228, .external_lex_state = 2},
  [11680] = {.lex_state = 228, .external_lex_state = 2},
  [11681] = {.lex_state = 204, .external_lex_state = 2},
  [11682] = {.lex_state = 157, .external_lex_state = 2},
  [11683] = {.lex_state = 228, .external_lex_state = 2},
  [11684] = {.lex_state = 228, .external_lex_state = 2},
  [11685] = {.lex_state = 162, .external_lex_state = 2},
  [11686] = {.lex_state = 162, .external_lex_state = 2},
  [11687] = {.lex_state = 162, .external_lex_state = 2},
  [11688] = {.lex_state = 162, .external_lex_state = 2},
  [11689] = {.lex_state = 162, .external_lex_state = 2},
  [11690] = {.lex_state = 164, .external_lex_state = 2},
  [11691] = {.lex_state = 164, .external_lex_state = 2},
  [11692] = {.lex_state = 435, .external_lex_state = 2},
  [11693] = {.lex_state = 435, .external_lex_state = 2},
  [11694] = {.lex_state = 435, .external_lex_state = 2},
  [11695] = {.lex_state = 164, .external_lex_state = 2},
  [11696] = {.lex_state = 228, .external_lex_state = 2},
  [11697] = {.lex_state = 228, .external_lex_state = 2},
  [11698] = {.lex_state = 164, .external_lex_state = 2},
  [11699] = {.lex_state = 435, .external_lex_state = 2},
  [11700] = {.lex_state = 216, .external_lex_state = 2},
  [11701] = {.lex_state = 164, .external_lex_state = 2},
  [11702] = {.lex_state = 435, .external_lex_state = 2},
  [11703] = {.lex_state = 162, .external_lex_state = 2},
  [11704] = {.lex_state = 162, .external_lex_state = 2},
  [11705] = {.lex_state = 162, .external_lex_state = 2},
  [11706] = {.lex_state = 162, .external_lex_state = 2},
  [11707] = {.lex_state = 162, .external_lex_state = 2},
  [11708] = {.lex_state = 241, .external_lex_state = 2},
  [11709] = {.lex_state = 162, .external_lex_state = 2},
  [11710] = {.lex_state = 164, .external_lex_state = 2},
  [11711] = {.lex_state = 162, .external_lex_state = 2},
  [11712] = {.lex_state = 435, .external_lex_state = 2},
  [11713] = {.lex_state = 162, .external_lex_state = 2},
  [11714] = {.lex_state = 162, .external_lex_state = 2},
  [11715] = {.lex_state = 162, .external_lex_state = 2},
  [11716] = {.lex_state = 164, .external_lex_state = 2},
  [11717] = {.lex_state = 162, .external_lex_state = 2},
  [11718] = {.lex_state = 162, .external_lex_state = 2},
  [11719] = {.lex_state = 162, .external_lex_state = 2},
  [11720] = {.lex_state = 164, .external_lex_state = 2},
  [11721] = {.lex_state = 164, .external_lex_state = 2},
  [11722] = {.lex_state = 162, .external_lex_state = 2},
  [11723] = {.lex_state = 162, .external_lex_state = 2},
  [11724] = {.lex_state = 435, .external_lex_state = 2},
  [11725] = {.lex_state = 164, .external_lex_state = 2},
  [11726] = {.lex_state = 435, .external_lex_state = 2},
  [11727] = {.lex_state = 215, .external_lex_state = 2},
  [11728] = {.lex_state = 164, .external_lex_state = 2},
  [11729] = {.lex_state = 228, .external_lex_state = 2},
  [11730] = {.lex_state = 228, .external_lex_state = 2},
  [11731] = {.lex_state = 164, .external_lex_state = 2},
  [11732] = {.lex_state = 435, .external_lex_state = 2},
  [11733] = {.lex_state = 162, .external_lex_state = 2},
  [11734] = {.lex_state = 228, .external_lex_state = 2},
  [11735] = {.lex_state = 435, .external_lex_state = 2},
  [11736] = {.lex_state = 228, .external_lex_state = 2},
  [11737] = {.lex_state = 162, .external_lex_state = 2},
  [11738] = {.lex_state = 435, .external_lex_state = 2},
  [11739] = {.lex_state = 435, .external_lex_state = 2},
  [11740] = {.lex_state = 435, .external_lex_state = 2},
  [11741] = {.lex_state = 162, .external_lex_state = 2},
  [11742] = {.lex_state = 435, .external_lex_state = 2},
  [11743] = {.lex_state = 435, .external_lex_state = 2},
  [11744] = {.lex_state = 162, .external_lex_state = 2},
  [11745] = {.lex_state = 162, .external_lex_state = 2},
  [11746] = {.lex_state = 162, .external_lex_state = 2},
  [11747] = {.lex_state = 162, .external_lex_state = 2},
  [11748] = {.lex_state = 162, .external_lex_state = 2},
  [11749] = {.lex_state = 162, .external_lex_state = 2},
  [11750] = {.lex_state = 162, .external_lex_state = 2},
  [11751] = {.lex_state = 241, .external_lex_state = 2},
  [11752] = {.lex_state = 162, .external_lex_state = 2},
  [11753] = {.lex_state = 162, .external_lex_state = 2},
  [11754] = {.lex_state = 162, .external_lex_state = 2},
  [11755] = {.lex_state = 162, .external_lex_state = 2},
  [11756] = {.lex_state = 162, .external_lex_state = 2},
  [11757] = {.lex_state = 435, .external_lex_state = 2},
  [11758] = {.lex_state = 162, .external_lex_state = 2},
  [11759] = {.lex_state = 162, .external_lex_state = 2},
  [11760] = {.lex_state = 6, .external_lex_state = 2},
  [11761] = {.lex_state = 158, .external_lex_state = 2},
  [11762] = {.lex_state = 164, .external_lex_state = 2},
  [11763] = {.lex_state = 435, .external_lex_state = 2},
  [11764] = {.lex_state = 435, .external_lex_state = 2},
  [11765] = {.lex_state = 228, .external_lex_state = 2},
  [11766] = {.lex_state = 435, .external_lex_state = 2},
  [11767] = {.lex_state = 435, .external_lex_state = 2},
  [11768] = {.lex_state = 435, .external_lex_state = 2},
  [11769] = {.lex_state = 158, .external_lex_state = 2},
  [11770] = {.lex_state = 158, .external_lex_state = 2},
  [11771] = {.lex_state = 241, .external_lex_state = 2},
  [11772] = {.lex_state = 241, .external_lex_state = 2},
  [11773] = {.lex_state = 158, .external_lex_state = 2},
  [11774] = {.lex_state = 435, .external_lex_state = 2},
  [11775] = {.lex_state = 162, .external_lex_state = 2},
  [11776] = {.lex_state = 162, .external_lex_state = 2},
  [11777] = {.lex_state = 162, .external_lex_state = 2},
  [11778] = {.lex_state = 162, .external_lex_state = 2},
  [11779] = {.lex_state = 162, .external_lex_state = 2},
  [11780] = {.lex_state = 162, .external_lex_state = 2},
  [11781] = {.lex_state = 162, .external_lex_state = 2},
  [11782] = {.lex_state = 162, .external_lex_state = 2},
  [11783] = {.lex_state = 162, .external_lex_state = 2},
  [11784] = {.lex_state = 228, .external_lex_state = 2},
  [11785] = {.lex_state = 162, .external_lex_state = 2},
  [11786] = {.lex_state = 162, .external_lex_state = 2},
  [11787] = {.lex_state = 435, .external_lex_state = 2},
  [11788] = {.lex_state = 228, .external_lex_state = 2},
  [11789] = {.lex_state = 162, .external_lex_state = 2},
  [11790] = {.lex_state = 164, .external_lex_state = 2},
  [11791] = {.lex_state = 162, .external_lex_state = 2},
  [11792] = {.lex_state = 162, .external_lex_state = 2},
  [11793] = {.lex_state = 206, .external_lex_state = 2},
  [11794] = {.lex_state = 435, .external_lex_state = 2},
  [11795] = {.lex_state = 435, .external_lex_state = 2},
  [11796] = {.lex_state = 215, .external_lex_state = 2},
  [11797] = {.lex_state = 435, .external_lex_state = 2},
  [11798] = {.lex_state = 435, .external_lex_state = 2},
  [11799] = {.lex_state = 162, .external_lex_state = 2},
  [11800] = {.lex_state = 162, .external_lex_state = 2},
  [11801] = {.lex_state = 162, .external_lex_state = 2},
  [11802] = {.lex_state = 162, .external_lex_state = 2},
  [11803] = {.lex_state = 435, .external_lex_state = 2},
  [11804] = {.lex_state = 163, .external_lex_state = 2},
  [11805] = {.lex_state = 163, .external_lex_state = 2},
  [11806] = {.lex_state = 164, .external_lex_state = 2},
  [11807] = {.lex_state = 435, .external_lex_state = 2},
  [11808] = {.lex_state = 162, .external_lex_state = 2},
  [11809] = {.lex_state = 164, .external_lex_state = 2},
  [11810] = {.lex_state = 164, .external_lex_state = 2},
  [11811] = {.lex_state = 164, .external_lex_state = 2},
  [11812] = {.lex_state = 435, .external_lex_state = 2},
  [11813] = {.lex_state = 435, .external_lex_state = 2},
  [11814] = {.lex_state = 228, .external_lex_state = 2},
  [11815] = {.lex_state = 162, .external_lex_state = 2},
  [11816] = {.lex_state = 163, .external_lex_state = 2},
  [11817] = {.lex_state = 164, .external_lex_state = 2},
  [11818] = {.lex_state = 164, .external_lex_state = 2},
  [11819] = {.lex_state = 435, .external_lex_state = 2},
  [11820] = {.lex_state = 162, .external_lex_state = 2},
  [11821] = {.lex_state = 162, .external_lex_state = 2},
  [11822] = {.lex_state = 162, .external_lex_state = 2},
  [11823] = {.lex_state = 162, .external_lex_state = 2},
  [11824] = {.lex_state = 162, .external_lex_state = 2},
  [11825] = {.lex_state = 162, .external_lex_state = 2},
  [11826] = {.lex_state = 162, .external_lex_state = 2},
  [11827] = {.lex_state = 435, .external_lex_state = 2},
  [11828] = {.lex_state = 162, .external_lex_state = 2},
  [11829] = {.lex_state = 162, .external_lex_state = 2},
  [11830] = {.lex_state = 216, .external_lex_state = 2},
  [11831] = {.lex_state = 162, .external_lex_state = 2},
  [11832] = {.lex_state = 162, .external_lex_state = 2},
  [11833] = {.lex_state = 435, .external_lex_state = 2},
  [11834] = {.lex_state = 162, .external_lex_state = 2},
  [11835] = {.lex_state = 435, .external_lex_state = 2},
  [11836] = {.lex_state = 435, .external_lex_state = 2},
  [11837] = {.lex_state = 435, .external_lex_state = 2},
  [11838] = {.lex_state = 435, .external_lex_state = 2},
  [11839] = {.lex_state = 435, .external_lex_state = 2},
  [11840] = {.lex_state = 435, .external_lex_state = 2},
  [11841] = {.lex_state = 216, .external_lex_state = 2},
  [11842] = {.lex_state = 162, .external_lex_state = 2},
  [11843] = {.lex_state = 435, .external_lex_state = 2},
  [11844] = {.lex_state = 164, .external_lex_state = 2},
  [11845] = {.lex_state = 164, .external_lex_state = 2},
  [11846] = {.lex_state = 158, .external_lex_state = 2},
  [11847] = {.lex_state = 435, .external_lex_state = 2},
  [11848] = {.lex_state = 435, .external_lex_state = 2},
  [11849] = {.lex_state = 228, .external_lex_state = 2},
  [11850] = {.lex_state = 435, .external_lex_state = 2},
  [11851] = {.lex_state = 435, .external_lex_state = 2},
  [11852] = {.lex_state = 158, .external_lex_state = 2},
  [11853] = {.lex_state = 435, .external_lex_state = 2},
  [11854] = {.lex_state = 435, .external_lex_state = 2},
  [11855] = {.lex_state = 435, .external_lex_state = 2},
  [11856] = {.lex_state = 228, .external_lex_state = 2},
  [11857] = {.lex_state = 435, .external_lex_state = 2},
  [11858] = {.lex_state = 164, .external_lex_state = 2},
  [11859] = {.lex_state = 435, .external_lex_state = 2},
  [11860] = {.lex_state = 435, .external_lex_state = 2},
  [11861] = {.lex_state = 164, .external_lex_state = 2},
  [11862] = {.lex_state = 228, .external_lex_state = 2},
  [11863] = {.lex_state = 6, .external_lex_state = 2},
  [11864] = {.lex_state = 435, .external_lex_state = 2},
  [11865] = {.lex_state = 216, .external_lex_state = 2},
  [11866] = {.lex_state = 435, .external_lex_state = 2},
  [11867] = {.lex_state = 241, .external_lex_state = 2},
  [11868] = {.lex_state = 435, .external_lex_state = 2},
  [11869] = {.lex_state = 435, .external_lex_state = 2},
  [11870] = {.lex_state = 241, .external_lex_state = 2},
  [11871] = {.lex_state = 435, .external_lex_state = 2},
  [11872] = {.lex_state = 163, .external_lex_state = 2},
  [11873] = {.lex_state = 163, .external_lex_state = 2},
  [11874] = {.lex_state = 6, .external_lex_state = 2},
  [11875] = {.lex_state = 228, .external_lex_state = 2},
  [11876] = {.lex_state = 435, .external_lex_state = 2},
  [11877] = {.lex_state = 216, .external_lex_state = 2},
  [11878] = {.lex_state = 228, .external_lex_state = 2},
  [11879] = {.lex_state = 6, .external_lex_state = 2},
  [11880] = {.lex_state = 228, .external_lex_state = 2},
  [11881] = {.lex_state = 435, .external_lex_state = 2},
  [11882] = {.lex_state = 228, .external_lex_state = 2},
  [11883] = {.lex_state = 228, .external_lex_state = 2},
  [11884] = {.lex_state = 228, .external_lex_state = 2},
  [11885] = {.lex_state = 163, .external_lex_state = 2},
  [11886] = {.lex_state = 164, .external_lex_state = 2},
  [11887] = {.lex_state = 228, .external_lex_state = 2},
  [11888] = {.lex_state = 241, .external_lex_state = 2},
  [11889] = {.lex_state = 228, .external_lex_state = 2},
  [11890] = {.lex_state = 206, .external_lex_state = 2},
  [11891] = {.lex_state = 206, .external_lex_state = 2},
  [11892] = {.lex_state = 158, .external_lex_state = 2},
  [11893] = {.lex_state = 228, .external_lex_state = 2},
  [11894] = {.lex_state = 228, .external_lex_state = 2},
  [11895] = {.lex_state = 435, .external_lex_state = 2},
  [11896] = {.lex_state = 435, .external_lex_state = 2},
  [11897] = {.lex_state = 206, .external_lex_state = 2},
  [11898] = {.lex_state = 435, .external_lex_state = 2},
  [11899] = {.lex_state = 228, .external_lex_state = 2},
  [11900] = {.lex_state = 162, .external_lex_state = 2},
  [11901] = {.lex_state = 162, .external_lex_state = 2},
  [11902] = {.lex_state = 162, .external_lex_state = 2},
  [11903] = {.lex_state = 162, .external_lex_state = 2},
  [11904] = {.lex_state = 162, .external_lex_state = 2},
  [11905] = {.lex_state = 162, .external_lex_state = 2},
  [11906] = {.lex_state = 162, .external_lex_state = 2},
  [11907] = {.lex_state = 162, .external_lex_state = 2},
  [11908] = {.lex_state = 435, .external_lex_state = 2},
  [11909] = {.lex_state = 228, .external_lex_state = 2},
  [11910] = {.lex_state = 228, .external_lex_state = 2},
  [11911] = {.lex_state = 228, .external_lex_state = 2},
  [11912] = {.lex_state = 435, .external_lex_state = 2},
  [11913] = {.lex_state = 162, .external_lex_state = 2},
  [11914] = {.lex_state = 435, .external_lex_state = 2},
  [11915] = {.lex_state = 162, .external_lex_state = 2},
  [11916] = {.lex_state = 435, .external_lex_state = 2},
  [11917] = {.lex_state = 162, .external_lex_state = 2},
  [11918] = {.lex_state = 162, .external_lex_state = 2},
  [11919] = {.lex_state = 162, .external_lex_state = 2},
  [11920] = {.lex_state = 228, .external_lex_state = 2},
  [11921] = {.lex_state = 164, .external_lex_state = 2},
  [11922] = {.lex_state = 162, .external_lex_state = 2},
  [11923] = {.lex_state = 435, .external_lex_state = 2},
  [11924] = {.lex_state = 158, .external_lex_state = 2},
  [11925] = {.lex_state = 228, .external_lex_state = 2},
  [11926] = {.lex_state = 435, .external_lex_state = 2},
  [11927] = {.lex_state = 435, .external_lex_state = 2},
  [11928] = {.lex_state = 435, .external_lex_state = 2},
  [11929] = {.lex_state = 164, .external_lex_state = 2},
  [11930] = {.lex_state = 164, .external_lex_state = 2},
  [11931] = {.lex_state = 435, .external_lex_state = 2},
  [11932] = {.lex_state = 435, .external_lex_state = 2},
  [11933] = {.lex_state = 164, .external_lex_state = 2},
  [11934] = {.lex_state = 435, .external_lex_state = 2},
  [11935] = {.lex_state = 164, .external_lex_state = 2},
  [11936] = {.lex_state = 164, .external_lex_state = 2},
  [11937] = {.lex_state = 435, .external_lex_state = 2},
  [11938] = {.lex_state = 163, .external_lex_state = 2},
  [11939] = {.lex_state = 164, .external_lex_state = 2},
  [11940] = {.lex_state = 164, .external_lex_state = 2},
  [11941] = {.lex_state = 164, .external_lex_state = 2},
  [11942] = {.lex_state = 164, .external_lex_state = 2},
  [11943] = {.lex_state = 162, .external_lex_state = 2},
  [11944] = {.lex_state = 162, .external_lex_state = 2},
  [11945] = {.lex_state = 162, .external_lex_state = 2},
  [11946] = {.lex_state = 164, .external_lex_state = 2},
  [11947] = {.lex_state = 164, .external_lex_state = 2},
  [11948] = {.lex_state = 162, .external_lex_state = 2},
  [11949] = {.lex_state = 162, .external_lex_state = 2},
  [11950] = {.lex_state = 163, .external_lex_state = 2},
  [11951] = {.lex_state = 435, .external_lex_state = 2},
  [11952] = {.lex_state = 435, .external_lex_state = 2},
  [11953] = {.lex_state = 163, .external_lex_state = 2},
  [11954] = {.lex_state = 163, .external_lex_state = 2},
  [11955] = {.lex_state = 163, .external_lex_state = 2},
  [11956] = {.lex_state = 162, .external_lex_state = 2},
  [11957] = {.lex_state = 163, .external_lex_state = 2},
  [11958] = {.lex_state = 163, .external_lex_state = 2},
  [11959] = {.lex_state = 435, .external_lex_state = 2},
  [11960] = {.lex_state = 164, .external_lex_state = 2},
  [11961] = {.lex_state = 435, .external_lex_state = 2},
  [11962] = {.lex_state = 164, .external_lex_state = 2},
  [11963] = {.lex_state = 164, .external_lex_state = 2},
  [11964] = {.lex_state = 164, .external_lex_state = 2},
  [11965] = {.lex_state = 164, .external_lex_state = 2},
  [11966] = {.lex_state = 164, .external_lex_state = 2},
  [11967] = {.lex_state = 162, .external_lex_state = 2},
  [11968] = {.lex_state = 228, .external_lex_state = 2},
  [11969] = {.lex_state = 228, .external_lex_state = 2},
  [11970] = {.lex_state = 435, .external_lex_state = 2},
  [11971] = {.lex_state = 435, .external_lex_state = 2},
  [11972] = {.lex_state = 158, .external_lex_state = 2},
  [11973] = {.lex_state = 435, .external_lex_state = 2},
  [11974] = {.lex_state = 228, .external_lex_state = 2},
  [11975] = {.lex_state = 215, .external_lex_state = 2},
  [11976] = {.lex_state = 435, .external_lex_state = 2},
  [11977] = {.lex_state = 215, .external_lex_state = 2},
  [11978] = {.lex_state = 435, .external_lex_state = 2},
  [11979] = {.lex_state = 435, .external_lex_state = 2},
  [11980] = {.lex_state = 163, .external_lex_state = 2},
  [11981] = {.lex_state = 241, .external_lex_state = 2},
  [11982] = {.lex_state = 163, .external_lex_state = 2},
  [11983] = {.lex_state = 228, .external_lex_state = 2},
  [11984] = {.lex_state = 163, .external_lex_state = 2},
  [11985] = {.lex_state = 228, .external_lex_state = 2},
  [11986] = {.lex_state = 163, .external_lex_state = 2},
  [11987] = {.lex_state = 435, .external_lex_state = 2},
  [11988] = {.lex_state = 228, .external_lex_state = 2},
  [11989] = {.lex_state = 228, .external_lex_state = 2},
  [11990] = {.lex_state = 163, .external_lex_state = 2},
  [11991] = {.lex_state = 163, .external_lex_state = 2},
  [11992] = {.lex_state = 158, .external_lex_state = 2},
  [11993] = {.lex_state = 162, .external_lex_state = 2},
  [11994] = {.lex_state = 162, .external_lex_state = 2},
  [11995] = {.lex_state = 162, .external_lex_state = 2},
  [11996] = {.lex_state = 162, .external_lex_state = 2},
  [11997] = {.lex_state = 162, .external_lex_state = 2},
  [11998] = {.lex_state = 163, .external_lex_state = 2},
  [11999] = {.lex_state = 163, .external_lex_state = 2},
  [12000] = {.lex_state = 163, .external_lex_state = 2},
  [12001] = {.lex_state = 163, .external_lex_state = 2},
  [12002] = {.lex_state = 163, .external_lex_state = 2},
  [12003] = {.lex_state = 163, .external_lex_state = 2},
  [12004] = {.lex_state = 228, .external_lex_state = 2},
  [12005] = {.lex_state = 228, .external_lex_state = 2},
  [12006] = {.lex_state = 435, .external_lex_state = 2},
  [12007] = {.lex_state = 228, .external_lex_state = 2},
  [12008] = {.lex_state = 228, .external_lex_state = 2},
  [12009] = {.lex_state = 435, .external_lex_state = 2},
  [12010] = {.lex_state = 158, .external_lex_state = 2},
  [12011] = {.lex_state = 435, .external_lex_state = 2},
  [12012] = {.lex_state = 163, .external_lex_state = 2},
  [12013] = {.lex_state = 228, .external_lex_state = 2},
  [12014] = {.lex_state = 435, .external_lex_state = 2},
  [12015] = {.lex_state = 228, .external_lex_state = 2},
  [12016] = {.lex_state = 228, .external_lex_state = 2},
  [12017] = {.lex_state = 228, .external_lex_state = 2},
  [12018] = {.lex_state = 228, .external_lex_state = 2},
  [12019] = {.lex_state = 228, .external_lex_state = 2},
  [12020] = {.lex_state = 162, .external_lex_state = 2},
  [12021] = {.lex_state = 163, .external_lex_state = 2},
  [12022] = {.lex_state = 202, .external_lex_state = 5},
  [12023] = {.lex_state = 215, .external_lex_state = 2},
  [12024] = {.lex_state = 215, .external_lex_state = 2},
  [12025] = {.lex_state = 164, .external_lex_state = 2},
  [12026] = {.lex_state = 162, .external_lex_state = 2},
  [12027] = {.lex_state = 228, .external_lex_state = 2},
  [12028] = {.lex_state = 158, .external_lex_state = 2},
  [12029] = {.lex_state = 158, .external_lex_state = 2},
  [12030] = {.lex_state = 257, .external_lex_state = 2},
  [12031] = {.lex_state = 202, .external_lex_state = 5},
  [12032] = {.lex_state = 164, .external_lex_state = 2},
  [12033] = {.lex_state = 163, .external_lex_state = 2},
  [12034] = {.lex_state = 162, .external_lex_state = 2},
  [12035] = {.lex_state = 164, .external_lex_state = 2},
  [12036] = {.lex_state = 163, .external_lex_state = 2},
  [12037] = {.lex_state = 164, .external_lex_state = 2},
  [12038] = {.lex_state = 164, .external_lex_state = 2},
  [12039] = {.lex_state = 160, .external_lex_state = 2},
  [12040] = {.lex_state = 202, .external_lex_state = 5},
  [12041] = {.lex_state = 164, .external_lex_state = 2},
  [12042] = {.lex_state = 202, .external_lex_state = 5},
  [12043] = {.lex_state = 163, .external_lex_state = 2},
  [12044] = {.lex_state = 163, .external_lex_state = 2},
  [12045] = {.lex_state = 164, .external_lex_state = 2},
  [12046] = {.lex_state = 163, .external_lex_state = 2},
  [12047] = {.lex_state = 164, .external_lex_state = 2},
  [12048] = {.lex_state = 206, .external_lex_state = 2},
  [12049] = {.lex_state = 163, .external_lex_state = 2},
  [12050] = {.lex_state = 163, .external_lex_state = 2},
  [12051] = {.lex_state = 162, .external_lex_state = 2},
  [12052] = {.lex_state = 163, .external_lex_state = 2},
  [12053] = {.lex_state = 163, .external_lex_state = 2},
  [12054] = {.lex_state = 163, .external_lex_state = 2},
  [12055] = {.lex_state = 162, .external_lex_state = 2},
  [12056] = {.lex_state = 158, .external_lex_state = 2},
  [12057] = {.lex_state = 163, .external_lex_state = 2},
  [12058] = {.lex_state = 163, .external_lex_state = 2},
  [12059] = {.lex_state = 163, .external_lex_state = 2},
  [12060] = {.lex_state = 158, .external_lex_state = 2},
  [12061] = {.lex_state = 163, .external_lex_state = 2},
  [12062] = {.lex_state = 163, .external_lex_state = 2},
  [12063] = {.lex_state = 163, .external_lex_state = 2},
  [12064] = {.lex_state = 163, .external_lex_state = 2},
  [12065] = {.lex_state = 163, .external_lex_state = 2},
  [12066] = {.lex_state = 163, .external_lex_state = 2},
  [12067] = {.lex_state = 163, .external_lex_state = 2},
  [12068] = {.lex_state = 164, .external_lex_state = 2},
  [12069] = {.lex_state = 164, .external_lex_state = 2},
  [12070] = {.lex_state = 163, .external_lex_state = 2},
  [12071] = {.lex_state = 228, .external_lex_state = 2},
  [12072] = {.lex_state = 163, .external_lex_state = 2},
  [12073] = {.lex_state = 163, .external_lex_state = 2},
  [12074] = {.lex_state = 158, .external_lex_state = 2},
  [12075] = {.lex_state = 163, .external_lex_state = 2},
  [12076] = {.lex_state = 202, .external_lex_state = 5},
  [12077] = {.lex_state = 202, .external_lex_state = 5},
  [12078] = {.lex_state = 163, .external_lex_state = 2},
  [12079] = {.lex_state = 163, .external_lex_state = 2},
  [12080] = {.lex_state = 202, .external_lex_state = 5},
  [12081] = {.lex_state = 163, .external_lex_state = 2},
  [12082] = {.lex_state = 163, .external_lex_state = 2},
  [12083] = {.lex_state = 163, .external_lex_state = 2},
  [12084] = {.lex_state = 163, .external_lex_state = 2},
  [12085] = {.lex_state = 163, .external_lex_state = 2},
  [12086] = {.lex_state = 158, .external_lex_state = 2},
  [12087] = {.lex_state = 202, .external_lex_state = 5},
  [12088] = {.lex_state = 163, .external_lex_state = 2},
  [12089] = {.lex_state = 162, .external_lex_state = 2},
  [12090] = {.lex_state = 163, .external_lex_state = 2},
  [12091] = {.lex_state = 158, .external_lex_state = 2},
  [12092] = {.lex_state = 164, .external_lex_state = 2},
  [12093] = {.lex_state = 163, .external_lex_state = 2},
  [12094] = {.lex_state = 257, .external_lex_state = 2},
  [12095] = {.lex_state = 202, .external_lex_state = 5},
  [12096] = {.lex_state = 163, .external_lex_state = 2},
  [12097] = {.lex_state = 202, .external_lex_state = 5},
  [12098] = {.lex_state = 160, .external_lex_state = 2},
  [12099] = {.lex_state = 162, .external_lex_state = 2},
  [12100] = {.lex_state = 163, .external_lex_state = 2},
  [12101] = {.lex_state = 163, .external_lex_state = 2},
  [12102] = {.lex_state = 164, .external_lex_state = 2},
  [12103] = {.lex_state = 158, .external_lex_state = 2},
  [12104] = {.lex_state = 202, .external_lex_state = 5},
  [12105] = {.lex_state = 158, .external_lex_state = 2},
  [12106] = {.lex_state = 163, .external_lex_state = 2},
  [12107] = {.lex_state = 202, .external_lex_state = 5},
  [12108] = {.lex_state = 202, .external_lex_state = 5},
  [12109] = {.lex_state = 202, .external_lex_state = 5},
  [12110] = {.lex_state = 202, .external_lex_state = 5},
  [12111] = {.lex_state = 163, .external_lex_state = 2},
  [12112] = {.lex_state = 202, .external_lex_state = 5},
  [12113] = {.lex_state = 202, .external_lex_state = 5},
  [12114] = {.lex_state = 202, .external_lex_state = 5},
  [12115] = {.lex_state = 202, .external_lex_state = 5},
  [12116] = {.lex_state = 163, .external_lex_state = 2},
  [12117] = {.lex_state = 202, .external_lex_state = 5},
  [12118] = {.lex_state = 163, .external_lex_state = 2},
  [12119] = {.lex_state = 202, .external_lex_state = 5},
  [12120] = {.lex_state = 163, .external_lex_state = 2},
  [12121] = {.lex_state = 163, .external_lex_state = 2},
  [12122] = {.lex_state = 202, .external_lex_state = 5},
  [12123] = {.lex_state = 202, .external_lex_state = 5},
  [12124] = {.lex_state = 228, .external_lex_state = 2},
  [12125] = {.lex_state = 202, .external_lex_state = 5},
  [12126] = {.lex_state = 202, .external_lex_state = 5},
  [12127] = {.lex_state = 202, .external_lex_state = 5},
  [12128] = {.lex_state = 163, .external_lex_state = 2},
  [12129] = {.lex_state = 163, .external_lex_state = 2},
  [12130] = {.lex_state = 202, .external_lex_state = 5},
  [12131] = {.lex_state = 158, .external_lex_state = 2},
  [12132] = {.lex_state = 163, .external_lex_state = 2},
  [12133] = {.lex_state = 162, .external_lex_state = 2},
  [12134] = {.lex_state = 202, .external_lex_state = 5},
  [12135] = {.lex_state = 163, .external_lex_state = 2},
  [12136] = {.lex_state = 202, .external_lex_state = 5},
  [12137] = {.lex_state = 163, .external_lex_state = 2},
  [12138] = {.lex_state = 163, .external_lex_state = 2},
  [12139] = {.lex_state = 202, .external_lex_state = 5},
  [12140] = {.lex_state = 163, .external_lex_state = 2},
  [12141] = {.lex_state = 163, .external_lex_state = 2},
  [12142] = {.lex_state = 163, .external_lex_state = 2},
  [12143] = {.lex_state = 163, .external_lex_state = 2},
  [12144] = {.lex_state = 163, .external_lex_state = 2},
  [12145] = {.lex_state = 163, .external_lex_state = 2},
  [12146] = {.lex_state = 163, .external_lex_state = 2},
  [12147] = {.lex_state = 163, .external_lex_state = 2},
  [12148] = {.lex_state = 163, .external_lex_state = 2},
  [12149] = {.lex_state = 163, .external_lex_state = 2},
  [12150] = {.lex_state = 163, .external_lex_state = 2},
  [12151] = {.lex_state = 163, .external_lex_state = 2},
  [12152] = {.lex_state = 163, .external_lex_state = 2},
  [12153] = {.lex_state = 163, .external_lex_state = 2},
  [12154] = {.lex_state = 163, .external_lex_state = 2},
  [12155] = {.lex_state = 163, .external_lex_state = 2},
  [12156] = {.lex_state = 163, .external_lex_state = 2},
  [12157] = {.lex_state = 163, .external_lex_state = 2},
  [12158] = {.lex_state = 162, .external_lex_state = 2},
  [12159] = {.lex_state = 163, .external_lex_state = 2},
  [12160] = {.lex_state = 163, .external_lex_state = 2},
  [12161] = {.lex_state = 163, .external_lex_state = 2},
  [12162] = {.lex_state = 158, .external_lex_state = 2},
  [12163] = {.lex_state = 163, .external_lex_state = 2},
  [12164] = {.lex_state = 162, .external_lex_state = 2},
  [12165] = {.lex_state = 162, .external_lex_state = 2},
  [12166] = {.lex_state = 162, .external_lex_state = 2},
  [12167] = {.lex_state = 163, .external_lex_state = 2},
  [12168] = {.lex_state = 163, .external_lex_state = 2},
  [12169] = {.lex_state = 163, .external_lex_state = 2},
  [12170] = {.lex_state = 202, .external_lex_state = 5},
  [12171] = {.lex_state = 162, .external_lex_state = 2},
  [12172] = {.lex_state = 162, .external_lex_state = 2},
  [12173] = {.lex_state = 162, .external_lex_state = 2},
  [12174] = {.lex_state = 163, .external_lex_state = 2},
  [12175] = {.lex_state = 163, .external_lex_state = 2},
  [12176] = {.lex_state = 202, .external_lex_state = 5},
  [12177] = {.lex_state = 162, .external_lex_state = 2},
  [12178] = {.lex_state = 202, .external_lex_state = 5},
  [12179] = {.lex_state = 162, .external_lex_state = 2},
  [12180] = {.lex_state = 163, .external_lex_state = 2},
  [12181] = {.lex_state = 162, .external_lex_state = 2},
  [12182] = {.lex_state = 162, .external_lex_state = 2},
  [12183] = {.lex_state = 162, .external_lex_state = 2},
  [12184] = {.lex_state = 162, .external_lex_state = 2},
  [12185] = {.lex_state = 162, .external_lex_state = 2},
  [12186] = {.lex_state = 163, .external_lex_state = 2},
  [12187] = {.lex_state = 163, .external_lex_state = 2},
  [12188] = {.lex_state = 158, .external_lex_state = 2},
  [12189] = {.lex_state = 163, .external_lex_state = 2},
  [12190] = {.lex_state = 163, .external_lex_state = 2},
  [12191] = {.lex_state = 163, .external_lex_state = 2},
  [12192] = {.lex_state = 162, .external_lex_state = 2},
  [12193] = {.lex_state = 215, .external_lex_state = 2},
  [12194] = {.lex_state = 240, .external_lex_state = 2},
  [12195] = {.lex_state = 162, .external_lex_state = 2},
  [12196] = {.lex_state = 206, .external_lex_state = 2},
  [12197] = {.lex_state = 202, .external_lex_state = 5},
  [12198] = {.lex_state = 163, .external_lex_state = 2},
  [12199] = {.lex_state = 162, .external_lex_state = 2},
  [12200] = {.lex_state = 163, .external_lex_state = 2},
  [12201] = {.lex_state = 163, .external_lex_state = 2},
  [12202] = {.lex_state = 163, .external_lex_state = 2},
  [12203] = {.lex_state = 163, .external_lex_state = 2},
  [12204] = {.lex_state = 163, .external_lex_state = 2},
  [12205] = {.lex_state = 163, .external_lex_state = 2},
  [12206] = {.lex_state = 202, .external_lex_state = 5},
  [12207] = {.lex_state = 202, .external_lex_state = 5},
  [12208] = {.lex_state = 163, .external_lex_state = 2},
  [12209] = {.lex_state = 158, .external_lex_state = 2},
  [12210] = {.lex_state = 158, .external_lex_state = 2},
  [12211] = {.lex_state = 163, .external_lex_state = 2},
  [12212] = {.lex_state = 162, .external_lex_state = 2},
  [12213] = {.lex_state = 162, .external_lex_state = 2},
  [12214] = {.lex_state = 163, .external_lex_state = 2},
  [12215] = {.lex_state = 163, .external_lex_state = 2},
  [12216] = {.lex_state = 162, .external_lex_state = 2},
  [12217] = {.lex_state = 162, .external_lex_state = 2},
  [12218] = {.lex_state = 202, .external_lex_state = 5},
  [12219] = {.lex_state = 163, .external_lex_state = 2},
  [12220] = {.lex_state = 163, .external_lex_state = 2},
  [12221] = {.lex_state = 163, .external_lex_state = 2},
  [12222] = {.lex_state = 206, .external_lex_state = 2},
  [12223] = {.lex_state = 158, .external_lex_state = 2},
  [12224] = {.lex_state = 228, .external_lex_state = 2},
  [12225] = {.lex_state = 163, .external_lex_state = 2},
  [12226] = {.lex_state = 158, .external_lex_state = 2},
  [12227] = {.lex_state = 202, .external_lex_state = 5},
  [12228] = {.lex_state = 163, .external_lex_state = 2},
  [12229] = {.lex_state = 163, .external_lex_state = 2},
  [12230] = {.lex_state = 163, .external_lex_state = 2},
  [12231] = {.lex_state = 202, .external_lex_state = 5},
  [12232] = {.lex_state = 162, .external_lex_state = 2},
  [12233] = {.lex_state = 162, .external_lex_state = 2},
  [12234] = {.lex_state = 163, .external_lex_state = 2},
  [12235] = {.lex_state = 163, .external_lex_state = 2},
  [12236] = {.lex_state = 163, .external_lex_state = 2},
  [12237] = {.lex_state = 163, .external_lex_state = 2},
  [12238] = {.lex_state = 163, .external_lex_state = 2},
  [12239] = {.lex_state = 163, .external_lex_state = 2},
  [12240] = {.lex_state = 163, .external_lex_state = 2},
  [12241] = {.lex_state = 163, .external_lex_state = 2},
  [12242] = {.lex_state = 163, .external_lex_state = 2},
  [12243] = {.lex_state = 163, .external_lex_state = 2},
  [12244] = {.lex_state = 163, .external_lex_state = 2},
  [12245] = {.lex_state = 162, .external_lex_state = 2},
  [12246] = {.lex_state = 163, .external_lex_state = 2},
  [12247] = {.lex_state = 162, .external_lex_state = 2},
  [12248] = {.lex_state = 163, .external_lex_state = 2},
  [12249] = {.lex_state = 162, .external_lex_state = 2},
  [12250] = {.lex_state = 162, .external_lex_state = 2},
  [12251] = {.lex_state = 163, .external_lex_state = 2},
  [12252] = {.lex_state = 163, .external_lex_state = 2},
  [12253] = {.lex_state = 162, .external_lex_state = 2},
  [12254] = {.lex_state = 163, .external_lex_state = 2},
  [12255] = {.lex_state = 163, .external_lex_state = 2},
  [12256] = {.lex_state = 163, .external_lex_state = 2},
  [12257] = {.lex_state = 163, .external_lex_state = 2},
  [12258] = {.lex_state = 162, .external_lex_state = 2},
  [12259] = {.lex_state = 202, .external_lex_state = 5},
  [12260] = {.lex_state = 163, .external_lex_state = 2},
  [12261] = {.lex_state = 164, .external_lex_state = 2},
  [12262] = {.lex_state = 163, .external_lex_state = 2},
  [12263] = {.lex_state = 162, .external_lex_state = 2},
  [12264] = {.lex_state = 163, .external_lex_state = 2},
  [12265] = {.lex_state = 162, .external_lex_state = 2},
  [12266] = {.lex_state = 162, .external_lex_state = 2},
  [12267] = {.lex_state = 163, .external_lex_state = 2},
  [12268] = {.lex_state = 162, .external_lex_state = 2},
  [12269] = {.lex_state = 163, .external_lex_state = 2},
  [12270] = {.lex_state = 163, .external_lex_state = 2},
  [12271] = {.lex_state = 163, .external_lex_state = 2},
  [12272] = {.lex_state = 163, .external_lex_state = 2},
  [12273] = {.lex_state = 202, .external_lex_state = 5},
  [12274] = {.lex_state = 257, .external_lex_state = 2},
  [12275] = {.lex_state = 163, .external_lex_state = 2},
  [12276] = {.lex_state = 162, .external_lex_state = 2},
  [12277] = {.lex_state = 206, .external_lex_state = 2},
  [12278] = {.lex_state = 162, .external_lex_state = 2},
  [12279] = {.lex_state = 162, .external_lex_state = 2},
  [12280] = {.lex_state = 162, .external_lex_state = 2},
  [12281] = {.lex_state = 163, .external_lex_state = 2},
  [12282] = {.lex_state = 162, .external_lex_state = 2},
  [12283] = {.lex_state = 202, .external_lex_state = 5},
  [12284] = {.lex_state = 162, .external_lex_state = 2},
  [12285] = {.lex_state = 162, .external_lex_state = 2},
  [12286] = {.lex_state = 162, .external_lex_state = 2},
  [12287] = {.lex_state = 163, .external_lex_state = 2},
  [12288] = {.lex_state = 163, .external_lex_state = 2},
  [12289] = {.lex_state = 162, .external_lex_state = 2},
  [12290] = {.lex_state = 162, .external_lex_state = 2},
  [12291] = {.lex_state = 158, .external_lex_state = 2},
  [12292] = {.lex_state = 163, .external_lex_state = 2},
  [12293] = {.lex_state = 163, .external_lex_state = 2},
  [12294] = {.lex_state = 162, .external_lex_state = 2},
  [12295] = {.lex_state = 202, .external_lex_state = 5},
  [12296] = {.lex_state = 162, .external_lex_state = 2},
  [12297] = {.lex_state = 162, .external_lex_state = 2},
  [12298] = {.lex_state = 163, .external_lex_state = 2},
  [12299] = {.lex_state = 202, .external_lex_state = 5},
  [12300] = {.lex_state = 163, .external_lex_state = 2},
  [12301] = {.lex_state = 202, .external_lex_state = 5},
  [12302] = {.lex_state = 164, .external_lex_state = 2},
  [12303] = {.lex_state = 163, .external_lex_state = 2},
  [12304] = {.lex_state = 163, .external_lex_state = 2},
  [12305] = {.lex_state = 163, .external_lex_state = 2},
  [12306] = {.lex_state = 163, .external_lex_state = 2},
  [12307] = {.lex_state = 163, .external_lex_state = 2},
  [12308] = {.lex_state = 163, .external_lex_state = 2},
  [12309] = {.lex_state = 162, .external_lex_state = 2},
  [12310] = {.lex_state = 162, .external_lex_state = 2},
  [12311] = {.lex_state = 162, .external_lex_state = 2},
  [12312] = {.lex_state = 163, .external_lex_state = 2},
  [12313] = {.lex_state = 162, .external_lex_state = 2},
  [12314] = {.lex_state = 163, .external_lex_state = 2},
  [12315] = {.lex_state = 163, .external_lex_state = 2},
  [12316] = {.lex_state = 163, .external_lex_state = 2},
  [12317] = {.lex_state = 163, .external_lex_state = 2},
  [12318] = {.lex_state = 163, .external_lex_state = 2},
  [12319] = {.lex_state = 162, .external_lex_state = 2},
  [12320] = {.lex_state = 202, .external_lex_state = 5},
  [12321] = {.lex_state = 162, .external_lex_state = 2},
  [12322] = {.lex_state = 164, .external_lex_state = 2},
  [12323] = {.lex_state = 162, .external_lex_state = 2},
  [12324] = {.lex_state = 162, .external_lex_state = 2},
  [12325] = {.lex_state = 228, .external_lex_state = 2},
  [12326] = {.lex_state = 162, .external_lex_state = 2},
  [12327] = {.lex_state = 162, .external_lex_state = 2},
  [12328] = {.lex_state = 162, .external_lex_state = 2},
  [12329] = {.lex_state = 163, .external_lex_state = 2},
  [12330] = {.lex_state = 162, .external_lex_state = 2},
  [12331] = {.lex_state = 228, .external_lex_state = 2},
  [12332] = {.lex_state = 162, .external_lex_state = 2},
  [12333] = {.lex_state = 162, .external_lex_state = 2},
  [12334] = {.lex_state = 202, .external_lex_state = 5},
  [12335] = {.lex_state = 202, .external_lex_state = 5},
  [12336] = {.lex_state = 163, .external_lex_state = 2},
  [12337] = {.lex_state = 164, .external_lex_state = 2},
  [12338] = {.lex_state = 202, .external_lex_state = 5},
  [12339] = {.lex_state = 163, .external_lex_state = 2},
  [12340] = {.lex_state = 202, .external_lex_state = 5},
  [12341] = {.lex_state = 240, .external_lex_state = 2},
  [12342] = {.lex_state = 163, .external_lex_state = 2},
  [12343] = {.lex_state = 163, .external_lex_state = 2},
  [12344] = {.lex_state = 163, .external_lex_state = 2},
  [12345] = {.lex_state = 162, .external_lex_state = 2},
  [12346] = {.lex_state = 163, .external_lex_state = 2},
  [12347] = {.lex_state = 163, .external_lex_state = 2},
  [12348] = {.lex_state = 162, .external_lex_state = 2},
  [12349] = {.lex_state = 162, .external_lex_state = 2},
  [12350] = {.lex_state = 162, .external_lex_state = 2},
  [12351] = {.lex_state = 163, .external_lex_state = 2},
  [12352] = {.lex_state = 163, .external_lex_state = 2},
  [12353] = {.lex_state = 163, .external_lex_state = 2},
  [12354] = {.lex_state = 163, .external_lex_state = 2},
  [12355] = {.lex_state = 163, .external_lex_state = 2},
  [12356] = {.lex_state = 163, .external_lex_state = 2},
  [12357] = {.lex_state = 163, .external_lex_state = 2},
  [12358] = {.lex_state = 162, .external_lex_state = 2},
  [12359] = {.lex_state = 158, .external_lex_state = 2},
  [12360] = {.lex_state = 162, .external_lex_state = 2},
  [12361] = {.lex_state = 164, .external_lex_state = 2},
  [12362] = {.lex_state = 162, .external_lex_state = 2},
  [12363] = {.lex_state = 163, .external_lex_state = 2},
  [12364] = {.lex_state = 202, .external_lex_state = 5},
  [12365] = {.lex_state = 162, .external_lex_state = 2},
  [12366] = {.lex_state = 202, .external_lex_state = 5},
  [12367] = {.lex_state = 228, .external_lex_state = 2},
  [12368] = {.lex_state = 163, .external_lex_state = 2},
  [12369] = {.lex_state = 164, .external_lex_state = 2},
  [12370] = {.lex_state = 164, .external_lex_state = 2},
  [12371] = {.lex_state = 163, .external_lex_state = 2},
  [12372] = {.lex_state = 163, .external_lex_state = 2},
  [12373] = {.lex_state = 216, .external_lex_state = 2},
  [12374] = {.lex_state = 163, .external_lex_state = 2},
  [12375] = {.lex_state = 163, .external_lex_state = 2},
  [12376] = {.lex_state = 202, .external_lex_state = 5},
  [12377] = {.lex_state = 163, .external_lex_state = 2},
  [12378] = {.lex_state = 163, .external_lex_state = 2},
  [12379] = {.lex_state = 163, .external_lex_state = 2},
  [12380] = {.lex_state = 163, .external_lex_state = 2},
  [12381] = {.lex_state = 202, .external_lex_state = 5},
  [12382] = {.lex_state = 202, .external_lex_state = 5},
  [12383] = {.lex_state = 158, .external_lex_state = 2},
  [12384] = {.lex_state = 163, .external_lex_state = 2},
  [12385] = {.lex_state = 163, .external_lex_state = 2},
  [12386] = {.lex_state = 163, .external_lex_state = 2},
  [12387] = {.lex_state = 163, .external_lex_state = 2},
  [12388] = {.lex_state = 202, .external_lex_state = 5},
  [12389] = {.lex_state = 163, .external_lex_state = 2},
  [12390] = {.lex_state = 163, .external_lex_state = 2},
  [12391] = {.lex_state = 163, .external_lex_state = 2},
  [12392] = {.lex_state = 164, .external_lex_state = 2},
  [12393] = {.lex_state = 215, .external_lex_state = 2},
  [12394] = {.lex_state = 163, .external_lex_state = 2},
  [12395] = {.lex_state = 163, .external_lex_state = 2},
  [12396] = {.lex_state = 163, .external_lex_state = 2},
  [12397] = {.lex_state = 202, .external_lex_state = 5},
  [12398] = {.lex_state = 158, .external_lex_state = 2},
  [12399] = {.lex_state = 228, .external_lex_state = 2},
  [12400] = {.lex_state = 228, .external_lex_state = 2},
  [12401] = {.lex_state = 228, .external_lex_state = 2},
  [12402] = {.lex_state = 216, .external_lex_state = 2},
  [12403] = {.lex_state = 19, .external_lex_state = 2},
  [12404] = {.lex_state = 216, .external_lex_state = 2},
  [12405] = {.lex_state = 228, .external_lex_state = 2},
  [12406] = {.lex_state = 216, .external_lex_state = 2},
  [12407] = {.lex_state = 216, .external_lex_state = 2},
  [12408] = {.lex_state = 163, .external_lex_state = 2},
  [12409] = {.lex_state = 163, .external_lex_state = 2},
  [12410] = {.lex_state = 163, .external_lex_state = 2},
  [12411] = {.lex_state = 163, .external_lex_state = 2},
  [12412] = {.lex_state = 163, .external_lex_state = 2},
  [12413] = {.lex_state = 163, .external_lex_state = 2},
  [12414] = {.lex_state = 216, .external_lex_state = 2},
  [12415] = {.lex_state = 163, .external_lex_state = 2},
  [12416] = {.lex_state = 163, .external_lex_state = 2},
  [12417] = {.lex_state = 163, .external_lex_state = 2},
  [12418] = {.lex_state = 216, .external_lex_state = 2},
  [12419] = {.lex_state = 163, .external_lex_state = 2},
  [12420] = {.lex_state = 216, .external_lex_state = 2},
  [12421] = {.lex_state = 163, .external_lex_state = 2},
  [12422] = {.lex_state = 163, .external_lex_state = 2},
  [12423] = {.lex_state = 19, .external_lex_state = 2},
  [12424] = {.lex_state = 216, .external_lex_state = 2},
  [12425] = {.lex_state = 216, .external_lex_state = 2},
  [12426] = {.lex_state = 216, .external_lex_state = 2},
  [12427] = {.lex_state = 216, .external_lex_state = 2},
  [12428] = {.lex_state = 282, .external_lex_state = 2},
  [12429] = {.lex_state = 216, .external_lex_state = 2},
  [12430] = {.lex_state = 19, .external_lex_state = 2},
  [12431] = {.lex_state = 282, .external_lex_state = 2},
  [12432] = {.lex_state = 228, .external_lex_state = 2},
  [12433] = {.lex_state = 228, .external_lex_state = 2},
  [12434] = {.lex_state = 19, .external_lex_state = 2},
  [12435] = {.lex_state = 228, .external_lex_state = 2},
  [12436] = {.lex_state = 19, .external_lex_state = 2},
  [12437] = {.lex_state = 19, .external_lex_state = 2},
  [12438] = {.lex_state = 228, .external_lex_state = 2},
  [12439] = {.lex_state = 164, .external_lex_state = 2},
  [12440] = {.lex_state = 228, .external_lex_state = 2},
  [12441] = {.lex_state = 163, .external_lex_state = 2},
  [12442] = {.lex_state = 19, .external_lex_state = 2},
  [12443] = {.lex_state = 163, .external_lex_state = 2},
  [12444] = {.lex_state = 256, .external_lex_state = 2},
  [12445] = {.lex_state = 216, .external_lex_state = 2},
  [12446] = {.lex_state = 228, .external_lex_state = 2},
  [12447] = {.lex_state = 163, .external_lex_state = 2},
  [12448] = {.lex_state = 163, .external_lex_state = 2},
  [12449] = {.lex_state = 163, .external_lex_state = 2},
  [12450] = {.lex_state = 163, .external_lex_state = 2},
  [12451] = {.lex_state = 19, .external_lex_state = 2},
  [12452] = {.lex_state = 216, .external_lex_state = 2},
  [12453] = {.lex_state = 163, .external_lex_state = 2},
  [12454] = {.lex_state = 163, .external_lex_state = 2},
  [12455] = {.lex_state = 19, .external_lex_state = 2},
  [12456] = {.lex_state = 202, .external_lex_state = 5},
  [12457] = {.lex_state = 163, .external_lex_state = 2},
  [12458] = {.lex_state = 282, .external_lex_state = 2},
  [12459] = {.lex_state = 269, .external_lex_state = 2},
  [12460] = {.lex_state = 19, .external_lex_state = 2},
  [12461] = {.lex_state = 19, .external_lex_state = 2},
  [12462] = {.lex_state = 6, .external_lex_state = 2},
  [12463] = {.lex_state = 227, .external_lex_state = 2},
  [12464] = {.lex_state = 19, .external_lex_state = 2},
  [12465] = {.lex_state = 216, .external_lex_state = 2},
  [12466] = {.lex_state = 202, .external_lex_state = 5},
  [12467] = {.lex_state = 163, .external_lex_state = 2},
  [12468] = {.lex_state = 227, .external_lex_state = 2},
  [12469] = {.lex_state = 228, .external_lex_state = 2},
  [12470] = {.lex_state = 19, .external_lex_state = 2},
  [12471] = {.lex_state = 158, .external_lex_state = 2},
  [12472] = {.lex_state = 19, .external_lex_state = 2},
  [12473] = {.lex_state = 163, .external_lex_state = 2},
  [12474] = {.lex_state = 19, .external_lex_state = 2},
  [12475] = {.lex_state = 216, .external_lex_state = 2},
  [12476] = {.lex_state = 228, .external_lex_state = 2},
  [12477] = {.lex_state = 228, .external_lex_state = 2},
  [12478] = {.lex_state = 228, .external_lex_state = 2},
  [12479] = {.lex_state = 163, .external_lex_state = 2},
  [12480] = {.lex_state = 228, .external_lex_state = 2},
  [12481] = {.lex_state = 23, .external_lex_state = 2},
  [12482] = {.lex_state = 228, .external_lex_state = 2},
  [12483] = {.lex_state = 19, .external_lex_state = 2},
  [12484] = {.lex_state = 228, .external_lex_state = 2},
  [12485] = {.lex_state = 282, .external_lex_state = 2},
  [12486] = {.lex_state = 228, .external_lex_state = 2},
  [12487] = {.lex_state = 163, .external_lex_state = 2},
  [12488] = {.lex_state = 228, .external_lex_state = 2},
  [12489] = {.lex_state = 19, .external_lex_state = 2},
  [12490] = {.lex_state = 19, .external_lex_state = 2},
  [12491] = {.lex_state = 163, .external_lex_state = 2},
  [12492] = {.lex_state = 228, .external_lex_state = 2},
  [12493] = {.lex_state = 163, .external_lex_state = 2},
  [12494] = {.lex_state = 216, .external_lex_state = 2},
  [12495] = {.lex_state = 19, .external_lex_state = 2},
  [12496] = {.lex_state = 216, .external_lex_state = 2},
  [12497] = {.lex_state = 216, .external_lex_state = 2},
  [12498] = {.lex_state = 216, .external_lex_state = 2},
  [12499] = {.lex_state = 163, .external_lex_state = 2},
  [12500] = {.lex_state = 163, .external_lex_state = 2},
  [12501] = {.lex_state = 163, .external_lex_state = 2},
  [12502] = {.lex_state = 163, .external_lex_state = 2},
  [12503] = {.lex_state = 256, .external_lex_state = 2},
  [12504] = {.lex_state = 163, .external_lex_state = 2},
  [12505] = {.lex_state = 163, .external_lex_state = 2},
  [12506] = {.lex_state = 282, .external_lex_state = 2},
  [12507] = {.lex_state = 163, .external_lex_state = 2},
  [12508] = {.lex_state = 19, .external_lex_state = 2},
  [12509] = {.lex_state = 19, .external_lex_state = 2},
  [12510] = {.lex_state = 19, .external_lex_state = 2},
  [12511] = {.lex_state = 19, .external_lex_state = 2},
  [12512] = {.lex_state = 6, .external_lex_state = 2},
  [12513] = {.lex_state = 163, .external_lex_state = 2},
  [12514] = {.lex_state = 19, .external_lex_state = 2},
  [12515] = {.lex_state = 23, .external_lex_state = 2},
  [12516] = {.lex_state = 163, .external_lex_state = 2},
  [12517] = {.lex_state = 216, .external_lex_state = 2},
  [12518] = {.lex_state = 216, .external_lex_state = 2},
  [12519] = {.lex_state = 163, .external_lex_state = 2},
  [12520] = {.lex_state = 19, .external_lex_state = 2},
  [12521] = {.lex_state = 216, .external_lex_state = 2},
  [12522] = {.lex_state = 19, .external_lex_state = 2},
  [12523] = {.lex_state = 19, .external_lex_state = 2},
  [12524] = {.lex_state = 19, .external_lex_state = 2},
  [12525] = {.lex_state = 163, .external_lex_state = 2},
  [12526] = {.lex_state = 23, .external_lex_state = 2},
  [12527] = {.lex_state = 257, .external_lex_state = 2},
  [12528] = {.lex_state = 163, .external_lex_state = 2},
  [12529] = {.lex_state = 163, .external_lex_state = 2},
  [12530] = {.lex_state = 282, .external_lex_state = 2},
  [12531] = {.lex_state = 6, .external_lex_state = 2},
  [12532] = {.lex_state = 19, .external_lex_state = 2},
  [12533] = {.lex_state = 216, .external_lex_state = 2},
  [12534] = {.lex_state = 19, .external_lex_state = 2},
  [12535] = {.lex_state = 163, .external_lex_state = 2},
  [12536] = {.lex_state = 19, .external_lex_state = 2},
  [12537] = {.lex_state = 163, .external_lex_state = 2},
  [12538] = {.lex_state = 228, .external_lex_state = 2},
  [12539] = {.lex_state = 23, .external_lex_state = 2},
  [12540] = {.lex_state = 228, .external_lex_state = 2},
  [12541] = {.lex_state = 19, .external_lex_state = 2},
  [12542] = {.lex_state = 19, .external_lex_state = 2},
  [12543] = {.lex_state = 163, .external_lex_state = 2},
  [12544] = {.lex_state = 216, .external_lex_state = 2},
  [12545] = {.lex_state = 216, .external_lex_state = 2},
  [12546] = {.lex_state = 282, .external_lex_state = 2},
  [12547] = {.lex_state = 19, .external_lex_state = 2},
  [12548] = {.lex_state = 6, .external_lex_state = 2},
  [12549] = {.lex_state = 163, .external_lex_state = 2},
  [12550] = {.lex_state = 163, .external_lex_state = 2},
  [12551] = {.lex_state = 227, .external_lex_state = 2},
  [12552] = {.lex_state = 163, .external_lex_state = 2},
  [12553] = {.lex_state = 163, .external_lex_state = 2},
  [12554] = {.lex_state = 216, .external_lex_state = 2},
  [12555] = {.lex_state = 19, .external_lex_state = 2},
  [12556] = {.lex_state = 19, .external_lex_state = 2},
  [12557] = {.lex_state = 19, .external_lex_state = 2},
  [12558] = {.lex_state = 216, .external_lex_state = 2},
  [12559] = {.lex_state = 19, .external_lex_state = 2},
  [12560] = {.lex_state = 282, .external_lex_state = 2},
  [12561] = {.lex_state = 19, .external_lex_state = 2},
  [12562] = {.lex_state = 163, .external_lex_state = 2},
  [12563] = {.lex_state = 163, .external_lex_state = 2},
  [12564] = {.lex_state = 163, .external_lex_state = 2},
  [12565] = {.lex_state = 163, .external_lex_state = 2},
  [12566] = {.lex_state = 163, .external_lex_state = 2},
  [12567] = {.lex_state = 163, .external_lex_state = 2},
  [12568] = {.lex_state = 163, .external_lex_state = 2},
  [12569] = {.lex_state = 19, .external_lex_state = 2},
  [12570] = {.lex_state = 163, .external_lex_state = 2},
  [12571] = {.lex_state = 163, .external_lex_state = 2},
  [12572] = {.lex_state = 163, .external_lex_state = 2},
  [12573] = {.lex_state = 163, .external_lex_state = 2},
  [12574] = {.lex_state = 19, .external_lex_state = 2},
  [12575] = {.lex_state = 216, .external_lex_state = 2},
  [12576] = {.lex_state = 163, .external_lex_state = 2},
  [12577] = {.lex_state = 163, .external_lex_state = 2},
  [12578] = {.lex_state = 163, .external_lex_state = 2},
  [12579] = {.lex_state = 228, .external_lex_state = 2},
  [12580] = {.lex_state = 163, .external_lex_state = 2},
  [12581] = {.lex_state = 216, .external_lex_state = 2},
  [12582] = {.lex_state = 19, .external_lex_state = 2},
  [12583] = {.lex_state = 216, .external_lex_state = 2},
  [12584] = {.lex_state = 228, .external_lex_state = 2},
  [12585] = {.lex_state = 23, .external_lex_state = 2},
  [12586] = {.lex_state = 23, .external_lex_state = 2},
  [12587] = {.lex_state = 158, .external_lex_state = 2},
  [12588] = {.lex_state = 282, .external_lex_state = 2},
  [12589] = {.lex_state = 19, .external_lex_state = 2},
  [12590] = {.lex_state = 23, .external_lex_state = 2},
  [12591] = {.lex_state = 228, .external_lex_state = 2},
  [12592] = {.lex_state = 228, .external_lex_state = 2},
  [12593] = {.lex_state = 19, .external_lex_state = 2},
  [12594] = {.lex_state = 228, .external_lex_state = 2},
  [12595] = {.lex_state = 228, .external_lex_state = 2},
  [12596] = {.lex_state = 228, .external_lex_state = 2},
  [12597] = {.lex_state = 228, .external_lex_state = 2},
  [12598] = {.lex_state = 228, .external_lex_state = 2},
  [12599] = {.lex_state = 228, .external_lex_state = 2},
  [12600] = {.lex_state = 228, .external_lex_state = 2},
  [12601] = {.lex_state = 228, .external_lex_state = 2},
  [12602] = {.lex_state = 163, .external_lex_state = 2},
  [12603] = {.lex_state = 228, .external_lex_state = 2},
  [12604] = {.lex_state = 163, .external_lex_state = 2},
  [12605] = {.lex_state = 163, .external_lex_state = 2},
  [12606] = {.lex_state = 228, .external_lex_state = 2},
  [12607] = {.lex_state = 228, .external_lex_state = 2},
  [12608] = {.lex_state = 228, .external_lex_state = 2},
  [12609] = {.lex_state = 163, .external_lex_state = 2},
  [12610] = {.lex_state = 6, .external_lex_state = 2},
  [12611] = {.lex_state = 6, .external_lex_state = 2},
  [12612] = {.lex_state = 228, .external_lex_state = 2},
  [12613] = {.lex_state = 6, .external_lex_state = 2},
  [12614] = {.lex_state = 6, .external_lex_state = 2},
  [12615] = {.lex_state = 158, .external_lex_state = 2},
  [12616] = {.lex_state = 228, .external_lex_state = 2},
  [12617] = {.lex_state = 240, .external_lex_state = 2},
  [12618] = {.lex_state = 23, .external_lex_state = 2},
  [12619] = {.lex_state = 6, .external_lex_state = 2},
  [12620] = {.lex_state = 158, .external_lex_state = 2},
  [12621] = {.lex_state = 257, .external_lex_state = 2},
  [12622] = {.lex_state = 6, .external_lex_state = 2},
  [12623] = {.lex_state = 6, .external_lex_state = 2},
  [12624] = {.lex_state = 228, .external_lex_state = 2},
  [12625] = {.lex_state = 435, .external_lex_state = 2},
  [12626] = {.lex_state = 227, .external_lex_state = 2},
  [12627] = {.lex_state = 23, .external_lex_state = 2},
  [12628] = {.lex_state = 240, .external_lex_state = 2},
  [12629] = {.lex_state = 23, .external_lex_state = 2},
  [12630] = {.lex_state = 158, .external_lex_state = 2},
  [12631] = {.lex_state = 6, .external_lex_state = 2},
  [12632] = {.lex_state = 6, .external_lex_state = 2},
  [12633] = {.lex_state = 228, .external_lex_state = 2},
  [12634] = {.lex_state = 6, .external_lex_state = 2},
  [12635] = {.lex_state = 240, .external_lex_state = 2},
  [12636] = {.lex_state = 158, .external_lex_state = 2},
  [12637] = {.lex_state = 6, .external_lex_state = 2},
  [12638] = {.lex_state = 6, .external_lex_state = 2},
  [12639] = {.lex_state = 228, .external_lex_state = 2},
  [12640] = {.lex_state = 227, .external_lex_state = 2},
  [12641] = {.lex_state = 6, .external_lex_state = 2},
  [12642] = {.lex_state = 6, .external_lex_state = 2},
  [12643] = {.lex_state = 435, .external_lex_state = 2},
  [12644] = {.lex_state = 227, .external_lex_state = 2},
  [12645] = {.lex_state = 227, .external_lex_state = 2},
  [12646] = {.lex_state = 227, .external_lex_state = 2},
  [12647] = {.lex_state = 227, .external_lex_state = 2},
  [12648] = {.lex_state = 23, .external_lex_state = 2},
  [12649] = {.lex_state = 6, .external_lex_state = 2},
  [12650] = {.lex_state = 212, .external_lex_state = 2},
  [12651] = {.lex_state = 6, .external_lex_state = 2},
  [12652] = {.lex_state = 227, .external_lex_state = 2},
  [12653] = {.lex_state = 227, .external_lex_state = 2},
  [12654] = {.lex_state = 6, .external_lex_state = 2},
  [12655] = {.lex_state = 227, .external_lex_state = 2},
  [12656] = {.lex_state = 23, .external_lex_state = 2},
  [12657] = {.lex_state = 7, .external_lex_state = 2},
  [12658] = {.lex_state = 228, .external_lex_state = 2},
  [12659] = {.lex_state = 7, .external_lex_state = 2},
  [12660] = {.lex_state = 6, .external_lex_state = 2},
  [12661] = {.lex_state = 222, .external_lex_state = 2},
  [12662] = {.lex_state = 227, .external_lex_state = 2},
  [12663] = {.lex_state = 227, .external_lex_state = 2},
  [12664] = {.lex_state = 227, .external_lex_state = 2},
  [12665] = {.lex_state = 202, .external_lex_state = 5},
  [12666] = {.lex_state = 435, .external_lex_state = 2},
  [12667] = {.lex_state = 227, .external_lex_state = 2},
  [12668] = {.lex_state = 227, .external_lex_state = 2},
  [12669] = {.lex_state = 23, .external_lex_state = 2},
  [12670] = {.lex_state = 6, .external_lex_state = 2},
  [12671] = {.lex_state = 228, .external_lex_state = 2},
  [12672] = {.lex_state = 227, .external_lex_state = 2},
  [12673] = {.lex_state = 7, .external_lex_state = 2},
  [12674] = {.lex_state = 6, .external_lex_state = 2},
  [12675] = {.lex_state = 435, .external_lex_state = 2},
  [12676] = {.lex_state = 436, .external_lex_state = 2},
  [12677] = {.lex_state = 6, .external_lex_state = 2},
  [12678] = {.lex_state = 23, .external_lex_state = 2},
  [12679] = {.lex_state = 227, .external_lex_state = 2},
  [12680] = {.lex_state = 212, .external_lex_state = 2},
  [12681] = {.lex_state = 165, .external_lex_state = 2},
  [12682] = {.lex_state = 227, .external_lex_state = 2},
  [12683] = {.lex_state = 227, .external_lex_state = 2},
  [12684] = {.lex_state = 228, .external_lex_state = 2},
  [12685] = {.lex_state = 227, .external_lex_state = 2},
  [12686] = {.lex_state = 435, .external_lex_state = 2},
  [12687] = {.lex_state = 227, .external_lex_state = 2},
  [12688] = {.lex_state = 227, .external_lex_state = 2},
  [12689] = {.lex_state = 6, .external_lex_state = 2},
  [12690] = {.lex_state = 227, .external_lex_state = 2},
  [12691] = {.lex_state = 216, .external_lex_state = 2},
  [12692] = {.lex_state = 6, .external_lex_state = 2},
  [12693] = {.lex_state = 165, .external_lex_state = 2},
  [12694] = {.lex_state = 227, .external_lex_state = 2},
  [12695] = {.lex_state = 227, .external_lex_state = 2},
  [12696] = {.lex_state = 227, .external_lex_state = 2},
  [12697] = {.lex_state = 227, .external_lex_state = 2},
  [12698] = {.lex_state = 227, .external_lex_state = 2},
  [12699] = {.lex_state = 165, .external_lex_state = 2},
  [12700] = {.lex_state = 228, .external_lex_state = 2},
  [12701] = {.lex_state = 227, .external_lex_state = 2},
  [12702] = {.lex_state = 227, .external_lex_state = 2},
  [12703] = {.lex_state = 227, .external_lex_state = 2},
  [12704] = {.lex_state = 6, .external_lex_state = 2},
  [12705] = {.lex_state = 23, .external_lex_state = 2},
  [12706] = {.lex_state = 202, .external_lex_state = 5},
  [12707] = {.lex_state = 227, .external_lex_state = 2},
  [12708] = {.lex_state = 228, .external_lex_state = 2},
  [12709] = {.lex_state = 222, .external_lex_state = 2},
  [12710] = {.lex_state = 228, .external_lex_state = 2},
  [12711] = {.lex_state = 6, .external_lex_state = 2},
  [12712] = {.lex_state = 227, .external_lex_state = 2},
  [12713] = {.lex_state = 6, .external_lex_state = 2},
  [12714] = {.lex_state = 222, .external_lex_state = 2},
  [12715] = {.lex_state = 227, .external_lex_state = 2},
  [12716] = {.lex_state = 435, .external_lex_state = 2},
  [12717] = {.lex_state = 7, .external_lex_state = 2},
  [12718] = {.lex_state = 6, .external_lex_state = 2},
  [12719] = {.lex_state = 158, .external_lex_state = 2},
  [12720] = {.lex_state = 158, .external_lex_state = 2},
  [12721] = {.lex_state = 435, .external_lex_state = 2},
  [12722] = {.lex_state = 435, .external_lex_state = 2},
  [12723] = {.lex_state = 435, .external_lex_state = 2},
  [12724] = {.lex_state = 158, .external_lex_state = 2},
  [12725] = {.lex_state = 158, .external_lex_state = 2},
  [12726] = {.lex_state = 158, .external_lex_state = 2},
  [12727] = {.lex_state = 158, .external_lex_state = 2},
  [12728] = {.lex_state = 435, .external_lex_state = 2},
  [12729] = {.lex_state = 158, .external_lex_state = 2},
  [12730] = {.lex_state = 435, .external_lex_state = 2},
  [12731] = {.lex_state = 158, .external_lex_state = 2},
  [12732] = {.lex_state = 158, .external_lex_state = 2},
  [12733] = {.lex_state = 435, .external_lex_state = 2},
  [12734] = {.lex_state = 435, .external_lex_state = 2},
  [12735] = {.lex_state = 435, .external_lex_state = 2},
  [12736] = {.lex_state = 435, .external_lex_state = 2},
  [12737] = {.lex_state = 435, .external_lex_state = 2},
  [12738] = {.lex_state = 435, .external_lex_state = 2},
  [12739] = {.lex_state = 158, .external_lex_state = 2},
  [12740] = {.lex_state = 435, .external_lex_state = 2},
  [12741] = {.lex_state = 435, .external_lex_state = 2},
  [12742] = {.lex_state = 222, .external_lex_state = 2},
  [12743] = {.lex_state = 6, .external_lex_state = 2},
  [12744] = {.lex_state = 435, .external_lex_state = 2},
  [12745] = {.lex_state = 435, .external_lex_state = 2},
  [12746] = {.lex_state = 435, .external_lex_state = 2},
  [12747] = {.lex_state = 158, .external_lex_state = 2},
  [12748] = {.lex_state = 435, .external_lex_state = 2},
  [12749] = {.lex_state = 158, .external_lex_state = 2},
  [12750] = {.lex_state = 435, .external_lex_state = 2},
  [12751] = {.lex_state = 435, .external_lex_state = 2},
  [12752] = {.lex_state = 158, .external_lex_state = 2},
  [12753] = {.lex_state = 435, .external_lex_state = 2},
  [12754] = {.lex_state = 435, .external_lex_state = 2},
  [12755] = {.lex_state = 435, .external_lex_state = 2},
  [12756] = {.lex_state = 158, .external_lex_state = 2},
  [12757] = {.lex_state = 435, .external_lex_state = 2},
  [12758] = {.lex_state = 158, .external_lex_state = 2},
  [12759] = {.lex_state = 435, .external_lex_state = 2},
  [12760] = {.lex_state = 435, .external_lex_state = 2},
  [12761] = {.lex_state = 158, .external_lex_state = 2},
  [12762] = {.lex_state = 435, .external_lex_state = 2},
  [12763] = {.lex_state = 158, .external_lex_state = 2},
  [12764] = {.lex_state = 256, .external_lex_state = 2},
  [12765] = {.lex_state = 158, .external_lex_state = 2},
  [12766] = {.lex_state = 158, .external_lex_state = 2},
  [12767] = {.lex_state = 435, .external_lex_state = 2},
  [12768] = {.lex_state = 158, .external_lex_state = 2},
  [12769] = {.lex_state = 435, .external_lex_state = 2},
  [12770] = {.lex_state = 435, .external_lex_state = 2},
  [12771] = {.lex_state = 435, .external_lex_state = 2},
  [12772] = {.lex_state = 435, .external_lex_state = 2},
  [12773] = {.lex_state = 435, .external_lex_state = 2},
  [12774] = {.lex_state = 158, .external_lex_state = 2},
  [12775] = {.lex_state = 435, .external_lex_state = 2},
  [12776] = {.lex_state = 435, .external_lex_state = 2},
  [12777] = {.lex_state = 435, .external_lex_state = 2},
  [12778] = {.lex_state = 158, .external_lex_state = 2},
  [12779] = {.lex_state = 435, .external_lex_state = 2},
  [12780] = {.lex_state = 435, .external_lex_state = 2},
  [12781] = {.lex_state = 435, .external_lex_state = 2},
  [12782] = {.lex_state = 158, .external_lex_state = 2},
  [12783] = {.lex_state = 435, .external_lex_state = 2},
  [12784] = {.lex_state = 435, .external_lex_state = 2},
  [12785] = {.lex_state = 435, .external_lex_state = 2},
  [12786] = {.lex_state = 158, .external_lex_state = 2},
  [12787] = {.lex_state = 158, .external_lex_state = 2},
  [12788] = {.lex_state = 158, .external_lex_state = 2},
  [12789] = {.lex_state = 435, .external_lex_state = 2},
  [12790] = {.lex_state = 435, .external_lex_state = 2},
  [12791] = {.lex_state = 6, .external_lex_state = 2},
  [12792] = {.lex_state = 435, .external_lex_state = 2},
  [12793] = {.lex_state = 6, .external_lex_state = 2},
  [12794] = {.lex_state = 158, .external_lex_state = 2},
  [12795] = {.lex_state = 435, .external_lex_state = 2},
  [12796] = {.lex_state = 435, .external_lex_state = 2},
  [12797] = {.lex_state = 435, .external_lex_state = 2},
  [12798] = {.lex_state = 158, .external_lex_state = 2},
  [12799] = {.lex_state = 216, .external_lex_state = 2},
  [12800] = {.lex_state = 435, .external_lex_state = 2},
  [12801] = {.lex_state = 435, .external_lex_state = 2},
  [12802] = {.lex_state = 435, .external_lex_state = 2},
  [12803] = {.lex_state = 435, .external_lex_state = 2},
  [12804] = {.lex_state = 158, .external_lex_state = 2},
  [12805] = {.lex_state = 435, .external_lex_state = 2},
  [12806] = {.lex_state = 435, .external_lex_state = 2},
  [12807] = {.lex_state = 435, .external_lex_state = 2},
  [12808] = {.lex_state = 158, .external_lex_state = 2},
  [12809] = {.lex_state = 435, .external_lex_state = 2},
  [12810] = {.lex_state = 158, .external_lex_state = 2},
  [12811] = {.lex_state = 158, .external_lex_state = 2},
  [12812] = {.lex_state = 240, .external_lex_state = 2},
  [12813] = {.lex_state = 158, .external_lex_state = 2},
  [12814] = {.lex_state = 158, .external_lex_state = 2},
  [12815] = {.lex_state = 6, .external_lex_state = 2},
  [12816] = {.lex_state = 435, .external_lex_state = 2},
  [12817] = {.lex_state = 240, .external_lex_state = 2},
  [12818] = {.lex_state = 435, .external_lex_state = 2},
  [12819] = {.lex_state = 435, .external_lex_state = 2},
  [12820] = {.lex_state = 435, .external_lex_state = 2},
  [12821] = {.lex_state = 435, .external_lex_state = 2},
  [12822] = {.lex_state = 256, .external_lex_state = 2},
  [12823] = {.lex_state = 435, .external_lex_state = 2},
  [12824] = {.lex_state = 435, .external_lex_state = 2},
  [12825] = {.lex_state = 158, .external_lex_state = 2},
  [12826] = {.lex_state = 158, .external_lex_state = 2},
  [12827] = {.lex_state = 435, .external_lex_state = 2},
  [12828] = {.lex_state = 158, .external_lex_state = 2},
  [12829] = {.lex_state = 435, .external_lex_state = 2},
  [12830] = {.lex_state = 435, .external_lex_state = 2},
  [12831] = {.lex_state = 158, .external_lex_state = 2},
  [12832] = {.lex_state = 435, .external_lex_state = 2},
  [12833] = {.lex_state = 158, .external_lex_state = 2},
  [12834] = {.lex_state = 435, .external_lex_state = 2},
  [12835] = {.lex_state = 435, .external_lex_state = 2},
  [12836] = {.lex_state = 435, .external_lex_state = 2},
  [12837] = {.lex_state = 435, .external_lex_state = 2},
  [12838] = {.lex_state = 256, .external_lex_state = 2},
  [12839] = {.lex_state = 435, .external_lex_state = 2},
  [12840] = {.lex_state = 435, .external_lex_state = 2},
  [12841] = {.lex_state = 435, .external_lex_state = 2},
  [12842] = {.lex_state = 435, .external_lex_state = 2},
  [12843] = {.lex_state = 435, .external_lex_state = 2},
  [12844] = {.lex_state = 435, .external_lex_state = 2},
  [12845] = {.lex_state = 158, .external_lex_state = 2},
  [12846] = {.lex_state = 158, .external_lex_state = 2},
  [12847] = {.lex_state = 435, .external_lex_state = 2},
  [12848] = {.lex_state = 158, .external_lex_state = 2},
  [12849] = {.lex_state = 158, .external_lex_state = 2},
  [12850] = {.lex_state = 435, .external_lex_state = 2},
  [12851] = {.lex_state = 6, .external_lex_state = 2},
  [12852] = {.lex_state = 435, .external_lex_state = 2},
  [12853] = {.lex_state = 158, .external_lex_state = 2},
  [12854] = {.lex_state = 158, .external_lex_state = 2},
  [12855] = {.lex_state = 435, .external_lex_state = 2},
  [12856] = {.lex_state = 158, .external_lex_state = 2},
  [12857] = {.lex_state = 435, .external_lex_state = 2},
  [12858] = {.lex_state = 435, .external_lex_state = 2},
  [12859] = {.lex_state = 435, .external_lex_state = 2},
  [12860] = {.lex_state = 435, .external_lex_state = 2},
  [12861] = {.lex_state = 435, .external_lex_state = 2},
  [12862] = {.lex_state = 158, .external_lex_state = 2},
  [12863] = {.lex_state = 158, .external_lex_state = 2},
  [12864] = {.lex_state = 435, .external_lex_state = 2},
  [12865] = {.lex_state = 435, .external_lex_state = 2},
  [12866] = {.lex_state = 435, .external_lex_state = 2},
  [12867] = {.lex_state = 158, .external_lex_state = 2},
  [12868] = {.lex_state = 435, .external_lex_state = 2},
  [12869] = {.lex_state = 158, .external_lex_state = 2},
  [12870] = {.lex_state = 158, .external_lex_state = 2},
  [12871] = {.lex_state = 158, .external_lex_state = 2},
  [12872] = {.lex_state = 435, .external_lex_state = 2},
  [12873] = {.lex_state = 435, .external_lex_state = 2},
  [12874] = {.lex_state = 158, .external_lex_state = 2},
  [12875] = {.lex_state = 158, .external_lex_state = 2},
  [12876] = {.lex_state = 158, .external_lex_state = 2},
  [12877] = {.lex_state = 435, .external_lex_state = 2},
  [12878] = {.lex_state = 158, .external_lex_state = 2},
  [12879] = {.lex_state = 435, .external_lex_state = 2},
  [12880] = {.lex_state = 435, .external_lex_state = 2},
  [12881] = {.lex_state = 158, .external_lex_state = 2},
  [12882] = {.lex_state = 435, .external_lex_state = 2},
  [12883] = {.lex_state = 6, .external_lex_state = 2},
  [12884] = {.lex_state = 435, .external_lex_state = 2},
  [12885] = {.lex_state = 158, .external_lex_state = 2},
  [12886] = {.lex_state = 158, .external_lex_state = 2},
  [12887] = {.lex_state = 158, .external_lex_state = 2},
  [12888] = {.lex_state = 435, .external_lex_state = 2},
  [12889] = {.lex_state = 158, .external_lex_state = 2},
  [12890] = {.lex_state = 435, .external_lex_state = 2},
  [12891] = {.lex_state = 158, .external_lex_state = 2},
  [12892] = {.lex_state = 158, .external_lex_state = 2},
  [12893] = {.lex_state = 158, .external_lex_state = 2},
  [12894] = {.lex_state = 158, .external_lex_state = 2},
  [12895] = {.lex_state = 435, .external_lex_state = 2},
  [12896] = {.lex_state = 158, .external_lex_state = 2},
  [12897] = {.lex_state = 158, .external_lex_state = 2},
  [12898] = {.lex_state = 435, .external_lex_state = 2},
  [12899] = {.lex_state = 435, .external_lex_state = 2},
  [12900] = {.lex_state = 158, .external_lex_state = 2},
  [12901] = {.lex_state = 158, .external_lex_state = 2},
  [12902] = {.lex_state = 435, .external_lex_state = 2},
  [12903] = {.lex_state = 435, .external_lex_state = 2},
  [12904] = {.lex_state = 158, .external_lex_state = 2},
  [12905] = {.lex_state = 158, .external_lex_state = 2},
  [12906] = {.lex_state = 158, .external_lex_state = 2},
  [12907] = {.lex_state = 435, .external_lex_state = 2},
  [12908] = {.lex_state = 158, .external_lex_state = 2},
  [12909] = {.lex_state = 435, .external_lex_state = 2},
  [12910] = {.lex_state = 435, .external_lex_state = 2},
  [12911] = {.lex_state = 435, .external_lex_state = 2},
  [12912] = {.lex_state = 435, .external_lex_state = 2},
  [12913] = {.lex_state = 158, .external_lex_state = 2},
  [12914] = {.lex_state = 158, .external_lex_state = 2},
  [12915] = {.lex_state = 158, .external_lex_state = 2},
  [12916] = {.lex_state = 435, .external_lex_state = 2},
  [12917] = {.lex_state = 435, .external_lex_state = 2},
  [12918] = {.lex_state = 435, .external_lex_state = 2},
  [12919] = {.lex_state = 435, .external_lex_state = 2},
  [12920] = {.lex_state = 435, .external_lex_state = 2},
  [12921] = {.lex_state = 435, .external_lex_state = 2},
  [12922] = {.lex_state = 435, .external_lex_state = 2},
  [12923] = {.lex_state = 435, .external_lex_state = 2},
  [12924] = {.lex_state = 158, .external_lex_state = 2},
  [12925] = {.lex_state = 158, .external_lex_state = 2},
  [12926] = {.lex_state = 6, .external_lex_state = 2},
  [12927] = {.lex_state = 158, .external_lex_state = 2},
  [12928] = {.lex_state = 435, .external_lex_state = 2},
  [12929] = {.lex_state = 158, .external_lex_state = 2},
  [12930] = {.lex_state = 435, .external_lex_state = 2},
  [12931] = {.lex_state = 435, .external_lex_state = 2},
  [12932] = {.lex_state = 435, .external_lex_state = 2},
  [12933] = {.lex_state = 435, .external_lex_state = 2},
  [12934] = {.lex_state = 435, .external_lex_state = 2},
  [12935] = {.lex_state = 216, .external_lex_state = 2},
  [12936] = {.lex_state = 6, .external_lex_state = 2},
  [12937] = {.lex_state = 158, .external_lex_state = 2},
  [12938] = {.lex_state = 240, .external_lex_state = 2},
  [12939] = {.lex_state = 240, .external_lex_state = 2},
  [12940] = {.lex_state = 256, .external_lex_state = 2},
  [12941] = {.lex_state = 216, .external_lex_state = 2},
  [12942] = {.lex_state = 158, .external_lex_state = 2},
  [12943] = {.lex_state = 222, .external_lex_state = 2},
  [12944] = {.lex_state = 222, .external_lex_state = 2},
  [12945] = {.lex_state = 222, .external_lex_state = 2},
  [12946] = {.lex_state = 222, .external_lex_state = 2},
  [12947] = {.lex_state = 158, .external_lex_state = 2},
  [12948] = {.lex_state = 216, .external_lex_state = 2},
  [12949] = {.lex_state = 222, .external_lex_state = 2},
  [12950] = {.lex_state = 240, .external_lex_state = 2},
  [12951] = {.lex_state = 222, .external_lex_state = 2},
  [12952] = {.lex_state = 222, .external_lex_state = 2},
  [12953] = {.lex_state = 222, .external_lex_state = 2},
  [12954] = {.lex_state = 222, .external_lex_state = 2},
  [12955] = {.lex_state = 222, .external_lex_state = 2},
  [12956] = {.lex_state = 222, .external_lex_state = 2},
  [12957] = {.lex_state = 222, .external_lex_state = 2},
  [12958] = {.lex_state = 158, .external_lex_state = 2},
  [12959] = {.lex_state = 158, .external_lex_state = 2},
  [12960] = {.lex_state = 222, .external_lex_state = 2},
  [12961] = {.lex_state = 222, .external_lex_state = 2},
  [12962] = {.lex_state = 216, .external_lex_state = 2},
  [12963] = {.lex_state = 222, .external_lex_state = 2},
  [12964] = {.lex_state = 222, .external_lex_state = 2},
  [12965] = {.lex_state = 222, .external_lex_state = 2},
  [12966] = {.lex_state = 222, .external_lex_state = 2},
  [12967] = {.lex_state = 158, .external_lex_state = 2},
  [12968] = {.lex_state = 435, .external_lex_state = 2},
  [12969] = {.lex_state = 216, .external_lex_state = 2},
  [12970] = {.lex_state = 222, .external_lex_state = 2},
  [12971] = {.lex_state = 222, .external_lex_state = 2},
  [12972] = {.lex_state = 222, .external_lex_state = 2},
  [12973] = {.lex_state = 158, .external_lex_state = 2},
  [12974] = {.lex_state = 222, .external_lex_state = 2},
  [12975] = {.lex_state = 158, .external_lex_state = 2},
  [12976] = {.lex_state = 222, .external_lex_state = 2},
  [12977] = {.lex_state = 222, .external_lex_state = 2},
  [12978] = {.lex_state = 222, .external_lex_state = 2},
  [12979] = {.lex_state = 222, .external_lex_state = 2},
  [12980] = {.lex_state = 222, .external_lex_state = 2},
  [12981] = {.lex_state = 158, .external_lex_state = 2},
  [12982] = {.lex_state = 222, .external_lex_state = 2},
  [12983] = {.lex_state = 222, .external_lex_state = 2},
  [12984] = {.lex_state = 222, .external_lex_state = 2},
  [12985] = {.lex_state = 158, .external_lex_state = 2},
  [12986] = {.lex_state = 222, .external_lex_state = 2},
  [12987] = {.lex_state = 222, .external_lex_state = 2},
  [12988] = {.lex_state = 240, .external_lex_state = 2},
  [12989] = {.lex_state = 240, .external_lex_state = 2},
  [12990] = {.lex_state = 436, .external_lex_state = 2},
  [12991] = {.lex_state = 240, .external_lex_state = 2},
  [12992] = {.lex_state = 436, .external_lex_state = 2},
  [12993] = {.lex_state = 240, .external_lex_state = 2},
  [12994] = {.lex_state = 212, .external_lex_state = 2},
  [12995] = {.lex_state = 436, .external_lex_state = 2},
  [12996] = {.lex_state = 212, .external_lex_state = 2},
  [12997] = {.lex_state = 240, .external_lex_state = 2},
  [12998] = {.lex_state = 436, .external_lex_state = 2},
  [12999] = {.lex_state = 240, .external_lex_state = 2},
  [13000] = {.lex_state = 240, .external_lex_state = 2},
  [13001] = {.lex_state = 240, .external_lex_state = 2},
  [13002] = {.lex_state = 158, .external_lex_state = 2},
  [13003] = {.lex_state = 240, .external_lex_state = 2},
  [13004] = {.lex_state = 240, .external_lex_state = 2},
  [13005] = {.lex_state = 227, .external_lex_state = 2},
  [13006] = {.lex_state = 212, .external_lex_state = 2},
  [13007] = {.lex_state = 436, .external_lex_state = 2},
  [13008] = {.lex_state = 436, .external_lex_state = 2},
  [13009] = {.lex_state = 212, .external_lex_state = 2},
  [13010] = {.lex_state = 240, .external_lex_state = 2},
  [13011] = {.lex_state = 240, .external_lex_state = 2},
  [13012] = {.lex_state = 240, .external_lex_state = 2},
  [13013] = {.lex_state = 435, .external_lex_state = 2},
  [13014] = {.lex_state = 240, .external_lex_state = 2},
  [13015] = {.lex_state = 212, .external_lex_state = 2},
  [13016] = {.lex_state = 436, .external_lex_state = 2},
  [13017] = {.lex_state = 436, .external_lex_state = 2},
  [13018] = {.lex_state = 240, .external_lex_state = 2},
  [13019] = {.lex_state = 212, .external_lex_state = 2},
  [13020] = {.lex_state = 240, .external_lex_state = 2},
  [13021] = {.lex_state = 240, .external_lex_state = 2},
  [13022] = {.lex_state = 227, .external_lex_state = 2},
  [13023] = {.lex_state = 258, .external_lex_state = 2},
  [13024] = {.lex_state = 9, .external_lex_state = 2},
  [13025] = {.lex_state = 258, .external_lex_state = 2},
  [13026] = {.lex_state = 258, .external_lex_state = 2},
  [13027] = {.lex_state = 258, .external_lex_state = 2},
  [13028] = {.lex_state = 258, .external_lex_state = 2},
  [13029] = {.lex_state = 9, .external_lex_state = 2},
  [13030] = {.lex_state = 9, .external_lex_state = 2},
  [13031] = {.lex_state = 258, .external_lex_state = 2},
  [13032] = {.lex_state = 258, .external_lex_state = 2},
  [13033] = {.lex_state = 258, .external_lex_state = 2},
  [13034] = {.lex_state = 258, .external_lex_state = 2},
  [13035] = {.lex_state = 9, .external_lex_state = 2},
  [13036] = {.lex_state = 9, .external_lex_state = 2},
  [13037] = {.lex_state = 258, .external_lex_state = 2},
  [13038] = {.lex_state = 212, .external_lex_state = 2},
  [13039] = {.lex_state = 258, .external_lex_state = 2},
  [13040] = {.lex_state = 9, .external_lex_state = 2},
  [13041] = {.lex_state = 252, .external_lex_state = 6},
  [13042] = {.lex_state = 240, .external_lex_state = 2},
  [13043] = {.lex_state = 258, .external_lex_state = 2},
  [13044] = {.lex_state = 435, .external_lex_state = 2},
  [13045] = {.lex_state = 258, .external_lex_state = 2},
  [13046] = {.lex_state = 212, .external_lex_state = 2},
  [13047] = {.lex_state = 435, .external_lex_state = 2},
  [13048] = {.lex_state = 435, .external_lex_state = 2},
  [13049] = {.lex_state = 258, .external_lex_state = 2},
  [13050] = {.lex_state = 435, .external_lex_state = 2},
  [13051] = {.lex_state = 435, .external_lex_state = 2},
  [13052] = {.lex_state = 258, .external_lex_state = 2},
  [13053] = {.lex_state = 258, .external_lex_state = 2},
  [13054] = {.lex_state = 258, .external_lex_state = 2},
  [13055] = {.lex_state = 9, .external_lex_state = 2},
  [13056] = {.lex_state = 9, .external_lex_state = 2},
  [13057] = {.lex_state = 258, .external_lex_state = 2},
  [13058] = {.lex_state = 258, .external_lex_state = 2},
  [13059] = {.lex_state = 258, .external_lex_state = 2},
  [13060] = {.lex_state = 258, .external_lex_state = 2},
  [13061] = {.lex_state = 9, .external_lex_state = 2},
  [13062] = {.lex_state = 4, .external_lex_state = 7},
  [13063] = {.lex_state = 258, .external_lex_state = 2},
  [13064] = {.lex_state = 258, .external_lex_state = 2},
  [13065] = {.lex_state = 258, .external_lex_state = 2},
  [13066] = {.lex_state = 258, .external_lex_state = 2},
  [13067] = {.lex_state = 9, .external_lex_state = 2},
  [13068] = {.lex_state = 158, .external_lex_state = 2},
  [13069] = {.lex_state = 258, .external_lex_state = 2},
  [13070] = {.lex_state = 240, .external_lex_state = 2},
  [13071] = {.lex_state = 240, .external_lex_state = 2},
  [13072] = {.lex_state = 158, .external_lex_state = 2},
  [13073] = {.lex_state = 258, .external_lex_state = 2},
  [13074] = {.lex_state = 435, .external_lex_state = 2},
  [13075] = {.lex_state = 435, .external_lex_state = 2},
  [13076] = {.lex_state = 435, .external_lex_state = 2},
  [13077] = {.lex_state = 435, .external_lex_state = 2},
  [13078] = {.lex_state = 435, .external_lex_state = 2},
  [13079] = {.lex_state = 435, .external_lex_state = 2},
  [13080] = {.lex_state = 435, .external_lex_state = 2},
  [13081] = {.lex_state = 436, .external_lex_state = 2},
  [13082] = {.lex_state = 227, .external_lex_state = 2},
  [13083] = {.lex_state = 4, .external_lex_state = 7},
  [13084] = {.lex_state = 212, .external_lex_state = 2},
  [13085] = {.lex_state = 258, .external_lex_state = 2},
  [13086] = {.lex_state = 227, .external_lex_state = 2},
  [13087] = {.lex_state = 435, .external_lex_state = 2},
  [13088] = {.lex_state = 435, .external_lex_state = 2},
  [13089] = {.lex_state = 435, .external_lex_state = 2},
  [13090] = {.lex_state = 435, .external_lex_state = 2},
  [13091] = {.lex_state = 435, .external_lex_state = 2},
  [13092] = {.lex_state = 227, .external_lex_state = 2},
  [13093] = {.lex_state = 258, .external_lex_state = 2},
  [13094] = {.lex_state = 436, .external_lex_state = 2},
  [13095] = {.lex_state = 4, .external_lex_state = 7},
  [13096] = {.lex_state = 435, .external_lex_state = 2},
  [13097] = {.lex_state = 435, .external_lex_state = 2},
  [13098] = {.lex_state = 435, .external_lex_state = 2},
  [13099] = {.lex_state = 435, .external_lex_state = 2},
  [13100] = {.lex_state = 227, .external_lex_state = 2},
  [13101] = {.lex_state = 4, .external_lex_state = 7},
  [13102] = {.lex_state = 258, .external_lex_state = 2},
  [13103] = {.lex_state = 258, .external_lex_state = 2},
  [13104] = {.lex_state = 9, .external_lex_state = 2},
  [13105] = {.lex_state = 9, .external_lex_state = 2},
  [13106] = {.lex_state = 4, .external_lex_state = 7},
  [13107] = {.lex_state = 240, .external_lex_state = 2},
  [13108] = {.lex_state = 435, .external_lex_state = 2},
  [13109] = {.lex_state = 258, .external_lex_state = 2},
  [13110] = {.lex_state = 4, .external_lex_state = 7},
  [13111] = {.lex_state = 435, .external_lex_state = 2},
  [13112] = {.lex_state = 258, .external_lex_state = 2},
  [13113] = {.lex_state = 4, .external_lex_state = 7},
  [13114] = {.lex_state = 227, .external_lex_state = 2},
  [13115] = {.lex_state = 4, .external_lex_state = 7},
  [13116] = {.lex_state = 258, .external_lex_state = 2},
  [13117] = {.lex_state = 9, .external_lex_state = 2},
  [13118] = {.lex_state = 4, .external_lex_state = 7},
  [13119] = {.lex_state = 227, .external_lex_state = 2},
  [13120] = {.lex_state = 4, .external_lex_state = 7},
  [13121] = {.lex_state = 4, .external_lex_state = 7},
  [13122] = {.lex_state = 258, .external_lex_state = 2},
  [13123] = {.lex_state = 4, .external_lex_state = 7},
  [13124] = {.lex_state = 4, .external_lex_state = 7},
  [13125] = {.lex_state = 4, .external_lex_state = 7},
  [13126] = {.lex_state = 212, .external_lex_state = 2},
  [13127] = {.lex_state = 4, .external_lex_state = 7},
  [13128] = {.lex_state = 4, .external_lex_state = 7},
  [13129] = {.lex_state = 4, .external_lex_state = 7},
  [13130] = {.lex_state = 4, .external_lex_state = 7},
  [13131] = {.lex_state = 258, .external_lex_state = 2},
  [13132] = {.lex_state = 4, .external_lex_state = 7},
  [13133] = {.lex_state = 4, .external_lex_state = 7},
  [13134] = {.lex_state = 243, .external_lex_state = 2},
  [13135] = {.lex_state = 4, .external_lex_state = 7},
  [13136] = {.lex_state = 4, .external_lex_state = 7},
  [13137] = {.lex_state = 258, .external_lex_state = 2},
  [13138] = {.lex_state = 4, .external_lex_state = 7},
  [13139] = {.lex_state = 4, .external_lex_state = 7},
  [13140] = {.lex_state = 4, .external_lex_state = 7},
  [13141] = {.lex_state = 9, .external_lex_state = 2},
  [13142] = {.lex_state = 4, .external_lex_state = 7},
  [13143] = {.lex_state = 258, .external_lex_state = 2},
  [13144] = {.lex_state = 4, .external_lex_state = 7},
  [13145] = {.lex_state = 9, .external_lex_state = 2},
  [13146] = {.lex_state = 4, .external_lex_state = 7},
  [13147] = {.lex_state = 4, .external_lex_state = 7},
  [13148] = {.lex_state = 4, .external_lex_state = 7},
  [13149] = {.lex_state = 4, .external_lex_state = 7},
  [13150] = {.lex_state = 4, .external_lex_state = 7},
  [13151] = {.lex_state = 4, .external_lex_state = 7},
  [13152] = {.lex_state = 4, .external_lex_state = 7},
  [13153] = {.lex_state = 4, .external_lex_state = 7},
  [13154] = {.lex_state = 227, .external_lex_state = 2},
  [13155] = {.lex_state = 4, .external_lex_state = 7},
  [13156] = {.lex_state = 240, .external_lex_state = 2},
  [13157] = {.lex_state = 258, .external_lex_state = 2},
  [13158] = {.lex_state = 4, .external_lex_state = 7},
  [13159] = {.lex_state = 4, .external_lex_state = 7},
  [13160] = {.lex_state = 436, .external_lex_state = 2},
  [13161] = {.lex_state = 4, .external_lex_state = 7},
  [13162] = {.lex_state = 4, .external_lex_state = 7},
  [13163] = {.lex_state = 4, .external_lex_state = 7},
  [13164] = {.lex_state = 4, .external_lex_state = 7},
  [13165] = {.lex_state = 4, .external_lex_state = 7},
  [13166] = {.lex_state = 4, .external_lex_state = 7},
  [13167] = {.lex_state = 4, .external_lex_state = 7},
  [13168] = {.lex_state = 4, .external_lex_state = 7},
  [13169] = {.lex_state = 4, .external_lex_state = 7},
  [13170] = {.lex_state = 4, .external_lex_state = 7},
  [13171] = {.lex_state = 4, .external_lex_state = 7},
  [13172] = {.lex_state = 4, .external_lex_state = 7},
  [13173] = {.lex_state = 4, .external_lex_state = 7},
  [13174] = {.lex_state = 4, .external_lex_state = 7},
  [13175] = {.lex_state = 4, .external_lex_state = 7},
  [13176] = {.lex_state = 4, .external_lex_state = 7},
  [13177] = {.lex_state = 4, .external_lex_state = 7},
  [13178] = {.lex_state = 436, .external_lex_state = 2},
  [13179] = {.lex_state = 436, .external_lex_state = 2},
  [13180] = {.lex_state = 436, .external_lex_state = 2},
  [13181] = {.lex_state = 436, .external_lex_state = 2},
  [13182] = {.lex_state = 436, .external_lex_state = 2},
  [13183] = {.lex_state = 436, .external_lex_state = 2},
  [13184] = {.lex_state = 436, .external_lex_state = 2},
  [13185] = {.lex_state = 436, .external_lex_state = 2},
  [13186] = {.lex_state = 240, .external_lex_state = 2},
  [13187] = {.lex_state = 436, .external_lex_state = 2},
  [13188] = {.lex_state = 240, .external_lex_state = 2},
  [13189] = {.lex_state = 258, .external_lex_state = 2},
  [13190] = {.lex_state = 435, .external_lex_state = 2},
  [13191] = {.lex_state = 435, .external_lex_state = 2},
  [13192] = {.lex_state = 435, .external_lex_state = 2},
  [13193] = {.lex_state = 435, .external_lex_state = 2},
  [13194] = {.lex_state = 436, .external_lex_state = 2},
  [13195] = {.lex_state = 258, .external_lex_state = 2},
  [13196] = {.lex_state = 258, .external_lex_state = 2},
  [13197] = {.lex_state = 258, .external_lex_state = 2},
  [13198] = {.lex_state = 4, .external_lex_state = 7},
  [13199] = {.lex_state = 435, .external_lex_state = 2},
  [13200] = {.lex_state = 435, .external_lex_state = 2},
  [13201] = {.lex_state = 240, .external_lex_state = 2},
  [13202] = {.lex_state = 158, .external_lex_state = 2},
  [13203] = {.lex_state = 240, .external_lex_state = 2},
  [13204] = {.lex_state = 435, .external_lex_state = 2},
  [13205] = {.lex_state = 435, .external_lex_state = 2},
  [13206] = {.lex_state = 435, .external_lex_state = 2},
  [13207] = {.lex_state = 435, .external_lex_state = 2},
  [13208] = {.lex_state = 212, .external_lex_state = 2},
  [13209] = {.lex_state = 435, .external_lex_state = 2},
  [13210] = {.lex_state = 435, .external_lex_state = 2},
  [13211] = {.lex_state = 435, .external_lex_state = 2},
  [13212] = {.lex_state = 240, .external_lex_state = 2},
  [13213] = {.lex_state = 435, .external_lex_state = 2},
  [13214] = {.lex_state = 252, .external_lex_state = 6},
  [13215] = {.lex_state = 435, .external_lex_state = 2},
  [13216] = {.lex_state = 435, .external_lex_state = 2},
  [13217] = {.lex_state = 228, .external_lex_state = 2},
  [13218] = {.lex_state = 435, .external_lex_state = 2},
  [13219] = {.lex_state = 222, .external_lex_state = 2},
  [13220] = {.lex_state = 435, .external_lex_state = 2},
  [13221] = {.lex_state = 435, .external_lex_state = 2},
  [13222] = {.lex_state = 435, .external_lex_state = 2},
  [13223] = {.lex_state = 158, .external_lex_state = 2},
  [13224] = {.lex_state = 435, .external_lex_state = 2},
  [13225] = {.lex_state = 228, .external_lex_state = 2},
  [13226] = {.lex_state = 228, .external_lex_state = 2},
  [13227] = {.lex_state = 240, .external_lex_state = 2},
  [13228] = {.lex_state = 240, .external_lex_state = 2},
  [13229] = {.lex_state = 435, .external_lex_state = 2},
  [13230] = {.lex_state = 435, .external_lex_state = 2},
  [13231] = {.lex_state = 435, .external_lex_state = 2},
  [13232] = {.lex_state = 435, .external_lex_state = 2},
  [13233] = {.lex_state = 240, .external_lex_state = 2},
  [13234] = {.lex_state = 435, .external_lex_state = 2},
  [13235] = {.lex_state = 435, .external_lex_state = 2},
  [13236] = {.lex_state = 435, .external_lex_state = 2},
  [13237] = {.lex_state = 435, .external_lex_state = 2},
  [13238] = {.lex_state = 435, .external_lex_state = 2},
  [13239] = {.lex_state = 435, .external_lex_state = 2},
  [13240] = {.lex_state = 435, .external_lex_state = 2},
  [13241] = {.lex_state = 435, .external_lex_state = 2},
  [13242] = {.lex_state = 435, .external_lex_state = 2},
  [13243] = {.lex_state = 435, .external_lex_state = 2},
  [13244] = {.lex_state = 435, .external_lex_state = 2},
  [13245] = {.lex_state = 252, .external_lex_state = 6},
  [13246] = {.lex_state = 240, .external_lex_state = 2},
  [13247] = {.lex_state = 435, .external_lex_state = 2},
  [13248] = {.lex_state = 435, .external_lex_state = 2},
  [13249] = {.lex_state = 435, .external_lex_state = 2},
  [13250] = {.lex_state = 435, .external_lex_state = 2},
  [13251] = {.lex_state = 435, .external_lex_state = 2},
  [13252] = {.lex_state = 228, .external_lex_state = 2},
  [13253] = {.lex_state = 435, .external_lex_state = 2},
  [13254] = {.lex_state = 435, .external_lex_state = 2},
  [13255] = {.lex_state = 435, .external_lex_state = 2},
  [13256] = {.lex_state = 435, .external_lex_state = 2},
  [13257] = {.lex_state = 435, .external_lex_state = 2},
  [13258] = {.lex_state = 240, .external_lex_state = 2},
  [13259] = {.lex_state = 435, .external_lex_state = 2},
  [13260] = {.lex_state = 435, .external_lex_state = 2},
  [13261] = {.lex_state = 435, .external_lex_state = 2},
  [13262] = {.lex_state = 435, .external_lex_state = 2},
  [13263] = {.lex_state = 435, .external_lex_state = 2},
  [13264] = {.lex_state = 435, .external_lex_state = 2},
  [13265] = {.lex_state = 435, .external_lex_state = 2},
  [13266] = {.lex_state = 435, .external_lex_state = 2},
  [13267] = {.lex_state = 435, .external_lex_state = 2},
  [13268] = {.lex_state = 435, .external_lex_state = 2},
  [13269] = {.lex_state = 435, .external_lex_state = 2},
  [13270] = {.lex_state = 435, .external_lex_state = 2},
  [13271] = {.lex_state = 435, .external_lex_state = 2},
  [13272] = {.lex_state = 228, .external_lex_state = 2},
  [13273] = {.lex_state = 435, .external_lex_state = 2},
  [13274] = {.lex_state = 435, .external_lex_state = 2},
  [13275] = {.lex_state = 167, .external_lex_state = 2},
  [13276] = {.lex_state = 435, .external_lex_state = 2},
  [13277] = {.lex_state = 435, .external_lex_state = 2},
  [13278] = {.lex_state = 212, .external_lex_state = 2},
  [13279] = {.lex_state = 435, .external_lex_state = 2},
  [13280] = {.lex_state = 435, .external_lex_state = 8},
  [13281] = {.lex_state = 435, .external_lex_state = 8},
  [13282] = {.lex_state = 436, .external_lex_state = 2},
  [13283] = {.lex_state = 6, .external_lex_state = 2},
  [13284] = {.lex_state = 212, .external_lex_state = 2},
  [13285] = {.lex_state = 435, .external_lex_state = 2},
  [13286] = {.lex_state = 435, .external_lex_state = 2},
  [13287] = {.lex_state = 435, .external_lex_state = 2},
  [13288] = {.lex_state = 435, .external_lex_state = 2},
  [13289] = {.lex_state = 435, .external_lex_state = 2},
  [13290] = {.lex_state = 435, .external_lex_state = 2},
  [13291] = {.lex_state = 6, .external_lex_state = 2},
  [13292] = {.lex_state = 205, .external_lex_state = 2},
  [13293] = {.lex_state = 435, .external_lex_state = 2},
  [13294] = {.lex_state = 435, .external_lex_state = 2},
  [13295] = {.lex_state = 167, .external_lex_state = 2},
  [13296] = {.lex_state = 167, .external_lex_state = 2},
  [13297] = {.lex_state = 435, .external_lex_state = 2},
  [13298] = {.lex_state = 435, .external_lex_state = 2},
  [13299] = {.lex_state = 167, .external_lex_state = 2},
  [13300] = {.lex_state = 435, .external_lex_state = 2},
  [13301] = {.lex_state = 244, .external_lex_state = 2},
  [13302] = {.lex_state = 435, .external_lex_state = 2},
  [13303] = {.lex_state = 435, .external_lex_state = 2},
  [13304] = {.lex_state = 435, .external_lex_state = 2},
  [13305] = {.lex_state = 435, .external_lex_state = 8},
  [13306] = {.lex_state = 435, .external_lex_state = 8},
  [13307] = {.lex_state = 435, .external_lex_state = 2},
  [13308] = {.lex_state = 435, .external_lex_state = 2},
  [13309] = {.lex_state = 435, .external_lex_state = 2},
  [13310] = {.lex_state = 212, .external_lex_state = 2},
  [13311] = {.lex_state = 435, .external_lex_state = 2},
  [13312] = {.lex_state = 435, .external_lex_state = 2},
  [13313] = {.lex_state = 240, .external_lex_state = 2},
  [13314] = {.lex_state = 177, .external_lex_state = 2},
  [13315] = {.lex_state = 435, .external_lex_state = 2},
  [13316] = {.lex_state = 435, .external_lex_state = 2},
  [13317] = {.lex_state = 212, .external_lex_state = 2},
  [13318] = {.lex_state = 435, .external_lex_state = 2},
  [13319] = {.lex_state = 177, .external_lex_state = 2},
  [13320] = {.lex_state = 177, .external_lex_state = 2},
  [13321] = {.lex_state = 435, .external_lex_state = 8},
  [13322] = {.lex_state = 435, .external_lex_state = 8},
  [13323] = {.lex_state = 435, .external_lex_state = 2},
  [13324] = {.lex_state = 435, .external_lex_state = 2},
  [13325] = {.lex_state = 435, .external_lex_state = 2},
  [13326] = {.lex_state = 240, .external_lex_state = 2},
  [13327] = {.lex_state = 6, .external_lex_state = 2},
  [13328] = {.lex_state = 212, .external_lex_state = 2},
  [13329] = {.lex_state = 212, .external_lex_state = 2},
  [13330] = {.lex_state = 212, .external_lex_state = 2},
  [13331] = {.lex_state = 167, .external_lex_state = 2},
  [13332] = {.lex_state = 435, .external_lex_state = 8},
  [13333] = {.lex_state = 435, .external_lex_state = 8},
  [13334] = {.lex_state = 435, .external_lex_state = 2},
  [13335] = {.lex_state = 435, .external_lex_state = 2},
  [13336] = {.lex_state = 212, .external_lex_state = 2},
  [13337] = {.lex_state = 435, .external_lex_state = 2},
  [13338] = {.lex_state = 435, .external_lex_state = 2},
  [13339] = {.lex_state = 435, .external_lex_state = 2},
  [13340] = {.lex_state = 212, .external_lex_state = 2},
  [13341] = {.lex_state = 435, .external_lex_state = 2},
  [13342] = {.lex_state = 435, .external_lex_state = 2},
  [13343] = {.lex_state = 435, .external_lex_state = 2},
  [13344] = {.lex_state = 212, .external_lex_state = 2},
  [13345] = {.lex_state = 435, .external_lex_state = 8},
  [13346] = {.lex_state = 435, .external_lex_state = 2},
  [13347] = {.lex_state = 435, .external_lex_state = 2},
  [13348] = {.lex_state = 435, .external_lex_state = 2},
  [13349] = {.lex_state = 212, .external_lex_state = 2},
  [13350] = {.lex_state = 177, .external_lex_state = 2},
  [13351] = {.lex_state = 177, .external_lex_state = 2},
  [13352] = {.lex_state = 435, .external_lex_state = 2},
  [13353] = {.lex_state = 435, .external_lex_state = 2},
  [13354] = {.lex_state = 435, .external_lex_state = 2},
  [13355] = {.lex_state = 435, .external_lex_state = 2},
  [13356] = {.lex_state = 435, .external_lex_state = 2},
  [13357] = {.lex_state = 177, .external_lex_state = 2},
  [13358] = {.lex_state = 6, .external_lex_state = 2},
  [13359] = {.lex_state = 212, .external_lex_state = 2},
  [13360] = {.lex_state = 240, .external_lex_state = 2},
  [13361] = {.lex_state = 177, .external_lex_state = 2},
  [13362] = {.lex_state = 435, .external_lex_state = 2},
  [13363] = {.lex_state = 435, .external_lex_state = 2},
  [13364] = {.lex_state = 435, .external_lex_state = 2},
  [13365] = {.lex_state = 435, .external_lex_state = 2},
  [13366] = {.lex_state = 435, .external_lex_state = 2},
  [13367] = {.lex_state = 435, .external_lex_state = 2},
  [13368] = {.lex_state = 435, .external_lex_state = 2},
  [13369] = {.lex_state = 435, .external_lex_state = 2},
  [13370] = {.lex_state = 435, .external_lex_state = 2},
  [13371] = {.lex_state = 212, .external_lex_state = 2},
  [13372] = {.lex_state = 6, .external_lex_state = 2},
  [13373] = {.lex_state = 435, .external_lex_state = 2},
  [13374] = {.lex_state = 435, .external_lex_state = 2},
  [13375] = {.lex_state = 435, .external_lex_state = 2},
  [13376] = {.lex_state = 435, .external_lex_state = 2},
  [13377] = {.lex_state = 435, .external_lex_state = 2},
  [13378] = {.lex_state = 205, .external_lex_state = 2},
  [13379] = {.lex_state = 435, .external_lex_state = 2},
  [13380] = {.lex_state = 212, .external_lex_state = 2},
  [13381] = {.lex_state = 222, .external_lex_state = 2},
  [13382] = {.lex_state = 435, .external_lex_state = 2},
  [13383] = {.lex_state = 435, .external_lex_state = 2},
  [13384] = {.lex_state = 212, .external_lex_state = 2},
  [13385] = {.lex_state = 435, .external_lex_state = 2},
  [13386] = {.lex_state = 435, .external_lex_state = 2},
  [13387] = {.lex_state = 435, .external_lex_state = 2},
  [13388] = {.lex_state = 435, .external_lex_state = 2},
  [13389] = {.lex_state = 167, .external_lex_state = 2},
  [13390] = {.lex_state = 244, .external_lex_state = 2},
  [13391] = {.lex_state = 435, .external_lex_state = 2},
  [13392] = {.lex_state = 167, .external_lex_state = 2},
  [13393] = {.lex_state = 177, .external_lex_state = 2},
  [13394] = {.lex_state = 435, .external_lex_state = 2},
  [13395] = {.lex_state = 212, .external_lex_state = 2},
  [13396] = {.lex_state = 177, .external_lex_state = 2},
  [13397] = {.lex_state = 435, .external_lex_state = 2},
  [13398] = {.lex_state = 177, .external_lex_state = 2},
  [13399] = {.lex_state = 435, .external_lex_state = 2},
  [13400] = {.lex_state = 435, .external_lex_state = 2},
  [13401] = {.lex_state = 435, .external_lex_state = 2},
  [13402] = {.lex_state = 240, .external_lex_state = 2},
  [13403] = {.lex_state = 435, .external_lex_state = 2},
  [13404] = {.lex_state = 435, .external_lex_state = 2},
  [13405] = {.lex_state = 435, .external_lex_state = 2},
  [13406] = {.lex_state = 240, .external_lex_state = 2},
  [13407] = {.lex_state = 435, .external_lex_state = 2},
  [13408] = {.lex_state = 435, .external_lex_state = 2},
  [13409] = {.lex_state = 240, .external_lex_state = 2},
  [13410] = {.lex_state = 435, .external_lex_state = 2},
  [13411] = {.lex_state = 435, .external_lex_state = 2},
  [13412] = {.lex_state = 240, .external_lex_state = 2},
  [13413] = {.lex_state = 435, .external_lex_state = 2},
  [13414] = {.lex_state = 435, .external_lex_state = 2},
  [13415] = {.lex_state = 435, .external_lex_state = 2},
  [13416] = {.lex_state = 435, .external_lex_state = 2},
  [13417] = {.lex_state = 435, .external_lex_state = 2},
  [13418] = {.lex_state = 435, .external_lex_state = 2},
  [13419] = {.lex_state = 435, .external_lex_state = 2},
  [13420] = {.lex_state = 435, .external_lex_state = 2},
  [13421] = {.lex_state = 435, .external_lex_state = 2},
  [13422] = {.lex_state = 240, .external_lex_state = 2},
  [13423] = {.lex_state = 435, .external_lex_state = 2},
  [13424] = {.lex_state = 222, .external_lex_state = 2},
  [13425] = {.lex_state = 435, .external_lex_state = 2},
  [13426] = {.lex_state = 435, .external_lex_state = 2},
  [13427] = {.lex_state = 435, .external_lex_state = 2},
  [13428] = {.lex_state = 435, .external_lex_state = 2},
  [13429] = {.lex_state = 435, .external_lex_state = 2},
  [13430] = {.lex_state = 435, .external_lex_state = 2},
  [13431] = {.lex_state = 212, .external_lex_state = 2},
  [13432] = {.lex_state = 435, .external_lex_state = 2},
  [13433] = {.lex_state = 435, .external_lex_state = 2},
  [13434] = {.lex_state = 167, .external_lex_state = 2},
  [13435] = {.lex_state = 435, .external_lex_state = 2},
  [13436] = {.lex_state = 212, .external_lex_state = 2},
  [13437] = {.lex_state = 435, .external_lex_state = 2},
  [13438] = {.lex_state = 435, .external_lex_state = 2},
  [13439] = {.lex_state = 435, .external_lex_state = 2},
  [13440] = {.lex_state = 435, .external_lex_state = 2},
  [13441] = {.lex_state = 435, .external_lex_state = 2},
  [13442] = {.lex_state = 435, .external_lex_state = 2},
  [13443] = {.lex_state = 212, .external_lex_state = 2},
  [13444] = {.lex_state = 167, .external_lex_state = 2},
  [13445] = {.lex_state = 212, .external_lex_state = 2},
  [13446] = {.lex_state = 212, .external_lex_state = 2},
  [13447] = {.lex_state = 435, .external_lex_state = 2},
  [13448] = {.lex_state = 435, .external_lex_state = 2},
  [13449] = {.lex_state = 212, .external_lex_state = 2},
  [13450] = {.lex_state = 435, .external_lex_state = 2},
  [13451] = {.lex_state = 435, .external_lex_state = 2},
  [13452] = {.lex_state = 435, .external_lex_state = 2},
  [13453] = {.lex_state = 435, .external_lex_state = 2},
  [13454] = {.lex_state = 435, .external_lex_state = 2},
  [13455] = {.lex_state = 435, .external_lex_state = 2},
  [13456] = {.lex_state = 435, .external_lex_state = 2},
  [13457] = {.lex_state = 435, .external_lex_state = 2},
  [13458] = {.lex_state = 435, .external_lex_state = 2},
  [13459] = {.lex_state = 435, .external_lex_state = 2},
  [13460] = {.lex_state = 435, .external_lex_state = 2},
  [13461] = {.lex_state = 435, .external_lex_state = 2},
  [13462] = {.lex_state = 435, .external_lex_state = 2},
  [13463] = {.lex_state = 435, .external_lex_state = 2},
  [13464] = {.lex_state = 435, .external_lex_state = 2},
  [13465] = {.lex_state = 435, .external_lex_state = 2},
  [13466] = {.lex_state = 435, .external_lex_state = 2},
  [13467] = {.lex_state = 167, .external_lex_state = 2},
  [13468] = {.lex_state = 435, .external_lex_state = 2},
  [13469] = {.lex_state = 212, .external_lex_state = 2},
  [13470] = {.lex_state = 435, .external_lex_state = 2},
  [13471] = {.lex_state = 167, .external_lex_state = 2},
  [13472] = {.lex_state = 436, .external_lex_state = 2},
  [13473] = {.lex_state = 435, .external_lex_state = 2},
  [13474] = {.lex_state = 435, .external_lex_state = 2},
  [13475] = {.lex_state = 222, .external_lex_state = 2},
  [13476] = {.lex_state = 435, .external_lex_state = 2},
  [13477] = {.lex_state = 435, .external_lex_state = 2},
  [13478] = {.lex_state = 435, .external_lex_state = 2},
  [13479] = {.lex_state = 435, .external_lex_state = 8},
  [13480] = {.lex_state = 212, .external_lex_state = 2},
  [13481] = {.lex_state = 212, .external_lex_state = 2},
  [13482] = {.lex_state = 435, .external_lex_state = 2},
  [13483] = {.lex_state = 435, .external_lex_state = 2},
  [13484] = {.lex_state = 435, .external_lex_state = 2},
  [13485] = {.lex_state = 435, .external_lex_state = 2},
  [13486] = {.lex_state = 435, .external_lex_state = 2},
  [13487] = {.lex_state = 435, .external_lex_state = 2},
  [13488] = {.lex_state = 435, .external_lex_state = 2},
  [13489] = {.lex_state = 435, .external_lex_state = 2},
  [13490] = {.lex_state = 435, .external_lex_state = 2},
  [13491] = {.lex_state = 435, .external_lex_state = 2},
  [13492] = {.lex_state = 435, .external_lex_state = 8},
  [13493] = {.lex_state = 435, .external_lex_state = 8},
  [13494] = {.lex_state = 435, .external_lex_state = 2},
  [13495] = {.lex_state = 435, .external_lex_state = 2},
  [13496] = {.lex_state = 435, .external_lex_state = 2},
  [13497] = {.lex_state = 435, .external_lex_state = 2},
  [13498] = {.lex_state = 435, .external_lex_state = 2},
  [13499] = {.lex_state = 435, .external_lex_state = 2},
  [13500] = {.lex_state = 435, .external_lex_state = 2},
  [13501] = {.lex_state = 435, .external_lex_state = 2},
  [13502] = {.lex_state = 435, .external_lex_state = 2},
  [13503] = {.lex_state = 435, .external_lex_state = 2},
  [13504] = {.lex_state = 436, .external_lex_state = 2},
  [13505] = {.lex_state = 435, .external_lex_state = 2},
  [13506] = {.lex_state = 435, .external_lex_state = 2},
  [13507] = {.lex_state = 435, .external_lex_state = 2},
  [13508] = {.lex_state = 435, .external_lex_state = 2},
  [13509] = {.lex_state = 435, .external_lex_state = 2},
  [13510] = {.lex_state = 435, .external_lex_state = 2},
  [13511] = {.lex_state = 212, .external_lex_state = 2},
  [13512] = {.lex_state = 240, .external_lex_state = 2},
  [13513] = {.lex_state = 435, .external_lex_state = 2},
  [13514] = {.lex_state = 240, .external_lex_state = 2},
  [13515] = {.lex_state = 435, .external_lex_state = 2},
  [13516] = {.lex_state = 212, .external_lex_state = 2},
  [13517] = {.lex_state = 212, .external_lex_state = 2},
  [13518] = {.lex_state = 212, .external_lex_state = 2},
  [13519] = {.lex_state = 435, .external_lex_state = 2},
  [13520] = {.lex_state = 212, .external_lex_state = 2},
  [13521] = {.lex_state = 212, .external_lex_state = 2},
  [13522] = {.lex_state = 436, .external_lex_state = 2},
  [13523] = {.lex_state = 212, .external_lex_state = 2},
  [13524] = {.lex_state = 6, .external_lex_state = 2},
  [13525] = {.lex_state = 435, .external_lex_state = 2},
  [13526] = {.lex_state = 240, .external_lex_state = 2},
  [13527] = {.lex_state = 212, .external_lex_state = 2},
  [13528] = {.lex_state = 6, .external_lex_state = 2},
  [13529] = {.lex_state = 435, .external_lex_state = 2},
  [13530] = {.lex_state = 436, .external_lex_state = 2},
  [13531] = {.lex_state = 212, .external_lex_state = 2},
  [13532] = {.lex_state = 435, .external_lex_state = 2},
  [13533] = {.lex_state = 435, .external_lex_state = 2},
  [13534] = {.lex_state = 6, .external_lex_state = 2},
  [13535] = {.lex_state = 435, .external_lex_state = 2},
  [13536] = {.lex_state = 6, .external_lex_state = 2},
  [13537] = {.lex_state = 435, .external_lex_state = 2},
  [13538] = {.lex_state = 435, .external_lex_state = 2},
  [13539] = {.lex_state = 436, .external_lex_state = 2},
  [13540] = {.lex_state = 177, .external_lex_state = 2},
  [13541] = {.lex_state = 435, .external_lex_state = 2},
  [13542] = {.lex_state = 6, .external_lex_state = 2},
  [13543] = {.lex_state = 6, .external_lex_state = 2},
  [13544] = {.lex_state = 252, .external_lex_state = 6},
  [13545] = {.lex_state = 435, .external_lex_state = 2},
  [13546] = {.lex_state = 222, .external_lex_state = 2},
  [13547] = {.lex_state = 436, .external_lex_state = 2},
  [13548] = {.lex_state = 435, .external_lex_state = 2},
  [13549] = {.lex_state = 240, .external_lex_state = 2},
  [13550] = {.lex_state = 6, .external_lex_state = 2},
  [13551] = {.lex_state = 240, .external_lex_state = 2},
  [13552] = {.lex_state = 435, .external_lex_state = 2},
  [13553] = {.lex_state = 435, .external_lex_state = 2},
  [13554] = {.lex_state = 240, .external_lex_state = 2},
  [13555] = {.lex_state = 435, .external_lex_state = 2},
  [13556] = {.lex_state = 435, .external_lex_state = 2},
  [13557] = {.lex_state = 212, .external_lex_state = 2},
  [13558] = {.lex_state = 436, .external_lex_state = 2},
  [13559] = {.lex_state = 436, .external_lex_state = 2},
  [13560] = {.lex_state = 435, .external_lex_state = 2},
  [13561] = {.lex_state = 436, .external_lex_state = 2},
  [13562] = {.lex_state = 435, .external_lex_state = 2},
  [13563] = {.lex_state = 436, .external_lex_state = 2},
  [13564] = {.lex_state = 435, .external_lex_state = 2},
  [13565] = {.lex_state = 435, .external_lex_state = 2},
  [13566] = {.lex_state = 435, .external_lex_state = 2},
  [13567] = {.lex_state = 435, .external_lex_state = 8},
  [13568] = {.lex_state = 435, .external_lex_state = 2},
  [13569] = {.lex_state = 435, .external_lex_state = 8},
  [13570] = {.lex_state = 436, .external_lex_state = 2},
  [13571] = {.lex_state = 240, .external_lex_state = 2},
  [13572] = {.lex_state = 435, .external_lex_state = 2},
  [13573] = {.lex_state = 240, .external_lex_state = 2},
  [13574] = {.lex_state = 244, .external_lex_state = 2},
  [13575] = {.lex_state = 177, .external_lex_state = 2},
  [13576] = {.lex_state = 435, .external_lex_state = 2},
  [13577] = {.lex_state = 435, .external_lex_state = 2},
  [13578] = {.lex_state = 435, .external_lex_state = 2},
  [13579] = {.lex_state = 435, .external_lex_state = 2},
  [13580] = {.lex_state = 435, .external_lex_state = 2},
  [13581] = {.lex_state = 167, .external_lex_state = 2},
  [13582] = {.lex_state = 436, .external_lex_state = 2},
  [13583] = {.lex_state = 435, .external_lex_state = 2},
  [13584] = {.lex_state = 435, .external_lex_state = 2},
  [13585] = {.lex_state = 244, .external_lex_state = 2},
  [13586] = {.lex_state = 435, .external_lex_state = 2},
  [13587] = {.lex_state = 435, .external_lex_state = 2},
  [13588] = {.lex_state = 435, .external_lex_state = 2},
  [13589] = {.lex_state = 435, .external_lex_state = 2},
  [13590] = {.lex_state = 435, .external_lex_state = 2},
  [13591] = {.lex_state = 167, .external_lex_state = 2},
  [13592] = {.lex_state = 205, .external_lex_state = 2},
  [13593] = {.lex_state = 167, .external_lex_state = 2},
  [13594] = {.lex_state = 435, .external_lex_state = 2},
  [13595] = {.lex_state = 435, .external_lex_state = 2},
  [13596] = {.lex_state = 167, .external_lex_state = 2},
  [13597] = {.lex_state = 435, .external_lex_state = 8},
  [13598] = {.lex_state = 205, .external_lex_state = 2},
  [13599] = {.lex_state = 435, .external_lex_state = 2},
  [13600] = {.lex_state = 435, .external_lex_state = 2},
  [13601] = {.lex_state = 436, .external_lex_state = 2},
  [13602] = {.lex_state = 435, .external_lex_state = 2},
  [13603] = {.lex_state = 435, .external_lex_state = 2},
  [13604] = {.lex_state = 435, .external_lex_state = 2},
  [13605] = {.lex_state = 435, .external_lex_state = 2},
  [13606] = {.lex_state = 435, .external_lex_state = 2},
  [13607] = {.lex_state = 167, .external_lex_state = 2},
  [13608] = {.lex_state = 435, .external_lex_state = 2},
  [13609] = {.lex_state = 165, .external_lex_state = 2},
  [13610] = {.lex_state = 165, .external_lex_state = 2},
  [13611] = {.lex_state = 435, .external_lex_state = 2},
  [13612] = {.lex_state = 435, .external_lex_state = 2},
  [13613] = {.lex_state = 435, .external_lex_state = 2},
  [13614] = {.lex_state = 435, .external_lex_state = 2},
  [13615] = {.lex_state = 435, .external_lex_state = 2},
  [13616] = {.lex_state = 435, .external_lex_state = 2},
  [13617] = {.lex_state = 435, .external_lex_state = 2},
  [13618] = {.lex_state = 435, .external_lex_state = 2},
  [13619] = {.lex_state = 228, .external_lex_state = 2},
  [13620] = {.lex_state = 435, .external_lex_state = 2},
  [13621] = {.lex_state = 435, .external_lex_state = 2},
  [13622] = {.lex_state = 435, .external_lex_state = 2},
  [13623] = {.lex_state = 435, .external_lex_state = 2},
  [13624] = {.lex_state = 435, .external_lex_state = 2},
  [13625] = {.lex_state = 165, .external_lex_state = 2},
  [13626] = {.lex_state = 165, .external_lex_state = 2},
  [13627] = {.lex_state = 435, .external_lex_state = 2},
  [13628] = {.lex_state = 435, .external_lex_state = 2},
  [13629] = {.lex_state = 435, .external_lex_state = 2},
  [13630] = {.lex_state = 435, .external_lex_state = 2},
  [13631] = {.lex_state = 435, .external_lex_state = 2},
  [13632] = {.lex_state = 435, .external_lex_state = 2},
  [13633] = {.lex_state = 167, .external_lex_state = 2},
  [13634] = {.lex_state = 435, .external_lex_state = 2},
  [13635] = {.lex_state = 435, .external_lex_state = 2},
  [13636] = {.lex_state = 435, .external_lex_state = 2},
  [13637] = {.lex_state = 165, .external_lex_state = 2},
  [13638] = {.lex_state = 435, .external_lex_state = 2},
  [13639] = {.lex_state = 435, .external_lex_state = 2},
  [13640] = {.lex_state = 435, .external_lex_state = 2},
  [13641] = {.lex_state = 167, .external_lex_state = 2},
  [13642] = {.lex_state = 435, .external_lex_state = 2},
  [13643] = {.lex_state = 435, .external_lex_state = 2},
  [13644] = {.lex_state = 435, .external_lex_state = 2},
  [13645] = {.lex_state = 435, .external_lex_state = 2},
  [13646] = {.lex_state = 435, .external_lex_state = 2},
  [13647] = {.lex_state = 435, .external_lex_state = 2},
  [13648] = {.lex_state = 435, .external_lex_state = 2},
  [13649] = {.lex_state = 435, .external_lex_state = 2},
  [13650] = {.lex_state = 435, .external_lex_state = 2},
  [13651] = {.lex_state = 435, .external_lex_state = 2},
  [13652] = {.lex_state = 435, .external_lex_state = 2},
  [13653] = {.lex_state = 435, .external_lex_state = 2},
  [13654] = {.lex_state = 435, .external_lex_state = 2},
  [13655] = {.lex_state = 435, .external_lex_state = 2},
  [13656] = {.lex_state = 435, .external_lex_state = 2},
  [13657] = {.lex_state = 435, .external_lex_state = 2},
  [13658] = {.lex_state = 435, .external_lex_state = 2},
  [13659] = {.lex_state = 435, .external_lex_state = 2},
  [13660] = {.lex_state = 435, .external_lex_state = 2},
  [13661] = {.lex_state = 435, .external_lex_state = 2},
  [13662] = {.lex_state = 435, .external_lex_state = 2},
  [13663] = {.lex_state = 435, .external_lex_state = 2},
  [13664] = {.lex_state = 435, .external_lex_state = 2},
  [13665] = {.lex_state = 435, .external_lex_state = 2},
  [13666] = {.lex_state = 167, .external_lex_state = 2},
  [13667] = {.lex_state = 167, .external_lex_state = 2},
  [13668] = {.lex_state = 167, .external_lex_state = 2},
  [13669] = {.lex_state = 167, .external_lex_state = 2},
  [13670] = {.lex_state = 167, .external_lex_state = 2},
  [13671] = {.lex_state = 435, .external_lex_state = 2},
  [13672] = {.lex_state = 435, .external_lex_state = 2},
  [13673] = {.lex_state = 167, .external_lex_state = 2},
  [13674] = {.lex_state = 435, .external_lex_state = 2},
  [13675] = {.lex_state = 435, .external_lex_state = 2},
  [13676] = {.lex_state = 435, .external_lex_state = 2},
  [13677] = {.lex_state = 435, .external_lex_state = 2},
  [13678] = {.lex_state = 435, .external_lex_state = 2},
  [13679] = {.lex_state = 435, .external_lex_state = 2},
  [13680] = {.lex_state = 435, .external_lex_state = 2},
  [13681] = {.lex_state = 435, .external_lex_state = 2},
  [13682] = {.lex_state = 435, .external_lex_state = 2},
  [13683] = {.lex_state = 228, .external_lex_state = 2},
  [13684] = {.lex_state = 435, .external_lex_state = 2},
  [13685] = {.lex_state = 435, .external_lex_state = 2},
  [13686] = {.lex_state = 167, .external_lex_state = 2},
  [13687] = {.lex_state = 435, .external_lex_state = 2},
  [13688] = {.lex_state = 167, .external_lex_state = 2},
  [13689] = {.lex_state = 435, .external_lex_state = 2},
  [13690] = {.lex_state = 435, .external_lex_state = 2},
  [13691] = {.lex_state = 435, .external_lex_state = 2},
  [13692] = {.lex_state = 435, .external_lex_state = 2},
  [13693] = {.lex_state = 435, .external_lex_state = 2},
  [13694] = {.lex_state = 435, .external_lex_state = 2},
  [13695] = {.lex_state = 435, .external_lex_state = 2},
  [13696] = {.lex_state = 435, .external_lex_state = 2},
  [13697] = {.lex_state = 435, .external_lex_state = 2},
  [13698] = {.lex_state = 435, .external_lex_state = 2},
  [13699] = {.lex_state = 167, .external_lex_state = 2},
  [13700] = {.lex_state = 435, .external_lex_state = 2},
  [13701] = {.lex_state = 167, .external_lex_state = 2},
  [13702] = {.lex_state = 435, .external_lex_state = 2},
  [13703] = {.lex_state = 167, .external_lex_state = 2},
  [13704] = {.lex_state = 435, .external_lex_state = 2},
  [13705] = {.lex_state = 435, .external_lex_state = 2},
  [13706] = {.lex_state = 435, .external_lex_state = 2},
  [13707] = {.lex_state = 435, .external_lex_state = 2},
  [13708] = {.lex_state = 435, .external_lex_state = 2},
  [13709] = {.lex_state = 435, .external_lex_state = 2},
  [13710] = {.lex_state = 435, .external_lex_state = 2},
  [13711] = {.lex_state = 435, .external_lex_state = 2},
  [13712] = {.lex_state = 435, .external_lex_state = 2},
  [13713] = {.lex_state = 435, .external_lex_state = 2},
  [13714] = {.lex_state = 435, .external_lex_state = 2},
  [13715] = {.lex_state = 435, .external_lex_state = 2},
  [13716] = {.lex_state = 167, .external_lex_state = 2},
  [13717] = {.lex_state = 167, .external_lex_state = 2},
  [13718] = {.lex_state = 435, .external_lex_state = 2},
  [13719] = {.lex_state = 167, .external_lex_state = 2},
  [13720] = {.lex_state = 435, .external_lex_state = 2},
  [13721] = {.lex_state = 435, .external_lex_state = 2},
  [13722] = {.lex_state = 167, .external_lex_state = 2},
  [13723] = {.lex_state = 165, .external_lex_state = 2},
  [13724] = {.lex_state = 435, .external_lex_state = 2},
  [13725] = {.lex_state = 167, .external_lex_state = 2},
  [13726] = {.lex_state = 435, .external_lex_state = 2},
  [13727] = {.lex_state = 435, .external_lex_state = 2},
  [13728] = {.lex_state = 167, .external_lex_state = 2},
  [13729] = {.lex_state = 435, .external_lex_state = 2},
  [13730] = {.lex_state = 435, .external_lex_state = 2},
  [13731] = {.lex_state = 435, .external_lex_state = 2},
  [13732] = {.lex_state = 435, .external_lex_state = 2},
  [13733] = {.lex_state = 435, .external_lex_state = 2},
  [13734] = {.lex_state = 435, .external_lex_state = 2},
  [13735] = {.lex_state = 435, .external_lex_state = 2},
  [13736] = {.lex_state = 435, .external_lex_state = 2},
  [13737] = {.lex_state = 435, .external_lex_state = 2},
  [13738] = {.lex_state = 435, .external_lex_state = 2},
  [13739] = {.lex_state = 435, .external_lex_state = 2},
  [13740] = {.lex_state = 435, .external_lex_state = 2},
  [13741] = {.lex_state = 435, .external_lex_state = 2},
  [13742] = {.lex_state = 435, .external_lex_state = 2},
  [13743] = {.lex_state = 435, .external_lex_state = 2},
  [13744] = {.lex_state = 435, .external_lex_state = 2},
  [13745] = {.lex_state = 165, .external_lex_state = 2},
  [13746] = {.lex_state = 435, .external_lex_state = 2},
  [13747] = {.lex_state = 435, .external_lex_state = 2},
  [13748] = {.lex_state = 435, .external_lex_state = 2},
  [13749] = {.lex_state = 435, .external_lex_state = 2},
  [13750] = {.lex_state = 435, .external_lex_state = 2},
  [13751] = {.lex_state = 167, .external_lex_state = 2},
  [13752] = {.lex_state = 435, .external_lex_state = 2},
  [13753] = {.lex_state = 435, .external_lex_state = 2},
  [13754] = {.lex_state = 167, .external_lex_state = 2},
  [13755] = {.lex_state = 167, .external_lex_state = 2},
  [13756] = {.lex_state = 435, .external_lex_state = 2},
  [13757] = {.lex_state = 167, .external_lex_state = 2},
  [13758] = {.lex_state = 167, .external_lex_state = 2},
  [13759] = {.lex_state = 167, .external_lex_state = 2},
  [13760] = {.lex_state = 435, .external_lex_state = 2},
  [13761] = {.lex_state = 167, .external_lex_state = 2},
  [13762] = {.lex_state = 167, .external_lex_state = 2},
  [13763] = {.lex_state = 435, .external_lex_state = 2},
  [13764] = {.lex_state = 435, .external_lex_state = 2},
  [13765] = {.lex_state = 167, .external_lex_state = 2},
  [13766] = {.lex_state = 435, .external_lex_state = 2},
  [13767] = {.lex_state = 435, .external_lex_state = 2},
  [13768] = {.lex_state = 435, .external_lex_state = 2},
  [13769] = {.lex_state = 167, .external_lex_state = 2},
  [13770] = {.lex_state = 435, .external_lex_state = 2},
  [13771] = {.lex_state = 435, .external_lex_state = 2},
  [13772] = {.lex_state = 435, .external_lex_state = 2},
  [13773] = {.lex_state = 435, .external_lex_state = 2},
  [13774] = {.lex_state = 435, .external_lex_state = 2},
  [13775] = {.lex_state = 435, .external_lex_state = 2},
  [13776] = {.lex_state = 435, .external_lex_state = 2},
  [13777] = {.lex_state = 167, .external_lex_state = 2},
  [13778] = {.lex_state = 435, .external_lex_state = 2},
  [13779] = {.lex_state = 435, .external_lex_state = 2},
  [13780] = {.lex_state = 167, .external_lex_state = 2},
  [13781] = {.lex_state = 167, .external_lex_state = 2},
  [13782] = {.lex_state = 167, .external_lex_state = 2},
  [13783] = {.lex_state = 435, .external_lex_state = 2},
  [13784] = {.lex_state = 435, .external_lex_state = 2},
  [13785] = {.lex_state = 435, .external_lex_state = 2},
  [13786] = {.lex_state = 435, .external_lex_state = 2},
  [13787] = {.lex_state = 435, .external_lex_state = 2},
  [13788] = {.lex_state = 435, .external_lex_state = 2},
  [13789] = {.lex_state = 435, .external_lex_state = 2},
  [13790] = {.lex_state = 435, .external_lex_state = 2},
  [13791] = {.lex_state = 435, .external_lex_state = 2},
  [13792] = {.lex_state = 435, .external_lex_state = 2},
  [13793] = {.lex_state = 435, .external_lex_state = 2},
  [13794] = {.lex_state = 435, .external_lex_state = 2},
  [13795] = {.lex_state = 165, .external_lex_state = 2},
  [13796] = {.lex_state = 435, .external_lex_state = 2},
  [13797] = {.lex_state = 167, .external_lex_state = 2},
  [13798] = {.lex_state = 435, .external_lex_state = 2},
  [13799] = {.lex_state = 167, .external_lex_state = 2},
  [13800] = {.lex_state = 435, .external_lex_state = 2},
  [13801] = {.lex_state = 435, .external_lex_state = 2},
  [13802] = {.lex_state = 167, .external_lex_state = 2},
  [13803] = {.lex_state = 167, .external_lex_state = 2},
  [13804] = {.lex_state = 435, .external_lex_state = 2},
  [13805] = {.lex_state = 435, .external_lex_state = 2},
  [13806] = {.lex_state = 167, .external_lex_state = 2},
  [13807] = {.lex_state = 167, .external_lex_state = 2},
  [13808] = {.lex_state = 167, .external_lex_state = 2},
  [13809] = {.lex_state = 165, .external_lex_state = 2},
  [13810] = {.lex_state = 165, .external_lex_state = 2},
  [13811] = {.lex_state = 435, .external_lex_state = 2},
  [13812] = {.lex_state = 167, .external_lex_state = 2},
  [13813] = {.lex_state = 167, .external_lex_state = 2},
  [13814] = {.lex_state = 435, .external_lex_state = 2},
  [13815] = {.lex_state = 435, .external_lex_state = 2},
  [13816] = {.lex_state = 167, .external_lex_state = 2},
  [13817] = {.lex_state = 435, .external_lex_state = 2},
  [13818] = {.lex_state = 435, .external_lex_state = 2},
  [13819] = {.lex_state = 167, .external_lex_state = 2},
  [13820] = {.lex_state = 435, .external_lex_state = 2},
  [13821] = {.lex_state = 167, .external_lex_state = 2},
  [13822] = {.lex_state = 167, .external_lex_state = 2},
  [13823] = {.lex_state = 167, .external_lex_state = 2},
  [13824] = {.lex_state = 435, .external_lex_state = 2},
  [13825] = {.lex_state = 435, .external_lex_state = 2},
  [13826] = {.lex_state = 435, .external_lex_state = 2},
  [13827] = {.lex_state = 435, .external_lex_state = 2},
  [13828] = {.lex_state = 167, .external_lex_state = 2},
  [13829] = {.lex_state = 167, .external_lex_state = 2},
  [13830] = {.lex_state = 167, .external_lex_state = 2},
  [13831] = {.lex_state = 435, .external_lex_state = 2},
  [13832] = {.lex_state = 167, .external_lex_state = 2},
  [13833] = {.lex_state = 167, .external_lex_state = 2},
  [13834] = {.lex_state = 435, .external_lex_state = 2},
  [13835] = {.lex_state = 435, .external_lex_state = 2},
  [13836] = {.lex_state = 435, .external_lex_state = 2},
  [13837] = {.lex_state = 167, .external_lex_state = 2},
  [13838] = {.lex_state = 435, .external_lex_state = 2},
  [13839] = {.lex_state = 167, .external_lex_state = 2},
  [13840] = {.lex_state = 167, .external_lex_state = 2},
  [13841] = {.lex_state = 435, .external_lex_state = 2},
  [13842] = {.lex_state = 435, .external_lex_state = 2},
  [13843] = {.lex_state = 435, .external_lex_state = 2},
  [13844] = {.lex_state = 435, .external_lex_state = 2},
  [13845] = {.lex_state = 435, .external_lex_state = 2},
  [13846] = {.lex_state = 167, .external_lex_state = 2},
  [13847] = {.lex_state = 435, .external_lex_state = 2},
  [13848] = {.lex_state = 435, .external_lex_state = 2},
  [13849] = {.lex_state = 167, .external_lex_state = 2},
  [13850] = {.lex_state = 435, .external_lex_state = 2},
  [13851] = {.lex_state = 435, .external_lex_state = 2},
  [13852] = {.lex_state = 435, .external_lex_state = 2},
  [13853] = {.lex_state = 435, .external_lex_state = 2},
  [13854] = {.lex_state = 435, .external_lex_state = 2},
  [13855] = {.lex_state = 435, .external_lex_state = 2},
  [13856] = {.lex_state = 167, .external_lex_state = 2},
  [13857] = {.lex_state = 435, .external_lex_state = 2},
  [13858] = {.lex_state = 435, .external_lex_state = 2},
  [13859] = {.lex_state = 228, .external_lex_state = 2},
  [13860] = {.lex_state = 435, .external_lex_state = 2},
  [13861] = {.lex_state = 435, .external_lex_state = 2},
  [13862] = {.lex_state = 435, .external_lex_state = 2},
  [13863] = {.lex_state = 435, .external_lex_state = 2},
  [13864] = {.lex_state = 435, .external_lex_state = 2},
  [13865] = {.lex_state = 435, .external_lex_state = 2},
  [13866] = {.lex_state = 167, .external_lex_state = 2},
  [13867] = {.lex_state = 167, .external_lex_state = 2},
  [13868] = {.lex_state = 167, .external_lex_state = 2},
  [13869] = {.lex_state = 165, .external_lex_state = 2},
  [13870] = {.lex_state = 165, .external_lex_state = 2},
  [13871] = {.lex_state = 435, .external_lex_state = 2},
  [13872] = {.lex_state = 167, .external_lex_state = 2},
  [13873] = {.lex_state = 435, .external_lex_state = 2},
  [13874] = {.lex_state = 167, .external_lex_state = 2},
  [13875] = {.lex_state = 435, .external_lex_state = 2},
  [13876] = {.lex_state = 167, .external_lex_state = 2},
  [13877] = {.lex_state = 167, .external_lex_state = 2},
  [13878] = {.lex_state = 167, .external_lex_state = 2},
  [13879] = {.lex_state = 167, .external_lex_state = 2},
  [13880] = {.lex_state = 167, .external_lex_state = 2},
  [13881] = {.lex_state = 167, .external_lex_state = 2},
  [13882] = {.lex_state = 167, .external_lex_state = 2},
  [13883] = {.lex_state = 435, .external_lex_state = 2},
  [13884] = {.lex_state = 435, .external_lex_state = 2},
  [13885] = {.lex_state = 435, .external_lex_state = 2},
  [13886] = {.lex_state = 435, .external_lex_state = 2},
  [13887] = {.lex_state = 435, .external_lex_state = 2},
  [13888] = {.lex_state = 435, .external_lex_state = 2},
  [13889] = {.lex_state = 435, .external_lex_state = 2},
  [13890] = {.lex_state = 435, .external_lex_state = 2},
  [13891] = {.lex_state = 167, .external_lex_state = 2},
  [13892] = {.lex_state = 435, .external_lex_state = 2},
  [13893] = {.lex_state = 435, .external_lex_state = 2},
  [13894] = {.lex_state = 435, .external_lex_state = 2},
  [13895] = {.lex_state = 435, .external_lex_state = 2},
  [13896] = {.lex_state = 167, .external_lex_state = 2},
  [13897] = {.lex_state = 435, .external_lex_state = 2},
  [13898] = {.lex_state = 435, .external_lex_state = 2},
  [13899] = {.lex_state = 435, .external_lex_state = 2},
  [13900] = {.lex_state = 435, .external_lex_state = 2},
  [13901] = {.lex_state = 435, .external_lex_state = 2},
  [13902] = {.lex_state = 435, .external_lex_state = 2},
  [13903] = {.lex_state = 435, .external_lex_state = 2},
  [13904] = {.lex_state = 435, .external_lex_state = 2},
  [13905] = {.lex_state = 167, .external_lex_state = 2},
  [13906] = {.lex_state = 435, .external_lex_state = 2},
  [13907] = {.lex_state = 435, .external_lex_state = 2},
  [13908] = {.lex_state = 435, .external_lex_state = 2},
  [13909] = {.lex_state = 435, .external_lex_state = 2},
  [13910] = {.lex_state = 435, .external_lex_state = 2},
  [13911] = {.lex_state = 435, .external_lex_state = 2},
  [13912] = {.lex_state = 435, .external_lex_state = 2},
  [13913] = {.lex_state = 435, .external_lex_state = 2},
  [13914] = {.lex_state = 435, .external_lex_state = 2},
  [13915] = {.lex_state = 435, .external_lex_state = 2},
  [13916] = {.lex_state = 435, .external_lex_state = 2},
  [13917] = {.lex_state = 435, .external_lex_state = 2},
  [13918] = {.lex_state = 435, .external_lex_state = 2},
  [13919] = {.lex_state = 435, .external_lex_state = 2},
  [13920] = {.lex_state = 435, .external_lex_state = 2},
  [13921] = {.lex_state = 435, .external_lex_state = 2},
  [13922] = {.lex_state = 167, .external_lex_state = 2},
  [13923] = {.lex_state = 167, .external_lex_state = 2},
  [13924] = {.lex_state = 167, .external_lex_state = 2},
  [13925] = {.lex_state = 435, .external_lex_state = 2},
  [13926] = {.lex_state = 435, .external_lex_state = 2},
  [13927] = {.lex_state = 212, .external_lex_state = 2},
  [13928] = {.lex_state = 19, .external_lex_state = 2},
  [13929] = {.lex_state = 435, .external_lex_state = 2},
  [13930] = {.lex_state = 435, .external_lex_state = 2},
  [13931] = {.lex_state = 19, .external_lex_state = 2},
  [13932] = {.lex_state = 19, .external_lex_state = 2},
  [13933] = {.lex_state = 435, .external_lex_state = 2},
  [13934] = {.lex_state = 435, .external_lex_state = 2},
  [13935] = {.lex_state = 435, .external_lex_state = 2},
  [13936] = {.lex_state = 435, .external_lex_state = 2},
  [13937] = {.lex_state = 435, .external_lex_state = 2},
  [13938] = {.lex_state = 435, .external_lex_state = 2},
  [13939] = {.lex_state = 435, .external_lex_state = 2},
  [13940] = {.lex_state = 435, .external_lex_state = 2},
  [13941] = {.lex_state = 19, .external_lex_state = 2},
  [13942] = {.lex_state = 435, .external_lex_state = 2},
  [13943] = {.lex_state = 435, .external_lex_state = 2},
  [13944] = {.lex_state = 435, .external_lex_state = 2},
  [13945] = {.lex_state = 435, .external_lex_state = 2},
  [13946] = {.lex_state = 435, .external_lex_state = 2},
  [13947] = {.lex_state = 19, .external_lex_state = 2},
  [13948] = {.lex_state = 19, .external_lex_state = 2},
  [13949] = {.lex_state = 435, .external_lex_state = 2},
  [13950] = {.lex_state = 435, .external_lex_state = 2},
  [13951] = {.lex_state = 435, .external_lex_state = 2},
  [13952] = {.lex_state = 435, .external_lex_state = 2},
  [13953] = {.lex_state = 19, .external_lex_state = 2},
  [13954] = {.lex_state = 435, .external_lex_state = 2},
  [13955] = {.lex_state = 435, .external_lex_state = 2},
  [13956] = {.lex_state = 435, .external_lex_state = 2},
  [13957] = {.lex_state = 435, .external_lex_state = 2},
  [13958] = {.lex_state = 435, .external_lex_state = 2},
  [13959] = {.lex_state = 435, .external_lex_state = 2},
  [13960] = {.lex_state = 435, .external_lex_state = 2},
  [13961] = {.lex_state = 435, .external_lex_state = 2},
  [13962] = {.lex_state = 435, .external_lex_state = 2},
  [13963] = {.lex_state = 435, .external_lex_state = 2},
  [13964] = {.lex_state = 435, .external_lex_state = 2},
  [13965] = {.lex_state = 435, .external_lex_state = 2},
  [13966] = {.lex_state = 19, .external_lex_state = 2},
  [13967] = {.lex_state = 19, .external_lex_state = 2},
  [13968] = {.lex_state = 435, .external_lex_state = 2},
  [13969] = {.lex_state = 435, .external_lex_state = 2},
  [13970] = {.lex_state = 19, .external_lex_state = 2},
  [13971] = {.lex_state = 435, .external_lex_state = 2},
  [13972] = {.lex_state = 435, .external_lex_state = 2},
  [13973] = {.lex_state = 435, .external_lex_state = 2},
  [13974] = {.lex_state = 19, .external_lex_state = 2},
  [13975] = {.lex_state = 435, .external_lex_state = 2},
  [13976] = {.lex_state = 435, .external_lex_state = 2},
  [13977] = {.lex_state = 435, .external_lex_state = 2},
  [13978] = {.lex_state = 435, .external_lex_state = 2},
  [13979] = {.lex_state = 435, .external_lex_state = 2},
  [13980] = {.lex_state = 435, .external_lex_state = 2},
  [13981] = {.lex_state = 435, .external_lex_state = 2},
  [13982] = {.lex_state = 435, .external_lex_state = 2},
  [13983] = {.lex_state = 19, .external_lex_state = 2},
  [13984] = {.lex_state = 435, .external_lex_state = 2},
  [13985] = {.lex_state = 435, .external_lex_state = 2},
  [13986] = {.lex_state = 19, .external_lex_state = 2},
  [13987] = {.lex_state = 240, .external_lex_state = 2},
  [13988] = {.lex_state = 435, .external_lex_state = 2},
  [13989] = {.lex_state = 435, .external_lex_state = 2},
  [13990] = {.lex_state = 19, .external_lex_state = 2},
  [13991] = {.lex_state = 435, .external_lex_state = 2},
  [13992] = {.lex_state = 19, .external_lex_state = 2},
  [13993] = {.lex_state = 19, .external_lex_state = 2},
  [13994] = {.lex_state = 435, .external_lex_state = 2},
  [13995] = {.lex_state = 19, .external_lex_state = 2},
  [13996] = {.lex_state = 435, .external_lex_state = 2},
  [13997] = {.lex_state = 435, .external_lex_state = 2},
  [13998] = {.lex_state = 240, .external_lex_state = 2},
  [13999] = {.lex_state = 19, .external_lex_state = 2},
  [14000] = {.lex_state = 435, .external_lex_state = 2},
  [14001] = {.lex_state = 435, .external_lex_state = 2},
  [14002] = {.lex_state = 19, .external_lex_state = 2},
  [14003] = {.lex_state = 6, .external_lex_state = 2},
  [14004] = {.lex_state = 158, .external_lex_state = 2},
  [14005] = {.lex_state = 435, .external_lex_state = 2},
  [14006] = {.lex_state = 435, .external_lex_state = 2},
  [14007] = {.lex_state = 19, .external_lex_state = 2},
  [14008] = {.lex_state = 435, .external_lex_state = 2},
  [14009] = {.lex_state = 435, .external_lex_state = 2},
  [14010] = {.lex_state = 435, .external_lex_state = 2},
  [14011] = {.lex_state = 158, .external_lex_state = 2},
  [14012] = {.lex_state = 435, .external_lex_state = 2},
  [14013] = {.lex_state = 435, .external_lex_state = 2},
  [14014] = {.lex_state = 435, .external_lex_state = 2},
  [14015] = {.lex_state = 435, .external_lex_state = 2},
  [14016] = {.lex_state = 158, .external_lex_state = 2},
  [14017] = {.lex_state = 435, .external_lex_state = 2},
  [14018] = {.lex_state = 435, .external_lex_state = 2},
  [14019] = {.lex_state = 435, .external_lex_state = 2},
  [14020] = {.lex_state = 435, .external_lex_state = 2},
  [14021] = {.lex_state = 435, .external_lex_state = 2},
  [14022] = {.lex_state = 19, .external_lex_state = 2},
  [14023] = {.lex_state = 19, .external_lex_state = 2},
  [14024] = {.lex_state = 435, .external_lex_state = 2},
  [14025] = {.lex_state = 435, .external_lex_state = 2},
  [14026] = {.lex_state = 158, .external_lex_state = 2},
  [14027] = {.lex_state = 435, .external_lex_state = 2},
  [14028] = {.lex_state = 435, .external_lex_state = 2},
  [14029] = {.lex_state = 228, .external_lex_state = 2},
  [14030] = {.lex_state = 19, .external_lex_state = 2},
  [14031] = {.lex_state = 19, .external_lex_state = 2},
  [14032] = {.lex_state = 435, .external_lex_state = 2},
  [14033] = {.lex_state = 435, .external_lex_state = 2},
  [14034] = {.lex_state = 435, .external_lex_state = 2},
  [14035] = {.lex_state = 435, .external_lex_state = 2},
  [14036] = {.lex_state = 435, .external_lex_state = 2},
  [14037] = {.lex_state = 435, .external_lex_state = 2},
  [14038] = {.lex_state = 435, .external_lex_state = 2},
  [14039] = {.lex_state = 435, .external_lex_state = 2},
  [14040] = {.lex_state = 158, .external_lex_state = 2},
  [14041] = {.lex_state = 19, .external_lex_state = 2},
  [14042] = {.lex_state = 19, .external_lex_state = 2},
  [14043] = {.lex_state = 435, .external_lex_state = 2},
  [14044] = {.lex_state = 435, .external_lex_state = 2},
  [14045] = {.lex_state = 435, .external_lex_state = 2},
  [14046] = {.lex_state = 435, .external_lex_state = 2},
  [14047] = {.lex_state = 435, .external_lex_state = 2},
  [14048] = {.lex_state = 158, .external_lex_state = 2},
  [14049] = {.lex_state = 228, .external_lex_state = 2},
  [14050] = {.lex_state = 435, .external_lex_state = 2},
  [14051] = {.lex_state = 435, .external_lex_state = 2},
  [14052] = {.lex_state = 435, .external_lex_state = 2},
  [14053] = {.lex_state = 435, .external_lex_state = 2},
  [14054] = {.lex_state = 435, .external_lex_state = 2},
  [14055] = {.lex_state = 19, .external_lex_state = 2},
  [14056] = {.lex_state = 435, .external_lex_state = 2},
  [14057] = {.lex_state = 19, .external_lex_state = 2},
  [14058] = {.lex_state = 435, .external_lex_state = 2},
  [14059] = {.lex_state = 158, .external_lex_state = 2},
  [14060] = {.lex_state = 19, .external_lex_state = 2},
  [14061] = {.lex_state = 435, .external_lex_state = 2},
  [14062] = {.lex_state = 435, .external_lex_state = 2},
  [14063] = {.lex_state = 435, .external_lex_state = 2},
  [14064] = {.lex_state = 435, .external_lex_state = 2},
  [14065] = {.lex_state = 435, .external_lex_state = 2},
  [14066] = {.lex_state = 435, .external_lex_state = 2},
  [14067] = {.lex_state = 19, .external_lex_state = 2},
  [14068] = {.lex_state = 435, .external_lex_state = 2},
  [14069] = {.lex_state = 19, .external_lex_state = 2},
  [14070] = {.lex_state = 435, .external_lex_state = 2},
  [14071] = {.lex_state = 435, .external_lex_state = 2},
  [14072] = {.lex_state = 435, .external_lex_state = 2},
  [14073] = {.lex_state = 435, .external_lex_state = 2},
  [14074] = {.lex_state = 435, .external_lex_state = 2},
  [14075] = {.lex_state = 435, .external_lex_state = 2},
  [14076] = {.lex_state = 435, .external_lex_state = 2},
  [14077] = {.lex_state = 435, .external_lex_state = 2},
  [14078] = {.lex_state = 19, .external_lex_state = 2},
  [14079] = {.lex_state = 435, .external_lex_state = 2},
  [14080] = {.lex_state = 435, .external_lex_state = 2},
  [14081] = {.lex_state = 435, .external_lex_state = 2},
  [14082] = {.lex_state = 435, .external_lex_state = 2},
  [14083] = {.lex_state = 435, .external_lex_state = 2},
  [14084] = {.lex_state = 435, .external_lex_state = 2},
  [14085] = {.lex_state = 435, .external_lex_state = 2},
  [14086] = {.lex_state = 19, .external_lex_state = 2},
  [14087] = {.lex_state = 435, .external_lex_state = 2},
  [14088] = {.lex_state = 435, .external_lex_state = 2},
  [14089] = {.lex_state = 212, .external_lex_state = 2},
  [14090] = {.lex_state = 435, .external_lex_state = 2},
  [14091] = {.lex_state = 19, .external_lex_state = 2},
  [14092] = {.lex_state = 435, .external_lex_state = 2},
  [14093] = {.lex_state = 435, .external_lex_state = 2},
  [14094] = {.lex_state = 435, .external_lex_state = 2},
  [14095] = {.lex_state = 240, .external_lex_state = 2},
  [14096] = {.lex_state = 435, .external_lex_state = 2},
  [14097] = {.lex_state = 435, .external_lex_state = 2},
  [14098] = {.lex_state = 435, .external_lex_state = 2},
  [14099] = {.lex_state = 435, .external_lex_state = 2},
  [14100] = {.lex_state = 435, .external_lex_state = 2},
  [14101] = {.lex_state = 435, .external_lex_state = 2},
  [14102] = {.lex_state = 19, .external_lex_state = 2},
  [14103] = {.lex_state = 435, .external_lex_state = 2},
  [14104] = {.lex_state = 435, .external_lex_state = 2},
  [14105] = {.lex_state = 19, .external_lex_state = 2},
  [14106] = {.lex_state = 212, .external_lex_state = 2},
  [14107] = {.lex_state = 435, .external_lex_state = 2},
  [14108] = {.lex_state = 19, .external_lex_state = 2},
  [14109] = {.lex_state = 212, .external_lex_state = 2},
  [14110] = {.lex_state = 435, .external_lex_state = 2},
  [14111] = {.lex_state = 240, .external_lex_state = 2},
  [14112] = {.lex_state = 435, .external_lex_state = 2},
  [14113] = {.lex_state = 435, .external_lex_state = 2},
  [14114] = {.lex_state = 240, .external_lex_state = 2},
  [14115] = {.lex_state = 435, .external_lex_state = 2},
  [14116] = {.lex_state = 435, .external_lex_state = 2},
  [14117] = {.lex_state = 435, .external_lex_state = 2},
  [14118] = {.lex_state = 212, .external_lex_state = 2},
  [14119] = {.lex_state = 435, .external_lex_state = 2},
  [14120] = {.lex_state = 158, .external_lex_state = 2},
  [14121] = {.lex_state = 435, .external_lex_state = 2},
  [14122] = {.lex_state = 435, .external_lex_state = 2},
  [14123] = {.lex_state = 158, .external_lex_state = 2},
  [14124] = {.lex_state = 435, .external_lex_state = 2},
  [14125] = {.lex_state = 435, .external_lex_state = 2},
  [14126] = {.lex_state = 435, .external_lex_state = 2},
  [14127] = {.lex_state = 19, .external_lex_state = 2},
  [14128] = {.lex_state = 158, .external_lex_state = 2},
  [14129] = {.lex_state = 19, .external_lex_state = 2},
  [14130] = {.lex_state = 158, .external_lex_state = 2},
  [14131] = {.lex_state = 19, .external_lex_state = 2},
  [14132] = {.lex_state = 19, .external_lex_state = 2},
  [14133] = {.lex_state = 435, .external_lex_state = 2},
  [14134] = {.lex_state = 435, .external_lex_state = 2},
  [14135] = {.lex_state = 240, .external_lex_state = 2},
  [14136] = {.lex_state = 158, .external_lex_state = 2},
  [14137] = {.lex_state = 435, .external_lex_state = 2},
  [14138] = {.lex_state = 435, .external_lex_state = 2},
  [14139] = {.lex_state = 19, .external_lex_state = 2},
  [14140] = {.lex_state = 435, .external_lex_state = 2},
  [14141] = {.lex_state = 435, .external_lex_state = 2},
  [14142] = {.lex_state = 240, .external_lex_state = 2},
  [14143] = {.lex_state = 435, .external_lex_state = 2},
  [14144] = {.lex_state = 435, .external_lex_state = 2},
  [14145] = {.lex_state = 435, .external_lex_state = 2},
  [14146] = {.lex_state = 435, .external_lex_state = 2},
  [14147] = {.lex_state = 435, .external_lex_state = 2},
  [14148] = {.lex_state = 435, .external_lex_state = 2},
  [14149] = {.lex_state = 435, .external_lex_state = 2},
  [14150] = {.lex_state = 435, .external_lex_state = 2},
  [14151] = {.lex_state = 435, .external_lex_state = 2},
  [14152] = {.lex_state = 435, .external_lex_state = 2},
  [14153] = {.lex_state = 435, .external_lex_state = 2},
  [14154] = {.lex_state = 435, .external_lex_state = 2},
  [14155] = {.lex_state = 206, .external_lex_state = 2},
  [14156] = {.lex_state = 206, .external_lex_state = 2},
  [14157] = {.lex_state = 435, .external_lex_state = 2},
  [14158] = {.lex_state = 165, .external_lex_state = 2},
  [14159] = {.lex_state = 435, .external_lex_state = 2},
  [14160] = {.lex_state = 435, .external_lex_state = 2},
  [14161] = {.lex_state = 435, .external_lex_state = 2},
  [14162] = {.lex_state = 435, .external_lex_state = 2},
  [14163] = {.lex_state = 206, .external_lex_state = 2},
  [14164] = {.lex_state = 165, .external_lex_state = 2},
  [14165] = {.lex_state = 435, .external_lex_state = 2},
  [14166] = {.lex_state = 435, .external_lex_state = 2},
  [14167] = {.lex_state = 165, .external_lex_state = 2},
  [14168] = {.lex_state = 435, .external_lex_state = 2},
  [14169] = {.lex_state = 19, .external_lex_state = 2},
  [14170] = {.lex_state = 19, .external_lex_state = 2},
  [14171] = {.lex_state = 435, .external_lex_state = 2},
  [14172] = {.lex_state = 435, .external_lex_state = 2},
  [14173] = {.lex_state = 435, .external_lex_state = 2},
  [14174] = {.lex_state = 435, .external_lex_state = 2},
  [14175] = {.lex_state = 19, .external_lex_state = 2},
  [14176] = {.lex_state = 435, .external_lex_state = 2},
  [14177] = {.lex_state = 435, .external_lex_state = 2},
  [14178] = {.lex_state = 435, .external_lex_state = 2},
  [14179] = {.lex_state = 19, .external_lex_state = 2},
  [14180] = {.lex_state = 165, .external_lex_state = 2},
  [14181] = {.lex_state = 206, .external_lex_state = 2},
  [14182] = {.lex_state = 206, .external_lex_state = 2},
  [14183] = {.lex_state = 435, .external_lex_state = 2},
  [14184] = {.lex_state = 435, .external_lex_state = 2},
  [14185] = {.lex_state = 19, .external_lex_state = 2},
  [14186] = {.lex_state = 435, .external_lex_state = 2},
  [14187] = {.lex_state = 435, .external_lex_state = 2},
  [14188] = {.lex_state = 435, .external_lex_state = 2},
  [14189] = {.lex_state = 435, .external_lex_state = 2},
  [14190] = {.lex_state = 435, .external_lex_state = 2},
  [14191] = {.lex_state = 435, .external_lex_state = 2},
  [14192] = {.lex_state = 435, .external_lex_state = 2},
  [14193] = {.lex_state = 165, .external_lex_state = 2},
  [14194] = {.lex_state = 435, .external_lex_state = 2},
  [14195] = {.lex_state = 435, .external_lex_state = 2},
  [14196] = {.lex_state = 435, .external_lex_state = 2},
  [14197] = {.lex_state = 435, .external_lex_state = 2},
  [14198] = {.lex_state = 435, .external_lex_state = 2},
  [14199] = {.lex_state = 435, .external_lex_state = 2},
  [14200] = {.lex_state = 435, .external_lex_state = 2},
  [14201] = {.lex_state = 240, .external_lex_state = 2},
  [14202] = {.lex_state = 19, .external_lex_state = 2},
  [14203] = {.lex_state = 435, .external_lex_state = 2},
  [14204] = {.lex_state = 435, .external_lex_state = 2},
  [14205] = {.lex_state = 435, .external_lex_state = 2},
  [14206] = {.lex_state = 165, .external_lex_state = 2},
  [14207] = {.lex_state = 435, .external_lex_state = 2},
  [14208] = {.lex_state = 435, .external_lex_state = 2},
  [14209] = {.lex_state = 436, .external_lex_state = 2},
  [14210] = {.lex_state = 435, .external_lex_state = 2},
  [14211] = {.lex_state = 435, .external_lex_state = 2},
  [14212] = {.lex_state = 435, .external_lex_state = 2},
  [14213] = {.lex_state = 435, .external_lex_state = 2},
  [14214] = {.lex_state = 436, .external_lex_state = 2},
  [14215] = {.lex_state = 19, .external_lex_state = 2},
  [14216] = {.lex_state = 435, .external_lex_state = 2},
  [14217] = {.lex_state = 435, .external_lex_state = 2},
  [14218] = {.lex_state = 19, .external_lex_state = 2},
  [14219] = {.lex_state = 435, .external_lex_state = 2},
  [14220] = {.lex_state = 19, .external_lex_state = 2},
  [14221] = {.lex_state = 435, .external_lex_state = 2},
  [14222] = {.lex_state = 435, .external_lex_state = 2},
  [14223] = {.lex_state = 435, .external_lex_state = 2},
  [14224] = {.lex_state = 435, .external_lex_state = 2},
  [14225] = {.lex_state = 435, .external_lex_state = 2},
  [14226] = {.lex_state = 435, .external_lex_state = 2},
  [14227] = {.lex_state = 435, .external_lex_state = 2},
  [14228] = {.lex_state = 435, .external_lex_state = 2},
  [14229] = {.lex_state = 19, .external_lex_state = 2},
  [14230] = {.lex_state = 435, .external_lex_state = 2},
  [14231] = {.lex_state = 206, .external_lex_state = 2},
  [14232] = {.lex_state = 206, .external_lex_state = 2},
  [14233] = {.lex_state = 435, .external_lex_state = 2},
  [14234] = {.lex_state = 206, .external_lex_state = 2},
  [14235] = {.lex_state = 435, .external_lex_state = 2},
  [14236] = {.lex_state = 435, .external_lex_state = 2},
  [14237] = {.lex_state = 435, .external_lex_state = 2},
  [14238] = {.lex_state = 435, .external_lex_state = 2},
  [14239] = {.lex_state = 435, .external_lex_state = 2},
  [14240] = {.lex_state = 165, .external_lex_state = 2},
  [14241] = {.lex_state = 435, .external_lex_state = 2},
  [14242] = {.lex_state = 435, .external_lex_state = 2},
  [14243] = {.lex_state = 435, .external_lex_state = 2},
  [14244] = {.lex_state = 435, .external_lex_state = 2},
  [14245] = {.lex_state = 435, .external_lex_state = 2},
  [14246] = {.lex_state = 435, .external_lex_state = 2},
  [14247] = {.lex_state = 435, .external_lex_state = 2},
  [14248] = {.lex_state = 435, .external_lex_state = 2},
  [14249] = {.lex_state = 435, .external_lex_state = 2},
  [14250] = {.lex_state = 435, .external_lex_state = 2},
  [14251] = {.lex_state = 435, .external_lex_state = 2},
  [14252] = {.lex_state = 435, .external_lex_state = 2},
  [14253] = {.lex_state = 435, .external_lex_state = 2},
  [14254] = {.lex_state = 435, .external_lex_state = 2},
  [14255] = {.lex_state = 435, .external_lex_state = 2},
  [14256] = {.lex_state = 435, .external_lex_state = 2},
  [14257] = {.lex_state = 435, .external_lex_state = 2},
  [14258] = {.lex_state = 435, .external_lex_state = 2},
  [14259] = {.lex_state = 435, .external_lex_state = 2},
  [14260] = {.lex_state = 435, .external_lex_state = 2},
  [14261] = {.lex_state = 435, .external_lex_state = 2},
  [14262] = {.lex_state = 19, .external_lex_state = 2},
  [14263] = {.lex_state = 435, .external_lex_state = 2},
  [14264] = {.lex_state = 435, .external_lex_state = 2},
  [14265] = {.lex_state = 206, .external_lex_state = 2},
  [14266] = {.lex_state = 435, .external_lex_state = 2},
  [14267] = {.lex_state = 206, .external_lex_state = 2},
  [14268] = {.lex_state = 206, .external_lex_state = 2},
  [14269] = {.lex_state = 435, .external_lex_state = 2},
  [14270] = {.lex_state = 19, .external_lex_state = 2},
  [14271] = {.lex_state = 206, .external_lex_state = 2},
  [14272] = {.lex_state = 436, .external_lex_state = 2},
  [14273] = {.lex_state = 435, .external_lex_state = 2},
  [14274] = {.lex_state = 19, .external_lex_state = 2},
  [14275] = {.lex_state = 435, .external_lex_state = 2},
  [14276] = {.lex_state = 435, .external_lex_state = 2},
  [14277] = {.lex_state = 435, .external_lex_state = 2},
  [14278] = {.lex_state = 206, .external_lex_state = 2},
  [14279] = {.lex_state = 19, .external_lex_state = 2},
  [14280] = {.lex_state = 435, .external_lex_state = 2},
  [14281] = {.lex_state = 435, .external_lex_state = 2},
  [14282] = {.lex_state = 435, .external_lex_state = 2},
  [14283] = {.lex_state = 19, .external_lex_state = 2},
  [14284] = {.lex_state = 435, .external_lex_state = 2},
  [14285] = {.lex_state = 19, .external_lex_state = 2},
  [14286] = {.lex_state = 435, .external_lex_state = 2},
  [14287] = {.lex_state = 19, .external_lex_state = 2},
  [14288] = {.lex_state = 435, .external_lex_state = 2},
  [14289] = {.lex_state = 435, .external_lex_state = 2},
  [14290] = {.lex_state = 435, .external_lex_state = 2},
  [14291] = {.lex_state = 435, .external_lex_state = 2},
  [14292] = {.lex_state = 435, .external_lex_state = 2},
  [14293] = {.lex_state = 436, .external_lex_state = 2},
  [14294] = {.lex_state = 435, .external_lex_state = 2},
  [14295] = {.lex_state = 435, .external_lex_state = 2},
  [14296] = {.lex_state = 435, .external_lex_state = 2},
  [14297] = {.lex_state = 435, .external_lex_state = 2},
  [14298] = {.lex_state = 435, .external_lex_state = 2},
  [14299] = {.lex_state = 206, .external_lex_state = 2},
  [14300] = {.lex_state = 206, .external_lex_state = 2},
  [14301] = {.lex_state = 19, .external_lex_state = 2},
  [14302] = {.lex_state = 19, .external_lex_state = 2},
  [14303] = {.lex_state = 435, .external_lex_state = 2},
  [14304] = {.lex_state = 206, .external_lex_state = 2},
  [14305] = {.lex_state = 435, .external_lex_state = 2},
  [14306] = {.lex_state = 435, .external_lex_state = 2},
  [14307] = {.lex_state = 435, .external_lex_state = 2},
  [14308] = {.lex_state = 19, .external_lex_state = 2},
  [14309] = {.lex_state = 435, .external_lex_state = 2},
  [14310] = {.lex_state = 435, .external_lex_state = 2},
  [14311] = {.lex_state = 435, .external_lex_state = 2},
  [14312] = {.lex_state = 435, .external_lex_state = 2},
  [14313] = {.lex_state = 19, .external_lex_state = 2},
  [14314] = {.lex_state = 435, .external_lex_state = 2},
  [14315] = {.lex_state = 435, .external_lex_state = 2},
  [14316] = {.lex_state = 435, .external_lex_state = 2},
  [14317] = {.lex_state = 435, .external_lex_state = 2},
  [14318] = {.lex_state = 435, .external_lex_state = 2},
  [14319] = {.lex_state = 435, .external_lex_state = 2},
  [14320] = {.lex_state = 435, .external_lex_state = 2},
  [14321] = {.lex_state = 435, .external_lex_state = 2},
  [14322] = {.lex_state = 435, .external_lex_state = 2},
  [14323] = {.lex_state = 436, .external_lex_state = 2},
  [14324] = {.lex_state = 206, .external_lex_state = 2},
  [14325] = {.lex_state = 206, .external_lex_state = 2},
  [14326] = {.lex_state = 435, .external_lex_state = 2},
  [14327] = {.lex_state = 435, .external_lex_state = 2},
  [14328] = {.lex_state = 206, .external_lex_state = 2},
  [14329] = {.lex_state = 435, .external_lex_state = 2},
  [14330] = {.lex_state = 19, .external_lex_state = 2},
  [14331] = {.lex_state = 435, .external_lex_state = 2},
  [14332] = {.lex_state = 435, .external_lex_state = 2},
  [14333] = {.lex_state = 435, .external_lex_state = 2},
  [14334] = {.lex_state = 19, .external_lex_state = 2},
  [14335] = {.lex_state = 435, .external_lex_state = 2},
  [14336] = {.lex_state = 435, .external_lex_state = 2},
  [14337] = {.lex_state = 435, .external_lex_state = 2},
  [14338] = {.lex_state = 435, .external_lex_state = 2},
  [14339] = {.lex_state = 19, .external_lex_state = 2},
  [14340] = {.lex_state = 19, .external_lex_state = 2},
  [14341] = {.lex_state = 435, .external_lex_state = 2},
  [14342] = {.lex_state = 435, .external_lex_state = 2},
  [14343] = {.lex_state = 435, .external_lex_state = 2},
  [14344] = {.lex_state = 435, .external_lex_state = 2},
  [14345] = {.lex_state = 435, .external_lex_state = 2},
  [14346] = {.lex_state = 435, .external_lex_state = 2},
  [14347] = {.lex_state = 435, .external_lex_state = 2},
  [14348] = {.lex_state = 435, .external_lex_state = 2},
  [14349] = {.lex_state = 19, .external_lex_state = 2},
  [14350] = {.lex_state = 206, .external_lex_state = 2},
  [14351] = {.lex_state = 206, .external_lex_state = 2},
  [14352] = {.lex_state = 19, .external_lex_state = 2},
  [14353] = {.lex_state = 206, .external_lex_state = 2},
  [14354] = {.lex_state = 435, .external_lex_state = 2},
  [14355] = {.lex_state = 435, .external_lex_state = 2},
  [14356] = {.lex_state = 435, .external_lex_state = 2},
  [14357] = {.lex_state = 435, .external_lex_state = 2},
  [14358] = {.lex_state = 435, .external_lex_state = 2},
  [14359] = {.lex_state = 19, .external_lex_state = 2},
  [14360] = {.lex_state = 435, .external_lex_state = 2},
  [14361] = {.lex_state = 435, .external_lex_state = 2},
  [14362] = {.lex_state = 435, .external_lex_state = 2},
  [14363] = {.lex_state = 435, .external_lex_state = 2},
  [14364] = {.lex_state = 435, .external_lex_state = 2},
  [14365] = {.lex_state = 435, .external_lex_state = 2},
  [14366] = {.lex_state = 435, .external_lex_state = 2},
  [14367] = {.lex_state = 435, .external_lex_state = 2},
  [14368] = {.lex_state = 206, .external_lex_state = 2},
  [14369] = {.lex_state = 206, .external_lex_state = 2},
  [14370] = {.lex_state = 435, .external_lex_state = 2},
  [14371] = {.lex_state = 206, .external_lex_state = 2},
  [14372] = {.lex_state = 435, .external_lex_state = 2},
  [14373] = {.lex_state = 435, .external_lex_state = 2},
  [14374] = {.lex_state = 435, .external_lex_state = 2},
  [14375] = {.lex_state = 435, .external_lex_state = 2},
  [14376] = {.lex_state = 435, .external_lex_state = 2},
  [14377] = {.lex_state = 435, .external_lex_state = 2},
  [14378] = {.lex_state = 19, .external_lex_state = 2},
  [14379] = {.lex_state = 435, .external_lex_state = 2},
  [14380] = {.lex_state = 435, .external_lex_state = 2},
  [14381] = {.lex_state = 435, .external_lex_state = 2},
  [14382] = {.lex_state = 435, .external_lex_state = 2},
  [14383] = {.lex_state = 206, .external_lex_state = 2},
  [14384] = {.lex_state = 206, .external_lex_state = 2},
  [14385] = {.lex_state = 206, .external_lex_state = 2},
  [14386] = {.lex_state = 19, .external_lex_state = 2},
  [14387] = {.lex_state = 435, .external_lex_state = 2},
  [14388] = {.lex_state = 435, .external_lex_state = 2},
  [14389] = {.lex_state = 435, .external_lex_state = 2},
  [14390] = {.lex_state = 435, .external_lex_state = 2},
  [14391] = {.lex_state = 206, .external_lex_state = 2},
  [14392] = {.lex_state = 206, .external_lex_state = 2},
  [14393] = {.lex_state = 435, .external_lex_state = 2},
  [14394] = {.lex_state = 206, .external_lex_state = 2},
  [14395] = {.lex_state = 19, .external_lex_state = 2},
  [14396] = {.lex_state = 435, .external_lex_state = 2},
  [14397] = {.lex_state = 435, .external_lex_state = 2},
  [14398] = {.lex_state = 435, .external_lex_state = 2},
  [14399] = {.lex_state = 435, .external_lex_state = 2},
  [14400] = {.lex_state = 435, .external_lex_state = 2},
  [14401] = {.lex_state = 435, .external_lex_state = 2},
  [14402] = {.lex_state = 19, .external_lex_state = 2},
  [14403] = {.lex_state = 19, .external_lex_state = 2},
  [14404] = {.lex_state = 435, .external_lex_state = 2},
  [14405] = {.lex_state = 435, .external_lex_state = 2},
  [14406] = {.lex_state = 19, .external_lex_state = 2},
  [14407] = {.lex_state = 435, .external_lex_state = 2},
  [14408] = {.lex_state = 435, .external_lex_state = 2},
  [14409] = {.lex_state = 435, .external_lex_state = 2},
  [14410] = {.lex_state = 435, .external_lex_state = 2},
  [14411] = {.lex_state = 206, .external_lex_state = 2},
  [14412] = {.lex_state = 206, .external_lex_state = 2},
  [14413] = {.lex_state = 435, .external_lex_state = 2},
  [14414] = {.lex_state = 435, .external_lex_state = 2},
  [14415] = {.lex_state = 435, .external_lex_state = 2},
  [14416] = {.lex_state = 206, .external_lex_state = 2},
  [14417] = {.lex_state = 435, .external_lex_state = 2},
  [14418] = {.lex_state = 436, .external_lex_state = 2},
  [14419] = {.lex_state = 435, .external_lex_state = 2},
  [14420] = {.lex_state = 435, .external_lex_state = 2},
  [14421] = {.lex_state = 435, .external_lex_state = 2},
  [14422] = {.lex_state = 435, .external_lex_state = 2},
  [14423] = {.lex_state = 435, .external_lex_state = 2},
  [14424] = {.lex_state = 435, .external_lex_state = 2},
  [14425] = {.lex_state = 435, .external_lex_state = 2},
  [14426] = {.lex_state = 206, .external_lex_state = 2},
  [14427] = {.lex_state = 206, .external_lex_state = 2},
  [14428] = {.lex_state = 435, .external_lex_state = 2},
  [14429] = {.lex_state = 206, .external_lex_state = 2},
  [14430] = {.lex_state = 435, .external_lex_state = 2},
  [14431] = {.lex_state = 435, .external_lex_state = 2},
  [14432] = {.lex_state = 435, .external_lex_state = 2},
  [14433] = {.lex_state = 435, .external_lex_state = 2},
  [14434] = {.lex_state = 435, .external_lex_state = 2},
  [14435] = {.lex_state = 206, .external_lex_state = 2},
  [14436] = {.lex_state = 206, .external_lex_state = 2},
  [14437] = {.lex_state = 435, .external_lex_state = 2},
  [14438] = {.lex_state = 206, .external_lex_state = 2},
  [14439] = {.lex_state = 435, .external_lex_state = 2},
  [14440] = {.lex_state = 19, .external_lex_state = 2},
  [14441] = {.lex_state = 19, .external_lex_state = 2},
  [14442] = {.lex_state = 435, .external_lex_state = 2},
  [14443] = {.lex_state = 435, .external_lex_state = 2},
  [14444] = {.lex_state = 19, .external_lex_state = 2},
  [14445] = {.lex_state = 19, .external_lex_state = 2},
  [14446] = {.lex_state = 19, .external_lex_state = 2},
  [14447] = {.lex_state = 435, .external_lex_state = 2},
  [14448] = {.lex_state = 435, .external_lex_state = 2},
  [14449] = {.lex_state = 19, .external_lex_state = 2},
  [14450] = {.lex_state = 435, .external_lex_state = 2},
  [14451] = {.lex_state = 435, .external_lex_state = 2},
  [14452] = {.lex_state = 435, .external_lex_state = 2},
  [14453] = {.lex_state = 435, .external_lex_state = 2},
  [14454] = {.lex_state = 435, .external_lex_state = 2},
  [14455] = {.lex_state = 435, .external_lex_state = 2},
  [14456] = {.lex_state = 435, .external_lex_state = 2},
  [14457] = {.lex_state = 435, .external_lex_state = 2},
  [14458] = {.lex_state = 19, .external_lex_state = 2},
  [14459] = {.lex_state = 435, .external_lex_state = 2},
  [14460] = {.lex_state = 435, .external_lex_state = 2},
  [14461] = {.lex_state = 435, .external_lex_state = 2},
  [14462] = {.lex_state = 19, .external_lex_state = 2},
  [14463] = {.lex_state = 435, .external_lex_state = 2},
  [14464] = {.lex_state = 435, .external_lex_state = 2},
  [14465] = {.lex_state = 165, .external_lex_state = 2},
  [14466] = {.lex_state = 435, .external_lex_state = 2},
  [14467] = {.lex_state = 435, .external_lex_state = 2},
  [14468] = {.lex_state = 165, .external_lex_state = 2},
  [14469] = {.lex_state = 435, .external_lex_state = 2},
  [14470] = {.lex_state = 19, .external_lex_state = 2},
  [14471] = {.lex_state = 435, .external_lex_state = 2},
  [14472] = {.lex_state = 435, .external_lex_state = 2},
  [14473] = {.lex_state = 435, .external_lex_state = 2},
  [14474] = {.lex_state = 435, .external_lex_state = 2},
  [14475] = {.lex_state = 435, .external_lex_state = 2},
  [14476] = {.lex_state = 19, .external_lex_state = 2},
  [14477] = {.lex_state = 435, .external_lex_state = 2},
  [14478] = {.lex_state = 435, .external_lex_state = 2},
  [14479] = {.lex_state = 435, .external_lex_state = 2},
  [14480] = {.lex_state = 435, .external_lex_state = 2},
  [14481] = {.lex_state = 435, .external_lex_state = 2},
  [14482] = {.lex_state = 19, .external_lex_state = 2},
  [14483] = {.lex_state = 19, .external_lex_state = 2},
  [14484] = {.lex_state = 435, .external_lex_state = 2},
  [14485] = {.lex_state = 435, .external_lex_state = 2},
  [14486] = {.lex_state = 19, .external_lex_state = 2},
  [14487] = {.lex_state = 435, .external_lex_state = 2},
  [14488] = {.lex_state = 435, .external_lex_state = 2},
  [14489] = {.lex_state = 435, .external_lex_state = 2},
  [14490] = {.lex_state = 435, .external_lex_state = 2},
  [14491] = {.lex_state = 435, .external_lex_state = 2},
  [14492] = {.lex_state = 435, .external_lex_state = 2},
  [14493] = {.lex_state = 165, .external_lex_state = 2},
  [14494] = {.lex_state = 435, .external_lex_state = 2},
  [14495] = {.lex_state = 435, .external_lex_state = 2},
  [14496] = {.lex_state = 435, .external_lex_state = 2},
  [14497] = {.lex_state = 435, .external_lex_state = 2},
  [14498] = {.lex_state = 435, .external_lex_state = 2},
  [14499] = {.lex_state = 436, .external_lex_state = 2},
  [14500] = {.lex_state = 435, .external_lex_state = 2},
  [14501] = {.lex_state = 435, .external_lex_state = 2},
  [14502] = {.lex_state = 435, .external_lex_state = 2},
  [14503] = {.lex_state = 435, .external_lex_state = 2},
  [14504] = {.lex_state = 435, .external_lex_state = 2},
  [14505] = {.lex_state = 435, .external_lex_state = 2},
  [14506] = {.lex_state = 435, .external_lex_state = 2},
  [14507] = {.lex_state = 435, .external_lex_state = 2},
  [14508] = {.lex_state = 435, .external_lex_state = 2},
  [14509] = {.lex_state = 435, .external_lex_state = 2},
  [14510] = {.lex_state = 206, .external_lex_state = 2},
  [14511] = {.lex_state = 19, .external_lex_state = 2},
  [14512] = {.lex_state = 165, .external_lex_state = 2},
  [14513] = {.lex_state = 435, .external_lex_state = 2},
  [14514] = {.lex_state = 435, .external_lex_state = 2},
  [14515] = {.lex_state = 435, .external_lex_state = 2},
  [14516] = {.lex_state = 435, .external_lex_state = 2},
  [14517] = {.lex_state = 19, .external_lex_state = 2},
  [14518] = {.lex_state = 435, .external_lex_state = 2},
  [14519] = {.lex_state = 435, .external_lex_state = 2},
  [14520] = {.lex_state = 435, .external_lex_state = 2},
  [14521] = {.lex_state = 19, .external_lex_state = 2},
  [14522] = {.lex_state = 436, .external_lex_state = 2},
  [14523] = {.lex_state = 435, .external_lex_state = 2},
  [14524] = {.lex_state = 435, .external_lex_state = 2},
  [14525] = {.lex_state = 435, .external_lex_state = 2},
  [14526] = {.lex_state = 435, .external_lex_state = 2},
  [14527] = {.lex_state = 19, .external_lex_state = 2},
  [14528] = {.lex_state = 436, .external_lex_state = 2},
  [14529] = {.lex_state = 435, .external_lex_state = 2},
  [14530] = {.lex_state = 19, .external_lex_state = 2},
  [14531] = {.lex_state = 435, .external_lex_state = 2},
  [14532] = {.lex_state = 435, .external_lex_state = 2},
  [14533] = {.lex_state = 435, .external_lex_state = 2},
  [14534] = {.lex_state = 436, .external_lex_state = 2},
  [14535] = {.lex_state = 19, .external_lex_state = 2},
  [14536] = {.lex_state = 435, .external_lex_state = 2},
  [14537] = {.lex_state = 435, .external_lex_state = 2},
  [14538] = {.lex_state = 435, .external_lex_state = 2},
  [14539] = {.lex_state = 19, .external_lex_state = 2},
  [14540] = {.lex_state = 435, .external_lex_state = 2},
  [14541] = {.lex_state = 435, .external_lex_state = 2},
  [14542] = {.lex_state = 435, .external_lex_state = 2},
  [14543] = {.lex_state = 435, .external_lex_state = 2},
  [14544] = {.lex_state = 435, .external_lex_state = 2},
  [14545] = {.lex_state = 161, .external_lex_state = 2},
  [14546] = {.lex_state = 435, .external_lex_state = 2},
  [14547] = {.lex_state = 435, .external_lex_state = 2},
  [14548] = {.lex_state = 19, .external_lex_state = 2},
  [14549] = {.lex_state = 435, .external_lex_state = 2},
  [14550] = {.lex_state = 435, .external_lex_state = 2},
  [14551] = {.lex_state = 19, .external_lex_state = 2},
  [14552] = {.lex_state = 435, .external_lex_state = 2},
  [14553] = {.lex_state = 435, .external_lex_state = 2},
  [14554] = {.lex_state = 19, .external_lex_state = 2},
  [14555] = {.lex_state = 435, .external_lex_state = 2},
  [14556] = {.lex_state = 435, .external_lex_state = 2},
  [14557] = {.lex_state = 435, .external_lex_state = 2},
  [14558] = {.lex_state = 435, .external_lex_state = 2},
  [14559] = {.lex_state = 435, .external_lex_state = 2},
  [14560] = {.lex_state = 435, .external_lex_state = 2},
  [14561] = {.lex_state = 435, .external_lex_state = 2},
  [14562] = {.lex_state = 435, .external_lex_state = 2},
  [14563] = {.lex_state = 19, .external_lex_state = 2},
  [14564] = {.lex_state = 435, .external_lex_state = 2},
  [14565] = {.lex_state = 435, .external_lex_state = 2},
  [14566] = {.lex_state = 435, .external_lex_state = 2},
  [14567] = {.lex_state = 435, .external_lex_state = 2},
  [14568] = {.lex_state = 435, .external_lex_state = 2},
  [14569] = {.lex_state = 435, .external_lex_state = 2},
  [14570] = {.lex_state = 263, .external_lex_state = 8},
  [14571] = {.lex_state = 19, .external_lex_state = 2},
  [14572] = {.lex_state = 435, .external_lex_state = 2},
  [14573] = {.lex_state = 19, .external_lex_state = 2},
  [14574] = {.lex_state = 435, .external_lex_state = 2},
  [14575] = {.lex_state = 435, .external_lex_state = 2},
  [14576] = {.lex_state = 435, .external_lex_state = 2},
  [14577] = {.lex_state = 435, .external_lex_state = 2},
  [14578] = {.lex_state = 19, .external_lex_state = 2},
  [14579] = {.lex_state = 19, .external_lex_state = 2},
  [14580] = {.lex_state = 435, .external_lex_state = 2},
  [14581] = {.lex_state = 435, .external_lex_state = 2},
  [14582] = {.lex_state = 19, .external_lex_state = 2},
  [14583] = {.lex_state = 435, .external_lex_state = 2},
  [14584] = {.lex_state = 435, .external_lex_state = 2},
  [14585] = {.lex_state = 435, .external_lex_state = 2},
  [14586] = {.lex_state = 435, .external_lex_state = 2},
  [14587] = {.lex_state = 435, .external_lex_state = 2},
  [14588] = {.lex_state = 435, .external_lex_state = 2},
  [14589] = {.lex_state = 435, .external_lex_state = 2},
  [14590] = {.lex_state = 435, .external_lex_state = 2},
  [14591] = {.lex_state = 435, .external_lex_state = 2},
  [14592] = {.lex_state = 435, .external_lex_state = 2},
  [14593] = {.lex_state = 19, .external_lex_state = 2},
  [14594] = {.lex_state = 435, .external_lex_state = 2},
  [14595] = {.lex_state = 19, .external_lex_state = 2},
  [14596] = {.lex_state = 435, .external_lex_state = 2},
  [14597] = {.lex_state = 206, .external_lex_state = 2},
  [14598] = {.lex_state = 161, .external_lex_state = 2},
  [14599] = {.lex_state = 19, .external_lex_state = 2},
  [14600] = {.lex_state = 435, .external_lex_state = 2},
  [14601] = {.lex_state = 435, .external_lex_state = 2},
  [14602] = {.lex_state = 435, .external_lex_state = 2},
  [14603] = {.lex_state = 435, .external_lex_state = 2},
  [14604] = {.lex_state = 435, .external_lex_state = 2},
  [14605] = {.lex_state = 435, .external_lex_state = 2},
  [14606] = {.lex_state = 435, .external_lex_state = 2},
  [14607] = {.lex_state = 435, .external_lex_state = 2},
  [14608] = {.lex_state = 435, .external_lex_state = 2},
  [14609] = {.lex_state = 435, .external_lex_state = 2},
  [14610] = {.lex_state = 435, .external_lex_state = 2},
  [14611] = {.lex_state = 228, .external_lex_state = 2},
  [14612] = {.lex_state = 435, .external_lex_state = 2},
  [14613] = {.lex_state = 435, .external_lex_state = 2},
  [14614] = {.lex_state = 19, .external_lex_state = 2},
  [14615] = {.lex_state = 435, .external_lex_state = 2},
  [14616] = {.lex_state = 435, .external_lex_state = 2},
  [14617] = {.lex_state = 435, .external_lex_state = 2},
  [14618] = {.lex_state = 19, .external_lex_state = 2},
  [14619] = {.lex_state = 19, .external_lex_state = 2},
  [14620] = {.lex_state = 19, .external_lex_state = 2},
  [14621] = {.lex_state = 161, .external_lex_state = 2},
  [14622] = {.lex_state = 263, .external_lex_state = 8},
  [14623] = {.lex_state = 435, .external_lex_state = 2},
  [14624] = {.lex_state = 435, .external_lex_state = 2},
  [14625] = {.lex_state = 19, .external_lex_state = 2},
  [14626] = {.lex_state = 435, .external_lex_state = 2},
  [14627] = {.lex_state = 435, .external_lex_state = 2},
  [14628] = {.lex_state = 19, .external_lex_state = 2},
  [14629] = {.lex_state = 19, .external_lex_state = 2},
  [14630] = {.lex_state = 435, .external_lex_state = 2},
  [14631] = {.lex_state = 161, .external_lex_state = 2},
  [14632] = {.lex_state = 206, .external_lex_state = 2},
  [14633] = {.lex_state = 435, .external_lex_state = 2},
  [14634] = {.lex_state = 435, .external_lex_state = 2},
  [14635] = {.lex_state = 435, .external_lex_state = 2},
  [14636] = {.lex_state = 435, .external_lex_state = 2},
  [14637] = {.lex_state = 435, .external_lex_state = 2},
  [14638] = {.lex_state = 435, .external_lex_state = 2},
  [14639] = {.lex_state = 435, .external_lex_state = 2},
  [14640] = {.lex_state = 435, .external_lex_state = 2},
  [14641] = {.lex_state = 435, .external_lex_state = 2},
  [14642] = {.lex_state = 435, .external_lex_state = 2},
  [14643] = {.lex_state = 161, .external_lex_state = 2},
  [14644] = {.lex_state = 435, .external_lex_state = 2},
  [14645] = {.lex_state = 435, .external_lex_state = 2},
  [14646] = {.lex_state = 161, .external_lex_state = 2},
  [14647] = {.lex_state = 435, .external_lex_state = 2},
  [14648] = {.lex_state = 435, .external_lex_state = 2},
  [14649] = {.lex_state = 19, .external_lex_state = 2},
  [14650] = {.lex_state = 435, .external_lex_state = 2},
  [14651] = {.lex_state = 435, .external_lex_state = 2},
  [14652] = {.lex_state = 435, .external_lex_state = 2},
  [14653] = {.lex_state = 263, .external_lex_state = 8},
  [14654] = {.lex_state = 435, .external_lex_state = 2},
  [14655] = {.lex_state = 435, .external_lex_state = 2},
  [14656] = {.lex_state = 435, .external_lex_state = 2},
  [14657] = {.lex_state = 435, .external_lex_state = 2},
  [14658] = {.lex_state = 161, .external_lex_state = 2},
  [14659] = {.lex_state = 435, .external_lex_state = 2},
  [14660] = {.lex_state = 165, .external_lex_state = 2},
  [14661] = {.lex_state = 435, .external_lex_state = 2},
  [14662] = {.lex_state = 435, .external_lex_state = 2},
  [14663] = {.lex_state = 435, .external_lex_state = 2},
  [14664] = {.lex_state = 161, .external_lex_state = 2},
  [14665] = {.lex_state = 435, .external_lex_state = 2},
  [14666] = {.lex_state = 435, .external_lex_state = 2},
  [14667] = {.lex_state = 435, .external_lex_state = 2},
  [14668] = {.lex_state = 435, .external_lex_state = 2},
  [14669] = {.lex_state = 161, .external_lex_state = 2},
  [14670] = {.lex_state = 435, .external_lex_state = 2},
  [14671] = {.lex_state = 435, .external_lex_state = 2},
  [14672] = {.lex_state = 435, .external_lex_state = 2},
  [14673] = {.lex_state = 161, .external_lex_state = 2},
  [14674] = {.lex_state = 206, .external_lex_state = 2},
  [14675] = {.lex_state = 165, .external_lex_state = 2},
  [14676] = {.lex_state = 161, .external_lex_state = 2},
  [14677] = {.lex_state = 19, .external_lex_state = 2},
  [14678] = {.lex_state = 161, .external_lex_state = 2},
  [14679] = {.lex_state = 435, .external_lex_state = 2},
  [14680] = {.lex_state = 435, .external_lex_state = 2},
  [14681] = {.lex_state = 161, .external_lex_state = 2},
  [14682] = {.lex_state = 435, .external_lex_state = 2},
  [14683] = {.lex_state = 165, .external_lex_state = 2},
  [14684] = {.lex_state = 240, .external_lex_state = 2},
  [14685] = {.lex_state = 161, .external_lex_state = 2},
  [14686] = {.lex_state = 19, .external_lex_state = 2},
  [14687] = {.lex_state = 161, .external_lex_state = 2},
  [14688] = {.lex_state = 435, .external_lex_state = 2},
  [14689] = {.lex_state = 161, .external_lex_state = 2},
  [14690] = {.lex_state = 435, .external_lex_state = 2},
  [14691] = {.lex_state = 161, .external_lex_state = 2},
  [14692] = {.lex_state = 435, .external_lex_state = 2},
  [14693] = {.lex_state = 161, .external_lex_state = 2},
  [14694] = {.lex_state = 435, .external_lex_state = 2},
  [14695] = {.lex_state = 435, .external_lex_state = 2},
  [14696] = {.lex_state = 435, .external_lex_state = 2},
  [14697] = {.lex_state = 435, .external_lex_state = 2},
  [14698] = {.lex_state = 161, .external_lex_state = 2},
  [14699] = {.lex_state = 435, .external_lex_state = 2},
  [14700] = {.lex_state = 161, .external_lex_state = 2},
  [14701] = {.lex_state = 435, .external_lex_state = 2},
  [14702] = {.lex_state = 435, .external_lex_state = 2},
  [14703] = {.lex_state = 165, .external_lex_state = 2},
  [14704] = {.lex_state = 435, .external_lex_state = 2},
  [14705] = {.lex_state = 435, .external_lex_state = 2},
  [14706] = {.lex_state = 161, .external_lex_state = 2},
  [14707] = {.lex_state = 435, .external_lex_state = 2},
  [14708] = {.lex_state = 19, .external_lex_state = 2},
  [14709] = {.lex_state = 161, .external_lex_state = 2},
  [14710] = {.lex_state = 435, .external_lex_state = 2},
  [14711] = {.lex_state = 435, .external_lex_state = 2},
  [14712] = {.lex_state = 161, .external_lex_state = 2},
  [14713] = {.lex_state = 435, .external_lex_state = 2},
  [14714] = {.lex_state = 435, .external_lex_state = 2},
  [14715] = {.lex_state = 161, .external_lex_state = 2},
  [14716] = {.lex_state = 435, .external_lex_state = 2},
  [14717] = {.lex_state = 435, .external_lex_state = 2},
  [14718] = {.lex_state = 161, .external_lex_state = 2},
  [14719] = {.lex_state = 435, .external_lex_state = 2},
  [14720] = {.lex_state = 161, .external_lex_state = 2},
  [14721] = {.lex_state = 435, .external_lex_state = 2},
  [14722] = {.lex_state = 435, .external_lex_state = 2},
  [14723] = {.lex_state = 161, .external_lex_state = 2},
  [14724] = {.lex_state = 161, .external_lex_state = 2},
  [14725] = {.lex_state = 19, .external_lex_state = 2},
  [14726] = {.lex_state = 435, .external_lex_state = 2},
  [14727] = {.lex_state = 161, .external_lex_state = 2},
  [14728] = {.lex_state = 165, .external_lex_state = 2},
  [14729] = {.lex_state = 435, .external_lex_state = 2},
  [14730] = {.lex_state = 435, .external_lex_state = 2},
  [14731] = {.lex_state = 161, .external_lex_state = 2},
  [14732] = {.lex_state = 161, .external_lex_state = 2},
  [14733] = {.lex_state = 435, .external_lex_state = 2},
  [14734] = {.lex_state = 161, .external_lex_state = 2},
  [14735] = {.lex_state = 435, .external_lex_state = 2},
  [14736] = {.lex_state = 161, .external_lex_state = 2},
  [14737] = {.lex_state = 435, .external_lex_state = 2},
  [14738] = {.lex_state = 435, .external_lex_state = 2},
  [14739] = {.lex_state = 161, .external_lex_state = 2},
  [14740] = {.lex_state = 161, .external_lex_state = 2},
  [14741] = {.lex_state = 19, .external_lex_state = 2},
  [14742] = {.lex_state = 161, .external_lex_state = 2},
  [14743] = {.lex_state = 435, .external_lex_state = 2},
  [14744] = {.lex_state = 161, .external_lex_state = 2},
  [14745] = {.lex_state = 435, .external_lex_state = 2},
  [14746] = {.lex_state = 435, .external_lex_state = 2},
  [14747] = {.lex_state = 161, .external_lex_state = 2},
  [14748] = {.lex_state = 19, .external_lex_state = 2},
  [14749] = {.lex_state = 435, .external_lex_state = 2},
  [14750] = {.lex_state = 161, .external_lex_state = 2},
  [14751] = {.lex_state = 161, .external_lex_state = 2},
  [14752] = {.lex_state = 161, .external_lex_state = 2},
  [14753] = {.lex_state = 435, .external_lex_state = 2},
  [14754] = {.lex_state = 435, .external_lex_state = 2},
  [14755] = {.lex_state = 435, .external_lex_state = 2},
  [14756] = {.lex_state = 161, .external_lex_state = 2},
  [14757] = {.lex_state = 435, .external_lex_state = 2},
  [14758] = {.lex_state = 161, .external_lex_state = 2},
  [14759] = {.lex_state = 19, .external_lex_state = 2},
  [14760] = {.lex_state = 435, .external_lex_state = 2},
  [14761] = {.lex_state = 435, .external_lex_state = 2},
  [14762] = {.lex_state = 435, .external_lex_state = 2},
  [14763] = {.lex_state = 435, .external_lex_state = 2},
  [14764] = {.lex_state = 435, .external_lex_state = 2},
  [14765] = {.lex_state = 435, .external_lex_state = 2},
  [14766] = {.lex_state = 435, .external_lex_state = 2},
  [14767] = {.lex_state = 435, .external_lex_state = 2},
  [14768] = {.lex_state = 435, .external_lex_state = 2},
  [14769] = {.lex_state = 435, .external_lex_state = 2},
  [14770] = {.lex_state = 435, .external_lex_state = 2},
  [14771] = {.lex_state = 435, .external_lex_state = 2},
  [14772] = {.lex_state = 435, .external_lex_state = 2},
  [14773] = {.lex_state = 435, .external_lex_state = 2},
  [14774] = {.lex_state = 435, .external_lex_state = 2},
  [14775] = {.lex_state = 435, .external_lex_state = 2},
  [14776] = {.lex_state = 206, .external_lex_state = 2},
  [14777] = {.lex_state = 435, .external_lex_state = 2},
  [14778] = {.lex_state = 435, .external_lex_state = 2},
  [14779] = {.lex_state = 165, .external_lex_state = 2},
  [14780] = {.lex_state = 435, .external_lex_state = 2},
  [14781] = {.lex_state = 435, .external_lex_state = 2},
  [14782] = {.lex_state = 435, .external_lex_state = 2},
  [14783] = {.lex_state = 435, .external_lex_state = 2},
  [14784] = {.lex_state = 435, .external_lex_state = 2},
  [14785] = {.lex_state = 435, .external_lex_state = 2},
  [14786] = {.lex_state = 435, .external_lex_state = 2},
  [14787] = {.lex_state = 19, .external_lex_state = 2},
  [14788] = {.lex_state = 435, .external_lex_state = 2},
  [14789] = {.lex_state = 435, .external_lex_state = 2},
  [14790] = {.lex_state = 19, .external_lex_state = 2},
  [14791] = {.lex_state = 435, .external_lex_state = 2},
  [14792] = {.lex_state = 435, .external_lex_state = 2},
  [14793] = {.lex_state = 435, .external_lex_state = 2},
  [14794] = {.lex_state = 435, .external_lex_state = 2},
  [14795] = {.lex_state = 435, .external_lex_state = 2},
  [14796] = {.lex_state = 435, .external_lex_state = 2},
  [14797] = {.lex_state = 435, .external_lex_state = 2},
  [14798] = {.lex_state = 19, .external_lex_state = 2},
  [14799] = {.lex_state = 435, .external_lex_state = 2},
  [14800] = {.lex_state = 435, .external_lex_state = 2},
  [14801] = {.lex_state = 435, .external_lex_state = 2},
  [14802] = {.lex_state = 435, .external_lex_state = 2},
  [14803] = {.lex_state = 435, .external_lex_state = 2},
  [14804] = {.lex_state = 435, .external_lex_state = 2},
  [14805] = {.lex_state = 435, .external_lex_state = 2},
  [14806] = {.lex_state = 435, .external_lex_state = 2},
  [14807] = {.lex_state = 19, .external_lex_state = 2},
  [14808] = {.lex_state = 435, .external_lex_state = 2},
  [14809] = {.lex_state = 435, .external_lex_state = 2},
  [14810] = {.lex_state = 19, .external_lex_state = 2},
  [14811] = {.lex_state = 435, .external_lex_state = 2},
  [14812] = {.lex_state = 435, .external_lex_state = 2},
  [14813] = {.lex_state = 263, .external_lex_state = 8},
  [14814] = {.lex_state = 435, .external_lex_state = 2},
  [14815] = {.lex_state = 435, .external_lex_state = 2},
  [14816] = {.lex_state = 435, .external_lex_state = 2},
  [14817] = {.lex_state = 131, .external_lex_state = 2},
  [14818] = {.lex_state = 435, .external_lex_state = 2},
  [14819] = {.lex_state = 435, .external_lex_state = 2},
  [14820] = {.lex_state = 435, .external_lex_state = 2},
  [14821] = {.lex_state = 435, .external_lex_state = 2},
  [14822] = {.lex_state = 435, .external_lex_state = 2},
  [14823] = {.lex_state = 435, .external_lex_state = 2},
  [14824] = {.lex_state = 435, .external_lex_state = 2},
  [14825] = {.lex_state = 240, .external_lex_state = 2},
  [14826] = {.lex_state = 435, .external_lex_state = 2},
  [14827] = {.lex_state = 435, .external_lex_state = 2},
  [14828] = {.lex_state = 435, .external_lex_state = 2},
  [14829] = {.lex_state = 435, .external_lex_state = 2},
  [14830] = {.lex_state = 435, .external_lex_state = 2},
  [14831] = {.lex_state = 435, .external_lex_state = 2},
  [14832] = {.lex_state = 435, .external_lex_state = 2},
  [14833] = {.lex_state = 128, .external_lex_state = 2},
  [14834] = {.lex_state = 128, .external_lex_state = 2},
  [14835] = {.lex_state = 435, .external_lex_state = 2},
  [14836] = {.lex_state = 131, .external_lex_state = 2},
  [14837] = {.lex_state = 435, .external_lex_state = 2},
  [14838] = {.lex_state = 435, .external_lex_state = 2},
  [14839] = {.lex_state = 240, .external_lex_state = 2},
  [14840] = {.lex_state = 10, .external_lex_state = 2},
  [14841] = {.lex_state = 435, .external_lex_state = 2},
  [14842] = {.lex_state = 128, .external_lex_state = 2},
  [14843] = {.lex_state = 435, .external_lex_state = 2},
  [14844] = {.lex_state = 435, .external_lex_state = 2},
  [14845] = {.lex_state = 435, .external_lex_state = 2},
  [14846] = {.lex_state = 131, .external_lex_state = 2},
  [14847] = {.lex_state = 263, .external_lex_state = 8},
  [14848] = {.lex_state = 435, .external_lex_state = 2},
  [14849] = {.lex_state = 435, .external_lex_state = 2},
  [14850] = {.lex_state = 435, .external_lex_state = 2},
  [14851] = {.lex_state = 435, .external_lex_state = 2},
  [14852] = {.lex_state = 435, .external_lex_state = 2},
  [14853] = {.lex_state = 435, .external_lex_state = 2},
  [14854] = {.lex_state = 131, .external_lex_state = 2},
  [14855] = {.lex_state = 228, .external_lex_state = 2},
  [14856] = {.lex_state = 435, .external_lex_state = 2},
  [14857] = {.lex_state = 228, .external_lex_state = 2},
  [14858] = {.lex_state = 435, .external_lex_state = 2},
  [14859] = {.lex_state = 258, .external_lex_state = 2},
  [14860] = {.lex_state = 435, .external_lex_state = 2},
  [14861] = {.lex_state = 435, .external_lex_state = 2},
  [14862] = {.lex_state = 435, .external_lex_state = 2},
  [14863] = {.lex_state = 435, .external_lex_state = 2},
  [14864] = {.lex_state = 435, .external_lex_state = 2},
  [14865] = {.lex_state = 435, .external_lex_state = 2},
  [14866] = {.lex_state = 435, .external_lex_state = 2},
  [14867] = {.lex_state = 435, .external_lex_state = 2},
  [14868] = {.lex_state = 435, .external_lex_state = 2},
  [14869] = {.lex_state = 435, .external_lex_state = 2},
  [14870] = {.lex_state = 435, .external_lex_state = 2},
  [14871] = {.lex_state = 131, .external_lex_state = 2},
  [14872] = {.lex_state = 435, .external_lex_state = 2},
  [14873] = {.lex_state = 435, .external_lex_state = 2},
  [14874] = {.lex_state = 240, .external_lex_state = 2},
  [14875] = {.lex_state = 131, .external_lex_state = 2},
  [14876] = {.lex_state = 435, .external_lex_state = 2},
  [14877] = {.lex_state = 435, .external_lex_state = 2},
  [14878] = {.lex_state = 435, .external_lex_state = 2},
  [14879] = {.lex_state = 435, .external_lex_state = 2},
  [14880] = {.lex_state = 258, .external_lex_state = 2},
  [14881] = {.lex_state = 435, .external_lex_state = 2},
  [14882] = {.lex_state = 131, .external_lex_state = 2},
  [14883] = {.lex_state = 435, .external_lex_state = 2},
  [14884] = {.lex_state = 228, .external_lex_state = 2},
  [14885] = {.lex_state = 435, .external_lex_state = 2},
  [14886] = {.lex_state = 435, .external_lex_state = 2},
  [14887] = {.lex_state = 435, .external_lex_state = 2},
  [14888] = {.lex_state = 435, .external_lex_state = 2},
  [14889] = {.lex_state = 263, .external_lex_state = 8},
  [14890] = {.lex_state = 435, .external_lex_state = 2},
  [14891] = {.lex_state = 435, .external_lex_state = 2},
  [14892] = {.lex_state = 435, .external_lex_state = 2},
  [14893] = {.lex_state = 435, .external_lex_state = 2},
  [14894] = {.lex_state = 228, .external_lex_state = 2},
  [14895] = {.lex_state = 435, .external_lex_state = 2},
  [14896] = {.lex_state = 435, .external_lex_state = 2},
  [14897] = {.lex_state = 435, .external_lex_state = 2},
  [14898] = {.lex_state = 435, .external_lex_state = 2},
  [14899] = {.lex_state = 258, .external_lex_state = 2},
  [14900] = {.lex_state = 435, .external_lex_state = 2},
  [14901] = {.lex_state = 128, .external_lex_state = 2},
  [14902] = {.lex_state = 435, .external_lex_state = 2},
  [14903] = {.lex_state = 435, .external_lex_state = 2},
  [14904] = {.lex_state = 435, .external_lex_state = 2},
  [14905] = {.lex_state = 435, .external_lex_state = 2},
  [14906] = {.lex_state = 435, .external_lex_state = 2},
  [14907] = {.lex_state = 435, .external_lex_state = 2},
  [14908] = {.lex_state = 435, .external_lex_state = 2},
  [14909] = {.lex_state = 228, .external_lex_state = 2},
  [14910] = {.lex_state = 228, .external_lex_state = 2},
  [14911] = {.lex_state = 128, .external_lex_state = 2},
  [14912] = {.lex_state = 131, .external_lex_state = 2},
  [14913] = {.lex_state = 435, .external_lex_state = 2},
  [14914] = {.lex_state = 435, .external_lex_state = 2},
  [14915] = {.lex_state = 228, .external_lex_state = 2},
  [14916] = {.lex_state = 435, .external_lex_state = 2},
  [14917] = {.lex_state = 263, .external_lex_state = 8},
  [14918] = {.lex_state = 435, .external_lex_state = 2},
  [14919] = {.lex_state = 435, .external_lex_state = 2},
  [14920] = {.lex_state = 435, .external_lex_state = 2},
  [14921] = {.lex_state = 435, .external_lex_state = 2},
  [14922] = {.lex_state = 435, .external_lex_state = 2},
  [14923] = {.lex_state = 435, .external_lex_state = 2},
  [14924] = {.lex_state = 435, .external_lex_state = 2},
  [14925] = {.lex_state = 228, .external_lex_state = 2},
  [14926] = {.lex_state = 435, .external_lex_state = 2},
  [14927] = {.lex_state = 435, .external_lex_state = 2},
  [14928] = {.lex_state = 435, .external_lex_state = 2},
  [14929] = {.lex_state = 435, .external_lex_state = 2},
  [14930] = {.lex_state = 435, .external_lex_state = 2},
  [14931] = {.lex_state = 435, .external_lex_state = 2},
  [14932] = {.lex_state = 435, .external_lex_state = 2},
  [14933] = {.lex_state = 435, .external_lex_state = 2},
  [14934] = {.lex_state = 435, .external_lex_state = 2},
  [14935] = {.lex_state = 435, .external_lex_state = 2},
  [14936] = {.lex_state = 435, .external_lex_state = 2},
  [14937] = {.lex_state = 435, .external_lex_state = 2},
  [14938] = {.lex_state = 128, .external_lex_state = 2},
  [14939] = {.lex_state = 435, .external_lex_state = 2},
  [14940] = {.lex_state = 128, .external_lex_state = 2},
  [14941] = {.lex_state = 10, .external_lex_state = 2},
  [14942] = {.lex_state = 263, .external_lex_state = 8},
  [14943] = {.lex_state = 131, .external_lex_state = 2},
  [14944] = {.lex_state = 435, .external_lex_state = 2},
  [14945] = {.lex_state = 435, .external_lex_state = 2},
  [14946] = {.lex_state = 435, .external_lex_state = 2},
  [14947] = {.lex_state = 263, .external_lex_state = 8},
  [14948] = {.lex_state = 131, .external_lex_state = 2},
  [14949] = {.lex_state = 435, .external_lex_state = 2},
  [14950] = {.lex_state = 435, .external_lex_state = 2},
  [14951] = {.lex_state = 435, .external_lex_state = 2},
  [14952] = {.lex_state = 435, .external_lex_state = 2},
  [14953] = {.lex_state = 128, .external_lex_state = 2},
  [14954] = {.lex_state = 131, .external_lex_state = 2},
  [14955] = {.lex_state = 435, .external_lex_state = 2},
  [14956] = {.lex_state = 435, .external_lex_state = 2},
  [14957] = {.lex_state = 435, .external_lex_state = 2},
  [14958] = {.lex_state = 435, .external_lex_state = 2},
  [14959] = {.lex_state = 435, .external_lex_state = 2},
  [14960] = {.lex_state = 158, .external_lex_state = 2},
  [14961] = {.lex_state = 128, .external_lex_state = 2},
  [14962] = {.lex_state = 435, .external_lex_state = 2},
  [14963] = {.lex_state = 435, .external_lex_state = 2},
  [14964] = {.lex_state = 435, .external_lex_state = 2},
  [14965] = {.lex_state = 435, .external_lex_state = 2},
  [14966] = {.lex_state = 435, .external_lex_state = 2},
  [14967] = {.lex_state = 435, .external_lex_state = 2},
  [14968] = {.lex_state = 435, .external_lex_state = 2},
  [14969] = {.lex_state = 258, .external_lex_state = 2},
  [14970] = {.lex_state = 435, .external_lex_state = 2},
  [14971] = {.lex_state = 435, .external_lex_state = 2},
  [14972] = {.lex_state = 263, .external_lex_state = 8},
  [14973] = {.lex_state = 435, .external_lex_state = 2},
  [14974] = {.lex_state = 131, .external_lex_state = 2},
  [14975] = {.lex_state = 435, .external_lex_state = 2},
  [14976] = {.lex_state = 435, .external_lex_state = 2},
  [14977] = {.lex_state = 435, .external_lex_state = 2},
  [14978] = {.lex_state = 435, .external_lex_state = 2},
  [14979] = {.lex_state = 435, .external_lex_state = 2},
  [14980] = {.lex_state = 435, .external_lex_state = 2},
  [14981] = {.lex_state = 435, .external_lex_state = 2},
  [14982] = {.lex_state = 435, .external_lex_state = 2},
  [14983] = {.lex_state = 435, .external_lex_state = 2},
  [14984] = {.lex_state = 435, .external_lex_state = 2},
  [14985] = {.lex_state = 435, .external_lex_state = 2},
  [14986] = {.lex_state = 435, .external_lex_state = 2},
  [14987] = {.lex_state = 435, .external_lex_state = 2},
  [14988] = {.lex_state = 435, .external_lex_state = 2},
  [14989] = {.lex_state = 435, .external_lex_state = 2},
  [14990] = {.lex_state = 131, .external_lex_state = 2},
  [14991] = {.lex_state = 258, .external_lex_state = 2},
  [14992] = {.lex_state = 435, .external_lex_state = 2},
  [14993] = {.lex_state = 435, .external_lex_state = 2},
  [14994] = {.lex_state = 435, .external_lex_state = 2},
  [14995] = {.lex_state = 435, .external_lex_state = 2},
  [14996] = {.lex_state = 263, .external_lex_state = 8},
  [14997] = {.lex_state = 435, .external_lex_state = 2},
  [14998] = {.lex_state = 435, .external_lex_state = 2},
  [14999] = {.lex_state = 435, .external_lex_state = 2},
  [15000] = {.lex_state = 435, .external_lex_state = 2},
  [15001] = {.lex_state = 435, .external_lex_state = 2},
  [15002] = {.lex_state = 435, .external_lex_state = 2},
  [15003] = {.lex_state = 435, .external_lex_state = 2},
  [15004] = {.lex_state = 435, .external_lex_state = 2},
  [15005] = {.lex_state = 435, .external_lex_state = 2},
  [15006] = {.lex_state = 435, .external_lex_state = 2},
  [15007] = {.lex_state = 435, .external_lex_state = 2},
  [15008] = {.lex_state = 435, .external_lex_state = 2},
  [15009] = {.lex_state = 435, .external_lex_state = 2},
  [15010] = {.lex_state = 258, .external_lex_state = 2},
  [15011] = {.lex_state = 435, .external_lex_state = 2},
  [15012] = {.lex_state = 435, .external_lex_state = 2},
  [15013] = {.lex_state = 131, .external_lex_state = 2},
  [15014] = {.lex_state = 435, .external_lex_state = 2},
  [15015] = {.lex_state = 435, .external_lex_state = 2},
  [15016] = {.lex_state = 435, .external_lex_state = 2},
  [15017] = {.lex_state = 435, .external_lex_state = 2},
  [15018] = {.lex_state = 435, .external_lex_state = 2},
  [15019] = {.lex_state = 435, .external_lex_state = 2},
  [15020] = {.lex_state = 258, .external_lex_state = 2},
  [15021] = {.lex_state = 263, .external_lex_state = 8},
  [15022] = {.lex_state = 435, .external_lex_state = 2},
  [15023] = {.lex_state = 435, .external_lex_state = 2},
  [15024] = {.lex_state = 435, .external_lex_state = 2},
  [15025] = {.lex_state = 435, .external_lex_state = 2},
  [15026] = {.lex_state = 435, .external_lex_state = 2},
  [15027] = {.lex_state = 435, .external_lex_state = 2},
  [15028] = {.lex_state = 228, .external_lex_state = 2},
  [15029] = {.lex_state = 435, .external_lex_state = 2},
  [15030] = {.lex_state = 435, .external_lex_state = 2},
  [15031] = {.lex_state = 435, .external_lex_state = 2},
  [15032] = {.lex_state = 435, .external_lex_state = 2},
  [15033] = {.lex_state = 435, .external_lex_state = 2},
  [15034] = {.lex_state = 435, .external_lex_state = 2},
  [15035] = {.lex_state = 128, .external_lex_state = 2},
  [15036] = {.lex_state = 228, .external_lex_state = 2},
  [15037] = {.lex_state = 435, .external_lex_state = 2},
  [15038] = {.lex_state = 435, .external_lex_state = 2},
  [15039] = {.lex_state = 131, .external_lex_state = 2},
  [15040] = {.lex_state = 435, .external_lex_state = 2},
  [15041] = {.lex_state = 240, .external_lex_state = 2},
  [15042] = {.lex_state = 240, .external_lex_state = 2},
  [15043] = {.lex_state = 131, .external_lex_state = 2},
  [15044] = {.lex_state = 435, .external_lex_state = 2},
  [15045] = {.lex_state = 228, .external_lex_state = 2},
  [15046] = {.lex_state = 435, .external_lex_state = 2},
  [15047] = {.lex_state = 263, .external_lex_state = 8},
  [15048] = {.lex_state = 435, .external_lex_state = 2},
  [15049] = {.lex_state = 435, .external_lex_state = 2},
  [15050] = {.lex_state = 435, .external_lex_state = 2},
  [15051] = {.lex_state = 435, .external_lex_state = 2},
  [15052] = {.lex_state = 435, .external_lex_state = 2},
  [15053] = {.lex_state = 435, .external_lex_state = 2},
  [15054] = {.lex_state = 435, .external_lex_state = 2},
  [15055] = {.lex_state = 435, .external_lex_state = 2},
  [15056] = {.lex_state = 435, .external_lex_state = 2},
  [15057] = {.lex_state = 435, .external_lex_state = 2},
  [15058] = {.lex_state = 435, .external_lex_state = 2},
  [15059] = {.lex_state = 228, .external_lex_state = 2},
  [15060] = {.lex_state = 435, .external_lex_state = 2},
  [15061] = {.lex_state = 435, .external_lex_state = 2},
  [15062] = {.lex_state = 435, .external_lex_state = 2},
  [15063] = {.lex_state = 435, .external_lex_state = 2},
  [15064] = {.lex_state = 435, .external_lex_state = 2},
  [15065] = {.lex_state = 435, .external_lex_state = 2},
  [15066] = {.lex_state = 435, .external_lex_state = 2},
  [15067] = {.lex_state = 435, .external_lex_state = 2},
  [15068] = {.lex_state = 435, .external_lex_state = 2},
  [15069] = {.lex_state = 435, .external_lex_state = 2},
  [15070] = {.lex_state = 131, .external_lex_state = 2},
  [15071] = {.lex_state = 263, .external_lex_state = 8},
  [15072] = {.lex_state = 435, .external_lex_state = 2},
  [15073] = {.lex_state = 435, .external_lex_state = 2},
  [15074] = {.lex_state = 128, .external_lex_state = 2},
  [15075] = {.lex_state = 435, .external_lex_state = 2},
  [15076] = {.lex_state = 131, .external_lex_state = 2},
  [15077] = {.lex_state = 435, .external_lex_state = 2},
  [15078] = {.lex_state = 435, .external_lex_state = 2},
  [15079] = {.lex_state = 435, .external_lex_state = 2},
  [15080] = {.lex_state = 435, .external_lex_state = 2},
  [15081] = {.lex_state = 228, .external_lex_state = 2},
  [15082] = {.lex_state = 435, .external_lex_state = 2},
  [15083] = {.lex_state = 435, .external_lex_state = 2},
  [15084] = {.lex_state = 435, .external_lex_state = 2},
  [15085] = {.lex_state = 131, .external_lex_state = 2},
  [15086] = {.lex_state = 435, .external_lex_state = 2},
  [15087] = {.lex_state = 435, .external_lex_state = 2},
  [15088] = {.lex_state = 435, .external_lex_state = 2},
  [15089] = {.lex_state = 435, .external_lex_state = 2},
  [15090] = {.lex_state = 435, .external_lex_state = 2},
  [15091] = {.lex_state = 435, .external_lex_state = 2},
  [15092] = {.lex_state = 263, .external_lex_state = 8},
  [15093] = {.lex_state = 435, .external_lex_state = 2},
  [15094] = {.lex_state = 435, .external_lex_state = 2},
  [15095] = {.lex_state = 128, .external_lex_state = 2},
  [15096] = {.lex_state = 435, .external_lex_state = 2},
  [15097] = {.lex_state = 435, .external_lex_state = 2},
  [15098] = {.lex_state = 435, .external_lex_state = 2},
  [15099] = {.lex_state = 128, .external_lex_state = 2},
  [15100] = {.lex_state = 435, .external_lex_state = 2},
  [15101] = {.lex_state = 435, .external_lex_state = 2},
  [15102] = {.lex_state = 435, .external_lex_state = 2},
  [15103] = {.lex_state = 435, .external_lex_state = 2},
  [15104] = {.lex_state = 435, .external_lex_state = 2},
  [15105] = {.lex_state = 435, .external_lex_state = 2},
  [15106] = {.lex_state = 435, .external_lex_state = 2},
  [15107] = {.lex_state = 131, .external_lex_state = 2},
  [15108] = {.lex_state = 258, .external_lex_state = 2},
  [15109] = {.lex_state = 435, .external_lex_state = 2},
  [15110] = {.lex_state = 435, .external_lex_state = 2},
  [15111] = {.lex_state = 435, .external_lex_state = 2},
  [15112] = {.lex_state = 435, .external_lex_state = 2},
  [15113] = {.lex_state = 258, .external_lex_state = 2},
  [15114] = {.lex_state = 263, .external_lex_state = 8},
  [15115] = {.lex_state = 435, .external_lex_state = 2},
  [15116] = {.lex_state = 435, .external_lex_state = 2},
  [15117] = {.lex_state = 435, .external_lex_state = 2},
  [15118] = {.lex_state = 435, .external_lex_state = 2},
  [15119] = {.lex_state = 435, .external_lex_state = 2},
  [15120] = {.lex_state = 128, .external_lex_state = 2},
  [15121] = {.lex_state = 435, .external_lex_state = 2},
  [15122] = {.lex_state = 435, .external_lex_state = 2},
  [15123] = {.lex_state = 258, .external_lex_state = 2},
  [15124] = {.lex_state = 435, .external_lex_state = 2},
  [15125] = {.lex_state = 435, .external_lex_state = 2},
  [15126] = {.lex_state = 435, .external_lex_state = 2},
  [15127] = {.lex_state = 435, .external_lex_state = 2},
  [15128] = {.lex_state = 435, .external_lex_state = 2},
  [15129] = {.lex_state = 435, .external_lex_state = 2},
  [15130] = {.lex_state = 240, .external_lex_state = 2},
  [15131] = {.lex_state = 435, .external_lex_state = 2},
  [15132] = {.lex_state = 435, .external_lex_state = 2},
  [15133] = {.lex_state = 435, .external_lex_state = 2},
  [15134] = {.lex_state = 263, .external_lex_state = 8},
  [15135] = {.lex_state = 435, .external_lex_state = 2},
  [15136] = {.lex_state = 131, .external_lex_state = 2},
  [15137] = {.lex_state = 435, .external_lex_state = 2},
  [15138] = {.lex_state = 435, .external_lex_state = 2},
  [15139] = {.lex_state = 435, .external_lex_state = 2},
  [15140] = {.lex_state = 435, .external_lex_state = 2},
  [15141] = {.lex_state = 435, .external_lex_state = 2},
  [15142] = {.lex_state = 128, .external_lex_state = 2},
  [15143] = {.lex_state = 435, .external_lex_state = 2},
  [15144] = {.lex_state = 435, .external_lex_state = 2},
  [15145] = {.lex_state = 131, .external_lex_state = 2},
  [15146] = {.lex_state = 435, .external_lex_state = 2},
  [15147] = {.lex_state = 435, .external_lex_state = 2},
  [15148] = {.lex_state = 435, .external_lex_state = 2},
  [15149] = {.lex_state = 131, .external_lex_state = 2},
  [15150] = {.lex_state = 435, .external_lex_state = 2},
  [15151] = {.lex_state = 435, .external_lex_state = 2},
  [15152] = {.lex_state = 435, .external_lex_state = 2},
  [15153] = {.lex_state = 435, .external_lex_state = 2},
  [15154] = {.lex_state = 263, .external_lex_state = 8},
  [15155] = {.lex_state = 435, .external_lex_state = 2},
  [15156] = {.lex_state = 435, .external_lex_state = 2},
  [15157] = {.lex_state = 435, .external_lex_state = 2},
  [15158] = {.lex_state = 435, .external_lex_state = 2},
  [15159] = {.lex_state = 435, .external_lex_state = 2},
  [15160] = {.lex_state = 228, .external_lex_state = 2},
  [15161] = {.lex_state = 228, .external_lex_state = 2},
  [15162] = {.lex_state = 131, .external_lex_state = 2},
  [15163] = {.lex_state = 131, .external_lex_state = 2},
  [15164] = {.lex_state = 131, .external_lex_state = 2},
  [15165] = {.lex_state = 435, .external_lex_state = 2},
  [15166] = {.lex_state = 435, .external_lex_state = 2},
  [15167] = {.lex_state = 263, .external_lex_state = 8},
  [15168] = {.lex_state = 435, .external_lex_state = 2},
  [15169] = {.lex_state = 228, .external_lex_state = 2},
  [15170] = {.lex_state = 435, .external_lex_state = 2},
  [15171] = {.lex_state = 435, .external_lex_state = 2},
  [15172] = {.lex_state = 435, .external_lex_state = 2},
  [15173] = {.lex_state = 435, .external_lex_state = 2},
  [15174] = {.lex_state = 435, .external_lex_state = 2},
  [15175] = {.lex_state = 435, .external_lex_state = 2},
  [15176] = {.lex_state = 435, .external_lex_state = 2},
  [15177] = {.lex_state = 435, .external_lex_state = 2},
  [15178] = {.lex_state = 435, .external_lex_state = 2},
  [15179] = {.lex_state = 435, .external_lex_state = 2},
  [15180] = {.lex_state = 435, .external_lex_state = 2},
  [15181] = {.lex_state = 435, .external_lex_state = 2},
  [15182] = {.lex_state = 435, .external_lex_state = 2},
  [15183] = {.lex_state = 435, .external_lex_state = 2},
  [15184] = {.lex_state = 435, .external_lex_state = 2},
  [15185] = {.lex_state = 435, .external_lex_state = 2},
  [15186] = {.lex_state = 263, .external_lex_state = 8},
  [15187] = {.lex_state = 435, .external_lex_state = 2},
  [15188] = {.lex_state = 128, .external_lex_state = 2},
  [15189] = {.lex_state = 128, .external_lex_state = 2},
  [15190] = {.lex_state = 258, .external_lex_state = 2},
  [15191] = {.lex_state = 435, .external_lex_state = 2},
  [15192] = {.lex_state = 435, .external_lex_state = 2},
  [15193] = {.lex_state = 131, .external_lex_state = 2},
  [15194] = {.lex_state = 131, .external_lex_state = 2},
  [15195] = {.lex_state = 228, .external_lex_state = 2},
  [15196] = {.lex_state = 435, .external_lex_state = 2},
  [15197] = {.lex_state = 435, .external_lex_state = 2},
  [15198] = {.lex_state = 435, .external_lex_state = 2},
  [15199] = {.lex_state = 435, .external_lex_state = 2},
  [15200] = {.lex_state = 435, .external_lex_state = 2},
  [15201] = {.lex_state = 435, .external_lex_state = 2},
  [15202] = {.lex_state = 128, .external_lex_state = 2},
  [15203] = {.lex_state = 435, .external_lex_state = 2},
  [15204] = {.lex_state = 435, .external_lex_state = 2},
  [15205] = {.lex_state = 263, .external_lex_state = 8},
  [15206] = {.lex_state = 435, .external_lex_state = 2},
  [15207] = {.lex_state = 435, .external_lex_state = 2},
  [15208] = {.lex_state = 435, .external_lex_state = 2},
  [15209] = {.lex_state = 128, .external_lex_state = 2},
  [15210] = {.lex_state = 435, .external_lex_state = 2},
  [15211] = {.lex_state = 435, .external_lex_state = 2},
  [15212] = {.lex_state = 435, .external_lex_state = 2},
  [15213] = {.lex_state = 128, .external_lex_state = 2},
  [15214] = {.lex_state = 131, .external_lex_state = 2},
  [15215] = {.lex_state = 435, .external_lex_state = 2},
  [15216] = {.lex_state = 435, .external_lex_state = 2},
  [15217] = {.lex_state = 263, .external_lex_state = 8},
  [15218] = {.lex_state = 435, .external_lex_state = 2},
  [15219] = {.lex_state = 258, .external_lex_state = 2},
  [15220] = {.lex_state = 435, .external_lex_state = 2},
  [15221] = {.lex_state = 435, .external_lex_state = 2},
  [15222] = {.lex_state = 435, .external_lex_state = 2},
  [15223] = {.lex_state = 435, .external_lex_state = 2},
  [15224] = {.lex_state = 131, .external_lex_state = 2},
  [15225] = {.lex_state = 435, .external_lex_state = 2},
  [15226] = {.lex_state = 435, .external_lex_state = 2},
  [15227] = {.lex_state = 435, .external_lex_state = 2},
  [15228] = {.lex_state = 131, .external_lex_state = 2},
  [15229] = {.lex_state = 228, .external_lex_state = 2},
  [15230] = {.lex_state = 228, .external_lex_state = 2},
  [15231] = {.lex_state = 435, .external_lex_state = 2},
  [15232] = {.lex_state = 263, .external_lex_state = 8},
  [15233] = {.lex_state = 435, .external_lex_state = 2},
  [15234] = {.lex_state = 435, .external_lex_state = 2},
  [15235] = {.lex_state = 128, .external_lex_state = 2},
  [15236] = {.lex_state = 435, .external_lex_state = 2},
  [15237] = {.lex_state = 435, .external_lex_state = 2},
  [15238] = {.lex_state = 228, .external_lex_state = 2},
  [15239] = {.lex_state = 435, .external_lex_state = 2},
  [15240] = {.lex_state = 131, .external_lex_state = 2},
  [15241] = {.lex_state = 435, .external_lex_state = 2},
  [15242] = {.lex_state = 435, .external_lex_state = 2},
  [15243] = {.lex_state = 435, .external_lex_state = 2},
  [15244] = {.lex_state = 435, .external_lex_state = 2},
  [15245] = {.lex_state = 258, .external_lex_state = 2},
  [15246] = {.lex_state = 435, .external_lex_state = 2},
  [15247] = {.lex_state = 435, .external_lex_state = 2},
  [15248] = {.lex_state = 131, .external_lex_state = 2},
  [15249] = {.lex_state = 435, .external_lex_state = 2},
  [15250] = {.lex_state = 263, .external_lex_state = 8},
  [15251] = {.lex_state = 41, .external_lex_state = 2},
  [15252] = {.lex_state = 128, .external_lex_state = 2},
  [15253] = {.lex_state = 435, .external_lex_state = 2},
  [15254] = {.lex_state = 435, .external_lex_state = 2},
  [15255] = {.lex_state = 435, .external_lex_state = 2},
  [15256] = {.lex_state = 435, .external_lex_state = 2},
  [15257] = {.lex_state = 435, .external_lex_state = 2},
  [15258] = {.lex_state = 435, .external_lex_state = 2},
  [15259] = {.lex_state = 131, .external_lex_state = 2},
  [15260] = {.lex_state = 131, .external_lex_state = 2},
  [15261] = {.lex_state = 435, .external_lex_state = 2},
  [15262] = {.lex_state = 435, .external_lex_state = 2},
  [15263] = {.lex_state = 435, .external_lex_state = 2},
  [15264] = {.lex_state = 435, .external_lex_state = 2},
  [15265] = {.lex_state = 263, .external_lex_state = 8},
  [15266] = {.lex_state = 435, .external_lex_state = 2},
  [15267] = {.lex_state = 131, .external_lex_state = 2},
  [15268] = {.lex_state = 435, .external_lex_state = 2},
  [15269] = {.lex_state = 435, .external_lex_state = 2},
  [15270] = {.lex_state = 240, .external_lex_state = 2},
  [15271] = {.lex_state = 435, .external_lex_state = 2},
  [15272] = {.lex_state = 435, .external_lex_state = 2},
  [15273] = {.lex_state = 435, .external_lex_state = 2},
  [15274] = {.lex_state = 435, .external_lex_state = 2},
  [15275] = {.lex_state = 258, .external_lex_state = 2},
  [15276] = {.lex_state = 435, .external_lex_state = 2},
  [15277] = {.lex_state = 263, .external_lex_state = 8},
  [15278] = {.lex_state = 435, .external_lex_state = 2},
  [15279] = {.lex_state = 435, .external_lex_state = 2},
  [15280] = {.lex_state = 435, .external_lex_state = 2},
  [15281] = {.lex_state = 228, .external_lex_state = 2},
  [15282] = {.lex_state = 435, .external_lex_state = 2},
  [15283] = {.lex_state = 435, .external_lex_state = 2},
  [15284] = {.lex_state = 263, .external_lex_state = 8},
  [15285] = {.lex_state = 128, .external_lex_state = 2},
  [15286] = {.lex_state = 435, .external_lex_state = 2},
  [15287] = {.lex_state = 128, .external_lex_state = 2},
  [15288] = {.lex_state = 435, .external_lex_state = 3},
  [15289] = {.lex_state = 128, .external_lex_state = 2},
  [15290] = {.lex_state = 435, .external_lex_state = 2},
  [15291] = {.lex_state = 263, .external_lex_state = 8},
  [15292] = {.lex_state = 435, .external_lex_state = 2},
  [15293] = {.lex_state = 263, .external_lex_state = 8},
  [15294] = {.lex_state = 131, .external_lex_state = 2},
  [15295] = {.lex_state = 435, .external_lex_state = 2},
  [15296] = {.lex_state = 435, .external_lex_state = 2},
  [15297] = {.lex_state = 435, .external_lex_state = 2},
  [15298] = {.lex_state = 435, .external_lex_state = 2},
  [15299] = {.lex_state = 435, .external_lex_state = 2},
  [15300] = {.lex_state = 435, .external_lex_state = 2},
  [15301] = {.lex_state = 435, .external_lex_state = 2},
  [15302] = {.lex_state = 228, .external_lex_state = 2},
  [15303] = {.lex_state = 228, .external_lex_state = 2},
  [15304] = {.lex_state = 435, .external_lex_state = 2},
  [15305] = {.lex_state = 435, .external_lex_state = 2},
  [15306] = {.lex_state = 435, .external_lex_state = 2},
  [15307] = {.lex_state = 435, .external_lex_state = 2},
  [15308] = {.lex_state = 263, .external_lex_state = 8},
  [15309] = {.lex_state = 131, .external_lex_state = 2},
  [15310] = {.lex_state = 435, .external_lex_state = 2},
  [15311] = {.lex_state = 435, .external_lex_state = 2},
  [15312] = {.lex_state = 435, .external_lex_state = 2},
  [15313] = {.lex_state = 158, .external_lex_state = 2},
  [15314] = {.lex_state = 435, .external_lex_state = 2},
  [15315] = {.lex_state = 131, .external_lex_state = 2},
  [15316] = {.lex_state = 435, .external_lex_state = 2},
  [15317] = {.lex_state = 435, .external_lex_state = 2},
  [15318] = {.lex_state = 435, .external_lex_state = 2},
  [15319] = {.lex_state = 158, .external_lex_state = 2},
  [15320] = {.lex_state = 435, .external_lex_state = 2},
  [15321] = {.lex_state = 258, .external_lex_state = 2},
  [15322] = {.lex_state = 258, .external_lex_state = 2},
  [15323] = {.lex_state = 435, .external_lex_state = 2},
  [15324] = {.lex_state = 128, .external_lex_state = 2},
  [15325] = {.lex_state = 435, .external_lex_state = 2},
  [15326] = {.lex_state = 263, .external_lex_state = 8},
  [15327] = {.lex_state = 435, .external_lex_state = 2},
  [15328] = {.lex_state = 435, .external_lex_state = 2},
  [15329] = {.lex_state = 435, .external_lex_state = 2},
  [15330] = {.lex_state = 435, .external_lex_state = 2},
  [15331] = {.lex_state = 435, .external_lex_state = 2},
  [15332] = {.lex_state = 158, .external_lex_state = 2},
  [15333] = {.lex_state = 435, .external_lex_state = 2},
  [15334] = {.lex_state = 435, .external_lex_state = 2},
  [15335] = {.lex_state = 435, .external_lex_state = 2},
  [15336] = {.lex_state = 435, .external_lex_state = 2},
  [15337] = {.lex_state = 435, .external_lex_state = 2},
  [15338] = {.lex_state = 435, .external_lex_state = 2},
  [15339] = {.lex_state = 435, .external_lex_state = 2},
  [15340] = {.lex_state = 435, .external_lex_state = 2},
  [15341] = {.lex_state = 435, .external_lex_state = 2},
  [15342] = {.lex_state = 263, .external_lex_state = 8},
  [15343] = {.lex_state = 435, .external_lex_state = 2},
  [15344] = {.lex_state = 435, .external_lex_state = 2},
  [15345] = {.lex_state = 128, .external_lex_state = 2},
  [15346] = {.lex_state = 435, .external_lex_state = 2},
  [15347] = {.lex_state = 131, .external_lex_state = 2},
  [15348] = {.lex_state = 435, .external_lex_state = 2},
  [15349] = {.lex_state = 128, .external_lex_state = 2},
  [15350] = {.lex_state = 228, .external_lex_state = 2},
  [15351] = {.lex_state = 435, .external_lex_state = 2},
  [15352] = {.lex_state = 228, .external_lex_state = 2},
  [15353] = {.lex_state = 435, .external_lex_state = 2},
  [15354] = {.lex_state = 435, .external_lex_state = 2},
  [15355] = {.lex_state = 435, .external_lex_state = 2},
  [15356] = {.lex_state = 435, .external_lex_state = 2},
  [15357] = {.lex_state = 435, .external_lex_state = 2},
  [15358] = {.lex_state = 435, .external_lex_state = 2},
  [15359] = {.lex_state = 435, .external_lex_state = 2},
  [15360] = {.lex_state = 435, .external_lex_state = 2},
  [15361] = {.lex_state = 435, .external_lex_state = 2},
  [15362] = {.lex_state = 263, .external_lex_state = 8},
  [15363] = {.lex_state = 435, .external_lex_state = 2},
  [15364] = {.lex_state = 435, .external_lex_state = 2},
  [15365] = {.lex_state = 435, .external_lex_state = 2},
  [15366] = {.lex_state = 128, .external_lex_state = 2},
  [15367] = {.lex_state = 435, .external_lex_state = 2},
  [15368] = {.lex_state = 30, .external_lex_state = 2},
  [15369] = {.lex_state = 435, .external_lex_state = 2},
  [15370] = {.lex_state = 435, .external_lex_state = 2},
  [15371] = {.lex_state = 435, .external_lex_state = 2},
  [15372] = {.lex_state = 435, .external_lex_state = 2},
  [15373] = {.lex_state = 263, .external_lex_state = 8},
  [15374] = {.lex_state = 131, .external_lex_state = 2},
  [15375] = {.lex_state = 435, .external_lex_state = 2},
  [15376] = {.lex_state = 435, .external_lex_state = 2},
  [15377] = {.lex_state = 435, .external_lex_state = 2},
  [15378] = {.lex_state = 435, .external_lex_state = 2},
  [15379] = {.lex_state = 435, .external_lex_state = 2},
  [15380] = {.lex_state = 435, .external_lex_state = 2},
  [15381] = {.lex_state = 435, .external_lex_state = 2},
  [15382] = {.lex_state = 435, .external_lex_state = 2},
  [15383] = {.lex_state = 131, .external_lex_state = 2},
  [15384] = {.lex_state = 435, .external_lex_state = 2},
  [15385] = {.lex_state = 128, .external_lex_state = 2},
  [15386] = {.lex_state = 435, .external_lex_state = 2},
  [15387] = {.lex_state = 435, .external_lex_state = 2},
  [15388] = {.lex_state = 263, .external_lex_state = 8},
  [15389] = {.lex_state = 228, .external_lex_state = 2},
  [15390] = {.lex_state = 435, .external_lex_state = 2},
  [15391] = {.lex_state = 131, .external_lex_state = 2},
  [15392] = {.lex_state = 435, .external_lex_state = 2},
  [15393] = {.lex_state = 435, .external_lex_state = 2},
  [15394] = {.lex_state = 435, .external_lex_state = 2},
  [15395] = {.lex_state = 435, .external_lex_state = 2},
  [15396] = {.lex_state = 435, .external_lex_state = 2},
  [15397] = {.lex_state = 435, .external_lex_state = 3},
  [15398] = {.lex_state = 435, .external_lex_state = 2},
  [15399] = {.lex_state = 435, .external_lex_state = 2},
  [15400] = {.lex_state = 435, .external_lex_state = 2},
  [15401] = {.lex_state = 128, .external_lex_state = 2},
  [15402] = {.lex_state = 435, .external_lex_state = 2},
  [15403] = {.lex_state = 128, .external_lex_state = 2},
  [15404] = {.lex_state = 435, .external_lex_state = 2},
  [15405] = {.lex_state = 263, .external_lex_state = 8},
  [15406] = {.lex_state = 435, .external_lex_state = 2},
  [15407] = {.lex_state = 128, .external_lex_state = 2},
  [15408] = {.lex_state = 128, .external_lex_state = 2},
  [15409] = {.lex_state = 435, .external_lex_state = 2},
  [15410] = {.lex_state = 435, .external_lex_state = 2},
  [15411] = {.lex_state = 435, .external_lex_state = 2},
  [15412] = {.lex_state = 258, .external_lex_state = 2},
  [15413] = {.lex_state = 435, .external_lex_state = 2},
  [15414] = {.lex_state = 435, .external_lex_state = 2},
  [15415] = {.lex_state = 435, .external_lex_state = 2},
  [15416] = {.lex_state = 131, .external_lex_state = 2},
  [15417] = {.lex_state = 435, .external_lex_state = 2},
  [15418] = {.lex_state = 435, .external_lex_state = 2},
  [15419] = {.lex_state = 263, .external_lex_state = 8},
  [15420] = {.lex_state = 435, .external_lex_state = 2},
  [15421] = {.lex_state = 435, .external_lex_state = 2},
  [15422] = {.lex_state = 435, .external_lex_state = 2},
  [15423] = {.lex_state = 435, .external_lex_state = 2},
  [15424] = {.lex_state = 435, .external_lex_state = 2},
  [15425] = {.lex_state = 435, .external_lex_state = 2},
  [15426] = {.lex_state = 128, .external_lex_state = 2},
  [15427] = {.lex_state = 435, .external_lex_state = 2},
  [15428] = {.lex_state = 435, .external_lex_state = 2},
  [15429] = {.lex_state = 435, .external_lex_state = 2},
  [15430] = {.lex_state = 435, .external_lex_state = 2},
  [15431] = {.lex_state = 131, .external_lex_state = 2},
  [15432] = {.lex_state = 435, .external_lex_state = 2},
  [15433] = {.lex_state = 263, .external_lex_state = 8},
  [15434] = {.lex_state = 131, .external_lex_state = 2},
  [15435] = {.lex_state = 258, .external_lex_state = 2},
  [15436] = {.lex_state = 435, .external_lex_state = 2},
  [15437] = {.lex_state = 435, .external_lex_state = 2},
  [15438] = {.lex_state = 435, .external_lex_state = 2},
  [15439] = {.lex_state = 435, .external_lex_state = 2},
  [15440] = {.lex_state = 435, .external_lex_state = 2},
  [15441] = {.lex_state = 435, .external_lex_state = 2},
  [15442] = {.lex_state = 435, .external_lex_state = 2},
  [15443] = {.lex_state = 435, .external_lex_state = 2},
  [15444] = {.lex_state = 263, .external_lex_state = 8},
  [15445] = {.lex_state = 258, .external_lex_state = 2},
  [15446] = {.lex_state = 435, .external_lex_state = 2},
  [15447] = {.lex_state = 258, .external_lex_state = 2},
  [15448] = {.lex_state = 435, .external_lex_state = 2},
  [15449] = {.lex_state = 131, .external_lex_state = 2},
  [15450] = {.lex_state = 435, .external_lex_state = 2},
  [15451] = {.lex_state = 131, .external_lex_state = 2},
  [15452] = {.lex_state = 435, .external_lex_state = 2},
  [15453] = {.lex_state = 131, .external_lex_state = 2},
  [15454] = {.lex_state = 435, .external_lex_state = 2},
  [15455] = {.lex_state = 435, .external_lex_state = 2},
  [15456] = {.lex_state = 435, .external_lex_state = 2},
  [15457] = {.lex_state = 131, .external_lex_state = 2},
  [15458] = {.lex_state = 435, .external_lex_state = 2},
  [15459] = {.lex_state = 435, .external_lex_state = 2},
  [15460] = {.lex_state = 263, .external_lex_state = 8},
  [15461] = {.lex_state = 435, .external_lex_state = 2},
  [15462] = {.lex_state = 435, .external_lex_state = 2},
  [15463] = {.lex_state = 435, .external_lex_state = 2},
  [15464] = {.lex_state = 131, .external_lex_state = 2},
  [15465] = {.lex_state = 435, .external_lex_state = 2},
  [15466] = {.lex_state = 228, .external_lex_state = 2},
  [15467] = {.lex_state = 435, .external_lex_state = 2},
  [15468] = {.lex_state = 435, .external_lex_state = 2},
  [15469] = {.lex_state = 263, .external_lex_state = 8},
  [15470] = {.lex_state = 435, .external_lex_state = 2},
  [15471] = {.lex_state = 128, .external_lex_state = 2},
  [15472] = {.lex_state = 258, .external_lex_state = 2},
  [15473] = {.lex_state = 131, .external_lex_state = 2},
  [15474] = {.lex_state = 435, .external_lex_state = 2},
  [15475] = {.lex_state = 131, .external_lex_state = 2},
  [15476] = {.lex_state = 435, .external_lex_state = 2},
  [15477] = {.lex_state = 263, .external_lex_state = 8},
  [15478] = {.lex_state = 435, .external_lex_state = 2},
  [15479] = {.lex_state = 435, .external_lex_state = 2},
  [15480] = {.lex_state = 435, .external_lex_state = 2},
  [15481] = {.lex_state = 263, .external_lex_state = 8},
  [15482] = {.lex_state = 435, .external_lex_state = 2},
  [15483] = {.lex_state = 435, .external_lex_state = 2},
  [15484] = {.lex_state = 435, .external_lex_state = 2},
  [15485] = {.lex_state = 263, .external_lex_state = 8},
  [15486] = {.lex_state = 435, .external_lex_state = 2},
  [15487] = {.lex_state = 435, .external_lex_state = 2},
  [15488] = {.lex_state = 263, .external_lex_state = 8},
  [15489] = {.lex_state = 228, .external_lex_state = 2},
  [15490] = {.lex_state = 435, .external_lex_state = 2},
  [15491] = {.lex_state = 263, .external_lex_state = 8},
  [15492] = {.lex_state = 435, .external_lex_state = 2},
  [15493] = {.lex_state = 435, .external_lex_state = 2},
  [15494] = {.lex_state = 263, .external_lex_state = 8},
  [15495] = {.lex_state = 435, .external_lex_state = 2},
  [15496] = {.lex_state = 435, .external_lex_state = 2},
  [15497] = {.lex_state = 263, .external_lex_state = 8},
  [15498] = {.lex_state = 435, .external_lex_state = 2},
  [15499] = {.lex_state = 435, .external_lex_state = 2},
  [15500] = {.lex_state = 263, .external_lex_state = 8},
  [15501] = {.lex_state = 435, .external_lex_state = 2},
  [15502] = {.lex_state = 435, .external_lex_state = 2},
  [15503] = {.lex_state = 263, .external_lex_state = 8},
  [15504] = {.lex_state = 435, .external_lex_state = 2},
  [15505] = {.lex_state = 435, .external_lex_state = 2},
  [15506] = {.lex_state = 263, .external_lex_state = 8},
  [15507] = {.lex_state = 258, .external_lex_state = 2},
  [15508] = {.lex_state = 435, .external_lex_state = 2},
  [15509] = {.lex_state = 263, .external_lex_state = 8},
  [15510] = {.lex_state = 435, .external_lex_state = 2},
  [15511] = {.lex_state = 435, .external_lex_state = 2},
  [15512] = {.lex_state = 263, .external_lex_state = 8},
  [15513] = {.lex_state = 435, .external_lex_state = 2},
  [15514] = {.lex_state = 435, .external_lex_state = 2},
  [15515] = {.lex_state = 263, .external_lex_state = 8},
  [15516] = {.lex_state = 435, .external_lex_state = 2},
  [15517] = {.lex_state = 263, .external_lex_state = 8},
  [15518] = {.lex_state = 435, .external_lex_state = 2},
  [15519] = {.lex_state = 263, .external_lex_state = 8},
  [15520] = {.lex_state = 435, .external_lex_state = 2},
  [15521] = {.lex_state = 263, .external_lex_state = 8},
  [15522] = {.lex_state = 435, .external_lex_state = 2},
  [15523] = {.lex_state = 263, .external_lex_state = 8},
  [15524] = {.lex_state = 435, .external_lex_state = 2},
  [15525] = {.lex_state = 263, .external_lex_state = 8},
  [15526] = {.lex_state = 435, .external_lex_state = 2},
  [15527] = {.lex_state = 263, .external_lex_state = 8},
  [15528] = {.lex_state = 435, .external_lex_state = 2},
  [15529] = {.lex_state = 263, .external_lex_state = 8},
  [15530] = {.lex_state = 435, .external_lex_state = 2},
  [15531] = {.lex_state = 263, .external_lex_state = 8},
  [15532] = {.lex_state = 435, .external_lex_state = 2},
  [15533] = {.lex_state = 263, .external_lex_state = 8},
  [15534] = {.lex_state = 435, .external_lex_state = 2},
  [15535] = {.lex_state = 263, .external_lex_state = 8},
  [15536] = {.lex_state = 435, .external_lex_state = 2},
  [15537] = {.lex_state = 263, .external_lex_state = 8},
  [15538] = {.lex_state = 435, .external_lex_state = 2},
  [15539] = {.lex_state = 263, .external_lex_state = 8},
  [15540] = {.lex_state = 435, .external_lex_state = 2},
  [15541] = {.lex_state = 263, .external_lex_state = 8},
  [15542] = {.lex_state = 435, .external_lex_state = 2},
  [15543] = {.lex_state = 263, .external_lex_state = 8},
  [15544] = {.lex_state = 435, .external_lex_state = 2},
  [15545] = {.lex_state = 263, .external_lex_state = 8},
  [15546] = {.lex_state = 435, .external_lex_state = 2},
  [15547] = {.lex_state = 263, .external_lex_state = 8},
  [15548] = {.lex_state = 435, .external_lex_state = 2},
  [15549] = {.lex_state = 263, .external_lex_state = 8},
  [15550] = {.lex_state = 435, .external_lex_state = 2},
  [15551] = {.lex_state = 263, .external_lex_state = 8},
  [15552] = {.lex_state = 435, .external_lex_state = 2},
  [15553] = {.lex_state = 263, .external_lex_state = 8},
  [15554] = {.lex_state = 435, .external_lex_state = 2},
  [15555] = {.lex_state = 263, .external_lex_state = 8},
  [15556] = {.lex_state = 435, .external_lex_state = 2},
  [15557] = {.lex_state = 263, .external_lex_state = 8},
  [15558] = {.lex_state = 435, .external_lex_state = 2},
  [15559] = {.lex_state = 263, .external_lex_state = 8},
  [15560] = {.lex_state = 435, .external_lex_state = 2},
  [15561] = {.lex_state = 435, .external_lex_state = 2},
  [15562] = {.lex_state = 435, .external_lex_state = 2},
  [15563] = {.lex_state = 435, .external_lex_state = 2},
  [15564] = {.lex_state = 435, .external_lex_state = 2},
  [15565] = {.lex_state = 435, .external_lex_state = 2},
  [15566] = {.lex_state = 435, .external_lex_state = 2},
  [15567] = {.lex_state = 435, .external_lex_state = 2},
  [15568] = {.lex_state = 128, .external_lex_state = 2},
  [15569] = {.lex_state = 435, .external_lex_state = 2},
  [15570] = {.lex_state = 128, .external_lex_state = 2},
  [15571] = {.lex_state = 435, .external_lex_state = 2},
  [15572] = {.lex_state = 128, .external_lex_state = 2},
  [15573] = {.lex_state = 435, .external_lex_state = 2},
  [15574] = {.lex_state = 435, .external_lex_state = 2},
  [15575] = {.lex_state = 435, .external_lex_state = 2},
  [15576] = {.lex_state = 131, .external_lex_state = 2},
  [15577] = {.lex_state = 263, .external_lex_state = 8},
  [15578] = {.lex_state = 158, .external_lex_state = 2},
  [15579] = {.lex_state = 228, .external_lex_state = 2},
  [15580] = {.lex_state = 435, .external_lex_state = 2},
  [15581] = {.lex_state = 228, .external_lex_state = 2},
  [15582] = {.lex_state = 435, .external_lex_state = 2},
  [15583] = {.lex_state = 435, .external_lex_state = 2},
  [15584] = {.lex_state = 435, .external_lex_state = 2},
  [15585] = {.lex_state = 435, .external_lex_state = 2},
  [15586] = {.lex_state = 435, .external_lex_state = 2},
  [15587] = {.lex_state = 435, .external_lex_state = 2},
  [15588] = {.lex_state = 435, .external_lex_state = 2},
  [15589] = {.lex_state = 435, .external_lex_state = 2},
  [15590] = {.lex_state = 435, .external_lex_state = 2},
  [15591] = {.lex_state = 128, .external_lex_state = 2},
  [15592] = {.lex_state = 158, .external_lex_state = 2},
  [15593] = {.lex_state = 435, .external_lex_state = 2},
  [15594] = {.lex_state = 435, .external_lex_state = 2},
  [15595] = {.lex_state = 435, .external_lex_state = 2},
  [15596] = {.lex_state = 131, .external_lex_state = 2},
  [15597] = {.lex_state = 228, .external_lex_state = 2},
  [15598] = {.lex_state = 435, .external_lex_state = 2},
  [15599] = {.lex_state = 435, .external_lex_state = 2},
  [15600] = {.lex_state = 435, .external_lex_state = 2},
  [15601] = {.lex_state = 435, .external_lex_state = 2},
  [15602] = {.lex_state = 128, .external_lex_state = 2},
  [15603] = {.lex_state = 435, .external_lex_state = 2},
  [15604] = {.lex_state = 435, .external_lex_state = 2},
  [15605] = {.lex_state = 435, .external_lex_state = 2},
  [15606] = {.lex_state = 128, .external_lex_state = 2},
  [15607] = {.lex_state = 258, .external_lex_state = 2},
  [15608] = {.lex_state = 435, .external_lex_state = 2},
  [15609] = {.lex_state = 131, .external_lex_state = 2},
  [15610] = {.lex_state = 435, .external_lex_state = 2},
  [15611] = {.lex_state = 435, .external_lex_state = 2},
  [15612] = {.lex_state = 435, .external_lex_state = 2},
  [15613] = {.lex_state = 435, .external_lex_state = 2},
  [15614] = {.lex_state = 131, .external_lex_state = 2},
  [15615] = {.lex_state = 128, .external_lex_state = 2},
  [15616] = {.lex_state = 131, .external_lex_state = 2},
  [15617] = {.lex_state = 228, .external_lex_state = 2},
  [15618] = {.lex_state = 435, .external_lex_state = 2},
  [15619] = {.lex_state = 435, .external_lex_state = 2},
  [15620] = {.lex_state = 263, .external_lex_state = 8},
  [15621] = {.lex_state = 435, .external_lex_state = 2},
  [15622] = {.lex_state = 435, .external_lex_state = 2},
  [15623] = {.lex_state = 228, .external_lex_state = 2},
  [15624] = {.lex_state = 435, .external_lex_state = 2},
  [15625] = {.lex_state = 435, .external_lex_state = 2},
  [15626] = {.lex_state = 435, .external_lex_state = 2},
  [15627] = {.lex_state = 435, .external_lex_state = 2},
  [15628] = {.lex_state = 131, .external_lex_state = 2},
  [15629] = {.lex_state = 435, .external_lex_state = 2},
  [15630] = {.lex_state = 435, .external_lex_state = 2},
  [15631] = {.lex_state = 435, .external_lex_state = 2},
  [15632] = {.lex_state = 435, .external_lex_state = 2},
  [15633] = {.lex_state = 158, .external_lex_state = 2},
  [15634] = {.lex_state = 435, .external_lex_state = 2},
  [15635] = {.lex_state = 435, .external_lex_state = 2},
  [15636] = {.lex_state = 128, .external_lex_state = 2},
  [15637] = {.lex_state = 435, .external_lex_state = 2},
  [15638] = {.lex_state = 435, .external_lex_state = 2},
  [15639] = {.lex_state = 158, .external_lex_state = 2},
  [15640] = {.lex_state = 435, .external_lex_state = 2},
  [15641] = {.lex_state = 435, .external_lex_state = 2},
  [15642] = {.lex_state = 131, .external_lex_state = 2},
  [15643] = {.lex_state = 435, .external_lex_state = 2},
  [15644] = {.lex_state = 435, .external_lex_state = 2},
  [15645] = {.lex_state = 435, .external_lex_state = 2},
  [15646] = {.lex_state = 258, .external_lex_state = 2},
  [15647] = {.lex_state = 435, .external_lex_state = 2},
  [15648] = {.lex_state = 435, .external_lex_state = 2},
  [15649] = {.lex_state = 435, .external_lex_state = 2},
  [15650] = {.lex_state = 435, .external_lex_state = 2},
  [15651] = {.lex_state = 435, .external_lex_state = 2},
  [15652] = {.lex_state = 435, .external_lex_state = 2},
  [15653] = {.lex_state = 435, .external_lex_state = 2},
  [15654] = {.lex_state = 435, .external_lex_state = 2},
  [15655] = {.lex_state = 258, .external_lex_state = 2},
  [15656] = {.lex_state = 435, .external_lex_state = 2},
  [15657] = {.lex_state = 258, .external_lex_state = 2},
  [15658] = {.lex_state = 435, .external_lex_state = 2},
  [15659] = {.lex_state = 435, .external_lex_state = 2},
  [15660] = {.lex_state = 435, .external_lex_state = 2},
  [15661] = {.lex_state = 435, .external_lex_state = 2},
  [15662] = {.lex_state = 435, .external_lex_state = 2},
  [15663] = {.lex_state = 435, .external_lex_state = 2},
  [15664] = {.lex_state = 435, .external_lex_state = 2},
  [15665] = {.lex_state = 435, .external_lex_state = 2},
  [15666] = {.lex_state = 435, .external_lex_state = 2},
  [15667] = {.lex_state = 435, .external_lex_state = 2},
  [15668] = {.lex_state = 435, .external_lex_state = 2},
  [15669] = {.lex_state = 435, .external_lex_state = 2},
  [15670] = {.lex_state = 158, .external_lex_state = 2},
  [15671] = {.lex_state = 435, .external_lex_state = 2},
  [15672] = {.lex_state = 131, .external_lex_state = 2},
  [15673] = {.lex_state = 435, .external_lex_state = 2},
  [15674] = {.lex_state = 435, .external_lex_state = 2},
  [15675] = {.lex_state = 158, .external_lex_state = 2},
  [15676] = {.lex_state = 435, .external_lex_state = 2},
  [15677] = {.lex_state = 435, .external_lex_state = 2},
  [15678] = {.lex_state = 435, .external_lex_state = 2},
  [15679] = {.lex_state = 435, .external_lex_state = 2},
  [15680] = {.lex_state = 128, .external_lex_state = 2},
  [15681] = {.lex_state = 435, .external_lex_state = 2},
  [15682] = {.lex_state = 435, .external_lex_state = 2},
  [15683] = {.lex_state = 435, .external_lex_state = 2},
  [15684] = {.lex_state = 435, .external_lex_state = 2},
  [15685] = {.lex_state = 435, .external_lex_state = 2},
  [15686] = {.lex_state = 435, .external_lex_state = 2},
  [15687] = {.lex_state = 435, .external_lex_state = 2},
  [15688] = {.lex_state = 128, .external_lex_state = 2},
  [15689] = {.lex_state = 435, .external_lex_state = 2},
  [15690] = {.lex_state = 435, .external_lex_state = 2},
  [15691] = {.lex_state = 435, .external_lex_state = 2},
  [15692] = {.lex_state = 435, .external_lex_state = 2},
  [15693] = {.lex_state = 435, .external_lex_state = 2},
  [15694] = {.lex_state = 228, .external_lex_state = 2},
  [15695] = {.lex_state = 435, .external_lex_state = 2},
  [15696] = {.lex_state = 435, .external_lex_state = 2},
  [15697] = {.lex_state = 435, .external_lex_state = 2},
  [15698] = {.lex_state = 158, .external_lex_state = 2},
  [15699] = {.lex_state = 435, .external_lex_state = 2},
  [15700] = {.lex_state = 128, .external_lex_state = 2},
  [15701] = {.lex_state = 435, .external_lex_state = 2},
  [15702] = {.lex_state = 435, .external_lex_state = 2},
  [15703] = {.lex_state = 435, .external_lex_state = 2},
  [15704] = {.lex_state = 435, .external_lex_state = 2},
  [15705] = {.lex_state = 435, .external_lex_state = 2},
  [15706] = {.lex_state = 435, .external_lex_state = 2},
  [15707] = {.lex_state = 435, .external_lex_state = 2},
  [15708] = {.lex_state = 435, .external_lex_state = 2},
  [15709] = {.lex_state = 158, .external_lex_state = 2},
  [15710] = {.lex_state = 435, .external_lex_state = 2},
  [15711] = {.lex_state = 435, .external_lex_state = 2},
  [15712] = {.lex_state = 258, .external_lex_state = 2},
  [15713] = {.lex_state = 158, .external_lex_state = 2},
  [15714] = {.lex_state = 263, .external_lex_state = 8},
  [15715] = {.lex_state = 258, .external_lex_state = 2},
  [15716] = {.lex_state = 435, .external_lex_state = 2},
  [15717] = {.lex_state = 435, .external_lex_state = 2},
  [15718] = {.lex_state = 435, .external_lex_state = 2},
  [15719] = {.lex_state = 435, .external_lex_state = 2},
  [15720] = {.lex_state = 435, .external_lex_state = 2},
  [15721] = {.lex_state = 263, .external_lex_state = 8},
  [15722] = {.lex_state = 435, .external_lex_state = 2},
  [15723] = {.lex_state = 228, .external_lex_state = 2},
  [15724] = {.lex_state = 435, .external_lex_state = 2},
  [15725] = {.lex_state = 435, .external_lex_state = 2},
  [15726] = {.lex_state = 435, .external_lex_state = 2},
  [15727] = {.lex_state = 435, .external_lex_state = 2},
  [15728] = {.lex_state = 131, .external_lex_state = 2},
  [15729] = {.lex_state = 435, .external_lex_state = 2},
  [15730] = {.lex_state = 435, .external_lex_state = 2},
  [15731] = {.lex_state = 435, .external_lex_state = 2},
  [15732] = {.lex_state = 435, .external_lex_state = 2},
  [15733] = {.lex_state = 158, .external_lex_state = 2},
  [15734] = {.lex_state = 158, .external_lex_state = 2},
  [15735] = {.lex_state = 435, .external_lex_state = 2},
  [15736] = {.lex_state = 435, .external_lex_state = 2},
  [15737] = {.lex_state = 128, .external_lex_state = 2},
  [15738] = {.lex_state = 435, .external_lex_state = 2},
  [15739] = {.lex_state = 435, .external_lex_state = 2},
  [15740] = {.lex_state = 131, .external_lex_state = 2},
  [15741] = {.lex_state = 435, .external_lex_state = 2},
  [15742] = {.lex_state = 435, .external_lex_state = 2},
  [15743] = {.lex_state = 435, .external_lex_state = 2},
  [15744] = {.lex_state = 435, .external_lex_state = 2},
  [15745] = {.lex_state = 435, .external_lex_state = 2},
  [15746] = {.lex_state = 158, .external_lex_state = 2},
  [15747] = {.lex_state = 128, .external_lex_state = 2},
  [15748] = {.lex_state = 131, .external_lex_state = 2},
  [15749] = {.lex_state = 158, .external_lex_state = 2},
  [15750] = {.lex_state = 263, .external_lex_state = 8},
  [15751] = {.lex_state = 435, .external_lex_state = 2},
  [15752] = {.lex_state = 435, .external_lex_state = 2},
  [15753] = {.lex_state = 131, .external_lex_state = 2},
  [15754] = {.lex_state = 435, .external_lex_state = 2},
  [15755] = {.lex_state = 258, .external_lex_state = 2},
  [15756] = {.lex_state = 435, .external_lex_state = 2},
  [15757] = {.lex_state = 435, .external_lex_state = 2},
  [15758] = {.lex_state = 158, .external_lex_state = 2},
  [15759] = {.lex_state = 228, .external_lex_state = 2},
  [15760] = {.lex_state = 435, .external_lex_state = 2},
  [15761] = {.lex_state = 158, .external_lex_state = 2},
  [15762] = {.lex_state = 435, .external_lex_state = 2},
  [15763] = {.lex_state = 435, .external_lex_state = 2},
  [15764] = {.lex_state = 435, .external_lex_state = 2},
  [15765] = {.lex_state = 258, .external_lex_state = 2},
  [15766] = {.lex_state = 435, .external_lex_state = 2},
  [15767] = {.lex_state = 435, .external_lex_state = 2},
  [15768] = {.lex_state = 435, .external_lex_state = 2},
  [15769] = {.lex_state = 435, .external_lex_state = 2},
  [15770] = {.lex_state = 435, .external_lex_state = 2},
  [15771] = {.lex_state = 435, .external_lex_state = 2},
  [15772] = {.lex_state = 435, .external_lex_state = 2},
  [15773] = {.lex_state = 435, .external_lex_state = 2},
  [15774] = {.lex_state = 158, .external_lex_state = 2},
  [15775] = {.lex_state = 435, .external_lex_state = 2},
  [15776] = {.lex_state = 435, .external_lex_state = 2},
  [15777] = {.lex_state = 158, .external_lex_state = 2},
  [15778] = {.lex_state = 435, .external_lex_state = 2},
  [15779] = {.lex_state = 435, .external_lex_state = 2},
  [15780] = {.lex_state = 128, .external_lex_state = 2},
  [15781] = {.lex_state = 128, .external_lex_state = 2},
  [15782] = {.lex_state = 131, .external_lex_state = 2},
  [15783] = {.lex_state = 435, .external_lex_state = 2},
  [15784] = {.lex_state = 131, .external_lex_state = 2},
  [15785] = {.lex_state = 131, .external_lex_state = 2},
  [15786] = {.lex_state = 158, .external_lex_state = 2},
  [15787] = {.lex_state = 435, .external_lex_state = 2},
  [15788] = {.lex_state = 158, .external_lex_state = 2},
  [15789] = {.lex_state = 435, .external_lex_state = 2},
  [15790] = {.lex_state = 435, .external_lex_state = 2},
  [15791] = {.lex_state = 131, .external_lex_state = 2},
  [15792] = {.lex_state = 435, .external_lex_state = 2},
  [15793] = {.lex_state = 128, .external_lex_state = 2},
  [15794] = {.lex_state = 435, .external_lex_state = 2},
  [15795] = {.lex_state = 435, .external_lex_state = 2},
  [15796] = {.lex_state = 158, .external_lex_state = 2},
  [15797] = {.lex_state = 228, .external_lex_state = 2},
  [15798] = {.lex_state = 158, .external_lex_state = 2},
  [15799] = {.lex_state = 435, .external_lex_state = 2},
  [15800] = {.lex_state = 165, .external_lex_state = 2},
  [15801] = {.lex_state = 435, .external_lex_state = 2},
  [15802] = {.lex_state = 435, .external_lex_state = 2},
  [15803] = {.lex_state = 128, .external_lex_state = 2},
  [15804] = {.lex_state = 435, .external_lex_state = 2},
  [15805] = {.lex_state = 435, .external_lex_state = 2},
  [15806] = {.lex_state = 158, .external_lex_state = 2},
  [15807] = {.lex_state = 158, .external_lex_state = 2},
  [15808] = {.lex_state = 435, .external_lex_state = 2},
  [15809] = {.lex_state = 435, .external_lex_state = 2},
  [15810] = {.lex_state = 258, .external_lex_state = 2},
  [15811] = {.lex_state = 435, .external_lex_state = 2},
  [15812] = {.lex_state = 131, .external_lex_state = 2},
  [15813] = {.lex_state = 158, .external_lex_state = 2},
  [15814] = {.lex_state = 158, .external_lex_state = 2},
  [15815] = {.lex_state = 435, .external_lex_state = 2},
  [15816] = {.lex_state = 258, .external_lex_state = 2},
  [15817] = {.lex_state = 263, .external_lex_state = 8},
  [15818] = {.lex_state = 258, .external_lex_state = 2},
  [15819] = {.lex_state = 158, .external_lex_state = 2},
  [15820] = {.lex_state = 435, .external_lex_state = 2},
  [15821] = {.lex_state = 158, .external_lex_state = 2},
  [15822] = {.lex_state = 435, .external_lex_state = 2},
  [15823] = {.lex_state = 435, .external_lex_state = 2},
  [15824] = {.lex_state = 435, .external_lex_state = 2},
  [15825] = {.lex_state = 435, .external_lex_state = 2},
  [15826] = {.lex_state = 158, .external_lex_state = 2},
  [15827] = {.lex_state = 158, .external_lex_state = 2},
  [15828] = {.lex_state = 435, .external_lex_state = 2},
  [15829] = {.lex_state = 435, .external_lex_state = 2},
  [15830] = {.lex_state = 435, .external_lex_state = 2},
  [15831] = {.lex_state = 435, .external_lex_state = 2},
  [15832] = {.lex_state = 435, .external_lex_state = 2},
  [15833] = {.lex_state = 158, .external_lex_state = 2},
  [15834] = {.lex_state = 131, .external_lex_state = 2},
  [15835] = {.lex_state = 158, .external_lex_state = 2},
  [15836] = {.lex_state = 435, .external_lex_state = 2},
  [15837] = {.lex_state = 128, .external_lex_state = 2},
  [15838] = {.lex_state = 240, .external_lex_state = 2},
  [15839] = {.lex_state = 435, .external_lex_state = 2},
  [15840] = {.lex_state = 435, .external_lex_state = 2},
  [15841] = {.lex_state = 435, .external_lex_state = 2},
  [15842] = {.lex_state = 158, .external_lex_state = 2},
  [15843] = {.lex_state = 435, .external_lex_state = 2},
  [15844] = {.lex_state = 158, .external_lex_state = 2},
  [15845] = {.lex_state = 435, .external_lex_state = 2},
  [15846] = {.lex_state = 435, .external_lex_state = 2},
  [15847] = {.lex_state = 435, .external_lex_state = 2},
  [15848] = {.lex_state = 435, .external_lex_state = 2},
  [15849] = {.lex_state = 435, .external_lex_state = 2},
  [15850] = {.lex_state = 435, .external_lex_state = 2},
  [15851] = {.lex_state = 158, .external_lex_state = 2},
  [15852] = {.lex_state = 435, .external_lex_state = 2},
  [15853] = {.lex_state = 158, .external_lex_state = 2},
  [15854] = {.lex_state = 435, .external_lex_state = 2},
  [15855] = {.lex_state = 435, .external_lex_state = 2},
  [15856] = {.lex_state = 435, .external_lex_state = 2},
  [15857] = {.lex_state = 435, .external_lex_state = 2},
  [15858] = {.lex_state = 435, .external_lex_state = 2},
  [15859] = {.lex_state = 435, .external_lex_state = 2},
  [15860] = {.lex_state = 435, .external_lex_state = 2},
  [15861] = {.lex_state = 158, .external_lex_state = 2},
  [15862] = {.lex_state = 435, .external_lex_state = 2},
  [15863] = {.lex_state = 158, .external_lex_state = 2},
  [15864] = {.lex_state = 435, .external_lex_state = 2},
  [15865] = {.lex_state = 435, .external_lex_state = 2},
  [15866] = {.lex_state = 435, .external_lex_state = 2},
  [15867] = {.lex_state = 435, .external_lex_state = 2},
  [15868] = {.lex_state = 258, .external_lex_state = 2},
  [15869] = {.lex_state = 435, .external_lex_state = 2},
  [15870] = {.lex_state = 158, .external_lex_state = 2},
  [15871] = {.lex_state = 435, .external_lex_state = 2},
  [15872] = {.lex_state = 158, .external_lex_state = 2},
  [15873] = {.lex_state = 435, .external_lex_state = 2},
  [15874] = {.lex_state = 131, .external_lex_state = 2},
  [15875] = {.lex_state = 435, .external_lex_state = 2},
  [15876] = {.lex_state = 435, .external_lex_state = 2},
  [15877] = {.lex_state = 435, .external_lex_state = 2},
  [15878] = {.lex_state = 158, .external_lex_state = 2},
  [15879] = {.lex_state = 435, .external_lex_state = 2},
  [15880] = {.lex_state = 158, .external_lex_state = 2},
  [15881] = {.lex_state = 435, .external_lex_state = 2},
  [15882] = {.lex_state = 435, .external_lex_state = 2},
  [15883] = {.lex_state = 435, .external_lex_state = 2},
  [15884] = {.lex_state = 435, .external_lex_state = 2},
  [15885] = {.lex_state = 435, .external_lex_state = 2},
  [15886] = {.lex_state = 158, .external_lex_state = 2},
  [15887] = {.lex_state = 435, .external_lex_state = 2},
  [15888] = {.lex_state = 158, .external_lex_state = 2},
  [15889] = {.lex_state = 435, .external_lex_state = 2},
  [15890] = {.lex_state = 435, .external_lex_state = 2},
  [15891] = {.lex_state = 435, .external_lex_state = 2},
  [15892] = {.lex_state = 258, .external_lex_state = 2},
  [15893] = {.lex_state = 435, .external_lex_state = 2},
  [15894] = {.lex_state = 435, .external_lex_state = 2},
  [15895] = {.lex_state = 128, .external_lex_state = 2},
  [15896] = {.lex_state = 158, .external_lex_state = 2},
  [15897] = {.lex_state = 228, .external_lex_state = 2},
  [15898] = {.lex_state = 158, .external_lex_state = 2},
  [15899] = {.lex_state = 435, .external_lex_state = 2},
  [15900] = {.lex_state = 435, .external_lex_state = 2},
  [15901] = {.lex_state = 435, .external_lex_state = 2},
  [15902] = {.lex_state = 435, .external_lex_state = 2},
  [15903] = {.lex_state = 258, .external_lex_state = 2},
  [15904] = {.lex_state = 19, .external_lex_state = 2},
  [15905] = {.lex_state = 158, .external_lex_state = 2},
  [15906] = {.lex_state = 158, .external_lex_state = 2},
  [15907] = {.lex_state = 435, .external_lex_state = 2},
  [15908] = {.lex_state = 228, .external_lex_state = 2},
  [15909] = {.lex_state = 435, .external_lex_state = 2},
  [15910] = {.lex_state = 435, .external_lex_state = 2},
  [15911] = {.lex_state = 435, .external_lex_state = 2},
  [15912] = {.lex_state = 435, .external_lex_state = 2},
  [15913] = {.lex_state = 435, .external_lex_state = 2},
  [15914] = {.lex_state = 435, .external_lex_state = 2},
  [15915] = {.lex_state = 158, .external_lex_state = 2},
  [15916] = {.lex_state = 158, .external_lex_state = 2},
  [15917] = {.lex_state = 435, .external_lex_state = 2},
  [15918] = {.lex_state = 435, .external_lex_state = 2},
  [15919] = {.lex_state = 435, .external_lex_state = 2},
  [15920] = {.lex_state = 158, .external_lex_state = 2},
  [15921] = {.lex_state = 158, .external_lex_state = 2},
  [15922] = {.lex_state = 435, .external_lex_state = 2},
  [15923] = {.lex_state = 435, .external_lex_state = 2},
  [15924] = {.lex_state = 435, .external_lex_state = 2},
  [15925] = {.lex_state = 435, .external_lex_state = 2},
  [15926] = {.lex_state = 258, .external_lex_state = 2},
  [15927] = {.lex_state = 158, .external_lex_state = 2},
  [15928] = {.lex_state = 158, .external_lex_state = 2},
  [15929] = {.lex_state = 435, .external_lex_state = 2},
  [15930] = {.lex_state = 435, .external_lex_state = 2},
  [15931] = {.lex_state = 435, .external_lex_state = 2},
  [15932] = {.lex_state = 435, .external_lex_state = 2},
  [15933] = {.lex_state = 435, .external_lex_state = 2},
  [15934] = {.lex_state = 435, .external_lex_state = 2},
  [15935] = {.lex_state = 158, .external_lex_state = 2},
  [15936] = {.lex_state = 435, .external_lex_state = 2},
  [15937] = {.lex_state = 158, .external_lex_state = 2},
  [15938] = {.lex_state = 435, .external_lex_state = 2},
  [15939] = {.lex_state = 435, .external_lex_state = 2},
  [15940] = {.lex_state = 435, .external_lex_state = 2},
  [15941] = {.lex_state = 435, .external_lex_state = 2},
  [15942] = {.lex_state = 131, .external_lex_state = 2},
  [15943] = {.lex_state = 158, .external_lex_state = 2},
  [15944] = {.lex_state = 158, .external_lex_state = 2},
  [15945] = {.lex_state = 435, .external_lex_state = 2},
  [15946] = {.lex_state = 435, .external_lex_state = 2},
  [15947] = {.lex_state = 435, .external_lex_state = 2},
  [15948] = {.lex_state = 228, .external_lex_state = 2},
  [15949] = {.lex_state = 158, .external_lex_state = 2},
  [15950] = {.lex_state = 228, .external_lex_state = 2},
  [15951] = {.lex_state = 158, .external_lex_state = 2},
  [15952] = {.lex_state = 435, .external_lex_state = 2},
  [15953] = {.lex_state = 435, .external_lex_state = 2},
  [15954] = {.lex_state = 435, .external_lex_state = 2},
  [15955] = {.lex_state = 435, .external_lex_state = 2},
  [15956] = {.lex_state = 435, .external_lex_state = 2},
  [15957] = {.lex_state = 435, .external_lex_state = 2},
  [15958] = {.lex_state = 435, .external_lex_state = 2},
  [15959] = {.lex_state = 158, .external_lex_state = 2},
  [15960] = {.lex_state = 158, .external_lex_state = 2},
  [15961] = {.lex_state = 435, .external_lex_state = 2},
  [15962] = {.lex_state = 435, .external_lex_state = 2},
  [15963] = {.lex_state = 435, .external_lex_state = 2},
  [15964] = {.lex_state = 435, .external_lex_state = 2},
  [15965] = {.lex_state = 435, .external_lex_state = 2},
  [15966] = {.lex_state = 435, .external_lex_state = 2},
  [15967] = {.lex_state = 228, .external_lex_state = 2},
  [15968] = {.lex_state = 158, .external_lex_state = 2},
  [15969] = {.lex_state = 435, .external_lex_state = 2},
  [15970] = {.lex_state = 158, .external_lex_state = 2},
  [15971] = {.lex_state = 435, .external_lex_state = 2},
  [15972] = {.lex_state = 435, .external_lex_state = 2},
  [15973] = {.lex_state = 131, .external_lex_state = 2},
  [15974] = {.lex_state = 435, .external_lex_state = 2},
  [15975] = {.lex_state = 435, .external_lex_state = 2},
  [15976] = {.lex_state = 128, .external_lex_state = 2},
  [15977] = {.lex_state = 435, .external_lex_state = 2},
  [15978] = {.lex_state = 158, .external_lex_state = 2},
  [15979] = {.lex_state = 158, .external_lex_state = 2},
  [15980] = {.lex_state = 435, .external_lex_state = 2},
  [15981] = {.lex_state = 435, .external_lex_state = 2},
  [15982] = {.lex_state = 435, .external_lex_state = 2},
  [15983] = {.lex_state = 158, .external_lex_state = 2},
  [15984] = {.lex_state = 131, .external_lex_state = 2},
  [15985] = {.lex_state = 158, .external_lex_state = 2},
  [15986] = {.lex_state = 435, .external_lex_state = 2},
  [15987] = {.lex_state = 228, .external_lex_state = 2},
  [15988] = {.lex_state = 263, .external_lex_state = 8},
  [15989] = {.lex_state = 435, .external_lex_state = 2},
  [15990] = {.lex_state = 258, .external_lex_state = 2},
  [15991] = {.lex_state = 158, .external_lex_state = 2},
  [15992] = {.lex_state = 158, .external_lex_state = 2},
  [15993] = {.lex_state = 435, .external_lex_state = 2},
  [15994] = {.lex_state = 435, .external_lex_state = 2},
  [15995] = {.lex_state = 435, .external_lex_state = 2},
  [15996] = {.lex_state = 435, .external_lex_state = 2},
  [15997] = {.lex_state = 228, .external_lex_state = 2},
  [15998] = {.lex_state = 435, .external_lex_state = 2},
  [15999] = {.lex_state = 435, .external_lex_state = 2},
  [16000] = {.lex_state = 435, .external_lex_state = 2},
  [16001] = {.lex_state = 158, .external_lex_state = 2},
  [16002] = {.lex_state = 158, .external_lex_state = 2},
  [16003] = {.lex_state = 435, .external_lex_state = 2},
  [16004] = {.lex_state = 435, .external_lex_state = 2},
  [16005] = {.lex_state = 435, .external_lex_state = 2},
  [16006] = {.lex_state = 435, .external_lex_state = 2},
  [16007] = {.lex_state = 435, .external_lex_state = 2},
  [16008] = {.lex_state = 158, .external_lex_state = 2},
  [16009] = {.lex_state = 158, .external_lex_state = 2},
  [16010] = {.lex_state = 435, .external_lex_state = 2},
  [16011] = {.lex_state = 258, .external_lex_state = 2},
  [16012] = {.lex_state = 435, .external_lex_state = 2},
  [16013] = {.lex_state = 435, .external_lex_state = 2},
  [16014] = {.lex_state = 435, .external_lex_state = 2},
  [16015] = {.lex_state = 158, .external_lex_state = 2},
  [16016] = {.lex_state = 263, .external_lex_state = 8},
  [16017] = {.lex_state = 158, .external_lex_state = 2},
  [16018] = {.lex_state = 435, .external_lex_state = 2},
  [16019] = {.lex_state = 435, .external_lex_state = 2},
  [16020] = {.lex_state = 158, .external_lex_state = 2},
  [16021] = {.lex_state = 158, .external_lex_state = 2},
  [16022] = {.lex_state = 158, .external_lex_state = 2},
  [16023] = {.lex_state = 435, .external_lex_state = 2},
  [16024] = {.lex_state = 435, .external_lex_state = 2},
  [16025] = {.lex_state = 435, .external_lex_state = 2},
  [16026] = {.lex_state = 435, .external_lex_state = 2},
  [16027] = {.lex_state = 158, .external_lex_state = 2},
  [16028] = {.lex_state = 158, .external_lex_state = 2},
  [16029] = {.lex_state = 435, .external_lex_state = 2},
  [16030] = {.lex_state = 128, .external_lex_state = 2},
  [16031] = {.lex_state = 435, .external_lex_state = 2},
  [16032] = {.lex_state = 435, .external_lex_state = 2},
  [16033] = {.lex_state = 435, .external_lex_state = 2},
  [16034] = {.lex_state = 435, .external_lex_state = 2},
  [16035] = {.lex_state = 158, .external_lex_state = 2},
  [16036] = {.lex_state = 158, .external_lex_state = 2},
  [16037] = {.lex_state = 435, .external_lex_state = 2},
  [16038] = {.lex_state = 435, .external_lex_state = 2},
  [16039] = {.lex_state = 435, .external_lex_state = 2},
  [16040] = {.lex_state = 435, .external_lex_state = 2},
  [16041] = {.lex_state = 158, .external_lex_state = 2},
  [16042] = {.lex_state = 158, .external_lex_state = 2},
  [16043] = {.lex_state = 435, .external_lex_state = 2},
  [16044] = {.lex_state = 41, .external_lex_state = 2},
  [16045] = {.lex_state = 435, .external_lex_state = 2},
  [16046] = {.lex_state = 435, .external_lex_state = 2},
  [16047] = {.lex_state = 240, .external_lex_state = 2},
  [16048] = {.lex_state = 158, .external_lex_state = 2},
  [16049] = {.lex_state = 435, .external_lex_state = 2},
  [16050] = {.lex_state = 435, .external_lex_state = 2},
  [16051] = {.lex_state = 435, .external_lex_state = 2},
  [16052] = {.lex_state = 131, .external_lex_state = 2},
  [16053] = {.lex_state = 158, .external_lex_state = 2},
  [16054] = {.lex_state = 435, .external_lex_state = 2},
  [16055] = {.lex_state = 158, .external_lex_state = 2},
  [16056] = {.lex_state = 435, .external_lex_state = 2},
  [16057] = {.lex_state = 158, .external_lex_state = 2},
  [16058] = {.lex_state = 435, .external_lex_state = 2},
  [16059] = {.lex_state = 158, .external_lex_state = 2},
  [16060] = {.lex_state = 435, .external_lex_state = 2},
  [16061] = {.lex_state = 158, .external_lex_state = 2},
  [16062] = {.lex_state = 435, .external_lex_state = 2},
  [16063] = {.lex_state = 158, .external_lex_state = 2},
  [16064] = {.lex_state = 435, .external_lex_state = 2},
  [16065] = {.lex_state = 158, .external_lex_state = 2},
  [16066] = {.lex_state = 435, .external_lex_state = 2},
  [16067] = {.lex_state = 158, .external_lex_state = 2},
  [16068] = {.lex_state = 435, .external_lex_state = 2},
  [16069] = {.lex_state = 158, .external_lex_state = 2},
  [16070] = {.lex_state = 435, .external_lex_state = 2},
  [16071] = {.lex_state = 158, .external_lex_state = 2},
  [16072] = {.lex_state = 435, .external_lex_state = 2},
  [16073] = {.lex_state = 158, .external_lex_state = 2},
  [16074] = {.lex_state = 435, .external_lex_state = 2},
  [16075] = {.lex_state = 158, .external_lex_state = 2},
  [16076] = {.lex_state = 435, .external_lex_state = 2},
  [16077] = {.lex_state = 158, .external_lex_state = 2},
  [16078] = {.lex_state = 435, .external_lex_state = 2},
  [16079] = {.lex_state = 435, .external_lex_state = 2},
  [16080] = {.lex_state = 435, .external_lex_state = 2},
  [16081] = {.lex_state = 435, .external_lex_state = 2},
  [16082] = {.lex_state = 435, .external_lex_state = 2},
  [16083] = {.lex_state = 435, .external_lex_state = 2},
  [16084] = {.lex_state = 435, .external_lex_state = 2},
  [16085] = {.lex_state = 435, .external_lex_state = 2},
  [16086] = {.lex_state = 435, .external_lex_state = 2},
  [16087] = {.lex_state = 435, .external_lex_state = 2},
  [16088] = {.lex_state = 435, .external_lex_state = 2},
  [16089] = {.lex_state = 435, .external_lex_state = 2},
  [16090] = {.lex_state = 435, .external_lex_state = 2},
  [16091] = {.lex_state = 435, .external_lex_state = 2},
  [16092] = {.lex_state = 435, .external_lex_state = 2},
  [16093] = {.lex_state = 435, .external_lex_state = 2},
  [16094] = {.lex_state = 435, .external_lex_state = 2},
  [16095] = {.lex_state = 435, .external_lex_state = 2},
  [16096] = {.lex_state = 435, .external_lex_state = 2},
  [16097] = {.lex_state = 435, .external_lex_state = 2},
  [16098] = {.lex_state = 435, .external_lex_state = 2},
  [16099] = {.lex_state = 435, .external_lex_state = 2},
  [16100] = {.lex_state = 435, .external_lex_state = 2},
  [16101] = {.lex_state = 435, .external_lex_state = 2},
  [16102] = {.lex_state = 435, .external_lex_state = 2},
  [16103] = {.lex_state = 435, .external_lex_state = 2},
  [16104] = {.lex_state = 128, .external_lex_state = 2},
  [16105] = {.lex_state = 435, .external_lex_state = 2},
  [16106] = {.lex_state = 435, .external_lex_state = 2},
  [16107] = {.lex_state = 435, .external_lex_state = 2},
  [16108] = {.lex_state = 258, .external_lex_state = 2},
  [16109] = {.lex_state = 131, .external_lex_state = 2},
  [16110] = {.lex_state = 435, .external_lex_state = 2},
  [16111] = {.lex_state = 228, .external_lex_state = 2},
  [16112] = {.lex_state = 131, .external_lex_state = 2},
  [16113] = {.lex_state = 131, .external_lex_state = 2},
  [16114] = {.lex_state = 435, .external_lex_state = 2},
  [16115] = {.lex_state = 435, .external_lex_state = 2},
  [16116] = {.lex_state = 228, .external_lex_state = 2},
  [16117] = {.lex_state = 435, .external_lex_state = 2},
  [16118] = {.lex_state = 435, .external_lex_state = 2},
  [16119] = {.lex_state = 228, .external_lex_state = 2},
  [16120] = {.lex_state = 435, .external_lex_state = 2},
  [16121] = {.lex_state = 435, .external_lex_state = 2},
  [16122] = {.lex_state = 435, .external_lex_state = 2},
  [16123] = {.lex_state = 435, .external_lex_state = 2},
  [16124] = {.lex_state = 435, .external_lex_state = 2},
  [16125] = {.lex_state = 435, .external_lex_state = 2},
  [16126] = {.lex_state = 228, .external_lex_state = 2},
  [16127] = {.lex_state = 435, .external_lex_state = 2},
  [16128] = {.lex_state = 435, .external_lex_state = 2},
  [16129] = {.lex_state = 435, .external_lex_state = 2},
  [16130] = {.lex_state = 435, .external_lex_state = 2},
  [16131] = {.lex_state = 435, .external_lex_state = 2},
  [16132] = {.lex_state = 435, .external_lex_state = 2},
  [16133] = {.lex_state = 435, .external_lex_state = 2},
  [16134] = {.lex_state = 435, .external_lex_state = 2},
  [16135] = {.lex_state = 435, .external_lex_state = 2},
  [16136] = {.lex_state = 435, .external_lex_state = 2},
  [16137] = {.lex_state = 435, .external_lex_state = 2},
  [16138] = {.lex_state = 131, .external_lex_state = 2},
  [16139] = {.lex_state = 435, .external_lex_state = 2},
  [16140] = {.lex_state = 435, .external_lex_state = 2},
  [16141] = {.lex_state = 435, .external_lex_state = 2},
  [16142] = {.lex_state = 435, .external_lex_state = 2},
  [16143] = {.lex_state = 435, .external_lex_state = 2},
  [16144] = {.lex_state = 435, .external_lex_state = 2},
  [16145] = {.lex_state = 435, .external_lex_state = 2},
  [16146] = {.lex_state = 131, .external_lex_state = 2},
  [16147] = {.lex_state = 240, .external_lex_state = 2},
  [16148] = {.lex_state = 435, .external_lex_state = 2},
  [16149] = {.lex_state = 435, .external_lex_state = 2},
  [16150] = {.lex_state = 158, .external_lex_state = 2},
  [16151] = {.lex_state = 435, .external_lex_state = 2},
  [16152] = {.lex_state = 228, .external_lex_state = 2},
  [16153] = {.lex_state = 435, .external_lex_state = 2},
  [16154] = {.lex_state = 435, .external_lex_state = 2},
  [16155] = {.lex_state = 435, .external_lex_state = 2},
  [16156] = {.lex_state = 263, .external_lex_state = 8},
  [16157] = {.lex_state = 435, .external_lex_state = 2},
  [16158] = {.lex_state = 435, .external_lex_state = 2},
  [16159] = {.lex_state = 128, .external_lex_state = 2},
  [16160] = {.lex_state = 435, .external_lex_state = 2},
  [16161] = {.lex_state = 435, .external_lex_state = 2},
  [16162] = {.lex_state = 435, .external_lex_state = 2},
  [16163] = {.lex_state = 435, .external_lex_state = 2},
  [16164] = {.lex_state = 435, .external_lex_state = 2},
  [16165] = {.lex_state = 131, .external_lex_state = 2},
  [16166] = {.lex_state = 435, .external_lex_state = 2},
  [16167] = {.lex_state = 131, .external_lex_state = 2},
  [16168] = {.lex_state = 435, .external_lex_state = 2},
  [16169] = {.lex_state = 435, .external_lex_state = 2},
  [16170] = {.lex_state = 435, .external_lex_state = 2},
  [16171] = {.lex_state = 435, .external_lex_state = 2},
  [16172] = {.lex_state = 228, .external_lex_state = 2},
  [16173] = {.lex_state = 435, .external_lex_state = 2},
  [16174] = {.lex_state = 435, .external_lex_state = 2},
  [16175] = {.lex_state = 435, .external_lex_state = 2},
  [16176] = {.lex_state = 435, .external_lex_state = 2},
  [16177] = {.lex_state = 128, .external_lex_state = 2},
  [16178] = {.lex_state = 435, .external_lex_state = 2},
  [16179] = {.lex_state = 435, .external_lex_state = 2},
  [16180] = {.lex_state = 435, .external_lex_state = 2},
  [16181] = {.lex_state = 435, .external_lex_state = 2},
  [16182] = {.lex_state = 435, .external_lex_state = 2},
  [16183] = {.lex_state = 158, .external_lex_state = 2},
  [16184] = {.lex_state = 435, .external_lex_state = 2},
  [16185] = {.lex_state = 435, .external_lex_state = 2},
  [16186] = {.lex_state = 131, .external_lex_state = 2},
  [16187] = {.lex_state = 435, .external_lex_state = 2},
  [16188] = {.lex_state = 435, .external_lex_state = 2},
  [16189] = {.lex_state = 435, .external_lex_state = 2},
  [16190] = {.lex_state = 258, .external_lex_state = 2},
  [16191] = {.lex_state = 435, .external_lex_state = 2},
  [16192] = {.lex_state = 158, .external_lex_state = 2},
  [16193] = {.lex_state = 435, .external_lex_state = 2},
  [16194] = {.lex_state = 435, .external_lex_state = 2},
  [16195] = {.lex_state = 435, .external_lex_state = 2},
  [16196] = {.lex_state = 435, .external_lex_state = 2},
  [16197] = {.lex_state = 435, .external_lex_state = 2},
  [16198] = {.lex_state = 435, .external_lex_state = 2},
  [16199] = {.lex_state = 435, .external_lex_state = 2},
  [16200] = {.lex_state = 435, .external_lex_state = 2},
  [16201] = {.lex_state = 435, .external_lex_state = 2},
  [16202] = {.lex_state = 435, .external_lex_state = 2},
  [16203] = {.lex_state = 435, .external_lex_state = 2},
  [16204] = {.lex_state = 435, .external_lex_state = 2},
  [16205] = {.lex_state = 158, .external_lex_state = 2},
  [16206] = {.lex_state = 435, .external_lex_state = 2},
  [16207] = {.lex_state = 435, .external_lex_state = 2},
  [16208] = {.lex_state = 131, .external_lex_state = 2},
  [16209] = {.lex_state = 435, .external_lex_state = 2},
  [16210] = {.lex_state = 435, .external_lex_state = 2},
  [16211] = {.lex_state = 258, .external_lex_state = 2},
  [16212] = {.lex_state = 435, .external_lex_state = 2},
  [16213] = {.lex_state = 435, .external_lex_state = 2},
  [16214] = {.lex_state = 435, .external_lex_state = 2},
  [16215] = {.lex_state = 435, .external_lex_state = 2},
  [16216] = {.lex_state = 435, .external_lex_state = 2},
  [16217] = {.lex_state = 258, .external_lex_state = 2},
  [16218] = {.lex_state = 435, .external_lex_state = 2},
  [16219] = {.lex_state = 9, .external_lex_state = 2},
  [16220] = {.lex_state = 158, .external_lex_state = 2},
  [16221] = {.lex_state = 435, .external_lex_state = 2},
  [16222] = {.lex_state = 435, .external_lex_state = 2},
  [16223] = {.lex_state = 158, .external_lex_state = 2},
  [16224] = {.lex_state = 41, .external_lex_state = 2},
  [16225] = {.lex_state = 435, .external_lex_state = 2},
  [16226] = {.lex_state = 41, .external_lex_state = 2},
  [16227] = {.lex_state = 41, .external_lex_state = 2},
  [16228] = {.lex_state = 435, .external_lex_state = 2},
  [16229] = {.lex_state = 435, .external_lex_state = 2},
  [16230] = {.lex_state = 435, .external_lex_state = 8},
  [16231] = {.lex_state = 435, .external_lex_state = 2},
  [16232] = {.lex_state = 158, .external_lex_state = 2},
  [16233] = {.lex_state = 435, .external_lex_state = 2},
  [16234] = {.lex_state = 436, .external_lex_state = 2},
  [16235] = {.lex_state = 158, .external_lex_state = 2},
  [16236] = {.lex_state = 435, .external_lex_state = 8},
  [16237] = {.lex_state = 9, .external_lex_state = 2},
  [16238] = {.lex_state = 435, .external_lex_state = 2},
  [16239] = {.lex_state = 41, .external_lex_state = 2},
  [16240] = {.lex_state = 158, .external_lex_state = 2},
  [16241] = {.lex_state = 436, .external_lex_state = 2},
  [16242] = {.lex_state = 435, .external_lex_state = 2},
  [16243] = {.lex_state = 435, .external_lex_state = 2},
  [16244] = {.lex_state = 435, .external_lex_state = 2},
  [16245] = {.lex_state = 435, .external_lex_state = 2},
  [16246] = {.lex_state = 435, .external_lex_state = 2},
  [16247] = {.lex_state = 435, .external_lex_state = 2},
  [16248] = {.lex_state = 435, .external_lex_state = 2},
  [16249] = {.lex_state = 435, .external_lex_state = 2},
  [16250] = {.lex_state = 9, .external_lex_state = 2},
  [16251] = {.lex_state = 9, .external_lex_state = 2},
  [16252] = {.lex_state = 435, .external_lex_state = 2},
  [16253] = {.lex_state = 435, .external_lex_state = 2},
  [16254] = {.lex_state = 41, .external_lex_state = 2},
  [16255] = {.lex_state = 158, .external_lex_state = 2},
  [16256] = {.lex_state = 158, .external_lex_state = 2},
  [16257] = {.lex_state = 435, .external_lex_state = 2},
  [16258] = {.lex_state = 158, .external_lex_state = 2},
  [16259] = {.lex_state = 435, .external_lex_state = 2},
  [16260] = {.lex_state = 435, .external_lex_state = 2},
  [16261] = {.lex_state = 435, .external_lex_state = 2},
  [16262] = {.lex_state = 206, .external_lex_state = 2},
  [16263] = {.lex_state = 435, .external_lex_state = 2},
  [16264] = {.lex_state = 158, .external_lex_state = 2},
  [16265] = {.lex_state = 435, .external_lex_state = 2},
  [16266] = {.lex_state = 158, .external_lex_state = 2},
  [16267] = {.lex_state = 435, .external_lex_state = 2},
  [16268] = {.lex_state = 158, .external_lex_state = 2},
  [16269] = {.lex_state = 435, .external_lex_state = 2},
  [16270] = {.lex_state = 435, .external_lex_state = 2},
  [16271] = {.lex_state = 435, .external_lex_state = 2},
  [16272] = {.lex_state = 9, .external_lex_state = 2},
  [16273] = {.lex_state = 435, .external_lex_state = 2},
  [16274] = {.lex_state = 435, .external_lex_state = 2},
  [16275] = {.lex_state = 158, .external_lex_state = 2},
  [16276] = {.lex_state = 9, .external_lex_state = 2},
  [16277] = {.lex_state = 158, .external_lex_state = 2},
  [16278] = {.lex_state = 9, .external_lex_state = 2},
  [16279] = {.lex_state = 435, .external_lex_state = 2},
  [16280] = {.lex_state = 435, .external_lex_state = 2},
  [16281] = {.lex_state = 158, .external_lex_state = 2},
  [16282] = {.lex_state = 41, .external_lex_state = 2},
  [16283] = {.lex_state = 435, .external_lex_state = 2},
  [16284] = {.lex_state = 435, .external_lex_state = 2},
  [16285] = {.lex_state = 41, .external_lex_state = 2},
  [16286] = {.lex_state = 41, .external_lex_state = 2},
  [16287] = {.lex_state = 435, .external_lex_state = 8},
  [16288] = {.lex_state = 9, .external_lex_state = 2},
  [16289] = {.lex_state = 158, .external_lex_state = 2},
  [16290] = {.lex_state = 435, .external_lex_state = 8},
  [16291] = {.lex_state = 9, .external_lex_state = 2},
  [16292] = {.lex_state = 435, .external_lex_state = 2},
  [16293] = {.lex_state = 158, .external_lex_state = 2},
  [16294] = {.lex_state = 435, .external_lex_state = 2},
  [16295] = {.lex_state = 165, .external_lex_state = 2},
  [16296] = {.lex_state = 158, .external_lex_state = 2},
  [16297] = {.lex_state = 435, .external_lex_state = 2},
  [16298] = {.lex_state = 435, .external_lex_state = 2},
  [16299] = {.lex_state = 435, .external_lex_state = 2},
  [16300] = {.lex_state = 435, .external_lex_state = 2},
  [16301] = {.lex_state = 435, .external_lex_state = 2},
  [16302] = {.lex_state = 435, .external_lex_state = 2},
  [16303] = {.lex_state = 9, .external_lex_state = 2},
  [16304] = {.lex_state = 41, .external_lex_state = 2},
  [16305] = {.lex_state = 435, .external_lex_state = 2},
  [16306] = {.lex_state = 435, .external_lex_state = 2},
  [16307] = {.lex_state = 435, .external_lex_state = 2},
  [16308] = {.lex_state = 435, .external_lex_state = 2},
  [16309] = {.lex_state = 435, .external_lex_state = 2},
  [16310] = {.lex_state = 435, .external_lex_state = 2},
  [16311] = {.lex_state = 435, .external_lex_state = 2},
  [16312] = {.lex_state = 9, .external_lex_state = 2},
  [16313] = {.lex_state = 158, .external_lex_state = 2},
  [16314] = {.lex_state = 435, .external_lex_state = 2},
  [16315] = {.lex_state = 435, .external_lex_state = 2},
  [16316] = {.lex_state = 435, .external_lex_state = 2},
  [16317] = {.lex_state = 435, .external_lex_state = 2},
  [16318] = {.lex_state = 158, .external_lex_state = 2},
  [16319] = {.lex_state = 435, .external_lex_state = 2},
  [16320] = {.lex_state = 158, .external_lex_state = 2},
  [16321] = {.lex_state = 158, .external_lex_state = 2},
  [16322] = {.lex_state = 41, .external_lex_state = 2},
  [16323] = {.lex_state = 435, .external_lex_state = 2},
  [16324] = {.lex_state = 435, .external_lex_state = 2},
  [16325] = {.lex_state = 41, .external_lex_state = 2},
  [16326] = {.lex_state = 41, .external_lex_state = 2},
  [16327] = {.lex_state = 435, .external_lex_state = 2},
  [16328] = {.lex_state = 158, .external_lex_state = 2},
  [16329] = {.lex_state = 435, .external_lex_state = 8},
  [16330] = {.lex_state = 435, .external_lex_state = 2},
  [16331] = {.lex_state = 435, .external_lex_state = 2},
  [16332] = {.lex_state = 158, .external_lex_state = 2},
  [16333] = {.lex_state = 41, .external_lex_state = 2},
  [16334] = {.lex_state = 435, .external_lex_state = 8},
  [16335] = {.lex_state = 435, .external_lex_state = 2},
  [16336] = {.lex_state = 435, .external_lex_state = 2},
  [16337] = {.lex_state = 435, .external_lex_state = 2},
  [16338] = {.lex_state = 435, .external_lex_state = 2},
  [16339] = {.lex_state = 435, .external_lex_state = 2},
  [16340] = {.lex_state = 435, .external_lex_state = 2},
  [16341] = {.lex_state = 435, .external_lex_state = 2},
  [16342] = {.lex_state = 9, .external_lex_state = 2},
  [16343] = {.lex_state = 435, .external_lex_state = 2},
  [16344] = {.lex_state = 158, .external_lex_state = 2},
  [16345] = {.lex_state = 435, .external_lex_state = 2},
  [16346] = {.lex_state = 435, .external_lex_state = 2},
  [16347] = {.lex_state = 435, .external_lex_state = 2},
  [16348] = {.lex_state = 9, .external_lex_state = 2},
  [16349] = {.lex_state = 435, .external_lex_state = 2},
  [16350] = {.lex_state = 435, .external_lex_state = 2},
  [16351] = {.lex_state = 165, .external_lex_state = 2},
  [16352] = {.lex_state = 9, .external_lex_state = 2},
  [16353] = {.lex_state = 435, .external_lex_state = 2},
  [16354] = {.lex_state = 435, .external_lex_state = 2},
  [16355] = {.lex_state = 158, .external_lex_state = 2},
  [16356] = {.lex_state = 435, .external_lex_state = 2},
  [16357] = {.lex_state = 158, .external_lex_state = 2},
  [16358] = {.lex_state = 9, .external_lex_state = 2},
  [16359] = {.lex_state = 41, .external_lex_state = 2},
  [16360] = {.lex_state = 41, .external_lex_state = 2},
  [16361] = {.lex_state = 41, .external_lex_state = 2},
  [16362] = {.lex_state = 435, .external_lex_state = 2},
  [16363] = {.lex_state = 435, .external_lex_state = 8},
  [16364] = {.lex_state = 435, .external_lex_state = 2},
  [16365] = {.lex_state = 435, .external_lex_state = 2},
  [16366] = {.lex_state = 9, .external_lex_state = 2},
  [16367] = {.lex_state = 158, .external_lex_state = 2},
  [16368] = {.lex_state = 9, .external_lex_state = 2},
  [16369] = {.lex_state = 435, .external_lex_state = 2},
  [16370] = {.lex_state = 435, .external_lex_state = 8},
  [16371] = {.lex_state = 435, .external_lex_state = 2},
  [16372] = {.lex_state = 435, .external_lex_state = 2},
  [16373] = {.lex_state = 435, .external_lex_state = 2},
  [16374] = {.lex_state = 435, .external_lex_state = 2},
  [16375] = {.lex_state = 435, .external_lex_state = 2},
  [16376] = {.lex_state = 435, .external_lex_state = 2},
  [16377] = {.lex_state = 435, .external_lex_state = 2},
  [16378] = {.lex_state = 435, .external_lex_state = 2},
  [16379] = {.lex_state = 435, .external_lex_state = 2},
  [16380] = {.lex_state = 435, .external_lex_state = 2},
  [16381] = {.lex_state = 435, .external_lex_state = 2},
  [16382] = {.lex_state = 435, .external_lex_state = 2},
  [16383] = {.lex_state = 9, .external_lex_state = 2},
  [16384] = {.lex_state = 435, .external_lex_state = 2},
  [16385] = {.lex_state = 158, .external_lex_state = 2},
  [16386] = {.lex_state = 435, .external_lex_state = 2},
  [16387] = {.lex_state = 435, .external_lex_state = 2},
  [16388] = {.lex_state = 158, .external_lex_state = 2},
  [16389] = {.lex_state = 435, .external_lex_state = 2},
  [16390] = {.lex_state = 435, .external_lex_state = 2},
  [16391] = {.lex_state = 435, .external_lex_state = 2},
  [16392] = {.lex_state = 435, .external_lex_state = 2},
  [16393] = {.lex_state = 41, .external_lex_state = 2},
  [16394] = {.lex_state = 41, .external_lex_state = 2},
  [16395] = {.lex_state = 41, .external_lex_state = 2},
  [16396] = {.lex_state = 9, .external_lex_state = 2},
  [16397] = {.lex_state = 435, .external_lex_state = 8},
  [16398] = {.lex_state = 158, .external_lex_state = 2},
  [16399] = {.lex_state = 435, .external_lex_state = 2},
  [16400] = {.lex_state = 435, .external_lex_state = 2},
  [16401] = {.lex_state = 435, .external_lex_state = 2},
  [16402] = {.lex_state = 158, .external_lex_state = 2},
  [16403] = {.lex_state = 435, .external_lex_state = 2},
  [16404] = {.lex_state = 435, .external_lex_state = 8},
  [16405] = {.lex_state = 435, .external_lex_state = 2},
  [16406] = {.lex_state = 435, .external_lex_state = 2},
  [16407] = {.lex_state = 435, .external_lex_state = 2},
  [16408] = {.lex_state = 435, .external_lex_state = 2},
  [16409] = {.lex_state = 435, .external_lex_state = 2},
  [16410] = {.lex_state = 9, .external_lex_state = 2},
  [16411] = {.lex_state = 435, .external_lex_state = 2},
  [16412] = {.lex_state = 435, .external_lex_state = 2},
  [16413] = {.lex_state = 158, .external_lex_state = 2},
  [16414] = {.lex_state = 435, .external_lex_state = 2},
  [16415] = {.lex_state = 435, .external_lex_state = 2},
  [16416] = {.lex_state = 435, .external_lex_state = 2},
  [16417] = {.lex_state = 435, .external_lex_state = 2},
  [16418] = {.lex_state = 9, .external_lex_state = 2},
  [16419] = {.lex_state = 435, .external_lex_state = 2},
  [16420] = {.lex_state = 435, .external_lex_state = 2},
  [16421] = {.lex_state = 41, .external_lex_state = 2},
  [16422] = {.lex_state = 41, .external_lex_state = 2},
  [16423] = {.lex_state = 41, .external_lex_state = 2},
  [16424] = {.lex_state = 41, .external_lex_state = 2},
  [16425] = {.lex_state = 435, .external_lex_state = 2},
  [16426] = {.lex_state = 435, .external_lex_state = 8},
  [16427] = {.lex_state = 9, .external_lex_state = 2},
  [16428] = {.lex_state = 161, .external_lex_state = 2},
  [16429] = {.lex_state = 158, .external_lex_state = 2},
  [16430] = {.lex_state = 158, .external_lex_state = 2},
  [16431] = {.lex_state = 435, .external_lex_state = 2},
  [16432] = {.lex_state = 158, .external_lex_state = 2},
  [16433] = {.lex_state = 9, .external_lex_state = 2},
  [16434] = {.lex_state = 435, .external_lex_state = 2},
  [16435] = {.lex_state = 435, .external_lex_state = 2},
  [16436] = {.lex_state = 435, .external_lex_state = 2},
  [16437] = {.lex_state = 435, .external_lex_state = 2},
  [16438] = {.lex_state = 435, .external_lex_state = 2},
  [16439] = {.lex_state = 435, .external_lex_state = 2},
  [16440] = {.lex_state = 9, .external_lex_state = 2},
  [16441] = {.lex_state = 435, .external_lex_state = 2},
  [16442] = {.lex_state = 41, .external_lex_state = 2},
  [16443] = {.lex_state = 9, .external_lex_state = 2},
  [16444] = {.lex_state = 435, .external_lex_state = 2},
  [16445] = {.lex_state = 41, .external_lex_state = 2},
  [16446] = {.lex_state = 9, .external_lex_state = 2},
  [16447] = {.lex_state = 41, .external_lex_state = 2},
  [16448] = {.lex_state = 41, .external_lex_state = 2},
  [16449] = {.lex_state = 435, .external_lex_state = 2},
  [16450] = {.lex_state = 158, .external_lex_state = 2},
  [16451] = {.lex_state = 435, .external_lex_state = 8},
  [16452] = {.lex_state = 435, .external_lex_state = 2},
  [16453] = {.lex_state = 158, .external_lex_state = 2},
  [16454] = {.lex_state = 435, .external_lex_state = 2},
  [16455] = {.lex_state = 158, .external_lex_state = 2},
  [16456] = {.lex_state = 436, .external_lex_state = 2},
  [16457] = {.lex_state = 435, .external_lex_state = 2},
  [16458] = {.lex_state = 9, .external_lex_state = 2},
  [16459] = {.lex_state = 158, .external_lex_state = 2},
  [16460] = {.lex_state = 41, .external_lex_state = 2},
  [16461] = {.lex_state = 435, .external_lex_state = 2},
  [16462] = {.lex_state = 435, .external_lex_state = 2},
  [16463] = {.lex_state = 435, .external_lex_state = 2},
  [16464] = {.lex_state = 435, .external_lex_state = 2},
  [16465] = {.lex_state = 435, .external_lex_state = 2},
  [16466] = {.lex_state = 435, .external_lex_state = 2},
  [16467] = {.lex_state = 435, .external_lex_state = 2},
  [16468] = {.lex_state = 158, .external_lex_state = 2},
  [16469] = {.lex_state = 435, .external_lex_state = 2},
  [16470] = {.lex_state = 131, .external_lex_state = 2},
  [16471] = {.lex_state = 435, .external_lex_state = 2},
  [16472] = {.lex_state = 9, .external_lex_state = 2},
  [16473] = {.lex_state = 41, .external_lex_state = 2},
  [16474] = {.lex_state = 435, .external_lex_state = 2},
  [16475] = {.lex_state = 41, .external_lex_state = 2},
  [16476] = {.lex_state = 158, .external_lex_state = 2},
  [16477] = {.lex_state = 41, .external_lex_state = 2},
  [16478] = {.lex_state = 9, .external_lex_state = 2},
  [16479] = {.lex_state = 158, .external_lex_state = 2},
  [16480] = {.lex_state = 435, .external_lex_state = 8},
  [16481] = {.lex_state = 435, .external_lex_state = 8},
  [16482] = {.lex_state = 435, .external_lex_state = 2},
  [16483] = {.lex_state = 158, .external_lex_state = 2},
  [16484] = {.lex_state = 158, .external_lex_state = 2},
  [16485] = {.lex_state = 9, .external_lex_state = 2},
  [16486] = {.lex_state = 435, .external_lex_state = 2},
  [16487] = {.lex_state = 435, .external_lex_state = 2},
  [16488] = {.lex_state = 435, .external_lex_state = 2},
  [16489] = {.lex_state = 435, .external_lex_state = 2},
  [16490] = {.lex_state = 435, .external_lex_state = 2},
  [16491] = {.lex_state = 435, .external_lex_state = 2},
  [16492] = {.lex_state = 435, .external_lex_state = 2},
  [16493] = {.lex_state = 435, .external_lex_state = 2},
  [16494] = {.lex_state = 435, .external_lex_state = 2},
  [16495] = {.lex_state = 435, .external_lex_state = 2},
  [16496] = {.lex_state = 435, .external_lex_state = 2},
  [16497] = {.lex_state = 435, .external_lex_state = 2},
  [16498] = {.lex_state = 9, .external_lex_state = 2},
  [16499] = {.lex_state = 41, .external_lex_state = 2},
  [16500] = {.lex_state = 41, .external_lex_state = 2},
  [16501] = {.lex_state = 41, .external_lex_state = 2},
  [16502] = {.lex_state = 435, .external_lex_state = 2},
  [16503] = {.lex_state = 435, .external_lex_state = 2},
  [16504] = {.lex_state = 435, .external_lex_state = 2},
  [16505] = {.lex_state = 435, .external_lex_state = 2},
  [16506] = {.lex_state = 435, .external_lex_state = 8},
  [16507] = {.lex_state = 435, .external_lex_state = 2},
  [16508] = {.lex_state = 158, .external_lex_state = 2},
  [16509] = {.lex_state = 435, .external_lex_state = 2},
  [16510] = {.lex_state = 435, .external_lex_state = 2},
  [16511] = {.lex_state = 435, .external_lex_state = 2},
  [16512] = {.lex_state = 435, .external_lex_state = 2},
  [16513] = {.lex_state = 435, .external_lex_state = 2},
  [16514] = {.lex_state = 435, .external_lex_state = 2},
  [16515] = {.lex_state = 435, .external_lex_state = 2},
  [16516] = {.lex_state = 435, .external_lex_state = 2},
  [16517] = {.lex_state = 435, .external_lex_state = 2},
  [16518] = {.lex_state = 435, .external_lex_state = 2},
  [16519] = {.lex_state = 435, .external_lex_state = 2},
  [16520] = {.lex_state = 435, .external_lex_state = 2},
  [16521] = {.lex_state = 158, .external_lex_state = 2},
  [16522] = {.lex_state = 435, .external_lex_state = 2},
  [16523] = {.lex_state = 435, .external_lex_state = 2},
  [16524] = {.lex_state = 41, .external_lex_state = 2},
  [16525] = {.lex_state = 158, .external_lex_state = 2},
  [16526] = {.lex_state = 41, .external_lex_state = 2},
  [16527] = {.lex_state = 435, .external_lex_state = 2},
  [16528] = {.lex_state = 41, .external_lex_state = 2},
  [16529] = {.lex_state = 435, .external_lex_state = 2},
  [16530] = {.lex_state = 435, .external_lex_state = 2},
  [16531] = {.lex_state = 435, .external_lex_state = 2},
  [16532] = {.lex_state = 435, .external_lex_state = 2},
  [16533] = {.lex_state = 435, .external_lex_state = 8},
  [16534] = {.lex_state = 435, .external_lex_state = 2},
  [16535] = {.lex_state = 435, .external_lex_state = 2},
  [16536] = {.lex_state = 435, .external_lex_state = 2},
  [16537] = {.lex_state = 435, .external_lex_state = 2},
  [16538] = {.lex_state = 435, .external_lex_state = 2},
  [16539] = {.lex_state = 435, .external_lex_state = 2},
  [16540] = {.lex_state = 435, .external_lex_state = 2},
  [16541] = {.lex_state = 435, .external_lex_state = 2},
  [16542] = {.lex_state = 435, .external_lex_state = 2},
  [16543] = {.lex_state = 435, .external_lex_state = 2},
  [16544] = {.lex_state = 9, .external_lex_state = 2},
  [16545] = {.lex_state = 9, .external_lex_state = 2},
  [16546] = {.lex_state = 158, .external_lex_state = 2},
  [16547] = {.lex_state = 41, .external_lex_state = 2},
  [16548] = {.lex_state = 435, .external_lex_state = 2},
  [16549] = {.lex_state = 41, .external_lex_state = 2},
  [16550] = {.lex_state = 158, .external_lex_state = 2},
  [16551] = {.lex_state = 41, .external_lex_state = 2},
  [16552] = {.lex_state = 435, .external_lex_state = 8},
  [16553] = {.lex_state = 435, .external_lex_state = 2},
  [16554] = {.lex_state = 9, .external_lex_state = 2},
  [16555] = {.lex_state = 435, .external_lex_state = 2},
  [16556] = {.lex_state = 435, .external_lex_state = 2},
  [16557] = {.lex_state = 435, .external_lex_state = 2},
  [16558] = {.lex_state = 435, .external_lex_state = 2},
  [16559] = {.lex_state = 435, .external_lex_state = 2},
  [16560] = {.lex_state = 435, .external_lex_state = 2},
  [16561] = {.lex_state = 435, .external_lex_state = 2},
  [16562] = {.lex_state = 41, .external_lex_state = 2},
  [16563] = {.lex_state = 9, .external_lex_state = 2},
  [16564] = {.lex_state = 41, .external_lex_state = 2},
  [16565] = {.lex_state = 41, .external_lex_state = 2},
  [16566] = {.lex_state = 435, .external_lex_state = 8},
  [16567] = {.lex_state = 435, .external_lex_state = 2},
  [16568] = {.lex_state = 9, .external_lex_state = 2},
  [16569] = {.lex_state = 435, .external_lex_state = 2},
  [16570] = {.lex_state = 435, .external_lex_state = 2},
  [16571] = {.lex_state = 435, .external_lex_state = 2},
  [16572] = {.lex_state = 435, .external_lex_state = 2},
  [16573] = {.lex_state = 41, .external_lex_state = 2},
  [16574] = {.lex_state = 41, .external_lex_state = 2},
  [16575] = {.lex_state = 435, .external_lex_state = 2},
  [16576] = {.lex_state = 41, .external_lex_state = 2},
  [16577] = {.lex_state = 435, .external_lex_state = 2},
  [16578] = {.lex_state = 435, .external_lex_state = 2},
  [16579] = {.lex_state = 435, .external_lex_state = 2},
  [16580] = {.lex_state = 435, .external_lex_state = 8},
  [16581] = {.lex_state = 435, .external_lex_state = 2},
  [16582] = {.lex_state = 435, .external_lex_state = 2},
  [16583] = {.lex_state = 435, .external_lex_state = 2},
  [16584] = {.lex_state = 158, .external_lex_state = 2},
  [16585] = {.lex_state = 435, .external_lex_state = 2},
  [16586] = {.lex_state = 435, .external_lex_state = 2},
  [16587] = {.lex_state = 435, .external_lex_state = 2},
  [16588] = {.lex_state = 435, .external_lex_state = 2},
  [16589] = {.lex_state = 435, .external_lex_state = 2},
  [16590] = {.lex_state = 435, .external_lex_state = 2},
  [16591] = {.lex_state = 435, .external_lex_state = 2},
  [16592] = {.lex_state = 435, .external_lex_state = 2},
  [16593] = {.lex_state = 435, .external_lex_state = 2},
  [16594] = {.lex_state = 435, .external_lex_state = 2},
  [16595] = {.lex_state = 41, .external_lex_state = 2},
  [16596] = {.lex_state = 9, .external_lex_state = 2},
  [16597] = {.lex_state = 41, .external_lex_state = 2},
  [16598] = {.lex_state = 41, .external_lex_state = 2},
  [16599] = {.lex_state = 435, .external_lex_state = 2},
  [16600] = {.lex_state = 435, .external_lex_state = 2},
  [16601] = {.lex_state = 435, .external_lex_state = 2},
  [16602] = {.lex_state = 435, .external_lex_state = 8},
  [16603] = {.lex_state = 435, .external_lex_state = 2},
  [16604] = {.lex_state = 435, .external_lex_state = 2},
  [16605] = {.lex_state = 9, .external_lex_state = 2},
  [16606] = {.lex_state = 435, .external_lex_state = 2},
  [16607] = {.lex_state = 435, .external_lex_state = 2},
  [16608] = {.lex_state = 435, .external_lex_state = 2},
  [16609] = {.lex_state = 435, .external_lex_state = 2},
  [16610] = {.lex_state = 435, .external_lex_state = 2},
  [16611] = {.lex_state = 435, .external_lex_state = 2},
  [16612] = {.lex_state = 41, .external_lex_state = 2},
  [16613] = {.lex_state = 41, .external_lex_state = 2},
  [16614] = {.lex_state = 41, .external_lex_state = 2},
  [16615] = {.lex_state = 9, .external_lex_state = 2},
  [16616] = {.lex_state = 435, .external_lex_state = 2},
  [16617] = {.lex_state = 435, .external_lex_state = 2},
  [16618] = {.lex_state = 435, .external_lex_state = 8},
  [16619] = {.lex_state = 435, .external_lex_state = 8},
  [16620] = {.lex_state = 435, .external_lex_state = 2},
  [16621] = {.lex_state = 435, .external_lex_state = 2},
  [16622] = {.lex_state = 435, .external_lex_state = 2},
  [16623] = {.lex_state = 9, .external_lex_state = 2},
  [16624] = {.lex_state = 435, .external_lex_state = 2},
  [16625] = {.lex_state = 435, .external_lex_state = 2},
  [16626] = {.lex_state = 435, .external_lex_state = 2},
  [16627] = {.lex_state = 158, .external_lex_state = 2},
  [16628] = {.lex_state = 435, .external_lex_state = 2},
  [16629] = {.lex_state = 41, .external_lex_state = 2},
  [16630] = {.lex_state = 158, .external_lex_state = 2},
  [16631] = {.lex_state = 41, .external_lex_state = 2},
  [16632] = {.lex_state = 41, .external_lex_state = 2},
  [16633] = {.lex_state = 158, .external_lex_state = 2},
  [16634] = {.lex_state = 435, .external_lex_state = 2},
  [16635] = {.lex_state = 435, .external_lex_state = 8},
  [16636] = {.lex_state = 435, .external_lex_state = 2},
  [16637] = {.lex_state = 435, .external_lex_state = 2},
  [16638] = {.lex_state = 435, .external_lex_state = 2},
  [16639] = {.lex_state = 435, .external_lex_state = 2},
  [16640] = {.lex_state = 435, .external_lex_state = 2},
  [16641] = {.lex_state = 435, .external_lex_state = 2},
  [16642] = {.lex_state = 435, .external_lex_state = 2},
  [16643] = {.lex_state = 435, .external_lex_state = 2},
  [16644] = {.lex_state = 435, .external_lex_state = 2},
  [16645] = {.lex_state = 41, .external_lex_state = 2},
  [16646] = {.lex_state = 435, .external_lex_state = 2},
  [16647] = {.lex_state = 41, .external_lex_state = 2},
  [16648] = {.lex_state = 41, .external_lex_state = 2},
  [16649] = {.lex_state = 435, .external_lex_state = 2},
  [16650] = {.lex_state = 435, .external_lex_state = 2},
  [16651] = {.lex_state = 435, .external_lex_state = 2},
  [16652] = {.lex_state = 435, .external_lex_state = 8},
  [16653] = {.lex_state = 158, .external_lex_state = 2},
  [16654] = {.lex_state = 158, .external_lex_state = 2},
  [16655] = {.lex_state = 435, .external_lex_state = 2},
  [16656] = {.lex_state = 435, .external_lex_state = 2},
  [16657] = {.lex_state = 435, .external_lex_state = 2},
  [16658] = {.lex_state = 435, .external_lex_state = 2},
  [16659] = {.lex_state = 435, .external_lex_state = 2},
  [16660] = {.lex_state = 435, .external_lex_state = 2},
  [16661] = {.lex_state = 435, .external_lex_state = 2},
  [16662] = {.lex_state = 41, .external_lex_state = 2},
  [16663] = {.lex_state = 41, .external_lex_state = 2},
  [16664] = {.lex_state = 41, .external_lex_state = 2},
  [16665] = {.lex_state = 435, .external_lex_state = 2},
  [16666] = {.lex_state = 435, .external_lex_state = 8},
  [16667] = {.lex_state = 435, .external_lex_state = 2},
  [16668] = {.lex_state = 9, .external_lex_state = 2},
  [16669] = {.lex_state = 435, .external_lex_state = 2},
  [16670] = {.lex_state = 435, .external_lex_state = 2},
  [16671] = {.lex_state = 435, .external_lex_state = 2},
  [16672] = {.lex_state = 435, .external_lex_state = 2},
  [16673] = {.lex_state = 9, .external_lex_state = 2},
  [16674] = {.lex_state = 435, .external_lex_state = 2},
  [16675] = {.lex_state = 9, .external_lex_state = 2},
  [16676] = {.lex_state = 41, .external_lex_state = 2},
  [16677] = {.lex_state = 41, .external_lex_state = 2},
  [16678] = {.lex_state = 41, .external_lex_state = 2},
  [16679] = {.lex_state = 9, .external_lex_state = 2},
  [16680] = {.lex_state = 435, .external_lex_state = 8},
  [16681] = {.lex_state = 436, .external_lex_state = 2},
  [16682] = {.lex_state = 435, .external_lex_state = 2},
  [16683] = {.lex_state = 435, .external_lex_state = 2},
  [16684] = {.lex_state = 9, .external_lex_state = 2},
  [16685] = {.lex_state = 435, .external_lex_state = 2},
  [16686] = {.lex_state = 435, .external_lex_state = 2},
  [16687] = {.lex_state = 435, .external_lex_state = 2},
  [16688] = {.lex_state = 435, .external_lex_state = 2},
  [16689] = {.lex_state = 435, .external_lex_state = 2},
  [16690] = {.lex_state = 435, .external_lex_state = 2},
  [16691] = {.lex_state = 435, .external_lex_state = 8},
  [16692] = {.lex_state = 435, .external_lex_state = 2},
  [16693] = {.lex_state = 41, .external_lex_state = 2},
  [16694] = {.lex_state = 435, .external_lex_state = 2},
  [16695] = {.lex_state = 41, .external_lex_state = 2},
  [16696] = {.lex_state = 435, .external_lex_state = 2},
  [16697] = {.lex_state = 158, .external_lex_state = 2},
  [16698] = {.lex_state = 158, .external_lex_state = 2},
  [16699] = {.lex_state = 435, .external_lex_state = 8},
  [16700] = {.lex_state = 435, .external_lex_state = 2},
  [16701] = {.lex_state = 435, .external_lex_state = 2},
  [16702] = {.lex_state = 435, .external_lex_state = 2},
  [16703] = {.lex_state = 435, .external_lex_state = 2},
  [16704] = {.lex_state = 435, .external_lex_state = 2},
  [16705] = {.lex_state = 435, .external_lex_state = 2},
  [16706] = {.lex_state = 435, .external_lex_state = 2},
  [16707] = {.lex_state = 41, .external_lex_state = 2},
  [16708] = {.lex_state = 435, .external_lex_state = 2},
  [16709] = {.lex_state = 435, .external_lex_state = 2},
  [16710] = {.lex_state = 435, .external_lex_state = 8},
  [16711] = {.lex_state = 435, .external_lex_state = 2},
  [16712] = {.lex_state = 435, .external_lex_state = 2},
  [16713] = {.lex_state = 435, .external_lex_state = 2},
  [16714] = {.lex_state = 435, .external_lex_state = 2},
  [16715] = {.lex_state = 158, .external_lex_state = 2},
  [16716] = {.lex_state = 435, .external_lex_state = 2},
  [16717] = {.lex_state = 158, .external_lex_state = 2},
  [16718] = {.lex_state = 435, .external_lex_state = 2},
  [16719] = {.lex_state = 435, .external_lex_state = 2},
  [16720] = {.lex_state = 435, .external_lex_state = 2},
  [16721] = {.lex_state = 435, .external_lex_state = 2},
  [16722] = {.lex_state = 41, .external_lex_state = 2},
  [16723] = {.lex_state = 435, .external_lex_state = 2},
  [16724] = {.lex_state = 435, .external_lex_state = 2},
  [16725] = {.lex_state = 435, .external_lex_state = 8},
  [16726] = {.lex_state = 158, .external_lex_state = 2},
  [16727] = {.lex_state = 435, .external_lex_state = 2},
  [16728] = {.lex_state = 435, .external_lex_state = 2},
  [16729] = {.lex_state = 435, .external_lex_state = 2},
  [16730] = {.lex_state = 435, .external_lex_state = 2},
  [16731] = {.lex_state = 435, .external_lex_state = 2},
  [16732] = {.lex_state = 435, .external_lex_state = 2},
  [16733] = {.lex_state = 435, .external_lex_state = 2},
  [16734] = {.lex_state = 41, .external_lex_state = 2},
  [16735] = {.lex_state = 435, .external_lex_state = 2},
  [16736] = {.lex_state = 435, .external_lex_state = 8},
  [16737] = {.lex_state = 435, .external_lex_state = 2},
  [16738] = {.lex_state = 435, .external_lex_state = 2},
  [16739] = {.lex_state = 435, .external_lex_state = 2},
  [16740] = {.lex_state = 435, .external_lex_state = 2},
  [16741] = {.lex_state = 435, .external_lex_state = 2},
  [16742] = {.lex_state = 41, .external_lex_state = 2},
  [16743] = {.lex_state = 435, .external_lex_state = 2},
  [16744] = {.lex_state = 435, .external_lex_state = 8},
  [16745] = {.lex_state = 158, .external_lex_state = 2},
  [16746] = {.lex_state = 9, .external_lex_state = 2},
  [16747] = {.lex_state = 436, .external_lex_state = 2},
  [16748] = {.lex_state = 435, .external_lex_state = 2},
  [16749] = {.lex_state = 435, .external_lex_state = 2},
  [16750] = {.lex_state = 435, .external_lex_state = 2},
  [16751] = {.lex_state = 435, .external_lex_state = 2},
  [16752] = {.lex_state = 435, .external_lex_state = 2},
  [16753] = {.lex_state = 435, .external_lex_state = 2},
  [16754] = {.lex_state = 41, .external_lex_state = 2},
  [16755] = {.lex_state = 158, .external_lex_state = 2},
  [16756] = {.lex_state = 9, .external_lex_state = 2},
  [16757] = {.lex_state = 435, .external_lex_state = 8},
  [16758] = {.lex_state = 435, .external_lex_state = 2},
  [16759] = {.lex_state = 9, .external_lex_state = 2},
  [16760] = {.lex_state = 435, .external_lex_state = 2},
  [16761] = {.lex_state = 435, .external_lex_state = 2},
  [16762] = {.lex_state = 435, .external_lex_state = 2},
  [16763] = {.lex_state = 435, .external_lex_state = 2},
  [16764] = {.lex_state = 435, .external_lex_state = 2},
  [16765] = {.lex_state = 435, .external_lex_state = 2},
  [16766] = {.lex_state = 41, .external_lex_state = 2},
  [16767] = {.lex_state = 9, .external_lex_state = 2},
  [16768] = {.lex_state = 158, .external_lex_state = 2},
  [16769] = {.lex_state = 435, .external_lex_state = 8},
  [16770] = {.lex_state = 158, .external_lex_state = 2},
  [16771] = {.lex_state = 435, .external_lex_state = 2},
  [16772] = {.lex_state = 435, .external_lex_state = 2},
  [16773] = {.lex_state = 435, .external_lex_state = 2},
  [16774] = {.lex_state = 435, .external_lex_state = 2},
  [16775] = {.lex_state = 435, .external_lex_state = 2},
  [16776] = {.lex_state = 41, .external_lex_state = 2},
  [16777] = {.lex_state = 158, .external_lex_state = 2},
  [16778] = {.lex_state = 435, .external_lex_state = 8},
  [16779] = {.lex_state = 435, .external_lex_state = 2},
  [16780] = {.lex_state = 435, .external_lex_state = 2},
  [16781] = {.lex_state = 435, .external_lex_state = 2},
  [16782] = {.lex_state = 435, .external_lex_state = 2},
  [16783] = {.lex_state = 435, .external_lex_state = 2},
  [16784] = {.lex_state = 9, .external_lex_state = 2},
  [16785] = {.lex_state = 41, .external_lex_state = 2},
  [16786] = {.lex_state = 9, .external_lex_state = 2},
  [16787] = {.lex_state = 9, .external_lex_state = 2},
  [16788] = {.lex_state = 435, .external_lex_state = 8},
  [16789] = {.lex_state = 9, .external_lex_state = 2},
  [16790] = {.lex_state = 435, .external_lex_state = 2},
  [16791] = {.lex_state = 435, .external_lex_state = 2},
  [16792] = {.lex_state = 435, .external_lex_state = 2},
  [16793] = {.lex_state = 435, .external_lex_state = 2},
  [16794] = {.lex_state = 435, .external_lex_state = 2},
  [16795] = {.lex_state = 435, .external_lex_state = 2},
  [16796] = {.lex_state = 435, .external_lex_state = 2},
  [16797] = {.lex_state = 9, .external_lex_state = 2},
  [16798] = {.lex_state = 41, .external_lex_state = 2},
  [16799] = {.lex_state = 435, .external_lex_state = 8},
  [16800] = {.lex_state = 158, .external_lex_state = 2},
  [16801] = {.lex_state = 158, .external_lex_state = 2},
  [16802] = {.lex_state = 9, .external_lex_state = 2},
  [16803] = {.lex_state = 435, .external_lex_state = 2},
  [16804] = {.lex_state = 435, .external_lex_state = 2},
  [16805] = {.lex_state = 435, .external_lex_state = 2},
  [16806] = {.lex_state = 435, .external_lex_state = 2},
  [16807] = {.lex_state = 435, .external_lex_state = 2},
  [16808] = {.lex_state = 435, .external_lex_state = 2},
  [16809] = {.lex_state = 435, .external_lex_state = 2},
  [16810] = {.lex_state = 435, .external_lex_state = 2},
  [16811] = {.lex_state = 41, .external_lex_state = 2},
  [16812] = {.lex_state = 435, .external_lex_state = 8},
  [16813] = {.lex_state = 435, .external_lex_state = 2},
  [16814] = {.lex_state = 9, .external_lex_state = 2},
  [16815] = {.lex_state = 435, .external_lex_state = 2},
  [16816] = {.lex_state = 435, .external_lex_state = 2},
  [16817] = {.lex_state = 435, .external_lex_state = 2},
  [16818] = {.lex_state = 435, .external_lex_state = 2},
  [16819] = {.lex_state = 435, .external_lex_state = 2},
  [16820] = {.lex_state = 9, .external_lex_state = 2},
  [16821] = {.lex_state = 435, .external_lex_state = 2},
  [16822] = {.lex_state = 435, .external_lex_state = 2},
  [16823] = {.lex_state = 435, .external_lex_state = 2},
  [16824] = {.lex_state = 435, .external_lex_state = 2},
  [16825] = {.lex_state = 435, .external_lex_state = 2},
  [16826] = {.lex_state = 435, .external_lex_state = 2},
  [16827] = {.lex_state = 435, .external_lex_state = 2},
  [16828] = {.lex_state = 435, .external_lex_state = 2},
  [16829] = {.lex_state = 435, .external_lex_state = 2},
  [16830] = {.lex_state = 9, .external_lex_state = 2},
  [16831] = {.lex_state = 435, .external_lex_state = 2},
  [16832] = {.lex_state = 9, .external_lex_state = 2},
  [16833] = {.lex_state = 435, .external_lex_state = 2},
  [16834] = {.lex_state = 435, .external_lex_state = 8},
  [16835] = {.lex_state = 9, .external_lex_state = 2},
  [16836] = {.lex_state = 9, .external_lex_state = 2},
  [16837] = {.lex_state = 435, .external_lex_state = 2},
  [16838] = {.lex_state = 435, .external_lex_state = 2},
  [16839] = {.lex_state = 435, .external_lex_state = 2},
  [16840] = {.lex_state = 435, .external_lex_state = 2},
  [16841] = {.lex_state = 435, .external_lex_state = 2},
  [16842] = {.lex_state = 435, .external_lex_state = 2},
  [16843] = {.lex_state = 435, .external_lex_state = 2},
  [16844] = {.lex_state = 435, .external_lex_state = 8},
  [16845] = {.lex_state = 435, .external_lex_state = 2},
  [16846] = {.lex_state = 9, .external_lex_state = 2},
  [16847] = {.lex_state = 435, .external_lex_state = 2},
  [16848] = {.lex_state = 435, .external_lex_state = 2},
  [16849] = {.lex_state = 435, .external_lex_state = 2},
  [16850] = {.lex_state = 435, .external_lex_state = 2},
  [16851] = {.lex_state = 9, .external_lex_state = 2},
  [16852] = {.lex_state = 435, .external_lex_state = 2},
  [16853] = {.lex_state = 435, .external_lex_state = 8},
  [16854] = {.lex_state = 158, .external_lex_state = 2},
  [16855] = {.lex_state = 9, .external_lex_state = 2},
  [16856] = {.lex_state = 435, .external_lex_state = 2},
  [16857] = {.lex_state = 435, .external_lex_state = 2},
  [16858] = {.lex_state = 435, .external_lex_state = 2},
  [16859] = {.lex_state = 9, .external_lex_state = 2},
  [16860] = {.lex_state = 435, .external_lex_state = 2},
  [16861] = {.lex_state = 435, .external_lex_state = 2},
  [16862] = {.lex_state = 435, .external_lex_state = 2},
  [16863] = {.lex_state = 435, .external_lex_state = 2},
  [16864] = {.lex_state = 435, .external_lex_state = 8},
  [16865] = {.lex_state = 9, .external_lex_state = 2},
  [16866] = {.lex_state = 435, .external_lex_state = 2},
  [16867] = {.lex_state = 435, .external_lex_state = 2},
  [16868] = {.lex_state = 435, .external_lex_state = 2},
  [16869] = {.lex_state = 435, .external_lex_state = 2},
  [16870] = {.lex_state = 435, .external_lex_state = 2},
  [16871] = {.lex_state = 9, .external_lex_state = 2},
  [16872] = {.lex_state = 435, .external_lex_state = 2},
  [16873] = {.lex_state = 435, .external_lex_state = 2},
  [16874] = {.lex_state = 435, .external_lex_state = 2},
  [16875] = {.lex_state = 435, .external_lex_state = 8},
  [16876] = {.lex_state = 435, .external_lex_state = 2},
  [16877] = {.lex_state = 158, .external_lex_state = 2},
  [16878] = {.lex_state = 9, .external_lex_state = 2},
  [16879] = {.lex_state = 435, .external_lex_state = 2},
  [16880] = {.lex_state = 435, .external_lex_state = 2},
  [16881] = {.lex_state = 435, .external_lex_state = 2},
  [16882] = {.lex_state = 435, .external_lex_state = 2},
  [16883] = {.lex_state = 9, .external_lex_state = 2},
  [16884] = {.lex_state = 435, .external_lex_state = 2},
  [16885] = {.lex_state = 9, .external_lex_state = 2},
  [16886] = {.lex_state = 435, .external_lex_state = 8},
  [16887] = {.lex_state = 9, .external_lex_state = 2},
  [16888] = {.lex_state = 435, .external_lex_state = 2},
  [16889] = {.lex_state = 435, .external_lex_state = 2},
  [16890] = {.lex_state = 435, .external_lex_state = 2},
  [16891] = {.lex_state = 9, .external_lex_state = 2},
  [16892] = {.lex_state = 435, .external_lex_state = 2},
  [16893] = {.lex_state = 435, .external_lex_state = 8},
  [16894] = {.lex_state = 9, .external_lex_state = 2},
  [16895] = {.lex_state = 435, .external_lex_state = 2},
  [16896] = {.lex_state = 435, .external_lex_state = 2},
  [16897] = {.lex_state = 435, .external_lex_state = 2},
  [16898] = {.lex_state = 9, .external_lex_state = 2},
  [16899] = {.lex_state = 9, .external_lex_state = 2},
  [16900] = {.lex_state = 435, .external_lex_state = 2},
  [16901] = {.lex_state = 435, .external_lex_state = 8},
  [16902] = {.lex_state = 9, .external_lex_state = 2},
  [16903] = {.lex_state = 435, .external_lex_state = 2},
  [16904] = {.lex_state = 435, .external_lex_state = 2},
  [16905] = {.lex_state = 435, .external_lex_state = 2},
  [16906] = {.lex_state = 9, .external_lex_state = 2},
  [16907] = {.lex_state = 9, .external_lex_state = 2},
  [16908] = {.lex_state = 435, .external_lex_state = 2},
  [16909] = {.lex_state = 435, .external_lex_state = 2},
  [16910] = {.lex_state = 435, .external_lex_state = 8},
  [16911] = {.lex_state = 435, .external_lex_state = 2},
  [16912] = {.lex_state = 435, .external_lex_state = 2},
  [16913] = {.lex_state = 435, .external_lex_state = 2},
  [16914] = {.lex_state = 435, .external_lex_state = 8},
  [16915] = {.lex_state = 435, .external_lex_state = 2},
  [16916] = {.lex_state = 9, .external_lex_state = 2},
  [16917] = {.lex_state = 435, .external_lex_state = 2},
  [16918] = {.lex_state = 435, .external_lex_state = 2},
  [16919] = {.lex_state = 435, .external_lex_state = 2},
  [16920] = {.lex_state = 9, .external_lex_state = 2},
  [16921] = {.lex_state = 435, .external_lex_state = 2},
  [16922] = {.lex_state = 435, .external_lex_state = 2},
  [16923] = {.lex_state = 435, .external_lex_state = 8},
  [16924] = {.lex_state = 9, .external_lex_state = 2},
  [16925] = {.lex_state = 435, .external_lex_state = 2},
  [16926] = {.lex_state = 435, .external_lex_state = 2},
  [16927] = {.lex_state = 435, .external_lex_state = 2},
  [16928] = {.lex_state = 435, .external_lex_state = 8},
  [16929] = {.lex_state = 435, .external_lex_state = 2},
  [16930] = {.lex_state = 435, .external_lex_state = 2},
  [16931] = {.lex_state = 435, .external_lex_state = 2},
  [16932] = {.lex_state = 435, .external_lex_state = 8},
  [16933] = {.lex_state = 435, .external_lex_state = 2},
  [16934] = {.lex_state = 435, .external_lex_state = 2},
  [16935] = {.lex_state = 435, .external_lex_state = 2},
  [16936] = {.lex_state = 9, .external_lex_state = 2},
  [16937] = {.lex_state = 9, .external_lex_state = 2},
  [16938] = {.lex_state = 435, .external_lex_state = 8},
  [16939] = {.lex_state = 435, .external_lex_state = 2},
  [16940] = {.lex_state = 435, .external_lex_state = 2},
  [16941] = {.lex_state = 435, .external_lex_state = 2},
  [16942] = {.lex_state = 435, .external_lex_state = 2},
  [16943] = {.lex_state = 435, .external_lex_state = 8},
  [16944] = {.lex_state = 435, .external_lex_state = 2},
  [16945] = {.lex_state = 435, .external_lex_state = 2},
  [16946] = {.lex_state = 435, .external_lex_state = 2},
  [16947] = {.lex_state = 435, .external_lex_state = 8},
  [16948] = {.lex_state = 435, .external_lex_state = 2},
  [16949] = {.lex_state = 435, .external_lex_state = 2},
  [16950] = {.lex_state = 435, .external_lex_state = 2},
  [16951] = {.lex_state = 435, .external_lex_state = 8},
  [16952] = {.lex_state = 435, .external_lex_state = 2},
  [16953] = {.lex_state = 435, .external_lex_state = 2},
  [16954] = {.lex_state = 435, .external_lex_state = 2},
  [16955] = {.lex_state = 435, .external_lex_state = 8},
  [16956] = {.lex_state = 435, .external_lex_state = 2},
  [16957] = {.lex_state = 435, .external_lex_state = 2},
  [16958] = {.lex_state = 435, .external_lex_state = 2},
  [16959] = {.lex_state = 9, .external_lex_state = 2},
  [16960] = {.lex_state = 9, .external_lex_state = 2},
  [16961] = {.lex_state = 435, .external_lex_state = 8},
  [16962] = {.lex_state = 435, .external_lex_state = 2},
  [16963] = {.lex_state = 435, .external_lex_state = 2},
  [16964] = {.lex_state = 435, .external_lex_state = 2},
  [16965] = {.lex_state = 9, .external_lex_state = 2},
  [16966] = {.lex_state = 435, .external_lex_state = 8},
  [16967] = {.lex_state = 435, .external_lex_state = 2},
  [16968] = {.lex_state = 435, .external_lex_state = 2},
  [16969] = {.lex_state = 435, .external_lex_state = 2},
  [16970] = {.lex_state = 435, .external_lex_state = 8},
  [16971] = {.lex_state = 435, .external_lex_state = 2},
  [16972] = {.lex_state = 435, .external_lex_state = 2},
  [16973] = {.lex_state = 435, .external_lex_state = 2},
  [16974] = {.lex_state = 435, .external_lex_state = 8},
  [16975] = {.lex_state = 435, .external_lex_state = 2},
  [16976] = {.lex_state = 435, .external_lex_state = 2},
  [16977] = {.lex_state = 435, .external_lex_state = 2},
  [16978] = {.lex_state = 435, .external_lex_state = 8},
  [16979] = {.lex_state = 435, .external_lex_state = 8},
  [16980] = {.lex_state = 435, .external_lex_state = 8},
  [16981] = {.lex_state = 435, .external_lex_state = 8},
  [16982] = {.lex_state = 435, .external_lex_state = 8},
  [16983] = {.lex_state = 9, .external_lex_state = 2},
  [16984] = {.lex_state = 435, .external_lex_state = 8},
  [16985] = {.lex_state = 435, .external_lex_state = 8},
  [16986] = {.lex_state = 435, .external_lex_state = 8},
  [16987] = {.lex_state = 435, .external_lex_state = 8},
  [16988] = {.lex_state = 435, .external_lex_state = 8},
  [16989] = {.lex_state = 435, .external_lex_state = 8},
  [16990] = {.lex_state = 435, .external_lex_state = 2},
  [16991] = {.lex_state = 435, .external_lex_state = 8},
  [16992] = {.lex_state = 435, .external_lex_state = 8},
  [16993] = {.lex_state = 435, .external_lex_state = 8},
  [16994] = {.lex_state = 435, .external_lex_state = 8},
  [16995] = {.lex_state = 435, .external_lex_state = 8},
  [16996] = {.lex_state = 435, .external_lex_state = 8},
  [16997] = {.lex_state = 435, .external_lex_state = 8},
  [16998] = {.lex_state = 435, .external_lex_state = 8},
  [16999] = {.lex_state = 435, .external_lex_state = 8},
  [17000] = {.lex_state = 435, .external_lex_state = 8},
  [17001] = {.lex_state = 435, .external_lex_state = 8},
  [17002] = {.lex_state = 435, .external_lex_state = 8},
  [17003] = {.lex_state = 435, .external_lex_state = 2},
  [17004] = {.lex_state = 435, .external_lex_state = 2},
  [17005] = {.lex_state = 435, .external_lex_state = 2},
  [17006] = {.lex_state = 435, .external_lex_state = 2},
  [17007] = {.lex_state = 435, .external_lex_state = 2},
  [17008] = {.lex_state = 435, .external_lex_state = 2},
  [17009] = {.lex_state = 435, .external_lex_state = 8},
  [17010] = {.lex_state = 435, .external_lex_state = 2},
  [17011] = {.lex_state = 435, .external_lex_state = 2},
  [17012] = {.lex_state = 435, .external_lex_state = 2},
  [17013] = {.lex_state = 41, .external_lex_state = 2},
  [17014] = {.lex_state = 435, .external_lex_state = 2},
  [17015] = {.lex_state = 161, .external_lex_state = 2},
  [17016] = {.lex_state = 435, .external_lex_state = 2},
  [17017] = {.lex_state = 41, .external_lex_state = 2},
  [17018] = {.lex_state = 41, .external_lex_state = 2},
  [17019] = {.lex_state = 435, .external_lex_state = 2},
  [17020] = {.lex_state = 161, .external_lex_state = 2},
  [17021] = {.lex_state = 158, .external_lex_state = 2},
  [17022] = {.lex_state = 435, .external_lex_state = 2},
  [17023] = {.lex_state = 158, .external_lex_state = 2},
  [17024] = {.lex_state = 165, .external_lex_state = 2},
  [17025] = {.lex_state = 435, .external_lex_state = 2},
  [17026] = {.lex_state = 435, .external_lex_state = 2},
  [17027] = {.lex_state = 165, .external_lex_state = 2},
  [17028] = {.lex_state = 158, .external_lex_state = 2},
  [17029] = {.lex_state = 158, .external_lex_state = 2},
  [17030] = {.lex_state = 158, .external_lex_state = 2},
  [17031] = {.lex_state = 435, .external_lex_state = 2},
  [17032] = {.lex_state = 41, .external_lex_state = 2},
  [17033] = {.lex_state = 435, .external_lex_state = 8},
  [17034] = {.lex_state = 435, .external_lex_state = 2},
  [17035] = {.lex_state = 435, .external_lex_state = 2},
  [17036] = {.lex_state = 435, .external_lex_state = 2},
  [17037] = {.lex_state = 435, .external_lex_state = 2},
  [17038] = {.lex_state = 435, .external_lex_state = 2},
  [17039] = {.lex_state = 435, .external_lex_state = 2},
  [17040] = {.lex_state = 158, .external_lex_state = 2},
  [17041] = {.lex_state = 435, .external_lex_state = 2},
  [17042] = {.lex_state = 435, .external_lex_state = 2},
  [17043] = {.lex_state = 9, .external_lex_state = 2},
  [17044] = {.lex_state = 435, .external_lex_state = 2},
  [17045] = {.lex_state = 158, .external_lex_state = 2},
  [17046] = {.lex_state = 435, .external_lex_state = 2},
  [17047] = {.lex_state = 161, .external_lex_state = 2},
  [17048] = {.lex_state = 165, .external_lex_state = 2},
  [17049] = {.lex_state = 158, .external_lex_state = 2},
  [17050] = {.lex_state = 435, .external_lex_state = 2},
  [17051] = {.lex_state = 435, .external_lex_state = 2},
  [17052] = {.lex_state = 161, .external_lex_state = 2},
  [17053] = {.lex_state = 9, .external_lex_state = 2},
  [17054] = {.lex_state = 435, .external_lex_state = 8},
  [17055] = {.lex_state = 435, .external_lex_state = 2},
  [17056] = {.lex_state = 435, .external_lex_state = 2},
  [17057] = {.lex_state = 9, .external_lex_state = 2},
  [17058] = {.lex_state = 435, .external_lex_state = 2},
  [17059] = {.lex_state = 435, .external_lex_state = 2},
  [17060] = {.lex_state = 435, .external_lex_state = 2},
  [17061] = {.lex_state = 435, .external_lex_state = 2},
  [17062] = {.lex_state = 435, .external_lex_state = 2},
  [17063] = {.lex_state = 435, .external_lex_state = 2},
  [17064] = {.lex_state = 9, .external_lex_state = 2},
  [17065] = {.lex_state = 9, .external_lex_state = 2},
  [17066] = {.lex_state = 435, .external_lex_state = 2},
  [17067] = {.lex_state = 435, .external_lex_state = 2},
  [17068] = {.lex_state = 158, .external_lex_state = 2},
  [17069] = {.lex_state = 435, .external_lex_state = 2},
  [17070] = {.lex_state = 9, .external_lex_state = 2},
  [17071] = {.lex_state = 435, .external_lex_state = 2},
  [17072] = {.lex_state = 161, .external_lex_state = 2},
  [17073] = {.lex_state = 435, .external_lex_state = 2},
  [17074] = {.lex_state = 435, .external_lex_state = 2},
  [17075] = {.lex_state = 435, .external_lex_state = 2},
  [17076] = {.lex_state = 161, .external_lex_state = 2},
  [17077] = {.lex_state = 435, .external_lex_state = 2},
  [17078] = {.lex_state = 435, .external_lex_state = 2},
  [17079] = {.lex_state = 435, .external_lex_state = 2},
  [17080] = {.lex_state = 435, .external_lex_state = 2},
  [17081] = {.lex_state = 435, .external_lex_state = 2},
  [17082] = {.lex_state = 435, .external_lex_state = 2},
  [17083] = {.lex_state = 435, .external_lex_state = 2},
  [17084] = {.lex_state = 435, .external_lex_state = 2},
  [17085] = {.lex_state = 435, .external_lex_state = 2},
  [17086] = {.lex_state = 435, .external_lex_state = 2},
  [17087] = {.lex_state = 435, .external_lex_state = 2},
  [17088] = {.lex_state = 435, .external_lex_state = 2},
  [17089] = {.lex_state = 435, .external_lex_state = 2},
  [17090] = {.lex_state = 435, .external_lex_state = 2},
  [17091] = {.lex_state = 9, .external_lex_state = 2},
  [17092] = {.lex_state = 158, .external_lex_state = 2},
  [17093] = {.lex_state = 41, .external_lex_state = 2},
  [17094] = {.lex_state = 435, .external_lex_state = 2},
  [17095] = {.lex_state = 240, .external_lex_state = 2},
  [17096] = {.lex_state = 435, .external_lex_state = 2},
  [17097] = {.lex_state = 435, .external_lex_state = 2},
  [17098] = {.lex_state = 435, .external_lex_state = 2},
  [17099] = {.lex_state = 435, .external_lex_state = 2},
  [17100] = {.lex_state = 435, .external_lex_state = 2},
  [17101] = {.lex_state = 435, .external_lex_state = 2},
  [17102] = {.lex_state = 161, .external_lex_state = 2},
  [17103] = {.lex_state = 435, .external_lex_state = 2},
  [17104] = {.lex_state = 158, .external_lex_state = 2},
  [17105] = {.lex_state = 435, .external_lex_state = 2},
  [17106] = {.lex_state = 158, .external_lex_state = 2},
  [17107] = {.lex_state = 435, .external_lex_state = 2},
  [17108] = {.lex_state = 435, .external_lex_state = 2},
  [17109] = {.lex_state = 9, .external_lex_state = 2},
  [17110] = {.lex_state = 435, .external_lex_state = 2},
  [17111] = {.lex_state = 435, .external_lex_state = 2},
  [17112] = {.lex_state = 158, .external_lex_state = 2},
  [17113] = {.lex_state = 435, .external_lex_state = 2},
  [17114] = {.lex_state = 435, .external_lex_state = 2},
  [17115] = {.lex_state = 435, .external_lex_state = 2},
  [17116] = {.lex_state = 435, .external_lex_state = 2},
  [17117] = {.lex_state = 158, .external_lex_state = 2},
  [17118] = {.lex_state = 158, .external_lex_state = 2},
  [17119] = {.lex_state = 435, .external_lex_state = 2},
  [17120] = {.lex_state = 158, .external_lex_state = 2},
  [17121] = {.lex_state = 435, .external_lex_state = 2},
  [17122] = {.lex_state = 435, .external_lex_state = 2},
  [17123] = {.lex_state = 435, .external_lex_state = 2},
  [17124] = {.lex_state = 435, .external_lex_state = 2},
  [17125] = {.lex_state = 158, .external_lex_state = 2},
  [17126] = {.lex_state = 435, .external_lex_state = 2},
  [17127] = {.lex_state = 435, .external_lex_state = 2},
  [17128] = {.lex_state = 435, .external_lex_state = 2},
  [17129] = {.lex_state = 435, .external_lex_state = 2},
  [17130] = {.lex_state = 435, .external_lex_state = 2},
  [17131] = {.lex_state = 435, .external_lex_state = 2},
  [17132] = {.lex_state = 435, .external_lex_state = 2},
  [17133] = {.lex_state = 435, .external_lex_state = 2},
  [17134] = {.lex_state = 435, .external_lex_state = 2},
  [17135] = {.lex_state = 158, .external_lex_state = 2},
  [17136] = {.lex_state = 435, .external_lex_state = 2},
  [17137] = {.lex_state = 9, .external_lex_state = 2},
  [17138] = {.lex_state = 435, .external_lex_state = 2},
  [17139] = {.lex_state = 435, .external_lex_state = 2},
  [17140] = {.lex_state = 435, .external_lex_state = 2},
  [17141] = {.lex_state = 435, .external_lex_state = 2},
  [17142] = {.lex_state = 9, .external_lex_state = 2},
  [17143] = {.lex_state = 9, .external_lex_state = 2},
  [17144] = {.lex_state = 435, .external_lex_state = 2},
  [17145] = {.lex_state = 435, .external_lex_state = 2},
  [17146] = {.lex_state = 435, .external_lex_state = 2},
  [17147] = {.lex_state = 435, .external_lex_state = 2},
  [17148] = {.lex_state = 435, .external_lex_state = 2},
  [17149] = {.lex_state = 435, .external_lex_state = 2},
  [17150] = {.lex_state = 435, .external_lex_state = 2},
  [17151] = {.lex_state = 158, .external_lex_state = 2},
  [17152] = {.lex_state = 435, .external_lex_state = 2},
  [17153] = {.lex_state = 9, .external_lex_state = 2},
  [17154] = {.lex_state = 435, .external_lex_state = 2},
  [17155] = {.lex_state = 435, .external_lex_state = 2},
  [17156] = {.lex_state = 435, .external_lex_state = 2},
  [17157] = {.lex_state = 435, .external_lex_state = 2},
  [17158] = {.lex_state = 435, .external_lex_state = 2},
  [17159] = {.lex_state = 435, .external_lex_state = 2},
  [17160] = {.lex_state = 9, .external_lex_state = 2},
  [17161] = {.lex_state = 158, .external_lex_state = 2},
  [17162] = {.lex_state = 435, .external_lex_state = 2},
  [17163] = {.lex_state = 435, .external_lex_state = 2},
  [17164] = {.lex_state = 435, .external_lex_state = 2},
  [17165] = {.lex_state = 435, .external_lex_state = 2},
  [17166] = {.lex_state = 435, .external_lex_state = 2},
  [17167] = {.lex_state = 9, .external_lex_state = 2},
  [17168] = {.lex_state = 158, .external_lex_state = 2},
  [17169] = {.lex_state = 435, .external_lex_state = 2},
  [17170] = {.lex_state = 435, .external_lex_state = 2},
  [17171] = {.lex_state = 435, .external_lex_state = 2},
  [17172] = {.lex_state = 435, .external_lex_state = 2},
  [17173] = {.lex_state = 435, .external_lex_state = 2},
  [17174] = {.lex_state = 435, .external_lex_state = 2},
  [17175] = {.lex_state = 435, .external_lex_state = 2},
  [17176] = {.lex_state = 165, .external_lex_state = 2},
  [17177] = {.lex_state = 158, .external_lex_state = 2},
  [17178] = {.lex_state = 435, .external_lex_state = 2},
  [17179] = {.lex_state = 435, .external_lex_state = 2},
  [17180] = {.lex_state = 435, .external_lex_state = 2},
  [17181] = {.lex_state = 435, .external_lex_state = 2},
  [17182] = {.lex_state = 435, .external_lex_state = 2},
  [17183] = {.lex_state = 9, .external_lex_state = 2},
  [17184] = {.lex_state = 435, .external_lex_state = 2},
  [17185] = {.lex_state = 158, .external_lex_state = 2},
  [17186] = {.lex_state = 158, .external_lex_state = 2},
  [17187] = {.lex_state = 435, .external_lex_state = 2},
  [17188] = {.lex_state = 435, .external_lex_state = 2},
  [17189] = {.lex_state = 435, .external_lex_state = 2},
  [17190] = {.lex_state = 435, .external_lex_state = 2},
  [17191] = {.lex_state = 435, .external_lex_state = 2},
  [17192] = {.lex_state = 158, .external_lex_state = 2},
  [17193] = {.lex_state = 435, .external_lex_state = 2},
  [17194] = {.lex_state = 435, .external_lex_state = 2},
  [17195] = {.lex_state = 158, .external_lex_state = 2},
  [17196] = {.lex_state = 158, .external_lex_state = 2},
  [17197] = {.lex_state = 435, .external_lex_state = 2},
  [17198] = {.lex_state = 435, .external_lex_state = 2},
  [17199] = {.lex_state = 158, .external_lex_state = 2},
  [17200] = {.lex_state = 435, .external_lex_state = 2},
  [17201] = {.lex_state = 435, .external_lex_state = 2},
  [17202] = {.lex_state = 158, .external_lex_state = 2},
  [17203] = {.lex_state = 435, .external_lex_state = 2},
  [17204] = {.lex_state = 9, .external_lex_state = 2},
  [17205] = {.lex_state = 435, .external_lex_state = 2},
  [17206] = {.lex_state = 158, .external_lex_state = 2},
  [17207] = {.lex_state = 158, .external_lex_state = 2},
  [17208] = {.lex_state = 158, .external_lex_state = 2},
  [17209] = {.lex_state = 158, .external_lex_state = 2},
  [17210] = {.lex_state = 9, .external_lex_state = 2},
  [17211] = {.lex_state = 435, .external_lex_state = 2},
  [17212] = {.lex_state = 158, .external_lex_state = 2},
  [17213] = {.lex_state = 41, .external_lex_state = 2},
  [17214] = {.lex_state = 435, .external_lex_state = 2},
  [17215] = {.lex_state = 41, .external_lex_state = 2},
  [17216] = {.lex_state = 435, .external_lex_state = 2},
  [17217] = {.lex_state = 41, .external_lex_state = 2},
  [17218] = {.lex_state = 9, .external_lex_state = 2},
  [17219] = {.lex_state = 158, .external_lex_state = 2},
  [17220] = {.lex_state = 435, .external_lex_state = 2},
  [17221] = {.lex_state = 435, .external_lex_state = 8},
  [17222] = {.lex_state = 158, .external_lex_state = 2},
  [17223] = {.lex_state = 435, .external_lex_state = 2},
  [17224] = {.lex_state = 435, .external_lex_state = 2},
  [17225] = {.lex_state = 435, .external_lex_state = 2},
  [17226] = {.lex_state = 158, .external_lex_state = 2},
  [17227] = {.lex_state = 158, .external_lex_state = 2},
  [17228] = {.lex_state = 435, .external_lex_state = 2},
  [17229] = {.lex_state = 435, .external_lex_state = 8},
  [17230] = {.lex_state = 435, .external_lex_state = 2},
  [17231] = {.lex_state = 435, .external_lex_state = 2},
  [17232] = {.lex_state = 9, .external_lex_state = 2},
  [17233] = {.lex_state = 9, .external_lex_state = 2},
  [17234] = {.lex_state = 435, .external_lex_state = 2},
  [17235] = {.lex_state = 435, .external_lex_state = 2},
  [17236] = {.lex_state = 435, .external_lex_state = 2},
  [17237] = {.lex_state = 435, .external_lex_state = 2},
  [17238] = {.lex_state = 435, .external_lex_state = 2},
  [17239] = {.lex_state = 435, .external_lex_state = 2},
  [17240] = {.lex_state = 435, .external_lex_state = 2},
  [17241] = {.lex_state = 435, .external_lex_state = 2},
  [17242] = {.lex_state = 9, .external_lex_state = 2},
  [17243] = {.lex_state = 41, .external_lex_state = 2},
  [17244] = {.lex_state = 435, .external_lex_state = 2},
  [17245] = {.lex_state = 435, .external_lex_state = 2},
  [17246] = {.lex_state = 435, .external_lex_state = 2},
  [17247] = {.lex_state = 435, .external_lex_state = 2},
  [17248] = {.lex_state = 9, .external_lex_state = 2},
  [17249] = {.lex_state = 435, .external_lex_state = 2},
  [17250] = {.lex_state = 435, .external_lex_state = 2},
  [17251] = {.lex_state = 435, .external_lex_state = 2},
  [17252] = {.lex_state = 435, .external_lex_state = 2},
  [17253] = {.lex_state = 435, .external_lex_state = 2},
  [17254] = {.lex_state = 435, .external_lex_state = 2},
  [17255] = {.lex_state = 435, .external_lex_state = 2},
  [17256] = {.lex_state = 435, .external_lex_state = 2},
  [17257] = {.lex_state = 435, .external_lex_state = 2},
  [17258] = {.lex_state = 158, .external_lex_state = 2},
  [17259] = {.lex_state = 158, .external_lex_state = 2},
  [17260] = {.lex_state = 435, .external_lex_state = 2},
  [17261] = {.lex_state = 435, .external_lex_state = 2},
  [17262] = {.lex_state = 435, .external_lex_state = 2},
  [17263] = {.lex_state = 9, .external_lex_state = 2},
  [17264] = {.lex_state = 158, .external_lex_state = 2},
  [17265] = {.lex_state = 435, .external_lex_state = 2},
  [17266] = {.lex_state = 9, .external_lex_state = 2},
  [17267] = {.lex_state = 435, .external_lex_state = 2},
  [17268] = {.lex_state = 9, .external_lex_state = 2},
  [17269] = {.lex_state = 158, .external_lex_state = 2},
  [17270] = {.lex_state = 435, .external_lex_state = 2},
  [17271] = {.lex_state = 435, .external_lex_state = 2},
  [17272] = {.lex_state = 435, .external_lex_state = 2},
  [17273] = {.lex_state = 435, .external_lex_state = 2},
  [17274] = {.lex_state = 435, .external_lex_state = 2},
  [17275] = {.lex_state = 435, .external_lex_state = 2},
  [17276] = {.lex_state = 435, .external_lex_state = 2},
  [17277] = {.lex_state = 435, .external_lex_state = 2},
  [17278] = {.lex_state = 435, .external_lex_state = 2},
  [17279] = {.lex_state = 435, .external_lex_state = 2},
  [17280] = {.lex_state = 435, .external_lex_state = 2},
  [17281] = {.lex_state = 435, .external_lex_state = 2},
  [17282] = {.lex_state = 435, .external_lex_state = 2},
  [17283] = {.lex_state = 435, .external_lex_state = 2},
  [17284] = {.lex_state = 435, .external_lex_state = 2},
  [17285] = {.lex_state = 435, .external_lex_state = 2},
  [17286] = {.lex_state = 435, .external_lex_state = 2},
  [17287] = {.lex_state = 435, .external_lex_state = 2},
  [17288] = {.lex_state = 165, .external_lex_state = 2},
  [17289] = {.lex_state = 435, .external_lex_state = 2},
  [17290] = {.lex_state = 435, .external_lex_state = 8},
  [17291] = {.lex_state = 435, .external_lex_state = 2},
  [17292] = {.lex_state = 435, .external_lex_state = 3},
  [17293] = {.lex_state = 435, .external_lex_state = 2},
  [17294] = {.lex_state = 435, .external_lex_state = 2},
  [17295] = {.lex_state = 435, .external_lex_state = 2},
  [17296] = {.lex_state = 435, .external_lex_state = 3},
  [17297] = {.lex_state = 435, .external_lex_state = 2},
  [17298] = {.lex_state = 435, .external_lex_state = 2},
  [17299] = {.lex_state = 435, .external_lex_state = 2},
  [17300] = {.lex_state = 435, .external_lex_state = 2},
  [17301] = {.lex_state = 435, .external_lex_state = 2},
  [17302] = {.lex_state = 435, .external_lex_state = 2},
  [17303] = {.lex_state = 435, .external_lex_state = 2},
  [17304] = {.lex_state = 435, .external_lex_state = 2},
  [17305] = {.lex_state = 435, .external_lex_state = 2},
  [17306] = {.lex_state = 435, .external_lex_state = 2},
  [17307] = {.lex_state = 158, .external_lex_state = 2},
  [17308] = {.lex_state = 41, .external_lex_state = 2},
  [17309] = {.lex_state = 435, .external_lex_state = 2},
  [17310] = {.lex_state = 435, .external_lex_state = 2},
  [17311] = {.lex_state = 435, .external_lex_state = 2},
  [17312] = {.lex_state = 435, .external_lex_state = 2},
  [17313] = {.lex_state = 435, .external_lex_state = 2},
  [17314] = {.lex_state = 435, .external_lex_state = 2},
  [17315] = {.lex_state = 435, .external_lex_state = 2},
  [17316] = {.lex_state = 165, .external_lex_state = 2},
  [17317] = {.lex_state = 158, .external_lex_state = 2},
  [17318] = {.lex_state = 158, .external_lex_state = 2},
  [17319] = {.lex_state = 41, .external_lex_state = 2},
  [17320] = {.lex_state = 435, .external_lex_state = 2},
  [17321] = {.lex_state = 9, .external_lex_state = 2},
  [17322] = {.lex_state = 435, .external_lex_state = 2},
  [17323] = {.lex_state = 435, .external_lex_state = 2},
  [17324] = {.lex_state = 435, .external_lex_state = 2},
  [17325] = {.lex_state = 435, .external_lex_state = 2},
  [17326] = {.lex_state = 435, .external_lex_state = 2},
  [17327] = {.lex_state = 158, .external_lex_state = 2},
  [17328] = {.lex_state = 158, .external_lex_state = 2},
  [17329] = {.lex_state = 435, .external_lex_state = 2},
  [17330] = {.lex_state = 435, .external_lex_state = 2},
  [17331] = {.lex_state = 435, .external_lex_state = 2},
  [17332] = {.lex_state = 41, .external_lex_state = 2},
  [17333] = {.lex_state = 435, .external_lex_state = 2},
  [17334] = {.lex_state = 165, .external_lex_state = 2},
  [17335] = {.lex_state = 158, .external_lex_state = 2},
  [17336] = {.lex_state = 165, .external_lex_state = 2},
  [17337] = {.lex_state = 165, .external_lex_state = 2},
  [17338] = {.lex_state = 435, .external_lex_state = 2},
  [17339] = {.lex_state = 435, .external_lex_state = 2},
  [17340] = {.lex_state = 435, .external_lex_state = 2},
  [17341] = {.lex_state = 435, .external_lex_state = 2},
  [17342] = {.lex_state = 435, .external_lex_state = 2},
  [17343] = {.lex_state = 435, .external_lex_state = 2},
  [17344] = {.lex_state = 435, .external_lex_state = 2},
  [17345] = {.lex_state = 435, .external_lex_state = 2},
  [17346] = {.lex_state = 435, .external_lex_state = 2},
  [17347] = {.lex_state = 435, .external_lex_state = 2},
  [17348] = {.lex_state = 435, .external_lex_state = 2},
  [17349] = {.lex_state = 435, .external_lex_state = 2},
  [17350] = {.lex_state = 435, .external_lex_state = 2},
  [17351] = {.lex_state = 435, .external_lex_state = 2},
  [17352] = {.lex_state = 435, .external_lex_state = 2},
  [17353] = {.lex_state = 435, .external_lex_state = 2},
  [17354] = {.lex_state = 435, .external_lex_state = 2},
  [17355] = {.lex_state = 435, .external_lex_state = 2},
  [17356] = {.lex_state = 435, .external_lex_state = 2},
  [17357] = {.lex_state = 435, .external_lex_state = 2},
  [17358] = {.lex_state = 435, .external_lex_state = 2},
  [17359] = {.lex_state = 435, .external_lex_state = 2},
  [17360] = {.lex_state = 435, .external_lex_state = 2},
  [17361] = {.lex_state = 435, .external_lex_state = 2},
  [17362] = {.lex_state = 435, .external_lex_state = 2},
  [17363] = {.lex_state = 435, .external_lex_state = 2},
  [17364] = {.lex_state = 435, .external_lex_state = 2},
  [17365] = {.lex_state = 165, .external_lex_state = 2},
  [17366] = {.lex_state = 158, .external_lex_state = 2},
  [17367] = {.lex_state = 435, .external_lex_state = 2},
  [17368] = {.lex_state = 435, .external_lex_state = 2},
  [17369] = {.lex_state = 9, .external_lex_state = 2},
  [17370] = {.lex_state = 435, .external_lex_state = 2},
  [17371] = {.lex_state = 158, .external_lex_state = 2},
  [17372] = {.lex_state = 435, .external_lex_state = 2},
  [17373] = {.lex_state = 435, .external_lex_state = 2},
  [17374] = {.lex_state = 41, .external_lex_state = 2},
  [17375] = {.lex_state = 435, .external_lex_state = 2},
  [17376] = {.lex_state = 435, .external_lex_state = 2},
  [17377] = {.lex_state = 9, .external_lex_state = 2},
  [17378] = {.lex_state = 435, .external_lex_state = 2},
  [17379] = {.lex_state = 435, .external_lex_state = 2},
  [17380] = {.lex_state = 435, .external_lex_state = 2},
  [17381] = {.lex_state = 435, .external_lex_state = 2},
  [17382] = {.lex_state = 435, .external_lex_state = 2},
  [17383] = {.lex_state = 158, .external_lex_state = 2},
  [17384] = {.lex_state = 158, .external_lex_state = 2},
  [17385] = {.lex_state = 41, .external_lex_state = 2},
  [17386] = {.lex_state = 435, .external_lex_state = 2},
  [17387] = {.lex_state = 435, .external_lex_state = 2},
  [17388] = {.lex_state = 435, .external_lex_state = 2},
  [17389] = {.lex_state = 435, .external_lex_state = 2},
  [17390] = {.lex_state = 435, .external_lex_state = 2},
  [17391] = {.lex_state = 435, .external_lex_state = 2},
  [17392] = {.lex_state = 158, .external_lex_state = 2},
  [17393] = {.lex_state = 158, .external_lex_state = 2},
  [17394] = {.lex_state = 435, .external_lex_state = 2},
  [17395] = {.lex_state = 435, .external_lex_state = 2},
  [17396] = {.lex_state = 435, .external_lex_state = 2},
  [17397] = {.lex_state = 41, .external_lex_state = 2},
  [17398] = {.lex_state = 435, .external_lex_state = 2},
  [17399] = {.lex_state = 435, .external_lex_state = 2},
  [17400] = {.lex_state = 435, .external_lex_state = 2},
  [17401] = {.lex_state = 435, .external_lex_state = 2},
  [17402] = {.lex_state = 435, .external_lex_state = 2},
  [17403] = {.lex_state = 435, .external_lex_state = 2},
  [17404] = {.lex_state = 435, .external_lex_state = 2},
  [17405] = {.lex_state = 435, .external_lex_state = 2},
  [17406] = {.lex_state = 165, .external_lex_state = 2},
  [17407] = {.lex_state = 158, .external_lex_state = 2},
  [17408] = {.lex_state = 9, .external_lex_state = 2},
  [17409] = {.lex_state = 435, .external_lex_state = 2},
  [17410] = {.lex_state = 435, .external_lex_state = 2},
  [17411] = {.lex_state = 435, .external_lex_state = 2},
  [17412] = {.lex_state = 435, .external_lex_state = 2},
  [17413] = {.lex_state = 435, .external_lex_state = 2},
  [17414] = {.lex_state = 435, .external_lex_state = 2},
  [17415] = {.lex_state = 435, .external_lex_state = 2},
  [17416] = {.lex_state = 435, .external_lex_state = 2},
  [17417] = {.lex_state = 435, .external_lex_state = 2},
  [17418] = {.lex_state = 435, .external_lex_state = 2},
  [17419] = {.lex_state = 435, .external_lex_state = 2},
  [17420] = {.lex_state = 165, .external_lex_state = 2},
  [17421] = {.lex_state = 435, .external_lex_state = 2},
  [17422] = {.lex_state = 435, .external_lex_state = 2},
  [17423] = {.lex_state = 165, .external_lex_state = 2},
  [17424] = {.lex_state = 158, .external_lex_state = 2},
  [17425] = {.lex_state = 435, .external_lex_state = 2},
  [17426] = {.lex_state = 165, .external_lex_state = 2},
  [17427] = {.lex_state = 435, .external_lex_state = 2},
  [17428] = {.lex_state = 165, .external_lex_state = 2},
  [17429] = {.lex_state = 41, .external_lex_state = 2},
  [17430] = {.lex_state = 435, .external_lex_state = 2},
  [17431] = {.lex_state = 9, .external_lex_state = 2},
  [17432] = {.lex_state = 435, .external_lex_state = 2},
  [17433] = {.lex_state = 435, .external_lex_state = 2},
  [17434] = {.lex_state = 165, .external_lex_state = 2},
  [17435] = {.lex_state = 435, .external_lex_state = 2},
  [17436] = {.lex_state = 435, .external_lex_state = 2},
  [17437] = {.lex_state = 435, .external_lex_state = 2},
  [17438] = {.lex_state = 158, .external_lex_state = 2},
  [17439] = {.lex_state = 158, .external_lex_state = 2},
  [17440] = {.lex_state = 41, .external_lex_state = 2},
  [17441] = {.lex_state = 435, .external_lex_state = 2},
  [17442] = {.lex_state = 435, .external_lex_state = 2},
  [17443] = {.lex_state = 435, .external_lex_state = 2},
  [17444] = {.lex_state = 165, .external_lex_state = 2},
  [17445] = {.lex_state = 435, .external_lex_state = 2},
  [17446] = {.lex_state = 435, .external_lex_state = 2},
  [17447] = {.lex_state = 158, .external_lex_state = 2},
  [17448] = {.lex_state = 158, .external_lex_state = 2},
  [17449] = {.lex_state = 158, .external_lex_state = 2},
  [17450] = {.lex_state = 165, .external_lex_state = 2},
  [17451] = {.lex_state = 165, .external_lex_state = 2},
  [17452] = {.lex_state = 41, .external_lex_state = 2},
  [17453] = {.lex_state = 158, .external_lex_state = 2},
  [17454] = {.lex_state = 165, .external_lex_state = 2},
  [17455] = {.lex_state = 435, .external_lex_state = 2},
  [17456] = {.lex_state = 9, .external_lex_state = 2},
  [17457] = {.lex_state = 435, .external_lex_state = 2},
  [17458] = {.lex_state = 435, .external_lex_state = 2},
  [17459] = {.lex_state = 435, .external_lex_state = 2},
  [17460] = {.lex_state = 435, .external_lex_state = 2},
  [17461] = {.lex_state = 435, .external_lex_state = 2},
  [17462] = {.lex_state = 435, .external_lex_state = 3},
  [17463] = {.lex_state = 158, .external_lex_state = 2},
  [17464] = {.lex_state = 435, .external_lex_state = 2},
  [17465] = {.lex_state = 435, .external_lex_state = 2},
  [17466] = {.lex_state = 435, .external_lex_state = 2},
  [17467] = {.lex_state = 435, .external_lex_state = 2},
  [17468] = {.lex_state = 435, .external_lex_state = 2},
  [17469] = {.lex_state = 9, .external_lex_state = 2},
  [17470] = {.lex_state = 435, .external_lex_state = 2},
  [17471] = {.lex_state = 158, .external_lex_state = 2},
  [17472] = {.lex_state = 158, .external_lex_state = 2},
  [17473] = {.lex_state = 435, .external_lex_state = 2},
  [17474] = {.lex_state = 435, .external_lex_state = 3},
  [17475] = {.lex_state = 435, .external_lex_state = 2},
  [17476] = {.lex_state = 435, .external_lex_state = 2},
  [17477] = {.lex_state = 158, .external_lex_state = 2},
  [17478] = {.lex_state = 165, .external_lex_state = 2},
  [17479] = {.lex_state = 158, .external_lex_state = 2},
  [17480] = {.lex_state = 435, .external_lex_state = 2},
  [17481] = {.lex_state = 435, .external_lex_state = 3},
  [17482] = {.lex_state = 435, .external_lex_state = 2},
  [17483] = {.lex_state = 435, .external_lex_state = 2},
  [17484] = {.lex_state = 41, .external_lex_state = 2},
  [17485] = {.lex_state = 165, .external_lex_state = 2},
  [17486] = {.lex_state = 435, .external_lex_state = 2},
  [17487] = {.lex_state = 435, .external_lex_state = 2},
  [17488] = {.lex_state = 9, .external_lex_state = 2},
  [17489] = {.lex_state = 435, .external_lex_state = 2},
  [17490] = {.lex_state = 435, .external_lex_state = 2},
  [17491] = {.lex_state = 435, .external_lex_state = 2},
  [17492] = {.lex_state = 435, .external_lex_state = 2},
  [17493] = {.lex_state = 158, .external_lex_state = 2},
  [17494] = {.lex_state = 158, .external_lex_state = 2},
  [17495] = {.lex_state = 41, .external_lex_state = 2},
  [17496] = {.lex_state = 435, .external_lex_state = 2},
  [17497] = {.lex_state = 435, .external_lex_state = 2},
  [17498] = {.lex_state = 435, .external_lex_state = 2},
  [17499] = {.lex_state = 435, .external_lex_state = 2},
  [17500] = {.lex_state = 435, .external_lex_state = 2},
  [17501] = {.lex_state = 41, .external_lex_state = 2},
  [17502] = {.lex_state = 158, .external_lex_state = 2},
  [17503] = {.lex_state = 158, .external_lex_state = 2},
  [17504] = {.lex_state = 435, .external_lex_state = 2},
  [17505] = {.lex_state = 158, .external_lex_state = 2},
  [17506] = {.lex_state = 435, .external_lex_state = 2},
  [17507] = {.lex_state = 41, .external_lex_state = 2},
  [17508] = {.lex_state = 435, .external_lex_state = 2},
  [17509] = {.lex_state = 435, .external_lex_state = 2},
  [17510] = {.lex_state = 9, .external_lex_state = 2},
  [17511] = {.lex_state = 435, .external_lex_state = 2},
  [17512] = {.lex_state = 41, .external_lex_state = 2},
  [17513] = {.lex_state = 435, .external_lex_state = 2},
  [17514] = {.lex_state = 435, .external_lex_state = 2},
  [17515] = {.lex_state = 158, .external_lex_state = 2},
  [17516] = {.lex_state = 158, .external_lex_state = 2},
  [17517] = {.lex_state = 435, .external_lex_state = 2},
  [17518] = {.lex_state = 435, .external_lex_state = 3},
  [17519] = {.lex_state = 435, .external_lex_state = 2},
  [17520] = {.lex_state = 435, .external_lex_state = 2},
  [17521] = {.lex_state = 435, .external_lex_state = 2},
  [17522] = {.lex_state = 435, .external_lex_state = 2},
  [17523] = {.lex_state = 435, .external_lex_state = 2},
  [17524] = {.lex_state = 435, .external_lex_state = 2},
  [17525] = {.lex_state = 158, .external_lex_state = 2},
  [17526] = {.lex_state = 165, .external_lex_state = 2},
  [17527] = {.lex_state = 165, .external_lex_state = 2},
  [17528] = {.lex_state = 165, .external_lex_state = 2},
  [17529] = {.lex_state = 435, .external_lex_state = 2},
  [17530] = {.lex_state = 165, .external_lex_state = 2},
  [17531] = {.lex_state = 165, .external_lex_state = 2},
  [17532] = {.lex_state = 435, .external_lex_state = 2},
  [17533] = {.lex_state = 435, .external_lex_state = 2},
  [17534] = {.lex_state = 435, .external_lex_state = 2},
  [17535] = {.lex_state = 435, .external_lex_state = 2},
  [17536] = {.lex_state = 158, .external_lex_state = 2},
  [17537] = {.lex_state = 435, .external_lex_state = 2},
  [17538] = {.lex_state = 435, .external_lex_state = 2},
  [17539] = {.lex_state = 41, .external_lex_state = 2},
  [17540] = {.lex_state = 435, .external_lex_state = 2},
  [17541] = {.lex_state = 158, .external_lex_state = 2},
  [17542] = {.lex_state = 435, .external_lex_state = 2},
  [17543] = {.lex_state = 435, .external_lex_state = 3},
  [17544] = {.lex_state = 435, .external_lex_state = 2},
  [17545] = {.lex_state = 435, .external_lex_state = 2},
  [17546] = {.lex_state = 9, .external_lex_state = 2},
  [17547] = {.lex_state = 435, .external_lex_state = 2},
  [17548] = {.lex_state = 158, .external_lex_state = 2},
  [17549] = {.lex_state = 158, .external_lex_state = 2},
  [17550] = {.lex_state = 41, .external_lex_state = 2},
  [17551] = {.lex_state = 435, .external_lex_state = 2},
  [17552] = {.lex_state = 435, .external_lex_state = 2},
  [17553] = {.lex_state = 435, .external_lex_state = 2},
  [17554] = {.lex_state = 435, .external_lex_state = 2},
  [17555] = {.lex_state = 435, .external_lex_state = 2},
  [17556] = {.lex_state = 435, .external_lex_state = 2},
  [17557] = {.lex_state = 158, .external_lex_state = 2},
  [17558] = {.lex_state = 158, .external_lex_state = 2},
  [17559] = {.lex_state = 435, .external_lex_state = 2},
  [17560] = {.lex_state = 435, .external_lex_state = 2},
  [17561] = {.lex_state = 435, .external_lex_state = 2},
  [17562] = {.lex_state = 41, .external_lex_state = 2},
  [17563] = {.lex_state = 435, .external_lex_state = 2},
  [17564] = {.lex_state = 41, .external_lex_state = 2},
  [17565] = {.lex_state = 435, .external_lex_state = 2},
  [17566] = {.lex_state = 435, .external_lex_state = 2},
  [17567] = {.lex_state = 435, .external_lex_state = 2},
  [17568] = {.lex_state = 435, .external_lex_state = 2},
  [17569] = {.lex_state = 435, .external_lex_state = 2},
  [17570] = {.lex_state = 435, .external_lex_state = 2},
  [17571] = {.lex_state = 435, .external_lex_state = 2},
  [17572] = {.lex_state = 435, .external_lex_state = 2},
  [17573] = {.lex_state = 165, .external_lex_state = 2},
  [17574] = {.lex_state = 435, .external_lex_state = 2},
  [17575] = {.lex_state = 435, .external_lex_state = 2},
  [17576] = {.lex_state = 435, .external_lex_state = 2},
  [17577] = {.lex_state = 435, .external_lex_state = 2},
  [17578] = {.lex_state = 435, .external_lex_state = 2},
  [17579] = {.lex_state = 435, .external_lex_state = 2},
  [17580] = {.lex_state = 435, .external_lex_state = 2},
  [17581] = {.lex_state = 9, .external_lex_state = 2},
  [17582] = {.lex_state = 435, .external_lex_state = 2},
  [17583] = {.lex_state = 41, .external_lex_state = 2},
  [17584] = {.lex_state = 9, .external_lex_state = 2},
  [17585] = {.lex_state = 435, .external_lex_state = 2},
  [17586] = {.lex_state = 435, .external_lex_state = 2},
  [17587] = {.lex_state = 41, .external_lex_state = 2},
  [17588] = {.lex_state = 165, .external_lex_state = 2},
  [17589] = {.lex_state = 435, .external_lex_state = 2},
  [17590] = {.lex_state = 435, .external_lex_state = 2},
  [17591] = {.lex_state = 41, .external_lex_state = 2},
  [17592] = {.lex_state = 435, .external_lex_state = 2},
  [17593] = {.lex_state = 435, .external_lex_state = 2},
  [17594] = {.lex_state = 41, .external_lex_state = 2},
  [17595] = {.lex_state = 435, .external_lex_state = 2},
  [17596] = {.lex_state = 161, .external_lex_state = 2},
  [17597] = {.lex_state = 435, .external_lex_state = 2},
  [17598] = {.lex_state = 435, .external_lex_state = 2},
  [17599] = {.lex_state = 435, .external_lex_state = 2},
  [17600] = {.lex_state = 435, .external_lex_state = 2},
  [17601] = {.lex_state = 435, .external_lex_state = 2},
  [17602] = {.lex_state = 435, .external_lex_state = 2},
  [17603] = {.lex_state = 158, .external_lex_state = 2},
  [17604] = {.lex_state = 158, .external_lex_state = 2},
  [17605] = {.lex_state = 41, .external_lex_state = 2},
  [17606] = {.lex_state = 435, .external_lex_state = 2},
  [17607] = {.lex_state = 158, .external_lex_state = 2},
  [17608] = {.lex_state = 165, .external_lex_state = 2},
  [17609] = {.lex_state = 165, .external_lex_state = 2},
  [17610] = {.lex_state = 158, .external_lex_state = 2},
  [17611] = {.lex_state = 158, .external_lex_state = 2},
  [17612] = {.lex_state = 158, .external_lex_state = 2},
  [17613] = {.lex_state = 158, .external_lex_state = 2},
  [17614] = {.lex_state = 165, .external_lex_state = 2},
  [17615] = {.lex_state = 435, .external_lex_state = 2},
  [17616] = {.lex_state = 435, .external_lex_state = 2},
  [17617] = {.lex_state = 41, .external_lex_state = 2},
  [17618] = {.lex_state = 435, .external_lex_state = 2},
  [17619] = {.lex_state = 9, .external_lex_state = 2},
  [17620] = {.lex_state = 435, .external_lex_state = 2},
  [17621] = {.lex_state = 158, .external_lex_state = 2},
  [17622] = {.lex_state = 435, .external_lex_state = 2},
  [17623] = {.lex_state = 435, .external_lex_state = 2},
  [17624] = {.lex_state = 41, .external_lex_state = 2},
  [17625] = {.lex_state = 435, .external_lex_state = 2},
  [17626] = {.lex_state = 9, .external_lex_state = 2},
  [17627] = {.lex_state = 435, .external_lex_state = 2},
  [17628] = {.lex_state = 165, .external_lex_state = 2},
  [17629] = {.lex_state = 435, .external_lex_state = 2},
  [17630] = {.lex_state = 435, .external_lex_state = 2},
  [17631] = {.lex_state = 435, .external_lex_state = 2},
  [17632] = {.lex_state = 435, .external_lex_state = 2},
  [17633] = {.lex_state = 435, .external_lex_state = 2},
  [17634] = {.lex_state = 165, .external_lex_state = 2},
  [17635] = {.lex_state = 165, .external_lex_state = 2},
  [17636] = {.lex_state = 435, .external_lex_state = 2},
  [17637] = {.lex_state = 165, .external_lex_state = 2},
  [17638] = {.lex_state = 435, .external_lex_state = 2},
  [17639] = {.lex_state = 435, .external_lex_state = 2},
  [17640] = {.lex_state = 435, .external_lex_state = 2},
  [17641] = {.lex_state = 435, .external_lex_state = 2},
  [17642] = {.lex_state = 435, .external_lex_state = 2},
  [17643] = {.lex_state = 435, .external_lex_state = 2},
  [17644] = {.lex_state = 435, .external_lex_state = 2},
  [17645] = {.lex_state = 435, .external_lex_state = 2},
  [17646] = {.lex_state = 165, .external_lex_state = 2},
  [17647] = {.lex_state = 165, .external_lex_state = 2},
  [17648] = {.lex_state = 435, .external_lex_state = 2},
  [17649] = {.lex_state = 41, .external_lex_state = 2},
  [17650] = {.lex_state = 165, .external_lex_state = 2},
  [17651] = {.lex_state = 9, .external_lex_state = 2},
  [17652] = {.lex_state = 9, .external_lex_state = 2},
  [17653] = {.lex_state = 435, .external_lex_state = 2},
  [17654] = {.lex_state = 435, .external_lex_state = 2},
  [17655] = {.lex_state = 158, .external_lex_state = 2},
  [17656] = {.lex_state = 158, .external_lex_state = 2},
  [17657] = {.lex_state = 435, .external_lex_state = 3},
  [17658] = {.lex_state = 158, .external_lex_state = 2},
  [17659] = {.lex_state = 158, .external_lex_state = 2},
  [17660] = {.lex_state = 41, .external_lex_state = 2},
  [17661] = {.lex_state = 165, .external_lex_state = 2},
  [17662] = {.lex_state = 435, .external_lex_state = 2},
  [17663] = {.lex_state = 435, .external_lex_state = 2},
  [17664] = {.lex_state = 435, .external_lex_state = 2},
  [17665] = {.lex_state = 158, .external_lex_state = 2},
  [17666] = {.lex_state = 158, .external_lex_state = 2},
  [17667] = {.lex_state = 158, .external_lex_state = 2},
  [17668] = {.lex_state = 158, .external_lex_state = 2},
  [17669] = {.lex_state = 435, .external_lex_state = 2},
  [17670] = {.lex_state = 435, .external_lex_state = 3},
  [17671] = {.lex_state = 165, .external_lex_state = 2},
  [17672] = {.lex_state = 41, .external_lex_state = 2},
  [17673] = {.lex_state = 9, .external_lex_state = 2},
  [17674] = {.lex_state = 435, .external_lex_state = 2},
  [17675] = {.lex_state = 158, .external_lex_state = 2},
  [17676] = {.lex_state = 165, .external_lex_state = 2},
  [17677] = {.lex_state = 158, .external_lex_state = 2},
  [17678] = {.lex_state = 435, .external_lex_state = 2},
  [17679] = {.lex_state = 158, .external_lex_state = 2},
  [17680] = {.lex_state = 435, .external_lex_state = 2},
  [17681] = {.lex_state = 158, .external_lex_state = 2},
  [17682] = {.lex_state = 435, .external_lex_state = 3},
  [17683] = {.lex_state = 435, .external_lex_state = 2},
  [17684] = {.lex_state = 435, .external_lex_state = 2},
  [17685] = {.lex_state = 435, .external_lex_state = 2},
  [17686] = {.lex_state = 435, .external_lex_state = 2},
  [17687] = {.lex_state = 435, .external_lex_state = 2},
  [17688] = {.lex_state = 435, .external_lex_state = 2},
  [17689] = {.lex_state = 435, .external_lex_state = 2},
  [17690] = {.lex_state = 435, .external_lex_state = 2},
  [17691] = {.lex_state = 435, .external_lex_state = 2},
  [17692] = {.lex_state = 435, .external_lex_state = 2},
  [17693] = {.lex_state = 435, .external_lex_state = 2},
  [17694] = {.lex_state = 41, .external_lex_state = 2},
  [17695] = {.lex_state = 9, .external_lex_state = 2},
  [17696] = {.lex_state = 435, .external_lex_state = 2},
  [17697] = {.lex_state = 435, .external_lex_state = 2},
  [17698] = {.lex_state = 435, .external_lex_state = 2},
  [17699] = {.lex_state = 435, .external_lex_state = 3},
  [17700] = {.lex_state = 165, .external_lex_state = 2},
  [17701] = {.lex_state = 435, .external_lex_state = 2},
  [17702] = {.lex_state = 158, .external_lex_state = 2},
  [17703] = {.lex_state = 165, .external_lex_state = 2},
  [17704] = {.lex_state = 41, .external_lex_state = 2},
  [17705] = {.lex_state = 158, .external_lex_state = 2},
  [17706] = {.lex_state = 435, .external_lex_state = 2},
  [17707] = {.lex_state = 435, .external_lex_state = 2},
  [17708] = {.lex_state = 435, .external_lex_state = 2},
  [17709] = {.lex_state = 158, .external_lex_state = 2},
  [17710] = {.lex_state = 9, .external_lex_state = 2},
  [17711] = {.lex_state = 435, .external_lex_state = 2},
  [17712] = {.lex_state = 435, .external_lex_state = 2},
  [17713] = {.lex_state = 158, .external_lex_state = 2},
  [17714] = {.lex_state = 158, .external_lex_state = 2},
  [17715] = {.lex_state = 41, .external_lex_state = 2},
  [17716] = {.lex_state = 435, .external_lex_state = 2},
  [17717] = {.lex_state = 435, .external_lex_state = 2},
  [17718] = {.lex_state = 158, .external_lex_state = 2},
  [17719] = {.lex_state = 435, .external_lex_state = 2},
  [17720] = {.lex_state = 435, .external_lex_state = 2},
  [17721] = {.lex_state = 435, .external_lex_state = 2},
  [17722] = {.lex_state = 158, .external_lex_state = 2},
  [17723] = {.lex_state = 158, .external_lex_state = 2},
  [17724] = {.lex_state = 435, .external_lex_state = 2},
  [17725] = {.lex_state = 435, .external_lex_state = 2},
  [17726] = {.lex_state = 165, .external_lex_state = 2},
  [17727] = {.lex_state = 41, .external_lex_state = 2},
  [17728] = {.lex_state = 9, .external_lex_state = 2},
  [17729] = {.lex_state = 435, .external_lex_state = 2},
  [17730] = {.lex_state = 165, .external_lex_state = 2},
  [17731] = {.lex_state = 435, .external_lex_state = 2},
  [17732] = {.lex_state = 165, .external_lex_state = 2},
  [17733] = {.lex_state = 435, .external_lex_state = 2},
  [17734] = {.lex_state = 165, .external_lex_state = 2},
  [17735] = {.lex_state = 435, .external_lex_state = 2},
  [17736] = {.lex_state = 158, .external_lex_state = 2},
  [17737] = {.lex_state = 165, .external_lex_state = 2},
  [17738] = {.lex_state = 165, .external_lex_state = 2},
  [17739] = {.lex_state = 435, .external_lex_state = 2},
  [17740] = {.lex_state = 435, .external_lex_state = 2},
  [17741] = {.lex_state = 435, .external_lex_state = 2},
  [17742] = {.lex_state = 435, .external_lex_state = 2},
  [17743] = {.lex_state = 158, .external_lex_state = 2},
  [17744] = {.lex_state = 435, .external_lex_state = 2},
  [17745] = {.lex_state = 435, .external_lex_state = 2},
  [17746] = {.lex_state = 435, .external_lex_state = 2},
  [17747] = {.lex_state = 435, .external_lex_state = 2},
  [17748] = {.lex_state = 435, .external_lex_state = 2},
  [17749] = {.lex_state = 165, .external_lex_state = 2},
  [17750] = {.lex_state = 435, .external_lex_state = 2},
  [17751] = {.lex_state = 435, .external_lex_state = 2},
  [17752] = {.lex_state = 435, .external_lex_state = 2},
  [17753] = {.lex_state = 435, .external_lex_state = 3},
  [17754] = {.lex_state = 165, .external_lex_state = 2},
  [17755] = {.lex_state = 435, .external_lex_state = 2},
  [17756] = {.lex_state = 435, .external_lex_state = 2},
  [17757] = {.lex_state = 165, .external_lex_state = 2},
  [17758] = {.lex_state = 165, .external_lex_state = 2},
  [17759] = {.lex_state = 41, .external_lex_state = 2},
  [17760] = {.lex_state = 435, .external_lex_state = 2},
  [17761] = {.lex_state = 435, .external_lex_state = 2},
  [17762] = {.lex_state = 435, .external_lex_state = 2},
  [17763] = {.lex_state = 435, .external_lex_state = 2},
  [17764] = {.lex_state = 435, .external_lex_state = 2},
  [17765] = {.lex_state = 435, .external_lex_state = 2},
  [17766] = {.lex_state = 435, .external_lex_state = 2},
  [17767] = {.lex_state = 435, .external_lex_state = 2},
  [17768] = {.lex_state = 158, .external_lex_state = 2},
  [17769] = {.lex_state = 158, .external_lex_state = 2},
  [17770] = {.lex_state = 41, .external_lex_state = 2},
  [17771] = {.lex_state = 435, .external_lex_state = 2},
  [17772] = {.lex_state = 435, .external_lex_state = 2},
  [17773] = {.lex_state = 435, .external_lex_state = 2},
  [17774] = {.lex_state = 435, .external_lex_state = 2},
  [17775] = {.lex_state = 435, .external_lex_state = 2},
  [17776] = {.lex_state = 435, .external_lex_state = 2},
  [17777] = {.lex_state = 158, .external_lex_state = 2},
  [17778] = {.lex_state = 158, .external_lex_state = 2},
  [17779] = {.lex_state = 435, .external_lex_state = 2},
  [17780] = {.lex_state = 435, .external_lex_state = 2},
  [17781] = {.lex_state = 435, .external_lex_state = 2},
  [17782] = {.lex_state = 41, .external_lex_state = 2},
  [17783] = {.lex_state = 435, .external_lex_state = 2},
  [17784] = {.lex_state = 435, .external_lex_state = 2},
  [17785] = {.lex_state = 435, .external_lex_state = 2},
  [17786] = {.lex_state = 435, .external_lex_state = 2},
  [17787] = {.lex_state = 435, .external_lex_state = 2},
  [17788] = {.lex_state = 435, .external_lex_state = 2},
  [17789] = {.lex_state = 435, .external_lex_state = 2},
  [17790] = {.lex_state = 435, .external_lex_state = 2},
  [17791] = {.lex_state = 435, .external_lex_state = 2},
  [17792] = {.lex_state = 435, .external_lex_state = 2},
  [17793] = {.lex_state = 165, .external_lex_state = 2},
  [17794] = {.lex_state = 435, .external_lex_state = 2},
  [17795] = {.lex_state = 435, .external_lex_state = 2},
  [17796] = {.lex_state = 435, .external_lex_state = 2},
  [17797] = {.lex_state = 435, .external_lex_state = 2},
  [17798] = {.lex_state = 435, .external_lex_state = 2},
  [17799] = {.lex_state = 435, .external_lex_state = 2},
  [17800] = {.lex_state = 435, .external_lex_state = 2},
  [17801] = {.lex_state = 435, .external_lex_state = 2},
  [17802] = {.lex_state = 435, .external_lex_state = 2},
  [17803] = {.lex_state = 435, .external_lex_state = 2},
  [17804] = {.lex_state = 435, .external_lex_state = 2},
  [17805] = {.lex_state = 435, .external_lex_state = 2},
  [17806] = {.lex_state = 435, .external_lex_state = 2},
  [17807] = {.lex_state = 165, .external_lex_state = 2},
  [17808] = {.lex_state = 435, .external_lex_state = 2},
  [17809] = {.lex_state = 435, .external_lex_state = 2},
  [17810] = {.lex_state = 435, .external_lex_state = 2},
  [17811] = {.lex_state = 165, .external_lex_state = 2},
  [17812] = {.lex_state = 435, .external_lex_state = 2},
  [17813] = {.lex_state = 435, .external_lex_state = 2},
  [17814] = {.lex_state = 41, .external_lex_state = 2},
  [17815] = {.lex_state = 435, .external_lex_state = 2},
  [17816] = {.lex_state = 435, .external_lex_state = 2},
  [17817] = {.lex_state = 435, .external_lex_state = 2},
  [17818] = {.lex_state = 435, .external_lex_state = 2},
  [17819] = {.lex_state = 435, .external_lex_state = 2},
  [17820] = {.lex_state = 435, .external_lex_state = 2},
  [17821] = {.lex_state = 9, .external_lex_state = 2},
  [17822] = {.lex_state = 435, .external_lex_state = 2},
  [17823] = {.lex_state = 158, .external_lex_state = 2},
  [17824] = {.lex_state = 158, .external_lex_state = 2},
  [17825] = {.lex_state = 41, .external_lex_state = 2},
  [17826] = {.lex_state = 435, .external_lex_state = 2},
  [17827] = {.lex_state = 158, .external_lex_state = 2},
  [17828] = {.lex_state = 435, .external_lex_state = 2},
  [17829] = {.lex_state = 435, .external_lex_state = 2},
  [17830] = {.lex_state = 435, .external_lex_state = 2},
  [17831] = {.lex_state = 435, .external_lex_state = 2},
  [17832] = {.lex_state = 158, .external_lex_state = 2},
  [17833] = {.lex_state = 158, .external_lex_state = 2},
  [17834] = {.lex_state = 435, .external_lex_state = 2},
  [17835] = {.lex_state = 435, .external_lex_state = 2},
  [17836] = {.lex_state = 158, .external_lex_state = 2},
  [17837] = {.lex_state = 41, .external_lex_state = 2},
  [17838] = {.lex_state = 158, .external_lex_state = 2},
  [17839] = {.lex_state = 435, .external_lex_state = 2},
  [17840] = {.lex_state = 435, .external_lex_state = 2},
  [17841] = {.lex_state = 435, .external_lex_state = 2},
  [17842] = {.lex_state = 435, .external_lex_state = 3},
  [17843] = {.lex_state = 435, .external_lex_state = 2},
  [17844] = {.lex_state = 435, .external_lex_state = 2},
  [17845] = {.lex_state = 435, .external_lex_state = 2},
  [17846] = {.lex_state = 435, .external_lex_state = 2},
  [17847] = {.lex_state = 435, .external_lex_state = 2},
  [17848] = {.lex_state = 435, .external_lex_state = 2},
  [17849] = {.lex_state = 435, .external_lex_state = 2},
  [17850] = {.lex_state = 435, .external_lex_state = 2},
  [17851] = {.lex_state = 435, .external_lex_state = 2},
  [17852] = {.lex_state = 435, .external_lex_state = 2},
  [17853] = {.lex_state = 435, .external_lex_state = 2},
  [17854] = {.lex_state = 435, .external_lex_state = 2},
  [17855] = {.lex_state = 435, .external_lex_state = 2},
  [17856] = {.lex_state = 435, .external_lex_state = 2},
  [17857] = {.lex_state = 435, .external_lex_state = 2},
  [17858] = {.lex_state = 435, .external_lex_state = 2},
  [17859] = {.lex_state = 435, .external_lex_state = 2},
  [17860] = {.lex_state = 435, .external_lex_state = 2},
  [17861] = {.lex_state = 9, .external_lex_state = 2},
  [17862] = {.lex_state = 41, .external_lex_state = 2},
  [17863] = {.lex_state = 165, .external_lex_state = 2},
  [17864] = {.lex_state = 435, .external_lex_state = 2},
  [17865] = {.lex_state = 435, .external_lex_state = 2},
  [17866] = {.lex_state = 165, .external_lex_state = 2},
  [17867] = {.lex_state = 158, .external_lex_state = 2},
  [17868] = {.lex_state = 158, .external_lex_state = 2},
  [17869] = {.lex_state = 41, .external_lex_state = 2},
  [17870] = {.lex_state = 435, .external_lex_state = 2},
  [17871] = {.lex_state = 165, .external_lex_state = 2},
  [17872] = {.lex_state = 9, .external_lex_state = 2},
  [17873] = {.lex_state = 165, .external_lex_state = 2},
  [17874] = {.lex_state = 435, .external_lex_state = 2},
  [17875] = {.lex_state = 158, .external_lex_state = 2},
  [17876] = {.lex_state = 158, .external_lex_state = 2},
  [17877] = {.lex_state = 435, .external_lex_state = 2},
  [17878] = {.lex_state = 158, .external_lex_state = 2},
  [17879] = {.lex_state = 158, .external_lex_state = 2},
  [17880] = {.lex_state = 41, .external_lex_state = 2},
  [17881] = {.lex_state = 165, .external_lex_state = 2},
  [17882] = {.lex_state = 435, .external_lex_state = 2},
  [17883] = {.lex_state = 435, .external_lex_state = 2},
  [17884] = {.lex_state = 435, .external_lex_state = 3},
  [17885] = {.lex_state = 435, .external_lex_state = 2},
  [17886] = {.lex_state = 435, .external_lex_state = 2},
  [17887] = {.lex_state = 435, .external_lex_state = 2},
  [17888] = {.lex_state = 435, .external_lex_state = 2},
  [17889] = {.lex_state = 435, .external_lex_state = 2},
  [17890] = {.lex_state = 435, .external_lex_state = 2},
  [17891] = {.lex_state = 435, .external_lex_state = 2},
  [17892] = {.lex_state = 435, .external_lex_state = 2},
  [17893] = {.lex_state = 435, .external_lex_state = 2},
  [17894] = {.lex_state = 435, .external_lex_state = 2},
  [17895] = {.lex_state = 435, .external_lex_state = 2},
  [17896] = {.lex_state = 435, .external_lex_state = 2},
  [17897] = {.lex_state = 165, .external_lex_state = 2},
  [17898] = {.lex_state = 435, .external_lex_state = 2},
  [17899] = {.lex_state = 435, .external_lex_state = 2},
  [17900] = {.lex_state = 435, .external_lex_state = 2},
  [17901] = {.lex_state = 435, .external_lex_state = 2},
  [17902] = {.lex_state = 435, .external_lex_state = 2},
  [17903] = {.lex_state = 41, .external_lex_state = 2},
  [17904] = {.lex_state = 165, .external_lex_state = 2},
  [17905] = {.lex_state = 435, .external_lex_state = 2},
  [17906] = {.lex_state = 435, .external_lex_state = 2},
  [17907] = {.lex_state = 435, .external_lex_state = 2},
  [17908] = {.lex_state = 158, .external_lex_state = 2},
  [17909] = {.lex_state = 158, .external_lex_state = 2},
  [17910] = {.lex_state = 41, .external_lex_state = 2},
  [17911] = {.lex_state = 9, .external_lex_state = 2},
  [17912] = {.lex_state = 435, .external_lex_state = 2},
  [17913] = {.lex_state = 435, .external_lex_state = 2},
  [17914] = {.lex_state = 435, .external_lex_state = 2},
  [17915] = {.lex_state = 165, .external_lex_state = 2},
  [17916] = {.lex_state = 158, .external_lex_state = 2},
  [17917] = {.lex_state = 158, .external_lex_state = 2},
  [17918] = {.lex_state = 9, .external_lex_state = 2},
  [17919] = {.lex_state = 435, .external_lex_state = 2},
  [17920] = {.lex_state = 435, .external_lex_state = 2},
  [17921] = {.lex_state = 41, .external_lex_state = 2},
  [17922] = {.lex_state = 9, .external_lex_state = 2},
  [17923] = {.lex_state = 9, .external_lex_state = 2},
  [17924] = {.lex_state = 435, .external_lex_state = 2},
  [17925] = {.lex_state = 158, .external_lex_state = 2},
  [17926] = {.lex_state = 435, .external_lex_state = 2},
  [17927] = {.lex_state = 158, .external_lex_state = 2},
  [17928] = {.lex_state = 435, .external_lex_state = 2},
  [17929] = {.lex_state = 435, .external_lex_state = 3},
  [17930] = {.lex_state = 435, .external_lex_state = 2},
  [17931] = {.lex_state = 435, .external_lex_state = 2},
  [17932] = {.lex_state = 435, .external_lex_state = 2},
  [17933] = {.lex_state = 435, .external_lex_state = 2},
  [17934] = {.lex_state = 435, .external_lex_state = 2},
  [17935] = {.lex_state = 435, .external_lex_state = 2},
  [17936] = {.lex_state = 435, .external_lex_state = 2},
  [17937] = {.lex_state = 435, .external_lex_state = 2},
  [17938] = {.lex_state = 435, .external_lex_state = 2},
  [17939] = {.lex_state = 165, .external_lex_state = 2},
  [17940] = {.lex_state = 41, .external_lex_state = 2},
  [17941] = {.lex_state = 435, .external_lex_state = 2},
  [17942] = {.lex_state = 435, .external_lex_state = 2},
  [17943] = {.lex_state = 435, .external_lex_state = 2},
  [17944] = {.lex_state = 41, .external_lex_state = 2},
  [17945] = {.lex_state = 435, .external_lex_state = 2},
  [17946] = {.lex_state = 435, .external_lex_state = 2},
  [17947] = {.lex_state = 435, .external_lex_state = 2},
  [17948] = {.lex_state = 435, .external_lex_state = 2},
  [17949] = {.lex_state = 158, .external_lex_state = 2},
  [17950] = {.lex_state = 158, .external_lex_state = 2},
  [17951] = {.lex_state = 41, .external_lex_state = 2},
  [17952] = {.lex_state = 435, .external_lex_state = 2},
  [17953] = {.lex_state = 435, .external_lex_state = 2},
  [17954] = {.lex_state = 9, .external_lex_state = 2},
  [17955] = {.lex_state = 435, .external_lex_state = 2},
  [17956] = {.lex_state = 435, .external_lex_state = 2},
  [17957] = {.lex_state = 158, .external_lex_state = 2},
  [17958] = {.lex_state = 158, .external_lex_state = 2},
  [17959] = {.lex_state = 158, .external_lex_state = 2},
  [17960] = {.lex_state = 435, .external_lex_state = 2},
  [17961] = {.lex_state = 435, .external_lex_state = 2},
  [17962] = {.lex_state = 41, .external_lex_state = 2},
  [17963] = {.lex_state = 435, .external_lex_state = 2},
  [17964] = {.lex_state = 435, .external_lex_state = 2},
  [17965] = {.lex_state = 165, .external_lex_state = 2},
  [17966] = {.lex_state = 435, .external_lex_state = 2},
  [17967] = {.lex_state = 435, .external_lex_state = 2},
  [17968] = {.lex_state = 435, .external_lex_state = 2},
  [17969] = {.lex_state = 435, .external_lex_state = 2},
  [17970] = {.lex_state = 435, .external_lex_state = 2},
  [17971] = {.lex_state = 435, .external_lex_state = 2},
  [17972] = {.lex_state = 158, .external_lex_state = 2},
  [17973] = {.lex_state = 435, .external_lex_state = 2},
  [17974] = {.lex_state = 435, .external_lex_state = 2},
  [17975] = {.lex_state = 435, .external_lex_state = 2},
  [17976] = {.lex_state = 435, .external_lex_state = 2},
  [17977] = {.lex_state = 158, .external_lex_state = 2},
  [17978] = {.lex_state = 161, .external_lex_state = 2},
  [17979] = {.lex_state = 435, .external_lex_state = 2},
  [17980] = {.lex_state = 435, .external_lex_state = 2},
  [17981] = {.lex_state = 158, .external_lex_state = 2},
  [17982] = {.lex_state = 435, .external_lex_state = 2},
  [17983] = {.lex_state = 435, .external_lex_state = 2},
  [17984] = {.lex_state = 435, .external_lex_state = 2},
  [17985] = {.lex_state = 41, .external_lex_state = 2},
  [17986] = {.lex_state = 165, .external_lex_state = 2},
  [17987] = {.lex_state = 9, .external_lex_state = 2},
  [17988] = {.lex_state = 165, .external_lex_state = 2},
  [17989] = {.lex_state = 165, .external_lex_state = 2},
  [17990] = {.lex_state = 158, .external_lex_state = 2},
  [17991] = {.lex_state = 158, .external_lex_state = 2},
  [17992] = {.lex_state = 41, .external_lex_state = 2},
  [17993] = {.lex_state = 165, .external_lex_state = 2},
  [17994] = {.lex_state = 435, .external_lex_state = 2},
  [17995] = {.lex_state = 435, .external_lex_state = 2},
  [17996] = {.lex_state = 435, .external_lex_state = 2},
  [17997] = {.lex_state = 435, .external_lex_state = 2},
  [17998] = {.lex_state = 158, .external_lex_state = 2},
  [17999] = {.lex_state = 158, .external_lex_state = 2},
  [18000] = {.lex_state = 435, .external_lex_state = 2},
  [18001] = {.lex_state = 435, .external_lex_state = 2},
  [18002] = {.lex_state = 435, .external_lex_state = 2},
  [18003] = {.lex_state = 41, .external_lex_state = 2},
  [18004] = {.lex_state = 435, .external_lex_state = 2},
  [18005] = {.lex_state = 9, .external_lex_state = 2},
  [18006] = {.lex_state = 435, .external_lex_state = 2},
  [18007] = {.lex_state = 165, .external_lex_state = 2},
  [18008] = {.lex_state = 435, .external_lex_state = 2},
  [18009] = {.lex_state = 435, .external_lex_state = 2},
  [18010] = {.lex_state = 158, .external_lex_state = 2},
  [18011] = {.lex_state = 435, .external_lex_state = 2},
  [18012] = {.lex_state = 435, .external_lex_state = 2},
  [18013] = {.lex_state = 158, .external_lex_state = 2},
  [18014] = {.lex_state = 435, .external_lex_state = 2},
  [18015] = {.lex_state = 435, .external_lex_state = 2},
  [18016] = {.lex_state = 435, .external_lex_state = 2},
  [18017] = {.lex_state = 435, .external_lex_state = 2},
  [18018] = {.lex_state = 435, .external_lex_state = 2},
  [18019] = {.lex_state = 435, .external_lex_state = 2},
  [18020] = {.lex_state = 435, .external_lex_state = 2},
  [18021] = {.lex_state = 435, .external_lex_state = 2},
  [18022] = {.lex_state = 165, .external_lex_state = 2},
  [18023] = {.lex_state = 435, .external_lex_state = 2},
  [18024] = {.lex_state = 435, .external_lex_state = 2},
  [18025] = {.lex_state = 435, .external_lex_state = 2},
  [18026] = {.lex_state = 41, .external_lex_state = 2},
  [18027] = {.lex_state = 435, .external_lex_state = 2},
  [18028] = {.lex_state = 435, .external_lex_state = 2},
  [18029] = {.lex_state = 435, .external_lex_state = 2},
  [18030] = {.lex_state = 435, .external_lex_state = 2},
  [18031] = {.lex_state = 158, .external_lex_state = 2},
  [18032] = {.lex_state = 158, .external_lex_state = 2},
  [18033] = {.lex_state = 41, .external_lex_state = 2},
  [18034] = {.lex_state = 435, .external_lex_state = 2},
  [18035] = {.lex_state = 9, .external_lex_state = 2},
  [18036] = {.lex_state = 435, .external_lex_state = 2},
  [18037] = {.lex_state = 165, .external_lex_state = 2},
  [18038] = {.lex_state = 435, .external_lex_state = 3},
  [18039] = {.lex_state = 158, .external_lex_state = 2},
  [18040] = {.lex_state = 158, .external_lex_state = 2},
  [18041] = {.lex_state = 158, .external_lex_state = 2},
  [18042] = {.lex_state = 158, .external_lex_state = 2},
  [18043] = {.lex_state = 435, .external_lex_state = 3},
  [18044] = {.lex_state = 41, .external_lex_state = 2},
  [18045] = {.lex_state = 41, .external_lex_state = 2},
  [18046] = {.lex_state = 435, .external_lex_state = 2},
  [18047] = {.lex_state = 165, .external_lex_state = 2},
  [18048] = {.lex_state = 158, .external_lex_state = 2},
  [18049] = {.lex_state = 435, .external_lex_state = 2},
  [18050] = {.lex_state = 435, .external_lex_state = 2},
  [18051] = {.lex_state = 435, .external_lex_state = 2},
  [18052] = {.lex_state = 435, .external_lex_state = 2},
  [18053] = {.lex_state = 435, .external_lex_state = 2},
  [18054] = {.lex_state = 435, .external_lex_state = 2},
  [18055] = {.lex_state = 435, .external_lex_state = 2},
  [18056] = {.lex_state = 435, .external_lex_state = 2},
  [18057] = {.lex_state = 435, .external_lex_state = 2},
  [18058] = {.lex_state = 435, .external_lex_state = 2},
  [18059] = {.lex_state = 435, .external_lex_state = 2},
  [18060] = {.lex_state = 435, .external_lex_state = 2},
  [18061] = {.lex_state = 435, .external_lex_state = 2},
  [18062] = {.lex_state = 435, .external_lex_state = 2},
  [18063] = {.lex_state = 435, .external_lex_state = 2},
  [18064] = {.lex_state = 435, .external_lex_state = 2},
  [18065] = {.lex_state = 158, .external_lex_state = 2},
  [18066] = {.lex_state = 41, .external_lex_state = 2},
  [18067] = {.lex_state = 41, .external_lex_state = 2},
  [18068] = {.lex_state = 435, .external_lex_state = 3},
  [18069] = {.lex_state = 435, .external_lex_state = 2},
  [18070] = {.lex_state = 435, .external_lex_state = 2},
  [18071] = {.lex_state = 435, .external_lex_state = 2},
  [18072] = {.lex_state = 158, .external_lex_state = 2},
  [18073] = {.lex_state = 158, .external_lex_state = 2},
  [18074] = {.lex_state = 41, .external_lex_state = 2},
  [18075] = {.lex_state = 435, .external_lex_state = 2},
  [18076] = {.lex_state = 41, .external_lex_state = 2},
  [18077] = {.lex_state = 435, .external_lex_state = 2},
  [18078] = {.lex_state = 435, .external_lex_state = 2},
  [18079] = {.lex_state = 435, .external_lex_state = 2},
  [18080] = {.lex_state = 158, .external_lex_state = 2},
  [18081] = {.lex_state = 158, .external_lex_state = 2},
  [18082] = {.lex_state = 435, .external_lex_state = 2},
  [18083] = {.lex_state = 435, .external_lex_state = 2},
  [18084] = {.lex_state = 435, .external_lex_state = 2},
  [18085] = {.lex_state = 41, .external_lex_state = 2},
  [18086] = {.lex_state = 435, .external_lex_state = 2},
  [18087] = {.lex_state = 158, .external_lex_state = 2},
  [18088] = {.lex_state = 165, .external_lex_state = 2},
  [18089] = {.lex_state = 435, .external_lex_state = 2},
  [18090] = {.lex_state = 435, .external_lex_state = 2},
  [18091] = {.lex_state = 435, .external_lex_state = 2},
  [18092] = {.lex_state = 435, .external_lex_state = 2},
  [18093] = {.lex_state = 435, .external_lex_state = 2},
  [18094] = {.lex_state = 165, .external_lex_state = 2},
  [18095] = {.lex_state = 165, .external_lex_state = 2},
  [18096] = {.lex_state = 435, .external_lex_state = 2},
  [18097] = {.lex_state = 435, .external_lex_state = 2},
  [18098] = {.lex_state = 435, .external_lex_state = 2},
  [18099] = {.lex_state = 435, .external_lex_state = 2},
  [18100] = {.lex_state = 435, .external_lex_state = 2},
  [18101] = {.lex_state = 165, .external_lex_state = 2},
  [18102] = {.lex_state = 435, .external_lex_state = 2},
  [18103] = {.lex_state = 158, .external_lex_state = 2},
  [18104] = {.lex_state = 435, .external_lex_state = 2},
  [18105] = {.lex_state = 435, .external_lex_state = 2},
  [18106] = {.lex_state = 435, .external_lex_state = 2},
  [18107] = {.lex_state = 435, .external_lex_state = 2},
  [18108] = {.lex_state = 41, .external_lex_state = 2},
  [18109] = {.lex_state = 158, .external_lex_state = 2},
  [18110] = {.lex_state = 41, .external_lex_state = 2},
  [18111] = {.lex_state = 435, .external_lex_state = 2},
  [18112] = {.lex_state = 165, .external_lex_state = 2},
  [18113] = {.lex_state = 158, .external_lex_state = 2},
  [18114] = {.lex_state = 158, .external_lex_state = 2},
  [18115] = {.lex_state = 41, .external_lex_state = 2},
  [18116] = {.lex_state = 435, .external_lex_state = 2},
  [18117] = {.lex_state = 435, .external_lex_state = 2},
  [18118] = {.lex_state = 158, .external_lex_state = 2},
  [18119] = {.lex_state = 435, .external_lex_state = 2},
  [18120] = {.lex_state = 435, .external_lex_state = 2},
  [18121] = {.lex_state = 158, .external_lex_state = 2},
  [18122] = {.lex_state = 158, .external_lex_state = 2},
  [18123] = {.lex_state = 435, .external_lex_state = 2},
  [18124] = {.lex_state = 435, .external_lex_state = 2},
  [18125] = {.lex_state = 158, .external_lex_state = 2},
  [18126] = {.lex_state = 41, .external_lex_state = 2},
  [18127] = {.lex_state = 435, .external_lex_state = 2},
  [18128] = {.lex_state = 9, .external_lex_state = 2},
  [18129] = {.lex_state = 435, .external_lex_state = 2},
  [18130] = {.lex_state = 435, .external_lex_state = 2},
  [18131] = {.lex_state = 435, .external_lex_state = 2},
  [18132] = {.lex_state = 158, .external_lex_state = 2},
  [18133] = {.lex_state = 158, .external_lex_state = 2},
  [18134] = {.lex_state = 435, .external_lex_state = 2},
  [18135] = {.lex_state = 435, .external_lex_state = 3},
  [18136] = {.lex_state = 435, .external_lex_state = 2},
  [18137] = {.lex_state = 435, .external_lex_state = 2},
  [18138] = {.lex_state = 435, .external_lex_state = 2},
  [18139] = {.lex_state = 435, .external_lex_state = 2},
  [18140] = {.lex_state = 435, .external_lex_state = 2},
  [18141] = {.lex_state = 435, .external_lex_state = 2},
  [18142] = {.lex_state = 435, .external_lex_state = 2},
  [18143] = {.lex_state = 435, .external_lex_state = 2},
  [18144] = {.lex_state = 158, .external_lex_state = 2},
  [18145] = {.lex_state = 435, .external_lex_state = 2},
  [18146] = {.lex_state = 435, .external_lex_state = 2},
  [18147] = {.lex_state = 435, .external_lex_state = 3},
  [18148] = {.lex_state = 435, .external_lex_state = 2},
  [18149] = {.lex_state = 41, .external_lex_state = 2},
  [18150] = {.lex_state = 41, .external_lex_state = 2},
  [18151] = {.lex_state = 435, .external_lex_state = 2},
  [18152] = {.lex_state = 435, .external_lex_state = 2},
  [18153] = {.lex_state = 435, .external_lex_state = 2},
  [18154] = {.lex_state = 158, .external_lex_state = 2},
  [18155] = {.lex_state = 158, .external_lex_state = 2},
  [18156] = {.lex_state = 41, .external_lex_state = 2},
  [18157] = {.lex_state = 435, .external_lex_state = 2},
  [18158] = {.lex_state = 435, .external_lex_state = 2},
  [18159] = {.lex_state = 435, .external_lex_state = 2},
  [18160] = {.lex_state = 158, .external_lex_state = 2},
  [18161] = {.lex_state = 435, .external_lex_state = 2},
  [18162] = {.lex_state = 158, .external_lex_state = 2},
  [18163] = {.lex_state = 158, .external_lex_state = 2},
  [18164] = {.lex_state = 435, .external_lex_state = 2},
  [18165] = {.lex_state = 435, .external_lex_state = 2},
  [18166] = {.lex_state = 435, .external_lex_state = 2},
  [18167] = {.lex_state = 41, .external_lex_state = 2},
  [18168] = {.lex_state = 158, .external_lex_state = 2},
  [18169] = {.lex_state = 435, .external_lex_state = 2},
  [18170] = {.lex_state = 158, .external_lex_state = 2},
  [18171] = {.lex_state = 435, .external_lex_state = 2},
  [18172] = {.lex_state = 435, .external_lex_state = 2},
  [18173] = {.lex_state = 435, .external_lex_state = 2},
  [18174] = {.lex_state = 435, .external_lex_state = 2},
  [18175] = {.lex_state = 435, .external_lex_state = 2},
  [18176] = {.lex_state = 435, .external_lex_state = 2},
  [18177] = {.lex_state = 435, .external_lex_state = 2},
  [18178] = {.lex_state = 435, .external_lex_state = 2},
  [18179] = {.lex_state = 435, .external_lex_state = 2},
  [18180] = {.lex_state = 435, .external_lex_state = 2},
  [18181] = {.lex_state = 435, .external_lex_state = 2},
  [18182] = {.lex_state = 435, .external_lex_state = 2},
  [18183] = {.lex_state = 435, .external_lex_state = 2},
  [18184] = {.lex_state = 435, .external_lex_state = 2},
  [18185] = {.lex_state = 435, .external_lex_state = 2},
  [18186] = {.lex_state = 41, .external_lex_state = 2},
  [18187] = {.lex_state = 435, .external_lex_state = 2},
  [18188] = {.lex_state = 435, .external_lex_state = 2},
  [18189] = {.lex_state = 435, .external_lex_state = 2},
  [18190] = {.lex_state = 41, .external_lex_state = 2},
  [18191] = {.lex_state = 435, .external_lex_state = 2},
  [18192] = {.lex_state = 435, .external_lex_state = 2},
  [18193] = {.lex_state = 435, .external_lex_state = 2},
  [18194] = {.lex_state = 435, .external_lex_state = 2},
  [18195] = {.lex_state = 158, .external_lex_state = 2},
  [18196] = {.lex_state = 158, .external_lex_state = 2},
  [18197] = {.lex_state = 41, .external_lex_state = 2},
  [18198] = {.lex_state = 435, .external_lex_state = 2},
  [18199] = {.lex_state = 435, .external_lex_state = 2},
  [18200] = {.lex_state = 435, .external_lex_state = 2},
  [18201] = {.lex_state = 435, .external_lex_state = 2},
  [18202] = {.lex_state = 435, .external_lex_state = 2},
  [18203] = {.lex_state = 158, .external_lex_state = 2},
  [18204] = {.lex_state = 158, .external_lex_state = 2},
  [18205] = {.lex_state = 435, .external_lex_state = 2},
  [18206] = {.lex_state = 435, .external_lex_state = 2},
  [18207] = {.lex_state = 435, .external_lex_state = 2},
  [18208] = {.lex_state = 41, .external_lex_state = 2},
  [18209] = {.lex_state = 435, .external_lex_state = 2},
  [18210] = {.lex_state = 158, .external_lex_state = 2},
  [18211] = {.lex_state = 435, .external_lex_state = 2},
  [18212] = {.lex_state = 435, .external_lex_state = 2},
  [18213] = {.lex_state = 435, .external_lex_state = 2},
  [18214] = {.lex_state = 435, .external_lex_state = 2},
  [18215] = {.lex_state = 435, .external_lex_state = 2},
  [18216] = {.lex_state = 435, .external_lex_state = 2},
  [18217] = {.lex_state = 435, .external_lex_state = 2},
  [18218] = {.lex_state = 435, .external_lex_state = 2},
  [18219] = {.lex_state = 435, .external_lex_state = 2},
  [18220] = {.lex_state = 435, .external_lex_state = 2},
  [18221] = {.lex_state = 435, .external_lex_state = 2},
  [18222] = {.lex_state = 435, .external_lex_state = 2},
  [18223] = {.lex_state = 435, .external_lex_state = 2},
  [18224] = {.lex_state = 435, .external_lex_state = 2},
  [18225] = {.lex_state = 435, .external_lex_state = 2},
  [18226] = {.lex_state = 435, .external_lex_state = 2},
  [18227] = {.lex_state = 435, .external_lex_state = 2},
  [18228] = {.lex_state = 435, .external_lex_state = 2},
  [18229] = {.lex_state = 165, .external_lex_state = 2},
  [18230] = {.lex_state = 165, .external_lex_state = 2},
  [18231] = {.lex_state = 41, .external_lex_state = 2},
  [18232] = {.lex_state = 435, .external_lex_state = 2},
  [18233] = {.lex_state = 165, .external_lex_state = 2},
  [18234] = {.lex_state = 9, .external_lex_state = 2},
  [18235] = {.lex_state = 435, .external_lex_state = 2},
  [18236] = {.lex_state = 158, .external_lex_state = 2},
  [18237] = {.lex_state = 158, .external_lex_state = 2},
  [18238] = {.lex_state = 41, .external_lex_state = 2},
  [18239] = {.lex_state = 435, .external_lex_state = 2},
  [18240] = {.lex_state = 435, .external_lex_state = 2},
  [18241] = {.lex_state = 165, .external_lex_state = 2},
  [18242] = {.lex_state = 435, .external_lex_state = 2},
  [18243] = {.lex_state = 158, .external_lex_state = 2},
  [18244] = {.lex_state = 158, .external_lex_state = 2},
  [18245] = {.lex_state = 158, .external_lex_state = 2},
  [18246] = {.lex_state = 435, .external_lex_state = 2},
  [18247] = {.lex_state = 435, .external_lex_state = 2},
  [18248] = {.lex_state = 435, .external_lex_state = 2},
  [18249] = {.lex_state = 41, .external_lex_state = 2},
  [18250] = {.lex_state = 435, .external_lex_state = 2},
  [18251] = {.lex_state = 435, .external_lex_state = 2},
  [18252] = {.lex_state = 435, .external_lex_state = 2},
  [18253] = {.lex_state = 435, .external_lex_state = 2},
  [18254] = {.lex_state = 435, .external_lex_state = 2},
  [18255] = {.lex_state = 158, .external_lex_state = 2},
  [18256] = {.lex_state = 435, .external_lex_state = 2},
  [18257] = {.lex_state = 435, .external_lex_state = 2},
  [18258] = {.lex_state = 435, .external_lex_state = 3},
  [18259] = {.lex_state = 435, .external_lex_state = 2},
  [18260] = {.lex_state = 435, .external_lex_state = 2},
  [18261] = {.lex_state = 435, .external_lex_state = 2},
  [18262] = {.lex_state = 435, .external_lex_state = 2},
  [18263] = {.lex_state = 435, .external_lex_state = 2},
  [18264] = {.lex_state = 435, .external_lex_state = 2},
  [18265] = {.lex_state = 435, .external_lex_state = 2},
  [18266] = {.lex_state = 435, .external_lex_state = 2},
  [18267] = {.lex_state = 435, .external_lex_state = 2},
  [18268] = {.lex_state = 435, .external_lex_state = 2},
  [18269] = {.lex_state = 158, .external_lex_state = 2},
  [18270] = {.lex_state = 435, .external_lex_state = 2},
  [18271] = {.lex_state = 9, .external_lex_state = 2},
  [18272] = {.lex_state = 41, .external_lex_state = 2},
  [18273] = {.lex_state = 435, .external_lex_state = 2},
  [18274] = {.lex_state = 158, .external_lex_state = 2},
  [18275] = {.lex_state = 158, .external_lex_state = 2},
  [18276] = {.lex_state = 435, .external_lex_state = 2},
  [18277] = {.lex_state = 158, .external_lex_state = 2},
  [18278] = {.lex_state = 158, .external_lex_state = 2},
  [18279] = {.lex_state = 41, .external_lex_state = 2},
  [18280] = {.lex_state = 435, .external_lex_state = 2},
  [18281] = {.lex_state = 435, .external_lex_state = 2},
  [18282] = {.lex_state = 435, .external_lex_state = 2},
  [18283] = {.lex_state = 435, .external_lex_state = 2},
  [18284] = {.lex_state = 435, .external_lex_state = 2},
  [18285] = {.lex_state = 158, .external_lex_state = 2},
  [18286] = {.lex_state = 158, .external_lex_state = 2},
  [18287] = {.lex_state = 435, .external_lex_state = 2},
  [18288] = {.lex_state = 9, .external_lex_state = 2},
  [18289] = {.lex_state = 435, .external_lex_state = 2},
  [18290] = {.lex_state = 41, .external_lex_state = 2},
  [18291] = {.lex_state = 158, .external_lex_state = 2},
  [18292] = {.lex_state = 435, .external_lex_state = 2},
  [18293] = {.lex_state = 435, .external_lex_state = 2},
  [18294] = {.lex_state = 435, .external_lex_state = 2},
  [18295] = {.lex_state = 435, .external_lex_state = 2},
  [18296] = {.lex_state = 435, .external_lex_state = 2},
  [18297] = {.lex_state = 435, .external_lex_state = 3},
  [18298] = {.lex_state = 165, .external_lex_state = 2},
  [18299] = {.lex_state = 41, .external_lex_state = 2},
  [18300] = {.lex_state = 435, .external_lex_state = 2},
  [18301] = {.lex_state = 435, .external_lex_state = 2},
  [18302] = {.lex_state = 435, .external_lex_state = 2},
  [18303] = {.lex_state = 435, .external_lex_state = 2},
  [18304] = {.lex_state = 435, .external_lex_state = 2},
  [18305] = {.lex_state = 435, .external_lex_state = 2},
  [18306] = {.lex_state = 435, .external_lex_state = 2},
  [18307] = {.lex_state = 41, .external_lex_state = 2},
  [18308] = {.lex_state = 435, .external_lex_state = 2},
  [18309] = {.lex_state = 435, .external_lex_state = 2},
  [18310] = {.lex_state = 435, .external_lex_state = 2},
  [18311] = {.lex_state = 435, .external_lex_state = 2},
  [18312] = {.lex_state = 41, .external_lex_state = 2},
  [18313] = {.lex_state = 435, .external_lex_state = 2},
  [18314] = {.lex_state = 158, .external_lex_state = 2},
  [18315] = {.lex_state = 435, .external_lex_state = 2},
  [18316] = {.lex_state = 435, .external_lex_state = 2},
  [18317] = {.lex_state = 158, .external_lex_state = 2},
  [18318] = {.lex_state = 158, .external_lex_state = 2},
  [18319] = {.lex_state = 41, .external_lex_state = 2},
  [18320] = {.lex_state = 158, .external_lex_state = 2},
  [18321] = {.lex_state = 435, .external_lex_state = 2},
  [18322] = {.lex_state = 435, .external_lex_state = 2},
  [18323] = {.lex_state = 435, .external_lex_state = 2},
  [18324] = {.lex_state = 435, .external_lex_state = 2},
  [18325] = {.lex_state = 158, .external_lex_state = 2},
  [18326] = {.lex_state = 158, .external_lex_state = 2},
  [18327] = {.lex_state = 158, .external_lex_state = 2},
  [18328] = {.lex_state = 435, .external_lex_state = 2},
  [18329] = {.lex_state = 435, .external_lex_state = 3},
  [18330] = {.lex_state = 41, .external_lex_state = 2},
  [18331] = {.lex_state = 41, .external_lex_state = 2},
  [18332] = {.lex_state = 435, .external_lex_state = 2},
  [18333] = {.lex_state = 435, .external_lex_state = 2},
  [18334] = {.lex_state = 435, .external_lex_state = 2},
  [18335] = {.lex_state = 435, .external_lex_state = 2},
  [18336] = {.lex_state = 435, .external_lex_state = 2},
  [18337] = {.lex_state = 435, .external_lex_state = 2},
  [18338] = {.lex_state = 435, .external_lex_state = 2},
  [18339] = {.lex_state = 435, .external_lex_state = 2},
  [18340] = {.lex_state = 255, .external_lex_state = 2},
  [18341] = {.lex_state = 435, .external_lex_state = 2},
  [18342] = {.lex_state = 435, .external_lex_state = 2},
  [18343] = {.lex_state = 435, .external_lex_state = 2},
  [18344] = {.lex_state = 435, .external_lex_state = 2},
  [18345] = {.lex_state = 435, .external_lex_state = 2},
  [18346] = {.lex_state = 435, .external_lex_state = 2},
  [18347] = {.lex_state = 435, .external_lex_state = 2},
  [18348] = {.lex_state = 435, .external_lex_state = 2},
  [18349] = {.lex_state = 435, .external_lex_state = 2},
  [18350] = {.lex_state = 435, .external_lex_state = 2},
  [18351] = {.lex_state = 435, .external_lex_state = 2},
  [18352] = {.lex_state = 41, .external_lex_state = 2},
  [18353] = {.lex_state = 435, .external_lex_state = 2},
  [18354] = {.lex_state = 435, .external_lex_state = 2},
  [18355] = {.lex_state = 435, .external_lex_state = 2},
  [18356] = {.lex_state = 158, .external_lex_state = 2},
  [18357] = {.lex_state = 158, .external_lex_state = 2},
  [18358] = {.lex_state = 158, .external_lex_state = 2},
  [18359] = {.lex_state = 41, .external_lex_state = 2},
  [18360] = {.lex_state = 435, .external_lex_state = 2},
  [18361] = {.lex_state = 9, .external_lex_state = 2},
  [18362] = {.lex_state = 435, .external_lex_state = 3},
  [18363] = {.lex_state = 435, .external_lex_state = 2},
  [18364] = {.lex_state = 435, .external_lex_state = 2},
  [18365] = {.lex_state = 158, .external_lex_state = 2},
  [18366] = {.lex_state = 158, .external_lex_state = 2},
  [18367] = {.lex_state = 435, .external_lex_state = 2},
  [18368] = {.lex_state = 435, .external_lex_state = 2},
  [18369] = {.lex_state = 435, .external_lex_state = 2},
  [18370] = {.lex_state = 41, .external_lex_state = 2},
  [18371] = {.lex_state = 435, .external_lex_state = 2},
  [18372] = {.lex_state = 435, .external_lex_state = 2},
  [18373] = {.lex_state = 435, .external_lex_state = 2},
  [18374] = {.lex_state = 435, .external_lex_state = 2},
  [18375] = {.lex_state = 435, .external_lex_state = 2},
  [18376] = {.lex_state = 435, .external_lex_state = 2},
  [18377] = {.lex_state = 435, .external_lex_state = 2},
  [18378] = {.lex_state = 435, .external_lex_state = 2},
  [18379] = {.lex_state = 435, .external_lex_state = 2},
  [18380] = {.lex_state = 435, .external_lex_state = 2},
  [18381] = {.lex_state = 435, .external_lex_state = 2},
  [18382] = {.lex_state = 435, .external_lex_state = 2},
  [18383] = {.lex_state = 435, .external_lex_state = 2},
  [18384] = {.lex_state = 435, .external_lex_state = 2},
  [18385] = {.lex_state = 435, .external_lex_state = 2},
  [18386] = {.lex_state = 435, .external_lex_state = 2},
  [18387] = {.lex_state = 435, .external_lex_state = 2},
  [18388] = {.lex_state = 435, .external_lex_state = 2},
  [18389] = {.lex_state = 435, .external_lex_state = 2},
  [18390] = {.lex_state = 435, .external_lex_state = 2},
  [18391] = {.lex_state = 41, .external_lex_state = 2},
  [18392] = {.lex_state = 435, .external_lex_state = 2},
  [18393] = {.lex_state = 435, .external_lex_state = 2},
  [18394] = {.lex_state = 165, .external_lex_state = 2},
  [18395] = {.lex_state = 165, .external_lex_state = 2},
  [18396] = {.lex_state = 158, .external_lex_state = 2},
  [18397] = {.lex_state = 158, .external_lex_state = 2},
  [18398] = {.lex_state = 41, .external_lex_state = 2},
  [18399] = {.lex_state = 165, .external_lex_state = 2},
  [18400] = {.lex_state = 435, .external_lex_state = 2},
  [18401] = {.lex_state = 435, .external_lex_state = 2},
  [18402] = {.lex_state = 158, .external_lex_state = 2},
  [18403] = {.lex_state = 435, .external_lex_state = 3},
  [18404] = {.lex_state = 158, .external_lex_state = 2},
  [18405] = {.lex_state = 158, .external_lex_state = 2},
  [18406] = {.lex_state = 435, .external_lex_state = 2},
  [18407] = {.lex_state = 435, .external_lex_state = 2},
  [18408] = {.lex_state = 435, .external_lex_state = 2},
  [18409] = {.lex_state = 41, .external_lex_state = 2},
  [18410] = {.lex_state = 435, .external_lex_state = 2},
  [18411] = {.lex_state = 435, .external_lex_state = 2},
  [18412] = {.lex_state = 435, .external_lex_state = 2},
  [18413] = {.lex_state = 165, .external_lex_state = 2},
  [18414] = {.lex_state = 435, .external_lex_state = 2},
  [18415] = {.lex_state = 435, .external_lex_state = 2},
  [18416] = {.lex_state = 435, .external_lex_state = 2},
  [18417] = {.lex_state = 435, .external_lex_state = 2},
  [18418] = {.lex_state = 435, .external_lex_state = 2},
  [18419] = {.lex_state = 435, .external_lex_state = 2},
  [18420] = {.lex_state = 435, .external_lex_state = 2},
  [18421] = {.lex_state = 435, .external_lex_state = 2},
  [18422] = {.lex_state = 435, .external_lex_state = 2},
  [18423] = {.lex_state = 435, .external_lex_state = 2},
  [18424] = {.lex_state = 435, .external_lex_state = 2},
  [18425] = {.lex_state = 435, .external_lex_state = 2},
  [18426] = {.lex_state = 435, .external_lex_state = 2},
  [18427] = {.lex_state = 435, .external_lex_state = 2},
  [18428] = {.lex_state = 435, .external_lex_state = 2},
  [18429] = {.lex_state = 435, .external_lex_state = 2},
  [18430] = {.lex_state = 41, .external_lex_state = 2},
  [18431] = {.lex_state = 435, .external_lex_state = 2},
  [18432] = {.lex_state = 435, .external_lex_state = 2},
  [18433] = {.lex_state = 435, .external_lex_state = 2},
  [18434] = {.lex_state = 9, .external_lex_state = 2},
  [18435] = {.lex_state = 158, .external_lex_state = 2},
  [18436] = {.lex_state = 158, .external_lex_state = 2},
  [18437] = {.lex_state = 41, .external_lex_state = 2},
  [18438] = {.lex_state = 158, .external_lex_state = 2},
  [18439] = {.lex_state = 435, .external_lex_state = 3},
  [18440] = {.lex_state = 9, .external_lex_state = 2},
  [18441] = {.lex_state = 435, .external_lex_state = 2},
  [18442] = {.lex_state = 435, .external_lex_state = 2},
  [18443] = {.lex_state = 158, .external_lex_state = 2},
  [18444] = {.lex_state = 158, .external_lex_state = 2},
  [18445] = {.lex_state = 435, .external_lex_state = 2},
  [18446] = {.lex_state = 158, .external_lex_state = 2},
  [18447] = {.lex_state = 158, .external_lex_state = 2},
  [18448] = {.lex_state = 41, .external_lex_state = 2},
  [18449] = {.lex_state = 158, .external_lex_state = 2},
  [18450] = {.lex_state = 435, .external_lex_state = 2},
  [18451] = {.lex_state = 41, .external_lex_state = 2},
  [18452] = {.lex_state = 435, .external_lex_state = 3},
  [18453] = {.lex_state = 435, .external_lex_state = 2},
  [18454] = {.lex_state = 435, .external_lex_state = 2},
  [18455] = {.lex_state = 435, .external_lex_state = 2},
  [18456] = {.lex_state = 435, .external_lex_state = 2},
  [18457] = {.lex_state = 435, .external_lex_state = 2},
  [18458] = {.lex_state = 435, .external_lex_state = 2},
  [18459] = {.lex_state = 435, .external_lex_state = 2},
  [18460] = {.lex_state = 435, .external_lex_state = 2},
  [18461] = {.lex_state = 435, .external_lex_state = 2},
  [18462] = {.lex_state = 435, .external_lex_state = 2},
  [18463] = {.lex_state = 435, .external_lex_state = 2},
  [18464] = {.lex_state = 435, .external_lex_state = 2},
  [18465] = {.lex_state = 165, .external_lex_state = 2},
  [18466] = {.lex_state = 435, .external_lex_state = 2},
  [18467] = {.lex_state = 435, .external_lex_state = 2},
  [18468] = {.lex_state = 435, .external_lex_state = 2},
  [18469] = {.lex_state = 41, .external_lex_state = 2},
  [18470] = {.lex_state = 435, .external_lex_state = 2},
  [18471] = {.lex_state = 435, .external_lex_state = 2},
  [18472] = {.lex_state = 435, .external_lex_state = 2},
  [18473] = {.lex_state = 158, .external_lex_state = 2},
  [18474] = {.lex_state = 158, .external_lex_state = 2},
  [18475] = {.lex_state = 158, .external_lex_state = 2},
  [18476] = {.lex_state = 41, .external_lex_state = 2},
  [18477] = {.lex_state = 435, .external_lex_state = 2},
  [18478] = {.lex_state = 435, .external_lex_state = 3},
  [18479] = {.lex_state = 435, .external_lex_state = 2},
  [18480] = {.lex_state = 435, .external_lex_state = 2},
  [18481] = {.lex_state = 41, .external_lex_state = 2},
  [18482] = {.lex_state = 158, .external_lex_state = 2},
  [18483] = {.lex_state = 158, .external_lex_state = 2},
  [18484] = {.lex_state = 165, .external_lex_state = 2},
  [18485] = {.lex_state = 435, .external_lex_state = 2},
  [18486] = {.lex_state = 435, .external_lex_state = 2},
  [18487] = {.lex_state = 41, .external_lex_state = 2},
  [18488] = {.lex_state = 435, .external_lex_state = 2},
  [18489] = {.lex_state = 9, .external_lex_state = 2},
  [18490] = {.lex_state = 435, .external_lex_state = 2},
  [18491] = {.lex_state = 435, .external_lex_state = 2},
  [18492] = {.lex_state = 435, .external_lex_state = 2},
  [18493] = {.lex_state = 435, .external_lex_state = 2},
  [18494] = {.lex_state = 435, .external_lex_state = 2},
  [18495] = {.lex_state = 435, .external_lex_state = 2},
  [18496] = {.lex_state = 158, .external_lex_state = 2},
  [18497] = {.lex_state = 165, .external_lex_state = 2},
  [18498] = {.lex_state = 435, .external_lex_state = 2},
  [18499] = {.lex_state = 435, .external_lex_state = 2},
  [18500] = {.lex_state = 435, .external_lex_state = 2},
  [18501] = {.lex_state = 435, .external_lex_state = 2},
  [18502] = {.lex_state = 165, .external_lex_state = 2},
  [18503] = {.lex_state = 435, .external_lex_state = 2},
  [18504] = {.lex_state = 435, .external_lex_state = 2},
  [18505] = {.lex_state = 435, .external_lex_state = 2},
  [18506] = {.lex_state = 435, .external_lex_state = 2},
  [18507] = {.lex_state = 435, .external_lex_state = 2},
  [18508] = {.lex_state = 41, .external_lex_state = 2},
  [18509] = {.lex_state = 158, .external_lex_state = 2},
  [18510] = {.lex_state = 158, .external_lex_state = 2},
  [18511] = {.lex_state = 435, .external_lex_state = 2},
  [18512] = {.lex_state = 435, .external_lex_state = 2},
  [18513] = {.lex_state = 158, .external_lex_state = 2},
  [18514] = {.lex_state = 158, .external_lex_state = 2},
  [18515] = {.lex_state = 41, .external_lex_state = 2},
  [18516] = {.lex_state = 41, .external_lex_state = 2},
  [18517] = {.lex_state = 158, .external_lex_state = 2},
  [18518] = {.lex_state = 435, .external_lex_state = 3},
  [18519] = {.lex_state = 435, .external_lex_state = 2},
  [18520] = {.lex_state = 435, .external_lex_state = 2},
  [18521] = {.lex_state = 158, .external_lex_state = 2},
  [18522] = {.lex_state = 158, .external_lex_state = 2},
  [18523] = {.lex_state = 435, .external_lex_state = 2},
  [18524] = {.lex_state = 435, .external_lex_state = 2},
  [18525] = {.lex_state = 158, .external_lex_state = 2},
  [18526] = {.lex_state = 41, .external_lex_state = 2},
  [18527] = {.lex_state = 435, .external_lex_state = 2},
  [18528] = {.lex_state = 435, .external_lex_state = 2},
  [18529] = {.lex_state = 165, .external_lex_state = 2},
  [18530] = {.lex_state = 165, .external_lex_state = 2},
  [18531] = {.lex_state = 435, .external_lex_state = 2},
  [18532] = {.lex_state = 435, .external_lex_state = 2},
  [18533] = {.lex_state = 435, .external_lex_state = 2},
  [18534] = {.lex_state = 158, .external_lex_state = 2},
  [18535] = {.lex_state = 435, .external_lex_state = 2},
  [18536] = {.lex_state = 435, .external_lex_state = 2},
  [18537] = {.lex_state = 435, .external_lex_state = 2},
  [18538] = {.lex_state = 435, .external_lex_state = 2},
  [18539] = {.lex_state = 435, .external_lex_state = 2},
  [18540] = {.lex_state = 435, .external_lex_state = 2},
  [18541] = {.lex_state = 165, .external_lex_state = 2},
  [18542] = {.lex_state = 435, .external_lex_state = 2},
  [18543] = {.lex_state = 435, .external_lex_state = 2},
  [18544] = {.lex_state = 435, .external_lex_state = 2},
  [18545] = {.lex_state = 435, .external_lex_state = 2},
  [18546] = {.lex_state = 41, .external_lex_state = 2},
  [18547] = {.lex_state = 435, .external_lex_state = 2},
  [18548] = {.lex_state = 435, .external_lex_state = 2},
  [18549] = {.lex_state = 435, .external_lex_state = 2},
  [18550] = {.lex_state = 435, .external_lex_state = 2},
  [18551] = {.lex_state = 158, .external_lex_state = 2},
  [18552] = {.lex_state = 158, .external_lex_state = 2},
  [18553] = {.lex_state = 41, .external_lex_state = 2},
  [18554] = {.lex_state = 435, .external_lex_state = 2},
  [18555] = {.lex_state = 161, .external_lex_state = 2},
  [18556] = {.lex_state = 158, .external_lex_state = 2},
  [18557] = {.lex_state = 435, .external_lex_state = 3},
  [18558] = {.lex_state = 435, .external_lex_state = 2},
  [18559] = {.lex_state = 158, .external_lex_state = 2},
  [18560] = {.lex_state = 158, .external_lex_state = 2},
  [18561] = {.lex_state = 158, .external_lex_state = 2},
  [18562] = {.lex_state = 435, .external_lex_state = 2},
  [18563] = {.lex_state = 435, .external_lex_state = 2},
  [18564] = {.lex_state = 41, .external_lex_state = 2},
  [18565] = {.lex_state = 435, .external_lex_state = 2},
  [18566] = {.lex_state = 158, .external_lex_state = 2},
  [18567] = {.lex_state = 435, .external_lex_state = 2},
  [18568] = {.lex_state = 41, .external_lex_state = 2},
  [18569] = {.lex_state = 435, .external_lex_state = 2},
  [18570] = {.lex_state = 435, .external_lex_state = 2},
  [18571] = {.lex_state = 435, .external_lex_state = 2},
  [18572] = {.lex_state = 435, .external_lex_state = 2},
  [18573] = {.lex_state = 435, .external_lex_state = 2},
  [18574] = {.lex_state = 435, .external_lex_state = 2},
  [18575] = {.lex_state = 435, .external_lex_state = 2},
  [18576] = {.lex_state = 435, .external_lex_state = 2},
  [18577] = {.lex_state = 435, .external_lex_state = 2},
  [18578] = {.lex_state = 435, .external_lex_state = 2},
  [18579] = {.lex_state = 435, .external_lex_state = 2},
  [18580] = {.lex_state = 435, .external_lex_state = 2},
  [18581] = {.lex_state = 435, .external_lex_state = 2},
  [18582] = {.lex_state = 435, .external_lex_state = 2},
  [18583] = {.lex_state = 435, .external_lex_state = 2},
  [18584] = {.lex_state = 41, .external_lex_state = 2},
  [18585] = {.lex_state = 41, .external_lex_state = 2},
  [18586] = {.lex_state = 435, .external_lex_state = 2},
  [18587] = {.lex_state = 435, .external_lex_state = 2},
  [18588] = {.lex_state = 435, .external_lex_state = 2},
  [18589] = {.lex_state = 158, .external_lex_state = 2},
  [18590] = {.lex_state = 158, .external_lex_state = 2},
  [18591] = {.lex_state = 41, .external_lex_state = 2},
  [18592] = {.lex_state = 435, .external_lex_state = 2},
  [18593] = {.lex_state = 435, .external_lex_state = 2},
  [18594] = {.lex_state = 435, .external_lex_state = 2},
  [18595] = {.lex_state = 435, .external_lex_state = 2},
  [18596] = {.lex_state = 158, .external_lex_state = 2},
  [18597] = {.lex_state = 158, .external_lex_state = 2},
  [18598] = {.lex_state = 158, .external_lex_state = 2},
  [18599] = {.lex_state = 435, .external_lex_state = 3},
  [18600] = {.lex_state = 435, .external_lex_state = 2},
  [18601] = {.lex_state = 435, .external_lex_state = 2},
  [18602] = {.lex_state = 41, .external_lex_state = 2},
  [18603] = {.lex_state = 435, .external_lex_state = 2},
  [18604] = {.lex_state = 435, .external_lex_state = 3},
  [18605] = {.lex_state = 165, .external_lex_state = 2},
  [18606] = {.lex_state = 435, .external_lex_state = 2},
  [18607] = {.lex_state = 435, .external_lex_state = 2},
  [18608] = {.lex_state = 435, .external_lex_state = 2},
  [18609] = {.lex_state = 435, .external_lex_state = 2},
  [18610] = {.lex_state = 435, .external_lex_state = 2},
  [18611] = {.lex_state = 435, .external_lex_state = 2},
  [18612] = {.lex_state = 435, .external_lex_state = 2},
  [18613] = {.lex_state = 435, .external_lex_state = 2},
  [18614] = {.lex_state = 435, .external_lex_state = 2},
  [18615] = {.lex_state = 435, .external_lex_state = 2},
  [18616] = {.lex_state = 435, .external_lex_state = 2},
  [18617] = {.lex_state = 435, .external_lex_state = 2},
  [18618] = {.lex_state = 435, .external_lex_state = 2},
  [18619] = {.lex_state = 435, .external_lex_state = 2},
  [18620] = {.lex_state = 435, .external_lex_state = 2},
  [18621] = {.lex_state = 435, .external_lex_state = 2},
  [18622] = {.lex_state = 41, .external_lex_state = 2},
  [18623] = {.lex_state = 435, .external_lex_state = 2},
  [18624] = {.lex_state = 435, .external_lex_state = 2},
  [18625] = {.lex_state = 435, .external_lex_state = 2},
  [18626] = {.lex_state = 435, .external_lex_state = 2},
  [18627] = {.lex_state = 158, .external_lex_state = 2},
  [18628] = {.lex_state = 158, .external_lex_state = 2},
  [18629] = {.lex_state = 41, .external_lex_state = 2},
  [18630] = {.lex_state = 435, .external_lex_state = 2},
  [18631] = {.lex_state = 435, .external_lex_state = 2},
  [18632] = {.lex_state = 435, .external_lex_state = 2},
  [18633] = {.lex_state = 435, .external_lex_state = 2},
  [18634] = {.lex_state = 435, .external_lex_state = 2},
  [18635] = {.lex_state = 158, .external_lex_state = 2},
  [18636] = {.lex_state = 158, .external_lex_state = 2},
  [18637] = {.lex_state = 435, .external_lex_state = 2},
  [18638] = {.lex_state = 435, .external_lex_state = 2},
  [18639] = {.lex_state = 435, .external_lex_state = 2},
  [18640] = {.lex_state = 41, .external_lex_state = 2},
  [18641] = {.lex_state = 435, .external_lex_state = 2},
  [18642] = {.lex_state = 435, .external_lex_state = 2},
  [18643] = {.lex_state = 435, .external_lex_state = 2},
  [18644] = {.lex_state = 435, .external_lex_state = 2},
  [18645] = {.lex_state = 435, .external_lex_state = 2},
  [18646] = {.lex_state = 158, .external_lex_state = 2},
  [18647] = {.lex_state = 435, .external_lex_state = 3},
  [18648] = {.lex_state = 435, .external_lex_state = 2},
  [18649] = {.lex_state = 435, .external_lex_state = 2},
  [18650] = {.lex_state = 435, .external_lex_state = 2},
  [18651] = {.lex_state = 435, .external_lex_state = 2},
  [18652] = {.lex_state = 435, .external_lex_state = 2},
  [18653] = {.lex_state = 435, .external_lex_state = 2},
  [18654] = {.lex_state = 435, .external_lex_state = 2},
  [18655] = {.lex_state = 435, .external_lex_state = 2},
  [18656] = {.lex_state = 435, .external_lex_state = 2},
  [18657] = {.lex_state = 165, .external_lex_state = 2},
  [18658] = {.lex_state = 435, .external_lex_state = 2},
  [18659] = {.lex_state = 435, .external_lex_state = 2},
  [18660] = {.lex_state = 41, .external_lex_state = 2},
  [18661] = {.lex_state = 435, .external_lex_state = 2},
  [18662] = {.lex_state = 435, .external_lex_state = 2},
  [18663] = {.lex_state = 435, .external_lex_state = 2},
  [18664] = {.lex_state = 158, .external_lex_state = 2},
  [18665] = {.lex_state = 158, .external_lex_state = 2},
  [18666] = {.lex_state = 41, .external_lex_state = 2},
  [18667] = {.lex_state = 435, .external_lex_state = 2},
  [18668] = {.lex_state = 158, .external_lex_state = 2},
  [18669] = {.lex_state = 158, .external_lex_state = 2},
  [18670] = {.lex_state = 41, .external_lex_state = 2},
  [18671] = {.lex_state = 435, .external_lex_state = 2},
  [18672] = {.lex_state = 435, .external_lex_state = 2},
  [18673] = {.lex_state = 435, .external_lex_state = 2},
  [18674] = {.lex_state = 435, .external_lex_state = 2},
  [18675] = {.lex_state = 435, .external_lex_state = 2},
  [18676] = {.lex_state = 435, .external_lex_state = 2},
  [18677] = {.lex_state = 435, .external_lex_state = 2},
  [18678] = {.lex_state = 435, .external_lex_state = 2},
  [18679] = {.lex_state = 435, .external_lex_state = 2},
  [18680] = {.lex_state = 435, .external_lex_state = 2},
  [18681] = {.lex_state = 435, .external_lex_state = 2},
  [18682] = {.lex_state = 158, .external_lex_state = 2},
  [18683] = {.lex_state = 435, .external_lex_state = 3},
  [18684] = {.lex_state = 435, .external_lex_state = 2},
  [18685] = {.lex_state = 435, .external_lex_state = 2},
  [18686] = {.lex_state = 435, .external_lex_state = 2},
  [18687] = {.lex_state = 435, .external_lex_state = 2},
  [18688] = {.lex_state = 158, .external_lex_state = 2},
  [18689] = {.lex_state = 158, .external_lex_state = 2},
  [18690] = {.lex_state = 41, .external_lex_state = 2},
  [18691] = {.lex_state = 435, .external_lex_state = 2},
  [18692] = {.lex_state = 158, .external_lex_state = 2},
  [18693] = {.lex_state = 158, .external_lex_state = 2},
  [18694] = {.lex_state = 435, .external_lex_state = 2},
  [18695] = {.lex_state = 435, .external_lex_state = 2},
  [18696] = {.lex_state = 435, .external_lex_state = 2},
  [18697] = {.lex_state = 435, .external_lex_state = 2},
  [18698] = {.lex_state = 435, .external_lex_state = 2},
  [18699] = {.lex_state = 435, .external_lex_state = 2},
  [18700] = {.lex_state = 435, .external_lex_state = 2},
  [18701] = {.lex_state = 435, .external_lex_state = 2},
  [18702] = {.lex_state = 435, .external_lex_state = 2},
  [18703] = {.lex_state = 435, .external_lex_state = 2},
  [18704] = {.lex_state = 435, .external_lex_state = 2},
  [18705] = {.lex_state = 435, .external_lex_state = 2},
  [18706] = {.lex_state = 435, .external_lex_state = 2},
  [18707] = {.lex_state = 435, .external_lex_state = 2},
  [18708] = {.lex_state = 435, .external_lex_state = 2},
  [18709] = {.lex_state = 435, .external_lex_state = 2},
  [18710] = {.lex_state = 435, .external_lex_state = 2},
  [18711] = {.lex_state = 435, .external_lex_state = 2},
  [18712] = {.lex_state = 435, .external_lex_state = 2},
  [18713] = {.lex_state = 435, .external_lex_state = 2},
  [18714] = {.lex_state = 435, .external_lex_state = 2},
  [18715] = {.lex_state = 435, .external_lex_state = 2},
  [18716] = {.lex_state = 435, .external_lex_state = 2},
  [18717] = {.lex_state = 435, .external_lex_state = 2},
  [18718] = {.lex_state = 435, .external_lex_state = 2},
  [18719] = {.lex_state = 435, .external_lex_state = 2},
  [18720] = {.lex_state = 435, .external_lex_state = 2},
  [18721] = {.lex_state = 435, .external_lex_state = 2},
  [18722] = {.lex_state = 9, .external_lex_state = 2},
  [18723] = {.lex_state = 435, .external_lex_state = 2},
  [18724] = {.lex_state = 158, .external_lex_state = 2},
  [18725] = {.lex_state = 435, .external_lex_state = 2},
  [18726] = {.lex_state = 435, .external_lex_state = 2},
  [18727] = {.lex_state = 435, .external_lex_state = 2},
  [18728] = {.lex_state = 158, .external_lex_state = 2},
  [18729] = {.lex_state = 435, .external_lex_state = 3},
  [18730] = {.lex_state = 435, .external_lex_state = 2},
  [18731] = {.lex_state = 158, .external_lex_state = 2},
  [18732] = {.lex_state = 435, .external_lex_state = 3},
  [18733] = {.lex_state = 435, .external_lex_state = 2},
  [18734] = {.lex_state = 435, .external_lex_state = 2},
  [18735] = {.lex_state = 435, .external_lex_state = 2},
  [18736] = {.lex_state = 435, .external_lex_state = 2},
  [18737] = {.lex_state = 435, .external_lex_state = 2},
  [18738] = {.lex_state = 435, .external_lex_state = 2},
  [18739] = {.lex_state = 435, .external_lex_state = 2},
  [18740] = {.lex_state = 435, .external_lex_state = 2},
  [18741] = {.lex_state = 435, .external_lex_state = 2},
  [18742] = {.lex_state = 435, .external_lex_state = 2},
  [18743] = {.lex_state = 435, .external_lex_state = 2},
  [18744] = {.lex_state = 435, .external_lex_state = 2},
  [18745] = {.lex_state = 435, .external_lex_state = 2},
  [18746] = {.lex_state = 435, .external_lex_state = 2},
  [18747] = {.lex_state = 435, .external_lex_state = 2},
  [18748] = {.lex_state = 435, .external_lex_state = 2},
  [18749] = {.lex_state = 435, .external_lex_state = 2},
  [18750] = {.lex_state = 165, .external_lex_state = 2},
  [18751] = {.lex_state = 435, .external_lex_state = 2},
  [18752] = {.lex_state = 435, .external_lex_state = 2},
  [18753] = {.lex_state = 435, .external_lex_state = 2},
  [18754] = {.lex_state = 435, .external_lex_state = 2},
  [18755] = {.lex_state = 435, .external_lex_state = 2},
  [18756] = {.lex_state = 435, .external_lex_state = 2},
  [18757] = {.lex_state = 435, .external_lex_state = 2},
  [18758] = {.lex_state = 158, .external_lex_state = 2},
  [18759] = {.lex_state = 435, .external_lex_state = 2},
  [18760] = {.lex_state = 435, .external_lex_state = 2},
  [18761] = {.lex_state = 435, .external_lex_state = 2},
  [18762] = {.lex_state = 165, .external_lex_state = 2},
  [18763] = {.lex_state = 9, .external_lex_state = 2},
  [18764] = {.lex_state = 435, .external_lex_state = 2},
  [18765] = {.lex_state = 435, .external_lex_state = 2},
  [18766] = {.lex_state = 435, .external_lex_state = 2},
  [18767] = {.lex_state = 435, .external_lex_state = 2},
  [18768] = {.lex_state = 435, .external_lex_state = 2},
  [18769] = {.lex_state = 435, .external_lex_state = 2},
  [18770] = {.lex_state = 435, .external_lex_state = 2},
  [18771] = {.lex_state = 435, .external_lex_state = 2},
  [18772] = {.lex_state = 165, .external_lex_state = 2},
  [18773] = {.lex_state = 435, .external_lex_state = 2},
  [18774] = {.lex_state = 165, .external_lex_state = 2},
  [18775] = {.lex_state = 435, .external_lex_state = 2},
  [18776] = {.lex_state = 435, .external_lex_state = 2},
  [18777] = {.lex_state = 435, .external_lex_state = 2},
  [18778] = {.lex_state = 158, .external_lex_state = 2},
  [18779] = {.lex_state = 435, .external_lex_state = 3},
  [18780] = {.lex_state = 435, .external_lex_state = 2},
  [18781] = {.lex_state = 165, .external_lex_state = 2},
  [18782] = {.lex_state = 9, .external_lex_state = 2},
  [18783] = {.lex_state = 435, .external_lex_state = 2},
  [18784] = {.lex_state = 435, .external_lex_state = 2},
  [18785] = {.lex_state = 435, .external_lex_state = 2},
  [18786] = {.lex_state = 435, .external_lex_state = 2},
  [18787] = {.lex_state = 435, .external_lex_state = 2},
  [18788] = {.lex_state = 165, .external_lex_state = 2},
  [18789] = {.lex_state = 435, .external_lex_state = 2},
  [18790] = {.lex_state = 161, .external_lex_state = 2},
  [18791] = {.lex_state = 435, .external_lex_state = 2},
  [18792] = {.lex_state = 435, .external_lex_state = 2},
  [18793] = {.lex_state = 435, .external_lex_state = 2},
  [18794] = {.lex_state = 435, .external_lex_state = 2},
  [18795] = {.lex_state = 435, .external_lex_state = 2},
  [18796] = {.lex_state = 435, .external_lex_state = 2},
  [18797] = {.lex_state = 435, .external_lex_state = 2},
  [18798] = {.lex_state = 435, .external_lex_state = 2},
  [18799] = {.lex_state = 435, .external_lex_state = 2},
  [18800] = {.lex_state = 41, .external_lex_state = 2},
  [18801] = {.lex_state = 435, .external_lex_state = 2},
  [18802] = {.lex_state = 435, .external_lex_state = 2},
  [18803] = {.lex_state = 435, .external_lex_state = 2},
  [18804] = {.lex_state = 435, .external_lex_state = 2},
  [18805] = {.lex_state = 435, .external_lex_state = 2},
  [18806] = {.lex_state = 435, .external_lex_state = 2},
  [18807] = {.lex_state = 435, .external_lex_state = 2},
  [18808] = {.lex_state = 435, .external_lex_state = 2},
  [18809] = {.lex_state = 435, .external_lex_state = 2},
  [18810] = {.lex_state = 435, .external_lex_state = 2},
  [18811] = {.lex_state = 435, .external_lex_state = 2},
  [18812] = {.lex_state = 435, .external_lex_state = 2},
  [18813] = {.lex_state = 435, .external_lex_state = 2},
  [18814] = {.lex_state = 435, .external_lex_state = 2},
  [18815] = {.lex_state = 435, .external_lex_state = 2},
  [18816] = {.lex_state = 435, .external_lex_state = 2},
  [18817] = {.lex_state = 435, .external_lex_state = 2},
  [18818] = {.lex_state = 435, .external_lex_state = 3},
  [18819] = {.lex_state = 435, .external_lex_state = 2},
  [18820] = {.lex_state = 435, .external_lex_state = 2},
  [18821] = {.lex_state = 435, .external_lex_state = 2},
  [18822] = {.lex_state = 165, .external_lex_state = 2},
  [18823] = {.lex_state = 435, .external_lex_state = 2},
  [18824] = {.lex_state = 158, .external_lex_state = 2},
  [18825] = {.lex_state = 435, .external_lex_state = 2},
  [18826] = {.lex_state = 435, .external_lex_state = 2},
  [18827] = {.lex_state = 435, .external_lex_state = 2},
  [18828] = {.lex_state = 435, .external_lex_state = 2},
  [18829] = {.lex_state = 435, .external_lex_state = 2},
  [18830] = {.lex_state = 435, .external_lex_state = 2},
  [18831] = {.lex_state = 435, .external_lex_state = 2},
  [18832] = {.lex_state = 435, .external_lex_state = 2},
  [18833] = {.lex_state = 435, .external_lex_state = 2},
  [18834] = {.lex_state = 435, .external_lex_state = 2},
  [18835] = {.lex_state = 435, .external_lex_state = 2},
  [18836] = {.lex_state = 158, .external_lex_state = 2},
  [18837] = {.lex_state = 435, .external_lex_state = 2},
  [18838] = {.lex_state = 435, .external_lex_state = 2},
  [18839] = {.lex_state = 41, .external_lex_state = 2},
  [18840] = {.lex_state = 435, .external_lex_state = 2},
  [18841] = {.lex_state = 435, .external_lex_state = 2},
  [18842] = {.lex_state = 165, .external_lex_state = 2},
  [18843] = {.lex_state = 435, .external_lex_state = 2},
  [18844] = {.lex_state = 435, .external_lex_state = 2},
  [18845] = {.lex_state = 435, .external_lex_state = 2},
  [18846] = {.lex_state = 435, .external_lex_state = 2},
  [18847] = {.lex_state = 435, .external_lex_state = 2},
  [18848] = {.lex_state = 435, .external_lex_state = 2},
  [18849] = {.lex_state = 435, .external_lex_state = 2},
  [18850] = {.lex_state = 435, .external_lex_state = 2},
  [18851] = {.lex_state = 158, .external_lex_state = 2},
  [18852] = {.lex_state = 435, .external_lex_state = 2},
  [18853] = {.lex_state = 435, .external_lex_state = 2},
  [18854] = {.lex_state = 435, .external_lex_state = 2},
  [18855] = {.lex_state = 435, .external_lex_state = 2},
  [18856] = {.lex_state = 158, .external_lex_state = 2},
  [18857] = {.lex_state = 435, .external_lex_state = 2},
  [18858] = {.lex_state = 435, .external_lex_state = 2},
  [18859] = {.lex_state = 435, .external_lex_state = 2},
  [18860] = {.lex_state = 435, .external_lex_state = 2},
  [18861] = {.lex_state = 435, .external_lex_state = 2},
  [18862] = {.lex_state = 158, .external_lex_state = 2},
  [18863] = {.lex_state = 435, .external_lex_state = 2},
  [18864] = {.lex_state = 435, .external_lex_state = 2},
  [18865] = {.lex_state = 435, .external_lex_state = 2},
  [18866] = {.lex_state = 158, .external_lex_state = 2},
  [18867] = {.lex_state = 435, .external_lex_state = 2},
  [18868] = {.lex_state = 435, .external_lex_state = 2},
  [18869] = {.lex_state = 435, .external_lex_state = 2},
  [18870] = {.lex_state = 435, .external_lex_state = 2},
  [18871] = {.lex_state = 435, .external_lex_state = 2},
  [18872] = {.lex_state = 158, .external_lex_state = 2},
  [18873] = {.lex_state = 435, .external_lex_state = 2},
  [18874] = {.lex_state = 9, .external_lex_state = 2},
  [18875] = {.lex_state = 435, .external_lex_state = 2},
  [18876] = {.lex_state = 435, .external_lex_state = 2},
  [18877] = {.lex_state = 435, .external_lex_state = 2},
  [18878] = {.lex_state = 41, .external_lex_state = 2},
  [18879] = {.lex_state = 435, .external_lex_state = 2},
  [18880] = {.lex_state = 435, .external_lex_state = 3},
  [18881] = {.lex_state = 435, .external_lex_state = 2},
  [18882] = {.lex_state = 435, .external_lex_state = 2},
  [18883] = {.lex_state = 435, .external_lex_state = 2},
  [18884] = {.lex_state = 435, .external_lex_state = 2},
  [18885] = {.lex_state = 435, .external_lex_state = 2},
  [18886] = {.lex_state = 435, .external_lex_state = 2},
  [18887] = {.lex_state = 435, .external_lex_state = 2},
  [18888] = {.lex_state = 435, .external_lex_state = 2},
  [18889] = {.lex_state = 435, .external_lex_state = 2},
  [18890] = {.lex_state = 435, .external_lex_state = 2},
  [18891] = {.lex_state = 435, .external_lex_state = 2},
  [18892] = {.lex_state = 158, .external_lex_state = 2},
  [18893] = {.lex_state = 158, .external_lex_state = 2},
  [18894] = {.lex_state = 435, .external_lex_state = 2},
  [18895] = {.lex_state = 435, .external_lex_state = 2},
  [18896] = {.lex_state = 9, .external_lex_state = 2},
  [18897] = {.lex_state = 435, .external_lex_state = 2},
  [18898] = {.lex_state = 435, .external_lex_state = 2},
  [18899] = {.lex_state = 158, .external_lex_state = 2},
  [18900] = {.lex_state = 435, .external_lex_state = 2},
  [18901] = {.lex_state = 435, .external_lex_state = 2},
  [18902] = {.lex_state = 435, .external_lex_state = 2},
  [18903] = {.lex_state = 435, .external_lex_state = 2},
  [18904] = {.lex_state = 435, .external_lex_state = 3},
  [18905] = {.lex_state = 435, .external_lex_state = 2},
  [18906] = {.lex_state = 435, .external_lex_state = 2},
  [18907] = {.lex_state = 165, .external_lex_state = 2},
  [18908] = {.lex_state = 435, .external_lex_state = 2},
  [18909] = {.lex_state = 435, .external_lex_state = 2},
  [18910] = {.lex_state = 435, .external_lex_state = 2},
  [18911] = {.lex_state = 435, .external_lex_state = 2},
  [18912] = {.lex_state = 435, .external_lex_state = 2},
  [18913] = {.lex_state = 435, .external_lex_state = 2},
  [18914] = {.lex_state = 435, .external_lex_state = 2},
  [18915] = {.lex_state = 435, .external_lex_state = 2},
  [18916] = {.lex_state = 435, .external_lex_state = 2},
  [18917] = {.lex_state = 158, .external_lex_state = 2},
  [18918] = {.lex_state = 435, .external_lex_state = 2},
  [18919] = {.lex_state = 435, .external_lex_state = 2},
  [18920] = {.lex_state = 435, .external_lex_state = 2},
  [18921] = {.lex_state = 435, .external_lex_state = 2},
  [18922] = {.lex_state = 435, .external_lex_state = 2},
  [18923] = {.lex_state = 435, .external_lex_state = 2},
  [18924] = {.lex_state = 435, .external_lex_state = 2},
  [18925] = {.lex_state = 435, .external_lex_state = 2},
  [18926] = {.lex_state = 435, .external_lex_state = 2},
  [18927] = {.lex_state = 435, .external_lex_state = 2},
  [18928] = {.lex_state = 435, .external_lex_state = 2},
  [18929] = {.lex_state = 435, .external_lex_state = 2},
  [18930] = {.lex_state = 435, .external_lex_state = 2},
  [18931] = {.lex_state = 435, .external_lex_state = 2},
  [18932] = {.lex_state = 435, .external_lex_state = 2},
  [18933] = {.lex_state = 435, .external_lex_state = 2},
  [18934] = {.lex_state = 435, .external_lex_state = 2},
  [18935] = {.lex_state = 435, .external_lex_state = 2},
  [18936] = {.lex_state = 435, .external_lex_state = 2},
  [18937] = {.lex_state = 435, .external_lex_state = 2},
  [18938] = {.lex_state = 435, .external_lex_state = 2},
  [18939] = {.lex_state = 435, .external_lex_state = 2},
  [18940] = {.lex_state = 435, .external_lex_state = 2},
  [18941] = {.lex_state = 435, .external_lex_state = 3},
  [18942] = {.lex_state = 435, .external_lex_state = 2},
  [18943] = {.lex_state = 435, .external_lex_state = 2},
  [18944] = {.lex_state = 435, .external_lex_state = 2},
  [18945] = {.lex_state = 435, .external_lex_state = 2},
  [18946] = {.lex_state = 435, .external_lex_state = 2},
  [18947] = {.lex_state = 435, .external_lex_state = 2},
  [18948] = {.lex_state = 435, .external_lex_state = 2},
  [18949] = {.lex_state = 9, .external_lex_state = 2},
  [18950] = {.lex_state = 435, .external_lex_state = 2},
  [18951] = {.lex_state = 435, .external_lex_state = 2},
  [18952] = {.lex_state = 435, .external_lex_state = 2},
  [18953] = {.lex_state = 435, .external_lex_state = 2},
  [18954] = {.lex_state = 435, .external_lex_state = 2},
  [18955] = {.lex_state = 435, .external_lex_state = 2},
  [18956] = {.lex_state = 435, .external_lex_state = 2},
  [18957] = {.lex_state = 435, .external_lex_state = 2},
  [18958] = {.lex_state = 435, .external_lex_state = 2},
  [18959] = {.lex_state = 435, .external_lex_state = 2},
  [18960] = {.lex_state = 435, .external_lex_state = 2},
  [18961] = {.lex_state = 435, .external_lex_state = 2},
  [18962] = {.lex_state = 435, .external_lex_state = 2},
  [18963] = {.lex_state = 435, .external_lex_state = 2},
  [18964] = {.lex_state = 435, .external_lex_state = 2},
  [18965] = {.lex_state = 435, .external_lex_state = 2},
  [18966] = {.lex_state = 435, .external_lex_state = 2},
  [18967] = {.lex_state = 435, .external_lex_state = 2},
  [18968] = {.lex_state = 165, .external_lex_state = 2},
  [18969] = {.lex_state = 165, .external_lex_state = 2},
  [18970] = {.lex_state = 435, .external_lex_state = 2},
  [18971] = {.lex_state = 435, .external_lex_state = 2},
  [18972] = {.lex_state = 435, .external_lex_state = 2},
  [18973] = {.lex_state = 165, .external_lex_state = 2},
  [18974] = {.lex_state = 435, .external_lex_state = 2},
  [18975] = {.lex_state = 435, .external_lex_state = 2},
  [18976] = {.lex_state = 435, .external_lex_state = 2},
  [18977] = {.lex_state = 435, .external_lex_state = 2},
  [18978] = {.lex_state = 435, .external_lex_state = 2},
  [18979] = {.lex_state = 435, .external_lex_state = 2},
  [18980] = {.lex_state = 165, .external_lex_state = 2},
  [18981] = {.lex_state = 435, .external_lex_state = 2},
  [18982] = {.lex_state = 435, .external_lex_state = 2},
  [18983] = {.lex_state = 435, .external_lex_state = 2},
  [18984] = {.lex_state = 435, .external_lex_state = 2},
  [18985] = {.lex_state = 435, .external_lex_state = 2},
  [18986] = {.lex_state = 435, .external_lex_state = 2},
  [18987] = {.lex_state = 435, .external_lex_state = 2},
  [18988] = {.lex_state = 435, .external_lex_state = 2},
  [18989] = {.lex_state = 435, .external_lex_state = 2},
  [18990] = {.lex_state = 435, .external_lex_state = 2},
  [18991] = {.lex_state = 435, .external_lex_state = 2},
  [18992] = {.lex_state = 435, .external_lex_state = 2},
  [18993] = {.lex_state = 435, .external_lex_state = 2},
  [18994] = {.lex_state = 435, .external_lex_state = 2},
  [18995] = {.lex_state = 9, .external_lex_state = 2},
  [18996] = {.lex_state = 435, .external_lex_state = 2},
  [18997] = {.lex_state = 158, .external_lex_state = 2},
  [18998] = {.lex_state = 158, .external_lex_state = 2},
  [18999] = {.lex_state = 435, .external_lex_state = 3},
  [19000] = {.lex_state = 435, .external_lex_state = 2},
  [19001] = {.lex_state = 435, .external_lex_state = 2},
  [19002] = {.lex_state = 435, .external_lex_state = 2},
  [19003] = {.lex_state = 435, .external_lex_state = 2},
  [19004] = {.lex_state = 158, .external_lex_state = 2},
  [19005] = {.lex_state = 435, .external_lex_state = 2},
  [19006] = {.lex_state = 9, .external_lex_state = 2},
  [19007] = {.lex_state = 435, .external_lex_state = 2},
  [19008] = {.lex_state = 41, .external_lex_state = 2},
  [19009] = {.lex_state = 435, .external_lex_state = 2},
  [19010] = {.lex_state = 158, .external_lex_state = 2},
  [19011] = {.lex_state = 435, .external_lex_state = 2},
  [19012] = {.lex_state = 165, .external_lex_state = 2},
  [19013] = {.lex_state = 435, .external_lex_state = 2},
  [19014] = {.lex_state = 435, .external_lex_state = 2},
  [19015] = {.lex_state = 435, .external_lex_state = 2},
  [19016] = {.lex_state = 435, .external_lex_state = 2},
  [19017] = {.lex_state = 435, .external_lex_state = 2},
  [19018] = {.lex_state = 435, .external_lex_state = 3},
  [19019] = {.lex_state = 435, .external_lex_state = 2},
  [19020] = {.lex_state = 435, .external_lex_state = 2},
  [19021] = {.lex_state = 435, .external_lex_state = 2},
  [19022] = {.lex_state = 435, .external_lex_state = 2},
  [19023] = {.lex_state = 435, .external_lex_state = 2},
  [19024] = {.lex_state = 41, .external_lex_state = 2},
  [19025] = {.lex_state = 435, .external_lex_state = 2},
  [19026] = {.lex_state = 41, .external_lex_state = 2},
  [19027] = {.lex_state = 435, .external_lex_state = 2},
  [19028] = {.lex_state = 435, .external_lex_state = 2},
  [19029] = {.lex_state = 435, .external_lex_state = 2},
  [19030] = {.lex_state = 435, .external_lex_state = 2},
  [19031] = {.lex_state = 435, .external_lex_state = 2},
  [19032] = {.lex_state = 435, .external_lex_state = 2},
  [19033] = {.lex_state = 435, .external_lex_state = 2},
  [19034] = {.lex_state = 158, .external_lex_state = 2},
  [19035] = {.lex_state = 158, .external_lex_state = 2},
  [19036] = {.lex_state = 435, .external_lex_state = 2},
  [19037] = {.lex_state = 41, .external_lex_state = 2},
  [19038] = {.lex_state = 435, .external_lex_state = 2},
  [19039] = {.lex_state = 435, .external_lex_state = 2},
  [19040] = {.lex_state = 435, .external_lex_state = 2},
  [19041] = {.lex_state = 435, .external_lex_state = 2},
  [19042] = {.lex_state = 435, .external_lex_state = 2},
  [19043] = {.lex_state = 435, .external_lex_state = 2},
  [19044] = {.lex_state = 435, .external_lex_state = 2},
  [19045] = {.lex_state = 435, .external_lex_state = 2},
  [19046] = {.lex_state = 158, .external_lex_state = 2},
  [19047] = {.lex_state = 435, .external_lex_state = 2},
  [19048] = {.lex_state = 435, .external_lex_state = 2},
  [19049] = {.lex_state = 435, .external_lex_state = 2},
  [19050] = {.lex_state = 158, .external_lex_state = 2},
  [19051] = {.lex_state = 435, .external_lex_state = 2},
  [19052] = {.lex_state = 435, .external_lex_state = 2},
  [19053] = {.lex_state = 435, .external_lex_state = 2},
  [19054] = {.lex_state = 435, .external_lex_state = 2},
  [19055] = {.lex_state = 158, .external_lex_state = 2},
  [19056] = {.lex_state = 435, .external_lex_state = 2},
  [19057] = {.lex_state = 435, .external_lex_state = 2},
  [19058] = {.lex_state = 435, .external_lex_state = 2},
  [19059] = {.lex_state = 435, .external_lex_state = 2},
  [19060] = {.lex_state = 435, .external_lex_state = 2},
  [19061] = {.lex_state = 435, .external_lex_state = 2},
  [19062] = {.lex_state = 435, .external_lex_state = 2},
  [19063] = {.lex_state = 158, .external_lex_state = 2},
  [19064] = {.lex_state = 41, .external_lex_state = 2},
  [19065] = {.lex_state = 435, .external_lex_state = 2},
  [19066] = {.lex_state = 435, .external_lex_state = 2},
  [19067] = {.lex_state = 435, .external_lex_state = 2},
  [19068] = {.lex_state = 435, .external_lex_state = 2},
  [19069] = {.lex_state = 435, .external_lex_state = 2},
  [19070] = {.lex_state = 435, .external_lex_state = 2},
  [19071] = {.lex_state = 435, .external_lex_state = 2},
  [19072] = {.lex_state = 435, .external_lex_state = 2},
  [19073] = {.lex_state = 41, .external_lex_state = 2},
  [19074] = {.lex_state = 41, .external_lex_state = 2},
  [19075] = {.lex_state = 435, .external_lex_state = 2},
  [19076] = {.lex_state = 435, .external_lex_state = 2},
  [19077] = {.lex_state = 435, .external_lex_state = 2},
  [19078] = {.lex_state = 435, .external_lex_state = 2},
  [19079] = {.lex_state = 435, .external_lex_state = 2},
  [19080] = {.lex_state = 165, .external_lex_state = 2},
  [19081] = {.lex_state = 435, .external_lex_state = 2},
  [19082] = {.lex_state = 435, .external_lex_state = 2},
  [19083] = {.lex_state = 435, .external_lex_state = 2},
  [19084] = {.lex_state = 435, .external_lex_state = 2},
  [19085] = {.lex_state = 435, .external_lex_state = 2},
  [19086] = {.lex_state = 435, .external_lex_state = 2},
  [19087] = {.lex_state = 158, .external_lex_state = 2},
  [19088] = {.lex_state = 435, .external_lex_state = 2},
  [19089] = {.lex_state = 435, .external_lex_state = 2},
  [19090] = {.lex_state = 435, .external_lex_state = 2},
  [19091] = {.lex_state = 435, .external_lex_state = 2},
  [19092] = {.lex_state = 435, .external_lex_state = 2},
  [19093] = {.lex_state = 435, .external_lex_state = 2},
  [19094] = {.lex_state = 435, .external_lex_state = 2},
  [19095] = {.lex_state = 9, .external_lex_state = 2},
  [19096] = {.lex_state = 435, .external_lex_state = 2},
  [19097] = {.lex_state = 435, .external_lex_state = 2},
  [19098] = {.lex_state = 435, .external_lex_state = 2},
  [19099] = {.lex_state = 435, .external_lex_state = 2},
  [19100] = {.lex_state = 435, .external_lex_state = 2},
  [19101] = {.lex_state = 435, .external_lex_state = 2},
  [19102] = {.lex_state = 435, .external_lex_state = 2},
  [19103] = {.lex_state = 435, .external_lex_state = 2},
  [19104] = {.lex_state = 158, .external_lex_state = 2},
  [19105] = {.lex_state = 435, .external_lex_state = 2},
  [19106] = {.lex_state = 435, .external_lex_state = 2},
  [19107] = {.lex_state = 435, .external_lex_state = 2},
  [19108] = {.lex_state = 435, .external_lex_state = 2},
  [19109] = {.lex_state = 41, .external_lex_state = 2},
  [19110] = {.lex_state = 435, .external_lex_state = 2},
  [19111] = {.lex_state = 435, .external_lex_state = 2},
  [19112] = {.lex_state = 158, .external_lex_state = 2},
  [19113] = {.lex_state = 41, .external_lex_state = 2},
  [19114] = {.lex_state = 435, .external_lex_state = 2},
  [19115] = {.lex_state = 435, .external_lex_state = 2},
  [19116] = {.lex_state = 435, .external_lex_state = 2},
  [19117] = {.lex_state = 165, .external_lex_state = 2},
  [19118] = {.lex_state = 41, .external_lex_state = 2},
  [19119] = {.lex_state = 435, .external_lex_state = 2},
  [19120] = {.lex_state = 158, .external_lex_state = 2},
  [19121] = {.lex_state = 435, .external_lex_state = 2},
  [19122] = {.lex_state = 435, .external_lex_state = 2},
  [19123] = {.lex_state = 158, .external_lex_state = 2},
  [19124] = {.lex_state = 435, .external_lex_state = 2},
  [19125] = {.lex_state = 435, .external_lex_state = 9},
  [19126] = {.lex_state = 435, .external_lex_state = 2},
  [19127] = {.lex_state = 435, .external_lex_state = 2},
  [19128] = {.lex_state = 435, .external_lex_state = 2},
  [19129] = {.lex_state = 435, .external_lex_state = 2},
  [19130] = {.lex_state = 435, .external_lex_state = 2},
  [19131] = {.lex_state = 435, .external_lex_state = 2},
  [19132] = {.lex_state = 435, .external_lex_state = 2},
  [19133] = {.lex_state = 435, .external_lex_state = 2},
  [19134] = {.lex_state = 435, .external_lex_state = 2},
  [19135] = {.lex_state = 435, .external_lex_state = 2},
  [19136] = {.lex_state = 435, .external_lex_state = 2},
  [19137] = {.lex_state = 41, .external_lex_state = 2},
  [19138] = {.lex_state = 435, .external_lex_state = 2},
  [19139] = {.lex_state = 435, .external_lex_state = 2},
  [19140] = {.lex_state = 435, .external_lex_state = 2},
  [19141] = {.lex_state = 435, .external_lex_state = 2},
  [19142] = {.lex_state = 41, .external_lex_state = 2},
  [19143] = {.lex_state = 435, .external_lex_state = 2},
  [19144] = {.lex_state = 435, .external_lex_state = 2},
  [19145] = {.lex_state = 435, .external_lex_state = 2},
  [19146] = {.lex_state = 435, .external_lex_state = 2},
  [19147] = {.lex_state = 158, .external_lex_state = 2},
  [19148] = {.lex_state = 158, .external_lex_state = 2},
  [19149] = {.lex_state = 435, .external_lex_state = 2},
  [19150] = {.lex_state = 158, .external_lex_state = 2},
  [19151] = {.lex_state = 435, .external_lex_state = 2},
  [19152] = {.lex_state = 435, .external_lex_state = 2},
  [19153] = {.lex_state = 435, .external_lex_state = 2},
  [19154] = {.lex_state = 435, .external_lex_state = 2},
  [19155] = {.lex_state = 158, .external_lex_state = 2},
  [19156] = {.lex_state = 41, .external_lex_state = 2},
  [19157] = {.lex_state = 435, .external_lex_state = 2},
  [19158] = {.lex_state = 158, .external_lex_state = 2},
  [19159] = {.lex_state = 435, .external_lex_state = 2},
  [19160] = {.lex_state = 435, .external_lex_state = 2},
  [19161] = {.lex_state = 435, .external_lex_state = 2},
  [19162] = {.lex_state = 435, .external_lex_state = 2},
  [19163] = {.lex_state = 165, .external_lex_state = 2},
  [19164] = {.lex_state = 165, .external_lex_state = 2},
  [19165] = {.lex_state = 435, .external_lex_state = 2},
  [19166] = {.lex_state = 435, .external_lex_state = 2},
  [19167] = {.lex_state = 158, .external_lex_state = 2},
  [19168] = {.lex_state = 435, .external_lex_state = 2},
  [19169] = {.lex_state = 165, .external_lex_state = 2},
  [19170] = {.lex_state = 435, .external_lex_state = 2},
  [19171] = {.lex_state = 41, .external_lex_state = 2},
  [19172] = {.lex_state = 435, .external_lex_state = 2},
  [19173] = {.lex_state = 435, .external_lex_state = 2},
  [19174] = {.lex_state = 435, .external_lex_state = 2},
  [19175] = {.lex_state = 435, .external_lex_state = 2},
  [19176] = {.lex_state = 435, .external_lex_state = 2},
  [19177] = {.lex_state = 435, .external_lex_state = 2},
  [19178] = {.lex_state = 435, .external_lex_state = 2},
  [19179] = {.lex_state = 435, .external_lex_state = 2},
  [19180] = {.lex_state = 435, .external_lex_state = 2},
  [19181] = {.lex_state = 9, .external_lex_state = 2},
  [19182] = {.lex_state = 435, .external_lex_state = 2},
  [19183] = {.lex_state = 435, .external_lex_state = 2},
  [19184] = {.lex_state = 435, .external_lex_state = 2},
  [19185] = {.lex_state = 435, .external_lex_state = 2},
  [19186] = {.lex_state = 435, .external_lex_state = 2},
  [19187] = {.lex_state = 435, .external_lex_state = 2},
  [19188] = {.lex_state = 435, .external_lex_state = 2},
  [19189] = {.lex_state = 435, .external_lex_state = 2},
  [19190] = {.lex_state = 435, .external_lex_state = 2},
  [19191] = {.lex_state = 9, .external_lex_state = 2},
  [19192] = {.lex_state = 435, .external_lex_state = 2},
  [19193] = {.lex_state = 165, .external_lex_state = 2},
  [19194] = {.lex_state = 435, .external_lex_state = 2},
  [19195] = {.lex_state = 9, .external_lex_state = 2},
  [19196] = {.lex_state = 165, .external_lex_state = 2},
  [19197] = {.lex_state = 435, .external_lex_state = 2},
  [19198] = {.lex_state = 435, .external_lex_state = 2},
  [19199] = {.lex_state = 435, .external_lex_state = 2},
  [19200] = {.lex_state = 165, .external_lex_state = 2},
  [19201] = {.lex_state = 435, .external_lex_state = 2},
  [19202] = {.lex_state = 165, .external_lex_state = 2},
  [19203] = {.lex_state = 435, .external_lex_state = 2},
  [19204] = {.lex_state = 435, .external_lex_state = 2},
  [19205] = {.lex_state = 165, .external_lex_state = 2},
  [19206] = {.lex_state = 158, .external_lex_state = 2},
  [19207] = {.lex_state = 435, .external_lex_state = 2},
  [19208] = {.lex_state = 435, .external_lex_state = 2},
  [19209] = {.lex_state = 435, .external_lex_state = 2},
  [19210] = {.lex_state = 435, .external_lex_state = 2},
  [19211] = {.lex_state = 165, .external_lex_state = 2},
  [19212] = {.lex_state = 165, .external_lex_state = 2},
  [19213] = {.lex_state = 165, .external_lex_state = 2},
  [19214] = {.lex_state = 435, .external_lex_state = 2},
  [19215] = {.lex_state = 435, .external_lex_state = 2},
  [19216] = {.lex_state = 435, .external_lex_state = 2},
  [19217] = {.lex_state = 435, .external_lex_state = 2},
  [19218] = {.lex_state = 435, .external_lex_state = 2},
  [19219] = {.lex_state = 435, .external_lex_state = 2},
  [19220] = {.lex_state = 435, .external_lex_state = 2},
  [19221] = {.lex_state = 9, .external_lex_state = 2},
  [19222] = {.lex_state = 435, .external_lex_state = 2},
  [19223] = {.lex_state = 435, .external_lex_state = 2},
  [19224] = {.lex_state = 435, .external_lex_state = 2},
  [19225] = {.lex_state = 158, .external_lex_state = 2},
  [19226] = {.lex_state = 435, .external_lex_state = 2},
  [19227] = {.lex_state = 165, .external_lex_state = 2},
  [19228] = {.lex_state = 165, .external_lex_state = 2},
  [19229] = {.lex_state = 435, .external_lex_state = 2},
  [19230] = {.lex_state = 9, .external_lex_state = 2},
  [19231] = {.lex_state = 435, .external_lex_state = 2},
  [19232] = {.lex_state = 435, .external_lex_state = 2},
  [19233] = {.lex_state = 435, .external_lex_state = 2},
  [19234] = {.lex_state = 435, .external_lex_state = 2},
  [19235] = {.lex_state = 435, .external_lex_state = 2},
  [19236] = {.lex_state = 435, .external_lex_state = 2},
  [19237] = {.lex_state = 435, .external_lex_state = 2},
  [19238] = {.lex_state = 435, .external_lex_state = 2},
  [19239] = {.lex_state = 165, .external_lex_state = 2},
  [19240] = {.lex_state = 435, .external_lex_state = 2},
  [19241] = {.lex_state = 165, .external_lex_state = 2},
  [19242] = {.lex_state = 435, .external_lex_state = 2},
  [19243] = {.lex_state = 165, .external_lex_state = 2},
  [19244] = {.lex_state = 435, .external_lex_state = 2},
  [19245] = {.lex_state = 435, .external_lex_state = 2},
  [19246] = {.lex_state = 435, .external_lex_state = 2},
  [19247] = {.lex_state = 435, .external_lex_state = 2},
  [19248] = {.lex_state = 435, .external_lex_state = 2},
  [19249] = {.lex_state = 9, .external_lex_state = 2},
  [19250] = {.lex_state = 435, .external_lex_state = 2},
  [19251] = {.lex_state = 435, .external_lex_state = 2},
  [19252] = {.lex_state = 435, .external_lex_state = 2},
  [19253] = {.lex_state = 158, .external_lex_state = 2},
  [19254] = {.lex_state = 158, .external_lex_state = 2},
  [19255] = {.lex_state = 435, .external_lex_state = 3},
  [19256] = {.lex_state = 435, .external_lex_state = 2},
  [19257] = {.lex_state = 435, .external_lex_state = 2},
  [19258] = {.lex_state = 435, .external_lex_state = 2},
  [19259] = {.lex_state = 435, .external_lex_state = 2},
  [19260] = {.lex_state = 435, .external_lex_state = 2},
  [19261] = {.lex_state = 435, .external_lex_state = 2},
  [19262] = {.lex_state = 9, .external_lex_state = 2},
  [19263] = {.lex_state = 435, .external_lex_state = 2},
  [19264] = {.lex_state = 158, .external_lex_state = 2},
  [19265] = {.lex_state = 158, .external_lex_state = 2},
  [19266] = {.lex_state = 435, .external_lex_state = 2},
  [19267] = {.lex_state = 435, .external_lex_state = 3},
  [19268] = {.lex_state = 435, .external_lex_state = 2},
  [19269] = {.lex_state = 435, .external_lex_state = 2},
  [19270] = {.lex_state = 435, .external_lex_state = 2},
  [19271] = {.lex_state = 435, .external_lex_state = 2},
  [19272] = {.lex_state = 435, .external_lex_state = 2},
  [19273] = {.lex_state = 435, .external_lex_state = 2},
  [19274] = {.lex_state = 435, .external_lex_state = 2},
  [19275] = {.lex_state = 435, .external_lex_state = 2},
  [19276] = {.lex_state = 435, .external_lex_state = 2},
  [19277] = {.lex_state = 165, .external_lex_state = 2},
  [19278] = {.lex_state = 435, .external_lex_state = 2},
  [19279] = {.lex_state = 435, .external_lex_state = 2},
  [19280] = {.lex_state = 165, .external_lex_state = 2},
  [19281] = {.lex_state = 435, .external_lex_state = 2},
  [19282] = {.lex_state = 435, .external_lex_state = 2},
  [19283] = {.lex_state = 158, .external_lex_state = 2},
  [19284] = {.lex_state = 435, .external_lex_state = 2},
  [19285] = {.lex_state = 435, .external_lex_state = 2},
  [19286] = {.lex_state = 435, .external_lex_state = 2},
  [19287] = {.lex_state = 435, .external_lex_state = 2},
  [19288] = {.lex_state = 435, .external_lex_state = 2},
  [19289] = {.lex_state = 435, .external_lex_state = 2},
  [19290] = {.lex_state = 435, .external_lex_state = 2},
  [19291] = {.lex_state = 435, .external_lex_state = 2},
  [19292] = {.lex_state = 41, .external_lex_state = 2},
  [19293] = {.lex_state = 435, .external_lex_state = 2},
  [19294] = {.lex_state = 435, .external_lex_state = 2},
  [19295] = {.lex_state = 435, .external_lex_state = 2},
  [19296] = {.lex_state = 435, .external_lex_state = 2},
  [19297] = {.lex_state = 165, .external_lex_state = 2},
  [19298] = {.lex_state = 435, .external_lex_state = 2},
  [19299] = {.lex_state = 435, .external_lex_state = 2},
  [19300] = {.lex_state = 435, .external_lex_state = 2},
  [19301] = {.lex_state = 435, .external_lex_state = 2},
  [19302] = {.lex_state = 9, .external_lex_state = 2},
  [19303] = {.lex_state = 435, .external_lex_state = 2},
  [19304] = {.lex_state = 435, .external_lex_state = 2},
  [19305] = {.lex_state = 435, .external_lex_state = 2},
  [19306] = {.lex_state = 435, .external_lex_state = 2},
  [19307] = {.lex_state = 435, .external_lex_state = 2},
  [19308] = {.lex_state = 435, .external_lex_state = 2},
  [19309] = {.lex_state = 435, .external_lex_state = 2},
  [19310] = {.lex_state = 435, .external_lex_state = 2},
  [19311] = {.lex_state = 158, .external_lex_state = 2},
  [19312] = {.lex_state = 435, .external_lex_state = 2},
  [19313] = {.lex_state = 435, .external_lex_state = 2},
  [19314] = {.lex_state = 435, .external_lex_state = 2},
  [19315] = {.lex_state = 435, .external_lex_state = 2},
  [19316] = {.lex_state = 435, .external_lex_state = 2},
  [19317] = {.lex_state = 435, .external_lex_state = 2},
  [19318] = {.lex_state = 435, .external_lex_state = 2},
  [19319] = {.lex_state = 435, .external_lex_state = 2},
  [19320] = {.lex_state = 158, .external_lex_state = 2},
  [19321] = {.lex_state = 435, .external_lex_state = 3},
  [19322] = {.lex_state = 158, .external_lex_state = 2},
  [19323] = {.lex_state = 435, .external_lex_state = 2},
  [19324] = {.lex_state = 435, .external_lex_state = 2},
  [19325] = {.lex_state = 435, .external_lex_state = 2},
  [19326] = {.lex_state = 435, .external_lex_state = 2},
  [19327] = {.lex_state = 435, .external_lex_state = 2},
  [19328] = {.lex_state = 435, .external_lex_state = 2},
  [19329] = {.lex_state = 435, .external_lex_state = 2},
  [19330] = {.lex_state = 435, .external_lex_state = 2},
  [19331] = {.lex_state = 435, .external_lex_state = 2},
  [19332] = {.lex_state = 165, .external_lex_state = 2},
  [19333] = {.lex_state = 435, .external_lex_state = 2},
  [19334] = {.lex_state = 435, .external_lex_state = 2},
  [19335] = {.lex_state = 435, .external_lex_state = 2},
  [19336] = {.lex_state = 435, .external_lex_state = 2},
  [19337] = {.lex_state = 435, .external_lex_state = 2},
  [19338] = {.lex_state = 435, .external_lex_state = 2},
  [19339] = {.lex_state = 435, .external_lex_state = 2},
  [19340] = {.lex_state = 9, .external_lex_state = 2},
  [19341] = {.lex_state = 158, .external_lex_state = 2},
  [19342] = {.lex_state = 435, .external_lex_state = 2},
  [19343] = {.lex_state = 435, .external_lex_state = 2},
  [19344] = {.lex_state = 435, .external_lex_state = 2},
  [19345] = {.lex_state = 435, .external_lex_state = 2},
  [19346] = {.lex_state = 435, .external_lex_state = 2},
  [19347] = {.lex_state = 435, .external_lex_state = 2},
  [19348] = {.lex_state = 435, .external_lex_state = 2},
  [19349] = {.lex_state = 158, .external_lex_state = 2},
  [19350] = {.lex_state = 435, .external_lex_state = 2},
  [19351] = {.lex_state = 435, .external_lex_state = 2},
  [19352] = {.lex_state = 435, .external_lex_state = 2},
  [19353] = {.lex_state = 435, .external_lex_state = 2},
  [19354] = {.lex_state = 435, .external_lex_state = 2},
  [19355] = {.lex_state = 435, .external_lex_state = 2},
  [19356] = {.lex_state = 435, .external_lex_state = 2},
  [19357] = {.lex_state = 435, .external_lex_state = 2},
  [19358] = {.lex_state = 158, .external_lex_state = 2},
  [19359] = {.lex_state = 435, .external_lex_state = 2},
  [19360] = {.lex_state = 158, .external_lex_state = 2},
  [19361] = {.lex_state = 435, .external_lex_state = 3},
  [19362] = {.lex_state = 158, .external_lex_state = 2},
  [19363] = {.lex_state = 435, .external_lex_state = 2},
  [19364] = {.lex_state = 435, .external_lex_state = 2},
  [19365] = {.lex_state = 435, .external_lex_state = 2},
  [19366] = {.lex_state = 435, .external_lex_state = 2},
  [19367] = {.lex_state = 435, .external_lex_state = 2},
  [19368] = {.lex_state = 435, .external_lex_state = 2},
  [19369] = {.lex_state = 435, .external_lex_state = 2},
  [19370] = {.lex_state = 435, .external_lex_state = 2},
  [19371] = {.lex_state = 158, .external_lex_state = 2},
  [19372] = {.lex_state = 435, .external_lex_state = 2},
  [19373] = {.lex_state = 435, .external_lex_state = 2},
  [19374] = {.lex_state = 435, .external_lex_state = 2},
  [19375] = {.lex_state = 435, .external_lex_state = 2},
  [19376] = {.lex_state = 435, .external_lex_state = 2},
  [19377] = {.lex_state = 435, .external_lex_state = 2},
  [19378] = {.lex_state = 435, .external_lex_state = 2},
  [19379] = {.lex_state = 435, .external_lex_state = 2},
  [19380] = {.lex_state = 435, .external_lex_state = 2},
  [19381] = {.lex_state = 435, .external_lex_state = 2},
  [19382] = {.lex_state = 435, .external_lex_state = 2},
  [19383] = {.lex_state = 435, .external_lex_state = 2},
  [19384] = {.lex_state = 435, .external_lex_state = 2},
  [19385] = {.lex_state = 435, .external_lex_state = 2},
  [19386] = {.lex_state = 435, .external_lex_state = 2},
  [19387] = {.lex_state = 435, .external_lex_state = 2},
  [19388] = {.lex_state = 435, .external_lex_state = 2},
  [19389] = {.lex_state = 435, .external_lex_state = 2},
  [19390] = {.lex_state = 435, .external_lex_state = 2},
  [19391] = {.lex_state = 165, .external_lex_state = 2},
  [19392] = {.lex_state = 435, .external_lex_state = 2},
  [19393] = {.lex_state = 158, .external_lex_state = 2},
  [19394] = {.lex_state = 435, .external_lex_state = 2},
  [19395] = {.lex_state = 435, .external_lex_state = 2},
  [19396] = {.lex_state = 435, .external_lex_state = 2},
  [19397] = {.lex_state = 435, .external_lex_state = 2},
  [19398] = {.lex_state = 435, .external_lex_state = 2},
  [19399] = {.lex_state = 435, .external_lex_state = 2},
  [19400] = {.lex_state = 435, .external_lex_state = 2},
  [19401] = {.lex_state = 435, .external_lex_state = 2},
  [19402] = {.lex_state = 435, .external_lex_state = 2},
  [19403] = {.lex_state = 435, .external_lex_state = 2},
  [19404] = {.lex_state = 435, .external_lex_state = 2},
  [19405] = {.lex_state = 435, .external_lex_state = 2},
  [19406] = {.lex_state = 435, .external_lex_state = 2},
  [19407] = {.lex_state = 41, .external_lex_state = 2},
  [19408] = {.lex_state = 435, .external_lex_state = 2},
  [19409] = {.lex_state = 435, .external_lex_state = 2},
  [19410] = {.lex_state = 435, .external_lex_state = 2},
  [19411] = {.lex_state = 435, .external_lex_state = 2},
  [19412] = {.lex_state = 435, .external_lex_state = 2},
  [19413] = {.lex_state = 435, .external_lex_state = 2},
  [19414] = {.lex_state = 435, .external_lex_state = 2},
  [19415] = {.lex_state = 435, .external_lex_state = 2},
  [19416] = {.lex_state = 435, .external_lex_state = 2},
  [19417] = {.lex_state = 435, .external_lex_state = 2},
  [19418] = {.lex_state = 435, .external_lex_state = 2},
  [19419] = {.lex_state = 158, .external_lex_state = 2},
  [19420] = {.lex_state = 435, .external_lex_state = 2},
  [19421] = {.lex_state = 435, .external_lex_state = 2},
  [19422] = {.lex_state = 158, .external_lex_state = 2},
  [19423] = {.lex_state = 435, .external_lex_state = 2},
  [19424] = {.lex_state = 435, .external_lex_state = 2},
  [19425] = {.lex_state = 435, .external_lex_state = 2},
  [19426] = {.lex_state = 435, .external_lex_state = 2},
  [19427] = {.lex_state = 41, .external_lex_state = 2},
  [19428] = {.lex_state = 9, .external_lex_state = 2},
  [19429] = {.lex_state = 435, .external_lex_state = 2},
  [19430] = {.lex_state = 435, .external_lex_state = 2},
  [19431] = {.lex_state = 435, .external_lex_state = 2},
  [19432] = {.lex_state = 435, .external_lex_state = 2},
  [19433] = {.lex_state = 435, .external_lex_state = 2},
  [19434] = {.lex_state = 435, .external_lex_state = 2},
  [19435] = {.lex_state = 435, .external_lex_state = 2},
  [19436] = {.lex_state = 435, .external_lex_state = 2},
  [19437] = {.lex_state = 435, .external_lex_state = 2},
  [19438] = {.lex_state = 435, .external_lex_state = 2},
  [19439] = {.lex_state = 435, .external_lex_state = 2},
  [19440] = {.lex_state = 435, .external_lex_state = 2},
  [19441] = {.lex_state = 435, .external_lex_state = 2},
  [19442] = {.lex_state = 435, .external_lex_state = 2},
  [19443] = {.lex_state = 435, .external_lex_state = 2},
  [19444] = {.lex_state = 435, .external_lex_state = 2},
  [19445] = {.lex_state = 165, .external_lex_state = 2},
  [19446] = {.lex_state = 435, .external_lex_state = 2},
  [19447] = {.lex_state = 435, .external_lex_state = 2},
  [19448] = {.lex_state = 435, .external_lex_state = 2},
  [19449] = {.lex_state = 435, .external_lex_state = 2},
  [19450] = {.lex_state = 435, .external_lex_state = 2},
  [19451] = {.lex_state = 158, .external_lex_state = 2},
  [19452] = {.lex_state = 435, .external_lex_state = 2},
  [19453] = {.lex_state = 165, .external_lex_state = 2},
  [19454] = {.lex_state = 435, .external_lex_state = 2},
  [19455] = {.lex_state = 158, .external_lex_state = 2},
  [19456] = {.lex_state = 435, .external_lex_state = 2},
  [19457] = {.lex_state = 158, .external_lex_state = 2},
  [19458] = {.lex_state = 435, .external_lex_state = 2},
  [19459] = {.lex_state = 435, .external_lex_state = 2},
  [19460] = {.lex_state = 165, .external_lex_state = 2},
  [19461] = {.lex_state = 435, .external_lex_state = 2},
  [19462] = {.lex_state = 435, .external_lex_state = 2},
  [19463] = {.lex_state = 435, .external_lex_state = 2},
  [19464] = {.lex_state = 435, .external_lex_state = 2},
  [19465] = {.lex_state = 435, .external_lex_state = 2},
  [19466] = {.lex_state = 435, .external_lex_state = 2},
  [19467] = {.lex_state = 9, .external_lex_state = 2},
  [19468] = {.lex_state = 435, .external_lex_state = 2},
  [19469] = {.lex_state = 435, .external_lex_state = 2},
  [19470] = {.lex_state = 435, .external_lex_state = 2},
  [19471] = {.lex_state = 435, .external_lex_state = 2},
  [19472] = {.lex_state = 435, .external_lex_state = 2},
  [19473] = {.lex_state = 165, .external_lex_state = 2},
  [19474] = {.lex_state = 158, .external_lex_state = 2},
  [19475] = {.lex_state = 435, .external_lex_state = 2},
  [19476] = {.lex_state = 435, .external_lex_state = 2},
  [19477] = {.lex_state = 41, .external_lex_state = 2},
  [19478] = {.lex_state = 435, .external_lex_state = 2},
  [19479] = {.lex_state = 158, .external_lex_state = 2},
  [19480] = {.lex_state = 435, .external_lex_state = 2},
  [19481] = {.lex_state = 435, .external_lex_state = 2},
  [19482] = {.lex_state = 435, .external_lex_state = 2},
  [19483] = {.lex_state = 435, .external_lex_state = 2},
  [19484] = {.lex_state = 435, .external_lex_state = 2},
  [19485] = {.lex_state = 435, .external_lex_state = 2},
  [19486] = {.lex_state = 158, .external_lex_state = 2},
  [19487] = {.lex_state = 435, .external_lex_state = 3},
  [19488] = {.lex_state = 435, .external_lex_state = 2},
  [19489] = {.lex_state = 435, .external_lex_state = 2},
  [19490] = {.lex_state = 435, .external_lex_state = 2},
  [19491] = {.lex_state = 435, .external_lex_state = 2},
  [19492] = {.lex_state = 435, .external_lex_state = 2},
  [19493] = {.lex_state = 435, .external_lex_state = 2},
  [19494] = {.lex_state = 435, .external_lex_state = 2},
  [19495] = {.lex_state = 435, .external_lex_state = 2},
  [19496] = {.lex_state = 435, .external_lex_state = 2},
  [19497] = {.lex_state = 435, .external_lex_state = 2},
  [19498] = {.lex_state = 435, .external_lex_state = 2},
  [19499] = {.lex_state = 435, .external_lex_state = 2},
  [19500] = {.lex_state = 435, .external_lex_state = 2},
  [19501] = {.lex_state = 435, .external_lex_state = 2},
  [19502] = {.lex_state = 435, .external_lex_state = 2},
  [19503] = {.lex_state = 158, .external_lex_state = 2},
  [19504] = {.lex_state = 435, .external_lex_state = 2},
  [19505] = {.lex_state = 158, .external_lex_state = 2},
  [19506] = {.lex_state = 435, .external_lex_state = 2},
  [19507] = {.lex_state = 435, .external_lex_state = 2},
  [19508] = {.lex_state = 165, .external_lex_state = 2},
  [19509] = {.lex_state = 158, .external_lex_state = 2},
  [19510] = {.lex_state = 435, .external_lex_state = 2},
  [19511] = {.lex_state = 435, .external_lex_state = 2},
  [19512] = {.lex_state = 435, .external_lex_state = 2},
  [19513] = {.lex_state = 435, .external_lex_state = 2},
  [19514] = {.lex_state = 435, .external_lex_state = 2},
  [19515] = {.lex_state = 435, .external_lex_state = 2},
  [19516] = {.lex_state = 435, .external_lex_state = 2},
  [19517] = {.lex_state = 435, .external_lex_state = 2},
  [19518] = {.lex_state = 435, .external_lex_state = 2},
  [19519] = {.lex_state = 158, .external_lex_state = 2},
  [19520] = {.lex_state = 158, .external_lex_state = 2},
  [19521] = {.lex_state = 435, .external_lex_state = 2},
  [19522] = {.lex_state = 435, .external_lex_state = 2},
  [19523] = {.lex_state = 435, .external_lex_state = 2},
  [19524] = {.lex_state = 435, .external_lex_state = 2},
  [19525] = {.lex_state = 41, .external_lex_state = 2},
  [19526] = {.lex_state = 435, .external_lex_state = 2},
  [19527] = {.lex_state = 435, .external_lex_state = 2},
  [19528] = {.lex_state = 435, .external_lex_state = 2},
  [19529] = {.lex_state = 435, .external_lex_state = 2},
  [19530] = {.lex_state = 435, .external_lex_state = 2},
  [19531] = {.lex_state = 41, .external_lex_state = 2},
  [19532] = {.lex_state = 435, .external_lex_state = 2},
  [19533] = {.lex_state = 41, .external_lex_state = 2},
  [19534] = {.lex_state = 435, .external_lex_state = 2},
  [19535] = {.lex_state = 435, .external_lex_state = 2},
  [19536] = {.lex_state = 165, .external_lex_state = 2},
  [19537] = {.lex_state = 165, .external_lex_state = 2},
  [19538] = {.lex_state = 9, .external_lex_state = 2},
  [19539] = {.lex_state = 435, .external_lex_state = 2},
  [19540] = {.lex_state = 435, .external_lex_state = 2},
  [19541] = {.lex_state = 435, .external_lex_state = 2},
  [19542] = {.lex_state = 435, .external_lex_state = 2},
  [19543] = {.lex_state = 435, .external_lex_state = 2},
  [19544] = {.lex_state = 435, .external_lex_state = 2},
  [19545] = {.lex_state = 435, .external_lex_state = 2},
  [19546] = {.lex_state = 41, .external_lex_state = 2},
  [19547] = {.lex_state = 435, .external_lex_state = 2},
  [19548] = {.lex_state = 435, .external_lex_state = 2},
  [19549] = {.lex_state = 435, .external_lex_state = 2},
  [19550] = {.lex_state = 435, .external_lex_state = 2},
  [19551] = {.lex_state = 435, .external_lex_state = 2},
  [19552] = {.lex_state = 435, .external_lex_state = 2},
  [19553] = {.lex_state = 41, .external_lex_state = 2},
  [19554] = {.lex_state = 435, .external_lex_state = 2},
  [19555] = {.lex_state = 9, .external_lex_state = 2},
  [19556] = {.lex_state = 435, .external_lex_state = 2},
  [19557] = {.lex_state = 435, .external_lex_state = 2},
  [19558] = {.lex_state = 435, .external_lex_state = 2},
  [19559] = {.lex_state = 435, .external_lex_state = 2},
  [19560] = {.lex_state = 435, .external_lex_state = 2},
  [19561] = {.lex_state = 165, .external_lex_state = 2},
  [19562] = {.lex_state = 435, .external_lex_state = 2},
  [19563] = {.lex_state = 435, .external_lex_state = 2},
  [19564] = {.lex_state = 435, .external_lex_state = 2},
  [19565] = {.lex_state = 435, .external_lex_state = 2},
  [19566] = {.lex_state = 165, .external_lex_state = 2},
  [19567] = {.lex_state = 9, .external_lex_state = 2},
  [19568] = {.lex_state = 165, .external_lex_state = 2},
  [19569] = {.lex_state = 435, .external_lex_state = 2},
  [19570] = {.lex_state = 41, .external_lex_state = 2},
  [19571] = {.lex_state = 435, .external_lex_state = 2},
  [19572] = {.lex_state = 435, .external_lex_state = 2},
  [19573] = {.lex_state = 435, .external_lex_state = 2},
  [19574] = {.lex_state = 435, .external_lex_state = 2},
  [19575] = {.lex_state = 165, .external_lex_state = 2},
  [19576] = {.lex_state = 435, .external_lex_state = 2},
  [19577] = {.lex_state = 435, .external_lex_state = 2},
  [19578] = {.lex_state = 435, .external_lex_state = 2},
  [19579] = {.lex_state = 435, .external_lex_state = 2},
  [19580] = {.lex_state = 165, .external_lex_state = 2},
  [19581] = {.lex_state = 165, .external_lex_state = 2},
  [19582] = {.lex_state = 165, .external_lex_state = 2},
  [19583] = {.lex_state = 165, .external_lex_state = 2},
  [19584] = {.lex_state = 435, .external_lex_state = 2},
  [19585] = {.lex_state = 9, .external_lex_state = 2},
  [19586] = {.lex_state = 435, .external_lex_state = 2},
  [19587] = {.lex_state = 435, .external_lex_state = 2},
  [19588] = {.lex_state = 435, .external_lex_state = 2},
  [19589] = {.lex_state = 435, .external_lex_state = 2},
  [19590] = {.lex_state = 435, .external_lex_state = 2},
  [19591] = {.lex_state = 435, .external_lex_state = 2},
  [19592] = {.lex_state = 435, .external_lex_state = 2},
  [19593] = {.lex_state = 9, .external_lex_state = 2},
  [19594] = {.lex_state = 435, .external_lex_state = 2},
  [19595] = {.lex_state = 9, .external_lex_state = 2},
  [19596] = {.lex_state = 435, .external_lex_state = 2},
  [19597] = {.lex_state = 165, .external_lex_state = 2},
  [19598] = {.lex_state = 165, .external_lex_state = 2},
  [19599] = {.lex_state = 435, .external_lex_state = 2},
  [19600] = {.lex_state = 165, .external_lex_state = 2},
  [19601] = {.lex_state = 435, .external_lex_state = 2},
  [19602] = {.lex_state = 435, .external_lex_state = 2},
  [19603] = {.lex_state = 435, .external_lex_state = 2},
  [19604] = {.lex_state = 165, .external_lex_state = 2},
  [19605] = {.lex_state = 9, .external_lex_state = 2},
  [19606] = {.lex_state = 435, .external_lex_state = 2},
  [19607] = {.lex_state = 435, .external_lex_state = 2},
  [19608] = {.lex_state = 435, .external_lex_state = 2},
  [19609] = {.lex_state = 9, .external_lex_state = 2},
  [19610] = {.lex_state = 9, .external_lex_state = 2},
  [19611] = {.lex_state = 435, .external_lex_state = 2},
  [19612] = {.lex_state = 435, .external_lex_state = 2},
  [19613] = {.lex_state = 158, .external_lex_state = 2},
  [19614] = {.lex_state = 435, .external_lex_state = 2},
  [19615] = {.lex_state = 435, .external_lex_state = 2},
  [19616] = {.lex_state = 435, .external_lex_state = 2},
  [19617] = {.lex_state = 435, .external_lex_state = 2},
  [19618] = {.lex_state = 435, .external_lex_state = 2},
  [19619] = {.lex_state = 435, .external_lex_state = 2},
  [19620] = {.lex_state = 158, .external_lex_state = 2},
  [19621] = {.lex_state = 435, .external_lex_state = 3},
  [19622] = {.lex_state = 9, .external_lex_state = 2},
  [19623] = {.lex_state = 435, .external_lex_state = 2},
  [19624] = {.lex_state = 435, .external_lex_state = 2},
  [19625] = {.lex_state = 435, .external_lex_state = 2},
  [19626] = {.lex_state = 435, .external_lex_state = 2},
  [19627] = {.lex_state = 435, .external_lex_state = 2},
  [19628] = {.lex_state = 158, .external_lex_state = 2},
  [19629] = {.lex_state = 435, .external_lex_state = 2},
  [19630] = {.lex_state = 435, .external_lex_state = 2},
  [19631] = {.lex_state = 435, .external_lex_state = 2},
  [19632] = {.lex_state = 435, .external_lex_state = 2},
  [19633] = {.lex_state = 435, .external_lex_state = 2},
  [19634] = {.lex_state = 165, .external_lex_state = 2},
  [19635] = {.lex_state = 165, .external_lex_state = 2},
  [19636] = {.lex_state = 165, .external_lex_state = 2},
  [19637] = {.lex_state = 435, .external_lex_state = 2},
  [19638] = {.lex_state = 435, .external_lex_state = 2},
  [19639] = {.lex_state = 435, .external_lex_state = 2},
  [19640] = {.lex_state = 435, .external_lex_state = 2},
  [19641] = {.lex_state = 435, .external_lex_state = 2},
  [19642] = {.lex_state = 435, .external_lex_state = 2},
  [19643] = {.lex_state = 435, .external_lex_state = 2},
  [19644] = {.lex_state = 435, .external_lex_state = 2},
  [19645] = {.lex_state = 165, .external_lex_state = 2},
  [19646] = {.lex_state = 435, .external_lex_state = 2},
  [19647] = {.lex_state = 435, .external_lex_state = 2},
  [19648] = {.lex_state = 435, .external_lex_state = 2},
  [19649] = {.lex_state = 435, .external_lex_state = 2},
  [19650] = {.lex_state = 435, .external_lex_state = 2},
  [19651] = {.lex_state = 435, .external_lex_state = 2},
  [19652] = {.lex_state = 435, .external_lex_state = 2},
  [19653] = {.lex_state = 435, .external_lex_state = 2},
  [19654] = {.lex_state = 435, .external_lex_state = 2},
  [19655] = {.lex_state = 9, .external_lex_state = 2},
  [19656] = {.lex_state = 435, .external_lex_state = 2},
  [19657] = {.lex_state = 158, .external_lex_state = 2},
  [19658] = {.lex_state = 435, .external_lex_state = 2},
  [19659] = {.lex_state = 435, .external_lex_state = 2},
  [19660] = {.lex_state = 158, .external_lex_state = 2},
  [19661] = {.lex_state = 435, .external_lex_state = 2},
  [19662] = {.lex_state = 435, .external_lex_state = 2},
  [19663] = {.lex_state = 435, .external_lex_state = 2},
  [19664] = {.lex_state = 158, .external_lex_state = 2},
  [19665] = {.lex_state = 9, .external_lex_state = 2},
  [19666] = {.lex_state = 435, .external_lex_state = 3},
  [19667] = {.lex_state = 435, .external_lex_state = 2},
  [19668] = {.lex_state = 158, .external_lex_state = 2},
  [19669] = {.lex_state = 158, .external_lex_state = 2},
  [19670] = {.lex_state = 435, .external_lex_state = 3},
  [19671] = {.lex_state = 435, .external_lex_state = 2},
  [19672] = {.lex_state = 435, .external_lex_state = 2},
  [19673] = {.lex_state = 435, .external_lex_state = 2},
  [19674] = {.lex_state = 435, .external_lex_state = 2},
  [19675] = {.lex_state = 435, .external_lex_state = 2},
  [19676] = {.lex_state = 435, .external_lex_state = 2},
  [19677] = {.lex_state = 435, .external_lex_state = 2},
  [19678] = {.lex_state = 435, .external_lex_state = 2},
  [19679] = {.lex_state = 435, .external_lex_state = 2},
  [19680] = {.lex_state = 435, .external_lex_state = 2},
  [19681] = {.lex_state = 435, .external_lex_state = 2},
  [19682] = {.lex_state = 435, .external_lex_state = 2},
  [19683] = {.lex_state = 435, .external_lex_state = 2},
  [19684] = {.lex_state = 435, .external_lex_state = 2},
  [19685] = {.lex_state = 435, .external_lex_state = 2},
  [19686] = {.lex_state = 435, .external_lex_state = 2},
  [19687] = {.lex_state = 9, .external_lex_state = 2},
  [19688] = {.lex_state = 435, .external_lex_state = 2},
  [19689] = {.lex_state = 435, .external_lex_state = 2},
  [19690] = {.lex_state = 435, .external_lex_state = 2},
  [19691] = {.lex_state = 435, .external_lex_state = 2},
  [19692] = {.lex_state = 435, .external_lex_state = 2},
  [19693] = {.lex_state = 435, .external_lex_state = 2},
  [19694] = {.lex_state = 435, .external_lex_state = 2},
  [19695] = {.lex_state = 158, .external_lex_state = 2},
  [19696] = {.lex_state = 165, .external_lex_state = 2},
  [19697] = {.lex_state = 435, .external_lex_state = 2},
  [19698] = {.lex_state = 435, .external_lex_state = 2},
  [19699] = {.lex_state = 435, .external_lex_state = 2},
  [19700] = {.lex_state = 165, .external_lex_state = 2},
  [19701] = {.lex_state = 435, .external_lex_state = 2},
  [19702] = {.lex_state = 435, .external_lex_state = 2},
  [19703] = {.lex_state = 435, .external_lex_state = 2},
  [19704] = {.lex_state = 435, .external_lex_state = 2},
  [19705] = {.lex_state = 435, .external_lex_state = 2},
  [19706] = {.lex_state = 435, .external_lex_state = 2},
  [19707] = {.lex_state = 435, .external_lex_state = 2},
  [19708] = {.lex_state = 435, .external_lex_state = 2},
  [19709] = {.lex_state = 435, .external_lex_state = 2},
  [19710] = {.lex_state = 165, .external_lex_state = 2},
  [19711] = {.lex_state = 435, .external_lex_state = 2},
  [19712] = {.lex_state = 435, .external_lex_state = 2},
  [19713] = {.lex_state = 435, .external_lex_state = 2},
  [19714] = {.lex_state = 435, .external_lex_state = 2},
  [19715] = {.lex_state = 9, .external_lex_state = 2},
  [19716] = {.lex_state = 165, .external_lex_state = 2},
  [19717] = {.lex_state = 165, .external_lex_state = 2},
  [19718] = {.lex_state = 435, .external_lex_state = 2},
  [19719] = {.lex_state = 435, .external_lex_state = 2},
  [19720] = {.lex_state = 165, .external_lex_state = 2},
  [19721] = {.lex_state = 435, .external_lex_state = 2},
  [19722] = {.lex_state = 435, .external_lex_state = 2},
  [19723] = {.lex_state = 435, .external_lex_state = 2},
  [19724] = {.lex_state = 165, .external_lex_state = 2},
  [19725] = {.lex_state = 435, .external_lex_state = 2},
  [19726] = {.lex_state = 435, .external_lex_state = 2},
  [19727] = {.lex_state = 158, .external_lex_state = 2},
  [19728] = {.lex_state = 435, .external_lex_state = 2},
  [19729] = {.lex_state = 435, .external_lex_state = 2},
  [19730] = {.lex_state = 435, .external_lex_state = 2},
  [19731] = {.lex_state = 435, .external_lex_state = 2},
  [19732] = {.lex_state = 435, .external_lex_state = 2},
  [19733] = {.lex_state = 435, .external_lex_state = 2},
  [19734] = {.lex_state = 435, .external_lex_state = 2},
  [19735] = {.lex_state = 435, .external_lex_state = 2},
  [19736] = {.lex_state = 435, .external_lex_state = 2},
  [19737] = {.lex_state = 435, .external_lex_state = 2},
  [19738] = {.lex_state = 435, .external_lex_state = 2},
  [19739] = {.lex_state = 435, .external_lex_state = 2},
  [19740] = {.lex_state = 9, .external_lex_state = 2},
  [19741] = {.lex_state = 435, .external_lex_state = 2},
  [19742] = {.lex_state = 165, .external_lex_state = 2},
  [19743] = {.lex_state = 435, .external_lex_state = 2},
  [19744] = {.lex_state = 435, .external_lex_state = 2},
  [19745] = {.lex_state = 435, .external_lex_state = 2},
  [19746] = {.lex_state = 41, .external_lex_state = 2},
  [19747] = {.lex_state = 435, .external_lex_state = 2},
  [19748] = {.lex_state = 9, .external_lex_state = 2},
  [19749] = {.lex_state = 435, .external_lex_state = 2},
  [19750] = {.lex_state = 435, .external_lex_state = 2},
  [19751] = {.lex_state = 435, .external_lex_state = 2},
  [19752] = {.lex_state = 435, .external_lex_state = 2},
  [19753] = {.lex_state = 435, .external_lex_state = 2},
  [19754] = {.lex_state = 435, .external_lex_state = 2},
  [19755] = {.lex_state = 165, .external_lex_state = 2},
  [19756] = {.lex_state = 435, .external_lex_state = 2},
  [19757] = {.lex_state = 165, .external_lex_state = 2},
  [19758] = {.lex_state = 435, .external_lex_state = 2},
  [19759] = {.lex_state = 435, .external_lex_state = 2},
  [19760] = {.lex_state = 435, .external_lex_state = 2},
  [19761] = {.lex_state = 435, .external_lex_state = 2},
  [19762] = {.lex_state = 435, .external_lex_state = 2},
  [19763] = {.lex_state = 435, .external_lex_state = 2},
  [19764] = {.lex_state = 435, .external_lex_state = 2},
  [19765] = {.lex_state = 435, .external_lex_state = 2},
  [19766] = {.lex_state = 435, .external_lex_state = 2},
  [19767] = {.lex_state = 435, .external_lex_state = 2},
  [19768] = {.lex_state = 435, .external_lex_state = 2},
  [19769] = {.lex_state = 435, .external_lex_state = 2},
  [19770] = {.lex_state = 435, .external_lex_state = 2},
  [19771] = {.lex_state = 165, .external_lex_state = 2},
  [19772] = {.lex_state = 435, .external_lex_state = 2},
  [19773] = {.lex_state = 165, .external_lex_state = 2},
  [19774] = {.lex_state = 435, .external_lex_state = 2},
  [19775] = {.lex_state = 158, .external_lex_state = 2},
  [19776] = {.lex_state = 165, .external_lex_state = 2},
  [19777] = {.lex_state = 435, .external_lex_state = 2},
  [19778] = {.lex_state = 158, .external_lex_state = 2},
  [19779] = {.lex_state = 435, .external_lex_state = 2},
  [19780] = {.lex_state = 435, .external_lex_state = 2},
  [19781] = {.lex_state = 435, .external_lex_state = 2},
  [19782] = {.lex_state = 435, .external_lex_state = 2},
  [19783] = {.lex_state = 41, .external_lex_state = 2},
  [19784] = {.lex_state = 435, .external_lex_state = 2},
  [19785] = {.lex_state = 435, .external_lex_state = 2},
  [19786] = {.lex_state = 435, .external_lex_state = 2},
  [19787] = {.lex_state = 435, .external_lex_state = 2},
  [19788] = {.lex_state = 435, .external_lex_state = 2},
  [19789] = {.lex_state = 435, .external_lex_state = 2},
  [19790] = {.lex_state = 435, .external_lex_state = 2},
  [19791] = {.lex_state = 435, .external_lex_state = 2},
  [19792] = {.lex_state = 435, .external_lex_state = 2},
  [19793] = {.lex_state = 435, .external_lex_state = 2},
  [19794] = {.lex_state = 435, .external_lex_state = 2},
  [19795] = {.lex_state = 435, .external_lex_state = 2},
  [19796] = {.lex_state = 41, .external_lex_state = 2},
  [19797] = {.lex_state = 435, .external_lex_state = 2},
  [19798] = {.lex_state = 165, .external_lex_state = 2},
  [19799] = {.lex_state = 435, .external_lex_state = 2},
  [19800] = {.lex_state = 41, .external_lex_state = 2},
  [19801] = {.lex_state = 435, .external_lex_state = 2},
  [19802] = {.lex_state = 435, .external_lex_state = 2},
  [19803] = {.lex_state = 435, .external_lex_state = 2},
  [19804] = {.lex_state = 435, .external_lex_state = 2},
  [19805] = {.lex_state = 435, .external_lex_state = 2},
  [19806] = {.lex_state = 435, .external_lex_state = 2},
  [19807] = {.lex_state = 435, .external_lex_state = 2},
  [19808] = {.lex_state = 435, .external_lex_state = 2},
  [19809] = {.lex_state = 435, .external_lex_state = 2},
  [19810] = {.lex_state = 435, .external_lex_state = 2},
  [19811] = {.lex_state = 158, .external_lex_state = 2},
  [19812] = {.lex_state = 158, .external_lex_state = 2},
  [19813] = {.lex_state = 435, .external_lex_state = 2},
  [19814] = {.lex_state = 435, .external_lex_state = 2},
  [19815] = {.lex_state = 435, .external_lex_state = 2},
  [19816] = {.lex_state = 158, .external_lex_state = 2},
  [19817] = {.lex_state = 435, .external_lex_state = 2},
  [19818] = {.lex_state = 41, .external_lex_state = 2},
  [19819] = {.lex_state = 435, .external_lex_state = 2},
  [19820] = {.lex_state = 435, .external_lex_state = 2},
  [19821] = {.lex_state = 435, .external_lex_state = 2},
  [19822] = {.lex_state = 165, .external_lex_state = 2},
  [19823] = {.lex_state = 435, .external_lex_state = 2},
  [19824] = {.lex_state = 9, .external_lex_state = 2},
  [19825] = {.lex_state = 158, .external_lex_state = 2},
  [19826] = {.lex_state = 158, .external_lex_state = 2},
  [19827] = {.lex_state = 158, .external_lex_state = 2},
  [19828] = {.lex_state = 435, .external_lex_state = 3},
  [19829] = {.lex_state = 165, .external_lex_state = 2},
  [19830] = {.lex_state = 435, .external_lex_state = 2},
  [19831] = {.lex_state = 435, .external_lex_state = 2},
  [19832] = {.lex_state = 435, .external_lex_state = 2},
  [19833] = {.lex_state = 435, .external_lex_state = 2},
  [19834] = {.lex_state = 435, .external_lex_state = 2},
  [19835] = {.lex_state = 158, .external_lex_state = 2},
  [19836] = {.lex_state = 435, .external_lex_state = 2},
  [19837] = {.lex_state = 435, .external_lex_state = 2},
  [19838] = {.lex_state = 435, .external_lex_state = 2},
  [19839] = {.lex_state = 41, .external_lex_state = 2},
  [19840] = {.lex_state = 435, .external_lex_state = 2},
  [19841] = {.lex_state = 435, .external_lex_state = 2},
  [19842] = {.lex_state = 435, .external_lex_state = 2},
  [19843] = {.lex_state = 435, .external_lex_state = 2},
  [19844] = {.lex_state = 435, .external_lex_state = 2},
  [19845] = {.lex_state = 435, .external_lex_state = 2},
  [19846] = {.lex_state = 435, .external_lex_state = 2},
  [19847] = {.lex_state = 435, .external_lex_state = 2},
  [19848] = {.lex_state = 435, .external_lex_state = 2},
  [19849] = {.lex_state = 435, .external_lex_state = 2},
  [19850] = {.lex_state = 435, .external_lex_state = 2},
  [19851] = {.lex_state = 435, .external_lex_state = 2},
  [19852] = {.lex_state = 435, .external_lex_state = 2},
  [19853] = {.lex_state = 435, .external_lex_state = 2},
  [19854] = {.lex_state = 9, .external_lex_state = 2},
  [19855] = {.lex_state = 435, .external_lex_state = 2},
  [19856] = {.lex_state = 435, .external_lex_state = 2},
  [19857] = {.lex_state = 435, .external_lex_state = 2},
  [19858] = {.lex_state = 435, .external_lex_state = 2},
  [19859] = {.lex_state = 435, .external_lex_state = 2},
  [19860] = {.lex_state = 435, .external_lex_state = 2},
  [19861] = {.lex_state = 435, .external_lex_state = 2},
  [19862] = {.lex_state = 435, .external_lex_state = 2},
  [19863] = {.lex_state = 435, .external_lex_state = 2},
  [19864] = {.lex_state = 435, .external_lex_state = 2},
  [19865] = {.lex_state = 435, .external_lex_state = 2},
  [19866] = {.lex_state = 435, .external_lex_state = 2},
  [19867] = {.lex_state = 435, .external_lex_state = 2},
  [19868] = {.lex_state = 435, .external_lex_state = 2},
  [19869] = {.lex_state = 435, .external_lex_state = 2},
  [19870] = {.lex_state = 435, .external_lex_state = 2},
  [19871] = {.lex_state = 435, .external_lex_state = 2},
  [19872] = {.lex_state = 435, .external_lex_state = 2},
  [19873] = {.lex_state = 435, .external_lex_state = 2},
  [19874] = {.lex_state = 165, .external_lex_state = 2},
  [19875] = {.lex_state = 158, .external_lex_state = 2},
  [19876] = {.lex_state = 435, .external_lex_state = 2},
  [19877] = {.lex_state = 435, .external_lex_state = 2},
  [19878] = {.lex_state = 435, .external_lex_state = 2},
  [19879] = {.lex_state = 165, .external_lex_state = 2},
  [19880] = {.lex_state = 158, .external_lex_state = 2},
  [19881] = {.lex_state = 435, .external_lex_state = 2},
  [19882] = {.lex_state = 435, .external_lex_state = 2},
  [19883] = {.lex_state = 435, .external_lex_state = 2},
  [19884] = {.lex_state = 435, .external_lex_state = 2},
  [19885] = {.lex_state = 165, .external_lex_state = 2},
  [19886] = {.lex_state = 435, .external_lex_state = 2},
  [19887] = {.lex_state = 435, .external_lex_state = 2},
  [19888] = {.lex_state = 435, .external_lex_state = 2},
  [19889] = {.lex_state = 165, .external_lex_state = 2},
  [19890] = {.lex_state = 158, .external_lex_state = 2},
  [19891] = {.lex_state = 435, .external_lex_state = 2},
  [19892] = {.lex_state = 435, .external_lex_state = 2},
  [19893] = {.lex_state = 435, .external_lex_state = 2},
  [19894] = {.lex_state = 165, .external_lex_state = 2},
  [19895] = {.lex_state = 158, .external_lex_state = 2},
  [19896] = {.lex_state = 435, .external_lex_state = 2},
  [19897] = {.lex_state = 435, .external_lex_state = 2},
  [19898] = {.lex_state = 435, .external_lex_state = 2},
  [19899] = {.lex_state = 41, .external_lex_state = 2},
  [19900] = {.lex_state = 435, .external_lex_state = 2},
  [19901] = {.lex_state = 435, .external_lex_state = 2},
  [19902] = {.lex_state = 435, .external_lex_state = 2},
  [19903] = {.lex_state = 165, .external_lex_state = 2},
  [19904] = {.lex_state = 158, .external_lex_state = 2},
  [19905] = {.lex_state = 435, .external_lex_state = 2},
  [19906] = {.lex_state = 158, .external_lex_state = 2},
  [19907] = {.lex_state = 435, .external_lex_state = 2},
  [19908] = {.lex_state = 435, .external_lex_state = 2},
  [19909] = {.lex_state = 435, .external_lex_state = 2},
  [19910] = {.lex_state = 435, .external_lex_state = 2},
  [19911] = {.lex_state = 435, .external_lex_state = 2},
  [19912] = {.lex_state = 435, .external_lex_state = 2},
  [19913] = {.lex_state = 435, .external_lex_state = 2},
  [19914] = {.lex_state = 435, .external_lex_state = 2},
  [19915] = {.lex_state = 41, .external_lex_state = 2},
  [19916] = {.lex_state = 435, .external_lex_state = 2},
  [19917] = {.lex_state = 435, .external_lex_state = 2},
  [19918] = {.lex_state = 435, .external_lex_state = 2},
  [19919] = {.lex_state = 255, .external_lex_state = 2},
  [19920] = {.lex_state = 435, .external_lex_state = 2},
  [19921] = {.lex_state = 158, .external_lex_state = 2},
  [19922] = {.lex_state = 435, .external_lex_state = 2},
  [19923] = {.lex_state = 435, .external_lex_state = 2},
  [19924] = {.lex_state = 435, .external_lex_state = 2},
  [19925] = {.lex_state = 435, .external_lex_state = 2},
  [19926] = {.lex_state = 435, .external_lex_state = 2},
  [19927] = {.lex_state = 435, .external_lex_state = 2},
  [19928] = {.lex_state = 41, .external_lex_state = 2},
  [19929] = {.lex_state = 435, .external_lex_state = 2},
  [19930] = {.lex_state = 435, .external_lex_state = 2},
  [19931] = {.lex_state = 435, .external_lex_state = 2},
  [19932] = {.lex_state = 158, .external_lex_state = 2},
  [19933] = {.lex_state = 158, .external_lex_state = 2},
  [19934] = {.lex_state = 165, .external_lex_state = 2},
  [19935] = {.lex_state = 435, .external_lex_state = 2},
  [19936] = {.lex_state = 435, .external_lex_state = 3},
  [19937] = {.lex_state = 165, .external_lex_state = 2},
  [19938] = {.lex_state = 435, .external_lex_state = 2},
  [19939] = {.lex_state = 435, .external_lex_state = 2},
  [19940] = {.lex_state = 255, .external_lex_state = 2},
  [19941] = {.lex_state = 435, .external_lex_state = 2},
  [19942] = {.lex_state = 158, .external_lex_state = 2},
  [19943] = {.lex_state = 435, .external_lex_state = 2},
  [19944] = {.lex_state = 165, .external_lex_state = 2},
  [19945] = {.lex_state = 9, .external_lex_state = 2},
  [19946] = {.lex_state = 435, .external_lex_state = 2},
  [19947] = {.lex_state = 435, .external_lex_state = 2},
  [19948] = {.lex_state = 435, .external_lex_state = 2},
  [19949] = {.lex_state = 165, .external_lex_state = 2},
  [19950] = {.lex_state = 165, .external_lex_state = 2},
  [19951] = {.lex_state = 165, .external_lex_state = 2},
  [19952] = {.lex_state = 435, .external_lex_state = 2},
  [19953] = {.lex_state = 165, .external_lex_state = 2},
  [19954] = {.lex_state = 435, .external_lex_state = 2},
  [19955] = {.lex_state = 255, .external_lex_state = 2},
  [19956] = {.lex_state = 435, .external_lex_state = 2},
  [19957] = {.lex_state = 158, .external_lex_state = 2},
  [19958] = {.lex_state = 435, .external_lex_state = 2},
  [19959] = {.lex_state = 435, .external_lex_state = 2},
  [19960] = {.lex_state = 435, .external_lex_state = 2},
  [19961] = {.lex_state = 435, .external_lex_state = 2},
  [19962] = {.lex_state = 435, .external_lex_state = 2},
  [19963] = {.lex_state = 9, .external_lex_state = 2},
  [19964] = {.lex_state = 435, .external_lex_state = 2},
  [19965] = {.lex_state = 435, .external_lex_state = 2},
  [19966] = {.lex_state = 435, .external_lex_state = 2},
  [19967] = {.lex_state = 435, .external_lex_state = 2},
  [19968] = {.lex_state = 435, .external_lex_state = 2},
  [19969] = {.lex_state = 255, .external_lex_state = 2},
  [19970] = {.lex_state = 158, .external_lex_state = 2},
  [19971] = {.lex_state = 435, .external_lex_state = 2},
  [19972] = {.lex_state = 435, .external_lex_state = 2},
  [19973] = {.lex_state = 435, .external_lex_state = 2},
  [19974] = {.lex_state = 435, .external_lex_state = 2},
  [19975] = {.lex_state = 435, .external_lex_state = 2},
  [19976] = {.lex_state = 435, .external_lex_state = 2},
  [19977] = {.lex_state = 435, .external_lex_state = 2},
  [19978] = {.lex_state = 435, .external_lex_state = 2},
  [19979] = {.lex_state = 255, .external_lex_state = 2},
  [19980] = {.lex_state = 165, .external_lex_state = 2},
  [19981] = {.lex_state = 165, .external_lex_state = 2},
  [19982] = {.lex_state = 255, .external_lex_state = 2},
  [19983] = {.lex_state = 165, .external_lex_state = 2},
  [19984] = {.lex_state = 435, .external_lex_state = 2},
  [19985] = {.lex_state = 255, .external_lex_state = 2},
  [19986] = {.lex_state = 41, .external_lex_state = 2},
  [19987] = {.lex_state = 435, .external_lex_state = 2},
  [19988] = {.lex_state = 255, .external_lex_state = 2},
  [19989] = {.lex_state = 255, .external_lex_state = 2},
  [19990] = {.lex_state = 255, .external_lex_state = 2},
  [19991] = {.lex_state = 255, .external_lex_state = 2},
  [19992] = {.lex_state = 255, .external_lex_state = 2},
  [19993] = {.lex_state = 255, .external_lex_state = 2},
  [19994] = {.lex_state = 255, .external_lex_state = 2},
  [19995] = {.lex_state = 255, .external_lex_state = 2},
  [19996] = {.lex_state = 255, .external_lex_state = 2},
  [19997] = {.lex_state = 255, .external_lex_state = 2},
  [19998] = {.lex_state = 255, .external_lex_state = 2},
  [19999] = {.lex_state = 255, .external_lex_state = 2},
  [20000] = {.lex_state = 255, .external_lex_state = 2},
  [20001] = {.lex_state = 255, .external_lex_state = 2},
  [20002] = {.lex_state = 255, .external_lex_state = 2},
  [20003] = {.lex_state = 255, .external_lex_state = 2},
  [20004] = {.lex_state = 255, .external_lex_state = 2},
  [20005] = {.lex_state = 255, .external_lex_state = 2},
  [20006] = {.lex_state = 255, .external_lex_state = 2},
  [20007] = {.lex_state = 255, .external_lex_state = 2},
  [20008] = {.lex_state = 255, .external_lex_state = 2},
  [20009] = {.lex_state = 255, .external_lex_state = 2},
  [20010] = {.lex_state = 255, .external_lex_state = 2},
  [20011] = {.lex_state = 255, .external_lex_state = 2},
  [20012] = {.lex_state = 255, .external_lex_state = 2},
  [20013] = {.lex_state = 255, .external_lex_state = 2},
  [20014] = {.lex_state = 255, .external_lex_state = 2},
  [20015] = {.lex_state = 255, .external_lex_state = 2},
  [20016] = {.lex_state = 255, .external_lex_state = 2},
  [20017] = {.lex_state = 255, .external_lex_state = 2},
  [20018] = {.lex_state = 255, .external_lex_state = 2},
  [20019] = {.lex_state = 255, .external_lex_state = 2},
  [20020] = {.lex_state = 255, .external_lex_state = 2},
  [20021] = {.lex_state = 255, .external_lex_state = 2},
  [20022] = {.lex_state = 255, .external_lex_state = 2},
  [20023] = {.lex_state = 255, .external_lex_state = 2},
  [20024] = {.lex_state = 255, .external_lex_state = 2},
  [20025] = {.lex_state = 255, .external_lex_state = 2},
  [20026] = {.lex_state = 255, .external_lex_state = 2},
  [20027] = {.lex_state = 255, .external_lex_state = 2},
  [20028] = {.lex_state = 255, .external_lex_state = 2},
  [20029] = {.lex_state = 255, .external_lex_state = 2},
  [20030] = {.lex_state = 255, .external_lex_state = 2},
  [20031] = {.lex_state = 255, .external_lex_state = 2},
  [20032] = {.lex_state = 255, .external_lex_state = 2},
  [20033] = {.lex_state = 255, .external_lex_state = 2},
  [20034] = {.lex_state = 255, .external_lex_state = 2},
  [20035] = {.lex_state = 255, .external_lex_state = 2},
  [20036] = {.lex_state = 435, .external_lex_state = 2},
  [20037] = {.lex_state = 158, .external_lex_state = 2},
  [20038] = {.lex_state = 435, .external_lex_state = 2},
  [20039] = {.lex_state = 435, .external_lex_state = 2},
  [20040] = {.lex_state = 435, .external_lex_state = 2},
  [20041] = {.lex_state = 435, .external_lex_state = 2},
  [20042] = {.lex_state = 165, .external_lex_state = 2},
  [20043] = {.lex_state = 435, .external_lex_state = 2},
  [20044] = {.lex_state = 41, .external_lex_state = 2},
  [20045] = {.lex_state = 435, .external_lex_state = 2},
  [20046] = {.lex_state = 158, .external_lex_state = 2},
  [20047] = {.lex_state = 9, .external_lex_state = 2},
  [20048] = {.lex_state = 435, .external_lex_state = 2},
  [20049] = {.lex_state = 435, .external_lex_state = 2},
  [20050] = {.lex_state = 435, .external_lex_state = 2},
  [20051] = {.lex_state = 435, .external_lex_state = 2},
  [20052] = {.lex_state = 435, .external_lex_state = 2},
  [20053] = {.lex_state = 435, .external_lex_state = 2},
  [20054] = {.lex_state = 435, .external_lex_state = 2},
  [20055] = {.lex_state = 435, .external_lex_state = 2},
  [20056] = {.lex_state = 435, .external_lex_state = 2},
  [20057] = {.lex_state = 435, .external_lex_state = 2},
  [20058] = {.lex_state = 435, .external_lex_state = 2},
  [20059] = {.lex_state = 435, .external_lex_state = 2},
  [20060] = {.lex_state = 435, .external_lex_state = 2},
  [20061] = {.lex_state = 9, .external_lex_state = 2},
  [20062] = {.lex_state = 435, .external_lex_state = 2},
  [20063] = {.lex_state = 158, .external_lex_state = 2},
  [20064] = {.lex_state = 158, .external_lex_state = 2},
  [20065] = {.lex_state = 435, .external_lex_state = 2},
  [20066] = {.lex_state = 435, .external_lex_state = 3},
  [20067] = {.lex_state = 435, .external_lex_state = 2},
  [20068] = {.lex_state = 435, .external_lex_state = 2},
  [20069] = {.lex_state = 158, .external_lex_state = 2},
  [20070] = {.lex_state = 435, .external_lex_state = 2},
  [20071] = {.lex_state = 435, .external_lex_state = 2},
  [20072] = {.lex_state = 165, .external_lex_state = 2},
  [20073] = {.lex_state = 435, .external_lex_state = 2},
  [20074] = {.lex_state = 435, .external_lex_state = 2},
  [20075] = {.lex_state = 158, .external_lex_state = 2},
  [20076] = {.lex_state = 158, .external_lex_state = 2},
  [20077] = {.lex_state = 435, .external_lex_state = 2},
  [20078] = {.lex_state = 165, .external_lex_state = 2},
  [20079] = {.lex_state = 435, .external_lex_state = 2},
  [20080] = {.lex_state = 165, .external_lex_state = 2},
  [20081] = {.lex_state = 435, .external_lex_state = 2},
  [20082] = {.lex_state = 435, .external_lex_state = 2},
  [20083] = {.lex_state = 435, .external_lex_state = 2},
  [20084] = {.lex_state = 435, .external_lex_state = 2},
  [20085] = {.lex_state = 435, .external_lex_state = 2},
  [20086] = {.lex_state = 435, .external_lex_state = 2},
  [20087] = {.lex_state = 435, .external_lex_state = 2},
  [20088] = {.lex_state = 158, .external_lex_state = 2},
  [20089] = {.lex_state = 435, .external_lex_state = 2},
  [20090] = {.lex_state = 435, .external_lex_state = 2},
  [20091] = {.lex_state = 435, .external_lex_state = 2},
  [20092] = {.lex_state = 165, .external_lex_state = 2},
  [20093] = {.lex_state = 435, .external_lex_state = 2},
  [20094] = {.lex_state = 435, .external_lex_state = 2},
  [20095] = {.lex_state = 435, .external_lex_state = 2},
  [20096] = {.lex_state = 435, .external_lex_state = 2},
  [20097] = {.lex_state = 9, .external_lex_state = 2},
  [20098] = {.lex_state = 435, .external_lex_state = 2},
  [20099] = {.lex_state = 9, .external_lex_state = 2},
  [20100] = {.lex_state = 435, .external_lex_state = 2},
  [20101] = {.lex_state = 435, .external_lex_state = 2},
  [20102] = {.lex_state = 435, .external_lex_state = 2},
  [20103] = {.lex_state = 435, .external_lex_state = 2},
  [20104] = {.lex_state = 9, .external_lex_state = 2},
  [20105] = {.lex_state = 158, .external_lex_state = 2},
  [20106] = {.lex_state = 158, .external_lex_state = 2},
  [20107] = {.lex_state = 9, .external_lex_state = 2},
  [20108] = {.lex_state = 435, .external_lex_state = 2},
  [20109] = {.lex_state = 158, .external_lex_state = 2},
  [20110] = {.lex_state = 435, .external_lex_state = 2},
  [20111] = {.lex_state = 158, .external_lex_state = 2},
  [20112] = {.lex_state = 165, .external_lex_state = 2},
  [20113] = {.lex_state = 435, .external_lex_state = 2},
  [20114] = {.lex_state = 9, .external_lex_state = 2},
  [20115] = {.lex_state = 435, .external_lex_state = 2},
  [20116] = {.lex_state = 435, .external_lex_state = 2},
  [20117] = {.lex_state = 435, .external_lex_state = 3},
  [20118] = {.lex_state = 9, .external_lex_state = 2},
  [20119] = {.lex_state = 435, .external_lex_state = 2},
  [20120] = {.lex_state = 435, .external_lex_state = 3},
  [20121] = {.lex_state = 435, .external_lex_state = 2},
  [20122] = {.lex_state = 435, .external_lex_state = 2},
  [20123] = {.lex_state = 158, .external_lex_state = 2},
  [20124] = {.lex_state = 435, .external_lex_state = 2},
  [20125] = {.lex_state = 165, .external_lex_state = 2},
  [20126] = {.lex_state = 165, .external_lex_state = 2},
  [20127] = {.lex_state = 158, .external_lex_state = 2},
  [20128] = {.lex_state = 435, .external_lex_state = 2},
  [20129] = {.lex_state = 435, .external_lex_state = 2},
  [20130] = {.lex_state = 435, .external_lex_state = 2},
  [20131] = {.lex_state = 435, .external_lex_state = 2},
  [20132] = {.lex_state = 435, .external_lex_state = 2},
  [20133] = {.lex_state = 435, .external_lex_state = 2},
  [20134] = {.lex_state = 435, .external_lex_state = 2},
  [20135] = {.lex_state = 435, .external_lex_state = 3},
  [20136] = {.lex_state = 158, .external_lex_state = 2},
  [20137] = {.lex_state = 435, .external_lex_state = 2},
  [20138] = {.lex_state = 165, .external_lex_state = 2},
  [20139] = {.lex_state = 165, .external_lex_state = 2},
  [20140] = {.lex_state = 435, .external_lex_state = 2},
  [20141] = {.lex_state = 435, .external_lex_state = 2},
  [20142] = {.lex_state = 435, .external_lex_state = 2},
  [20143] = {.lex_state = 435, .external_lex_state = 2},
  [20144] = {.lex_state = 435, .external_lex_state = 2},
  [20145] = {.lex_state = 435, .external_lex_state = 2},
  [20146] = {.lex_state = 435, .external_lex_state = 2},
  [20147] = {.lex_state = 158, .external_lex_state = 2},
  [20148] = {.lex_state = 165, .external_lex_state = 2},
  [20149] = {.lex_state = 435, .external_lex_state = 2},
  [20150] = {.lex_state = 165, .external_lex_state = 2},
  [20151] = {.lex_state = 435, .external_lex_state = 2},
  [20152] = {.lex_state = 165, .external_lex_state = 2},
  [20153] = {.lex_state = 165, .external_lex_state = 2},
  [20154] = {.lex_state = 9, .external_lex_state = 2},
  [20155] = {.lex_state = 435, .external_lex_state = 2},
  [20156] = {.lex_state = 435, .external_lex_state = 2},
  [20157] = {.lex_state = 435, .external_lex_state = 2},
  [20158] = {.lex_state = 435, .external_lex_state = 2},
  [20159] = {.lex_state = 435, .external_lex_state = 2},
  [20160] = {.lex_state = 158, .external_lex_state = 2},
  [20161] = {.lex_state = 435, .external_lex_state = 2},
  [20162] = {.lex_state = 435, .external_lex_state = 2},
  [20163] = {.lex_state = 435, .external_lex_state = 2},
  [20164] = {.lex_state = 435, .external_lex_state = 2},
  [20165] = {.lex_state = 435, .external_lex_state = 2},
  [20166] = {.lex_state = 158, .external_lex_state = 2},
  [20167] = {.lex_state = 158, .external_lex_state = 2},
  [20168] = {(TSStateId)(-1)},
  [20169] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [sym_shebang] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__capitalized_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
  },
  [1] = {
    [sym_type] = STATE(18360),
    [sym__simple_type] = STATE(11033),
    [sym__tuple_type] = STATE(12625),
    [sym__type] = STATE(14927),
    [sym_function_type] = STATE(9559),
    [sym_typed_label] = STATE(19560),
    [sym_tuple_type] = STATE(9287),
    [sym_constructed_type] = STATE(11898),
    [sym_aliased_type] = STATE(9559),
    [sym_local_open_type] = STATE(11898),
    [sym_polymorphic_variant_type] = STATE(11898),
    [sym_package_type] = STATE(11898),
    [sym_object_type] = STATE(11898),
    [sym_hash_type] = STATE(11898),
    [sym_parenthesized_type] = STATE(11898),
    [sym_attribute] = STATE(1),
    [sym_extension] = STATE(11898),
    [sym_quoted_extension] = STATE(11898),
    [sym_extended_module_path] = STATE(16460),
    [sym_type_constructor_path] = STATE(11898),
    [sym_type_variable] = STATE(11898),
    [sym__identifier] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_LBRACK_GT] = ACTIONS(15),
    [anon_sym_LBRACK_LT] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [sym__capitalized_identifier] = ACTIONS(29),
    [aux_sym_type_variable_token1] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19182),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17828),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(20116),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17432),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19797),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17995),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(137),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(20121),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(139),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18046),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(141),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17669),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18625),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(145),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19681),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19608),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(149),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19743),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17483),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19136),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19623),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18783),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17405),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18490),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19845),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17601),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17982),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18388),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18962),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19207),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19562),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19976),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17589),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17590),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18092),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19522),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(20102),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17640),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19469),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17716),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18425),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19231),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19574),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(20050),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17735),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17324),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17924),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18764),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19641),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17416),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17627),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17864),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18091),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18225),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18315),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18349),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18379),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18427),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18466),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18503),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18542),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18583),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18633),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18663),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18707),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18759),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18808),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18828),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18834),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18840),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18846),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18852),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18858),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18864),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18870),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18876),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18882),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18888),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18894),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18900),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18905),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18911),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18918),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18925),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18930),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18934),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18938),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18945),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(18951),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(19126),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17799),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(18868),
    [sym_expression_item] = STATE(8234),
    [sym_toplevel_directive] = STATE(8234),
    [sym__structure_item] = STATE(8234),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(12162),
    [sym_attribute_payload] = STATE(17382),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_QMARK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_COLON2] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(7320),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(89),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__attribute] = STATE(755),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(7320),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(90),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__attribute] = STATE(799),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(91),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__attribute] = STATE(805),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(447),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(449),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(92),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__attribute] = STATE(788),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(499),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(501),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(17611),
    [sym_expression_item] = STATE(8243),
    [sym_toplevel_directive] = STATE(8243),
    [sym__structure_item] = STATE(8243),
    [sym_value_definition] = STATE(12098),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_directive] = STATE(7875),
    [sym_tag] = STATE(4052),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(539),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(7320),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(94),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__attribute] = STATE(914),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(7320),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(95),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__attribute] = STATE(904),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(673),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym__structure] = STATE(19778),
    [sym_expression_item] = STATE(8243),
    [sym_toplevel_directive] = STATE(8243),
    [sym__structure_item] = STATE(8243),
    [sym_value_definition] = STATE(12098),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(96),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_directive] = STATE(7875),
    [sym_tag] = STATE(4052),
    [aux_sym__structure_repeat1] = STATE(101),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(689),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(97),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__attribute] = STATE(761),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(727),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_expression_item] = STATE(12028),
    [sym_toplevel_directive] = STATE(12028),
    [sym__structure_item] = STATE(12028),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(98),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(4994),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_expression_item] = STATE(8253),
    [sym_toplevel_directive] = STATE(8253),
    [sym__structure_item] = STATE(8253),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(99),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(4994),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_expression_item] = STATE(12028),
    [sym_toplevel_directive] = STATE(12028),
    [sym__structure_item] = STATE(12028),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(100),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(4994),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym_expression_item] = STATE(8259),
    [sym_toplevel_directive] = STATE(8259),
    [sym__structure_item] = STATE(8259),
    [sym_value_definition] = STATE(12098),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(101),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_directive] = STATE(7875),
    [sym_tag] = STATE(4052),
    [aux_sym__structure_repeat1] = STATE(5059),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(749),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_expression_item] = STATE(12028),
    [sym_toplevel_directive] = STATE(12028),
    [sym__structure_item] = STATE(12028),
    [sym_value_definition] = STATE(12098),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(102),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_directive] = STATE(7875),
    [sym_tag] = STATE(4052),
    [aux_sym__structure_repeat1] = STATE(5059),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(751),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym_expression_item] = STATE(12028),
    [sym_toplevel_directive] = STATE(12028),
    [sym__structure_item] = STATE(12028),
    [sym_value_definition] = STATE(12098),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_directive] = STATE(7875),
    [sym_tag] = STATE(4052),
    [aux_sym__structure_repeat1] = STATE(5059),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(753),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_expression_item] = STATE(12028),
    [sym_toplevel_directive] = STATE(12028),
    [sym__structure_item] = STATE(12028),
    [sym_value_definition] = STATE(12098),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(104),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_directive] = STATE(7875),
    [sym_tag] = STATE(4052),
    [aux_sym__structure_repeat1] = STATE(5059),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(755),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(105),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__attribute] = STATE(913),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_expression_item] = STATE(12028),
    [sym_toplevel_directive] = STATE(12028),
    [sym__structure_item] = STATE(12028),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(106),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(4994),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym_expression_item] = STATE(12028),
    [sym_toplevel_directive] = STATE(12028),
    [sym__structure_item] = STATE(12028),
    [sym_value_definition] = STATE(12039),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(107),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_directive] = STATE(7918),
    [sym_tag] = STATE(4055),
    [aux_sym__structure_repeat1] = STATE(4994),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(57),
    [anon_sym_module] = ACTIONS(59),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(65),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(119),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_expression_item] = STATE(12028),
    [sym_toplevel_directive] = STATE(12028),
    [sym__structure_item] = STATE(12028),
    [sym_value_definition] = STATE(12098),
    [sym_external] = STATE(12162),
    [sym_type_definition] = STATE(12162),
    [sym_exception_definition] = STATE(12162),
    [sym_module_definition] = STATE(12162),
    [sym_module_type_definition] = STATE(12162),
    [sym_open_module] = STATE(12162),
    [sym_include_module] = STATE(12162),
    [sym_class_definition] = STATE(12162),
    [sym_class_type_definition] = STATE(12162),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(11343),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(108),
    [sym_floating_attribute] = STATE(12162),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym_item_extension] = STATE(12162),
    [sym_quoted_item_extension] = STATE(12162),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_directive] = STATE(7875),
    [sym_tag] = STATE(4052),
    [aux_sym__structure_repeat1] = STATE(4994),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(533),
    [anon_sym_module] = ACTIONS(535),
    [anon_sym_open] = ACTIONS(61),
    [anon_sym_include] = ACTIONS(63),
    [anon_sym_class] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(575),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(581),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(109),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__attribute] = STATE(772),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(845),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(110),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__attribute] = STATE(688),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(897),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(111),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__attribute] = STATE(903),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(112),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__attribute] = STATE(875),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(307),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(113),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__attribute] = STATE(767),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(114),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__attribute] = STATE(838),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(115),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__attribute] = STATE(700),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(116),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__attribute] = STATE(1450),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(117),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__attribute] = STATE(673),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_GT_RBRACE] = ACTIONS(303),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(118),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__attribute] = STATE(554),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_GT_RBRACE] = ACTIONS(303),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(119),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__attribute] = STATE(1079),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(303),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(120),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__attribute] = STATE(1043),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_DASH_GT] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(303),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8263),
    [sym__sequence_expression] = STATE(7320),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(121),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__attribute] = STATE(1357),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(7320),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__attribute] = STATE(746),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(673),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10120),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(123),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__attribute] = STATE(794),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__attribute] = STATE(782),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10120),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(125),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__attribute] = STATE(659),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8390),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(126),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__attribute] = STATE(1312),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8315),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__attribute] = STATE(571),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(727),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10120),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(128),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__attribute] = STATE(777),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_to] = ACTIONS(307),
    [anon_sym_downto] = ACTIONS(307),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__attribute] = STATE(912),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14314),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17492),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1463),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1465),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1473),
    [sym_let_and_operator] = ACTIONS(1465),
    [sym_match_operator] = ACTIONS(1475),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17459),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1487),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1489),
    [sym_let_and_operator] = ACTIONS(1487),
    [sym_match_operator] = ACTIONS(1491),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14473),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19217),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1501),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1503),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1505),
    [sym_let_and_operator] = ACTIONS(1503),
    [sym_match_operator] = ACTIONS(1507),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17779),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19217),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1501),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1503),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1505),
    [sym_let_and_operator] = ACTIONS(1503),
    [sym_match_operator] = ACTIONS(1507),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18416),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19222),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1515),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1517),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1519),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1521),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1523),
    [sym_let_and_operator] = ACTIONS(1521),
    [sym_match_operator] = ACTIONS(1525),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14520),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17756),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1531),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1535),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1537),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1539),
    [sym_let_and_operator] = ACTIONS(1537),
    [sym_match_operator] = ACTIONS(1541),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18182),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17756),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1531),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1535),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1537),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1539),
    [sym_let_and_operator] = ACTIONS(1537),
    [sym_match_operator] = ACTIONS(1541),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__attribute] = STATE(837),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14560),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19607),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1549),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1555),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1557),
    [sym_let_and_operator] = ACTIONS(1555),
    [sym_match_operator] = ACTIONS(1559),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18587),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19607),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1549),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1553),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1555),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1557),
    [sym_let_and_operator] = ACTIONS(1555),
    [sym_match_operator] = ACTIONS(1559),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14615),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17755),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1571),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1573),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1575),
    [sym_let_and_operator] = ACTIONS(1573),
    [sym_match_operator] = ACTIONS(1577),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19079),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17755),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1579),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1571),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1573),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1575),
    [sym_let_and_operator] = ACTIONS(1573),
    [sym_match_operator] = ACTIONS(1577),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10120),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__attribute] = STATE(773),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14662),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19591),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1641),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1643),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1645),
    [sym_let_and_operator] = ACTIONS(1643),
    [sym_match_operator] = ACTIONS(1647),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19375),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19591),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1637),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1641),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1643),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1645),
    [sym_let_and_operator] = ACTIONS(1643),
    [sym_match_operator] = ACTIONS(1647),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14726),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(20087),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1653),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1655),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1657),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1659),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1661),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1663),
    [sym_let_and_operator] = ACTIONS(1661),
    [sym_match_operator] = ACTIONS(1665),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19741),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(20087),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1667),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1653),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1655),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1657),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1659),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1661),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1663),
    [sym_let_and_operator] = ACTIONS(1661),
    [sym_match_operator] = ACTIONS(1665),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14777),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17968),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1673),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1677),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1679),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1681),
    [sym_let_and_operator] = ACTIONS(1679),
    [sym_match_operator] = ACTIONS(1683),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19172),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17968),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1673),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1677),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1679),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1681),
    [sym_let_and_operator] = ACTIONS(1679),
    [sym_match_operator] = ACTIONS(1683),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14590),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17348),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1693),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1695),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1697),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1699),
    [sym_let_and_operator] = ACTIONS(1697),
    [sym_match_operator] = ACTIONS(1701),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17919),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17348),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1691),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1693),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1695),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1697),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1699),
    [sym_let_and_operator] = ACTIONS(1697),
    [sym_match_operator] = ACTIONS(1701),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14503),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18021),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1709),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1713),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1715),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1717),
    [sym_let_and_operator] = ACTIONS(1715),
    [sym_match_operator] = ACTIONS(1719),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19563),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18021),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1709),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1713),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1715),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1717),
    [sym_let_and_operator] = ACTIONS(1715),
    [sym_match_operator] = ACTIONS(1719),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14667),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18803),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1723),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1729),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1731),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1733),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1735),
    [sym_let_and_operator] = ACTIONS(1733),
    [sym_match_operator] = ACTIONS(1737),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18993),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18803),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1729),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1731),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1733),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1735),
    [sym_let_and_operator] = ACTIONS(1733),
    [sym_match_operator] = ACTIONS(1737),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14237),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19739),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1743),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1745),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1749),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1751),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1753),
    [sym_let_and_operator] = ACTIONS(1751),
    [sym_match_operator] = ACTIONS(1755),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18799),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19739),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1743),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1745),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1747),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1749),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1751),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1753),
    [sym_let_and_operator] = ACTIONS(1751),
    [sym_match_operator] = ACTIONS(1755),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14160),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17765),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1763),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1769),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1771),
    [sym_let_and_operator] = ACTIONS(1769),
    [sym_match_operator] = ACTIONS(1773),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14361),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17430),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1783),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1785),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1787),
    [sym_let_and_operator] = ACTIONS(1785),
    [sym_match_operator] = ACTIONS(1789),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19697),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17430),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1783),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1785),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1787),
    [sym_let_and_operator] = ACTIONS(1785),
    [sym_match_operator] = ACTIONS(1789),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14489),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17641),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1797),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1801),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1803),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1805),
    [sym_let_and_operator] = ACTIONS(1803),
    [sym_match_operator] = ACTIONS(1807),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19343),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17641),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1809),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1795),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1797),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1801),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1803),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1805),
    [sym_let_and_operator] = ACTIONS(1803),
    [sym_match_operator] = ACTIONS(1807),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14574),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17886),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1811),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1815),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1819),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1821),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1823),
    [sym_let_and_operator] = ACTIONS(1821),
    [sym_match_operator] = ACTIONS(1825),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18869),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17886),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1827),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1815),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1819),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1821),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1823),
    [sym_let_and_operator] = ACTIONS(1821),
    [sym_match_operator] = ACTIONS(1825),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20149),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18791),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1837),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1839),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1841),
    [sym_let_and_operator] = ACTIONS(1839),
    [sym_match_operator] = ACTIONS(1843),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14668),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18105),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1853),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1855),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1857),
    [sym_let_and_operator] = ACTIONS(1855),
    [sym_match_operator] = ACTIONS(1859),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17517),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18105),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1847),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1849),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1853),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1855),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1857),
    [sym_let_and_operator] = ACTIONS(1855),
    [sym_match_operator] = ACTIONS(1859),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17997),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17765),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1763),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1769),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1771),
    [sym_let_and_operator] = ACTIONS(1769),
    [sym_match_operator] = ACTIONS(1773),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14793),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18240),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1873),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1875),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1877),
    [sym_let_and_operator] = ACTIONS(1875),
    [sym_match_operator] = ACTIONS(1879),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18069),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18240),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1881),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1869),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1873),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1875),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1877),
    [sym_let_and_operator] = ACTIONS(1875),
    [sym_match_operator] = ACTIONS(1879),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14192),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18323),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1883),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1887),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1891),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1893),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1895),
    [sym_let_and_operator] = ACTIONS(1893),
    [sym_match_operator] = ACTIONS(1897),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19102),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18323),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1885),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1887),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1889),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1891),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1893),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1895),
    [sym_let_and_operator] = ACTIONS(1893),
    [sym_match_operator] = ACTIONS(1897),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14241),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18354),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1909),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1911),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1913),
    [sym_let_and_operator] = ACTIONS(1911),
    [sym_match_operator] = ACTIONS(1915),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19483),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18354),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1907),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1909),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1911),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1913),
    [sym_let_and_operator] = ACTIONS(1911),
    [sym_match_operator] = ACTIONS(1915),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14288),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18387),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1919),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1923),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1927),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1929),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1931),
    [sym_let_and_operator] = ACTIONS(1929),
    [sym_match_operator] = ACTIONS(1933),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14261),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19222),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1935),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1515),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1517),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1519),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1521),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1523),
    [sym_let_and_operator] = ACTIONS(1521),
    [sym_match_operator] = ACTIONS(1525),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14327),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18432),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1943),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1947),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1949),
    [sym_let_and_operator] = ACTIONS(1947),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18744),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18432),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1943),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1945),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1947),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1949),
    [sym_let_and_operator] = ACTIONS(1947),
    [sym_match_operator] = ACTIONS(1951),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14381),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18471),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1959),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1963),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1965),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1967),
    [sym_let_and_operator] = ACTIONS(1965),
    [sym_match_operator] = ACTIONS(1969),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19145),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18471),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1959),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1963),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1965),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1967),
    [sym_let_and_operator] = ACTIONS(1965),
    [sym_match_operator] = ACTIONS(1969),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14432),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18511),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1975),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1979),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1981),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1983),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1985),
    [sym_let_and_operator] = ACTIONS(1983),
    [sym_match_operator] = ACTIONS(1987),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17731),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18511),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1975),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1979),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1981),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1983),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1985),
    [sym_let_and_operator] = ACTIONS(1983),
    [sym_match_operator] = ACTIONS(1987),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17898),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17492),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1459),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1463),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1465),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1473),
    [sym_let_and_operator] = ACTIONS(1465),
    [sym_match_operator] = ACTIONS(1475),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14466),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18545),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1993),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2001),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2003),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2005),
    [sym_let_and_operator] = ACTIONS(2003),
    [sym_match_operator] = ACTIONS(2007),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18450),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18545),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2001),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2003),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2005),
    [sym_let_and_operator] = ACTIONS(2003),
    [sym_match_operator] = ACTIONS(2007),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__attribute] = STATE(713),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14498),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18594),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2063),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2069),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2071),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2073),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2075),
    [sym_let_and_operator] = ACTIONS(2073),
    [sym_match_operator] = ACTIONS(2077),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19328),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18594),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2079),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2069),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2071),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2073),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2075),
    [sym_let_and_operator] = ACTIONS(2073),
    [sym_match_operator] = ACTIONS(2077),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__attribute] = STATE(726),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14529),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18639),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2139),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2141),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2143),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2145),
    [sym_let_and_operator] = ACTIONS(2143),
    [sym_match_operator] = ACTIONS(2147),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17347),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18639),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2135),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2139),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2141),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2143),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2145),
    [sym_let_and_operator] = ACTIONS(2143),
    [sym_match_operator] = ACTIONS(2147),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__attribute] = STATE(738),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14556),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18680),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2207),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2211),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2213),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2215),
    [sym_let_and_operator] = ACTIONS(2213),
    [sym_match_operator] = ACTIONS(2217),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17559),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18680),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2207),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2209),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2211),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2213),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2215),
    [sym_let_and_operator] = ACTIONS(2213),
    [sym_match_operator] = ACTIONS(2217),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__attribute] = STATE(749),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14585),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18719),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2275),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2277),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2281),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2283),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2285),
    [sym_let_and_operator] = ACTIONS(2283),
    [sym_match_operator] = ACTIONS(2287),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17789),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18719),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2275),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2277),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2281),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2283),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2285),
    [sym_let_and_operator] = ACTIONS(2283),
    [sym_match_operator] = ACTIONS(2287),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14605),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18769),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2291),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2301),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2303),
    [sym_let_and_operator] = ACTIONS(2301),
    [sym_match_operator] = ACTIONS(2305),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18028),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18769),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2307),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2297),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2299),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2301),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2303),
    [sym_let_and_operator] = ACTIONS(2301),
    [sym_match_operator] = ACTIONS(2305),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__attribute] = STATE(683),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_SEMI_SEMI] = ACTIONS(303),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(307),
    [anon_sym_type] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(307),
    [anon_sym_module] = ACTIONS(307),
    [anon_sym_open] = ACTIONS(307),
    [anon_sym_include] = ACTIONS(307),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(303),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14370),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19028),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2313),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2317),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2319),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2321),
    [sym_let_and_operator] = ACTIONS(2319),
    [sym_match_operator] = ACTIONS(2323),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14253),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(20163),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2333),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2335),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2337),
    [sym_let_and_operator] = ACTIONS(2335),
    [sym_match_operator] = ACTIONS(2339),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18062),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(20163),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2333),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2335),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2337),
    [sym_let_and_operator] = ACTIONS(2335),
    [sym_match_operator] = ACTIONS(2339),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19029),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19028),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2343),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2313),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2317),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2319),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2321),
    [sym_let_and_operator] = ACTIONS(2319),
    [sym_match_operator] = ACTIONS(2323),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14491),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(20086),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2345),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2347),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2349),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2355),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2357),
    [sym_let_and_operator] = ACTIONS(2355),
    [sym_match_operator] = ACTIONS(2359),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18630),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(20086),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2361),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2347),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2349),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2353),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2355),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2357),
    [sym_let_and_operator] = ACTIONS(2355),
    [sym_match_operator] = ACTIONS(2359),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14757),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19930),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2363),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2371),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2373),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2375),
    [sym_let_and_operator] = ACTIONS(2373),
    [sym_match_operator] = ACTIONS(2377),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18734),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19930),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2365),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2367),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2371),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2373),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2375),
    [sym_let_and_operator] = ACTIONS(2373),
    [sym_match_operator] = ACTIONS(2377),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10120),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__attribute] = STATE(1460),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_to] = ACTIONS(307),
    [anon_sym_downto] = ACTIONS(307),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14485),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17547),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2433),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2437),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2439),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2441),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2443),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2445),
    [sym_let_and_operator] = ACTIONS(2443),
    [sym_match_operator] = ACTIONS(2447),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17663),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17547),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2435),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2437),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2439),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2441),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2443),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2445),
    [sym_let_and_operator] = ACTIONS(2443),
    [sym_match_operator] = ACTIONS(2447),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14253),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19184),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2451),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2455),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2457),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2459),
    [sym_let_and_operator] = ACTIONS(2457),
    [sym_match_operator] = ACTIONS(2461),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18062),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19184),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2329),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2455),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2457),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2459),
    [sym_let_and_operator] = ACTIONS(2457),
    [sym_match_operator] = ACTIONS(2461),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14320),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19639),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2467),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2471),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2473),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2475),
    [sym_let_and_operator] = ACTIONS(2473),
    [sym_match_operator] = ACTIONS(2477),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14389),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18791),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1831),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1837),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1839),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1841),
    [sym_let_and_operator] = ACTIONS(1839),
    [sym_match_operator] = ACTIONS(1843),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17857),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19639),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2481),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2467),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2471),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2473),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2475),
    [sym_let_and_operator] = ACTIONS(2473),
    [sym_match_operator] = ACTIONS(2477),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14425),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17459),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1481),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1487),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1489),
    [sym_let_and_operator] = ACTIONS(1487),
    [sym_match_operator] = ACTIONS(1491),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14576),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19929),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2485),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2493),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2495),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2497),
    [sym_let_and_operator] = ACTIONS(2495),
    [sym_match_operator] = ACTIONS(2499),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18183),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(19929),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2489),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2493),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2495),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2497),
    [sym_let_and_operator] = ACTIONS(2495),
    [sym_match_operator] = ACTIONS(2499),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14159),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17622),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2503),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2507),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2513),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2515),
    [sym_let_and_operator] = ACTIONS(2513),
    [sym_match_operator] = ACTIONS(2517),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19403),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(17622),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2507),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2511),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2513),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2515),
    [sym_let_and_operator] = ACTIONS(2513),
    [sym_match_operator] = ACTIONS(2517),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(14208),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18406),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2529),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2531),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2533),
    [sym_let_and_operator] = ACTIONS(2531),
    [sym_match_operator] = ACTIONS(2535),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__attribute] = STATE(588),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_PIPE_RBRACK] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19912),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18406),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2551),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(2527),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(2529),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(2531),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2533),
    [sym_let_and_operator] = ACTIONS(2531),
    [sym_match_operator] = ACTIONS(2535),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19864),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__infix_operator] = STATE(18387),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1923),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(1461),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1927),
    [aux_sym_sign_operator_token1] = ACTIONS(1461),
    [sym_hash_operator] = ACTIONS(1929),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(1931),
    [sym_let_and_operator] = ACTIONS(1929),
    [sym_match_operator] = ACTIONS(1933),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__attribute] = STATE(824),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(835),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__attribute] = STATE(631),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__attribute] = STATE(645),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(829),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10120),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__attribute] = STATE(1407),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__attribute] = STATE(603),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__attribute] = STATE(618),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_else] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__attribute] = STATE(809),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(303),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(8004),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(814),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_PIPE] = ACTIONS(307),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__attribute] = STATE(1052),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1311),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1386),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(810),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(343),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(109),
    [sym_pow_operator] = ACTIONS(307),
    [sym_mult_operator] = ACTIONS(307),
    [aux_sym_add_operator_token1] = ACTIONS(307),
    [sym_concat_operator] = ACTIONS(303),
    [sym_rel_operator] = ACTIONS(307),
    [sym_and_operator] = ACTIONS(307),
    [sym_or_operator] = ACTIONS(307),
    [sym_assign_operator] = ACTIONS(303),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__attribute] = STATE(710),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_constraint] = ACTIONS(307),
    [anon_sym_val] = ACTIONS(307),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(307),
    [anon_sym_method] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_initializer] = ACTIONS(307),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(307),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(303),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__attribute] = STATE(1151),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_COLON_GT] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(303),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11540),
    [sym__sequence_expression] = STATE(8490),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__attribute] = STATE(839),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_and] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(307),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(303),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_let_and_operator] = ACTIONS(303),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(7320),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__attribute] = STATE(1456),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_to] = ACTIONS(307),
    [anon_sym_downto] = ACTIONS(307),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(20105),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(975),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2941),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17679),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1270),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2943),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17366),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1108),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2945),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1431),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_then] = ACTIONS(307),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19393),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(882),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17925),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1278),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2949),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19657),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1205),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19253),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1081),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2953),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18893),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1153),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2955),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17515),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1018),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2957),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17981),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(918),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__attribute] = STATE(579),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_do] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(20109),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1213),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2961),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19167),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1009),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2963),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18758),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1117),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17878),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(934),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(614),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_with] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18048),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1162),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18243),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1221),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2971),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18041),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1054),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2973),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19826),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(949),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19664),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1287),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19613),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1090),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2979),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17477),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1229),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19358),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1144),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2983),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18724),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1027),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2985),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(20127),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1170),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2987),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17536),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1126),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17981),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(918),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2991),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18133),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1237),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(5244),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(653),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(307),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18997),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1072),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2995),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17655),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1045),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2997),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17836),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1178),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18917),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1245),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3001),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(20063),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1099),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17665),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(983),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3005),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12504),
    [sym__sequence_expression] = STATE(18567),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(19966),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__attribute] = STATE(1034),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DASH_GT] = ACTIONS(303),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17705),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1135),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3007),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19932),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1254),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3009),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19264),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(991),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3011),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18892),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1187),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3013),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(20160),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1036),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7320),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__attribute] = STATE(758),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17471),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1262),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3017),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18446),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1063),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3019),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19668),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1497),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3021),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19311),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(1196),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3023),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18160),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__attribute] = STATE(962),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_end] = ACTIONS(3025),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19835),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1298),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10196),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10196),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10196),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10196),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10196),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10196),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10196),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10196),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(17118),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__attribute] = STATE(687),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19419),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(759),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10196),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10196),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10322),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10322),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(12357),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_refutation_case] = STATE(12357),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(12070),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_refutation_case] = STATE(12070),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10322),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10322),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19479),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(960),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10322),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10322),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(12357),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_refutation_case] = STATE(12357),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(7957),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(7957),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10196),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10196),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(12070),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_refutation_case] = STATE(12070),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_DOT] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(8109),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_refutation_case] = STATE(8109),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10322),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10322),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10322),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10322),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10322),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_refutation_case] = STATE(10322),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(7961),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(7961),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym__simple_expression] = STATE(2877),
    [sym_typed_expression] = STATE(2865),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_labeled_argument] = STATE(3706),
    [sym_prefix_expression] = STATE(2865),
    [sym_hash_expression] = STATE(2865),
    [sym_field_get_expression] = STATE(2865),
    [sym_array_get_expression] = STATE(2865),
    [sym_string_get_expression] = STATE(2865),
    [sym_bigarray_get_expression] = STATE(2865),
    [sym_coercion_expression] = STATE(2865),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [aux_sym_class_application_repeat1] = STATE(1507),
    [sym__identifier] = ACTIONS(3091),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_QMARK] = ACTIONS(3097),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_in] = ACTIONS(3095),
    [anon_sym_POUND] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3103),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym__simple_expression] = STATE(2816),
    [sym_typed_expression] = STATE(2783),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_labeled_argument] = STATE(3768),
    [sym_prefix_expression] = STATE(2783),
    [sym_hash_expression] = STATE(2783),
    [sym_field_get_expression] = STATE(2783),
    [sym_array_get_expression] = STATE(2783),
    [sym_string_get_expression] = STATE(2783),
    [sym_bigarray_get_expression] = STATE(2783),
    [sym_coercion_expression] = STATE(2783),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [aux_sym_class_application_repeat1] = STATE(1534),
    [sym__identifier] = ACTIONS(3105),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(3095),
    [anon_sym_POUND] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3113),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(8041),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_refutation_case] = STATE(8041),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3029),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17021),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(684),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17151),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(880),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(17168),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__attribute] = STATE(881),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17186),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(916),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16258),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__attribute] = STATE(917),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16256),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(932),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16698),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__attribute] = STATE(933),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16697),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(948),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17226),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(961),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16255),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(974),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17264),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(990),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16630),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1017),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17104),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1026),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17192),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1035),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16240),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1044),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18689),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1492),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16413),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1062),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16521),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1071),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16633),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1080),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16745),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1089),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16854),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1098),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17023),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1107),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17106),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1116),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17185),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1125),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17259),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1134),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16476),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1169),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16768),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1177),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16313),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1204),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16627),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1212),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17117),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1220),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17196),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1228),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17199),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1236),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16232),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1244),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16223),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1253),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16281),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1261),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16320),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1269),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16357),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1285),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17207),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1286),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17045),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(982),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1290),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19063),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1291),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17227),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(999),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19825),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1297),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16235),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1008),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18087),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1303),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18314),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1304),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16289),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1143),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19206),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1309),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19283),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1310),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16332),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1152),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17610),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1315),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17621),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1316),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16367),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1161),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18103),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1321),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18109),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1322),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16402),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1186),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18496),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1327),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18510),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1328),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16430),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1195),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18824),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1332),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18836),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1333),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16455),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1277),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19104),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1337),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19112),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1338),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16483),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1292),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19457),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1341),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19474),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1342),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16508),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1293),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19904),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1345),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19921),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1346),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17317),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1350),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17318),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1351),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17383),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1355),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17384),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1356),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17438),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1360),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17439),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1361),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17493),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1365),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17494),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1366),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17548),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1370),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17549),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1371),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17603),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1375),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17604),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1376),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17658),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1380),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17659),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1381),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17713),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1383),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17714),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1384),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17768),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1388),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17769),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1389),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17823),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1391),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17824),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1392),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17867),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1395),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17868),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1396),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17908),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1399),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17909),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1400),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17949),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1404),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17950),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1405),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17990),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1409),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17991),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1410),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18031),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1414),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18032),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1415),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18072),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1419),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18073),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1420),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18113),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1424),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18114),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1425),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18154),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1429),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18155),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1430),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18195),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1433),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18196),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1434),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18236),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1437),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18237),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1438),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18277),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1441),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18278),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1442),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18317),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1445),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18318),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1446),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18357),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1448),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18358),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1449),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18396),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1453),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18397),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1454),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18435),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1458),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18436),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1459),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18474),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1463),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18475),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1464),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18513),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1468),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18514),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1469),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18551),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1473),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18552),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1474),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18589),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1478),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18590),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1479),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18627),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1483),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18628),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1484),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18664),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1486),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18665),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1487),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18688),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__attribute] = STATE(1491),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16318),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__attribute] = STATE(1053),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3119),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym__simple_expression] = STATE(3449),
    [sym_typed_expression] = STATE(3299),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_labeled_argument] = STATE(4307),
    [sym_prefix_expression] = STATE(3299),
    [sym_hash_expression] = STATE(3299),
    [sym_field_get_expression] = STATE(3299),
    [sym_array_get_expression] = STATE(3299),
    [sym_string_get_expression] = STATE(3299),
    [sym_bigarray_get_expression] = STATE(3299),
    [sym_coercion_expression] = STATE(3299),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [aux_sym_class_application_repeat1] = STATE(2170),
    [sym__identifier] = ACTIONS(3127),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_QMARK] = ACTIONS(3129),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(3131),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_in] = ACTIONS(3095),
    [anon_sym_POUND] = ACTIONS(3133),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3135),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(17978),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(3139),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym__simple_expression] = STATE(3097),
    [sym_typed_expression] = STATE(3086),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_labeled_argument] = STATE(4393),
    [sym_prefix_expression] = STATE(3086),
    [sym_hash_expression] = STATE(3086),
    [sym_field_get_expression] = STATE(3086),
    [sym_array_get_expression] = STATE(3086),
    [sym_string_get_expression] = STATE(3086),
    [sym_bigarray_get_expression] = STATE(3086),
    [sym_coercion_expression] = STATE(3086),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [aux_sym_class_application_repeat1] = STATE(2194),
    [sym__identifier] = ACTIONS(3147),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(3149),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(3151),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_POUND] = ACTIONS(3153),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(499),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(501),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3155),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym__simple_expression] = STATE(3183),
    [sym_typed_expression] = STATE(3173),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_labeled_argument] = STATE(4028),
    [sym_prefix_expression] = STATE(3173),
    [sym_hash_expression] = STATE(3173),
    [sym_field_get_expression] = STATE(3173),
    [sym_array_get_expression] = STATE(3173),
    [sym_string_get_expression] = STATE(3173),
    [sym_bigarray_get_expression] = STATE(3173),
    [sym_coercion_expression] = STATE(3173),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [aux_sym_class_application_repeat1] = STATE(2196),
    [sym__identifier] = ACTIONS(3161),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_DOT] = ACTIONS(3165),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_POUND] = ACTIONS(3167),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(447),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(449),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3169),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(17596),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3179),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(18790),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3195),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym__simple_expression] = STATE(3384),
    [sym_typed_expression] = STATE(3051),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_labeled_argument] = STATE(4125),
    [sym_prefix_expression] = STATE(3051),
    [sym_hash_expression] = STATE(3051),
    [sym_field_get_expression] = STATE(3051),
    [sym_array_get_expression] = STATE(3051),
    [sym_string_get_expression] = STATE(3051),
    [sym_bigarray_get_expression] = STATE(3051),
    [sym_coercion_expression] = STATE(3051),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [aux_sym_class_application_repeat1] = STATE(1820),
    [sym__identifier] = ACTIONS(3209),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_DOT] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_in] = ACTIONS(3095),
    [anon_sym_POUND] = ACTIONS(3215),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(673),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3217),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3219),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3239),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3243),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_RPAREN] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(18555),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_done] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16268),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(17072),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12813),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10197),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10221),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10292),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10175),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10153),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8315),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12765),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10207),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10197),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10221),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10292),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10175),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10153),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(17076),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10207),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10197),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10221),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10292),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10175),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10153),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12312),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(10207),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(10197),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(10221),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(10292),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(10175),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(10153),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12724),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12739),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12787),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17571),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12758),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12786),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12849),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10100),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18159),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12831),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8718),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16479),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16484),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11709),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8390),
    [sym__sequence_expression] = STATE(10130),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11719),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11749),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10207),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10197),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10221),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10292),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10175),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10153),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(7485),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11815),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(10130),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8010),
    [sym__sequence_expression] = STATE(7485),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12439),
    [sym__sequence_expression] = STATE(7485),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19942),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8242),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10207),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(16486),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10197),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9238),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10221),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10292),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8390),
    [sym__sequence_expression] = STATE(10188),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8387),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11966),
    [sym__sequence_expression] = STATE(10100),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10175),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10153),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10207),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11514),
    [sym__sequence_expression] = STATE(10100),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10197),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10221),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10292),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11379),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10175),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10153),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(10207),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8390),
    [sym__sequence_expression] = STATE(10310),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8202),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(10197),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(10220),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(10221),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8390),
    [sym__sequence_expression] = STATE(10163),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(10292),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10830),
    [sym__sequence_expression] = STATE(10100),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(10175),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(10153),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8390),
    [sym__sequence_expression] = STATE(10146),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8017),
    [sym__sequence_expression] = STATE(7485),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8184),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10117),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(16428),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12121),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19419),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19698),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym__simple_expression] = STATE(3573),
    [sym_typed_expression] = STATE(3688),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_labeled_argument] = STATE(4456),
    [sym_prefix_expression] = STATE(3688),
    [sym_hash_expression] = STATE(3688),
    [sym_field_get_expression] = STATE(3688),
    [sym_array_get_expression] = STATE(3688),
    [sym_string_get_expression] = STATE(3688),
    [sym_bigarray_get_expression] = STATE(3688),
    [sym_coercion_expression] = STATE(3688),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [aux_sym_class_application_repeat1] = STATE(2394),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_DOT] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_POUND] = ACTIONS(3255),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3257),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19711),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19725),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8697),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11540),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym__simple_expression] = STATE(3687),
    [sym_typed_expression] = STATE(3654),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_labeled_argument] = STATE(4470),
    [sym_prefix_expression] = STATE(3654),
    [sym_hash_expression] = STATE(3654),
    [sym_field_get_expression] = STATE(3654),
    [sym_array_get_expression] = STATE(3654),
    [sym_string_get_expression] = STATE(3654),
    [sym_bigarray_get_expression] = STATE(3654),
    [sym_coercion_expression] = STATE(3654),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [aux_sym_class_application_repeat1] = STATE(2397),
    [sym__identifier] = ACTIONS(3259),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_QMARK] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_DOT] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_POUND] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(727),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3267),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(10188),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12887),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12867),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12221),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(17102),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18493),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18887),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17363),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12863),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(10310),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12915),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12756),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12731),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12914),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19654),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(17202),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(10163),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12901),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12846),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12929),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12854),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12927),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11540),
    [sym__sequence_expression] = STATE(13745),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12504),
    [sym__sequence_expression] = STATE(16486),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(19966),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8601),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9816),
    [sym__sequence_expression] = STATE(12862),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19152),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16755),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16777),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19225),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11540),
    [sym__sequence_expression] = STATE(13810),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17953),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17955),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17961),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19544),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19548),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19549),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18202),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11540),
    [sym__sequence_expression] = STATE(13626),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17400),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16321),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17644),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17680),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12288),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8679),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8195),
    [sym__sequence_expression] = STATE(7485),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11816),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11630),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(7485),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8263),
    [sym__sequence_expression] = STATE(10130),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16293),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16296),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17335),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18006),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18029),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18030),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18618),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18661),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18705),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18830),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16432),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19083),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16453),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19154),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19215),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16800),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16801),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18269),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18572),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18601),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18606),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18978),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18979),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18985),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19048),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(17049),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19110),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(17068),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19124),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19131),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16459),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18275),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17565),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17781),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18309),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19285),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19300),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19387),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17560),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19053),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17297),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17368),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17449),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16398),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19035),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17618),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17643),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17645),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18148),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18152),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18184),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18662),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18937),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18996),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19017),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8263),
    [sym__sequence_expression] = STATE(10188),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16275),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19050),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17818),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17845),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17846),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18377),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18392),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18393),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16715),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17959),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18153),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18161),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18166),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18300),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18310),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18311),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17125),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19341),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19390),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19392),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19396),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19438),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19439),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19440),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8263),
    [sym__sequence_expression] = STATE(10310),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17219),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12525),
    [sym__sequence_expression] = STATE(16468),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19907),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19908),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19909),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20055),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20057),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20060),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8263),
    [sym__sequence_expression] = STATE(10163),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16264),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18118),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18336),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18337),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18373),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18655),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18710),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18711),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8263),
    [sym__sequence_expression] = STATE(10146),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16344),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17827),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17883),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17887),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17888),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17943),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17945),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17948),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16429),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18851),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19019),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19021),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19027),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19105),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19111),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19115),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12504),
    [sym__sequence_expression] = STATE(19975),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(19966),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16546),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17371),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17413),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17414),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17415),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17436),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17437),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17441),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16653),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17736),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17767),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17771),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17773),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17801),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17804),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17805),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16770),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18125),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18171),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18175),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18176),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18205),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18206),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18207),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16877),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18534),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18578),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18581),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18582),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18610),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18611),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18616),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17040),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19046),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19075),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19076),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19077),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19092),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19093),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19094),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10302),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17120),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19322),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19363),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19365),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19373),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19395),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19397),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19405),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17195),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19695),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19730),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19731),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19733),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19760),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19761),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19763),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17269),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(20123),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20158),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20159),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20164),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20073),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17841),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18250),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17177),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(20088),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17855),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17858),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17899),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18456),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18621),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17112),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19371),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19521),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19523),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19551),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19840),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19855),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19938),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16355),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18291),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18814),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18857),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18910),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19304),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19306),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19308),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16717),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18013),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18280),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18284),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18580),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18957),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19005),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19020),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12377),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17161),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19520),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19651),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19656),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19683),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19792),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19799),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19806),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16266),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18525),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19081),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19127),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19203),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20090),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20100),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(20119),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16388),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18449),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18844),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18845),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18848),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19042),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19051),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19062),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16550),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17407),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17490),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17499),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17500),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17567),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17569),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17572),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16726),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17977),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18052),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18063),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18064),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18120),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18123),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18136),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12263),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17030),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19034),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19088),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19089),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19100),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19129),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19140),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19141),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17135),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19422),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19471),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19472),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19476),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19502),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19504),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19506),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8315),
    [sym__sequence_expression] = STATE(10130),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17212),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19775),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19844),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19849),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19850),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19898),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19900),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19902),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16220),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19505),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18086),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18211),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18464),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19530),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19552),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19606),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16277),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18872),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19084),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19098),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19101),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19377),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19378),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19415),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17206),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17607),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17708),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17712),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17721),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17829),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17830),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17835),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16328),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(18320),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18417),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18431),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18442),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18528),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18533),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18547),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16385),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19147),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11540),
    [sym__sequence_expression] = STATE(13869),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19309),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19319),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19326),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19424),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19425),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(19441),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16450),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17307),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17340),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17342),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17344),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17370),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17373),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17375),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16525),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17525),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17553),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17554),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17555),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17578),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17580),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17582),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16584),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17743),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17775),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17776),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17780),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17812),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17813),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(17817),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17208),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17972),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18020),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18023),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18024),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18054),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18059),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11368),
    [sym__sequence_expression] = STATE(18060),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(16654),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17209),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(17702),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8315),
    [sym__sequence_expression] = STATE(10188),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19055),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19120),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19123),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17028),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(17029),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8315),
    [sym__sequence_expression] = STATE(10310),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11540),
    [sym__sequence_expression] = STATE(13610),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19825),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19890),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19895),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8315),
    [sym__sequence_expression] = STATE(10163),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8315),
    [sym__sequence_expression] = STATE(10146),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18087),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19362),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19455),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19206),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19486),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19503),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12453),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8390),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17610),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17675),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17677),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18103),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18168),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18170),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8230),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18496),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18561),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18566),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10376),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18824),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18862),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18866),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12212),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19104),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19148),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19150),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12051),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19457),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19509),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19519),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19904),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19957),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(19970),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17317),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17327),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17328),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17383),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17392),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17393),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8263),
    [sym__sequence_expression] = STATE(7485),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17438),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17447),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17448),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17493),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17502),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17503),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17548),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17557),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17558),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8197),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17603),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17612),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17613),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17658),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17667),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17668),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17713),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17722),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17723),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12449),
    [sym__sequence_expression] = STATE(8496),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17768),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17777),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17778),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17823),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17832),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17833),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17867),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17875),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17876),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17908),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17916),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17917),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12326),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(8032),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17949),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17957),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17958),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(8120),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12025),
    [sym__sequence_expression] = STATE(10100),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17990),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17998),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(17999),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(8081),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(8090),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18031),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18039),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18040),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(8091),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(8099),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18072),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18080),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18081),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(8038),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(7972),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18113),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18121),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18122),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8320),
    [sym__sequence_expression] = STATE(8112),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(8033),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18154),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18162),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18163),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12535),
    [sym__sequence_expression] = STATE(5256),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18195),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18203),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18204),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18236),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18244),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18245),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(7976),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18277),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18285),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18286),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(7963),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18317),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18325),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18326),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18357),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18365),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18366),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9701),
    [sym__sequence_expression] = STATE(8071),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(8086),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18396),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18404),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18405),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9510),
    [sym__sequence_expression] = STATE(8094),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(7485),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18435),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18443),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18444),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11921),
    [sym__sequence_expression] = STATE(10100),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18474),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18482),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18483),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(7796),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(7806),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18513),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18521),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18522),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(7807),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(7885),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18551),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18559),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18560),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(7753),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9456),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8048),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18589),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18597),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18598),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12454),
    [sym__sequence_expression] = STATE(7809),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12487),
    [sym__sequence_expression] = STATE(7748),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(8447),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18627),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18635),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18636),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18664),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18668),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18669),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8236),
    [sym__sequence_expression] = STATE(10146),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11043),
    [sym__sequence_expression] = STATE(10207),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(10281),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18688),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18692),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12501),
    [sym__sequence_expression] = STATE(18693),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(17015),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(17020),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(17047),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(12037),
    [sym__sequence_expression] = STATE(17052),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_sequence_expression] = STATE(7466),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12552),
    [sym__sequence_expression] = STATE(19811),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_sequence_expression] = STATE(5338),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3269),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3271),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3275),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12208),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3281),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym__simple_expression] = STATE(3947),
    [sym_typed_expression] = STATE(3700),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_labeled_argument] = STATE(4548),
    [sym_prefix_expression] = STATE(3700),
    [sym_hash_expression] = STATE(3700),
    [sym_field_get_expression] = STATE(3700),
    [sym_array_get_expression] = STATE(3700),
    [sym_string_get_expression] = STATE(3700),
    [sym_bigarray_get_expression] = STATE(3700),
    [sym_coercion_expression] = STATE(3700),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [aux_sym_class_application_repeat1] = STATE(2398),
    [sym__identifier] = ACTIONS(3285),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_QMARK] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_DOT] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_POUND] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(845),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3293),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym__simple_expression] = STATE(2877),
    [sym_typed_expression] = STATE(2865),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_labeled_argument] = STATE(3706),
    [sym_prefix_expression] = STATE(2865),
    [sym_hash_expression] = STATE(2865),
    [sym_field_get_expression] = STATE(2865),
    [sym_array_get_expression] = STATE(2865),
    [sym_string_get_expression] = STATE(2865),
    [sym_bigarray_get_expression] = STATE(2865),
    [sym_coercion_expression] = STATE(2865),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [aux_sym_class_application_repeat1] = STATE(1536),
    [sym__identifier] = ACTIONS(3091),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_QMARK] = ACTIONS(3097),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_in] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(339),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(341),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12293),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3299),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12300),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3303),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3313),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3317),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3319),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12372),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3321),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12378),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12329),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3325),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12343),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3327),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3331),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12353),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3337),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12152),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12118),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3345),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3347),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym__simple_expression] = STATE(2816),
    [sym_typed_expression] = STATE(2783),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_labeled_argument] = STATE(3768),
    [sym_prefix_expression] = STATE(2783),
    [sym_hash_expression] = STATE(2783),
    [sym_field_get_expression] = STATE(2783),
    [sym_array_get_expression] = STATE(2783),
    [sym_string_get_expression] = STATE(2783),
    [sym_bigarray_get_expression] = STATE(2783),
    [sym_coercion_expression] = STATE(2783),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [aux_sym_class_application_repeat1] = STATE(1545),
    [sym__identifier] = ACTIONS(3105),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym__simple_expression] = STATE(2877),
    [sym_typed_expression] = STATE(2865),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_labeled_argument] = STATE(3706),
    [sym_prefix_expression] = STATE(2865),
    [sym_hash_expression] = STATE(2865),
    [sym_field_get_expression] = STATE(2865),
    [sym_array_get_expression] = STATE(2865),
    [sym_string_get_expression] = STATE(2865),
    [sym_bigarray_get_expression] = STATE(2865),
    [sym_coercion_expression] = STATE(2865),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [aux_sym_class_application_repeat1] = STATE(1536),
    [sym__identifier] = ACTIONS(3353),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3360),
    [anon_sym_QMARK] = ACTIONS(3360),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3366),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(3369),
    [anon_sym_false] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3372),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3375),
    [anon_sym_in] = ACTIONS(3358),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3378),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_LBRACE_LT] = ACTIONS(3384),
    [anon_sym_begin] = ACTIONS(3387),
    [sym_ocamlyacc_value] = ACTIONS(3390),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3393),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3396),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(3399),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3402),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [sym_prefix_operator] = ACTIONS(3408),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(3411),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(3414),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12129),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3419),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12354),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3423),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12203),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3425),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12225),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12229),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3429),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12317),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym__simple_expression] = STATE(2816),
    [sym_typed_expression] = STATE(2783),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_labeled_argument] = STATE(3768),
    [sym_prefix_expression] = STATE(2783),
    [sym_hash_expression] = STATE(2783),
    [sym_field_get_expression] = STATE(2783),
    [sym_array_get_expression] = STATE(2783),
    [sym_string_get_expression] = STATE(2783),
    [sym_bigarray_get_expression] = STATE(2783),
    [sym_coercion_expression] = STATE(2783),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [aux_sym_class_application_repeat1] = STATE(1545),
    [sym__identifier] = ACTIONS(3433),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3436),
    [anon_sym_QMARK] = ACTIONS(3436),
    [anon_sym_LPAREN] = ACTIONS(3439),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3442),
    [anon_sym_true] = ACTIONS(3445),
    [anon_sym_false] = ACTIONS(3445),
    [anon_sym_LBRACE] = ACTIONS(3448),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3451),
    [anon_sym_in] = ACTIONS(3358),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3454),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(3457),
    [anon_sym_LBRACE_LT] = ACTIONS(3460),
    [anon_sym_begin] = ACTIONS(3463),
    [sym_ocamlyacc_value] = ACTIONS(3466),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3469),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3472),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(3475),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3478),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [sym_prefix_operator] = ACTIONS(3484),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(3487),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(3490),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12304),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3493),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12275),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3495),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3497),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3501),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3505),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3509),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3511),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12144),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3513),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12168),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12138),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3517),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12159),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3519),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3521),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12083),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3523),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12281),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3525),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3527),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3529),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3531),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3533),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12088),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3535),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12202),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3537),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3539),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3541),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3543),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12371),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3545),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3547),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3549),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3551),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12387),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3553),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12394),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3555),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3557),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3559),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3561),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3563),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3565),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3567),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3569),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3571),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3573),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3575),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3577),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12175),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3579),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3581),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3583),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12189),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3585),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12305),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3587),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12385),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3589),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3591),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3593),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3595),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3597),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3599),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3601),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12390),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3605),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3609),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12315),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3611),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12347),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3613),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3615),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3617),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3619),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3621),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3623),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3625),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3627),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3629),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3631),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3633),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3635),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3637),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12143),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3639),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12147),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3641),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3643),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12075),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3645),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3647),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3649),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12116),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3651),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12379),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3653),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12380),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3655),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3657),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3659),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12386),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3661),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12093),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3663),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12111),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3665),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12336),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3667),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12344),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3669),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3671),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3673),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3675),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3677),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3679),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3681),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3683),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12163),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3685),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12043),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3687),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3689),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3691),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3693),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3695),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12132),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3697),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12270),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3699),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12135),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12081),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3703),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12106),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3707),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3713),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3715),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12272),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3719),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3721),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3723),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3727),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12307),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3729),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12187),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3731),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3733),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3735),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3737),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3739),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3741),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3743),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3745),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12318),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3747),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12079),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3751),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12389),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3753),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12036),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3755),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3757),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3759),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3761),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12384),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3763),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3767),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3769),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12072),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3771),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3773),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3775),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3777),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12120),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3779),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12142),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3781),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3783),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12186),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3785),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12214),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3787),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3789),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3791),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3793),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3797),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12220),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3799),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3801),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3803),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3805),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3807),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12200),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3811),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12271),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3813),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12292),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3815),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3817),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3819),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3821),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3825),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3827),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3829),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3831),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3833),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3835),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12396),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3839),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12073),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3841),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3843),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3845),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3847),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3849),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3851),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3853),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3855),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12082),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3859),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12219),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3861),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12308),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3863),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3865),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3867),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3869),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3871),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3873),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3875),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3879),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12174),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3881),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12190),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3883),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12180),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3885),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12033),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3887),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12044),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12303),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3891),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12306),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3893),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3895),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3897),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3899),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3901),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3903),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3905),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym__simple_expression] = STATE(3818),
    [sym_typed_expression] = STATE(3969),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_labeled_argument] = STATE(4509),
    [sym_prefix_expression] = STATE(3969),
    [sym_hash_expression] = STATE(3969),
    [sym_field_get_expression] = STATE(3969),
    [sym_array_get_expression] = STATE(3969),
    [sym_string_get_expression] = STATE(3969),
    [sym_bigarray_get_expression] = STATE(3969),
    [sym_coercion_expression] = STATE(3969),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [aux_sym_class_application_repeat1] = STATE(2399),
    [sym__identifier] = ACTIONS(3907),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3909),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(3911),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_POUND] = ACTIONS(3913),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(897),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3915),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12156),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3917),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3919),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11531),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11785),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11786),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11791),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12537),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym__simple_expression] = STATE(4038),
    [sym_typed_expression] = STATE(4052),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_labeled_argument] = STATE(4580),
    [sym_prefix_expression] = STATE(4052),
    [sym_hash_expression] = STATE(4052),
    [sym_field_get_expression] = STATE(4052),
    [sym_array_get_expression] = STATE(4052),
    [sym_string_get_expression] = STATE(4052),
    [sym_bigarray_get_expression] = STATE(4052),
    [sym_coercion_expression] = STATE(4052),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [aux_sym_class_application_repeat1] = STATE(2402),
    [sym__identifier] = ACTIONS(3921),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3923),
    [anon_sym_QMARK] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_POUND] = ACTIONS(3927),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3929),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8529),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11782),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8498),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8499),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8501),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11873),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8502),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8503),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8504),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8505),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8506),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8507),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8508),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8509),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12448),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11885),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(19200),
    [sym__simple_expression] = STATE(1761),
    [sym__expression] = STATE(8512),
    [sym_typed_expression] = STATE(4052),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4052),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4052),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(4004),
    [sym_array_get_expression] = STATE(4004),
    [sym_string_get_expression] = STATE(4004),
    [sym_bigarray_get_expression] = STATE(4004),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4052),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym_sign_operator] = STATE(1762),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__instance_variable_name] = STATE(19609),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [sym__identifier] = ACTIONS(517),
    [anon_sym_let] = ACTIONS(915),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_fun] = ACTIONS(543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_if] = ACTIONS(547),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(549),
    [anon_sym_function] = ACTIONS(551),
    [anon_sym_try] = ACTIONS(553),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(577),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9824),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12191),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9863),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12049),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12050),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12052),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12053),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12054),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12057),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12058),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12059),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12061),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12062),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12063),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9864),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9866),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9869),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9870),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12066),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9871),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9874),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9875),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9877),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9880),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9616),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12391),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(19951),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9759),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4887),
    [sym_array_get_expression] = STATE(4887),
    [sym_string_get_expression] = STATE(4887),
    [sym_bigarray_get_expression] = STATE(4887),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(1779),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17431),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(1055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1059),
    [anon_sym_function] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1065),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8174),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12145),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8331),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12234),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12235),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12236),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12237),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12238),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12239),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12240),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12241),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12242),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12243),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12244),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym__simple_expression] = STATE(3384),
    [sym_typed_expression] = STATE(3051),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_labeled_argument] = STATE(4125),
    [sym_prefix_expression] = STATE(3051),
    [sym_hash_expression] = STATE(3051),
    [sym_field_get_expression] = STATE(3051),
    [sym_array_get_expression] = STATE(3051),
    [sym_string_get_expression] = STATE(3051),
    [sym_bigarray_get_expression] = STATE(3051),
    [sym_coercion_expression] = STATE(3051),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [aux_sym_class_application_repeat1] = STATE(1875),
    [sym__identifier] = ACTIONS(3209),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_in] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(671),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(673),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8199),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8181),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8196),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12248),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8122),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8200),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8131),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8160),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8130),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8159),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8170),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8172),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12021),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(17588),
    [sym__simple_expression] = STATE(531),
    [sym__expression] = STATE(8141),
    [sym_typed_expression] = STATE(3051),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3051),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3051),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2749),
    [sym_array_get_expression] = STATE(2749),
    [sym_string_get_expression] = STATE(2749),
    [sym_bigarray_get_expression] = STATE(2749),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3051),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym_sign_operator] = STATE(1806),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__instance_variable_name] = STATE(19095),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [sym__identifier] = ACTIONS(637),
    [anon_sym_let] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(641),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_true] = ACTIONS(645),
    [anon_sym_false] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_object] = ACTIONS(649),
    [anon_sym_fun] = ACTIONS(651),
    [anon_sym_LBRACK_PIPE] = ACTIONS(653),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(659),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(663),
    [anon_sym_LBRACE_LT] = ACTIONS(665),
    [anon_sym_begin] = ACTIONS(667),
    [sym_ocamlyacc_value] = ACTIONS(669),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3031),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3033),
    [aux_sym_number_token1] = ACTIONS(675),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE] = ACTIONS(679),
    [sym_prefix_operator] = ACTIONS(681),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(683),
    [sym__capitalized_identifier] = ACTIONS(685),
    [aux_sym_tag_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10634),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8299),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8246),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8216),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8250),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8265),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8266),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8267),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8224),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8223),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8231),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8225),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8235),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8241),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(19080),
    [sym__simple_expression] = STATE(832),
    [sym__expression] = STATE(8261),
    [sym_typed_expression] = STATE(3688),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3688),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3688),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3109),
    [sym_array_get_expression] = STATE(3109),
    [sym_string_get_expression] = STATE(3109),
    [sym_bigarray_get_expression] = STATE(3109),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3688),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym_sign_operator] = STATE(1837),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__instance_variable_name] = STATE(17987),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [sym__identifier] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_fun] = ACTIONS(771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(779),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(803),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8391),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8332),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8336),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8367),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8282),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8353),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8375),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(19583),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(12215),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6095),
    [sym_array_get_expression] = STATE(6095),
    [sym_string_get_expression] = STATE(6095),
    [sym_bigarray_get_expression] = STATE(6095),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(1780),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(19538),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2671),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8311),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8333),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8358),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8313),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8180),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8203),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8204),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8205),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8206),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8207),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8208),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8210),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8211),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8212),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8213),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8214),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(17485),
    [sym__simple_expression] = STATE(502),
    [sym__expression] = STATE(8123),
    [sym_typed_expression] = STATE(3299),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3299),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3299),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2856),
    [sym_array_get_expression] = STATE(2856),
    [sym_string_get_expression] = STATE(2856),
    [sym_bigarray_get_expression] = STATE(2856),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3299),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym_sign_operator] = STATE(1862),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__instance_variable_name] = STATE(17377),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [sym__identifier] = ACTIONS(585),
    [anon_sym_let] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(631),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym__simple_expression] = STATE(3384),
    [sym_typed_expression] = STATE(3051),
    [sym_list_expression] = STATE(3051),
    [sym_array_expression] = STATE(3051),
    [sym_record_expression] = STATE(3051),
    [sym_labeled_argument] = STATE(4125),
    [sym_prefix_expression] = STATE(3051),
    [sym_hash_expression] = STATE(3051),
    [sym_field_get_expression] = STATE(3051),
    [sym_array_get_expression] = STATE(3051),
    [sym_string_get_expression] = STATE(3051),
    [sym_bigarray_get_expression] = STATE(3051),
    [sym_coercion_expression] = STATE(3051),
    [sym_local_open_expression] = STATE(3051),
    [sym_package_expression] = STATE(3051),
    [sym_new_expression] = STATE(3051),
    [sym_object_copy_expression] = STATE(3051),
    [sym_method_invocation] = STATE(3051),
    [sym_object_expression] = STATE(3051),
    [sym_parenthesized_expression] = STATE(3051),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(3051),
    [sym_quoted_extension] = STATE(3051),
    [sym__constant] = STATE(3051),
    [sym_number] = STATE(3061),
    [sym_character] = STATE(3061),
    [sym_string] = STATE(3061),
    [sym_quoted_string] = STATE(3061),
    [sym_boolean] = STATE(3061),
    [sym_unit] = STATE(3061),
    [sym__value_name] = STATE(3032),
    [sym_parenthesized_operator] = STATE(3427),
    [sym_value_path] = STATE(3051),
    [sym_module_path] = STATE(19818),
    [sym_constructor_path] = STATE(3051),
    [sym__constructor_name] = STATE(3043),
    [sym_tag] = STATE(3051),
    [aux_sym_class_application_repeat1] = STATE(1875),
    [sym__identifier] = ACTIONS(3931),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(3934),
    [anon_sym_QMARK] = ACTIONS(3934),
    [anon_sym_LPAREN] = ACTIONS(3937),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(3940),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(3943),
    [anon_sym_false] = ACTIONS(3943),
    [anon_sym_LBRACE] = ACTIONS(3946),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(3949),
    [anon_sym_in] = ACTIONS(3358),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3952),
    [anon_sym_new] = ACTIONS(3955),
    [anon_sym_LBRACE_LT] = ACTIONS(3958),
    [anon_sym_begin] = ACTIONS(3961),
    [sym_ocamlyacc_value] = ACTIONS(3964),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3967),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3970),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(3973),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(3976),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [sym_prefix_operator] = ACTIONS(3982),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(3985),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(3988),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym_value_definition] = STATE(18037),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(12316),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6289),
    [sym_array_get_expression] = STATE(6289),
    [sym_string_get_expression] = STATE(6289),
    [sym_bigarray_get_expression] = STATE(6289),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(1807),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(19221),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2683),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2685),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(19645),
    [sym__simple_expression] = STATE(1506),
    [sym__expression] = STATE(8337),
    [sym_typed_expression] = STATE(3700),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3700),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3700),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3517),
    [sym_array_get_expression] = STATE(3517),
    [sym_string_get_expression] = STATE(3517),
    [sym_bigarray_get_expression] = STATE(3517),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3700),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym_sign_operator] = STATE(1836),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__instance_variable_name] = STATE(19585),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [sym__identifier] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_fun] = ACTIONS(825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3039),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(857),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8364),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8294),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8355),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8362),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8368),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8374),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8280),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8306),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8339),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8342),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8343),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8283),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12457),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8307),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(19228),
    [sym__simple_expression] = STATE(1753),
    [sym__expression] = STATE(8309),
    [sym_typed_expression] = STATE(3969),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3969),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3969),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3667),
    [sym_array_get_expression] = STATE(3667),
    [sym_string_get_expression] = STATE(3667),
    [sym_bigarray_get_expression] = STATE(3667),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3969),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym_sign_operator] = STATE(1878),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__instance_variable_name] = STATE(19181),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [sym__identifier] = ACTIONS(863),
    [anon_sym_let] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_fun] = ACTIONS(877),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_function] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(909),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12337),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9520),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9596),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9597),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9598),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9599),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9600),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9601),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9602),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9603),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9604),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9605),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9606),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12361),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12369),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9608),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12370),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12392),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12032),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12035),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12038),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12041),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12045),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12047),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12068),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(18605),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9354),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(4811),
    [sym_array_get_expression] = STATE(4811),
    [sym_string_get_expression] = STATE(4811),
    [sym_bigarray_get_expression] = STATE(4811),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(1894),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(20097),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(1033),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(1035),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1041),
    [anon_sym_function] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1051),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10428),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10500),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10503),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10506),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8043),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8073),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8117),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8119),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(7947),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(7952),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(7953),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(7955),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(7968),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(7969),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(7971),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(7988),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10507),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(17700),
    [sym__simple_expression] = STATE(2448),
    [sym__expression] = STATE(12069),
    [sym_typed_expression] = STATE(7024),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(7024),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(7024),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(6260),
    [sym_array_get_expression] = STATE(6260),
    [sym_string_get_expression] = STATE(6260),
    [sym_bigarray_get_expression] = STATE(6260),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(7024),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym_sign_operator] = STATE(1893),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__instance_variable_name] = STATE(18782),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [sym__identifier] = ACTIONS(2739),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_fun] = ACTIONS(2753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2759),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2763),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2785),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10509),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8005),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11728),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(19742),
    [sym__simple_expression] = STATE(359),
    [sym__expression] = STATE(8029),
    [sym_typed_expression] = STATE(2865),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2865),
    [sym_array_expression] = STATE(2865),
    [sym_record_expression] = STATE(2865),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2865),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2865),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2680),
    [sym_array_get_expression] = STATE(2680),
    [sym_string_get_expression] = STATE(2680),
    [sym_bigarray_get_expression] = STATE(2680),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2865),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2865),
    [sym_package_expression] = STATE(2865),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2865),
    [sym_object_copy_expression] = STATE(2865),
    [sym_method_invocation] = STATE(2865),
    [sym_object_expression] = STATE(2865),
    [sym_parenthesized_expression] = STATE(2865),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(2865),
    [sym_quoted_extension] = STATE(2865),
    [sym__constant] = STATE(2865),
    [sym_number] = STATE(2778),
    [sym_character] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_quoted_string] = STATE(2778),
    [sym_boolean] = STATE(2778),
    [sym_unit] = STATE(2778),
    [sym_sign_operator] = STATE(1923),
    [sym__value_name] = STATE(2867),
    [sym_parenthesized_operator] = STATE(2854),
    [sym_value_path] = STATE(2865),
    [sym_module_path] = STATE(18312),
    [sym_constructor_path] = STATE(2865),
    [sym__instance_variable_name] = STATE(19467),
    [sym__constructor_name] = STATE(2779),
    [sym_tag] = STATE(2865),
    [sym__identifier] = ACTIONS(301),
    [anon_sym_let] = ACTIONS(305),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(313),
    [anon_sym_false] = ACTIONS(313),
    [anon_sym_LBRACE] = ACTIONS(315),
    [anon_sym_object] = ACTIONS(317),
    [anon_sym_fun] = ACTIONS(319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(321),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_function] = ACTIONS(327),
    [anon_sym_try] = ACTIONS(329),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(331),
    [anon_sym_LBRACE_LT] = ACTIONS(333),
    [anon_sym_begin] = ACTIONS(335),
    [sym_ocamlyacc_value] = ACTIONS(337),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(345),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [sym_prefix_operator] = ACTIONS(351),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(355),
    [sym__capitalized_identifier] = ACTIONS(357),
    [aux_sym_tag_token1] = ACTIONS(359),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10517),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11929),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10520),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11930),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11933),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11935),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8269),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11936),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8229),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8268),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8228),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8237),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8239),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8255),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8272),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8273),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8252),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8262),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8233),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11939),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11940),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11941),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11942),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11946),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(17758),
    [sym__simple_expression] = STATE(842),
    [sym__expression] = STATE(8245),
    [sym_typed_expression] = STATE(3654),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3654),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3654),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3282),
    [sym_array_get_expression] = STATE(3282),
    [sym_string_get_expression] = STATE(3282),
    [sym_bigarray_get_expression] = STATE(3282),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3654),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym_sign_operator] = STATE(1947),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__instance_variable_name] = STATE(17710),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [sym__identifier] = ACTIONS(691),
    [anon_sym_let] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_fun] = ACTIONS(705),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(711),
    [anon_sym_function] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3065),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(737),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11947),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10523),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10525),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10527),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11762),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11844),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11690),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11691),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11695),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11698),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11701),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11710),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11716),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11720),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11721),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11725),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11731),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(18750),
    [sym__simple_expression] = STATE(2440),
    [sym__expression] = STATE(11806),
    [sym_typed_expression] = STATE(6398),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6398),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6398),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5901),
    [sym_array_get_expression] = STATE(5901),
    [sym_string_get_expression] = STATE(5901),
    [sym_bigarray_get_expression] = STATE(5901),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6398),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym_sign_operator] = STATE(1971),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__instance_variable_name] = STATE(18288),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [sym__identifier] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1583),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_fun] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1601),
    [anon_sym_function] = ACTIONS(1603),
    [anon_sym_try] = ACTIONS(1605),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1627),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(17478),
    [sym__simple_expression] = STATE(2439),
    [sym__expression] = STATE(11886),
    [sym_typed_expression] = STATE(6270),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6270),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6270),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5969),
    [sym_array_get_expression] = STATE(5969),
    [sym_string_get_expression] = STATE(5969),
    [sym_bigarray_get_expression] = STATE(5969),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6270),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym_sign_operator] = STATE(1939),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__instance_variable_name] = STATE(17369),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [sym__identifier] = ACTIONS(2381),
    [anon_sym_let] = ACTIONS(2383),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_fun] = ACTIONS(2395),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2399),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(2401),
    [anon_sym_function] = ACTIONS(2403),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2427),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11607),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11512),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11547),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11559),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11603),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11608),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11609),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11611),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11612),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11618),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11619),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11625),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(19280),
    [sym__simple_expression] = STATE(2432),
    [sym__expression] = STATE(11632),
    [sym_typed_expression] = STATE(6028),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(6028),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(6028),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5737),
    [sym_array_get_expression] = STATE(5737),
    [sym_string_get_expression] = STATE(5737),
    [sym_bigarray_get_expression] = STATE(5737),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(6028),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym_sign_operator] = STATE(1756),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__instance_variable_name] = STATE(19230),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [sym__identifier] = ACTIONS(1395),
    [anon_sym_let] = ACTIONS(1397),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_fun] = ACTIONS(1409),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1413),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1415),
    [anon_sym_function] = ACTIONS(1417),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1441),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11552),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10991),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11653),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11464),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11492),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11506),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(11002),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11508),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10965),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10966),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10967),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10968),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10969),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10970),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10971),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10972),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10973),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10974),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10975),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11571),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11669),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11470),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11479),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11500),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(19604),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10977),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5638),
    [sym_array_get_expression] = STATE(5638),
    [sym_string_get_expression] = STATE(5638),
    [sym_bigarray_get_expression] = STATE(5638),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2004),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19567),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11504),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(18657),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11487),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5746),
    [sym_array_get_expression] = STATE(5746),
    [sym_string_get_expression] = STATE(5746),
    [sym_bigarray_get_expression] = STATE(5746),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(1998),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(18434),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1447),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1449),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(10030),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10166),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9961),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9972),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9973),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9974),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9975),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9976),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9977),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9978),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9979),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9980),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9981),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9982),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10172),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10173),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(18088),
    [sym__simple_expression] = STATE(2410),
    [sym__expression] = STATE(9983),
    [sym_typed_expression] = STATE(5236),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5236),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5236),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5062),
    [sym_array_get_expression] = STATE(5062),
    [sym_string_get_expression] = STATE(5062),
    [sym_bigarray_get_expression] = STATE(5062),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5236),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym_sign_operator] = STATE(2027),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__instance_variable_name] = STATE(20047),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [sym__identifier] = ACTIONS(1067),
    [anon_sym_let] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_fun] = ACTIONS(1081),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1113),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10174),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10176),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10177),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10178),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10179),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10181),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10182),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10183),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10184),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11713),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11801),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(10404),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11900),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11901),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11902),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11903),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11904),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11905),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11906),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11907),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11913),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11915),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11917),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10204),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11918),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10189),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(18047),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(11956),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5903),
    [sym_array_get_expression] = STATE(5903),
    [sym_string_get_expression] = STATE(5903),
    [sym_bigarray_get_expression] = STATE(5903),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2052),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(17321),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2083),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2099),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2103),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2127),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10243),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10250),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11717),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10264),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11744),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11745),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11746),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11747),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11748),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11750),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11752),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11753),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11754),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11755),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11756),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10266),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10267),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10268),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10269),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10270),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11758),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10271),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10273),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10275),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(18842),
    [sym__simple_expression] = STATE(2437),
    [sym__expression] = STATE(11808),
    [sym_typed_expression] = STATE(6495),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6495),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6495),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5904),
    [sym_array_get_expression] = STATE(5904),
    [sym_string_get_expression] = STATE(5904),
    [sym_bigarray_get_expression] = STATE(5904),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6495),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym_sign_operator] = STATE(2071),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__instance_variable_name] = STATE(17923),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [sym__identifier] = ACTIONS(2151),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_fun] = ACTIONS(2165),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2171),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2197),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(17628),
    [sym__simple_expression] = STATE(2414),
    [sym__expression] = STATE(10291),
    [sym_typed_expression] = STATE(5251),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(5251),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(5251),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5215),
    [sym_array_get_expression] = STATE(5215),
    [sym_string_get_expression] = STATE(5215),
    [sym_bigarray_get_expression] = STATE(5215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(5251),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym_sign_operator] = STATE(2067),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__instance_variable_name] = STATE(17584),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [sym__identifier] = ACTIONS(1171),
    [anon_sym_let] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_fun] = ACTIONS(1185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1189),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(1191),
    [anon_sym_function] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1217),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12064),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11799),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11820),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11821),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11822),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11823),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11824),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11825),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11826),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11828),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11829),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11831),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11832),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12167),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12169),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11834),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12298),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12339),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12375),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12368),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12204),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12084),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12078),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11783),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12096),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12604),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(19755),
    [sym__simple_expression] = STATE(2438),
    [sym__expression] = STATE(11723),
    [sym_typed_expression] = STATE(6099),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6099),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6099),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5905),
    [sym_array_get_expression] = STATE(5905),
    [sym_string_get_expression] = STATE(5905),
    [sym_bigarray_get_expression] = STATE(5905),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6099),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym_sign_operator] = STATE(2096),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__instance_variable_name] = STATE(18763),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_fun] = ACTIONS(2235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2267),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8155),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12085),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8194),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8136),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8134),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8138),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8158),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8193),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8198),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8140),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8144),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8182),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8201),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym__simple_expression] = STATE(4303),
    [sym_typed_expression] = STATE(4055),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_labeled_argument] = STATE(4562),
    [sym_prefix_expression] = STATE(4055),
    [sym_hash_expression] = STATE(4055),
    [sym_field_get_expression] = STATE(4055),
    [sym_array_get_expression] = STATE(4055),
    [sym_string_get_expression] = STATE(4055),
    [sym_bigarray_get_expression] = STATE(4055),
    [sym_coercion_expression] = STATE(4055),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [aux_sym_class_application_repeat1] = STATE(2403),
    [sym__identifier] = ACTIONS(3991),
    [anon_sym_SEMI_SEMI] = ACTIONS(3093),
    [anon_sym_let] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_QMARK] = ACTIONS(3993),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3095),
    [anon_sym_type] = ACTIONS(3095),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_DOT] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3095),
    [anon_sym_exception] = ACTIONS(3095),
    [anon_sym_module] = ACTIONS(3095),
    [anon_sym_open] = ACTIONS(3095),
    [anon_sym_include] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(3997),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(3999),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(3095),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8126),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(17434),
    [sym__simple_expression] = STATE(508),
    [sym__expression] = STATE(8142),
    [sym_typed_expression] = STATE(3086),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3086),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3086),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2862),
    [sym_array_get_expression] = STATE(2862),
    [sym_string_get_expression] = STATE(2862),
    [sym_bigarray_get_expression] = STATE(2862),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3086),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym_sign_operator] = STATE(2122),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__instance_variable_name] = STATE(19622),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [sym__identifier] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_fun] = ACTIONS(479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(485),
    [anon_sym_function] = ACTIONS(487),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(511),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12573),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8008),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7983),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7984),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7985),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7987),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7989),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7990),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7991),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7992),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7994),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7995),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7997),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(7999),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(17647),
    [sym__simple_expression] = STATE(360),
    [sym__expression] = STATE(8022),
    [sym_typed_expression] = STATE(2783),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(2783),
    [sym_array_expression] = STATE(2783),
    [sym_record_expression] = STATE(2783),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(2783),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(2783),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2673),
    [sym_array_get_expression] = STATE(2673),
    [sym_string_get_expression] = STATE(2673),
    [sym_bigarray_get_expression] = STATE(2673),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(2783),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(2783),
    [sym_package_expression] = STATE(2783),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(2783),
    [sym_object_copy_expression] = STATE(2783),
    [sym_method_invocation] = STATE(2783),
    [sym_object_expression] = STATE(2783),
    [sym_parenthesized_expression] = STATE(2783),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(2783),
    [sym_quoted_extension] = STATE(2783),
    [sym__constant] = STATE(2783),
    [sym_number] = STATE(2818),
    [sym_character] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_quoted_string] = STATE(2818),
    [sym_boolean] = STATE(2818),
    [sym_unit] = STATE(2818),
    [sym_sign_operator] = STATE(2139),
    [sym__value_name] = STATE(2711),
    [sym_parenthesized_operator] = STATE(2770),
    [sym_value_path] = STATE(2783),
    [sym_module_path] = STATE(18622),
    [sym_constructor_path] = STATE(2783),
    [sym__instance_variable_name] = STATE(17408),
    [sym__constructor_name] = STATE(2819),
    [sym_tag] = STATE(2783),
    [sym__identifier] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(399),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(403),
    [sym_prefix_operator] = ACTIONS(405),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(407),
    [sym__capitalized_identifier] = ACTIONS(409),
    [aux_sym_tag_token1] = ACTIONS(411),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12571),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9194),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9206),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9209),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9212),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9215),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9216),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9217),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9218),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9219),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9222),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9223),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9225),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12602),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12408),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9144),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12409),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym__simple_expression] = STATE(3449),
    [sym_typed_expression] = STATE(3299),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_labeled_argument] = STATE(4307),
    [sym_prefix_expression] = STATE(3299),
    [sym_hash_expression] = STATE(3299),
    [sym_field_get_expression] = STATE(3299),
    [sym_array_get_expression] = STATE(3299),
    [sym_string_get_expression] = STATE(3299),
    [sym_bigarray_get_expression] = STATE(3299),
    [sym_coercion_expression] = STATE(3299),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [aux_sym_class_application_repeat1] = STATE(2193),
    [sym__identifier] = ACTIONS(3127),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3129),
    [anon_sym_QMARK] = ACTIONS(3129),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_true] = ACTIONS(593),
    [anon_sym_false] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_in] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(633),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12410),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12411),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(17897),
    [sym__simple_expression] = STATE(2406),
    [sym__expression] = STATE(9292),
    [sym_typed_expression] = STATE(4711),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4711),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4711),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4632),
    [sym_array_get_expression] = STATE(4632),
    [sym_string_get_expression] = STATE(4632),
    [sym_bigarray_get_expression] = STATE(4632),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4711),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym_sign_operator] = STATE(2154),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__instance_variable_name] = STATE(17626),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [sym__identifier] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_fun] = ACTIONS(933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(973),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12413),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8188),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8149),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8153),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8156),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8163),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8165),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8166),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8169),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8171),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8173),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8175),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8215),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8179),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(18112),
    [sym__simple_expression] = STATE(511),
    [sym__expression] = STATE(8147),
    [sym_typed_expression] = STATE(3173),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(3173),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(3173),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(2709),
    [sym_array_get_expression] = STATE(2709),
    [sym_string_get_expression] = STATE(2709),
    [sym_bigarray_get_expression] = STATE(2709),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(3173),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym_sign_operator] = STATE(2175),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__instance_variable_name] = STATE(17861),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [sym__identifier] = ACTIONS(413),
    [anon_sym_let] = ACTIONS(415),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_fun] = ACTIONS(427),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(433),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(459),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12415),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12416),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12417),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12421),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym__simple_expression] = STATE(3449),
    [sym_typed_expression] = STATE(3299),
    [sym_list_expression] = STATE(3299),
    [sym_array_expression] = STATE(3299),
    [sym_record_expression] = STATE(3299),
    [sym_labeled_argument] = STATE(4307),
    [sym_prefix_expression] = STATE(3299),
    [sym_hash_expression] = STATE(3299),
    [sym_field_get_expression] = STATE(3299),
    [sym_array_get_expression] = STATE(3299),
    [sym_string_get_expression] = STATE(3299),
    [sym_bigarray_get_expression] = STATE(3299),
    [sym_coercion_expression] = STATE(3299),
    [sym_local_open_expression] = STATE(3299),
    [sym_package_expression] = STATE(3299),
    [sym_new_expression] = STATE(3299),
    [sym_object_copy_expression] = STATE(3299),
    [sym_method_invocation] = STATE(3299),
    [sym_object_expression] = STATE(3299),
    [sym_parenthesized_expression] = STATE(3299),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(3299),
    [sym_quoted_extension] = STATE(3299),
    [sym__constant] = STATE(3299),
    [sym_number] = STATE(3236),
    [sym_character] = STATE(3236),
    [sym_string] = STATE(3236),
    [sym_quoted_string] = STATE(3236),
    [sym_boolean] = STATE(3236),
    [sym_unit] = STATE(3236),
    [sym__value_name] = STATE(3443),
    [sym_parenthesized_operator] = STATE(3031),
    [sym_value_path] = STATE(3299),
    [sym_module_path] = STATE(18149),
    [sym_constructor_path] = STATE(3299),
    [sym__constructor_name] = STATE(3237),
    [sym_tag] = STATE(3299),
    [aux_sym_class_application_repeat1] = STATE(2193),
    [sym__identifier] = ACTIONS(4001),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4004),
    [anon_sym_QMARK] = ACTIONS(4004),
    [anon_sym_LPAREN] = ACTIONS(4007),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4010),
    [anon_sym_true] = ACTIONS(4013),
    [anon_sym_false] = ACTIONS(4013),
    [anon_sym_LBRACE] = ACTIONS(4016),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4019),
    [anon_sym_in] = ACTIONS(3358),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4022),
    [anon_sym_new] = ACTIONS(4025),
    [anon_sym_LBRACE_LT] = ACTIONS(4028),
    [anon_sym_begin] = ACTIONS(4031),
    [sym_ocamlyacc_value] = ACTIONS(4034),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4040),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4043),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4046),
    [anon_sym_DQUOTE] = ACTIONS(4049),
    [sym_prefix_operator] = ACTIONS(4052),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4055),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4058),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym__simple_expression] = STATE(3097),
    [sym_typed_expression] = STATE(3086),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_labeled_argument] = STATE(4393),
    [sym_prefix_expression] = STATE(3086),
    [sym_hash_expression] = STATE(3086),
    [sym_field_get_expression] = STATE(3086),
    [sym_array_get_expression] = STATE(3086),
    [sym_string_get_expression] = STATE(3086),
    [sym_bigarray_get_expression] = STATE(3086),
    [sym_coercion_expression] = STATE(3086),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [aux_sym_class_application_repeat1] = STATE(2254),
    [sym__identifier] = ACTIONS(3147),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(3149),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(471),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(473),
    [anon_sym_false] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(477),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(481),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_LBRACE_LT] = ACTIONS(493),
    [anon_sym_begin] = ACTIONS(495),
    [sym_ocamlyacc_value] = ACTIONS(497),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(499),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(501),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(503),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(505),
    [anon_sym_DQUOTE] = ACTIONS(507),
    [sym_prefix_operator] = ACTIONS(509),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(513),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(515),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8467),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym__simple_expression] = STATE(3183),
    [sym_typed_expression] = STATE(3173),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_labeled_argument] = STATE(4028),
    [sym_prefix_expression] = STATE(3173),
    [sym_hash_expression] = STATE(3173),
    [sym_field_get_expression] = STATE(3173),
    [sym_array_get_expression] = STATE(3173),
    [sym_string_get_expression] = STATE(3173),
    [sym_bigarray_get_expression] = STATE(3173),
    [sym_coercion_expression] = STATE(3173),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [aux_sym_class_application_repeat1] = STATE(2255),
    [sym__identifier] = ACTIONS(3161),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(419),
    [anon_sym_true] = ACTIONS(421),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_LBRACE] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(429),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACE_LT] = ACTIONS(441),
    [anon_sym_begin] = ACTIONS(443),
    [sym_ocamlyacc_value] = ACTIONS(445),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(447),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(449),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(451),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [sym_prefix_operator] = ACTIONS(457),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(461),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(11955),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12419),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12230),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12251),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12252),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12254),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12255),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12256),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12257),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12260),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12262),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12264),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12267),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12269),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(18907),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12287),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6407),
    [sym_array_get_expression] = STATE(6407),
    [sym_string_get_expression] = STATE(6407),
    [sym_bigarray_get_expression] = STATE(6407),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(2199),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19593),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(2821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2827),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2831),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11389),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11432),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11433),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11434),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11435),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11436),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11437),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11438),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11439),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11440),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11441),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11442),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(20092),
    [sym__simple_expression] = STATE(2427),
    [sym__expression] = STATE(11443),
    [sym_typed_expression] = STATE(5742),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5742),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5742),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5579),
    [sym_array_get_expression] = STATE(5579),
    [sym_string_get_expression] = STATE(5579),
    [sym_bigarray_get_expression] = STATE(5579),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5742),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym_sign_operator] = STATE(2212),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__instance_variable_name] = STATE(19687),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [sym__identifier] = ACTIONS(1343),
    [anon_sym_let] = ACTIONS(1345),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_fun] = ACTIONS(1357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1389),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11804),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11980),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11982),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11984),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11986),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11990),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11991),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11998),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(11999),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12000),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12001),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12002),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(19724),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(12012),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6003),
    [sym_array_get_expression] = STATE(6003),
    [sym_string_get_expression] = STATE(6003),
    [sym_bigarray_get_expression] = STATE(6003),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2225),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19715),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(2539),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2543),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2549),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10699),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10899),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10749),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10750),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10752),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10754),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10755),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10756),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10757),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10759),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10760),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10762),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10763),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(18241),
    [sym__simple_expression] = STATE(2420),
    [sym__expression] = STATE(10765),
    [sym_typed_expression] = STATE(5624),
    [sym_product_expression] = STATE(10303),
    [sym_cons_expression] = STATE(10303),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_application_expression] = STATE(10303),
    [sym_prefix_expression] = STATE(5624),
    [sym_sign_expression] = STATE(10303),
    [sym_hash_expression] = STATE(5624),
    [sym_infix_expression] = STATE(10303),
    [sym_field_get_expression] = STATE(5456),
    [sym_array_get_expression] = STATE(5456),
    [sym_string_get_expression] = STATE(5456),
    [sym_bigarray_get_expression] = STATE(5456),
    [sym_set_expression] = STATE(10303),
    [sym_if_expression] = STATE(10303),
    [sym_while_expression] = STATE(10303),
    [sym_for_expression] = STATE(10303),
    [sym_match_expression] = STATE(10303),
    [sym_function_expression] = STATE(10303),
    [sym_fun_expression] = STATE(10303),
    [sym_try_expression] = STATE(10303),
    [sym_let_expression] = STATE(10303),
    [sym_coercion_expression] = STATE(5624),
    [sym_assert_expression] = STATE(10303),
    [sym_lazy_expression] = STATE(10303),
    [sym_let_module_expression] = STATE(10303),
    [sym_let_open_expression] = STATE(10303),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_let_exception_expression] = STATE(10303),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym_sign_operator] = STATE(2239),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__instance_variable_name] = STATE(19740),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [sym__identifier] = ACTIONS(1277),
    [anon_sym_let] = ACTIONS(1279),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_fun] = ACTIONS(1291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_match] = ACTIONS(1301),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1307),
    [anon_sym_lazy] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1331),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(17904),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12580),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6982),
    [sym_array_get_expression] = STATE(6982),
    [sym_string_get_expression] = STATE(6982),
    [sym_bigarray_get_expression] = STATE(6982),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2120),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(20104),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2927),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2933),
    [anon_sym_function] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2939),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8676),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym__simple_expression] = STATE(3097),
    [sym_typed_expression] = STATE(3086),
    [sym_list_expression] = STATE(3086),
    [sym_array_expression] = STATE(3086),
    [sym_record_expression] = STATE(3086),
    [sym_labeled_argument] = STATE(4393),
    [sym_prefix_expression] = STATE(3086),
    [sym_hash_expression] = STATE(3086),
    [sym_field_get_expression] = STATE(3086),
    [sym_array_get_expression] = STATE(3086),
    [sym_string_get_expression] = STATE(3086),
    [sym_bigarray_get_expression] = STATE(3086),
    [sym_coercion_expression] = STATE(3086),
    [sym_local_open_expression] = STATE(3086),
    [sym_package_expression] = STATE(3086),
    [sym_new_expression] = STATE(3086),
    [sym_object_copy_expression] = STATE(3086),
    [sym_method_invocation] = STATE(3086),
    [sym_object_expression] = STATE(3086),
    [sym_parenthesized_expression] = STATE(3086),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(3086),
    [sym_quoted_extension] = STATE(3086),
    [sym__constant] = STATE(3086),
    [sym_number] = STATE(3292),
    [sym_character] = STATE(3292),
    [sym_string] = STATE(3292),
    [sym_quoted_string] = STATE(3292),
    [sym_boolean] = STATE(3292),
    [sym_unit] = STATE(3292),
    [sym__value_name] = STATE(3148),
    [sym_parenthesized_operator] = STATE(3261),
    [sym_value_path] = STATE(3086),
    [sym_module_path] = STATE(18584),
    [sym_constructor_path] = STATE(3086),
    [sym__constructor_name] = STATE(3293),
    [sym_tag] = STATE(3086),
    [aux_sym_class_application_repeat1] = STATE(2254),
    [sym__identifier] = ACTIONS(4061),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4064),
    [anon_sym_QMARK] = ACTIONS(4064),
    [anon_sym_LPAREN] = ACTIONS(4067),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4070),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(4073),
    [anon_sym_false] = ACTIONS(4073),
    [anon_sym_LBRACE] = ACTIONS(4076),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4079),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4082),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(4085),
    [anon_sym_LBRACE_LT] = ACTIONS(4088),
    [anon_sym_begin] = ACTIONS(4091),
    [sym_ocamlyacc_value] = ACTIONS(4094),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4097),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4100),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4103),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4106),
    [anon_sym_DQUOTE] = ACTIONS(4109),
    [sym_prefix_operator] = ACTIONS(4112),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4115),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4118),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym__simple_expression] = STATE(3183),
    [sym_typed_expression] = STATE(3173),
    [sym_list_expression] = STATE(3173),
    [sym_array_expression] = STATE(3173),
    [sym_record_expression] = STATE(3173),
    [sym_labeled_argument] = STATE(4028),
    [sym_prefix_expression] = STATE(3173),
    [sym_hash_expression] = STATE(3173),
    [sym_field_get_expression] = STATE(3173),
    [sym_array_get_expression] = STATE(3173),
    [sym_string_get_expression] = STATE(3173),
    [sym_bigarray_get_expression] = STATE(3173),
    [sym_coercion_expression] = STATE(3173),
    [sym_local_open_expression] = STATE(3173),
    [sym_package_expression] = STATE(3173),
    [sym_new_expression] = STATE(3173),
    [sym_object_copy_expression] = STATE(3173),
    [sym_method_invocation] = STATE(3173),
    [sym_object_expression] = STATE(3173),
    [sym_parenthesized_expression] = STATE(3173),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(3173),
    [sym_quoted_extension] = STATE(3173),
    [sym__constant] = STATE(3173),
    [sym_number] = STATE(3327),
    [sym_character] = STATE(3327),
    [sym_string] = STATE(3327),
    [sym_quoted_string] = STATE(3327),
    [sym_boolean] = STATE(3327),
    [sym_unit] = STATE(3327),
    [sym__value_name] = STATE(3226),
    [sym_parenthesized_operator] = STATE(3271),
    [sym_value_path] = STATE(3173),
    [sym_module_path] = STATE(18660),
    [sym_constructor_path] = STATE(3173),
    [sym__constructor_name] = STATE(3328),
    [sym_tag] = STATE(3173),
    [aux_sym_class_application_repeat1] = STATE(2255),
    [sym__identifier] = ACTIONS(4121),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_LPAREN] = ACTIONS(4127),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_true] = ACTIONS(4133),
    [anon_sym_false] = ACTIONS(4133),
    [anon_sym_LBRACE] = ACTIONS(4136),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4139),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4142),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(4145),
    [anon_sym_LBRACE_LT] = ACTIONS(4148),
    [anon_sym_begin] = ACTIONS(4151),
    [sym_ocamlyacc_value] = ACTIONS(4154),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4160),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4163),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4166),
    [anon_sym_DQUOTE] = ACTIONS(4169),
    [sym_prefix_operator] = ACTIONS(4172),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4175),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4178),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12528),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12549),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12570),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12473),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12605),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12479),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12493),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12499),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12505),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2408),
    [sym__expression] = STATE(10108),
    [sym_typed_expression] = STATE(4927),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(4927),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(4927),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5219),
    [sym_array_get_expression] = STATE(5219),
    [sym_string_get_expression] = STATE(5219),
    [sym_bigarray_get_expression] = STATE(5219),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(4927),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__instance_variable_name] = STATE(19748),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [sym__identifier] = ACTIONS(1119),
    [anon_sym_let] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_fun] = ACTIONS(1133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1139),
    [anon_sym_function] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1165),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12507),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12529),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8446),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8448),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12055),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12099),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12164),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12183),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12192),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12199),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12216),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12310),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12313),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12321),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12358),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12362),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8449),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(18022),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12491),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7017),
    [sym_array_get_expression] = STATE(7017),
    [sym_string_get_expression] = STATE(7017),
    [sym_bigarray_get_expression] = STATE(7017),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2256),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(17581),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2887),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2891),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2897),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8450),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(18413),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(12034),
    [sym_typed_expression] = STATE(6953),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6953),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6953),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6953),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym_sign_operator] = STATE(2271),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__instance_variable_name] = STATE(18361),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [sym__identifier] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_fun] = ACTIONS(2847),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2851),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2879),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12026),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12165),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12166),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12171),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12172),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12173),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12177),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12179),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12181),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12182),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12184),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12185),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12502),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(19227),
    [sym__simple_expression] = STATE(2450),
    [sym__expression] = STATE(12195),
    [sym_typed_expression] = STATE(7026),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(7026),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(7026),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(7026),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__instance_variable_name] = STATE(19191),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [sym__identifier] = ACTIONS(2555),
    [anon_sym_let] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_fun] = ACTIONS(2569),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2575),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2601),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12217),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12550),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12232),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12265),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12266),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12268),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12276),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12286),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12289),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12290),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12294),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12296),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12297),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(19012),
    [sym__simple_expression] = STATE(2409),
    [sym__expression] = STATE(12412),
    [sym_typed_expression] = STATE(5112),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(5112),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(5112),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(5348),
    [sym_array_get_expression] = STATE(5348),
    [sym_string_get_expression] = STATE(5348),
    [sym_bigarray_get_expression] = STATE(5348),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(5112),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym_sign_operator] = STATE(1835),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__instance_variable_name] = STATE(19595),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [sym__identifier] = ACTIONS(1223),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_fun] = ACTIONS(1237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1269),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12562),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12563),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12564),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12565),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12566),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(20042),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12311),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2301),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19963),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2711),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2733),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12567),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12568),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12319),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12572),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12323),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12324),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12327),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12328),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12330),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12332),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12333),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12345),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12348),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12349),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12350),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12576),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12577),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8451),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8452),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(17915),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12360),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2323),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(17546),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2621),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2627),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2653),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8453),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9355),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9434),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9435),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9436),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9437),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9438),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9439),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9440),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9441),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9442),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9443),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9444),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(17811),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(12578),
    [sym_typed_expression] = STATE(6846),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6846),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6846),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6846),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__instance_variable_name] = STATE(19605),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [sym__identifier] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_fun] = ACTIONS(2901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2911),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8454),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(17807),
    [sym__simple_expression] = STATE(2407),
    [sym__expression] = STATE(9446),
    [sym_typed_expression] = STATE(4851),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(4851),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(4851),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(4825),
    [sym_array_get_expression] = STATE(4825),
    [sym_string_get_expression] = STATE(4825),
    [sym_bigarray_get_expression] = STATE(4825),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(4851),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym_sign_operator] = STATE(2342),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__instance_variable_name] = STATE(17619),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [sym__identifier] = ACTIONS(979),
    [anon_sym_let] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_fun] = ACTIONS(993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(1025),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8455),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12553),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12513),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8458),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12441),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12443),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12374),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12447),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12137),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12140),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12141),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12146),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12148),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12149),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12151),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12153),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12154),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12155),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12157),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12516),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12519),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12543),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12422),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12450),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(18980),
    [sym__simple_expression] = STATE(2435),
    [sym__expression] = STATE(12161),
    [sym_typed_expression] = STATE(6362),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6362),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6362),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6362),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym_sign_operator] = STATE(2363),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__instance_variable_name] = STATE(18949),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_fun] = ACTIONS(2807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2811),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2817),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12500),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11714),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(19798),
    [sym__simple_expression] = STATE(2444),
    [sym__expression] = STATE(12609),
    [sym_typed_expression] = STATE(6766),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6766),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6766),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6766),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym_sign_operator] = STATE(2358),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__instance_variable_name] = STATE(19428),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [sym__identifier] = ACTIONS(2607),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_fun] = ACTIONS(2915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2919),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2925),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11775),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(18484),
    [sym__simple_expression] = STATE(2135),
    [sym__expression] = STATE(8459),
    [sym_typed_expression] = STATE(4055),
    [sym_product_expression] = STATE(8110),
    [sym_cons_expression] = STATE(8110),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_application_expression] = STATE(8110),
    [sym_prefix_expression] = STATE(4055),
    [sym_sign_expression] = STATE(8110),
    [sym_hash_expression] = STATE(4055),
    [sym_infix_expression] = STATE(8110),
    [sym_field_get_expression] = STATE(3754),
    [sym_array_get_expression] = STATE(3754),
    [sym_string_get_expression] = STATE(3754),
    [sym_bigarray_get_expression] = STATE(3754),
    [sym_set_expression] = STATE(8110),
    [sym_if_expression] = STATE(8110),
    [sym_while_expression] = STATE(8110),
    [sym_for_expression] = STATE(8110),
    [sym_match_expression] = STATE(8110),
    [sym_function_expression] = STATE(8110),
    [sym_fun_expression] = STATE(8110),
    [sym_try_expression] = STATE(8110),
    [sym_let_expression] = STATE(8110),
    [sym_coercion_expression] = STATE(4055),
    [sym_assert_expression] = STATE(8110),
    [sym_lazy_expression] = STATE(8110),
    [sym_let_module_expression] = STATE(8110),
    [sym_let_open_expression] = STATE(8110),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_let_exception_expression] = STATE(8110),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym_sign_operator] = STATE(2195),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__instance_variable_name] = STATE(20118),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [sym__identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_fun] = ACTIONS(69),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_while] = ACTIONS(75),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_function] = ACTIONS(81),
    [anon_sym_try] = ACTIONS(83),
    [anon_sym_assert] = ACTIONS(85),
    [anon_sym_lazy] = ACTIONS(87),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(121),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11776),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11777),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11778),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11779),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11780),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(17365),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(11781),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(8046),
    [sym_cons_expression] = STATE(8046),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(8046),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(8046),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(8046),
    [sym_field_get_expression] = STATE(5902),
    [sym_array_get_expression] = STATE(5902),
    [sym_string_get_expression] = STATE(5902),
    [sym_bigarray_get_expression] = STATE(5902),
    [sym_set_expression] = STATE(8046),
    [sym_if_expression] = STATE(8046),
    [sym_while_expression] = STATE(8046),
    [sym_for_expression] = STATE(8046),
    [sym_match_expression] = STATE(8046),
    [sym_function_expression] = STATE(8046),
    [sym_fun_expression] = STATE(8046),
    [sym_try_expression] = STATE(8046),
    [sym_let_expression] = STATE(8046),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(8046),
    [sym_lazy_expression] = STATE(8046),
    [sym_let_module_expression] = STATE(8046),
    [sym_let_open_expression] = STATE(8046),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(8046),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2383),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17728),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(939),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_match] = ACTIONS(2031),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_lazy] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2057),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(18007),
    [sym__simple_expression] = STATE(2436),
    [sym__expression] = STATE(12090),
    [sym_typed_expression] = STATE(6302),
    [sym_product_expression] = STATE(7718),
    [sym_cons_expression] = STATE(7718),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_application_expression] = STATE(7718),
    [sym_prefix_expression] = STATE(6302),
    [sym_sign_expression] = STATE(7718),
    [sym_hash_expression] = STATE(6302),
    [sym_infix_expression] = STATE(7718),
    [sym_field_get_expression] = STATE(6282),
    [sym_array_get_expression] = STATE(6282),
    [sym_string_get_expression] = STATE(6282),
    [sym_bigarray_get_expression] = STATE(6282),
    [sym_set_expression] = STATE(7718),
    [sym_if_expression] = STATE(7718),
    [sym_while_expression] = STATE(7718),
    [sym_for_expression] = STATE(7718),
    [sym_match_expression] = STATE(7718),
    [sym_function_expression] = STATE(7718),
    [sym_fun_expression] = STATE(7718),
    [sym_try_expression] = STATE(7718),
    [sym_let_expression] = STATE(7718),
    [sym_coercion_expression] = STATE(6302),
    [sym_assert_expression] = STATE(7718),
    [sym_lazy_expression] = STATE(7718),
    [sym_let_module_expression] = STATE(7718),
    [sym_let_open_expression] = STATE(7718),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_let_exception_expression] = STATE(7718),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym_sign_operator] = STATE(2095),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__instance_variable_name] = STATE(17954),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [sym__identifier] = ACTIONS(2011),
    [anon_sym_let] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_fun] = ACTIONS(2793),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2795),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1039),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2799),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_assert] = ACTIONS(1047),
    [anon_sym_lazy] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(117),
    [sym_let_operator] = ACTIONS(353),
    [sym_match_operator] = ACTIONS(2803),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym__simple_expression] = STATE(3573),
    [sym_typed_expression] = STATE(3688),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_labeled_argument] = STATE(4456),
    [sym_prefix_expression] = STATE(3688),
    [sym_hash_expression] = STATE(3688),
    [sym_field_get_expression] = STATE(3688),
    [sym_array_get_expression] = STATE(3688),
    [sym_string_get_expression] = STATE(3688),
    [sym_bigarray_get_expression] = STATE(3688),
    [sym_coercion_expression] = STATE(3688),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [aux_sym_class_application_repeat1] = STATE(2395),
    [sym__identifier] = ACTIONS(3249),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_LPAREN] = ACTIONS(761),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(765),
    [anon_sym_false] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(769),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(773),
    [anon_sym_new] = ACTIONS(783),
    [anon_sym_LBRACE_LT] = ACTIONS(785),
    [anon_sym_begin] = ACTIONS(787),
    [sym_ocamlyacc_value] = ACTIONS(789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(795),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(799),
    [sym_prefix_operator] = ACTIONS(801),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(805),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym__simple_expression] = STATE(3573),
    [sym_typed_expression] = STATE(3688),
    [sym_list_expression] = STATE(3688),
    [sym_array_expression] = STATE(3688),
    [sym_record_expression] = STATE(3688),
    [sym_labeled_argument] = STATE(4456),
    [sym_prefix_expression] = STATE(3688),
    [sym_hash_expression] = STATE(3688),
    [sym_field_get_expression] = STATE(3688),
    [sym_array_get_expression] = STATE(3688),
    [sym_string_get_expression] = STATE(3688),
    [sym_bigarray_get_expression] = STATE(3688),
    [sym_coercion_expression] = STATE(3688),
    [sym_local_open_expression] = STATE(3688),
    [sym_package_expression] = STATE(3688),
    [sym_new_expression] = STATE(3688),
    [sym_object_copy_expression] = STATE(3688),
    [sym_method_invocation] = STATE(3688),
    [sym_object_expression] = STATE(3688),
    [sym_parenthesized_expression] = STATE(3688),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(3688),
    [sym_quoted_extension] = STATE(3688),
    [sym__constant] = STATE(3688),
    [sym_number] = STATE(3473),
    [sym_character] = STATE(3473),
    [sym_string] = STATE(3473),
    [sym_quoted_string] = STATE(3473),
    [sym_boolean] = STATE(3473),
    [sym_unit] = STATE(3473),
    [sym__value_name] = STATE(3570),
    [sym_parenthesized_operator] = STATE(3623),
    [sym_value_path] = STATE(3688),
    [sym_module_path] = STATE(18026),
    [sym_constructor_path] = STATE(3688),
    [sym__constructor_name] = STATE(3475),
    [sym_tag] = STATE(3688),
    [aux_sym_class_application_repeat1] = STATE(2395),
    [sym__identifier] = ACTIONS(4181),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4184),
    [anon_sym_QMARK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4187),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(4193),
    [anon_sym_false] = ACTIONS(4193),
    [anon_sym_LBRACE] = ACTIONS(4196),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4199),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4202),
    [anon_sym_new] = ACTIONS(4205),
    [anon_sym_LBRACE_LT] = ACTIONS(4208),
    [anon_sym_begin] = ACTIONS(4211),
    [sym_ocamlyacc_value] = ACTIONS(4214),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4220),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4223),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4226),
    [anon_sym_DQUOTE] = ACTIONS(4229),
    [sym_prefix_operator] = ACTIONS(4232),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4235),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4238),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym__simple_expression] = STATE(3687),
    [sym_typed_expression] = STATE(3654),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_labeled_argument] = STATE(4470),
    [sym_prefix_expression] = STATE(3654),
    [sym_hash_expression] = STATE(3654),
    [sym_field_get_expression] = STATE(3654),
    [sym_array_get_expression] = STATE(3654),
    [sym_string_get_expression] = STATE(3654),
    [sym_bigarray_get_expression] = STATE(3654),
    [sym_coercion_expression] = STATE(3654),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [aux_sym_class_application_repeat1] = STATE(2396),
    [sym__identifier] = ACTIONS(4241),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4244),
    [anon_sym_QMARK] = ACTIONS(4244),
    [anon_sym_LPAREN] = ACTIONS(4247),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4250),
    [anon_sym_true] = ACTIONS(4253),
    [anon_sym_false] = ACTIONS(4253),
    [anon_sym_LBRACE] = ACTIONS(4256),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4259),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4262),
    [anon_sym_new] = ACTIONS(4265),
    [anon_sym_LBRACE_LT] = ACTIONS(4268),
    [anon_sym_begin] = ACTIONS(4271),
    [sym_ocamlyacc_value] = ACTIONS(4274),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4277),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4280),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4283),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4286),
    [anon_sym_DQUOTE] = ACTIONS(4289),
    [sym_prefix_operator] = ACTIONS(4292),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4295),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4298),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym__simple_expression] = STATE(3687),
    [sym_typed_expression] = STATE(3654),
    [sym_list_expression] = STATE(3654),
    [sym_array_expression] = STATE(3654),
    [sym_record_expression] = STATE(3654),
    [sym_labeled_argument] = STATE(4470),
    [sym_prefix_expression] = STATE(3654),
    [sym_hash_expression] = STATE(3654),
    [sym_field_get_expression] = STATE(3654),
    [sym_array_get_expression] = STATE(3654),
    [sym_string_get_expression] = STATE(3654),
    [sym_bigarray_get_expression] = STATE(3654),
    [sym_coercion_expression] = STATE(3654),
    [sym_local_open_expression] = STATE(3654),
    [sym_package_expression] = STATE(3654),
    [sym_new_expression] = STATE(3654),
    [sym_object_copy_expression] = STATE(3654),
    [sym_method_invocation] = STATE(3654),
    [sym_object_expression] = STATE(3654),
    [sym_parenthesized_expression] = STATE(3654),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(3654),
    [sym_quoted_extension] = STATE(3654),
    [sym__constant] = STATE(3654),
    [sym_number] = STATE(3575),
    [sym_character] = STATE(3575),
    [sym_string] = STATE(3575),
    [sym_quoted_string] = STATE(3575),
    [sym_boolean] = STATE(3575),
    [sym_unit] = STATE(3575),
    [sym__value_name] = STATE(3569),
    [sym_parenthesized_operator] = STATE(3647),
    [sym_value_path] = STATE(3654),
    [sym_module_path] = STATE(18391),
    [sym_constructor_path] = STATE(3654),
    [sym__constructor_name] = STATE(3576),
    [sym_tag] = STATE(3654),
    [aux_sym_class_application_repeat1] = STATE(2396),
    [sym__identifier] = ACTIONS(3259),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_QMARK] = ACTIONS(3261),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_true] = ACTIONS(699),
    [anon_sym_false] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(701),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(703),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_LBRACE_LT] = ACTIONS(719),
    [anon_sym_begin] = ACTIONS(721),
    [sym_ocamlyacc_value] = ACTIONS(723),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(725),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(727),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(729),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [sym_prefix_operator] = ACTIONS(735),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(739),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(741),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym__simple_expression] = STATE(3947),
    [sym_typed_expression] = STATE(3700),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_labeled_argument] = STATE(4548),
    [sym_prefix_expression] = STATE(3700),
    [sym_hash_expression] = STATE(3700),
    [sym_field_get_expression] = STATE(3700),
    [sym_array_get_expression] = STATE(3700),
    [sym_string_get_expression] = STATE(3700),
    [sym_bigarray_get_expression] = STATE(3700),
    [sym_coercion_expression] = STATE(3700),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [aux_sym_class_application_repeat1] = STATE(2400),
    [sym__identifier] = ACTIONS(3285),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_QMARK] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(819),
    [anon_sym_false] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(823),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(827),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_LBRACE_LT] = ACTIONS(839),
    [anon_sym_begin] = ACTIONS(841),
    [sym_ocamlyacc_value] = ACTIONS(843),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(845),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(847),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(849),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [sym_prefix_operator] = ACTIONS(855),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(859),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym__simple_expression] = STATE(3818),
    [sym_typed_expression] = STATE(3969),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_labeled_argument] = STATE(4509),
    [sym_prefix_expression] = STATE(3969),
    [sym_hash_expression] = STATE(3969),
    [sym_field_get_expression] = STATE(3969),
    [sym_array_get_expression] = STATE(3969),
    [sym_string_get_expression] = STATE(3969),
    [sym_bigarray_get_expression] = STATE(3969),
    [sym_coercion_expression] = STATE(3969),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [aux_sym_class_application_repeat1] = STATE(2401),
    [sym__identifier] = ACTIONS(3907),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3909),
    [anon_sym_QMARK] = ACTIONS(3909),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(875),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(879),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_LBRACE_LT] = ACTIONS(891),
    [anon_sym_begin] = ACTIONS(893),
    [sym_ocamlyacc_value] = ACTIONS(895),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(897),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(899),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(901),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [sym_prefix_operator] = ACTIONS(907),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(911),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym__simple_expression] = STATE(3947),
    [sym_typed_expression] = STATE(3700),
    [sym_list_expression] = STATE(3700),
    [sym_array_expression] = STATE(3700),
    [sym_record_expression] = STATE(3700),
    [sym_labeled_argument] = STATE(4548),
    [sym_prefix_expression] = STATE(3700),
    [sym_hash_expression] = STATE(3700),
    [sym_field_get_expression] = STATE(3700),
    [sym_array_get_expression] = STATE(3700),
    [sym_string_get_expression] = STATE(3700),
    [sym_bigarray_get_expression] = STATE(3700),
    [sym_coercion_expression] = STATE(3700),
    [sym_local_open_expression] = STATE(3700),
    [sym_package_expression] = STATE(3700),
    [sym_new_expression] = STATE(3700),
    [sym_object_copy_expression] = STATE(3700),
    [sym_method_invocation] = STATE(3700),
    [sym_object_expression] = STATE(3700),
    [sym_parenthesized_expression] = STATE(3700),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(3700),
    [sym_quoted_extension] = STATE(3700),
    [sym__constant] = STATE(3700),
    [sym_number] = STATE(4020),
    [sym_character] = STATE(4020),
    [sym_string] = STATE(4020),
    [sym_quoted_string] = STATE(4020),
    [sym_boolean] = STATE(4020),
    [sym_unit] = STATE(4020),
    [sym__value_name] = STATE(3941),
    [sym_parenthesized_operator] = STATE(3928),
    [sym_value_path] = STATE(3700),
    [sym_module_path] = STATE(17374),
    [sym_constructor_path] = STATE(3700),
    [sym__constructor_name] = STATE(3823),
    [sym_tag] = STATE(3700),
    [aux_sym_class_application_repeat1] = STATE(2400),
    [sym__identifier] = ACTIONS(4301),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4304),
    [anon_sym_QMARK] = ACTIONS(4304),
    [anon_sym_LPAREN] = ACTIONS(4307),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(4313),
    [anon_sym_false] = ACTIONS(4313),
    [anon_sym_LBRACE] = ACTIONS(4316),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4319),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4322),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(4325),
    [anon_sym_LBRACE_LT] = ACTIONS(4328),
    [anon_sym_begin] = ACTIONS(4331),
    [sym_ocamlyacc_value] = ACTIONS(4334),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4340),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4343),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4346),
    [anon_sym_DQUOTE] = ACTIONS(4349),
    [sym_prefix_operator] = ACTIONS(4352),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4355),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4358),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym__simple_expression] = STATE(3818),
    [sym_typed_expression] = STATE(3969),
    [sym_list_expression] = STATE(3969),
    [sym_array_expression] = STATE(3969),
    [sym_record_expression] = STATE(3969),
    [sym_labeled_argument] = STATE(4509),
    [sym_prefix_expression] = STATE(3969),
    [sym_hash_expression] = STATE(3969),
    [sym_field_get_expression] = STATE(3969),
    [sym_array_get_expression] = STATE(3969),
    [sym_string_get_expression] = STATE(3969),
    [sym_bigarray_get_expression] = STATE(3969),
    [sym_coercion_expression] = STATE(3969),
    [sym_local_open_expression] = STATE(3969),
    [sym_package_expression] = STATE(3969),
    [sym_new_expression] = STATE(3969),
    [sym_object_copy_expression] = STATE(3969),
    [sym_method_invocation] = STATE(3969),
    [sym_object_expression] = STATE(3969),
    [sym_parenthesized_expression] = STATE(3969),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(3969),
    [sym_quoted_extension] = STATE(3969),
    [sym__constant] = STATE(3969),
    [sym_number] = STATE(3806),
    [sym_character] = STATE(3806),
    [sym_string] = STATE(3806),
    [sym_quoted_string] = STATE(3806),
    [sym_boolean] = STATE(3806),
    [sym_unit] = STATE(3806),
    [sym__value_name] = STATE(3720),
    [sym_parenthesized_operator] = STATE(3907),
    [sym_value_path] = STATE(3969),
    [sym_module_path] = STATE(18190),
    [sym_constructor_path] = STATE(3969),
    [sym__constructor_name] = STATE(3808),
    [sym_tag] = STATE(3969),
    [aux_sym_class_application_repeat1] = STATE(2401),
    [sym__identifier] = ACTIONS(4361),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4364),
    [anon_sym_QMARK] = ACTIONS(4364),
    [anon_sym_LPAREN] = ACTIONS(4367),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4370),
    [anon_sym_true] = ACTIONS(4373),
    [anon_sym_false] = ACTIONS(4373),
    [anon_sym_LBRACE] = ACTIONS(4376),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4379),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4382),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(4385),
    [anon_sym_LBRACE_LT] = ACTIONS(4388),
    [anon_sym_begin] = ACTIONS(4391),
    [sym_ocamlyacc_value] = ACTIONS(4394),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4400),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4403),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4406),
    [anon_sym_DQUOTE] = ACTIONS(4409),
    [sym_prefix_operator] = ACTIONS(4412),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4415),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4418),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym__simple_expression] = STATE(4038),
    [sym_typed_expression] = STATE(4052),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_labeled_argument] = STATE(4580),
    [sym_prefix_expression] = STATE(4052),
    [sym_hash_expression] = STATE(4052),
    [sym_field_get_expression] = STATE(4052),
    [sym_array_get_expression] = STATE(4052),
    [sym_string_get_expression] = STATE(4052),
    [sym_bigarray_get_expression] = STATE(4052),
    [sym_coercion_expression] = STATE(4052),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [aux_sym_class_application_repeat1] = STATE(2404),
    [sym__identifier] = ACTIONS(3921),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3923),
    [anon_sym_QMARK] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(541),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(545),
    [anon_sym_new] = ACTIONS(555),
    [anon_sym_LBRACE_LT] = ACTIONS(557),
    [anon_sym_begin] = ACTIONS(559),
    [sym_ocamlyacc_value] = ACTIONS(561),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(565),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(567),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(571),
    [sym_prefix_operator] = ACTIONS(573),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(579),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(583),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym__simple_expression] = STATE(4303),
    [sym_typed_expression] = STATE(4055),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_labeled_argument] = STATE(4562),
    [sym_prefix_expression] = STATE(4055),
    [sym_hash_expression] = STATE(4055),
    [sym_field_get_expression] = STATE(4055),
    [sym_array_get_expression] = STATE(4055),
    [sym_string_get_expression] = STATE(4055),
    [sym_bigarray_get_expression] = STATE(4055),
    [sym_coercion_expression] = STATE(4055),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [aux_sym_class_application_repeat1] = STATE(2405),
    [sym__identifier] = ACTIONS(3991),
    [anon_sym_SEMI_SEMI] = ACTIONS(3295),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_QMARK] = ACTIONS(3993),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_external] = ACTIONS(3297),
    [anon_sym_type] = ACTIONS(3297),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(51),
    [anon_sym_false] = ACTIONS(51),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym_exception] = ACTIONS(3297),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_open] = ACTIONS(3297),
    [anon_sym_include] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_LBRACE_LT] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(93),
    [sym_ocamlyacc_value] = ACTIONS(95),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(99),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(107),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(113),
    [sym_prefix_operator] = ACTIONS(115),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(123),
    [aux_sym_directive_token1] = ACTIONS(3295),
    [aux_sym_tag_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym__simple_expression] = STATE(4038),
    [sym_typed_expression] = STATE(4052),
    [sym_list_expression] = STATE(4052),
    [sym_array_expression] = STATE(4052),
    [sym_record_expression] = STATE(4052),
    [sym_labeled_argument] = STATE(4580),
    [sym_prefix_expression] = STATE(4052),
    [sym_hash_expression] = STATE(4052),
    [sym_field_get_expression] = STATE(4052),
    [sym_array_get_expression] = STATE(4052),
    [sym_string_get_expression] = STATE(4052),
    [sym_bigarray_get_expression] = STATE(4052),
    [sym_coercion_expression] = STATE(4052),
    [sym_local_open_expression] = STATE(4052),
    [sym_package_expression] = STATE(4052),
    [sym_new_expression] = STATE(4052),
    [sym_object_copy_expression] = STATE(4052),
    [sym_method_invocation] = STATE(4052),
    [sym_object_expression] = STATE(4052),
    [sym_parenthesized_expression] = STATE(4052),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(4052),
    [sym_quoted_extension] = STATE(4052),
    [sym__constant] = STATE(4052),
    [sym_number] = STATE(4191),
    [sym_character] = STATE(4191),
    [sym_string] = STATE(4191),
    [sym_quoted_string] = STATE(4191),
    [sym_boolean] = STATE(4191),
    [sym_unit] = STATE(4191),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4121),
    [sym_value_path] = STATE(4052),
    [sym_module_path] = STATE(19073),
    [sym_constructor_path] = STATE(4052),
    [sym__constructor_name] = STATE(4176),
    [sym_tag] = STATE(4052),
    [aux_sym_class_application_repeat1] = STATE(2404),
    [sym__identifier] = ACTIONS(4421),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4424),
    [anon_sym_QMARK] = ACTIONS(4424),
    [anon_sym_LPAREN] = ACTIONS(4427),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4430),
    [anon_sym_true] = ACTIONS(4433),
    [anon_sym_false] = ACTIONS(4433),
    [anon_sym_LBRACE] = ACTIONS(4436),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4439),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4442),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_LBRACE_LT] = ACTIONS(4448),
    [anon_sym_begin] = ACTIONS(4451),
    [sym_ocamlyacc_value] = ACTIONS(4454),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4457),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4460),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4463),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4466),
    [anon_sym_DQUOTE] = ACTIONS(4469),
    [sym_prefix_operator] = ACTIONS(4472),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4475),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4478),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym__simple_expression] = STATE(4303),
    [sym_typed_expression] = STATE(4055),
    [sym_list_expression] = STATE(4055),
    [sym_array_expression] = STATE(4055),
    [sym_record_expression] = STATE(4055),
    [sym_labeled_argument] = STATE(4562),
    [sym_prefix_expression] = STATE(4055),
    [sym_hash_expression] = STATE(4055),
    [sym_field_get_expression] = STATE(4055),
    [sym_array_get_expression] = STATE(4055),
    [sym_string_get_expression] = STATE(4055),
    [sym_bigarray_get_expression] = STATE(4055),
    [sym_coercion_expression] = STATE(4055),
    [sym_local_open_expression] = STATE(4055),
    [sym_package_expression] = STATE(4055),
    [sym_new_expression] = STATE(4055),
    [sym_object_copy_expression] = STATE(4055),
    [sym_method_invocation] = STATE(4055),
    [sym_object_expression] = STATE(4055),
    [sym_parenthesized_expression] = STATE(4055),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(4055),
    [sym_quoted_extension] = STATE(4055),
    [sym__constant] = STATE(4055),
    [sym_number] = STATE(4155),
    [sym_character] = STATE(4155),
    [sym_string] = STATE(4155),
    [sym_quoted_string] = STATE(4155),
    [sym_boolean] = STATE(4155),
    [sym_unit] = STATE(4155),
    [sym__value_name] = STATE(4157),
    [sym_parenthesized_operator] = STATE(4182),
    [sym_value_path] = STATE(4055),
    [sym_module_path] = STATE(19746),
    [sym_constructor_path] = STATE(4055),
    [sym__constructor_name] = STATE(4184),
    [sym_tag] = STATE(4055),
    [aux_sym_class_application_repeat1] = STATE(2405),
    [sym__identifier] = ACTIONS(4481),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(4484),
    [anon_sym_QMARK] = ACTIONS(4484),
    [anon_sym_LPAREN] = ACTIONS(4487),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4490),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(4493),
    [anon_sym_false] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(4496),
    [anon_sym_SEMI] = ACTIONS(3358),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4499),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4502),
    [anon_sym_new] = ACTIONS(4505),
    [anon_sym_LBRACE_LT] = ACTIONS(4508),
    [anon_sym_begin] = ACTIONS(4511),
    [sym_ocamlyacc_value] = ACTIONS(4514),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4517),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4520),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4523),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4526),
    [anon_sym_DQUOTE] = ACTIONS(4529),
    [sym_prefix_operator] = ACTIONS(4532),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4535),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(4538),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym__simple_expression] = STATE(4764),
    [sym_typed_expression] = STATE(4711),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_labeled_argument] = STATE(5183),
    [sym_prefix_expression] = STATE(4711),
    [sym_hash_expression] = STATE(4711),
    [sym_field_get_expression] = STATE(4711),
    [sym_array_get_expression] = STATE(4711),
    [sym_string_get_expression] = STATE(4711),
    [sym_bigarray_get_expression] = STATE(4711),
    [sym_coercion_expression] = STATE(4711),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [aux_sym_class_application_repeat1] = STATE(2412),
    [sym__identifier] = ACTIONS(4541),
    [anon_sym_TILDE] = ACTIONS(4543),
    [anon_sym_QMARK] = ACTIONS(4543),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(4545),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_constraint] = ACTIONS(3095),
    [anon_sym_val] = ACTIONS(3095),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_inherit] = ACTIONS(3095),
    [anon_sym_method] = ACTIONS(3095),
    [anon_sym_initializer] = ACTIONS(3095),
    [anon_sym_POUND] = ACTIONS(4547),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(4549),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym__simple_expression] = STATE(4903),
    [sym_typed_expression] = STATE(4851),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_labeled_argument] = STATE(5252),
    [sym_prefix_expression] = STATE(4851),
    [sym_hash_expression] = STATE(4851),
    [sym_field_get_expression] = STATE(4851),
    [sym_array_get_expression] = STATE(4851),
    [sym_string_get_expression] = STATE(4851),
    [sym_bigarray_get_expression] = STATE(4851),
    [sym_coercion_expression] = STATE(4851),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [aux_sym_class_application_repeat1] = STATE(2415),
    [sym__identifier] = ACTIONS(4551),
    [anon_sym_TILDE] = ACTIONS(4553),
    [anon_sym_QMARK] = ACTIONS(4553),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(4555),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_constraint] = ACTIONS(3095),
    [anon_sym_val] = ACTIONS(3095),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(3095),
    [anon_sym_method] = ACTIONS(3095),
    [anon_sym_initializer] = ACTIONS(3095),
    [anon_sym_POUND] = ACTIONS(4557),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3095),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3093),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(4559),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym__simple_expression] = STATE(4964),
    [sym_typed_expression] = STATE(4927),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_labeled_argument] = STATE(5360),
    [sym_prefix_expression] = STATE(4927),
    [sym_hash_expression] = STATE(4927),
    [sym_field_get_expression] = STATE(4927),
    [sym_array_get_expression] = STATE(4927),
    [sym_string_get_expression] = STATE(4927),
    [sym_bigarray_get_expression] = STATE(4927),
    [sym_coercion_expression] = STATE(4927),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [aux_sym_class_application_repeat1] = STATE(2417),
    [sym__identifier] = ACTIONS(4561),
    [anon_sym_COLON_GT] = ACTIONS(3093),
    [anon_sym_TILDE] = ACTIONS(4563),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_COLON2] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(4565),
    [anon_sym_DASH_GT] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_RBRACE] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_POUND] = ACTIONS(4567),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3093),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_GT_RBRACE] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(4569),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym__simple_expression] = STATE(5186),
    [sym_typed_expression] = STATE(5112),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_labeled_argument] = STATE(5530),
    [sym_prefix_expression] = STATE(5112),
    [sym_hash_expression] = STATE(5112),
    [sym_field_get_expression] = STATE(5112),
    [sym_array_get_expression] = STATE(5112),
    [sym_string_get_expression] = STATE(5112),
    [sym_bigarray_get_expression] = STATE(5112),
    [sym_coercion_expression] = STATE(5112),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [aux_sym_class_application_repeat1] = STATE(2419),
    [sym__identifier] = ACTIONS(4571),
    [anon_sym_COLON_GT] = ACTIONS(3093),
    [anon_sym_TILDE] = ACTIONS(4573),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(4575),
    [anon_sym_DASH_GT] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_RBRACE] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_POUND] = ACTIONS(4577),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3093),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(4579),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym__simple_expression] = STATE(5216),
    [sym_typed_expression] = STATE(5236),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_labeled_argument] = STATE(5549),
    [sym_prefix_expression] = STATE(5236),
    [sym_hash_expression] = STATE(5236),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_coercion_expression] = STATE(5236),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [aux_sym_class_application_repeat1] = STATE(2421),
    [sym__identifier] = ACTIONS(4581),
    [anon_sym_COLON_GT] = ACTIONS(3093),
    [anon_sym_TILDE] = ACTIONS(4583),
    [anon_sym_QMARK] = ACTIONS(4583),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_COLON2] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(4585),
    [anon_sym_DASH_GT] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_RBRACE] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_POUND] = ACTIONS(4587),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_GT_RBRACE] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(4589),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym__simple_expression] = STATE(4764),
    [sym_typed_expression] = STATE(4711),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_labeled_argument] = STATE(5183),
    [sym_prefix_expression] = STATE(4711),
    [sym_hash_expression] = STATE(4711),
    [sym_field_get_expression] = STATE(4711),
    [sym_array_get_expression] = STATE(4711),
    [sym_string_get_expression] = STATE(4711),
    [sym_bigarray_get_expression] = STATE(4711),
    [sym_coercion_expression] = STATE(4711),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [aux_sym_class_application_repeat1] = STATE(2411),
    [sym__identifier] = ACTIONS(4591),
    [anon_sym_TILDE] = ACTIONS(4594),
    [anon_sym_QMARK] = ACTIONS(4594),
    [anon_sym_LPAREN] = ACTIONS(4597),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4600),
    [anon_sym_true] = ACTIONS(4603),
    [anon_sym_false] = ACTIONS(4603),
    [anon_sym_LBRACE] = ACTIONS(4606),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_constraint] = ACTIONS(3358),
    [anon_sym_val] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4609),
    [anon_sym_inherit] = ACTIONS(3358),
    [anon_sym_method] = ACTIONS(3358),
    [anon_sym_initializer] = ACTIONS(3358),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4612),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(4615),
    [anon_sym_LBRACE_LT] = ACTIONS(4618),
    [anon_sym_begin] = ACTIONS(4621),
    [sym_ocamlyacc_value] = ACTIONS(4624),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4627),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4630),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4633),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4636),
    [anon_sym_DQUOTE] = ACTIONS(4639),
    [sym_prefix_operator] = ACTIONS(4642),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4645),
    [aux_sym_tag_token1] = ACTIONS(4648),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym__simple_expression] = STATE(4764),
    [sym_typed_expression] = STATE(4711),
    [sym_list_expression] = STATE(4711),
    [sym_array_expression] = STATE(4711),
    [sym_record_expression] = STATE(4711),
    [sym_labeled_argument] = STATE(5183),
    [sym_prefix_expression] = STATE(4711),
    [sym_hash_expression] = STATE(4711),
    [sym_field_get_expression] = STATE(4711),
    [sym_array_get_expression] = STATE(4711),
    [sym_string_get_expression] = STATE(4711),
    [sym_bigarray_get_expression] = STATE(4711),
    [sym_coercion_expression] = STATE(4711),
    [sym_local_open_expression] = STATE(4711),
    [sym_package_expression] = STATE(4711),
    [sym_new_expression] = STATE(4711),
    [sym_object_copy_expression] = STATE(4711),
    [sym_method_invocation] = STATE(4711),
    [sym_object_expression] = STATE(4711),
    [sym_parenthesized_expression] = STATE(4711),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(4711),
    [sym_quoted_extension] = STATE(4711),
    [sym__constant] = STATE(4711),
    [sym_number] = STATE(4827),
    [sym_character] = STATE(4827),
    [sym_string] = STATE(4827),
    [sym_quoted_string] = STATE(4827),
    [sym_boolean] = STATE(4827),
    [sym_unit] = STATE(4827),
    [sym__value_name] = STATE(4753),
    [sym_parenthesized_operator] = STATE(4805),
    [sym_value_path] = STATE(4711),
    [sym_module_path] = STATE(18231),
    [sym_constructor_path] = STATE(4711),
    [sym__constructor_name] = STATE(4835),
    [sym_tag] = STATE(4711),
    [aux_sym_class_application_repeat1] = STATE(2411),
    [sym__identifier] = ACTIONS(4541),
    [anon_sym_TILDE] = ACTIONS(4543),
    [anon_sym_QMARK] = ACTIONS(4543),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_constraint] = ACTIONS(3297),
    [anon_sym_val] = ACTIONS(3297),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(931),
    [anon_sym_inherit] = ACTIONS(3297),
    [anon_sym_method] = ACTIONS(3297),
    [anon_sym_initializer] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(935),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_LBRACE_LT] = ACTIONS(955),
    [anon_sym_begin] = ACTIONS(957),
    [sym_ocamlyacc_value] = ACTIONS(959),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(961),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(963),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(965),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [sym_prefix_operator] = ACTIONS(971),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(975),
    [aux_sym_tag_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym__simple_expression] = STATE(4903),
    [sym_typed_expression] = STATE(4851),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_labeled_argument] = STATE(5252),
    [sym_prefix_expression] = STATE(4851),
    [sym_hash_expression] = STATE(4851),
    [sym_field_get_expression] = STATE(4851),
    [sym_array_get_expression] = STATE(4851),
    [sym_string_get_expression] = STATE(4851),
    [sym_bigarray_get_expression] = STATE(4851),
    [sym_coercion_expression] = STATE(4851),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [aux_sym_class_application_repeat1] = STATE(2413),
    [sym__identifier] = ACTIONS(4651),
    [anon_sym_TILDE] = ACTIONS(4654),
    [anon_sym_QMARK] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4657),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4660),
    [anon_sym_true] = ACTIONS(4663),
    [anon_sym_false] = ACTIONS(4663),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_constraint] = ACTIONS(3358),
    [anon_sym_val] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(4669),
    [anon_sym_inherit] = ACTIONS(3358),
    [anon_sym_method] = ACTIONS(3358),
    [anon_sym_initializer] = ACTIONS(3358),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4672),
    [anon_sym_new] = ACTIONS(4675),
    [anon_sym_LBRACE_LT] = ACTIONS(4678),
    [anon_sym_begin] = ACTIONS(4681),
    [sym_ocamlyacc_value] = ACTIONS(4684),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4690),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(4693),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4696),
    [anon_sym_DQUOTE] = ACTIONS(4699),
    [sym_prefix_operator] = ACTIONS(4702),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4705),
    [aux_sym_tag_token1] = ACTIONS(4708),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym__simple_expression] = STATE(5331),
    [sym_typed_expression] = STATE(5251),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_labeled_argument] = STATE(5698),
    [sym_prefix_expression] = STATE(5251),
    [sym_hash_expression] = STATE(5251),
    [sym_field_get_expression] = STATE(5251),
    [sym_array_get_expression] = STATE(5251),
    [sym_string_get_expression] = STATE(5251),
    [sym_bigarray_get_expression] = STATE(5251),
    [sym_coercion_expression] = STATE(5251),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [aux_sym_class_application_repeat1] = STATE(2424),
    [sym__identifier] = ACTIONS(4711),
    [anon_sym_COLON_GT] = ACTIONS(3093),
    [anon_sym_TILDE] = ACTIONS(4713),
    [anon_sym_QMARK] = ACTIONS(4713),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(3093),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_COLON2] = ACTIONS(3095),
    [anon_sym_DOT] = ACTIONS(4715),
    [anon_sym_DASH_GT] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_RBRACE] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_POUND] = ACTIONS(4717),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(3093),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(4719),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym__simple_expression] = STATE(4903),
    [sym_typed_expression] = STATE(4851),
    [sym_list_expression] = STATE(4851),
    [sym_array_expression] = STATE(4851),
    [sym_record_expression] = STATE(4851),
    [sym_labeled_argument] = STATE(5252),
    [sym_prefix_expression] = STATE(4851),
    [sym_hash_expression] = STATE(4851),
    [sym_field_get_expression] = STATE(4851),
    [sym_array_get_expression] = STATE(4851),
    [sym_string_get_expression] = STATE(4851),
    [sym_bigarray_get_expression] = STATE(4851),
    [sym_coercion_expression] = STATE(4851),
    [sym_local_open_expression] = STATE(4851),
    [sym_package_expression] = STATE(4851),
    [sym_new_expression] = STATE(4851),
    [sym_object_copy_expression] = STATE(4851),
    [sym_method_invocation] = STATE(4851),
    [sym_object_expression] = STATE(4851),
    [sym_parenthesized_expression] = STATE(4851),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(4851),
    [sym_quoted_extension] = STATE(4851),
    [sym__constant] = STATE(4851),
    [sym_number] = STATE(4910),
    [sym_character] = STATE(4910),
    [sym_string] = STATE(4910),
    [sym_quoted_string] = STATE(4910),
    [sym_boolean] = STATE(4910),
    [sym_unit] = STATE(4910),
    [sym__value_name] = STATE(4873),
    [sym_parenthesized_operator] = STATE(4902),
    [sym_value_path] = STATE(4851),
    [sym_module_path] = STATE(19407),
    [sym_constructor_path] = STATE(4851),
    [sym__constructor_name] = STATE(4889),
    [sym_tag] = STATE(4851),
    [aux_sym_class_application_repeat1] = STATE(2413),
    [sym__identifier] = ACTIONS(4551),
    [anon_sym_TILDE] = ACTIONS(4553),
    [anon_sym_QMARK] = ACTIONS(4553),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_constraint] = ACTIONS(3297),
    [anon_sym_val] = ACTIONS(3297),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(991),
    [anon_sym_inherit] = ACTIONS(3297),
    [anon_sym_method] = ACTIONS(3297),
    [anon_sym_initializer] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_LBRACE_LT] = ACTIONS(1007),
    [anon_sym_begin] = ACTIONS(1009),
    [sym_ocamlyacc_value] = ACTIONS(1011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3297),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3295),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3295),
    [aux_sym_number_token1] = ACTIONS(1017),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [sym_prefix_operator] = ACTIONS(1023),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1027),
    [aux_sym_tag_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym__simple_expression] = STATE(4964),
    [sym_typed_expression] = STATE(4927),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_labeled_argument] = STATE(5360),
    [sym_prefix_expression] = STATE(4927),
    [sym_hash_expression] = STATE(4927),
    [sym_field_get_expression] = STATE(4927),
    [sym_array_get_expression] = STATE(4927),
    [sym_string_get_expression] = STATE(4927),
    [sym_bigarray_get_expression] = STATE(4927),
    [sym_coercion_expression] = STATE(4927),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [aux_sym_class_application_repeat1] = STATE(2416),
    [sym__identifier] = ACTIONS(4721),
    [anon_sym_COLON_GT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(4724),
    [anon_sym_QMARK] = ACTIONS(4724),
    [anon_sym_LPAREN] = ACTIONS(4727),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(4733),
    [anon_sym_false] = ACTIONS(4733),
    [anon_sym_COLON2] = ACTIONS(3358),
    [anon_sym_DASH_GT] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(4739),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4742),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3356),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(4745),
    [anon_sym_LBRACE_LT] = ACTIONS(4748),
    [anon_sym_GT_RBRACE] = ACTIONS(3356),
    [anon_sym_begin] = ACTIONS(4751),
    [sym_ocamlyacc_value] = ACTIONS(4754),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4760),
    [aux_sym_number_token1] = ACTIONS(4763),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4766),
    [anon_sym_DQUOTE] = ACTIONS(4769),
    [sym_prefix_operator] = ACTIONS(4772),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4775),
    [aux_sym_tag_token1] = ACTIONS(4778),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym__simple_expression] = STATE(4964),
    [sym_typed_expression] = STATE(4927),
    [sym_list_expression] = STATE(4927),
    [sym_array_expression] = STATE(4927),
    [sym_record_expression] = STATE(4927),
    [sym_labeled_argument] = STATE(5360),
    [sym_prefix_expression] = STATE(4927),
    [sym_hash_expression] = STATE(4927),
    [sym_field_get_expression] = STATE(4927),
    [sym_array_get_expression] = STATE(4927),
    [sym_string_get_expression] = STATE(4927),
    [sym_bigarray_get_expression] = STATE(4927),
    [sym_coercion_expression] = STATE(4927),
    [sym_local_open_expression] = STATE(4927),
    [sym_package_expression] = STATE(4927),
    [sym_new_expression] = STATE(4927),
    [sym_object_copy_expression] = STATE(4927),
    [sym_method_invocation] = STATE(4927),
    [sym_object_expression] = STATE(4927),
    [sym_parenthesized_expression] = STATE(4927),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(4927),
    [sym_quoted_extension] = STATE(4927),
    [sym__constant] = STATE(4927),
    [sym_number] = STATE(5009),
    [sym_character] = STATE(5009),
    [sym_string] = STATE(5009),
    [sym_quoted_string] = STATE(5009),
    [sym_boolean] = STATE(5009),
    [sym_unit] = STATE(5009),
    [sym__value_name] = STATE(4963),
    [sym_parenthesized_operator] = STATE(4980),
    [sym_value_path] = STATE(4927),
    [sym_module_path] = STATE(17594),
    [sym_constructor_path] = STATE(4927),
    [sym__constructor_name] = STATE(5010),
    [sym_tag] = STATE(4927),
    [aux_sym_class_application_repeat1] = STATE(2416),
    [sym__identifier] = ACTIONS(4561),
    [anon_sym_COLON_GT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(4563),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_RPAREN] = ACTIONS(3295),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(1125),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(1127),
    [anon_sym_false] = ACTIONS(1127),
    [anon_sym_COLON2] = ACTIONS(3297),
    [anon_sym_DASH_GT] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(1131),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1135),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3295),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_LBRACE_LT] = ACTIONS(1147),
    [anon_sym_GT_RBRACE] = ACTIONS(3295),
    [anon_sym_begin] = ACTIONS(1149),
    [sym_ocamlyacc_value] = ACTIONS(1151),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1153),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1155),
    [aux_sym_number_token1] = ACTIONS(1157),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [sym_prefix_operator] = ACTIONS(1163),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1167),
    [aux_sym_tag_token1] = ACTIONS(1169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym__simple_expression] = STATE(5186),
    [sym_typed_expression] = STATE(5112),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_labeled_argument] = STATE(5530),
    [sym_prefix_expression] = STATE(5112),
    [sym_hash_expression] = STATE(5112),
    [sym_field_get_expression] = STATE(5112),
    [sym_array_get_expression] = STATE(5112),
    [sym_string_get_expression] = STATE(5112),
    [sym_bigarray_get_expression] = STATE(5112),
    [sym_coercion_expression] = STATE(5112),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [aux_sym_class_application_repeat1] = STATE(2418),
    [sym__identifier] = ACTIONS(4781),
    [anon_sym_COLON_GT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(4784),
    [anon_sym_QMARK] = ACTIONS(4784),
    [anon_sym_LPAREN] = ACTIONS(4787),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4790),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(4793),
    [anon_sym_false] = ACTIONS(4793),
    [anon_sym_COLON2] = ACTIONS(3358),
    [anon_sym_DASH_GT] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(4796),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(4799),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4802),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3356),
    [anon_sym_new] = ACTIONS(4805),
    [anon_sym_LBRACE_LT] = ACTIONS(4808),
    [anon_sym_GT_RBRACE] = ACTIONS(3356),
    [anon_sym_begin] = ACTIONS(4811),
    [sym_ocamlyacc_value] = ACTIONS(4814),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4820),
    [aux_sym_number_token1] = ACTIONS(4823),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4826),
    [anon_sym_DQUOTE] = ACTIONS(4829),
    [sym_prefix_operator] = ACTIONS(4832),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4835),
    [aux_sym_tag_token1] = ACTIONS(4838),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym__simple_expression] = STATE(5186),
    [sym_typed_expression] = STATE(5112),
    [sym_list_expression] = STATE(5112),
    [sym_array_expression] = STATE(5112),
    [sym_record_expression] = STATE(5112),
    [sym_labeled_argument] = STATE(5530),
    [sym_prefix_expression] = STATE(5112),
    [sym_hash_expression] = STATE(5112),
    [sym_field_get_expression] = STATE(5112),
    [sym_array_get_expression] = STATE(5112),
    [sym_string_get_expression] = STATE(5112),
    [sym_bigarray_get_expression] = STATE(5112),
    [sym_coercion_expression] = STATE(5112),
    [sym_local_open_expression] = STATE(5112),
    [sym_package_expression] = STATE(5112),
    [sym_new_expression] = STATE(5112),
    [sym_object_copy_expression] = STATE(5112),
    [sym_method_invocation] = STATE(5112),
    [sym_object_expression] = STATE(5112),
    [sym_parenthesized_expression] = STATE(5112),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(5112),
    [sym_quoted_extension] = STATE(5112),
    [sym__constant] = STATE(5112),
    [sym_number] = STATE(5211),
    [sym_character] = STATE(5211),
    [sym_string] = STATE(5211),
    [sym_quoted_string] = STATE(5211),
    [sym_boolean] = STATE(5211),
    [sym_unit] = STATE(5211),
    [sym__value_name] = STATE(5122),
    [sym_parenthesized_operator] = STATE(5175),
    [sym_value_path] = STATE(5112),
    [sym_module_path] = STATE(19008),
    [sym_constructor_path] = STATE(5112),
    [sym__constructor_name] = STATE(5218),
    [sym_tag] = STATE(5112),
    [aux_sym_class_application_repeat1] = STATE(2418),
    [sym__identifier] = ACTIONS(4571),
    [anon_sym_COLON_GT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(4573),
    [anon_sym_QMARK] = ACTIONS(4573),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(3295),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(1231),
    [anon_sym_false] = ACTIONS(1231),
    [anon_sym_COLON2] = ACTIONS(3297),
    [anon_sym_DASH_GT] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(1235),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1239),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACE_LT] = ACTIONS(1251),
    [anon_sym_GT_RBRACE] = ACTIONS(3295),
    [anon_sym_begin] = ACTIONS(1253),
    [sym_ocamlyacc_value] = ACTIONS(1255),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1259),
    [aux_sym_number_token1] = ACTIONS(1261),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [sym_prefix_operator] = ACTIONS(1267),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1271),
    [aux_sym_tag_token1] = ACTIONS(1273),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym__simple_expression] = STATE(5635),
    [sym_typed_expression] = STATE(5624),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_labeled_argument] = STATE(6490),
    [sym_prefix_expression] = STATE(5624),
    [sym_hash_expression] = STATE(5624),
    [sym_field_get_expression] = STATE(5624),
    [sym_array_get_expression] = STATE(5624),
    [sym_string_get_expression] = STATE(5624),
    [sym_bigarray_get_expression] = STATE(5624),
    [sym_coercion_expression] = STATE(5624),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [aux_sym_class_application_repeat1] = STATE(2441),
    [sym__identifier] = ACTIONS(4841),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4843),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(3095),
    [anon_sym_POUND] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(4849),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym__simple_expression] = STATE(5216),
    [sym_typed_expression] = STATE(5236),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_labeled_argument] = STATE(5549),
    [sym_prefix_expression] = STATE(5236),
    [sym_hash_expression] = STATE(5236),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_coercion_expression] = STATE(5236),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [aux_sym_class_application_repeat1] = STATE(2422),
    [sym__identifier] = ACTIONS(4581),
    [anon_sym_COLON_GT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(4583),
    [anon_sym_QMARK] = ACTIONS(4583),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_RPAREN] = ACTIONS(3295),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [anon_sym_COLON2] = ACTIONS(3297),
    [anon_sym_DASH_GT] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(1079),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1083),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_LBRACE_LT] = ACTIONS(1095),
    [anon_sym_GT_RBRACE] = ACTIONS(3295),
    [anon_sym_begin] = ACTIONS(1097),
    [sym_ocamlyacc_value] = ACTIONS(1099),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1103),
    [aux_sym_number_token1] = ACTIONS(1105),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [sym_prefix_operator] = ACTIONS(1111),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1115),
    [aux_sym_tag_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym__simple_expression] = STATE(5216),
    [sym_typed_expression] = STATE(5236),
    [sym_list_expression] = STATE(5236),
    [sym_array_expression] = STATE(5236),
    [sym_record_expression] = STATE(5236),
    [sym_labeled_argument] = STATE(5549),
    [sym_prefix_expression] = STATE(5236),
    [sym_hash_expression] = STATE(5236),
    [sym_field_get_expression] = STATE(5236),
    [sym_array_get_expression] = STATE(5236),
    [sym_string_get_expression] = STATE(5236),
    [sym_bigarray_get_expression] = STATE(5236),
    [sym_coercion_expression] = STATE(5236),
    [sym_local_open_expression] = STATE(5236),
    [sym_package_expression] = STATE(5236),
    [sym_new_expression] = STATE(5236),
    [sym_object_copy_expression] = STATE(5236),
    [sym_method_invocation] = STATE(5236),
    [sym_object_expression] = STATE(5236),
    [sym_parenthesized_expression] = STATE(5236),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(5236),
    [sym_quoted_extension] = STATE(5236),
    [sym__constant] = STATE(5236),
    [sym_number] = STATE(5153),
    [sym_character] = STATE(5153),
    [sym_string] = STATE(5153),
    [sym_quoted_string] = STATE(5153),
    [sym_boolean] = STATE(5153),
    [sym_unit] = STATE(5153),
    [sym__value_name] = STATE(5207),
    [sym_parenthesized_operator] = STATE(5092),
    [sym_value_path] = STATE(5236),
    [sym_module_path] = STATE(18546),
    [sym_constructor_path] = STATE(5236),
    [sym__constructor_name] = STATE(5143),
    [sym_tag] = STATE(5236),
    [aux_sym_class_application_repeat1] = STATE(2422),
    [sym__identifier] = ACTIONS(4851),
    [anon_sym_COLON_GT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(4854),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_LPAREN] = ACTIONS(4857),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(4863),
    [anon_sym_false] = ACTIONS(4863),
    [anon_sym_COLON2] = ACTIONS(3358),
    [anon_sym_DASH_GT] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(4869),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4872),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(4875),
    [anon_sym_LBRACE_LT] = ACTIONS(4878),
    [anon_sym_GT_RBRACE] = ACTIONS(3356),
    [anon_sym_begin] = ACTIONS(4881),
    [sym_ocamlyacc_value] = ACTIONS(4884),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4890),
    [aux_sym_number_token1] = ACTIONS(4893),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4896),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_prefix_operator] = ACTIONS(4902),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4905),
    [aux_sym_tag_token1] = ACTIONS(4908),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym__simple_expression] = STATE(5331),
    [sym_typed_expression] = STATE(5251),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_labeled_argument] = STATE(5698),
    [sym_prefix_expression] = STATE(5251),
    [sym_hash_expression] = STATE(5251),
    [sym_field_get_expression] = STATE(5251),
    [sym_array_get_expression] = STATE(5251),
    [sym_string_get_expression] = STATE(5251),
    [sym_bigarray_get_expression] = STATE(5251),
    [sym_coercion_expression] = STATE(5251),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [aux_sym_class_application_repeat1] = STATE(2423),
    [sym__identifier] = ACTIONS(4911),
    [anon_sym_COLON_GT] = ACTIONS(3356),
    [anon_sym_TILDE] = ACTIONS(4914),
    [anon_sym_QMARK] = ACTIONS(4914),
    [anon_sym_LPAREN] = ACTIONS(4917),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(4920),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(4923),
    [anon_sym_false] = ACTIONS(4923),
    [anon_sym_COLON2] = ACTIONS(3358),
    [anon_sym_DASH_GT] = ACTIONS(3358),
    [anon_sym_LBRACE] = ACTIONS(4926),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_RBRACE] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(4929),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4932),
    [anon_sym_new] = ACTIONS(4935),
    [anon_sym_LBRACE_LT] = ACTIONS(4938),
    [anon_sym_GT_RBRACE] = ACTIONS(3356),
    [anon_sym_begin] = ACTIONS(4941),
    [sym_ocamlyacc_value] = ACTIONS(4944),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4947),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4950),
    [aux_sym_number_token1] = ACTIONS(4953),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(4956),
    [anon_sym_DQUOTE] = ACTIONS(4959),
    [sym_prefix_operator] = ACTIONS(4962),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(4965),
    [aux_sym_tag_token1] = ACTIONS(4968),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym__simple_expression] = STATE(5331),
    [sym_typed_expression] = STATE(5251),
    [sym_list_expression] = STATE(5251),
    [sym_array_expression] = STATE(5251),
    [sym_record_expression] = STATE(5251),
    [sym_labeled_argument] = STATE(5698),
    [sym_prefix_expression] = STATE(5251),
    [sym_hash_expression] = STATE(5251),
    [sym_field_get_expression] = STATE(5251),
    [sym_array_get_expression] = STATE(5251),
    [sym_string_get_expression] = STATE(5251),
    [sym_bigarray_get_expression] = STATE(5251),
    [sym_coercion_expression] = STATE(5251),
    [sym_local_open_expression] = STATE(5251),
    [sym_package_expression] = STATE(5251),
    [sym_new_expression] = STATE(5251),
    [sym_object_copy_expression] = STATE(5251),
    [sym_method_invocation] = STATE(5251),
    [sym_object_expression] = STATE(5251),
    [sym_parenthesized_expression] = STATE(5251),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(5251),
    [sym_quoted_extension] = STATE(5251),
    [sym__constant] = STATE(5251),
    [sym_number] = STATE(5339),
    [sym_character] = STATE(5339),
    [sym_string] = STATE(5339),
    [sym_quoted_string] = STATE(5339),
    [sym_boolean] = STATE(5339),
    [sym_unit] = STATE(5339),
    [sym__value_name] = STATE(5341),
    [sym_parenthesized_operator] = STATE(5332),
    [sym_value_path] = STATE(5251),
    [sym_module_path] = STATE(17649),
    [sym_constructor_path] = STATE(5251),
    [sym__constructor_name] = STATE(5270),
    [sym_tag] = STATE(5251),
    [aux_sym_class_application_repeat1] = STATE(2423),
    [sym__identifier] = ACTIONS(4711),
    [anon_sym_COLON_GT] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(4713),
    [anon_sym_QMARK] = ACTIONS(4713),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(3295),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [anon_sym_COLON2] = ACTIONS(3297),
    [anon_sym_DASH_GT] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(1183),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1187),
    [anon_sym_new] = ACTIONS(1197),
    [anon_sym_LBRACE_LT] = ACTIONS(1199),
    [anon_sym_GT_RBRACE] = ACTIONS(3295),
    [anon_sym_begin] = ACTIONS(1201),
    [sym_ocamlyacc_value] = ACTIONS(1203),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1207),
    [aux_sym_number_token1] = ACTIONS(1209),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [sym_prefix_operator] = ACTIONS(1215),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1219),
    [aux_sym_tag_token1] = ACTIONS(1221),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym__binding_pattern] = STATE(5464),
    [sym_alias_binding_pattern] = STATE(5478),
    [sym_typed_binding_pattern] = STATE(5478),
    [sym_or_binding_pattern] = STATE(5478),
    [sym_constructor_binding_pattern] = STATE(5478),
    [sym_tag_binding_pattern] = STATE(5478),
    [sym_polymorphic_variant_pattern] = STATE(5478),
    [sym_tuple_binding_pattern] = STATE(5478),
    [sym_record_binding_pattern] = STATE(5484),
    [sym_list_binding_pattern] = STATE(5486),
    [sym_cons_binding_pattern] = STATE(5478),
    [sym_array_binding_pattern] = STATE(5483),
    [sym_range_pattern] = STATE(5478),
    [sym_lazy_binding_pattern] = STATE(5478),
    [sym_local_open_binding_pattern] = STATE(5478),
    [sym_package_pattern] = STATE(5478),
    [sym_parenthesized_binding_pattern] = STATE(5478),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(5478),
    [sym_quoted_extension] = STATE(5478),
    [sym__constant] = STATE(5349),
    [sym__signed_constant] = STATE(5239),
    [sym_number] = STATE(5350),
    [sym_signed_number] = STATE(5349),
    [sym_character] = STATE(5350),
    [sym_string] = STATE(5350),
    [sym_quoted_string] = STATE(5350),
    [sym_boolean] = STATE(5350),
    [sym_unit] = STATE(5350),
    [sym__value_name] = STATE(5478),
    [sym_parenthesized_operator] = STATE(5453),
    [sym_module_path] = STATE(19570),
    [sym_constructor_path] = STATE(2425),
    [sym__constructor_name] = STATE(5273),
    [sym_tag] = STATE(2426),
    [sym__identifier] = ACTIONS(4971),
    [anon_sym_SEMI_SEMI] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4975),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(4977),
    [anon_sym_external] = ACTIONS(4975),
    [anon_sym_type] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(4979),
    [anon_sym_RBRACK] = ACTIONS(4973),
    [anon_sym_true] = ACTIONS(4981),
    [anon_sym_false] = ACTIONS(4981),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(4983),
    [anon_sym_exception] = ACTIONS(4975),
    [anon_sym_module] = ACTIONS(4975),
    [anon_sym_open] = ACTIONS(4975),
    [anon_sym_include] = ACTIONS(4975),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_in] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(4985),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4987),
    [anon_sym_lazy] = ACTIONS(4989),
    [anon_sym_begin] = ACTIONS(4991),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4995),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4973),
    [aux_sym_number_token1] = ACTIONS(4997),
    [aux_sym_signed_number_token1] = ACTIONS(4999),
    [anon_sym_SQUOTE] = ACTIONS(5001),
    [anon_sym_DQUOTE] = ACTIONS(5003),
    [sym_let_operator] = ACTIONS(4973),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(5005),
    [aux_sym_directive_token1] = ACTIONS(4975),
    [aux_sym_tag_token1] = ACTIONS(5007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym__binding_pattern] = STATE(5480),
    [sym_alias_binding_pattern] = STATE(5478),
    [sym_typed_binding_pattern] = STATE(5478),
    [sym_or_binding_pattern] = STATE(5478),
    [sym_constructor_binding_pattern] = STATE(5478),
    [sym_tag_binding_pattern] = STATE(5478),
    [sym_polymorphic_variant_pattern] = STATE(5478),
    [sym_tuple_binding_pattern] = STATE(5478),
    [sym_record_binding_pattern] = STATE(5484),
    [sym_list_binding_pattern] = STATE(5486),
    [sym_cons_binding_pattern] = STATE(5478),
    [sym_array_binding_pattern] = STATE(5483),
    [sym_range_pattern] = STATE(5478),
    [sym_lazy_binding_pattern] = STATE(5478),
    [sym_local_open_binding_pattern] = STATE(5478),
    [sym_package_pattern] = STATE(5478),
    [sym_parenthesized_binding_pattern] = STATE(5478),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(5478),
    [sym_quoted_extension] = STATE(5478),
    [sym__constant] = STATE(5349),
    [sym__signed_constant] = STATE(5239),
    [sym_number] = STATE(5350),
    [sym_signed_number] = STATE(5349),
    [sym_character] = STATE(5350),
    [sym_string] = STATE(5350),
    [sym_quoted_string] = STATE(5350),
    [sym_boolean] = STATE(5350),
    [sym_unit] = STATE(5350),
    [sym__value_name] = STATE(5478),
    [sym_parenthesized_operator] = STATE(5453),
    [sym_module_path] = STATE(19570),
    [sym_constructor_path] = STATE(2425),
    [sym__constructor_name] = STATE(5273),
    [sym_tag] = STATE(2426),
    [sym__identifier] = ACTIONS(4971),
    [anon_sym_SEMI_SEMI] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4975),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(4977),
    [anon_sym_external] = ACTIONS(4975),
    [anon_sym_type] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(4979),
    [anon_sym_RBRACK] = ACTIONS(4973),
    [anon_sym_true] = ACTIONS(4981),
    [anon_sym_false] = ACTIONS(4981),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(4983),
    [anon_sym_exception] = ACTIONS(4975),
    [anon_sym_module] = ACTIONS(4975),
    [anon_sym_open] = ACTIONS(4975),
    [anon_sym_include] = ACTIONS(4975),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_in] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(4985),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4987),
    [anon_sym_lazy] = ACTIONS(4989),
    [anon_sym_begin] = ACTIONS(4991),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4995),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4973),
    [aux_sym_number_token1] = ACTIONS(4997),
    [aux_sym_signed_number_token1] = ACTIONS(4999),
    [anon_sym_SQUOTE] = ACTIONS(5001),
    [anon_sym_DQUOTE] = ACTIONS(5003),
    [sym_let_operator] = ACTIONS(4973),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(5005),
    [aux_sym_directive_token1] = ACTIONS(4975),
    [aux_sym_tag_token1] = ACTIONS(5007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym__simple_expression] = STATE(5699),
    [sym_typed_expression] = STATE(5742),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_labeled_argument] = STATE(6831),
    [sym_prefix_expression] = STATE(5742),
    [sym_hash_expression] = STATE(5742),
    [sym_field_get_expression] = STATE(5742),
    [sym_array_get_expression] = STATE(5742),
    [sym_string_get_expression] = STATE(5742),
    [sym_bigarray_get_expression] = STATE(5742),
    [sym_coercion_expression] = STATE(5742),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [aux_sym_class_application_repeat1] = STATE(2457),
    [sym__identifier] = ACTIONS(5009),
    [anon_sym_and] = ACTIONS(3095),
    [anon_sym_TILDE] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(5013),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(3095),
    [anon_sym_POUND] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3093),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5017),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym_let_and_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym__binding_pattern] = STATE(5441),
    [sym_alias_binding_pattern] = STATE(5442),
    [sym_typed_binding_pattern] = STATE(5442),
    [sym_or_binding_pattern] = STATE(5442),
    [sym_constructor_binding_pattern] = STATE(5442),
    [sym_tag_binding_pattern] = STATE(5442),
    [sym_polymorphic_variant_pattern] = STATE(5442),
    [sym_tuple_binding_pattern] = STATE(5442),
    [sym_record_binding_pattern] = STATE(5443),
    [sym_list_binding_pattern] = STATE(5444),
    [sym_cons_binding_pattern] = STATE(5442),
    [sym_array_binding_pattern] = STATE(5445),
    [sym_range_pattern] = STATE(5442),
    [sym_lazy_binding_pattern] = STATE(5442),
    [sym_local_open_binding_pattern] = STATE(5442),
    [sym_package_pattern] = STATE(5442),
    [sym_parenthesized_binding_pattern] = STATE(5442),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(5442),
    [sym_quoted_extension] = STATE(5442),
    [sym__constant] = STATE(5344),
    [sym__signed_constant] = STATE(5290),
    [sym_number] = STATE(5277),
    [sym_signed_number] = STATE(5344),
    [sym_character] = STATE(5277),
    [sym_string] = STATE(5277),
    [sym_quoted_string] = STATE(5277),
    [sym_boolean] = STATE(5277),
    [sym_unit] = STATE(5277),
    [sym__value_name] = STATE(5442),
    [sym_parenthesized_operator] = STATE(5455),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(2428),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(2429),
    [sym__identifier] = ACTIONS(5019),
    [anon_sym_SEMI_SEMI] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4975),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(5021),
    [anon_sym_external] = ACTIONS(4975),
    [anon_sym_type] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [anon_sym_true] = ACTIONS(5025),
    [anon_sym_false] = ACTIONS(5025),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(5027),
    [anon_sym_exception] = ACTIONS(4975),
    [anon_sym_module] = ACTIONS(4975),
    [anon_sym_open] = ACTIONS(4975),
    [anon_sym_include] = ACTIONS(4975),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_end] = ACTIONS(4975),
    [anon_sym_in] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(5029),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5031),
    [anon_sym_lazy] = ACTIONS(5033),
    [anon_sym_begin] = ACTIONS(5035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4973),
    [aux_sym_number_token1] = ACTIONS(5041),
    [aux_sym_signed_number_token1] = ACTIONS(5043),
    [anon_sym_SQUOTE] = ACTIONS(5045),
    [anon_sym_DQUOTE] = ACTIONS(5047),
    [sym_let_operator] = ACTIONS(4973),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(5049),
    [aux_sym_directive_token1] = ACTIONS(4975),
    [aux_sym_tag_token1] = ACTIONS(5051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym__binding_pattern] = STATE(5482),
    [sym_alias_binding_pattern] = STATE(5442),
    [sym_typed_binding_pattern] = STATE(5442),
    [sym_or_binding_pattern] = STATE(5442),
    [sym_constructor_binding_pattern] = STATE(5442),
    [sym_tag_binding_pattern] = STATE(5442),
    [sym_polymorphic_variant_pattern] = STATE(5442),
    [sym_tuple_binding_pattern] = STATE(5442),
    [sym_record_binding_pattern] = STATE(5443),
    [sym_list_binding_pattern] = STATE(5444),
    [sym_cons_binding_pattern] = STATE(5442),
    [sym_array_binding_pattern] = STATE(5445),
    [sym_range_pattern] = STATE(5442),
    [sym_lazy_binding_pattern] = STATE(5442),
    [sym_local_open_binding_pattern] = STATE(5442),
    [sym_package_pattern] = STATE(5442),
    [sym_parenthesized_binding_pattern] = STATE(5442),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(5442),
    [sym_quoted_extension] = STATE(5442),
    [sym__constant] = STATE(5344),
    [sym__signed_constant] = STATE(5290),
    [sym_number] = STATE(5277),
    [sym_signed_number] = STATE(5344),
    [sym_character] = STATE(5277),
    [sym_string] = STATE(5277),
    [sym_quoted_string] = STATE(5277),
    [sym_boolean] = STATE(5277),
    [sym_unit] = STATE(5277),
    [sym__value_name] = STATE(5442),
    [sym_parenthesized_operator] = STATE(5455),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(2428),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(2429),
    [sym__identifier] = ACTIONS(5019),
    [anon_sym_SEMI_SEMI] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4975),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(5021),
    [anon_sym_external] = ACTIONS(4975),
    [anon_sym_type] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [anon_sym_true] = ACTIONS(5025),
    [anon_sym_false] = ACTIONS(5025),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(5027),
    [anon_sym_exception] = ACTIONS(4975),
    [anon_sym_module] = ACTIONS(4975),
    [anon_sym_open] = ACTIONS(4975),
    [anon_sym_include] = ACTIONS(4975),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_end] = ACTIONS(4975),
    [anon_sym_in] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(5029),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5031),
    [anon_sym_lazy] = ACTIONS(5033),
    [anon_sym_begin] = ACTIONS(5035),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5037),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5039),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4973),
    [aux_sym_number_token1] = ACTIONS(5041),
    [aux_sym_signed_number_token1] = ACTIONS(5043),
    [anon_sym_SQUOTE] = ACTIONS(5045),
    [anon_sym_DQUOTE] = ACTIONS(5047),
    [sym_let_operator] = ACTIONS(4973),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(5049),
    [aux_sym_directive_token1] = ACTIONS(4975),
    [aux_sym_tag_token1] = ACTIONS(5051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym__binding_pattern] = STATE(5611),
    [sym_alias_binding_pattern] = STATE(5522),
    [sym_typed_binding_pattern] = STATE(5522),
    [sym_or_binding_pattern] = STATE(5522),
    [sym_constructor_binding_pattern] = STATE(5522),
    [sym_tag_binding_pattern] = STATE(5522),
    [sym_polymorphic_variant_pattern] = STATE(5522),
    [sym_tuple_binding_pattern] = STATE(5522),
    [sym_record_binding_pattern] = STATE(5524),
    [sym_list_binding_pattern] = STATE(5528),
    [sym_cons_binding_pattern] = STATE(5522),
    [sym_array_binding_pattern] = STATE(5529),
    [sym_range_pattern] = STATE(5522),
    [sym_lazy_binding_pattern] = STATE(5522),
    [sym_local_open_binding_pattern] = STATE(5522),
    [sym_package_pattern] = STATE(5522),
    [sym_parenthesized_binding_pattern] = STATE(5522),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(5522),
    [sym_quoted_extension] = STATE(5522),
    [sym__constant] = STATE(5397),
    [sym__signed_constant] = STATE(5433),
    [sym_number] = STATE(5408),
    [sym_signed_number] = STATE(5397),
    [sym_character] = STATE(5408),
    [sym_string] = STATE(5408),
    [sym_quoted_string] = STATE(5408),
    [sym_boolean] = STATE(5408),
    [sym_unit] = STATE(5408),
    [sym__value_name] = STATE(5522),
    [sym_parenthesized_operator] = STATE(5671),
    [sym_module_path] = STATE(18066),
    [sym_constructor_path] = STATE(2431),
    [sym__constructor_name] = STATE(5409),
    [sym_tag] = STATE(2430),
    [sym__identifier] = ACTIONS(5053),
    [anon_sym_SEMI_SEMI] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4975),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(5055),
    [anon_sym_external] = ACTIONS(4975),
    [anon_sym_type] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_true] = ACTIONS(5059),
    [anon_sym_false] = ACTIONS(5059),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_exception] = ACTIONS(4975),
    [anon_sym_module] = ACTIONS(4975),
    [anon_sym_open] = ACTIONS(4975),
    [anon_sym_include] = ACTIONS(4975),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_end] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(5063),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5065),
    [anon_sym_lazy] = ACTIONS(5067),
    [anon_sym_begin] = ACTIONS(5069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4973),
    [aux_sym_number_token1] = ACTIONS(5075),
    [aux_sym_signed_number_token1] = ACTIONS(5077),
    [anon_sym_SQUOTE] = ACTIONS(5079),
    [anon_sym_DQUOTE] = ACTIONS(5081),
    [sym_let_operator] = ACTIONS(4973),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(5083),
    [aux_sym_directive_token1] = ACTIONS(4975),
    [aux_sym_tag_token1] = ACTIONS(5085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym__binding_pattern] = STATE(5599),
    [sym_alias_binding_pattern] = STATE(5522),
    [sym_typed_binding_pattern] = STATE(5522),
    [sym_or_binding_pattern] = STATE(5522),
    [sym_constructor_binding_pattern] = STATE(5522),
    [sym_tag_binding_pattern] = STATE(5522),
    [sym_polymorphic_variant_pattern] = STATE(5522),
    [sym_tuple_binding_pattern] = STATE(5522),
    [sym_record_binding_pattern] = STATE(5524),
    [sym_list_binding_pattern] = STATE(5528),
    [sym_cons_binding_pattern] = STATE(5522),
    [sym_array_binding_pattern] = STATE(5529),
    [sym_range_pattern] = STATE(5522),
    [sym_lazy_binding_pattern] = STATE(5522),
    [sym_local_open_binding_pattern] = STATE(5522),
    [sym_package_pattern] = STATE(5522),
    [sym_parenthesized_binding_pattern] = STATE(5522),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(5522),
    [sym_quoted_extension] = STATE(5522),
    [sym__constant] = STATE(5397),
    [sym__signed_constant] = STATE(5433),
    [sym_number] = STATE(5408),
    [sym_signed_number] = STATE(5397),
    [sym_character] = STATE(5408),
    [sym_string] = STATE(5408),
    [sym_quoted_string] = STATE(5408),
    [sym_boolean] = STATE(5408),
    [sym_unit] = STATE(5408),
    [sym__value_name] = STATE(5522),
    [sym_parenthesized_operator] = STATE(5671),
    [sym_module_path] = STATE(18066),
    [sym_constructor_path] = STATE(2431),
    [sym__constructor_name] = STATE(5409),
    [sym_tag] = STATE(2430),
    [sym__identifier] = ACTIONS(5053),
    [anon_sym_SEMI_SEMI] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4975),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(5055),
    [anon_sym_external] = ACTIONS(4975),
    [anon_sym_type] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(5057),
    [anon_sym_true] = ACTIONS(5059),
    [anon_sym_false] = ACTIONS(5059),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_exception] = ACTIONS(4975),
    [anon_sym_module] = ACTIONS(4975),
    [anon_sym_open] = ACTIONS(4975),
    [anon_sym_include] = ACTIONS(4975),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_end] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(5063),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5065),
    [anon_sym_lazy] = ACTIONS(5067),
    [anon_sym_begin] = ACTIONS(5069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4973),
    [aux_sym_number_token1] = ACTIONS(5075),
    [aux_sym_signed_number_token1] = ACTIONS(5077),
    [anon_sym_SQUOTE] = ACTIONS(5079),
    [anon_sym_DQUOTE] = ACTIONS(5081),
    [sym_let_operator] = ACTIONS(4973),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(5083),
    [aux_sym_directive_token1] = ACTIONS(4975),
    [aux_sym_tag_token1] = ACTIONS(5085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym__simple_expression] = STATE(6037),
    [sym_typed_expression] = STATE(6028),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_labeled_argument] = STATE(7239),
    [sym_prefix_expression] = STATE(6028),
    [sym_hash_expression] = STATE(6028),
    [sym_field_get_expression] = STATE(6028),
    [sym_array_get_expression] = STATE(6028),
    [sym_string_get_expression] = STATE(6028),
    [sym_bigarray_get_expression] = STATE(6028),
    [sym_coercion_expression] = STATE(6028),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [aux_sym_class_application_repeat1] = STATE(2462),
    [sym__identifier] = ACTIONS(5087),
    [anon_sym_TILDE] = ACTIONS(5089),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_POUND] = ACTIONS(5093),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_to] = ACTIONS(3095),
    [anon_sym_downto] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5095),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym__binding_pattern] = STATE(5540),
    [sym_alias_binding_pattern] = STATE(5593),
    [sym_typed_binding_pattern] = STATE(5593),
    [sym_or_binding_pattern] = STATE(5593),
    [sym_constructor_binding_pattern] = STATE(5593),
    [sym_tag_binding_pattern] = STATE(5593),
    [sym_polymorphic_variant_pattern] = STATE(5593),
    [sym_tuple_binding_pattern] = STATE(5593),
    [sym_record_binding_pattern] = STATE(5594),
    [sym_list_binding_pattern] = STATE(5595),
    [sym_cons_binding_pattern] = STATE(5593),
    [sym_array_binding_pattern] = STATE(5597),
    [sym_range_pattern] = STATE(5593),
    [sym_lazy_binding_pattern] = STATE(5593),
    [sym_local_open_binding_pattern] = STATE(5593),
    [sym_package_pattern] = STATE(5593),
    [sym_parenthesized_binding_pattern] = STATE(5593),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(5593),
    [sym_quoted_extension] = STATE(5593),
    [sym__constant] = STATE(5430),
    [sym__signed_constant] = STATE(5467),
    [sym_number] = STATE(5470),
    [sym_signed_number] = STATE(5430),
    [sym_character] = STATE(5470),
    [sym_string] = STATE(5470),
    [sym_quoted_string] = STATE(5470),
    [sym_boolean] = STATE(5470),
    [sym_unit] = STATE(5470),
    [sym__value_name] = STATE(5593),
    [sym_parenthesized_operator] = STATE(5602),
    [sym_module_path] = STATE(19118),
    [sym_constructor_path] = STATE(2434),
    [sym__constructor_name] = STATE(5420),
    [sym_tag] = STATE(2433),
    [sym__identifier] = ACTIONS(5097),
    [anon_sym_SEMI_SEMI] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4975),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(5099),
    [anon_sym_external] = ACTIONS(4975),
    [anon_sym_type] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_RBRACK] = ACTIONS(4973),
    [anon_sym_true] = ACTIONS(5103),
    [anon_sym_false] = ACTIONS(5103),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(5105),
    [anon_sym_exception] = ACTIONS(4975),
    [anon_sym_module] = ACTIONS(4975),
    [anon_sym_open] = ACTIONS(4975),
    [anon_sym_include] = ACTIONS(4975),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(5107),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5109),
    [anon_sym_lazy] = ACTIONS(5111),
    [anon_sym_begin] = ACTIONS(5113),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5117),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4973),
    [aux_sym_number_token1] = ACTIONS(5119),
    [aux_sym_signed_number_token1] = ACTIONS(5121),
    [anon_sym_SQUOTE] = ACTIONS(5123),
    [anon_sym_DQUOTE] = ACTIONS(5125),
    [sym_let_operator] = ACTIONS(4973),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(5127),
    [aux_sym_directive_token1] = ACTIONS(4975),
    [aux_sym_tag_token1] = ACTIONS(5129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym__binding_pattern] = STATE(5531),
    [sym_alias_binding_pattern] = STATE(5593),
    [sym_typed_binding_pattern] = STATE(5593),
    [sym_or_binding_pattern] = STATE(5593),
    [sym_constructor_binding_pattern] = STATE(5593),
    [sym_tag_binding_pattern] = STATE(5593),
    [sym_polymorphic_variant_pattern] = STATE(5593),
    [sym_tuple_binding_pattern] = STATE(5593),
    [sym_record_binding_pattern] = STATE(5594),
    [sym_list_binding_pattern] = STATE(5595),
    [sym_cons_binding_pattern] = STATE(5593),
    [sym_array_binding_pattern] = STATE(5597),
    [sym_range_pattern] = STATE(5593),
    [sym_lazy_binding_pattern] = STATE(5593),
    [sym_local_open_binding_pattern] = STATE(5593),
    [sym_package_pattern] = STATE(5593),
    [sym_parenthesized_binding_pattern] = STATE(5593),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(5593),
    [sym_quoted_extension] = STATE(5593),
    [sym__constant] = STATE(5430),
    [sym__signed_constant] = STATE(5467),
    [sym_number] = STATE(5470),
    [sym_signed_number] = STATE(5430),
    [sym_character] = STATE(5470),
    [sym_string] = STATE(5470),
    [sym_quoted_string] = STATE(5470),
    [sym_boolean] = STATE(5470),
    [sym_unit] = STATE(5470),
    [sym__value_name] = STATE(5593),
    [sym_parenthesized_operator] = STATE(5602),
    [sym_module_path] = STATE(19118),
    [sym_constructor_path] = STATE(2434),
    [sym__constructor_name] = STATE(5420),
    [sym_tag] = STATE(2433),
    [sym__identifier] = ACTIONS(5097),
    [anon_sym_SEMI_SEMI] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4975),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(5099),
    [anon_sym_external] = ACTIONS(4975),
    [anon_sym_type] = ACTIONS(4975),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_RBRACK] = ACTIONS(4973),
    [anon_sym_true] = ACTIONS(5103),
    [anon_sym_false] = ACTIONS(5103),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(5105),
    [anon_sym_exception] = ACTIONS(4975),
    [anon_sym_module] = ACTIONS(4975),
    [anon_sym_open] = ACTIONS(4975),
    [anon_sym_include] = ACTIONS(4975),
    [anon_sym_class] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(5107),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5109),
    [anon_sym_lazy] = ACTIONS(5111),
    [anon_sym_begin] = ACTIONS(5113),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4975),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5117),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4973),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4973),
    [aux_sym_number_token1] = ACTIONS(5119),
    [aux_sym_signed_number_token1] = ACTIONS(5121),
    [anon_sym_SQUOTE] = ACTIONS(5123),
    [anon_sym_DQUOTE] = ACTIONS(5125),
    [sym_let_operator] = ACTIONS(4973),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(5127),
    [aux_sym_directive_token1] = ACTIONS(4975),
    [aux_sym_tag_token1] = ACTIONS(5129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym__simple_expression] = STATE(6507),
    [sym_typed_expression] = STATE(6362),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_labeled_argument] = STATE(7560),
    [sym_prefix_expression] = STATE(6362),
    [sym_hash_expression] = STATE(6362),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_coercion_expression] = STATE(6362),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [aux_sym_class_application_repeat1] = STATE(2473),
    [sym__identifier] = ACTIONS(5131),
    [anon_sym_TILDE] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5133),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_DOT] = ACTIONS(5135),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_POUND] = ACTIONS(5137),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5139),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym__simple_expression] = STATE(6393),
    [sym_typed_expression] = STATE(6302),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_labeled_argument] = STATE(7447),
    [sym_prefix_expression] = STATE(6302),
    [sym_hash_expression] = STATE(6302),
    [sym_field_get_expression] = STATE(6302),
    [sym_array_get_expression] = STATE(6302),
    [sym_string_get_expression] = STATE(6302),
    [sym_bigarray_get_expression] = STATE(6302),
    [sym_coercion_expression] = STATE(6302),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [aux_sym_class_application_repeat1] = STATE(2476),
    [sym__identifier] = ACTIONS(5141),
    [anon_sym_TILDE] = ACTIONS(5143),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_DOT] = ACTIONS(5145),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_POUND] = ACTIONS(5147),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_then] = ACTIONS(3095),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5149),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym__simple_expression] = STATE(6109),
    [sym_typed_expression] = STATE(6495),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_labeled_argument] = STATE(7347),
    [sym_prefix_expression] = STATE(6495),
    [sym_hash_expression] = STATE(6495),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_coercion_expression] = STATE(6495),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [aux_sym_class_application_repeat1] = STATE(2478),
    [sym__identifier] = ACTIONS(5151),
    [anon_sym_TILDE] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_DOT] = ACTIONS(5155),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_with] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_POUND] = ACTIONS(5157),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5159),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym__simple_expression] = STATE(6164),
    [sym_typed_expression] = STATE(6099),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_labeled_argument] = STATE(7526),
    [sym_prefix_expression] = STATE(6099),
    [sym_hash_expression] = STATE(6099),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_coercion_expression] = STATE(6099),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [aux_sym_class_application_repeat1] = STATE(2482),
    [sym__identifier] = ACTIONS(5161),
    [anon_sym_TILDE] = ACTIONS(5163),
    [anon_sym_QMARK] = ACTIONS(5163),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_DOT] = ACTIONS(5165),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_POUND] = ACTIONS(5167),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5169),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym__simple_expression] = STATE(6287),
    [sym_typed_expression] = STATE(6270),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_labeled_argument] = STATE(7404),
    [sym_prefix_expression] = STATE(6270),
    [sym_hash_expression] = STATE(6270),
    [sym_field_get_expression] = STATE(6270),
    [sym_array_get_expression] = STATE(6270),
    [sym_string_get_expression] = STATE(6270),
    [sym_bigarray_get_expression] = STATE(6270),
    [sym_coercion_expression] = STATE(6270),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__identifier] = ACTIONS(5171),
    [anon_sym_TILDE] = ACTIONS(5173),
    [anon_sym_QMARK] = ACTIONS(5173),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_DOT] = ACTIONS(5175),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_POUND] = ACTIONS(5177),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_to] = ACTIONS(3095),
    [anon_sym_downto] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5179),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym__simple_expression] = STATE(6418),
    [sym_typed_expression] = STATE(6398),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_labeled_argument] = STATE(7359),
    [sym_prefix_expression] = STATE(6398),
    [sym_hash_expression] = STATE(6398),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_coercion_expression] = STATE(6398),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [aux_sym_class_application_repeat1] = STATE(2471),
    [sym__identifier] = ACTIONS(5181),
    [anon_sym_TILDE] = ACTIONS(5183),
    [anon_sym_QMARK] = ACTIONS(5183),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_DOT] = ACTIONS(5185),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_POUND] = ACTIONS(5187),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_else] = ACTIONS(3095),
    [anon_sym_done] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5189),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym__simple_expression] = STATE(5635),
    [sym_typed_expression] = STATE(5624),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_labeled_argument] = STATE(6490),
    [sym_prefix_expression] = STATE(5624),
    [sym_hash_expression] = STATE(5624),
    [sym_field_get_expression] = STATE(5624),
    [sym_array_get_expression] = STATE(5624),
    [sym_string_get_expression] = STATE(5624),
    [sym_bigarray_get_expression] = STATE(5624),
    [sym_coercion_expression] = STATE(5624),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [aux_sym_class_application_repeat1] = STATE(2442),
    [sym__identifier] = ACTIONS(4841),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4843),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(1311),
    [anon_sym_LBRACE_LT] = ACTIONS(1313),
    [anon_sym_begin] = ACTIONS(1315),
    [sym_ocamlyacc_value] = ACTIONS(1317),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1321),
    [aux_sym_number_token1] = ACTIONS(1323),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1327),
    [sym_prefix_operator] = ACTIONS(1329),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1333),
    [aux_sym_tag_token1] = ACTIONS(1335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym__simple_expression] = STATE(5635),
    [sym_typed_expression] = STATE(5624),
    [sym_list_expression] = STATE(5624),
    [sym_array_expression] = STATE(5624),
    [sym_record_expression] = STATE(5624),
    [sym_labeled_argument] = STATE(6490),
    [sym_prefix_expression] = STATE(5624),
    [sym_hash_expression] = STATE(5624),
    [sym_field_get_expression] = STATE(5624),
    [sym_array_get_expression] = STATE(5624),
    [sym_string_get_expression] = STATE(5624),
    [sym_bigarray_get_expression] = STATE(5624),
    [sym_coercion_expression] = STATE(5624),
    [sym_local_open_expression] = STATE(5624),
    [sym_package_expression] = STATE(5624),
    [sym_new_expression] = STATE(5624),
    [sym_object_copy_expression] = STATE(5624),
    [sym_method_invocation] = STATE(5624),
    [sym_object_expression] = STATE(5624),
    [sym_parenthesized_expression] = STATE(5624),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(5624),
    [sym_quoted_extension] = STATE(5624),
    [sym__constant] = STATE(5624),
    [sym_number] = STATE(5521),
    [sym_character] = STATE(5521),
    [sym_string] = STATE(5521),
    [sym_quoted_string] = STATE(5521),
    [sym_boolean] = STATE(5521),
    [sym_unit] = STATE(5521),
    [sym__value_name] = STATE(5507),
    [sym_parenthesized_operator] = STATE(5617),
    [sym_value_path] = STATE(5624),
    [sym_module_path] = STATE(18508),
    [sym_constructor_path] = STATE(5624),
    [sym__constructor_name] = STATE(5526),
    [sym_tag] = STATE(5624),
    [aux_sym_class_application_repeat1] = STATE(2442),
    [sym__identifier] = ACTIONS(5191),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(5194),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_LPAREN] = ACTIONS(5197),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(5200),
    [anon_sym_true] = ACTIONS(5203),
    [anon_sym_false] = ACTIONS(5203),
    [anon_sym_LBRACE] = ACTIONS(5206),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(5209),
    [anon_sym_in] = ACTIONS(3358),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5212),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(5215),
    [anon_sym_LBRACE_LT] = ACTIONS(5218),
    [anon_sym_begin] = ACTIONS(5221),
    [sym_ocamlyacc_value] = ACTIONS(5224),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5227),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5230),
    [aux_sym_number_token1] = ACTIONS(5233),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(5236),
    [anon_sym_DQUOTE] = ACTIONS(5239),
    [sym_prefix_operator] = ACTIONS(5242),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(5245),
    [aux_sym_tag_token1] = ACTIONS(5248),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym__simple_expression] = STATE(7067),
    [sym_typed_expression] = STATE(6953),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_labeled_argument] = STATE(7576),
    [sym_prefix_expression] = STATE(6953),
    [sym_hash_expression] = STATE(6953),
    [sym_field_get_expression] = STATE(6953),
    [sym_array_get_expression] = STATE(6953),
    [sym_string_get_expression] = STATE(6953),
    [sym_bigarray_get_expression] = STATE(6953),
    [sym_coercion_expression] = STATE(6953),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__identifier] = ACTIONS(5251),
    [anon_sym_TILDE] = ACTIONS(5253),
    [anon_sym_QMARK] = ACTIONS(5253),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_DOT] = ACTIONS(5255),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_POUND] = ACTIONS(5257),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_then] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5259),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym__simple_expression] = STATE(6974),
    [sym_typed_expression] = STATE(6766),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_labeled_argument] = STATE(7587),
    [sym_prefix_expression] = STATE(6766),
    [sym_hash_expression] = STATE(6766),
    [sym_field_get_expression] = STATE(6766),
    [sym_array_get_expression] = STATE(6766),
    [sym_string_get_expression] = STATE(6766),
    [sym_bigarray_get_expression] = STATE(6766),
    [sym_coercion_expression] = STATE(6766),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [aux_sym_class_application_repeat1] = STATE(2505),
    [sym__identifier] = ACTIONS(5261),
    [anon_sym_TILDE] = ACTIONS(5263),
    [anon_sym_QMARK] = ACTIONS(5263),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_DOT] = ACTIONS(5265),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_end] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_POUND] = ACTIONS(5267),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5269),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym__abstract_type] = STATE(18232),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13385),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(18624),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5275),
    [anon_sym_type] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5283),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5289),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5309),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5309),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5309),
    [sym_let_and_operator] = ACTIONS(5309),
    [sym_match_operator] = ACTIONS(5309),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym__abstract_type] = STATE(18292),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13586),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(18923),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5315),
    [anon_sym_type] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5317),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5319),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5323),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5323),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5323),
    [sym_let_and_operator] = ACTIONS(5323),
    [sym_match_operator] = ACTIONS(5323),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym__abstract_type] = STATE(19210),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13437),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(18000),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_type] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5329),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5333),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5333),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5333),
    [sym_let_and_operator] = ACTIONS(5333),
    [sym_match_operator] = ACTIONS(5333),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym__simple_expression] = STATE(6631),
    [sym_typed_expression] = STATE(7024),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_labeled_argument] = STATE(7588),
    [sym_prefix_expression] = STATE(7024),
    [sym_hash_expression] = STATE(7024),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_coercion_expression] = STATE(7024),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [aux_sym_class_application_repeat1] = STATE(2501),
    [sym__identifier] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_DOT] = ACTIONS(5339),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_POUND] = ACTIONS(5341),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_done] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5343),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym__simple_expression] = STATE(5699),
    [sym_typed_expression] = STATE(5742),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_labeled_argument] = STATE(6831),
    [sym_prefix_expression] = STATE(5742),
    [sym_hash_expression] = STATE(5742),
    [sym_field_get_expression] = STATE(5742),
    [sym_array_get_expression] = STATE(5742),
    [sym_string_get_expression] = STATE(5742),
    [sym_bigarray_get_expression] = STATE(5742),
    [sym_coercion_expression] = STATE(5742),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [aux_sym_class_application_repeat1] = STATE(2449),
    [sym__identifier] = ACTIONS(5345),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(5348),
    [anon_sym_QMARK] = ACTIONS(5348),
    [anon_sym_LPAREN] = ACTIONS(5351),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_true] = ACTIONS(5357),
    [anon_sym_false] = ACTIONS(5357),
    [anon_sym_LBRACE] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(5363),
    [anon_sym_in] = ACTIONS(3358),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5366),
    [anon_sym_new] = ACTIONS(5369),
    [anon_sym_LBRACE_LT] = ACTIONS(5372),
    [anon_sym_begin] = ACTIONS(5375),
    [sym_ocamlyacc_value] = ACTIONS(5378),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5384),
    [aux_sym_number_token1] = ACTIONS(5387),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(5390),
    [anon_sym_DQUOTE] = ACTIONS(5393),
    [sym_prefix_operator] = ACTIONS(5396),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym_let_and_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(5399),
    [aux_sym_tag_token1] = ACTIONS(5402),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym__simple_expression] = STATE(6790),
    [sym_typed_expression] = STATE(7026),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_labeled_argument] = STATE(7611),
    [sym_prefix_expression] = STATE(7026),
    [sym_hash_expression] = STATE(7026),
    [sym_field_get_expression] = STATE(7026),
    [sym_array_get_expression] = STATE(7026),
    [sym_string_get_expression] = STATE(7026),
    [sym_bigarray_get_expression] = STATE(7026),
    [sym_coercion_expression] = STATE(7026),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [aux_sym_class_application_repeat1] = STATE(2493),
    [sym__identifier] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5407),
    [anon_sym_QMARK] = ACTIONS(5407),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_DOT] = ACTIONS(5409),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_POUND] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5413),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym_parameter] = STATE(9955),
    [sym__polymorphic_typed] = STATE(16238),
    [sym__parenthesized_abstract_type] = STATE(9955),
    [sym__simple_pattern] = STATE(10013),
    [sym_typed_pattern] = STATE(10081),
    [sym_polymorphic_variant_pattern] = STATE(10081),
    [sym_record_pattern] = STATE(10081),
    [sym_list_pattern] = STATE(10081),
    [sym_array_pattern] = STATE(10081),
    [sym_local_open_pattern] = STATE(10081),
    [sym_package_pattern] = STATE(10081),
    [sym_parenthesized_pattern] = STATE(10081),
    [sym_attribute] = STATE(2451),
    [sym_item_attribute] = STATE(10568),
    [sym_extension] = STATE(10081),
    [sym_quoted_extension] = STATE(10081),
    [sym__constant] = STATE(10019),
    [sym__signed_constant] = STATE(10081),
    [sym_number] = STATE(9958),
    [sym_signed_number] = STATE(10019),
    [sym_character] = STATE(9958),
    [sym_string] = STATE(9958),
    [sym_quoted_string] = STATE(9958),
    [sym_boolean] = STATE(9958),
    [sym_unit] = STATE(9958),
    [sym__simple_value_pattern] = STATE(10081),
    [sym_parenthesized_operator] = STATE(10081),
    [sym_module_path] = STATE(19026),
    [sym_constructor_path] = STATE(10081),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(10081),
    [aux_sym_expression_item_repeat1] = STATE(10139),
    [aux_sym_let_binding_repeat1] = STATE(4570),
    [sym__identifier] = ACTIONS(5415),
    [anon_sym_SEMI_SEMI] = ACTIONS(5417),
    [anon_sym_let] = ACTIONS(5419),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_COLON_GT] = ACTIONS(5421),
    [anon_sym_EQ] = ACTIONS(5423),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5427),
    [anon_sym_external] = ACTIONS(5419),
    [anon_sym_type] = ACTIONS(5419),
    [anon_sym_COMMA] = ACTIONS(5429),
    [anon_sym_PIPE] = ACTIONS(5431),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_true] = ACTIONS(5435),
    [anon_sym_false] = ACTIONS(5435),
    [anon_sym_COLON2] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5439),
    [anon_sym_exception] = ACTIONS(5419),
    [anon_sym_module] = ACTIONS(5419),
    [anon_sym_open] = ACTIONS(5419),
    [anon_sym_include] = ACTIONS(5419),
    [anon_sym_class] = ACTIONS(5419),
    [anon_sym_end] = ACTIONS(5419),
    [anon_sym_in] = ACTIONS(5419),
    [anon_sym_as] = ACTIONS(5441),
    [anon_sym_POUND] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5445),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5447),
    [anon_sym_begin] = ACTIONS(5449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5451),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5417),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5417),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5417),
    [aux_sym_number_token1] = ACTIONS(5457),
    [aux_sym_signed_number_token1] = ACTIONS(5459),
    [anon_sym_SQUOTE] = ACTIONS(5461),
    [anon_sym_DQUOTE] = ACTIONS(5463),
    [sym_let_operator] = ACTIONS(5417),
    [sym_let_and_operator] = ACTIONS(5417),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_directive_token1] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym__abstract_type] = STATE(17901),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13455),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(20163),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(2325),
    [anon_sym_type] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5469),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5471),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(2335),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2335),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2335),
    [sym_let_and_operator] = ACTIONS(2335),
    [sym_match_operator] = ACTIONS(2335),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym_parameter] = STATE(9955),
    [sym__polymorphic_typed] = STATE(16263),
    [sym__parenthesized_abstract_type] = STATE(9955),
    [sym__simple_pattern] = STATE(10013),
    [sym_typed_pattern] = STATE(10081),
    [sym_polymorphic_variant_pattern] = STATE(10081),
    [sym_record_pattern] = STATE(10081),
    [sym_list_pattern] = STATE(10081),
    [sym_array_pattern] = STATE(10081),
    [sym_local_open_pattern] = STATE(10081),
    [sym_package_pattern] = STATE(10081),
    [sym_parenthesized_pattern] = STATE(10081),
    [sym_attribute] = STATE(2453),
    [sym_item_attribute] = STATE(10568),
    [sym_extension] = STATE(10081),
    [sym_quoted_extension] = STATE(10081),
    [sym__constant] = STATE(10019),
    [sym__signed_constant] = STATE(10081),
    [sym_number] = STATE(9958),
    [sym_signed_number] = STATE(10019),
    [sym_character] = STATE(9958),
    [sym_string] = STATE(9958),
    [sym_quoted_string] = STATE(9958),
    [sym_boolean] = STATE(9958),
    [sym_unit] = STATE(9958),
    [sym__simple_value_pattern] = STATE(10081),
    [sym_parenthesized_operator] = STATE(10081),
    [sym_module_path] = STATE(19026),
    [sym_constructor_path] = STATE(10081),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(10081),
    [aux_sym_expression_item_repeat1] = STATE(10139),
    [aux_sym_let_binding_repeat1] = STATE(4574),
    [sym__identifier] = ACTIONS(5415),
    [anon_sym_SEMI_SEMI] = ACTIONS(5417),
    [anon_sym_let] = ACTIONS(5419),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_COLON_GT] = ACTIONS(5473),
    [anon_sym_EQ] = ACTIONS(5475),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5427),
    [anon_sym_external] = ACTIONS(5419),
    [anon_sym_type] = ACTIONS(5419),
    [anon_sym_COMMA] = ACTIONS(5477),
    [anon_sym_PIPE] = ACTIONS(5479),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_RBRACK] = ACTIONS(5417),
    [anon_sym_true] = ACTIONS(5435),
    [anon_sym_false] = ACTIONS(5435),
    [anon_sym_COLON2] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5439),
    [anon_sym_exception] = ACTIONS(5419),
    [anon_sym_module] = ACTIONS(5419),
    [anon_sym_open] = ACTIONS(5419),
    [anon_sym_include] = ACTIONS(5419),
    [anon_sym_class] = ACTIONS(5419),
    [anon_sym_in] = ACTIONS(5419),
    [anon_sym_as] = ACTIONS(5481),
    [anon_sym_POUND] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5447),
    [anon_sym_begin] = ACTIONS(5449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5451),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5417),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5417),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5417),
    [aux_sym_number_token1] = ACTIONS(5457),
    [aux_sym_signed_number_token1] = ACTIONS(5459),
    [anon_sym_SQUOTE] = ACTIONS(5461),
    [anon_sym_DQUOTE] = ACTIONS(5463),
    [sym_let_operator] = ACTIONS(5417),
    [sym_let_and_operator] = ACTIONS(5417),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_directive_token1] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym__abstract_type] = STATE(19013),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13427),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(19789),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5485),
    [anon_sym_type] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5487),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5489),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5493),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5493),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5493),
    [sym_let_and_operator] = ACTIONS(5493),
    [sym_match_operator] = ACTIONS(5493),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym__simple_expression] = STATE(7074),
    [sym_typed_expression] = STATE(6846),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_labeled_argument] = STATE(7568),
    [sym_prefix_expression] = STATE(6846),
    [sym_hash_expression] = STATE(6846),
    [sym_field_get_expression] = STATE(6846),
    [sym_array_get_expression] = STATE(6846),
    [sym_string_get_expression] = STATE(6846),
    [sym_bigarray_get_expression] = STATE(6846),
    [sym_coercion_expression] = STATE(6846),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [aux_sym_class_application_repeat1] = STATE(2498),
    [sym__identifier] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5497),
    [anon_sym_QMARK] = ACTIONS(5497),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(3093),
    [anon_sym_PIPE] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(5499),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(3093),
    [anon_sym_with] = ACTIONS(3095),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_POUND] = ACTIONS(5501),
    [anon_sym_COLON_COLON] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(3095),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(3095),
    [sym_hash_operator] = ACTIONS(5503),
    [sym_pow_operator] = ACTIONS(3095),
    [sym_mult_operator] = ACTIONS(3095),
    [aux_sym_add_operator_token1] = ACTIONS(3095),
    [sym_concat_operator] = ACTIONS(3093),
    [sym_rel_operator] = ACTIONS(3095),
    [sym_and_operator] = ACTIONS(3095),
    [sym_or_operator] = ACTIONS(3095),
    [sym_assign_operator] = ACTIONS(3093),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym__abstract_type] = STATE(18089),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13303),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(17853),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5505),
    [anon_sym_type] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5507),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5509),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5513),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5513),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5513),
    [sym_let_and_operator] = ACTIONS(5513),
    [sym_match_operator] = ACTIONS(5513),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym__simple_expression] = STATE(5699),
    [sym_typed_expression] = STATE(5742),
    [sym_list_expression] = STATE(5742),
    [sym_array_expression] = STATE(5742),
    [sym_record_expression] = STATE(5742),
    [sym_labeled_argument] = STATE(6831),
    [sym_prefix_expression] = STATE(5742),
    [sym_hash_expression] = STATE(5742),
    [sym_field_get_expression] = STATE(5742),
    [sym_array_get_expression] = STATE(5742),
    [sym_string_get_expression] = STATE(5742),
    [sym_bigarray_get_expression] = STATE(5742),
    [sym_coercion_expression] = STATE(5742),
    [sym_local_open_expression] = STATE(5742),
    [sym_package_expression] = STATE(5742),
    [sym_new_expression] = STATE(5742),
    [sym_object_copy_expression] = STATE(5742),
    [sym_method_invocation] = STATE(5742),
    [sym_object_expression] = STATE(5742),
    [sym_parenthesized_expression] = STATE(5742),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(5742),
    [sym_quoted_extension] = STATE(5742),
    [sym__constant] = STATE(5742),
    [sym_number] = STATE(5723),
    [sym_character] = STATE(5723),
    [sym_string] = STATE(5723),
    [sym_quoted_string] = STATE(5723),
    [sym_boolean] = STATE(5723),
    [sym_unit] = STATE(5723),
    [sym__value_name] = STATE(5766),
    [sym_parenthesized_operator] = STATE(5715),
    [sym_value_path] = STATE(5742),
    [sym_module_path] = STATE(17539),
    [sym_constructor_path] = STATE(5742),
    [sym__constructor_name] = STATE(5756),
    [sym_tag] = STATE(5742),
    [aux_sym_class_application_repeat1] = STATE(2449),
    [sym__identifier] = ACTIONS(5009),
    [anon_sym_and] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5011),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_true] = ACTIONS(1351),
    [anon_sym_false] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1359),
    [anon_sym_new] = ACTIONS(1369),
    [anon_sym_LBRACE_LT] = ACTIONS(1371),
    [anon_sym_begin] = ACTIONS(1373),
    [sym_ocamlyacc_value] = ACTIONS(1375),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3295),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1379),
    [aux_sym_number_token1] = ACTIONS(1381),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1385),
    [sym_prefix_operator] = ACTIONS(1387),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym_let_and_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1391),
    [aux_sym_tag_token1] = ACTIONS(1393),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym__abstract_type] = STATE(17901),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13297),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(17460),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_type] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5519),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5523),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5523),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5523),
    [sym_let_and_operator] = ACTIONS(5523),
    [sym_match_operator] = ACTIONS(5523),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym__abstract_type] = STATE(18165),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13594),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(19579),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5525),
    [anon_sym_type] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5529),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5531),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5533),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5533),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5533),
    [sym_let_and_operator] = ACTIONS(5533),
    [sym_match_operator] = ACTIONS(5533),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym__simple_expression] = STATE(6037),
    [sym_typed_expression] = STATE(6028),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_labeled_argument] = STATE(7239),
    [sym_prefix_expression] = STATE(6028),
    [sym_hash_expression] = STATE(6028),
    [sym_field_get_expression] = STATE(6028),
    [sym_array_get_expression] = STATE(6028),
    [sym_string_get_expression] = STATE(6028),
    [sym_bigarray_get_expression] = STATE(6028),
    [sym_coercion_expression] = STATE(6028),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [aux_sym_class_application_repeat1] = STATE(2460),
    [sym__identifier] = ACTIONS(5535),
    [anon_sym_TILDE] = ACTIONS(5538),
    [anon_sym_QMARK] = ACTIONS(5538),
    [anon_sym_LPAREN] = ACTIONS(5541),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_true] = ACTIONS(5547),
    [anon_sym_false] = ACTIONS(5547),
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(5553),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5556),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_to] = ACTIONS(3358),
    [anon_sym_downto] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(5559),
    [anon_sym_LBRACE_LT] = ACTIONS(5562),
    [anon_sym_begin] = ACTIONS(5565),
    [sym_ocamlyacc_value] = ACTIONS(5568),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5571),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5574),
    [aux_sym_number_token1] = ACTIONS(5577),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(5580),
    [anon_sym_DQUOTE] = ACTIONS(5583),
    [sym_prefix_operator] = ACTIONS(5586),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(5589),
    [aux_sym_tag_token1] = ACTIONS(5592),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym__simple_expression] = STATE(5908),
    [sym_typed_expression] = STATE(5931),
    [sym_list_expression] = STATE(5931),
    [sym_array_expression] = STATE(5931),
    [sym_record_expression] = STATE(5931),
    [sym_labeled_argument] = STATE(7132),
    [sym_prefix_expression] = STATE(5931),
    [sym_hash_expression] = STATE(5931),
    [sym_field_get_expression] = STATE(5931),
    [sym_array_get_expression] = STATE(5931),
    [sym_string_get_expression] = STATE(5931),
    [sym_bigarray_get_expression] = STATE(5931),
    [sym_coercion_expression] = STATE(5931),
    [sym_local_open_expression] = STATE(5931),
    [sym_package_expression] = STATE(5931),
    [sym_new_expression] = STATE(5931),
    [sym_object_copy_expression] = STATE(5931),
    [sym_method_invocation] = STATE(5931),
    [sym_object_expression] = STATE(5931),
    [sym_parenthesized_expression] = STATE(5931),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(5931),
    [sym_quoted_extension] = STATE(5931),
    [sym__constant] = STATE(5931),
    [sym_number] = STATE(5916),
    [sym_character] = STATE(5916),
    [sym_string] = STATE(5916),
    [sym_quoted_string] = STATE(5916),
    [sym_boolean] = STATE(5916),
    [sym_unit] = STATE(5916),
    [sym__value_name] = STATE(5981),
    [sym_parenthesized_operator] = STATE(5909),
    [sym_value_path] = STATE(5931),
    [sym_module_path] = STATE(18352),
    [sym_constructor_path] = STATE(5931),
    [sym__constructor_name] = STATE(5917),
    [sym_tag] = STATE(5931),
    [aux_sym_class_application_repeat1] = STATE(2463),
    [sym__identifier] = ACTIONS(5595),
    [anon_sym_SEMI_SEMI] = ACTIONS(5597),
    [anon_sym_let] = ACTIONS(5599),
    [anon_sym_and] = ACTIONS(5599),
    [anon_sym_TILDE] = ACTIONS(5601),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_LPAREN] = ACTIONS(5603),
    [anon_sym_external] = ACTIONS(5599),
    [anon_sym_type] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(5605),
    [anon_sym_true] = ACTIONS(5607),
    [anon_sym_false] = ACTIONS(5607),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_exception] = ACTIONS(5599),
    [anon_sym_module] = ACTIONS(5599),
    [anon_sym_open] = ACTIONS(5599),
    [anon_sym_include] = ACTIONS(5599),
    [anon_sym_class] = ACTIONS(5599),
    [anon_sym_end] = ACTIONS(5599),
    [anon_sym_object] = ACTIONS(5611),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5613),
    [anon_sym_new] = ACTIONS(5615),
    [anon_sym_LBRACE_LT] = ACTIONS(5617),
    [anon_sym_begin] = ACTIONS(5619),
    [sym_ocamlyacc_value] = ACTIONS(5621),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5599),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5597),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5625),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5597),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5597),
    [aux_sym_number_token1] = ACTIONS(5627),
    [anon_sym_SQUOTE] = ACTIONS(5629),
    [anon_sym_DQUOTE] = ACTIONS(5631),
    [sym_prefix_operator] = ACTIONS(5633),
    [sym_let_operator] = ACTIONS(5597),
    [sym__capitalized_identifier] = ACTIONS(5635),
    [aux_sym_directive_token1] = ACTIONS(5597),
    [aux_sym_tag_token1] = ACTIONS(5637),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym__simple_expression] = STATE(6037),
    [sym_typed_expression] = STATE(6028),
    [sym_list_expression] = STATE(6028),
    [sym_array_expression] = STATE(6028),
    [sym_record_expression] = STATE(6028),
    [sym_labeled_argument] = STATE(7239),
    [sym_prefix_expression] = STATE(6028),
    [sym_hash_expression] = STATE(6028),
    [sym_field_get_expression] = STATE(6028),
    [sym_array_get_expression] = STATE(6028),
    [sym_string_get_expression] = STATE(6028),
    [sym_bigarray_get_expression] = STATE(6028),
    [sym_coercion_expression] = STATE(6028),
    [sym_local_open_expression] = STATE(6028),
    [sym_package_expression] = STATE(6028),
    [sym_new_expression] = STATE(6028),
    [sym_object_copy_expression] = STATE(6028),
    [sym_method_invocation] = STATE(6028),
    [sym_object_expression] = STATE(6028),
    [sym_parenthesized_expression] = STATE(6028),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(6028),
    [sym_quoted_extension] = STATE(6028),
    [sym__constant] = STATE(6028),
    [sym_number] = STATE(5999),
    [sym_character] = STATE(5999),
    [sym_string] = STATE(5999),
    [sym_quoted_string] = STATE(5999),
    [sym_boolean] = STATE(5999),
    [sym_unit] = STATE(5999),
    [sym__value_name] = STATE(6076),
    [sym_parenthesized_operator] = STATE(5929),
    [sym_value_path] = STATE(6028),
    [sym_module_path] = STATE(18469),
    [sym_constructor_path] = STATE(6028),
    [sym__constructor_name] = STATE(6002),
    [sym_tag] = STATE(6028),
    [aux_sym_class_application_repeat1] = STATE(2460),
    [sym__identifier] = ACTIONS(5087),
    [anon_sym_TILDE] = ACTIONS(5089),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_true] = ACTIONS(1403),
    [anon_sym_false] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(1407),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1411),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_to] = ACTIONS(3297),
    [anon_sym_downto] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(1421),
    [anon_sym_LBRACE_LT] = ACTIONS(1423),
    [anon_sym_begin] = ACTIONS(1425),
    [sym_ocamlyacc_value] = ACTIONS(1427),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1429),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1431),
    [aux_sym_number_token1] = ACTIONS(1433),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1437),
    [sym_prefix_operator] = ACTIONS(1439),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1443),
    [aux_sym_tag_token1] = ACTIONS(1445),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym__simple_expression] = STATE(5908),
    [sym_typed_expression] = STATE(5931),
    [sym_list_expression] = STATE(5931),
    [sym_array_expression] = STATE(5931),
    [sym_record_expression] = STATE(5931),
    [sym_labeled_argument] = STATE(7132),
    [sym_prefix_expression] = STATE(5931),
    [sym_hash_expression] = STATE(5931),
    [sym_field_get_expression] = STATE(5931),
    [sym_array_get_expression] = STATE(5931),
    [sym_string_get_expression] = STATE(5931),
    [sym_bigarray_get_expression] = STATE(5931),
    [sym_coercion_expression] = STATE(5931),
    [sym_local_open_expression] = STATE(5931),
    [sym_package_expression] = STATE(5931),
    [sym_new_expression] = STATE(5931),
    [sym_object_copy_expression] = STATE(5931),
    [sym_method_invocation] = STATE(5931),
    [sym_object_expression] = STATE(5931),
    [sym_parenthesized_expression] = STATE(5931),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(5931),
    [sym_quoted_extension] = STATE(5931),
    [sym__constant] = STATE(5931),
    [sym_number] = STATE(5916),
    [sym_character] = STATE(5916),
    [sym_string] = STATE(5916),
    [sym_quoted_string] = STATE(5916),
    [sym_boolean] = STATE(5916),
    [sym_unit] = STATE(5916),
    [sym__value_name] = STATE(5981),
    [sym_parenthesized_operator] = STATE(5909),
    [sym_value_path] = STATE(5931),
    [sym_module_path] = STATE(18352),
    [sym_constructor_path] = STATE(5931),
    [sym__constructor_name] = STATE(5917),
    [sym_tag] = STATE(5931),
    [aux_sym_class_application_repeat1] = STATE(2463),
    [sym__identifier] = ACTIONS(5639),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(5642),
    [anon_sym_QMARK] = ACTIONS(5642),
    [anon_sym_LPAREN] = ACTIONS(5645),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [anon_sym_true] = ACTIONS(5651),
    [anon_sym_false] = ACTIONS(5651),
    [anon_sym_LBRACE] = ACTIONS(5654),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(5657),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5660),
    [anon_sym_new] = ACTIONS(5663),
    [anon_sym_LBRACE_LT] = ACTIONS(5666),
    [anon_sym_begin] = ACTIONS(5669),
    [sym_ocamlyacc_value] = ACTIONS(5672),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5678),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(5681),
    [anon_sym_SQUOTE] = ACTIONS(5684),
    [anon_sym_DQUOTE] = ACTIONS(5687),
    [sym_prefix_operator] = ACTIONS(5690),
    [sym_let_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(5693),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(5696),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym_parameter] = STATE(9955),
    [sym__polymorphic_typed] = STATE(17230),
    [sym__parenthesized_abstract_type] = STATE(9955),
    [sym__simple_pattern] = STATE(10013),
    [sym_typed_pattern] = STATE(10081),
    [sym_polymorphic_variant_pattern] = STATE(10081),
    [sym_record_pattern] = STATE(10081),
    [sym_list_pattern] = STATE(10081),
    [sym_array_pattern] = STATE(10081),
    [sym_local_open_pattern] = STATE(10081),
    [sym_package_pattern] = STATE(10081),
    [sym_parenthesized_pattern] = STATE(10081),
    [sym_attribute] = STATE(2464),
    [sym_item_attribute] = STATE(10568),
    [sym_extension] = STATE(10081),
    [sym_quoted_extension] = STATE(10081),
    [sym__constant] = STATE(10019),
    [sym__signed_constant] = STATE(10081),
    [sym_number] = STATE(9958),
    [sym_signed_number] = STATE(10019),
    [sym_character] = STATE(9958),
    [sym_string] = STATE(9958),
    [sym_quoted_string] = STATE(9958),
    [sym_boolean] = STATE(9958),
    [sym_unit] = STATE(9958),
    [sym__simple_value_pattern] = STATE(10081),
    [sym_parenthesized_operator] = STATE(10081),
    [sym_module_path] = STATE(19026),
    [sym_constructor_path] = STATE(10081),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(10081),
    [aux_sym_expression_item_repeat1] = STATE(10139),
    [aux_sym_let_binding_repeat1] = STATE(4568),
    [sym__identifier] = ACTIONS(5415),
    [anon_sym_SEMI_SEMI] = ACTIONS(5417),
    [anon_sym_let] = ACTIONS(5419),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_COLON_GT] = ACTIONS(5699),
    [anon_sym_EQ] = ACTIONS(5701),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5427),
    [anon_sym_external] = ACTIONS(5419),
    [anon_sym_type] = ACTIONS(5419),
    [anon_sym_COMMA] = ACTIONS(5703),
    [anon_sym_PIPE] = ACTIONS(5705),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_RBRACK] = ACTIONS(5417),
    [anon_sym_true] = ACTIONS(5435),
    [anon_sym_false] = ACTIONS(5435),
    [anon_sym_COLON2] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5439),
    [anon_sym_exception] = ACTIONS(5419),
    [anon_sym_module] = ACTIONS(5419),
    [anon_sym_open] = ACTIONS(5419),
    [anon_sym_include] = ACTIONS(5419),
    [anon_sym_class] = ACTIONS(5419),
    [anon_sym_as] = ACTIONS(5707),
    [anon_sym_POUND] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5447),
    [anon_sym_begin] = ACTIONS(5449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5451),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5417),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5417),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5417),
    [aux_sym_number_token1] = ACTIONS(5457),
    [aux_sym_signed_number_token1] = ACTIONS(5459),
    [anon_sym_SQUOTE] = ACTIONS(5461),
    [anon_sym_DQUOTE] = ACTIONS(5463),
    [sym_let_operator] = ACTIONS(5417),
    [sym_let_and_operator] = ACTIONS(5417),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_directive_token1] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym__simple_expression] = STATE(5908),
    [sym_typed_expression] = STATE(5931),
    [sym_list_expression] = STATE(5931),
    [sym_array_expression] = STATE(5931),
    [sym_record_expression] = STATE(5931),
    [sym_labeled_argument] = STATE(7132),
    [sym_prefix_expression] = STATE(5931),
    [sym_hash_expression] = STATE(5931),
    [sym_field_get_expression] = STATE(5931),
    [sym_array_get_expression] = STATE(5931),
    [sym_string_get_expression] = STATE(5931),
    [sym_bigarray_get_expression] = STATE(5931),
    [sym_coercion_expression] = STATE(5931),
    [sym_local_open_expression] = STATE(5931),
    [sym_package_expression] = STATE(5931),
    [sym_new_expression] = STATE(5931),
    [sym_object_copy_expression] = STATE(5931),
    [sym_method_invocation] = STATE(5931),
    [sym_object_expression] = STATE(5931),
    [sym_parenthesized_expression] = STATE(5931),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(5931),
    [sym_quoted_extension] = STATE(5931),
    [sym__constant] = STATE(5931),
    [sym_number] = STATE(5916),
    [sym_character] = STATE(5916),
    [sym_string] = STATE(5916),
    [sym_quoted_string] = STATE(5916),
    [sym_boolean] = STATE(5916),
    [sym_unit] = STATE(5916),
    [sym__value_name] = STATE(5981),
    [sym_parenthesized_operator] = STATE(5909),
    [sym_value_path] = STATE(5931),
    [sym_module_path] = STATE(18352),
    [sym_constructor_path] = STATE(5931),
    [sym__constructor_name] = STATE(5917),
    [sym_tag] = STATE(5931),
    [aux_sym_class_application_repeat1] = STATE(2461),
    [sym__identifier] = ACTIONS(5595),
    [anon_sym_SEMI_SEMI] = ACTIONS(5711),
    [anon_sym_let] = ACTIONS(5713),
    [anon_sym_and] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(5601),
    [anon_sym_QMARK] = ACTIONS(5601),
    [anon_sym_LPAREN] = ACTIONS(5603),
    [anon_sym_external] = ACTIONS(5713),
    [anon_sym_type] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5605),
    [anon_sym_true] = ACTIONS(5607),
    [anon_sym_false] = ACTIONS(5607),
    [anon_sym_LBRACE] = ACTIONS(5609),
    [anon_sym_exception] = ACTIONS(5713),
    [anon_sym_module] = ACTIONS(5713),
    [anon_sym_open] = ACTIONS(5713),
    [anon_sym_include] = ACTIONS(5713),
    [anon_sym_class] = ACTIONS(5713),
    [anon_sym_end] = ACTIONS(5713),
    [anon_sym_object] = ACTIONS(5611),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5613),
    [anon_sym_new] = ACTIONS(5615),
    [anon_sym_LBRACE_LT] = ACTIONS(5617),
    [anon_sym_begin] = ACTIONS(5619),
    [sym_ocamlyacc_value] = ACTIONS(5621),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5713),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5625),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5711),
    [aux_sym_number_token1] = ACTIONS(5627),
    [anon_sym_SQUOTE] = ACTIONS(5629),
    [anon_sym_DQUOTE] = ACTIONS(5631),
    [sym_prefix_operator] = ACTIONS(5633),
    [sym_let_operator] = ACTIONS(5711),
    [sym__capitalized_identifier] = ACTIONS(5635),
    [aux_sym_directive_token1] = ACTIONS(5711),
    [aux_sym_tag_token1] = ACTIONS(5637),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym_parameter] = STATE(9955),
    [sym__polymorphic_typed] = STATE(16292),
    [sym__parenthesized_abstract_type] = STATE(9955),
    [sym__simple_pattern] = STATE(10013),
    [sym_typed_pattern] = STATE(10081),
    [sym_polymorphic_variant_pattern] = STATE(10081),
    [sym_record_pattern] = STATE(10081),
    [sym_list_pattern] = STATE(10081),
    [sym_array_pattern] = STATE(10081),
    [sym_local_open_pattern] = STATE(10081),
    [sym_package_pattern] = STATE(10081),
    [sym_parenthesized_pattern] = STATE(10081),
    [sym_attribute] = STATE(2466),
    [sym_item_attribute] = STATE(10568),
    [sym_extension] = STATE(10081),
    [sym_quoted_extension] = STATE(10081),
    [sym__constant] = STATE(10019),
    [sym__signed_constant] = STATE(10081),
    [sym_number] = STATE(9958),
    [sym_signed_number] = STATE(10019),
    [sym_character] = STATE(9958),
    [sym_string] = STATE(9958),
    [sym_quoted_string] = STATE(9958),
    [sym_boolean] = STATE(9958),
    [sym_unit] = STATE(9958),
    [sym__simple_value_pattern] = STATE(10081),
    [sym_parenthesized_operator] = STATE(10081),
    [sym_module_path] = STATE(19026),
    [sym_constructor_path] = STATE(10081),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(10081),
    [aux_sym_expression_item_repeat1] = STATE(10139),
    [aux_sym_let_binding_repeat1] = STATE(4573),
    [sym__identifier] = ACTIONS(5415),
    [anon_sym_SEMI_SEMI] = ACTIONS(5417),
    [anon_sym_let] = ACTIONS(5419),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_COLON_GT] = ACTIONS(5715),
    [anon_sym_EQ] = ACTIONS(5717),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5427),
    [anon_sym_external] = ACTIONS(5419),
    [anon_sym_type] = ACTIONS(5419),
    [anon_sym_COMMA] = ACTIONS(5719),
    [anon_sym_PIPE] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_true] = ACTIONS(5435),
    [anon_sym_false] = ACTIONS(5435),
    [anon_sym_COLON2] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5439),
    [anon_sym_exception] = ACTIONS(5419),
    [anon_sym_module] = ACTIONS(5419),
    [anon_sym_open] = ACTIONS(5419),
    [anon_sym_include] = ACTIONS(5419),
    [anon_sym_class] = ACTIONS(5419),
    [anon_sym_end] = ACTIONS(5419),
    [anon_sym_as] = ACTIONS(5723),
    [anon_sym_POUND] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(5725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5447),
    [anon_sym_begin] = ACTIONS(5449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5451),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5417),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5417),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5417),
    [aux_sym_number_token1] = ACTIONS(5457),
    [aux_sym_signed_number_token1] = ACTIONS(5459),
    [anon_sym_SQUOTE] = ACTIONS(5461),
    [anon_sym_DQUOTE] = ACTIONS(5463),
    [sym_let_operator] = ACTIONS(5417),
    [sym_let_and_operator] = ACTIONS(5417),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_directive_token1] = ACTIONS(5419),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym__simple_expression] = STATE(5912),
    [sym_typed_expression] = STATE(5795),
    [sym_list_expression] = STATE(5795),
    [sym_array_expression] = STATE(5795),
    [sym_record_expression] = STATE(5795),
    [sym_labeled_argument] = STATE(7171),
    [sym_prefix_expression] = STATE(5795),
    [sym_hash_expression] = STATE(5795),
    [sym_field_get_expression] = STATE(5795),
    [sym_array_get_expression] = STATE(5795),
    [sym_string_get_expression] = STATE(5795),
    [sym_bigarray_get_expression] = STATE(5795),
    [sym_coercion_expression] = STATE(5795),
    [sym_local_open_expression] = STATE(5795),
    [sym_package_expression] = STATE(5795),
    [sym_new_expression] = STATE(5795),
    [sym_object_copy_expression] = STATE(5795),
    [sym_method_invocation] = STATE(5795),
    [sym_object_expression] = STATE(5795),
    [sym_parenthesized_expression] = STATE(5795),
    [sym_attribute] = STATE(2467),
    [sym_extension] = STATE(5795),
    [sym_quoted_extension] = STATE(5795),
    [sym__constant] = STATE(5795),
    [sym_number] = STATE(5980),
    [sym_character] = STATE(5980),
    [sym_string] = STATE(5980),
    [sym_quoted_string] = STATE(5980),
    [sym_boolean] = STATE(5980),
    [sym_unit] = STATE(5980),
    [sym__value_name] = STATE(5838),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5795),
    [sym_module_path] = STATE(17704),
    [sym_constructor_path] = STATE(5795),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5795),
    [aux_sym_class_application_repeat1] = STATE(2467),
    [sym__identifier] = ACTIONS(5727),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(5730),
    [anon_sym_QMARK] = ACTIONS(5730),
    [anon_sym_LPAREN] = ACTIONS(5733),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(5739),
    [anon_sym_false] = ACTIONS(5739),
    [anon_sym_LBRACE] = ACTIONS(5742),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(5745),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5748),
    [anon_sym_new] = ACTIONS(5751),
    [anon_sym_LBRACE_LT] = ACTIONS(5754),
    [anon_sym_begin] = ACTIONS(5757),
    [sym_ocamlyacc_value] = ACTIONS(5760),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5763),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5766),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(5769),
    [anon_sym_SQUOTE] = ACTIONS(5772),
    [anon_sym_DQUOTE] = ACTIONS(5775),
    [sym_prefix_operator] = ACTIONS(5778),
    [sym_let_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(5781),
    [aux_sym_directive_token1] = ACTIONS(3356),
    [aux_sym_tag_token1] = ACTIONS(5784),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym__simple_expression] = STATE(5912),
    [sym_typed_expression] = STATE(5795),
    [sym_list_expression] = STATE(5795),
    [sym_array_expression] = STATE(5795),
    [sym_record_expression] = STATE(5795),
    [sym_labeled_argument] = STATE(7171),
    [sym_prefix_expression] = STATE(5795),
    [sym_hash_expression] = STATE(5795),
    [sym_field_get_expression] = STATE(5795),
    [sym_array_get_expression] = STATE(5795),
    [sym_string_get_expression] = STATE(5795),
    [sym_bigarray_get_expression] = STATE(5795),
    [sym_coercion_expression] = STATE(5795),
    [sym_local_open_expression] = STATE(5795),
    [sym_package_expression] = STATE(5795),
    [sym_new_expression] = STATE(5795),
    [sym_object_copy_expression] = STATE(5795),
    [sym_method_invocation] = STATE(5795),
    [sym_object_expression] = STATE(5795),
    [sym_parenthesized_expression] = STATE(5795),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(5795),
    [sym_quoted_extension] = STATE(5795),
    [sym__constant] = STATE(5795),
    [sym_number] = STATE(5980),
    [sym_character] = STATE(5980),
    [sym_string] = STATE(5980),
    [sym_quoted_string] = STATE(5980),
    [sym_boolean] = STATE(5980),
    [sym_unit] = STATE(5980),
    [sym__value_name] = STATE(5838),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5795),
    [sym_module_path] = STATE(17704),
    [sym_constructor_path] = STATE(5795),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5795),
    [aux_sym_class_application_repeat1] = STATE(2467),
    [sym__identifier] = ACTIONS(5787),
    [anon_sym_SEMI_SEMI] = ACTIONS(5597),
    [anon_sym_let] = ACTIONS(5599),
    [anon_sym_and] = ACTIONS(5599),
    [anon_sym_TILDE] = ACTIONS(5789),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_LPAREN] = ACTIONS(5791),
    [anon_sym_external] = ACTIONS(5599),
    [anon_sym_type] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(5793),
    [anon_sym_RBRACK] = ACTIONS(5597),
    [anon_sym_true] = ACTIONS(5795),
    [anon_sym_false] = ACTIONS(5795),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_exception] = ACTIONS(5599),
    [anon_sym_module] = ACTIONS(5599),
    [anon_sym_open] = ACTIONS(5599),
    [anon_sym_include] = ACTIONS(5599),
    [anon_sym_class] = ACTIONS(5599),
    [anon_sym_object] = ACTIONS(5799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5801),
    [anon_sym_new] = ACTIONS(5803),
    [anon_sym_LBRACE_LT] = ACTIONS(5805),
    [anon_sym_begin] = ACTIONS(5807),
    [sym_ocamlyacc_value] = ACTIONS(5809),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5599),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5597),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5811),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5813),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5597),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5597),
    [aux_sym_number_token1] = ACTIONS(5815),
    [anon_sym_SQUOTE] = ACTIONS(5817),
    [anon_sym_DQUOTE] = ACTIONS(5819),
    [sym_prefix_operator] = ACTIONS(5821),
    [sym_let_operator] = ACTIONS(5597),
    [sym__capitalized_identifier] = ACTIONS(5823),
    [aux_sym_directive_token1] = ACTIONS(5597),
    [aux_sym_tag_token1] = ACTIONS(5825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym__simple_expression] = STATE(5912),
    [sym_typed_expression] = STATE(5795),
    [sym_list_expression] = STATE(5795),
    [sym_array_expression] = STATE(5795),
    [sym_record_expression] = STATE(5795),
    [sym_labeled_argument] = STATE(7171),
    [sym_prefix_expression] = STATE(5795),
    [sym_hash_expression] = STATE(5795),
    [sym_field_get_expression] = STATE(5795),
    [sym_array_get_expression] = STATE(5795),
    [sym_string_get_expression] = STATE(5795),
    [sym_bigarray_get_expression] = STATE(5795),
    [sym_coercion_expression] = STATE(5795),
    [sym_local_open_expression] = STATE(5795),
    [sym_package_expression] = STATE(5795),
    [sym_new_expression] = STATE(5795),
    [sym_object_copy_expression] = STATE(5795),
    [sym_method_invocation] = STATE(5795),
    [sym_object_expression] = STATE(5795),
    [sym_parenthesized_expression] = STATE(5795),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(5795),
    [sym_quoted_extension] = STATE(5795),
    [sym__constant] = STATE(5795),
    [sym_number] = STATE(5980),
    [sym_character] = STATE(5980),
    [sym_string] = STATE(5980),
    [sym_quoted_string] = STATE(5980),
    [sym_boolean] = STATE(5980),
    [sym_unit] = STATE(5980),
    [sym__value_name] = STATE(5838),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5795),
    [sym_module_path] = STATE(17704),
    [sym_constructor_path] = STATE(5795),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5795),
    [aux_sym_class_application_repeat1] = STATE(2468),
    [sym__identifier] = ACTIONS(5787),
    [anon_sym_SEMI_SEMI] = ACTIONS(5711),
    [anon_sym_let] = ACTIONS(5713),
    [anon_sym_and] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(5789),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_LPAREN] = ACTIONS(5791),
    [anon_sym_external] = ACTIONS(5713),
    [anon_sym_type] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5793),
    [anon_sym_RBRACK] = ACTIONS(5711),
    [anon_sym_true] = ACTIONS(5795),
    [anon_sym_false] = ACTIONS(5795),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_exception] = ACTIONS(5713),
    [anon_sym_module] = ACTIONS(5713),
    [anon_sym_open] = ACTIONS(5713),
    [anon_sym_include] = ACTIONS(5713),
    [anon_sym_class] = ACTIONS(5713),
    [anon_sym_object] = ACTIONS(5799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5801),
    [anon_sym_new] = ACTIONS(5803),
    [anon_sym_LBRACE_LT] = ACTIONS(5805),
    [anon_sym_begin] = ACTIONS(5807),
    [sym_ocamlyacc_value] = ACTIONS(5809),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5713),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5811),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5813),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5711),
    [aux_sym_number_token1] = ACTIONS(5815),
    [anon_sym_SQUOTE] = ACTIONS(5817),
    [anon_sym_DQUOTE] = ACTIONS(5819),
    [sym_prefix_operator] = ACTIONS(5821),
    [sym_let_operator] = ACTIONS(5711),
    [sym__capitalized_identifier] = ACTIONS(5823),
    [aux_sym_directive_token1] = ACTIONS(5711),
    [aux_sym_tag_token1] = ACTIONS(5825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym__simple_expression] = STATE(6109),
    [sym_typed_expression] = STATE(6495),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_labeled_argument] = STATE(7347),
    [sym_prefix_expression] = STATE(6495),
    [sym_hash_expression] = STATE(6495),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_coercion_expression] = STATE(6495),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [aux_sym_class_application_repeat1] = STATE(2470),
    [sym__identifier] = ACTIONS(5827),
    [anon_sym_TILDE] = ACTIONS(5830),
    [anon_sym_QMARK] = ACTIONS(5830),
    [anon_sym_LPAREN] = ACTIONS(5833),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(5836),
    [anon_sym_true] = ACTIONS(5839),
    [anon_sym_false] = ACTIONS(5839),
    [anon_sym_LBRACE] = ACTIONS(5842),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(5845),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5848),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(5851),
    [anon_sym_LBRACE_LT] = ACTIONS(5854),
    [anon_sym_begin] = ACTIONS(5857),
    [sym_ocamlyacc_value] = ACTIONS(5860),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5863),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5866),
    [aux_sym_number_token1] = ACTIONS(5869),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(5872),
    [anon_sym_DQUOTE] = ACTIONS(5875),
    [sym_prefix_operator] = ACTIONS(5878),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(5881),
    [aux_sym_tag_token1] = ACTIONS(5884),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym__simple_expression] = STATE(6418),
    [sym_typed_expression] = STATE(6398),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_labeled_argument] = STATE(7359),
    [sym_prefix_expression] = STATE(6398),
    [sym_hash_expression] = STATE(6398),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_coercion_expression] = STATE(6398),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(2471),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [aux_sym_class_application_repeat1] = STATE(2472),
    [sym__identifier] = ACTIONS(5181),
    [anon_sym_TILDE] = ACTIONS(5183),
    [anon_sym_QMARK] = ACTIONS(5183),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_true] = ACTIONS(1589),
    [anon_sym_false] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(1593),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1597),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_done] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACE_LT] = ACTIONS(1609),
    [anon_sym_begin] = ACTIONS(1611),
    [sym_ocamlyacc_value] = ACTIONS(1613),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1617),
    [aux_sym_number_token1] = ACTIONS(1619),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1623),
    [sym_prefix_operator] = ACTIONS(1625),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(1629),
    [aux_sym_tag_token1] = ACTIONS(1631),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym__simple_expression] = STATE(6418),
    [sym_typed_expression] = STATE(6398),
    [sym_list_expression] = STATE(6398),
    [sym_array_expression] = STATE(6398),
    [sym_record_expression] = STATE(6398),
    [sym_labeled_argument] = STATE(7359),
    [sym_prefix_expression] = STATE(6398),
    [sym_hash_expression] = STATE(6398),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_coercion_expression] = STATE(6398),
    [sym_local_open_expression] = STATE(6398),
    [sym_package_expression] = STATE(6398),
    [sym_new_expression] = STATE(6398),
    [sym_object_copy_expression] = STATE(6398),
    [sym_method_invocation] = STATE(6398),
    [sym_object_expression] = STATE(6398),
    [sym_parenthesized_expression] = STATE(6398),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(6398),
    [sym_quoted_extension] = STATE(6398),
    [sym__constant] = STATE(6398),
    [sym_number] = STATE(6371),
    [sym_character] = STATE(6371),
    [sym_string] = STATE(6371),
    [sym_quoted_string] = STATE(6371),
    [sym_boolean] = STATE(6371),
    [sym_unit] = STATE(6371),
    [sym__value_name] = STATE(6476),
    [sym_parenthesized_operator] = STATE(6305),
    [sym_value_path] = STATE(6398),
    [sym_module_path] = STATE(18430),
    [sym_constructor_path] = STATE(6398),
    [sym__constructor_name] = STATE(6373),
    [sym_tag] = STATE(6398),
    [aux_sym_class_application_repeat1] = STATE(2472),
    [sym__identifier] = ACTIONS(5887),
    [anon_sym_TILDE] = ACTIONS(5890),
    [anon_sym_QMARK] = ACTIONS(5890),
    [anon_sym_LPAREN] = ACTIONS(5893),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_true] = ACTIONS(5899),
    [anon_sym_false] = ACTIONS(5899),
    [anon_sym_LBRACE] = ACTIONS(5902),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(5905),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5908),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_done] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(5911),
    [anon_sym_LBRACE_LT] = ACTIONS(5914),
    [anon_sym_begin] = ACTIONS(5917),
    [sym_ocamlyacc_value] = ACTIONS(5920),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5923),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5926),
    [aux_sym_number_token1] = ACTIONS(5929),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(5932),
    [anon_sym_DQUOTE] = ACTIONS(5935),
    [sym_prefix_operator] = ACTIONS(5938),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(5941),
    [aux_sym_tag_token1] = ACTIONS(5944),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym__simple_expression] = STATE(6507),
    [sym_typed_expression] = STATE(6362),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_labeled_argument] = STATE(7560),
    [sym_prefix_expression] = STATE(6362),
    [sym_hash_expression] = STATE(6362),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_coercion_expression] = STATE(6362),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [aux_sym_class_application_repeat1] = STATE(2488),
    [sym__identifier] = ACTIONS(5131),
    [anon_sym_TILDE] = ACTIONS(5133),
    [anon_sym_QMARK] = ACTIONS(5133),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(2093),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2097),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(2107),
    [anon_sym_LBRACE_LT] = ACTIONS(2109),
    [anon_sym_begin] = ACTIONS(2111),
    [sym_ocamlyacc_value] = ACTIONS(2113),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2115),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2117),
    [aux_sym_number_token1] = ACTIONS(2119),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [sym_prefix_operator] = ACTIONS(2125),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2129),
    [aux_sym_tag_token1] = ACTIONS(2131),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13297),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(17460),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5519),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5523),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5523),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5523),
    [sym_let_and_operator] = ACTIONS(5523),
    [sym_match_operator] = ACTIONS(5523),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13215),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(19579),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5529),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5531),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5533),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5533),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5533),
    [sym_let_and_operator] = ACTIONS(5533),
    [sym_match_operator] = ACTIONS(5533),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym__simple_expression] = STATE(6393),
    [sym_typed_expression] = STATE(6302),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_labeled_argument] = STATE(7447),
    [sym_prefix_expression] = STATE(6302),
    [sym_hash_expression] = STATE(6302),
    [sym_field_get_expression] = STATE(6302),
    [sym_array_get_expression] = STATE(6302),
    [sym_string_get_expression] = STATE(6302),
    [sym_bigarray_get_expression] = STATE(6302),
    [sym_coercion_expression] = STATE(6302),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [aux_sym_class_application_repeat1] = STATE(2487),
    [sym__identifier] = ACTIONS(5141),
    [anon_sym_TILDE] = ACTIONS(5143),
    [anon_sym_QMARK] = ACTIONS(5143),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2019),
    [anon_sym_false] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(2023),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2027),
    [anon_sym_then] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_LBRACE_LT] = ACTIONS(2039),
    [anon_sym_begin] = ACTIONS(2041),
    [sym_ocamlyacc_value] = ACTIONS(2043),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2047),
    [aux_sym_number_token1] = ACTIONS(2049),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2053),
    [sym_prefix_operator] = ACTIONS(2055),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2059),
    [aux_sym_tag_token1] = ACTIONS(2061),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13213),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2477),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(18000),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5329),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5333),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5333),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5333),
    [sym_let_and_operator] = ACTIONS(5333),
    [sym_match_operator] = ACTIONS(5333),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym__simple_expression] = STATE(6109),
    [sym_typed_expression] = STATE(6495),
    [sym_list_expression] = STATE(6495),
    [sym_array_expression] = STATE(6495),
    [sym_record_expression] = STATE(6495),
    [sym_labeled_argument] = STATE(7347),
    [sym_prefix_expression] = STATE(6495),
    [sym_hash_expression] = STATE(6495),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_coercion_expression] = STATE(6495),
    [sym_local_open_expression] = STATE(6495),
    [sym_package_expression] = STATE(6495),
    [sym_new_expression] = STATE(6495),
    [sym_object_copy_expression] = STATE(6495),
    [sym_method_invocation] = STATE(6495),
    [sym_object_expression] = STATE(6495),
    [sym_parenthesized_expression] = STATE(6495),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(6495),
    [sym_quoted_extension] = STATE(6495),
    [sym__constant] = STATE(6495),
    [sym_number] = STATE(6248),
    [sym_character] = STATE(6248),
    [sym_string] = STATE(6248),
    [sym_quoted_string] = STATE(6248),
    [sym_boolean] = STATE(6248),
    [sym_unit] = STATE(6248),
    [sym__value_name] = STATE(6100),
    [sym_parenthesized_operator] = STATE(6236),
    [sym_value_path] = STATE(6495),
    [sym_module_path] = STATE(17944),
    [sym_constructor_path] = STATE(6495),
    [sym__constructor_name] = STATE(6284),
    [sym_tag] = STATE(6495),
    [aux_sym_class_application_repeat1] = STATE(2470),
    [sym__identifier] = ACTIONS(5151),
    [anon_sym_TILDE] = ACTIONS(5153),
    [anon_sym_QMARK] = ACTIONS(5153),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(2163),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_LBRACE_LT] = ACTIONS(2179),
    [anon_sym_begin] = ACTIONS(2181),
    [sym_ocamlyacc_value] = ACTIONS(2183),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2185),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2187),
    [aux_sym_number_token1] = ACTIONS(2189),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2193),
    [sym_prefix_operator] = ACTIONS(2195),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2199),
    [aux_sym_tag_token1] = ACTIONS(2201),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym__simple_expression] = STATE(6287),
    [sym_typed_expression] = STATE(6270),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_labeled_argument] = STATE(7404),
    [sym_prefix_expression] = STATE(6270),
    [sym_hash_expression] = STATE(6270),
    [sym_field_get_expression] = STATE(6270),
    [sym_array_get_expression] = STATE(6270),
    [sym_string_get_expression] = STATE(6270),
    [sym_bigarray_get_expression] = STATE(6270),
    [sym_coercion_expression] = STATE(6270),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [aux_sym_class_application_repeat1] = STATE(2486),
    [sym__identifier] = ACTIONS(5171),
    [anon_sym_TILDE] = ACTIONS(5173),
    [anon_sym_QMARK] = ACTIONS(5173),
    [anon_sym_LPAREN] = ACTIONS(2385),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_true] = ACTIONS(2389),
    [anon_sym_false] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(2393),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2397),
    [anon_sym_to] = ACTIONS(3297),
    [anon_sym_downto] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(2407),
    [anon_sym_LBRACE_LT] = ACTIONS(2409),
    [anon_sym_begin] = ACTIONS(2411),
    [sym_ocamlyacc_value] = ACTIONS(2413),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2415),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2417),
    [aux_sym_number_token1] = ACTIONS(2419),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2421),
    [anon_sym_DQUOTE] = ACTIONS(2423),
    [sym_prefix_operator] = ACTIONS(2425),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2429),
    [aux_sym_tag_token1] = ACTIONS(2431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13241),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(17853),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5507),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5509),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5513),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5513),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5513),
    [sym_let_and_operator] = ACTIONS(5513),
    [sym_match_operator] = ACTIONS(5513),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13455),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(20163),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5469),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5471),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(2335),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2335),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2335),
    [sym_let_and_operator] = ACTIONS(2335),
    [sym_match_operator] = ACTIONS(2335),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym__simple_expression] = STATE(6164),
    [sym_typed_expression] = STATE(6099),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_labeled_argument] = STATE(7526),
    [sym_prefix_expression] = STATE(6099),
    [sym_hash_expression] = STATE(6099),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_coercion_expression] = STATE(6099),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [aux_sym_class_application_repeat1] = STATE(2485),
    [sym__identifier] = ACTIONS(5161),
    [anon_sym_TILDE] = ACTIONS(5163),
    [anon_sym_QMARK] = ACTIONS(5163),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(2233),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2237),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(2247),
    [anon_sym_LBRACE_LT] = ACTIONS(2249),
    [anon_sym_begin] = ACTIONS(2251),
    [sym_ocamlyacc_value] = ACTIONS(2253),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2257),
    [aux_sym_number_token1] = ACTIONS(2259),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2261),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [sym_prefix_operator] = ACTIONS(2265),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2269),
    [aux_sym_tag_token1] = ACTIONS(2271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13204),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(18923),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5317),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5319),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5321),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5323),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5323),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5323),
    [sym_let_and_operator] = ACTIONS(5323),
    [sym_match_operator] = ACTIONS(5323),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13207),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(18624),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5275),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5283),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5289),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5309),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5309),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5309),
    [sym_let_and_operator] = ACTIONS(5309),
    [sym_match_operator] = ACTIONS(5309),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym__simple_expression] = STATE(6164),
    [sym_typed_expression] = STATE(6099),
    [sym_list_expression] = STATE(6099),
    [sym_array_expression] = STATE(6099),
    [sym_record_expression] = STATE(6099),
    [sym_labeled_argument] = STATE(7526),
    [sym_prefix_expression] = STATE(6099),
    [sym_hash_expression] = STATE(6099),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_coercion_expression] = STATE(6099),
    [sym_local_open_expression] = STATE(6099),
    [sym_package_expression] = STATE(6099),
    [sym_new_expression] = STATE(6099),
    [sym_object_copy_expression] = STATE(6099),
    [sym_method_invocation] = STATE(6099),
    [sym_object_expression] = STATE(6099),
    [sym_parenthesized_expression] = STATE(6099),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(6099),
    [sym_quoted_extension] = STATE(6099),
    [sym__constant] = STATE(6099),
    [sym_number] = STATE(6528),
    [sym_character] = STATE(6528),
    [sym_string] = STATE(6528),
    [sym_quoted_string] = STATE(6528),
    [sym_boolean] = STATE(6528),
    [sym_unit] = STATE(6528),
    [sym__value_name] = STATE(6160),
    [sym_parenthesized_operator] = STATE(6246),
    [sym_value_path] = STATE(6099),
    [sym_module_path] = STATE(17985),
    [sym_constructor_path] = STATE(6099),
    [sym__constructor_name] = STATE(6541),
    [sym_tag] = STATE(6099),
    [aux_sym_class_application_repeat1] = STATE(2485),
    [sym__identifier] = ACTIONS(5947),
    [anon_sym_TILDE] = ACTIONS(5950),
    [anon_sym_QMARK] = ACTIONS(5950),
    [anon_sym_LPAREN] = ACTIONS(5953),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(5956),
    [anon_sym_true] = ACTIONS(5959),
    [anon_sym_false] = ACTIONS(5959),
    [anon_sym_LBRACE] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5968),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(5971),
    [anon_sym_LBRACE_LT] = ACTIONS(5974),
    [anon_sym_begin] = ACTIONS(5977),
    [sym_ocamlyacc_value] = ACTIONS(5980),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5983),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5986),
    [aux_sym_number_token1] = ACTIONS(5989),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(5992),
    [anon_sym_DQUOTE] = ACTIONS(5995),
    [sym_prefix_operator] = ACTIONS(5998),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6001),
    [aux_sym_tag_token1] = ACTIONS(6004),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym__simple_expression] = STATE(6287),
    [sym_typed_expression] = STATE(6270),
    [sym_list_expression] = STATE(6270),
    [sym_array_expression] = STATE(6270),
    [sym_record_expression] = STATE(6270),
    [sym_labeled_argument] = STATE(7404),
    [sym_prefix_expression] = STATE(6270),
    [sym_hash_expression] = STATE(6270),
    [sym_field_get_expression] = STATE(6270),
    [sym_array_get_expression] = STATE(6270),
    [sym_string_get_expression] = STATE(6270),
    [sym_bigarray_get_expression] = STATE(6270),
    [sym_coercion_expression] = STATE(6270),
    [sym_local_open_expression] = STATE(6270),
    [sym_package_expression] = STATE(6270),
    [sym_new_expression] = STATE(6270),
    [sym_object_copy_expression] = STATE(6270),
    [sym_method_invocation] = STATE(6270),
    [sym_object_expression] = STATE(6270),
    [sym_parenthesized_expression] = STATE(6270),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(6270),
    [sym_quoted_extension] = STATE(6270),
    [sym__constant] = STATE(6270),
    [sym_number] = STATE(6201),
    [sym_character] = STATE(6201),
    [sym_string] = STATE(6201),
    [sym_quoted_string] = STATE(6201),
    [sym_boolean] = STATE(6201),
    [sym_unit] = STATE(6201),
    [sym__value_name] = STATE(6283),
    [sym_parenthesized_operator] = STATE(6291),
    [sym_value_path] = STATE(6270),
    [sym_module_path] = STATE(17484),
    [sym_constructor_path] = STATE(6270),
    [sym__constructor_name] = STATE(6203),
    [sym_tag] = STATE(6270),
    [aux_sym_class_application_repeat1] = STATE(2486),
    [sym__identifier] = ACTIONS(6007),
    [anon_sym_TILDE] = ACTIONS(6010),
    [anon_sym_QMARK] = ACTIONS(6010),
    [anon_sym_LPAREN] = ACTIONS(6013),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6016),
    [anon_sym_true] = ACTIONS(6019),
    [anon_sym_false] = ACTIONS(6019),
    [anon_sym_LBRACE] = ACTIONS(6022),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(6025),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6028),
    [anon_sym_to] = ACTIONS(3358),
    [anon_sym_downto] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(6031),
    [anon_sym_LBRACE_LT] = ACTIONS(6034),
    [anon_sym_begin] = ACTIONS(6037),
    [sym_ocamlyacc_value] = ACTIONS(6040),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6046),
    [aux_sym_number_token1] = ACTIONS(6049),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(6052),
    [anon_sym_DQUOTE] = ACTIONS(6055),
    [sym_prefix_operator] = ACTIONS(6058),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6061),
    [aux_sym_tag_token1] = ACTIONS(6064),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym__simple_expression] = STATE(6393),
    [sym_typed_expression] = STATE(6302),
    [sym_list_expression] = STATE(6302),
    [sym_array_expression] = STATE(6302),
    [sym_record_expression] = STATE(6302),
    [sym_labeled_argument] = STATE(7447),
    [sym_prefix_expression] = STATE(6302),
    [sym_hash_expression] = STATE(6302),
    [sym_field_get_expression] = STATE(6302),
    [sym_array_get_expression] = STATE(6302),
    [sym_string_get_expression] = STATE(6302),
    [sym_bigarray_get_expression] = STATE(6302),
    [sym_coercion_expression] = STATE(6302),
    [sym_local_open_expression] = STATE(6302),
    [sym_package_expression] = STATE(6302),
    [sym_new_expression] = STATE(6302),
    [sym_object_copy_expression] = STATE(6302),
    [sym_method_invocation] = STATE(6302),
    [sym_object_expression] = STATE(6302),
    [sym_parenthesized_expression] = STATE(6302),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(6302),
    [sym_quoted_extension] = STATE(6302),
    [sym__constant] = STATE(6302),
    [sym_number] = STATE(6474),
    [sym_character] = STATE(6474),
    [sym_string] = STATE(6474),
    [sym_quoted_string] = STATE(6474),
    [sym_boolean] = STATE(6474),
    [sym_unit] = STATE(6474),
    [sym__value_name] = STATE(6365),
    [sym_parenthesized_operator] = STATE(6183),
    [sym_value_path] = STATE(6302),
    [sym_module_path] = STATE(17814),
    [sym_constructor_path] = STATE(6302),
    [sym__constructor_name] = STATE(6477),
    [sym_tag] = STATE(6302),
    [aux_sym_class_application_repeat1] = STATE(2487),
    [sym__identifier] = ACTIONS(6067),
    [anon_sym_TILDE] = ACTIONS(6070),
    [anon_sym_QMARK] = ACTIONS(6070),
    [anon_sym_LPAREN] = ACTIONS(6073),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6076),
    [anon_sym_true] = ACTIONS(6079),
    [anon_sym_false] = ACTIONS(6079),
    [anon_sym_LBRACE] = ACTIONS(6082),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(6085),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6088),
    [anon_sym_then] = ACTIONS(3358),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(6091),
    [anon_sym_LBRACE_LT] = ACTIONS(6094),
    [anon_sym_begin] = ACTIONS(6097),
    [sym_ocamlyacc_value] = ACTIONS(6100),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6103),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6106),
    [aux_sym_number_token1] = ACTIONS(6109),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(6112),
    [anon_sym_DQUOTE] = ACTIONS(6115),
    [sym_prefix_operator] = ACTIONS(6118),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6121),
    [aux_sym_tag_token1] = ACTIONS(6124),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym__simple_expression] = STATE(6507),
    [sym_typed_expression] = STATE(6362),
    [sym_list_expression] = STATE(6362),
    [sym_array_expression] = STATE(6362),
    [sym_record_expression] = STATE(6362),
    [sym_labeled_argument] = STATE(7560),
    [sym_prefix_expression] = STATE(6362),
    [sym_hash_expression] = STATE(6362),
    [sym_field_get_expression] = STATE(6362),
    [sym_array_get_expression] = STATE(6362),
    [sym_string_get_expression] = STATE(6362),
    [sym_bigarray_get_expression] = STATE(6362),
    [sym_coercion_expression] = STATE(6362),
    [sym_local_open_expression] = STATE(6362),
    [sym_package_expression] = STATE(6362),
    [sym_new_expression] = STATE(6362),
    [sym_object_copy_expression] = STATE(6362),
    [sym_method_invocation] = STATE(6362),
    [sym_object_expression] = STATE(6362),
    [sym_parenthesized_expression] = STATE(6362),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(6362),
    [sym_quoted_extension] = STATE(6362),
    [sym__constant] = STATE(6362),
    [sym_number] = STATE(6551),
    [sym_character] = STATE(6551),
    [sym_string] = STATE(6551),
    [sym_quoted_string] = STATE(6551),
    [sym_boolean] = STATE(6551),
    [sym_unit] = STATE(6551),
    [sym__value_name] = STATE(6496),
    [sym_parenthesized_operator] = STATE(6202),
    [sym_value_path] = STATE(6362),
    [sym_module_path] = STATE(17862),
    [sym_constructor_path] = STATE(6362),
    [sym__constructor_name] = STATE(6553),
    [sym_tag] = STATE(6362),
    [aux_sym_class_application_repeat1] = STATE(2488),
    [sym__identifier] = ACTIONS(6127),
    [anon_sym_TILDE] = ACTIONS(6130),
    [anon_sym_QMARK] = ACTIONS(6130),
    [anon_sym_LPAREN] = ACTIONS(6133),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6136),
    [anon_sym_true] = ACTIONS(6139),
    [anon_sym_false] = ACTIONS(6139),
    [anon_sym_LBRACE] = ACTIONS(6142),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(6145),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6148),
    [anon_sym_else] = ACTIONS(3358),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(6151),
    [anon_sym_LBRACE_LT] = ACTIONS(6154),
    [anon_sym_begin] = ACTIONS(6157),
    [sym_ocamlyacc_value] = ACTIONS(6160),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6166),
    [aux_sym_number_token1] = ACTIONS(6169),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(6172),
    [anon_sym_DQUOTE] = ACTIONS(6175),
    [sym_prefix_operator] = ACTIONS(6178),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6181),
    [aux_sym_tag_token1] = ACTIONS(6184),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(13222),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(19789),
    [sym_add_operator] = STATE(18793),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(5485),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5487),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_module] = ACTIONS(5489),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5493),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5493),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5493),
    [sym_let_and_operator] = ACTIONS(5493),
    [sym_match_operator] = ACTIONS(5493),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym__simple_expression] = STATE(6963),
    [sym_typed_expression] = STATE(6624),
    [sym_list_expression] = STATE(6624),
    [sym_array_expression] = STATE(6624),
    [sym_record_expression] = STATE(6624),
    [sym_labeled_argument] = STATE(7585),
    [sym_prefix_expression] = STATE(6624),
    [sym_hash_expression] = STATE(6624),
    [sym_field_get_expression] = STATE(6624),
    [sym_array_get_expression] = STATE(6624),
    [sym_string_get_expression] = STATE(6624),
    [sym_bigarray_get_expression] = STATE(6624),
    [sym_coercion_expression] = STATE(6624),
    [sym_local_open_expression] = STATE(6624),
    [sym_package_expression] = STATE(6624),
    [sym_new_expression] = STATE(6624),
    [sym_object_copy_expression] = STATE(6624),
    [sym_method_invocation] = STATE(6624),
    [sym_object_expression] = STATE(6624),
    [sym_parenthesized_expression] = STATE(6624),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(6624),
    [sym_quoted_extension] = STATE(6624),
    [sym__constant] = STATE(6624),
    [sym_number] = STATE(7047),
    [sym_character] = STATE(7047),
    [sym_string] = STATE(7047),
    [sym_quoted_string] = STATE(7047),
    [sym_boolean] = STATE(7047),
    [sym_unit] = STATE(7047),
    [sym__value_name] = STATE(6695),
    [sym_parenthesized_operator] = STATE(6965),
    [sym_value_path] = STATE(6624),
    [sym_module_path] = STATE(18272),
    [sym_constructor_path] = STATE(6624),
    [sym__constructor_name] = STATE(7073),
    [sym_tag] = STATE(6624),
    [aux_sym_class_application_repeat1] = STATE(2502),
    [sym__identifier] = ACTIONS(6187),
    [anon_sym_SEMI_SEMI] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(6189),
    [anon_sym_QMARK] = ACTIONS(6189),
    [anon_sym_LPAREN] = ACTIONS(6191),
    [anon_sym_external] = ACTIONS(5713),
    [anon_sym_type] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(6193),
    [anon_sym_true] = ACTIONS(6195),
    [anon_sym_false] = ACTIONS(6195),
    [anon_sym_LBRACE] = ACTIONS(6197),
    [anon_sym_exception] = ACTIONS(5713),
    [anon_sym_module] = ACTIONS(5713),
    [anon_sym_open] = ACTIONS(5713),
    [anon_sym_include] = ACTIONS(5713),
    [anon_sym_class] = ACTIONS(5713),
    [anon_sym_val] = ACTIONS(5713),
    [anon_sym_end] = ACTIONS(5713),
    [anon_sym_object] = ACTIONS(6199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6201),
    [anon_sym_new] = ACTIONS(6203),
    [anon_sym_LBRACE_LT] = ACTIONS(6205),
    [anon_sym_begin] = ACTIONS(6207),
    [sym_ocamlyacc_value] = ACTIONS(6209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5713),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5711),
    [aux_sym_number_token1] = ACTIONS(6215),
    [anon_sym_SQUOTE] = ACTIONS(6217),
    [anon_sym_DQUOTE] = ACTIONS(6219),
    [sym_prefix_operator] = ACTIONS(6221),
    [sym__capitalized_identifier] = ACTIONS(6223),
    [aux_sym_tag_token1] = ACTIONS(6225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym__simple_expression] = STATE(6979),
    [sym_typed_expression] = STATE(6840),
    [sym_list_expression] = STATE(6840),
    [sym_array_expression] = STATE(6840),
    [sym_record_expression] = STATE(6840),
    [sym_labeled_argument] = STATE(7591),
    [sym_prefix_expression] = STATE(6840),
    [sym_hash_expression] = STATE(6840),
    [sym_field_get_expression] = STATE(6840),
    [sym_array_get_expression] = STATE(6840),
    [sym_string_get_expression] = STATE(6840),
    [sym_bigarray_get_expression] = STATE(6840),
    [sym_coercion_expression] = STATE(6840),
    [sym_local_open_expression] = STATE(6840),
    [sym_package_expression] = STATE(6840),
    [sym_new_expression] = STATE(6840),
    [sym_object_copy_expression] = STATE(6840),
    [sym_method_invocation] = STATE(6840),
    [sym_object_expression] = STATE(6840),
    [sym_parenthesized_expression] = STATE(6840),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(6840),
    [sym_quoted_extension] = STATE(6840),
    [sym__constant] = STATE(6840),
    [sym_number] = STATE(6733),
    [sym_character] = STATE(6733),
    [sym_string] = STATE(6733),
    [sym_quoted_string] = STATE(6733),
    [sym_boolean] = STATE(6733),
    [sym_unit] = STATE(6733),
    [sym__value_name] = STATE(6951),
    [sym_parenthesized_operator] = STATE(6696),
    [sym_value_path] = STATE(6840),
    [sym_module_path] = STATE(18108),
    [sym_constructor_path] = STATE(6840),
    [sym__constructor_name] = STATE(6814),
    [sym_tag] = STATE(6840),
    [aux_sym_class_application_repeat1] = STATE(2491),
    [sym__identifier] = ACTIONS(6227),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(6230),
    [anon_sym_QMARK] = ACTIONS(6230),
    [anon_sym_LPAREN] = ACTIONS(6233),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6236),
    [anon_sym_RBRACK] = ACTIONS(3356),
    [anon_sym_true] = ACTIONS(6239),
    [anon_sym_false] = ACTIONS(6239),
    [anon_sym_LBRACE] = ACTIONS(6242),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_val] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(6245),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6248),
    [anon_sym_new] = ACTIONS(6251),
    [anon_sym_LBRACE_LT] = ACTIONS(6254),
    [anon_sym_begin] = ACTIONS(6257),
    [sym_ocamlyacc_value] = ACTIONS(6260),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6263),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6266),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(6269),
    [anon_sym_SQUOTE] = ACTIONS(6272),
    [anon_sym_DQUOTE] = ACTIONS(6275),
    [sym_prefix_operator] = ACTIONS(6278),
    [sym__capitalized_identifier] = ACTIONS(6281),
    [aux_sym_tag_token1] = ACTIONS(6284),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym__simple_expression] = STATE(6979),
    [sym_typed_expression] = STATE(6840),
    [sym_list_expression] = STATE(6840),
    [sym_array_expression] = STATE(6840),
    [sym_record_expression] = STATE(6840),
    [sym_labeled_argument] = STATE(7591),
    [sym_prefix_expression] = STATE(6840),
    [sym_hash_expression] = STATE(6840),
    [sym_field_get_expression] = STATE(6840),
    [sym_array_get_expression] = STATE(6840),
    [sym_string_get_expression] = STATE(6840),
    [sym_bigarray_get_expression] = STATE(6840),
    [sym_coercion_expression] = STATE(6840),
    [sym_local_open_expression] = STATE(6840),
    [sym_package_expression] = STATE(6840),
    [sym_new_expression] = STATE(6840),
    [sym_object_copy_expression] = STATE(6840),
    [sym_method_invocation] = STATE(6840),
    [sym_object_expression] = STATE(6840),
    [sym_parenthesized_expression] = STATE(6840),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(6840),
    [sym_quoted_extension] = STATE(6840),
    [sym__constant] = STATE(6840),
    [sym_number] = STATE(6733),
    [sym_character] = STATE(6733),
    [sym_string] = STATE(6733),
    [sym_quoted_string] = STATE(6733),
    [sym_boolean] = STATE(6733),
    [sym_unit] = STATE(6733),
    [sym__value_name] = STATE(6951),
    [sym_parenthesized_operator] = STATE(6696),
    [sym_value_path] = STATE(6840),
    [sym_module_path] = STATE(18108),
    [sym_constructor_path] = STATE(6840),
    [sym__constructor_name] = STATE(6814),
    [sym_tag] = STATE(6840),
    [aux_sym_class_application_repeat1] = STATE(2491),
    [sym__identifier] = ACTIONS(6287),
    [anon_sym_SEMI_SEMI] = ACTIONS(5597),
    [anon_sym_and] = ACTIONS(5599),
    [anon_sym_TILDE] = ACTIONS(6289),
    [anon_sym_QMARK] = ACTIONS(6289),
    [anon_sym_LPAREN] = ACTIONS(6291),
    [anon_sym_external] = ACTIONS(5599),
    [anon_sym_type] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(6293),
    [anon_sym_RBRACK] = ACTIONS(5597),
    [anon_sym_true] = ACTIONS(6295),
    [anon_sym_false] = ACTIONS(6295),
    [anon_sym_LBRACE] = ACTIONS(6297),
    [anon_sym_exception] = ACTIONS(5599),
    [anon_sym_module] = ACTIONS(5599),
    [anon_sym_open] = ACTIONS(5599),
    [anon_sym_include] = ACTIONS(5599),
    [anon_sym_class] = ACTIONS(5599),
    [anon_sym_val] = ACTIONS(5599),
    [anon_sym_object] = ACTIONS(6299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6301),
    [anon_sym_new] = ACTIONS(6303),
    [anon_sym_LBRACE_LT] = ACTIONS(6305),
    [anon_sym_begin] = ACTIONS(6307),
    [sym_ocamlyacc_value] = ACTIONS(6309),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5599),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5597),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6311),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6313),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5597),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5597),
    [aux_sym_number_token1] = ACTIONS(6315),
    [anon_sym_SQUOTE] = ACTIONS(6317),
    [anon_sym_DQUOTE] = ACTIONS(6319),
    [sym_prefix_operator] = ACTIONS(6321),
    [sym__capitalized_identifier] = ACTIONS(6323),
    [aux_sym_tag_token1] = ACTIONS(6325),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym__simple_expression] = STATE(6790),
    [sym_typed_expression] = STATE(7026),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_labeled_argument] = STATE(7611),
    [sym_prefix_expression] = STATE(7026),
    [sym_hash_expression] = STATE(7026),
    [sym_field_get_expression] = STATE(7026),
    [sym_array_get_expression] = STATE(7026),
    [sym_string_get_expression] = STATE(7026),
    [sym_bigarray_get_expression] = STATE(7026),
    [sym_coercion_expression] = STATE(7026),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [aux_sym_class_application_repeat1] = STATE(2494),
    [sym__identifier] = ACTIONS(5405),
    [anon_sym_TILDE] = ACTIONS(5407),
    [anon_sym_QMARK] = ACTIONS(5407),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2561),
    [anon_sym_true] = ACTIONS(2563),
    [anon_sym_false] = ACTIONS(2563),
    [anon_sym_LBRACE] = ACTIONS(2565),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(2567),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2571),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACE_LT] = ACTIONS(2583),
    [anon_sym_begin] = ACTIONS(2585),
    [sym_ocamlyacc_value] = ACTIONS(2587),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2591),
    [aux_sym_number_token1] = ACTIONS(2593),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2603),
    [aux_sym_tag_token1] = ACTIONS(2605),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym__simple_expression] = STATE(6790),
    [sym_typed_expression] = STATE(7026),
    [sym_list_expression] = STATE(7026),
    [sym_array_expression] = STATE(7026),
    [sym_record_expression] = STATE(7026),
    [sym_labeled_argument] = STATE(7611),
    [sym_prefix_expression] = STATE(7026),
    [sym_hash_expression] = STATE(7026),
    [sym_field_get_expression] = STATE(7026),
    [sym_array_get_expression] = STATE(7026),
    [sym_string_get_expression] = STATE(7026),
    [sym_bigarray_get_expression] = STATE(7026),
    [sym_coercion_expression] = STATE(7026),
    [sym_local_open_expression] = STATE(7026),
    [sym_package_expression] = STATE(7026),
    [sym_new_expression] = STATE(7026),
    [sym_object_copy_expression] = STATE(7026),
    [sym_method_invocation] = STATE(7026),
    [sym_object_expression] = STATE(7026),
    [sym_parenthesized_expression] = STATE(7026),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(7026),
    [sym_quoted_extension] = STATE(7026),
    [sym__constant] = STATE(7026),
    [sym_number] = STATE(6933),
    [sym_character] = STATE(6933),
    [sym_string] = STATE(6933),
    [sym_quoted_string] = STATE(6933),
    [sym_boolean] = STATE(6933),
    [sym_unit] = STATE(6933),
    [sym__value_name] = STATE(7038),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(7026),
    [sym_module_path] = STATE(19553),
    [sym_constructor_path] = STATE(7026),
    [sym__constructor_name] = STATE(7110),
    [sym_tag] = STATE(7026),
    [aux_sym_class_application_repeat1] = STATE(2494),
    [sym__identifier] = ACTIONS(6327),
    [anon_sym_TILDE] = ACTIONS(6330),
    [anon_sym_QMARK] = ACTIONS(6330),
    [anon_sym_LPAREN] = ACTIONS(6333),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6336),
    [anon_sym_true] = ACTIONS(6339),
    [anon_sym_false] = ACTIONS(6339),
    [anon_sym_LBRACE] = ACTIONS(6342),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(6345),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6348),
    [anon_sym_do] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(6351),
    [anon_sym_LBRACE_LT] = ACTIONS(6354),
    [anon_sym_begin] = ACTIONS(6357),
    [sym_ocamlyacc_value] = ACTIONS(6360),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6363),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6366),
    [aux_sym_number_token1] = ACTIONS(6369),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(6372),
    [anon_sym_DQUOTE] = ACTIONS(6375),
    [sym_prefix_operator] = ACTIONS(6378),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6381),
    [aux_sym_tag_token1] = ACTIONS(6384),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym__simple_expression] = STATE(6979),
    [sym_typed_expression] = STATE(6840),
    [sym_list_expression] = STATE(6840),
    [sym_array_expression] = STATE(6840),
    [sym_record_expression] = STATE(6840),
    [sym_labeled_argument] = STATE(7591),
    [sym_prefix_expression] = STATE(6840),
    [sym_hash_expression] = STATE(6840),
    [sym_field_get_expression] = STATE(6840),
    [sym_array_get_expression] = STATE(6840),
    [sym_string_get_expression] = STATE(6840),
    [sym_bigarray_get_expression] = STATE(6840),
    [sym_coercion_expression] = STATE(6840),
    [sym_local_open_expression] = STATE(6840),
    [sym_package_expression] = STATE(6840),
    [sym_new_expression] = STATE(6840),
    [sym_object_copy_expression] = STATE(6840),
    [sym_method_invocation] = STATE(6840),
    [sym_object_expression] = STATE(6840),
    [sym_parenthesized_expression] = STATE(6840),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(6840),
    [sym_quoted_extension] = STATE(6840),
    [sym__constant] = STATE(6840),
    [sym_number] = STATE(6733),
    [sym_character] = STATE(6733),
    [sym_string] = STATE(6733),
    [sym_quoted_string] = STATE(6733),
    [sym_boolean] = STATE(6733),
    [sym_unit] = STATE(6733),
    [sym__value_name] = STATE(6951),
    [sym_parenthesized_operator] = STATE(6696),
    [sym_value_path] = STATE(6840),
    [sym_module_path] = STATE(18108),
    [sym_constructor_path] = STATE(6840),
    [sym__constructor_name] = STATE(6814),
    [sym_tag] = STATE(6840),
    [aux_sym_class_application_repeat1] = STATE(2492),
    [sym__identifier] = ACTIONS(6287),
    [anon_sym_SEMI_SEMI] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(6289),
    [anon_sym_QMARK] = ACTIONS(6289),
    [anon_sym_LPAREN] = ACTIONS(6291),
    [anon_sym_external] = ACTIONS(5713),
    [anon_sym_type] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(6293),
    [anon_sym_RBRACK] = ACTIONS(5711),
    [anon_sym_true] = ACTIONS(6295),
    [anon_sym_false] = ACTIONS(6295),
    [anon_sym_LBRACE] = ACTIONS(6297),
    [anon_sym_exception] = ACTIONS(5713),
    [anon_sym_module] = ACTIONS(5713),
    [anon_sym_open] = ACTIONS(5713),
    [anon_sym_include] = ACTIONS(5713),
    [anon_sym_class] = ACTIONS(5713),
    [anon_sym_val] = ACTIONS(5713),
    [anon_sym_object] = ACTIONS(6299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6301),
    [anon_sym_new] = ACTIONS(6303),
    [anon_sym_LBRACE_LT] = ACTIONS(6305),
    [anon_sym_begin] = ACTIONS(6307),
    [sym_ocamlyacc_value] = ACTIONS(6309),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5713),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6311),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6313),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5711),
    [aux_sym_number_token1] = ACTIONS(6315),
    [anon_sym_SQUOTE] = ACTIONS(6317),
    [anon_sym_DQUOTE] = ACTIONS(6319),
    [sym_prefix_operator] = ACTIONS(6321),
    [sym__capitalized_identifier] = ACTIONS(6323),
    [aux_sym_tag_token1] = ACTIONS(6325),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym__simple_expression] = STATE(7067),
    [sym_typed_expression] = STATE(6953),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_labeled_argument] = STATE(7576),
    [sym_prefix_expression] = STATE(6953),
    [sym_hash_expression] = STATE(6953),
    [sym_field_get_expression] = STATE(6953),
    [sym_array_get_expression] = STATE(6953),
    [sym_string_get_expression] = STATE(6953),
    [sym_bigarray_get_expression] = STATE(6953),
    [sym_coercion_expression] = STATE(6953),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [aux_sym_class_application_repeat1] = STATE(2496),
    [sym__identifier] = ACTIONS(6387),
    [anon_sym_TILDE] = ACTIONS(6390),
    [anon_sym_QMARK] = ACTIONS(6390),
    [anon_sym_LPAREN] = ACTIONS(6393),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6396),
    [anon_sym_true] = ACTIONS(6399),
    [anon_sym_false] = ACTIONS(6399),
    [anon_sym_LBRACE] = ACTIONS(6402),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(6405),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6408),
    [anon_sym_then] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(6411),
    [anon_sym_LBRACE_LT] = ACTIONS(6414),
    [anon_sym_begin] = ACTIONS(6417),
    [sym_ocamlyacc_value] = ACTIONS(6420),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6426),
    [aux_sym_number_token1] = ACTIONS(6429),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(6432),
    [anon_sym_DQUOTE] = ACTIONS(6435),
    [sym_prefix_operator] = ACTIONS(6438),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6441),
    [aux_sym_tag_token1] = ACTIONS(6444),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym__simple_expression] = STATE(7067),
    [sym_typed_expression] = STATE(6953),
    [sym_list_expression] = STATE(6953),
    [sym_array_expression] = STATE(6953),
    [sym_record_expression] = STATE(6953),
    [sym_labeled_argument] = STATE(7576),
    [sym_prefix_expression] = STATE(6953),
    [sym_hash_expression] = STATE(6953),
    [sym_field_get_expression] = STATE(6953),
    [sym_array_get_expression] = STATE(6953),
    [sym_string_get_expression] = STATE(6953),
    [sym_bigarray_get_expression] = STATE(6953),
    [sym_coercion_expression] = STATE(6953),
    [sym_local_open_expression] = STATE(6953),
    [sym_package_expression] = STATE(6953),
    [sym_new_expression] = STATE(6953),
    [sym_object_copy_expression] = STATE(6953),
    [sym_method_invocation] = STATE(6953),
    [sym_object_expression] = STATE(6953),
    [sym_parenthesized_expression] = STATE(6953),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(6953),
    [sym_quoted_extension] = STATE(6953),
    [sym__constant] = STATE(6953),
    [sym_number] = STATE(6853),
    [sym_character] = STATE(6853),
    [sym_string] = STATE(6853),
    [sym_quoted_string] = STATE(6853),
    [sym_boolean] = STATE(6853),
    [sym_unit] = STATE(6853),
    [sym__value_name] = STATE(6707),
    [sym_parenthesized_operator] = STATE(6583),
    [sym_value_path] = STATE(6953),
    [sym_module_path] = STATE(19783),
    [sym_constructor_path] = STATE(6953),
    [sym__constructor_name] = STATE(6961),
    [sym_tag] = STATE(6953),
    [aux_sym_class_application_repeat1] = STATE(2496),
    [sym__identifier] = ACTIONS(5251),
    [anon_sym_TILDE] = ACTIONS(5253),
    [anon_sym_QMARK] = ACTIONS(5253),
    [anon_sym_LPAREN] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2849),
    [anon_sym_then] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(2859),
    [anon_sym_LBRACE_LT] = ACTIONS(2861),
    [anon_sym_begin] = ACTIONS(2863),
    [sym_ocamlyacc_value] = ACTIONS(2865),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2867),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2869),
    [aux_sym_number_token1] = ACTIONS(2871),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_prefix_operator] = ACTIONS(2877),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2881),
    [aux_sym_tag_token1] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym__simple_expression] = STATE(7074),
    [sym_typed_expression] = STATE(6846),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_labeled_argument] = STATE(7568),
    [sym_prefix_expression] = STATE(6846),
    [sym_hash_expression] = STATE(6846),
    [sym_field_get_expression] = STATE(6846),
    [sym_array_get_expression] = STATE(6846),
    [sym_string_get_expression] = STATE(6846),
    [sym_bigarray_get_expression] = STATE(6846),
    [sym_coercion_expression] = STATE(6846),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__identifier] = ACTIONS(5495),
    [anon_sym_TILDE] = ACTIONS(5497),
    [anon_sym_QMARK] = ACTIONS(5497),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_with] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(2699),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2703),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_LBRACE_LT] = ACTIONS(2715),
    [anon_sym_begin] = ACTIONS(2717),
    [sym_ocamlyacc_value] = ACTIONS(2719),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2721),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2723),
    [aux_sym_number_token1] = ACTIONS(2725),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2729),
    [sym_prefix_operator] = ACTIONS(2731),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2735),
    [aux_sym_tag_token1] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym__simple_expression] = STATE(7074),
    [sym_typed_expression] = STATE(6846),
    [sym_list_expression] = STATE(6846),
    [sym_array_expression] = STATE(6846),
    [sym_record_expression] = STATE(6846),
    [sym_labeled_argument] = STATE(7568),
    [sym_prefix_expression] = STATE(6846),
    [sym_hash_expression] = STATE(6846),
    [sym_field_get_expression] = STATE(6846),
    [sym_array_get_expression] = STATE(6846),
    [sym_string_get_expression] = STATE(6846),
    [sym_bigarray_get_expression] = STATE(6846),
    [sym_coercion_expression] = STATE(6846),
    [sym_local_open_expression] = STATE(6846),
    [sym_package_expression] = STATE(6846),
    [sym_new_expression] = STATE(6846),
    [sym_object_copy_expression] = STATE(6846),
    [sym_method_invocation] = STATE(6846),
    [sym_object_expression] = STATE(6846),
    [sym_parenthesized_expression] = STATE(6846),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(6846),
    [sym_quoted_extension] = STATE(6846),
    [sym__constant] = STATE(6846),
    [sym_number] = STATE(7101),
    [sym_character] = STATE(7101),
    [sym_string] = STATE(7101),
    [sym_quoted_string] = STATE(7101),
    [sym_boolean] = STATE(7101),
    [sym_unit] = STATE(7101),
    [sym__value_name] = STATE(6855),
    [sym_parenthesized_operator] = STATE(6945),
    [sym_value_path] = STATE(6846),
    [sym_module_path] = STATE(19074),
    [sym_constructor_path] = STATE(6846),
    [sym__constructor_name] = STATE(6884),
    [sym_tag] = STATE(6846),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__identifier] = ACTIONS(6447),
    [anon_sym_TILDE] = ACTIONS(6450),
    [anon_sym_QMARK] = ACTIONS(6450),
    [anon_sym_LPAREN] = ACTIONS(6453),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6456),
    [anon_sym_true] = ACTIONS(6459),
    [anon_sym_false] = ACTIONS(6459),
    [anon_sym_LBRACE] = ACTIONS(6462),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_with] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(6465),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6468),
    [anon_sym_new] = ACTIONS(6471),
    [anon_sym_LBRACE_LT] = ACTIONS(6474),
    [anon_sym_begin] = ACTIONS(6477),
    [sym_ocamlyacc_value] = ACTIONS(6480),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6483),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6486),
    [aux_sym_number_token1] = ACTIONS(6489),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(6492),
    [anon_sym_DQUOTE] = ACTIONS(6495),
    [sym_prefix_operator] = ACTIONS(6498),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6501),
    [aux_sym_tag_token1] = ACTIONS(6504),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym__simple_expression] = STATE(6631),
    [sym_typed_expression] = STATE(7024),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_labeled_argument] = STATE(7588),
    [sym_prefix_expression] = STATE(7024),
    [sym_hash_expression] = STATE(7024),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_coercion_expression] = STATE(7024),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__identifier] = ACTIONS(6507),
    [anon_sym_TILDE] = ACTIONS(6510),
    [anon_sym_QMARK] = ACTIONS(6510),
    [anon_sym_LPAREN] = ACTIONS(6513),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6516),
    [anon_sym_true] = ACTIONS(6519),
    [anon_sym_false] = ACTIONS(6519),
    [anon_sym_LBRACE] = ACTIONS(6522),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_object] = ACTIONS(6525),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6528),
    [anon_sym_done] = ACTIONS(3358),
    [anon_sym_new] = ACTIONS(6531),
    [anon_sym_LBRACE_LT] = ACTIONS(6534),
    [anon_sym_begin] = ACTIONS(6537),
    [sym_ocamlyacc_value] = ACTIONS(6540),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6546),
    [aux_sym_number_token1] = ACTIONS(6549),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(6552),
    [anon_sym_DQUOTE] = ACTIONS(6555),
    [sym_prefix_operator] = ACTIONS(6558),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6561),
    [aux_sym_tag_token1] = ACTIONS(6564),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym__simple_expression] = STATE(6631),
    [sym_typed_expression] = STATE(7024),
    [sym_list_expression] = STATE(7024),
    [sym_array_expression] = STATE(7024),
    [sym_record_expression] = STATE(7024),
    [sym_labeled_argument] = STATE(7588),
    [sym_prefix_expression] = STATE(7024),
    [sym_hash_expression] = STATE(7024),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_coercion_expression] = STATE(7024),
    [sym_local_open_expression] = STATE(7024),
    [sym_package_expression] = STATE(7024),
    [sym_new_expression] = STATE(7024),
    [sym_object_copy_expression] = STATE(7024),
    [sym_method_invocation] = STATE(7024),
    [sym_object_expression] = STATE(7024),
    [sym_parenthesized_expression] = STATE(7024),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(7024),
    [sym_quoted_extension] = STATE(7024),
    [sym__constant] = STATE(7024),
    [sym_number] = STATE(6849),
    [sym_character] = STATE(6849),
    [sym_string] = STATE(6849),
    [sym_quoted_string] = STATE(6849),
    [sym_boolean] = STATE(6849),
    [sym_unit] = STATE(6849),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(7057),
    [sym_value_path] = STATE(7024),
    [sym_module_path] = STATE(17429),
    [sym_constructor_path] = STATE(7024),
    [sym__constructor_name] = STATE(6854),
    [sym_tag] = STATE(7024),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__identifier] = ACTIONS(5335),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_QMARK] = ACTIONS(5337),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2745),
    [anon_sym_true] = ACTIONS(2747),
    [anon_sym_false] = ACTIONS(2747),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_object] = ACTIONS(2751),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2755),
    [anon_sym_done] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_LBRACE_LT] = ACTIONS(2767),
    [anon_sym_begin] = ACTIONS(2769),
    [sym_ocamlyacc_value] = ACTIONS(2771),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2773),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2775),
    [aux_sym_number_token1] = ACTIONS(2777),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2781),
    [sym_prefix_operator] = ACTIONS(2783),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2787),
    [aux_sym_tag_token1] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym__simple_expression] = STATE(6963),
    [sym_typed_expression] = STATE(6624),
    [sym_list_expression] = STATE(6624),
    [sym_array_expression] = STATE(6624),
    [sym_record_expression] = STATE(6624),
    [sym_labeled_argument] = STATE(7585),
    [sym_prefix_expression] = STATE(6624),
    [sym_hash_expression] = STATE(6624),
    [sym_field_get_expression] = STATE(6624),
    [sym_array_get_expression] = STATE(6624),
    [sym_string_get_expression] = STATE(6624),
    [sym_bigarray_get_expression] = STATE(6624),
    [sym_coercion_expression] = STATE(6624),
    [sym_local_open_expression] = STATE(6624),
    [sym_package_expression] = STATE(6624),
    [sym_new_expression] = STATE(6624),
    [sym_object_copy_expression] = STATE(6624),
    [sym_method_invocation] = STATE(6624),
    [sym_object_expression] = STATE(6624),
    [sym_parenthesized_expression] = STATE(6624),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(6624),
    [sym_quoted_extension] = STATE(6624),
    [sym__constant] = STATE(6624),
    [sym_number] = STATE(7047),
    [sym_character] = STATE(7047),
    [sym_string] = STATE(7047),
    [sym_quoted_string] = STATE(7047),
    [sym_boolean] = STATE(7047),
    [sym_unit] = STATE(7047),
    [sym__value_name] = STATE(6695),
    [sym_parenthesized_operator] = STATE(6965),
    [sym_value_path] = STATE(6624),
    [sym_module_path] = STATE(18272),
    [sym_constructor_path] = STATE(6624),
    [sym__constructor_name] = STATE(7073),
    [sym_tag] = STATE(6624),
    [aux_sym_class_application_repeat1] = STATE(2504),
    [sym__identifier] = ACTIONS(6187),
    [anon_sym_SEMI_SEMI] = ACTIONS(5597),
    [anon_sym_and] = ACTIONS(5599),
    [anon_sym_TILDE] = ACTIONS(6189),
    [anon_sym_QMARK] = ACTIONS(6189),
    [anon_sym_LPAREN] = ACTIONS(6191),
    [anon_sym_external] = ACTIONS(5599),
    [anon_sym_type] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(6193),
    [anon_sym_true] = ACTIONS(6195),
    [anon_sym_false] = ACTIONS(6195),
    [anon_sym_LBRACE] = ACTIONS(6197),
    [anon_sym_exception] = ACTIONS(5599),
    [anon_sym_module] = ACTIONS(5599),
    [anon_sym_open] = ACTIONS(5599),
    [anon_sym_include] = ACTIONS(5599),
    [anon_sym_class] = ACTIONS(5599),
    [anon_sym_val] = ACTIONS(5599),
    [anon_sym_end] = ACTIONS(5599),
    [anon_sym_object] = ACTIONS(6199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6201),
    [anon_sym_new] = ACTIONS(6203),
    [anon_sym_LBRACE_LT] = ACTIONS(6205),
    [anon_sym_begin] = ACTIONS(6207),
    [sym_ocamlyacc_value] = ACTIONS(6209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5599),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5597),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5597),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5597),
    [aux_sym_number_token1] = ACTIONS(6215),
    [anon_sym_SQUOTE] = ACTIONS(6217),
    [anon_sym_DQUOTE] = ACTIONS(6219),
    [sym_prefix_operator] = ACTIONS(6221),
    [sym__capitalized_identifier] = ACTIONS(6223),
    [aux_sym_tag_token1] = ACTIONS(6225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym__simple_expression] = STATE(6974),
    [sym_typed_expression] = STATE(6766),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_labeled_argument] = STATE(7587),
    [sym_prefix_expression] = STATE(6766),
    [sym_hash_expression] = STATE(6766),
    [sym_field_get_expression] = STATE(6766),
    [sym_array_get_expression] = STATE(6766),
    [sym_string_get_expression] = STATE(6766),
    [sym_bigarray_get_expression] = STATE(6766),
    [sym_coercion_expression] = STATE(6766),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [aux_sym_class_application_repeat1] = STATE(2503),
    [sym__identifier] = ACTIONS(6567),
    [anon_sym_TILDE] = ACTIONS(6570),
    [anon_sym_QMARK] = ACTIONS(6570),
    [anon_sym_LPAREN] = ACTIONS(6573),
    [anon_sym_COMMA] = ACTIONS(3356),
    [anon_sym_PIPE] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6576),
    [anon_sym_true] = ACTIONS(6579),
    [anon_sym_false] = ACTIONS(6579),
    [anon_sym_LBRACE] = ACTIONS(6582),
    [anon_sym_SEMI] = ACTIONS(3356),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(6585),
    [anon_sym_COLON_COLON] = ACTIONS(3356),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6588),
    [anon_sym_new] = ACTIONS(6591),
    [anon_sym_LBRACE_LT] = ACTIONS(6594),
    [anon_sym_begin] = ACTIONS(6597),
    [sym_ocamlyacc_value] = ACTIONS(6600),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6603),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6606),
    [aux_sym_number_token1] = ACTIONS(6609),
    [aux_sym_signed_number_token1] = ACTIONS(3358),
    [anon_sym_SQUOTE] = ACTIONS(6612),
    [anon_sym_DQUOTE] = ACTIONS(6615),
    [sym_prefix_operator] = ACTIONS(6618),
    [aux_sym_sign_operator_token1] = ACTIONS(3358),
    [sym_pow_operator] = ACTIONS(3358),
    [sym_mult_operator] = ACTIONS(3358),
    [aux_sym_add_operator_token1] = ACTIONS(3358),
    [sym_concat_operator] = ACTIONS(3356),
    [sym_rel_operator] = ACTIONS(3358),
    [sym_and_operator] = ACTIONS(3358),
    [sym_or_operator] = ACTIONS(3358),
    [sym_assign_operator] = ACTIONS(3356),
    [sym__capitalized_identifier] = ACTIONS(6621),
    [aux_sym_tag_token1] = ACTIONS(6624),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym__simple_expression] = STATE(6963),
    [sym_typed_expression] = STATE(6624),
    [sym_list_expression] = STATE(6624),
    [sym_array_expression] = STATE(6624),
    [sym_record_expression] = STATE(6624),
    [sym_labeled_argument] = STATE(7585),
    [sym_prefix_expression] = STATE(6624),
    [sym_hash_expression] = STATE(6624),
    [sym_field_get_expression] = STATE(6624),
    [sym_array_get_expression] = STATE(6624),
    [sym_string_get_expression] = STATE(6624),
    [sym_bigarray_get_expression] = STATE(6624),
    [sym_coercion_expression] = STATE(6624),
    [sym_local_open_expression] = STATE(6624),
    [sym_package_expression] = STATE(6624),
    [sym_new_expression] = STATE(6624),
    [sym_object_copy_expression] = STATE(6624),
    [sym_method_invocation] = STATE(6624),
    [sym_object_expression] = STATE(6624),
    [sym_parenthesized_expression] = STATE(6624),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(6624),
    [sym_quoted_extension] = STATE(6624),
    [sym__constant] = STATE(6624),
    [sym_number] = STATE(7047),
    [sym_character] = STATE(7047),
    [sym_string] = STATE(7047),
    [sym_quoted_string] = STATE(7047),
    [sym_boolean] = STATE(7047),
    [sym_unit] = STATE(7047),
    [sym__value_name] = STATE(6695),
    [sym_parenthesized_operator] = STATE(6965),
    [sym_value_path] = STATE(6624),
    [sym_module_path] = STATE(18272),
    [sym_constructor_path] = STATE(6624),
    [sym__constructor_name] = STATE(7073),
    [sym_tag] = STATE(6624),
    [aux_sym_class_application_repeat1] = STATE(2504),
    [sym__identifier] = ACTIONS(6627),
    [anon_sym_SEMI_SEMI] = ACTIONS(3356),
    [anon_sym_and] = ACTIONS(3358),
    [anon_sym_TILDE] = ACTIONS(6630),
    [anon_sym_QMARK] = ACTIONS(6630),
    [anon_sym_LPAREN] = ACTIONS(6633),
    [anon_sym_external] = ACTIONS(3358),
    [anon_sym_type] = ACTIONS(3358),
    [anon_sym_LBRACK] = ACTIONS(6636),
    [anon_sym_true] = ACTIONS(6639),
    [anon_sym_false] = ACTIONS(6639),
    [anon_sym_LBRACE] = ACTIONS(6642),
    [anon_sym_exception] = ACTIONS(3358),
    [anon_sym_module] = ACTIONS(3358),
    [anon_sym_open] = ACTIONS(3358),
    [anon_sym_include] = ACTIONS(3358),
    [anon_sym_class] = ACTIONS(3358),
    [anon_sym_val] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(6645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6648),
    [anon_sym_new] = ACTIONS(6651),
    [anon_sym_LBRACE_LT] = ACTIONS(6654),
    [anon_sym_begin] = ACTIONS(6657),
    [sym_ocamlyacc_value] = ACTIONS(6660),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6663),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6666),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(6669),
    [anon_sym_SQUOTE] = ACTIONS(6672),
    [anon_sym_DQUOTE] = ACTIONS(6675),
    [sym_prefix_operator] = ACTIONS(6678),
    [sym__capitalized_identifier] = ACTIONS(6681),
    [aux_sym_tag_token1] = ACTIONS(6684),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym__simple_expression] = STATE(6974),
    [sym_typed_expression] = STATE(6766),
    [sym_list_expression] = STATE(6766),
    [sym_array_expression] = STATE(6766),
    [sym_record_expression] = STATE(6766),
    [sym_labeled_argument] = STATE(7587),
    [sym_prefix_expression] = STATE(6766),
    [sym_hash_expression] = STATE(6766),
    [sym_field_get_expression] = STATE(6766),
    [sym_array_get_expression] = STATE(6766),
    [sym_string_get_expression] = STATE(6766),
    [sym_bigarray_get_expression] = STATE(6766),
    [sym_coercion_expression] = STATE(6766),
    [sym_local_open_expression] = STATE(6766),
    [sym_package_expression] = STATE(6766),
    [sym_new_expression] = STATE(6766),
    [sym_object_copy_expression] = STATE(6766),
    [sym_method_invocation] = STATE(6766),
    [sym_object_expression] = STATE(6766),
    [sym_parenthesized_expression] = STATE(6766),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(6766),
    [sym_quoted_extension] = STATE(6766),
    [sym__constant] = STATE(6766),
    [sym_number] = STATE(6789),
    [sym_character] = STATE(6789),
    [sym_string] = STATE(6789),
    [sym_quoted_string] = STATE(6789),
    [sym_boolean] = STATE(6789),
    [sym_unit] = STATE(6789),
    [sym__value_name] = STATE(6943),
    [sym_parenthesized_operator] = STATE(7108),
    [sym_value_path] = STATE(6766),
    [sym_module_path] = STATE(18045),
    [sym_constructor_path] = STATE(6766),
    [sym__constructor_name] = STATE(6792),
    [sym_tag] = STATE(6766),
    [aux_sym_class_application_repeat1] = STATE(2503),
    [sym__identifier] = ACTIONS(5261),
    [anon_sym_TILDE] = ACTIONS(5263),
    [anon_sym_QMARK] = ACTIONS(5263),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_COMMA] = ACTIONS(3295),
    [anon_sym_PIPE] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_true] = ACTIONS(2615),
    [anon_sym_false] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_end] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2623),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_LBRACE_LT] = ACTIONS(2635),
    [anon_sym_begin] = ACTIONS(2637),
    [sym_ocamlyacc_value] = ACTIONS(2639),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2643),
    [aux_sym_number_token1] = ACTIONS(2645),
    [aux_sym_signed_number_token1] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2649),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(3297),
    [sym_pow_operator] = ACTIONS(3297),
    [sym_mult_operator] = ACTIONS(3297),
    [aux_sym_add_operator_token1] = ACTIONS(3297),
    [sym_concat_operator] = ACTIONS(3295),
    [sym_rel_operator] = ACTIONS(3297),
    [sym_and_operator] = ACTIONS(3297),
    [sym_or_operator] = ACTIONS(3297),
    [sym_assign_operator] = ACTIONS(3295),
    [sym__capitalized_identifier] = ACTIONS(2655),
    [aux_sym_tag_token1] = ACTIONS(2657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym__binding_pattern] = STATE(13587),
    [sym_alias_binding_pattern] = STATE(13190),
    [sym_typed_binding_pattern] = STATE(13190),
    [sym_or_binding_pattern] = STATE(13190),
    [sym_constructor_binding_pattern] = STATE(13190),
    [sym_tag_binding_pattern] = STATE(13190),
    [sym_polymorphic_variant_pattern] = STATE(13190),
    [sym_tuple_binding_pattern] = STATE(13190),
    [sym_record_binding_pattern] = STATE(13191),
    [sym_list_binding_pattern] = STATE(13192),
    [sym_cons_binding_pattern] = STATE(13190),
    [sym_array_binding_pattern] = STATE(13193),
    [sym_range_pattern] = STATE(13190),
    [sym_lazy_binding_pattern] = STATE(13190),
    [sym_local_open_binding_pattern] = STATE(13190),
    [sym_package_pattern] = STATE(13190),
    [sym_parenthesized_binding_pattern] = STATE(13190),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(13190),
    [sym_quoted_extension] = STATE(13190),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(13013),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(18977),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(13190),
    [sym_parenthesized_operator] = STATE(10099),
    [sym_module_path] = STATE(19024),
    [sym_constructor_path] = STATE(3387),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(3439),
    [sym__identifier] = ACTIONS(6687),
    [anon_sym_LPAREN] = ACTIONS(6689),
    [anon_sym_RPAREN] = ACTIONS(6691),
    [anon_sym_LBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(6695),
    [anon_sym_LBRACE] = ACTIONS(6697),
    [anon_sym_module] = ACTIONS(6699),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(6701),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6703),
    [anon_sym_lazy] = ACTIONS(6705),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(6707),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6707),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6707),
    [sym_let_and_operator] = ACTIONS(6707),
    [sym_match_operator] = ACTIONS(6707),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym__binding_pattern] = STATE(13354),
    [sym_alias_binding_pattern] = STATE(13190),
    [sym_typed_binding_pattern] = STATE(13190),
    [sym_or_binding_pattern] = STATE(13190),
    [sym_constructor_binding_pattern] = STATE(13190),
    [sym_tag_binding_pattern] = STATE(13190),
    [sym_polymorphic_variant_pattern] = STATE(13190),
    [sym_tuple_binding_pattern] = STATE(13190),
    [sym_record_binding_pattern] = STATE(13191),
    [sym_list_binding_pattern] = STATE(13192),
    [sym_cons_binding_pattern] = STATE(13190),
    [sym_array_binding_pattern] = STATE(13193),
    [sym_range_pattern] = STATE(13190),
    [sym_lazy_binding_pattern] = STATE(13190),
    [sym_local_open_binding_pattern] = STATE(13190),
    [sym_package_pattern] = STATE(13190),
    [sym_parenthesized_binding_pattern] = STATE(13190),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(13190),
    [sym_quoted_extension] = STATE(13190),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(13013),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(20163),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(13190),
    [sym_parenthesized_operator] = STATE(10099),
    [sym_module_path] = STATE(19024),
    [sym_constructor_path] = STATE(3387),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(3439),
    [sym__identifier] = ACTIONS(6687),
    [anon_sym_LPAREN] = ACTIONS(6689),
    [anon_sym_RPAREN] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(6697),
    [anon_sym_module] = ACTIONS(5469),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(5491),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6703),
    [anon_sym_lazy] = ACTIONS(6705),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(2335),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(2335),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(2335),
    [sym_let_and_operator] = ACTIONS(2335),
    [sym_match_operator] = ACTIONS(2335),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym__binding_pattern] = STATE(13555),
    [sym_alias_binding_pattern] = STATE(13190),
    [sym_typed_binding_pattern] = STATE(13190),
    [sym_or_binding_pattern] = STATE(13190),
    [sym_constructor_binding_pattern] = STATE(13190),
    [sym_tag_binding_pattern] = STATE(13190),
    [sym_polymorphic_variant_pattern] = STATE(13190),
    [sym_tuple_binding_pattern] = STATE(13190),
    [sym_record_binding_pattern] = STATE(13191),
    [sym_list_binding_pattern] = STATE(13192),
    [sym_cons_binding_pattern] = STATE(13190),
    [sym_array_binding_pattern] = STATE(13193),
    [sym_range_pattern] = STATE(13190),
    [sym_lazy_binding_pattern] = STATE(13190),
    [sym_local_open_binding_pattern] = STATE(13190),
    [sym_package_pattern] = STATE(13190),
    [sym_parenthesized_binding_pattern] = STATE(13190),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(13190),
    [sym_quoted_extension] = STATE(13190),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(13013),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(17947),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(13190),
    [sym_parenthesized_operator] = STATE(10099),
    [sym_module_path] = STATE(19024),
    [sym_constructor_path] = STATE(3387),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(3439),
    [sym__identifier] = ACTIONS(6687),
    [anon_sym_LPAREN] = ACTIONS(6689),
    [anon_sym_RPAREN] = ACTIONS(6709),
    [anon_sym_LBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(6711),
    [anon_sym_LBRACE] = ACTIONS(6697),
    [anon_sym_module] = ACTIONS(6713),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(6715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6703),
    [anon_sym_lazy] = ACTIONS(6705),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(6717),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6717),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6717),
    [sym_let_and_operator] = ACTIONS(6717),
    [sym_match_operator] = ACTIONS(6717),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym__binding_pattern] = STATE(13276),
    [sym_alias_binding_pattern] = STATE(13190),
    [sym_typed_binding_pattern] = STATE(13190),
    [sym_or_binding_pattern] = STATE(13190),
    [sym_constructor_binding_pattern] = STATE(13190),
    [sym_tag_binding_pattern] = STATE(13190),
    [sym_polymorphic_variant_pattern] = STATE(13190),
    [sym_tuple_binding_pattern] = STATE(13190),
    [sym_record_binding_pattern] = STATE(13191),
    [sym_list_binding_pattern] = STATE(13192),
    [sym_cons_binding_pattern] = STATE(13190),
    [sym_array_binding_pattern] = STATE(13193),
    [sym_range_pattern] = STATE(13190),
    [sym_lazy_binding_pattern] = STATE(13190),
    [sym_local_open_binding_pattern] = STATE(13190),
    [sym_package_pattern] = STATE(13190),
    [sym_parenthesized_binding_pattern] = STATE(13190),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(13190),
    [sym_quoted_extension] = STATE(13190),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(13013),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(19987),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(13190),
    [sym_parenthesized_operator] = STATE(10099),
    [sym_module_path] = STATE(19024),
    [sym_constructor_path] = STATE(3387),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(3439),
    [sym__identifier] = ACTIONS(6687),
    [anon_sym_LPAREN] = ACTIONS(6689),
    [anon_sym_RPAREN] = ACTIONS(6719),
    [anon_sym_LBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(6721),
    [anon_sym_LBRACE] = ACTIONS(6697),
    [anon_sym_module] = ACTIONS(6723),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(6725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6703),
    [anon_sym_lazy] = ACTIONS(6705),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(6727),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6727),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6727),
    [sym_let_and_operator] = ACTIONS(6727),
    [sym_match_operator] = ACTIONS(6727),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym__binding_pattern] = STATE(13430),
    [sym_alias_binding_pattern] = STATE(13190),
    [sym_typed_binding_pattern] = STATE(13190),
    [sym_or_binding_pattern] = STATE(13190),
    [sym_constructor_binding_pattern] = STATE(13190),
    [sym_tag_binding_pattern] = STATE(13190),
    [sym_polymorphic_variant_pattern] = STATE(13190),
    [sym_tuple_binding_pattern] = STATE(13190),
    [sym_record_binding_pattern] = STATE(13191),
    [sym_list_binding_pattern] = STATE(13192),
    [sym_cons_binding_pattern] = STATE(13190),
    [sym_array_binding_pattern] = STATE(13193),
    [sym_range_pattern] = STATE(13190),
    [sym_lazy_binding_pattern] = STATE(13190),
    [sym_local_open_binding_pattern] = STATE(13190),
    [sym_package_pattern] = STATE(13190),
    [sym_parenthesized_binding_pattern] = STATE(13190),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(13190),
    [sym_quoted_extension] = STATE(13190),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(13013),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(18570),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(13190),
    [sym_parenthesized_operator] = STATE(10099),
    [sym_module_path] = STATE(19024),
    [sym_constructor_path] = STATE(3387),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(3439),
    [sym__identifier] = ACTIONS(6687),
    [anon_sym_LPAREN] = ACTIONS(6689),
    [anon_sym_RPAREN] = ACTIONS(6729),
    [anon_sym_LBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(6731),
    [anon_sym_LBRACE] = ACTIONS(6697),
    [anon_sym_module] = ACTIONS(6733),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(6735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6703),
    [anon_sym_lazy] = ACTIONS(6705),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(6737),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6737),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6737),
    [sym_let_and_operator] = ACTIONS(6737),
    [sym_match_operator] = ACTIONS(6737),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym__binding_pattern] = STATE(13293),
    [sym_alias_binding_pattern] = STATE(13190),
    [sym_typed_binding_pattern] = STATE(13190),
    [sym_or_binding_pattern] = STATE(13190),
    [sym_constructor_binding_pattern] = STATE(13190),
    [sym_tag_binding_pattern] = STATE(13190),
    [sym_polymorphic_variant_pattern] = STATE(13190),
    [sym_tuple_binding_pattern] = STATE(13190),
    [sym_record_binding_pattern] = STATE(13191),
    [sym_list_binding_pattern] = STATE(13192),
    [sym_cons_binding_pattern] = STATE(13190),
    [sym_array_binding_pattern] = STATE(13193),
    [sym_range_pattern] = STATE(13190),
    [sym_lazy_binding_pattern] = STATE(13190),
    [sym_local_open_binding_pattern] = STATE(13190),
    [sym_package_pattern] = STATE(13190),
    [sym_parenthesized_binding_pattern] = STATE(13190),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(13190),
    [sym_quoted_extension] = STATE(13190),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(13013),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(17460),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(13190),
    [sym_parenthesized_operator] = STATE(10099),
    [sym_module_path] = STATE(19024),
    [sym_constructor_path] = STATE(3387),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(3439),
    [sym__identifier] = ACTIONS(6687),
    [anon_sym_LPAREN] = ACTIONS(6689),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_LBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(6697),
    [anon_sym_module] = ACTIONS(5519),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(1657),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6703),
    [anon_sym_lazy] = ACTIONS(6705),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(5523),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(5523),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(5523),
    [sym_let_and_operator] = ACTIONS(5523),
    [sym_match_operator] = ACTIONS(5523),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym__binding_pattern] = STATE(13576),
    [sym_alias_binding_pattern] = STATE(13190),
    [sym_typed_binding_pattern] = STATE(13190),
    [sym_or_binding_pattern] = STATE(13190),
    [sym_constructor_binding_pattern] = STATE(13190),
    [sym_tag_binding_pattern] = STATE(13190),
    [sym_polymorphic_variant_pattern] = STATE(13190),
    [sym_tuple_binding_pattern] = STATE(13190),
    [sym_record_binding_pattern] = STATE(13191),
    [sym_list_binding_pattern] = STATE(13192),
    [sym_cons_binding_pattern] = STATE(13190),
    [sym_array_binding_pattern] = STATE(13193),
    [sym_range_pattern] = STATE(13190),
    [sym_lazy_binding_pattern] = STATE(13190),
    [sym_local_open_binding_pattern] = STATE(13190),
    [sym_package_pattern] = STATE(13190),
    [sym_parenthesized_binding_pattern] = STATE(13190),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(13190),
    [sym_quoted_extension] = STATE(13190),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(13013),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__infix_operator] = STATE(19273),
    [sym_add_operator] = STATE(18793),
    [sym__value_name] = STATE(13190),
    [sym_parenthesized_operator] = STATE(10099),
    [sym_module_path] = STATE(19024),
    [sym_constructor_path] = STATE(3387),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(3439),
    [sym__identifier] = ACTIONS(6687),
    [anon_sym_LPAREN] = ACTIONS(6689),
    [anon_sym_RPAREN] = ACTIONS(6739),
    [anon_sym_LBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_DOT] = ACTIONS(6741),
    [anon_sym_LBRACE] = ACTIONS(6697),
    [anon_sym_module] = ACTIONS(6743),
    [anon_sym_POUND] = ACTIONS(5291),
    [anon_sym_COLON_COLON] = ACTIONS(6745),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6703),
    [anon_sym_lazy] = ACTIONS(6705),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(5303),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym_prefix_operator] = ACTIONS(6747),
    [aux_sym_sign_operator_token1] = ACTIONS(1469),
    [sym_hash_operator] = ACTIONS(6747),
    [sym_pow_operator] = ACTIONS(1467),
    [sym_mult_operator] = ACTIONS(1467),
    [aux_sym_add_operator_token1] = ACTIONS(1469),
    [sym_concat_operator] = ACTIONS(1471),
    [sym_rel_operator] = ACTIONS(1467),
    [sym_and_operator] = ACTIONS(1467),
    [sym_or_operator] = ACTIONS(1467),
    [sym_assign_operator] = ACTIONS(1471),
    [sym_let_operator] = ACTIONS(6747),
    [sym_let_and_operator] = ACTIONS(6747),
    [sym_match_operator] = ACTIONS(6747),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10739),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2513),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10586),
    [aux_sym_let_binding_repeat1] = STATE(2532),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_let] = ACTIONS(6753),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_EQ] = ACTIONS(6755),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_end] = ACTIONS(6753),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6751),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6753),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym__simple_expression] = STATE(7736),
    [sym_typed_expression] = STATE(7838),
    [sym_list_expression] = STATE(7838),
    [sym_array_expression] = STATE(7838),
    [sym_record_expression] = STATE(7838),
    [sym_labeled_argument] = STATE(8254),
    [sym_prefix_expression] = STATE(7838),
    [sym_hash_expression] = STATE(7838),
    [sym_field_get_expression] = STATE(7838),
    [sym_array_get_expression] = STATE(7838),
    [sym_string_get_expression] = STATE(7838),
    [sym_bigarray_get_expression] = STATE(7838),
    [sym_coercion_expression] = STATE(7838),
    [sym_local_open_expression] = STATE(7838),
    [sym_package_expression] = STATE(7838),
    [sym_new_expression] = STATE(7838),
    [sym_object_copy_expression] = STATE(7838),
    [sym_method_invocation] = STATE(7838),
    [sym_object_expression] = STATE(7838),
    [sym_parenthesized_expression] = STATE(7838),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(7838),
    [sym_quoted_extension] = STATE(7838),
    [sym__constant] = STATE(7838),
    [sym_number] = STATE(7840),
    [sym_character] = STATE(7840),
    [sym_string] = STATE(7840),
    [sym_quoted_string] = STATE(7840),
    [sym_boolean] = STATE(7840),
    [sym_unit] = STATE(7840),
    [sym__value_name] = STATE(7755),
    [sym_parenthesized_operator] = STATE(7653),
    [sym_value_path] = STATE(7838),
    [sym_module_path] = STATE(17308),
    [sym_constructor_path] = STATE(7838),
    [sym__constructor_name] = STATE(7849),
    [sym_tag] = STATE(7838),
    [aux_sym_class_application_repeat1] = STATE(2535),
    [sym__identifier] = ACTIONS(6793),
    [anon_sym_TILDE] = ACTIONS(6795),
    [anon_sym_QMARK] = ACTIONS(6795),
    [anon_sym_LPAREN] = ACTIONS(6797),
    [anon_sym_LBRACK] = ACTIONS(6799),
    [anon_sym_true] = ACTIONS(6801),
    [anon_sym_false] = ACTIONS(6801),
    [anon_sym_LBRACE] = ACTIONS(6803),
    [anon_sym_constraint] = ACTIONS(5599),
    [anon_sym_val] = ACTIONS(5599),
    [anon_sym_end] = ACTIONS(5599),
    [anon_sym_object] = ACTIONS(6805),
    [anon_sym_inherit] = ACTIONS(5599),
    [anon_sym_method] = ACTIONS(5599),
    [anon_sym_as] = ACTIONS(5599),
    [anon_sym_initializer] = ACTIONS(5599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6807),
    [anon_sym_new] = ACTIONS(6809),
    [anon_sym_LBRACE_LT] = ACTIONS(6811),
    [anon_sym_begin] = ACTIONS(6813),
    [sym_ocamlyacc_value] = ACTIONS(6815),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5599),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5597),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6819),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5597),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5597),
    [aux_sym_number_token1] = ACTIONS(6821),
    [anon_sym_SQUOTE] = ACTIONS(6823),
    [anon_sym_DQUOTE] = ACTIONS(6825),
    [sym_prefix_operator] = ACTIONS(6827),
    [sym__capitalized_identifier] = ACTIONS(6829),
    [aux_sym_tag_token1] = ACTIONS(6831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10729),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2515),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10426),
    [aux_sym_let_binding_repeat1] = STATE(2558),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6833),
    [anon_sym_let] = ACTIONS(6835),
    [anon_sym_and] = ACTIONS(6835),
    [anon_sym_EQ] = ACTIONS(6837),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6835),
    [anon_sym_type] = ACTIONS(6835),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6835),
    [anon_sym_module] = ACTIONS(6835),
    [anon_sym_open] = ACTIONS(6835),
    [anon_sym_include] = ACTIONS(6835),
    [anon_sym_class] = ACTIONS(6835),
    [anon_sym_end] = ACTIONS(6835),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6833),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6833),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6835),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10814),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2516),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10444),
    [aux_sym_let_binding_repeat1] = STATE(2559),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6841),
    [anon_sym_let] = ACTIONS(6843),
    [anon_sym_and] = ACTIONS(6843),
    [anon_sym_EQ] = ACTIONS(6845),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6843),
    [anon_sym_type] = ACTIONS(6843),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6841),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6843),
    [anon_sym_module] = ACTIONS(6843),
    [anon_sym_open] = ACTIONS(6843),
    [anon_sym_include] = ACTIONS(6843),
    [anon_sym_class] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6841),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6841),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6841),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6841),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6843),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10774),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2517),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10397),
    [aux_sym_let_binding_repeat1] = STATE(2531),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6881),
    [anon_sym_let] = ACTIONS(6883),
    [anon_sym_and] = ACTIONS(6883),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6883),
    [anon_sym_type] = ACTIONS(6883),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6881),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6883),
    [anon_sym_module] = ACTIONS(6883),
    [anon_sym_open] = ACTIONS(6883),
    [anon_sym_include] = ACTIONS(6883),
    [anon_sym_class] = ACTIONS(6883),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6881),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6881),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6883),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10930),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2518),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10586),
    [aux_sym_let_binding_repeat1] = STATE(2528),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_let] = ACTIONS(6753),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_EQ] = ACTIONS(6887),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6751),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6751),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6753),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10731),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2519),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10515),
    [aux_sym_let_binding_repeat1] = STATE(2558),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_let] = ACTIONS(6891),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6893),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_end] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6889),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6891),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10725),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2520),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10614),
    [aux_sym_let_binding_repeat1] = STATE(2515),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6895),
    [anon_sym_let] = ACTIONS(6897),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_EQ] = ACTIONS(6899),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6897),
    [anon_sym_type] = ACTIONS(6897),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6897),
    [anon_sym_module] = ACTIONS(6897),
    [anon_sym_open] = ACTIONS(6897),
    [anon_sym_include] = ACTIONS(6897),
    [anon_sym_class] = ACTIONS(6897),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6895),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6895),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6895),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6895),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6897),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10847),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2521),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10614),
    [aux_sym_let_binding_repeat1] = STATE(2525),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6895),
    [anon_sym_let] = ACTIONS(6897),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_EQ] = ACTIONS(6901),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6897),
    [anon_sym_type] = ACTIONS(6897),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6895),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6897),
    [anon_sym_module] = ACTIONS(6897),
    [anon_sym_open] = ACTIONS(6897),
    [anon_sym_include] = ACTIONS(6897),
    [anon_sym_class] = ACTIONS(6897),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6895),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6895),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6895),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6895),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6897),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10734),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2522),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10365),
    [aux_sym_let_binding_repeat1] = STATE(2524),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6903),
    [anon_sym_let] = ACTIONS(6905),
    [anon_sym_and] = ACTIONS(6905),
    [anon_sym_EQ] = ACTIONS(6907),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6905),
    [anon_sym_type] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6905),
    [anon_sym_module] = ACTIONS(6905),
    [anon_sym_open] = ACTIONS(6905),
    [anon_sym_include] = ACTIONS(6905),
    [anon_sym_class] = ACTIONS(6905),
    [anon_sym_end] = ACTIONS(6905),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6903),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6903),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6905),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10904),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2523),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10365),
    [aux_sym_let_binding_repeat1] = STATE(2529),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6903),
    [anon_sym_let] = ACTIONS(6905),
    [anon_sym_and] = ACTIONS(6905),
    [anon_sym_EQ] = ACTIONS(6909),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6905),
    [anon_sym_type] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6905),
    [anon_sym_module] = ACTIONS(6905),
    [anon_sym_open] = ACTIONS(6905),
    [anon_sym_include] = ACTIONS(6905),
    [anon_sym_class] = ACTIONS(6905),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6903),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6903),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6905),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10738),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2524),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10425),
    [aux_sym_let_binding_repeat1] = STATE(2558),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6911),
    [anon_sym_let] = ACTIONS(6913),
    [anon_sym_and] = ACTIONS(6913),
    [anon_sym_EQ] = ACTIONS(6915),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6913),
    [anon_sym_type] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6913),
    [anon_sym_module] = ACTIONS(6913),
    [anon_sym_open] = ACTIONS(6913),
    [anon_sym_include] = ACTIONS(6913),
    [anon_sym_class] = ACTIONS(6913),
    [anon_sym_end] = ACTIONS(6913),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6911),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6911),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6911),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6911),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6913),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10737),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2525),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10426),
    [aux_sym_let_binding_repeat1] = STATE(2559),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6833),
    [anon_sym_let] = ACTIONS(6835),
    [anon_sym_and] = ACTIONS(6835),
    [anon_sym_EQ] = ACTIONS(6917),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6835),
    [anon_sym_type] = ACTIONS(6835),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6833),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6835),
    [anon_sym_module] = ACTIONS(6835),
    [anon_sym_open] = ACTIONS(6835),
    [anon_sym_include] = ACTIONS(6835),
    [anon_sym_class] = ACTIONS(6835),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6833),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6833),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6835),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10728),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2526),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10397),
    [aux_sym_let_binding_repeat1] = STATE(2519),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6881),
    [anon_sym_let] = ACTIONS(6883),
    [anon_sym_and] = ACTIONS(6883),
    [anon_sym_EQ] = ACTIONS(6919),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6883),
    [anon_sym_type] = ACTIONS(6883),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6883),
    [anon_sym_module] = ACTIONS(6883),
    [anon_sym_open] = ACTIONS(6883),
    [anon_sym_include] = ACTIONS(6883),
    [anon_sym_class] = ACTIONS(6883),
    [anon_sym_end] = ACTIONS(6883),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6881),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6881),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6883),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym__simple_expression] = STATE(7736),
    [sym_typed_expression] = STATE(7838),
    [sym_list_expression] = STATE(7838),
    [sym_array_expression] = STATE(7838),
    [sym_record_expression] = STATE(7838),
    [sym_labeled_argument] = STATE(8254),
    [sym_prefix_expression] = STATE(7838),
    [sym_hash_expression] = STATE(7838),
    [sym_field_get_expression] = STATE(7838),
    [sym_array_get_expression] = STATE(7838),
    [sym_string_get_expression] = STATE(7838),
    [sym_bigarray_get_expression] = STATE(7838),
    [sym_coercion_expression] = STATE(7838),
    [sym_local_open_expression] = STATE(7838),
    [sym_package_expression] = STATE(7838),
    [sym_new_expression] = STATE(7838),
    [sym_object_copy_expression] = STATE(7838),
    [sym_method_invocation] = STATE(7838),
    [sym_object_expression] = STATE(7838),
    [sym_parenthesized_expression] = STATE(7838),
    [sym_attribute] = STATE(2527),
    [sym_extension] = STATE(7838),
    [sym_quoted_extension] = STATE(7838),
    [sym__constant] = STATE(7838),
    [sym_number] = STATE(7840),
    [sym_character] = STATE(7840),
    [sym_string] = STATE(7840),
    [sym_quoted_string] = STATE(7840),
    [sym_boolean] = STATE(7840),
    [sym_unit] = STATE(7840),
    [sym__value_name] = STATE(7755),
    [sym_parenthesized_operator] = STATE(7653),
    [sym_value_path] = STATE(7838),
    [sym_module_path] = STATE(17308),
    [sym_constructor_path] = STATE(7838),
    [sym__constructor_name] = STATE(7849),
    [sym_tag] = STATE(7838),
    [aux_sym_class_application_repeat1] = STATE(2514),
    [sym__identifier] = ACTIONS(6793),
    [anon_sym_TILDE] = ACTIONS(6795),
    [anon_sym_QMARK] = ACTIONS(6795),
    [anon_sym_LPAREN] = ACTIONS(6797),
    [anon_sym_LBRACK] = ACTIONS(6799),
    [anon_sym_true] = ACTIONS(6801),
    [anon_sym_false] = ACTIONS(6801),
    [anon_sym_LBRACE] = ACTIONS(6803),
    [anon_sym_constraint] = ACTIONS(5713),
    [anon_sym_val] = ACTIONS(5713),
    [anon_sym_end] = ACTIONS(5713),
    [anon_sym_object] = ACTIONS(6805),
    [anon_sym_inherit] = ACTIONS(5713),
    [anon_sym_method] = ACTIONS(5713),
    [anon_sym_as] = ACTIONS(5713),
    [anon_sym_initializer] = ACTIONS(5713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6807),
    [anon_sym_new] = ACTIONS(6809),
    [anon_sym_LBRACE_LT] = ACTIONS(6811),
    [anon_sym_begin] = ACTIONS(6813),
    [sym_ocamlyacc_value] = ACTIONS(6815),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5713),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6819),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5711),
    [aux_sym_number_token1] = ACTIONS(6821),
    [anon_sym_SQUOTE] = ACTIONS(6823),
    [anon_sym_DQUOTE] = ACTIONS(6825),
    [sym_prefix_operator] = ACTIONS(6827),
    [sym__capitalized_identifier] = ACTIONS(6829),
    [aux_sym_tag_token1] = ACTIONS(6831),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10816),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2528),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10361),
    [aux_sym_let_binding_repeat1] = STATE(2559),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6921),
    [anon_sym_let] = ACTIONS(6923),
    [anon_sym_and] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(6925),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6923),
    [anon_sym_type] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6923),
    [anon_sym_module] = ACTIONS(6923),
    [anon_sym_open] = ACTIONS(6923),
    [anon_sym_include] = ACTIONS(6923),
    [anon_sym_class] = ACTIONS(6923),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6921),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6921),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6921),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6923),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10746),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2529),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10425),
    [aux_sym_let_binding_repeat1] = STATE(2559),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6911),
    [anon_sym_let] = ACTIONS(6913),
    [anon_sym_and] = ACTIONS(6913),
    [anon_sym_EQ] = ACTIONS(6927),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6913),
    [anon_sym_type] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6911),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6913),
    [anon_sym_module] = ACTIONS(6913),
    [anon_sym_open] = ACTIONS(6913),
    [anon_sym_include] = ACTIONS(6913),
    [anon_sym_class] = ACTIONS(6913),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6911),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6911),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6911),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6911),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6913),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10835),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2530),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10366),
    [aux_sym_let_binding_repeat1] = STATE(2516),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6929),
    [anon_sym_let] = ACTIONS(6931),
    [anon_sym_and] = ACTIONS(6931),
    [anon_sym_EQ] = ACTIONS(6933),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6931),
    [anon_sym_type] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6931),
    [anon_sym_module] = ACTIONS(6931),
    [anon_sym_open] = ACTIONS(6931),
    [anon_sym_include] = ACTIONS(6931),
    [anon_sym_class] = ACTIONS(6931),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6929),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6929),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6929),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6929),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6931),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym_parameter] = STATE(7491),
    [sym__class_typed] = STATE(10848),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2531),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_expression_item_repeat1] = STATE(10515),
    [aux_sym_let_binding_repeat1] = STATE(2559),
    [sym__identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_let] = ACTIONS(6891),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(6935),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6889),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6889),
    [sym__capitalized_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6891),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10741),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2532),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10361),
    [aux_sym_let_binding_repeat1] = STATE(2558),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6921),
    [anon_sym_let] = ACTIONS(6923),
    [anon_sym_and] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(6937),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6923),
    [anon_sym_type] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6923),
    [anon_sym_module] = ACTIONS(6923),
    [anon_sym_open] = ACTIONS(6923),
    [anon_sym_include] = ACTIONS(6923),
    [anon_sym_class] = ACTIONS(6923),
    [anon_sym_end] = ACTIONS(6923),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6921),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6921),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6921),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6923),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10742),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2533),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10366),
    [aux_sym_let_binding_repeat1] = STATE(2534),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6929),
    [anon_sym_let] = ACTIONS(6931),
    [anon_sym_and] = ACTIONS(6931),
    [anon_sym_EQ] = ACTIONS(6939),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6931),
    [anon_sym_type] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6931),
    [anon_sym_module] = ACTIONS(6931),
    [anon_sym_open] = ACTIONS(6931),
    [anon_sym_include] = ACTIONS(6931),
    [anon_sym_class] = ACTIONS(6931),
    [anon_sym_end] = ACTIONS(6931),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6929),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6929),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6929),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6929),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6931),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_parameter] = STATE(7388),
    [sym__class_typed] = STATE(10744),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2534),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_expression_item_repeat1] = STATE(10444),
    [aux_sym_let_binding_repeat1] = STATE(2558),
    [sym__identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6841),
    [anon_sym_let] = ACTIONS(6843),
    [anon_sym_and] = ACTIONS(6843),
    [anon_sym_EQ] = ACTIONS(6941),
    [anon_sym_TILDE] = ACTIONS(6757),
    [anon_sym_QMARK] = ACTIONS(6757),
    [anon_sym_LPAREN] = ACTIONS(6759),
    [anon_sym_external] = ACTIONS(6843),
    [anon_sym_type] = ACTIONS(6843),
    [anon_sym_LBRACK] = ACTIONS(6761),
    [anon_sym_true] = ACTIONS(6763),
    [anon_sym_false] = ACTIONS(6763),
    [anon_sym_COLON2] = ACTIONS(6765),
    [anon_sym_LBRACE] = ACTIONS(6767),
    [anon_sym_exception] = ACTIONS(6843),
    [anon_sym_module] = ACTIONS(6843),
    [anon_sym_open] = ACTIONS(6843),
    [anon_sym_include] = ACTIONS(6843),
    [anon_sym_class] = ACTIONS(6843),
    [anon_sym_end] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(6769),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6841),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6779),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6841),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6841),
    [aux_sym_number_token1] = ACTIONS(6781),
    [aux_sym_signed_number_token1] = ACTIONS(6783),
    [anon_sym_SQUOTE] = ACTIONS(6785),
    [anon_sym_DQUOTE] = ACTIONS(6787),
    [sym_let_operator] = ACTIONS(6841),
    [sym__capitalized_identifier] = ACTIONS(6789),
    [aux_sym_directive_token1] = ACTIONS(6843),
    [aux_sym_tag_token1] = ACTIONS(6791),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym__simple_expression] = STATE(7736),
    [sym_typed_expression] = STATE(7838),
    [sym_list_expression] = STATE(7838),
    [sym_array_expression] = STATE(7838),
    [sym_record_expression] = STATE(7838),
    [sym_labeled_argument] = STATE(8254),
    [sym_prefix_expression] = STATE(7838),
    [sym_hash_expression] = STATE(7838),
    [sym_field_get_expression] = STATE(7838),
    [sym_array_get_expression] = STATE(7838),
    [sym_string_get_expression] = STATE(7838),
    [sym_bigarray_get_expression] = STATE(7838),
    [sym_coercion_expression] = STATE(7838),
    [sym_local_open_expression] = STATE(7838),
    [sym_package_expression] = STATE(7838),
    [sym_new_expression] = STATE(7838),
    [sym_object_copy_expression] = STATE(7838),
    [sym_method_invocation] = STATE(7838),
    [sym_object_expression] = STATE(7838),
    [sym_parenthesized_expression] = STATE(7838),
    [sym_attribute] = STATE(2535),
    [sym_extension] = STATE(7838),
    [sym_quoted_extension] = STATE(7838),
    [sym__constant] = STATE(7838),
    [sym_number] = STATE(7840),
    [sym_character] = STATE(7840),
    [sym_string] = STATE(7840),
    [sym_quoted_string] = STATE(7840),
    [sym_boolean] = STATE(7840),
    [sym_unit] = STATE(7840),
    [sym__value_name] = STATE(7755),
    [sym_parenthesized_operator] = STATE(7653),
    [sym_value_path] = STATE(7838),
    [sym_module_path] = STATE(17308),
    [sym_constructor_path] = STATE(7838),
    [sym__constructor_name] = STATE(7849),
    [sym_tag] = STATE(7838),
    [aux_sym_class_application_repeat1] = STATE(2535),
    [sym__identifier] = ACTIONS(6943),
    [anon_sym_TILDE] = ACTIONS(6946),
    [anon_sym_QMARK] = ACTIONS(6946),
    [anon_sym_LPAREN] = ACTIONS(6949),
    [anon_sym_LBRACK] = ACTIONS(6952),
    [anon_sym_true] = ACTIONS(6955),
    [anon_sym_false] = ACTIONS(6955),
    [anon_sym_LBRACE] = ACTIONS(6958),
    [anon_sym_constraint] = ACTIONS(3358),
    [anon_sym_val] = ACTIONS(3358),
    [anon_sym_end] = ACTIONS(3358),
    [anon_sym_object] = ACTIONS(6961),
    [anon_sym_inherit] = ACTIONS(3358),
    [anon_sym_method] = ACTIONS(3358),
    [anon_sym_as] = ACTIONS(3358),
    [anon_sym_initializer] = ACTIONS(3358),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6964),
    [anon_sym_new] = ACTIONS(6967),
    [anon_sym_LBRACE_LT] = ACTIONS(6970),
    [anon_sym_begin] = ACTIONS(6973),
    [sym_ocamlyacc_value] = ACTIONS(6976),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3358),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3356),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6979),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6982),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3356),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3356),
    [aux_sym_number_token1] = ACTIONS(6985),
    [anon_sym_SQUOTE] = ACTIONS(6988),
    [anon_sym_DQUOTE] = ACTIONS(6991),
    [sym_prefix_operator] = ACTIONS(6994),
    [sym__capitalized_identifier] = ACTIONS(6997),
    [aux_sym_tag_token1] = ACTIONS(7000),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11533),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2536),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10426),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6833),
    [anon_sym_and] = ACTIONS(6835),
    [anon_sym_EQ] = ACTIONS(7005),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6835),
    [anon_sym_type] = ACTIONS(6835),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6833),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6835),
    [anon_sym_module] = ACTIONS(6835),
    [anon_sym_open] = ACTIONS(6835),
    [anon_sym_include] = ACTIONS(6835),
    [anon_sym_class] = ACTIONS(6835),
    [anon_sym_val] = ACTIONS(6835),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6833),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11555),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2537),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10365),
    [aux_sym_let_binding_repeat1] = STATE(2548),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6903),
    [anon_sym_and] = ACTIONS(6905),
    [anon_sym_EQ] = ACTIONS(7043),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6905),
    [anon_sym_type] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6905),
    [anon_sym_module] = ACTIONS(6905),
    [anon_sym_open] = ACTIONS(6905),
    [anon_sym_include] = ACTIONS(6905),
    [anon_sym_class] = ACTIONS(6905),
    [anon_sym_val] = ACTIONS(6905),
    [anon_sym_end] = ACTIONS(6905),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6903),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11556),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2538),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10361),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6921),
    [anon_sym_and] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(7079),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6923),
    [anon_sym_type] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6921),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6923),
    [anon_sym_module] = ACTIONS(6923),
    [anon_sym_open] = ACTIONS(6923),
    [anon_sym_include] = ACTIONS(6923),
    [anon_sym_class] = ACTIONS(6923),
    [anon_sym_val] = ACTIONS(6923),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6921),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6921),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11525),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2539),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10397),
    [aux_sym_let_binding_repeat1] = STATE(2542),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6881),
    [anon_sym_and] = ACTIONS(6883),
    [anon_sym_EQ] = ACTIONS(7081),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6883),
    [anon_sym_type] = ACTIONS(6883),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6883),
    [anon_sym_module] = ACTIONS(6883),
    [anon_sym_open] = ACTIONS(6883),
    [anon_sym_include] = ACTIONS(6883),
    [anon_sym_class] = ACTIONS(6883),
    [anon_sym_val] = ACTIONS(6883),
    [anon_sym_end] = ACTIONS(6883),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6881),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11462),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2540),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10444),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6841),
    [anon_sym_and] = ACTIONS(6843),
    [anon_sym_EQ] = ACTIONS(7083),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6843),
    [anon_sym_type] = ACTIONS(6843),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6843),
    [anon_sym_module] = ACTIONS(6843),
    [anon_sym_open] = ACTIONS(6843),
    [anon_sym_include] = ACTIONS(6843),
    [anon_sym_class] = ACTIONS(6843),
    [anon_sym_val] = ACTIONS(6843),
    [anon_sym_end] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6841),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6841),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6841),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11560),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2541),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10444),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6841),
    [anon_sym_and] = ACTIONS(6843),
    [anon_sym_EQ] = ACTIONS(7085),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6843),
    [anon_sym_type] = ACTIONS(6843),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6841),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6843),
    [anon_sym_module] = ACTIONS(6843),
    [anon_sym_open] = ACTIONS(6843),
    [anon_sym_include] = ACTIONS(6843),
    [anon_sym_class] = ACTIONS(6843),
    [anon_sym_val] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6841),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6841),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6841),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11534),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2542),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10515),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(7087),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_val] = ACTIONS(6891),
    [anon_sym_end] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11516),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2543),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10614),
    [aux_sym_let_binding_repeat1] = STATE(2536),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6895),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6897),
    [anon_sym_type] = ACTIONS(6897),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6895),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6897),
    [anon_sym_module] = ACTIONS(6897),
    [anon_sym_open] = ACTIONS(6897),
    [anon_sym_include] = ACTIONS(6897),
    [anon_sym_class] = ACTIONS(6897),
    [anon_sym_val] = ACTIONS(6897),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6895),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6895),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6895),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym__parenthesized_abstract_type] = STATE(4041),
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(12777),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2544),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_EQ] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_RPAREN] = ACTIONS(7091),
    [anon_sym_COMMA] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_RBRACK] = ACTIONS(7091),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_COLON2] = ACTIONS(7095),
    [anon_sym_DASH_GT] = ACTIONS(7091),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(7091),
    [anon_sym_RBRACE] = ACTIONS(7091),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_as] = ACTIONS(7095),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_COLON_COLON] = ACTIONS(7091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_when] = ACTIONS(7095),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11474),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2545),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10614),
    [aux_sym_let_binding_repeat1] = STATE(2556),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6895),
    [anon_sym_and] = ACTIONS(6897),
    [anon_sym_EQ] = ACTIONS(7101),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6897),
    [anon_sym_type] = ACTIONS(6897),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6897),
    [anon_sym_module] = ACTIONS(6897),
    [anon_sym_open] = ACTIONS(6897),
    [anon_sym_include] = ACTIONS(6897),
    [anon_sym_class] = ACTIONS(6897),
    [anon_sym_val] = ACTIONS(6897),
    [anon_sym_end] = ACTIONS(6897),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6895),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6895),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6895),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11553),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2546),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10425),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6911),
    [anon_sym_and] = ACTIONS(6913),
    [anon_sym_EQ] = ACTIONS(7103),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6913),
    [anon_sym_type] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6911),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6913),
    [anon_sym_module] = ACTIONS(6913),
    [anon_sym_open] = ACTIONS(6913),
    [anon_sym_include] = ACTIONS(6913),
    [anon_sym_class] = ACTIONS(6913),
    [anon_sym_val] = ACTIONS(6913),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6911),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6911),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6911),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11546),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2547),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10365),
    [aux_sym_let_binding_repeat1] = STATE(2546),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6903),
    [anon_sym_and] = ACTIONS(6905),
    [anon_sym_EQ] = ACTIONS(7105),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6905),
    [anon_sym_type] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6903),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6905),
    [anon_sym_module] = ACTIONS(6905),
    [anon_sym_open] = ACTIONS(6905),
    [anon_sym_include] = ACTIONS(6905),
    [anon_sym_class] = ACTIONS(6905),
    [anon_sym_val] = ACTIONS(6905),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6903),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6903),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6903),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11563),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2548),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10425),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6911),
    [anon_sym_and] = ACTIONS(6913),
    [anon_sym_EQ] = ACTIONS(7107),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6913),
    [anon_sym_type] = ACTIONS(6913),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6913),
    [anon_sym_module] = ACTIONS(6913),
    [anon_sym_open] = ACTIONS(6913),
    [anon_sym_include] = ACTIONS(6913),
    [anon_sym_class] = ACTIONS(6913),
    [anon_sym_val] = ACTIONS(6913),
    [anon_sym_end] = ACTIONS(6913),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6911),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6911),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6911),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11568),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2549),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10586),
    [aux_sym_let_binding_repeat1] = STATE(2550),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_EQ] = ACTIONS(7109),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_val] = ACTIONS(6753),
    [anon_sym_end] = ACTIONS(6753),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11573),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2550),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10361),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6921),
    [anon_sym_and] = ACTIONS(6923),
    [anon_sym_EQ] = ACTIONS(7111),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6923),
    [anon_sym_type] = ACTIONS(6923),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6923),
    [anon_sym_module] = ACTIONS(6923),
    [anon_sym_open] = ACTIONS(6923),
    [anon_sym_include] = ACTIONS(6923),
    [anon_sym_class] = ACTIONS(6923),
    [anon_sym_val] = ACTIONS(6923),
    [anon_sym_end] = ACTIONS(6923),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6921),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6921),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11558),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2551),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10366),
    [aux_sym_let_binding_repeat1] = STATE(2541),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6929),
    [anon_sym_and] = ACTIONS(6931),
    [anon_sym_EQ] = ACTIONS(7113),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6931),
    [anon_sym_type] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6929),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6931),
    [anon_sym_module] = ACTIONS(6931),
    [anon_sym_open] = ACTIONS(6931),
    [anon_sym_include] = ACTIONS(6931),
    [anon_sym_class] = ACTIONS(6931),
    [anon_sym_val] = ACTIONS(6931),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6929),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6929),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6929),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11543),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2552),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10515),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6891),
    [anon_sym_EQ] = ACTIONS(7115),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6891),
    [anon_sym_type] = ACTIONS(6891),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6889),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6891),
    [anon_sym_module] = ACTIONS(6891),
    [anon_sym_open] = ACTIONS(6891),
    [anon_sym_include] = ACTIONS(6891),
    [anon_sym_class] = ACTIONS(6891),
    [anon_sym_val] = ACTIONS(6891),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6889),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6889),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6889),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11554),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2553),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10586),
    [aux_sym_let_binding_repeat1] = STATE(2538),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6751),
    [anon_sym_and] = ACTIONS(6753),
    [anon_sym_EQ] = ACTIONS(7117),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6753),
    [anon_sym_type] = ACTIONS(6753),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6751),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6753),
    [anon_sym_module] = ACTIONS(6753),
    [anon_sym_open] = ACTIONS(6753),
    [anon_sym_include] = ACTIONS(6753),
    [anon_sym_class] = ACTIONS(6753),
    [anon_sym_val] = ACTIONS(6753),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6751),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6751),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11579),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2554),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10366),
    [aux_sym_let_binding_repeat1] = STATE(2540),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6929),
    [anon_sym_and] = ACTIONS(6931),
    [anon_sym_EQ] = ACTIONS(7119),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6931),
    [anon_sym_type] = ACTIONS(6931),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6931),
    [anon_sym_module] = ACTIONS(6931),
    [anon_sym_open] = ACTIONS(6931),
    [anon_sym_include] = ACTIONS(6931),
    [anon_sym_class] = ACTIONS(6931),
    [anon_sym_val] = ACTIONS(6931),
    [anon_sym_end] = ACTIONS(6931),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6929),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6929),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6929),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_parameter] = STATE(7902),
    [sym__class_typed] = STATE(11532),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2555),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_expression_item_repeat1] = STATE(10397),
    [aux_sym_let_binding_repeat1] = STATE(2552),
    [sym__identifier] = ACTIONS(7003),
    [anon_sym_SEMI_SEMI] = ACTIONS(6881),
    [anon_sym_and] = ACTIONS(6883),
    [anon_sym_EQ] = ACTIONS(7121),
    [anon_sym_TILDE] = ACTIONS(7007),
    [anon_sym_QMARK] = ACTIONS(7007),
    [anon_sym_LPAREN] = ACTIONS(7009),
    [anon_sym_external] = ACTIONS(6883),
    [anon_sym_type] = ACTIONS(6883),
    [anon_sym_LBRACK] = ACTIONS(7011),
    [anon_sym_RBRACK] = ACTIONS(6881),
    [anon_sym_true] = ACTIONS(7013),
    [anon_sym_false] = ACTIONS(7013),
    [anon_sym_COLON2] = ACTIONS(7015),
    [anon_sym_LBRACE] = ACTIONS(7017),
    [anon_sym_exception] = ACTIONS(6883),
    [anon_sym_module] = ACTIONS(6883),
    [anon_sym_open] = ACTIONS(6883),
    [anon_sym_include] = ACTIONS(6883),
    [anon_sym_class] = ACTIONS(6883),
    [anon_sym_val] = ACTIONS(6883),
    [anon_sym_POUND] = ACTIONS(7019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7021),
    [anon_sym_begin] = ACTIONS(7023),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7025),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7027),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6881),
    [aux_sym_number_token1] = ACTIONS(7029),
    [aux_sym_signed_number_token1] = ACTIONS(7031),
    [anon_sym_SQUOTE] = ACTIONS(7033),
    [anon_sym_DQUOTE] = ACTIONS(7035),
    [sym__capitalized_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7039),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_parameter] = STATE(7637),
    [sym__class_typed] = STATE(11529),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2556),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_expression_item_repeat1] = STATE(10426),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__identifier] = ACTIONS(7041),
    [anon_sym_SEMI_SEMI] = ACTIONS(6833),
    [anon_sym_and] = ACTIONS(6835),
    [anon_sym_EQ] = ACTIONS(7123),
    [anon_sym_TILDE] = ACTIONS(7045),
    [anon_sym_QMARK] = ACTIONS(7045),
    [anon_sym_LPAREN] = ACTIONS(7047),
    [anon_sym_external] = ACTIONS(6835),
    [anon_sym_type] = ACTIONS(6835),
    [anon_sym_LBRACK] = ACTIONS(7049),
    [anon_sym_true] = ACTIONS(7051),
    [anon_sym_false] = ACTIONS(7051),
    [anon_sym_COLON2] = ACTIONS(7053),
    [anon_sym_LBRACE] = ACTIONS(7055),
    [anon_sym_exception] = ACTIONS(6835),
    [anon_sym_module] = ACTIONS(6835),
    [anon_sym_open] = ACTIONS(6835),
    [anon_sym_include] = ACTIONS(6835),
    [anon_sym_class] = ACTIONS(6835),
    [anon_sym_val] = ACTIONS(6835),
    [anon_sym_end] = ACTIONS(6835),
    [anon_sym_POUND] = ACTIONS(7057),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7059),
    [anon_sym_begin] = ACTIONS(7061),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6833),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7063),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7065),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6833),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6833),
    [aux_sym_number_token1] = ACTIONS(7067),
    [aux_sym_signed_number_token1] = ACTIONS(7069),
    [anon_sym_SQUOTE] = ACTIONS(7071),
    [anon_sym_DQUOTE] = ACTIONS(7073),
    [sym__capitalized_identifier] = ACTIONS(7075),
    [aux_sym_tag_token1] = ACTIONS(7077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym__simple_pattern] = STATE(12790),
    [sym__pattern] = STATE(12801),
    [sym_alias_pattern] = STATE(12790),
    [sym_typed_pattern] = STATE(12797),
    [sym_or_pattern] = STATE(12790),
    [sym_constructor_pattern] = STATE(12790),
    [sym_tag_pattern] = STATE(12790),
    [sym_polymorphic_variant_pattern] = STATE(12797),
    [sym_tuple_pattern] = STATE(12790),
    [sym_record_pattern] = STATE(12797),
    [sym_list_pattern] = STATE(12797),
    [sym_cons_pattern] = STATE(12790),
    [sym_array_pattern] = STATE(12797),
    [sym_range_pattern] = STATE(12790),
    [sym_lazy_pattern] = STATE(12790),
    [sym_local_open_pattern] = STATE(12797),
    [sym_package_pattern] = STATE(12797),
    [sym_parenthesized_pattern] = STATE(12797),
    [sym_exception_pattern] = STATE(12790),
    [sym_attribute] = STATE(2557),
    [sym_extension] = STATE(12797),
    [sym_quoted_extension] = STATE(12797),
    [sym__constant] = STATE(12675),
    [sym__signed_constant] = STATE(12643),
    [sym_number] = STATE(11888),
    [sym_signed_number] = STATE(12675),
    [sym_character] = STATE(11888),
    [sym_string] = STATE(11888),
    [sym_quoted_string] = STATE(11888),
    [sym_boolean] = STATE(11888),
    [sym_unit] = STATE(11888),
    [sym__simple_value_pattern] = STATE(12797),
    [sym_parenthesized_operator] = STATE(12797),
    [sym_module_path] = STATE(18150),
    [sym_constructor_path] = STATE(2544),
    [sym__constructor_name] = STATE(8528),
    [sym_tag] = STATE(2557),
    [sym__identifier] = ACTIONS(5271),
    [anon_sym_EQ] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(5273),
    [anon_sym_RPAREN] = ACTIONS(7091),
    [anon_sym_COMMA] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7091),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_RBRACK] = ACTIONS(7091),
    [anon_sym_true] = ACTIONS(5281),
    [anon_sym_false] = ACTIONS(5281),
    [anon_sym_COLON2] = ACTIONS(7095),
    [anon_sym_DASH_GT] = ACTIONS(7091),
    [anon_sym_LBRACE] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(7091),
    [anon_sym_RBRACE] = ACTIONS(7091),
    [anon_sym_exception] = ACTIONS(5287),
    [anon_sym_as] = ACTIONS(7095),
    [anon_sym_POUND] = ACTIONS(7097),
    [anon_sym_COLON_COLON] = ACTIONS(7091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5295),
    [anon_sym_when] = ACTIONS(7095),
    [anon_sym_lazy] = ACTIONS(5297),
    [anon_sym_begin] = ACTIONS(5299),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(5301),
    [aux_sym_signed_number_token1] = ACTIONS(7099),
    [anon_sym_SQUOTE] = ACTIONS(5305),
    [anon_sym_DQUOTE] = ACTIONS(5307),
    [sym__capitalized_identifier] = ACTIONS(5311),
    [aux_sym_tag_token1] = ACTIONS(5313),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym_parameter] = STATE(7388),
    [sym__parenthesized_abstract_type] = STATE(7388),
    [sym__simple_pattern] = STATE(7389),
    [sym_typed_pattern] = STATE(7465),
    [sym_polymorphic_variant_pattern] = STATE(7465),
    [sym_record_pattern] = STATE(7465),
    [sym_list_pattern] = STATE(7465),
    [sym_array_pattern] = STATE(7465),
    [sym_local_open_pattern] = STATE(7465),
    [sym_package_pattern] = STATE(7465),
    [sym_parenthesized_pattern] = STATE(7465),
    [sym_attribute] = STATE(2558),
    [sym_extension] = STATE(7465),
    [sym_quoted_extension] = STATE(7465),
    [sym__constant] = STATE(7350),
    [sym__signed_constant] = STATE(7465),
    [sym_number] = STATE(7482),
    [sym_signed_number] = STATE(7350),
    [sym_character] = STATE(7482),
    [sym_string] = STATE(7482),
    [sym_quoted_string] = STATE(7482),
    [sym_boolean] = STATE(7482),
    [sym_unit] = STATE(7482),
    [sym__simple_value_pattern] = STATE(7465),
    [sym_parenthesized_operator] = STATE(7465),
    [sym_module_path] = STATE(18481),
    [sym_constructor_path] = STATE(7465),
    [sym__constructor_name] = STATE(7484),
    [sym_tag] = STATE(7465),
    [aux_sym_let_binding_repeat1] = STATE(2558),
    [sym__identifier] = ACTIONS(7125),
    [anon_sym_SEMI_SEMI] = ACTIONS(7128),
    [anon_sym_let] = ACTIONS(7130),
    [anon_sym_and] = ACTIONS(7130),
    [anon_sym_EQ] = ACTIONS(7128),
    [anon_sym_TILDE] = ACTIONS(7132),
    [anon_sym_QMARK] = ACTIONS(7132),
    [anon_sym_LPAREN] = ACTIONS(7135),
    [anon_sym_external] = ACTIONS(7130),
    [anon_sym_type] = ACTIONS(7130),
    [anon_sym_LBRACK] = ACTIONS(7138),
    [anon_sym_true] = ACTIONS(7141),
    [anon_sym_false] = ACTIONS(7141),
    [anon_sym_COLON2] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(7144),
    [anon_sym_exception] = ACTIONS(7130),
    [anon_sym_module] = ACTIONS(7130),
    [anon_sym_open] = ACTIONS(7130),
    [anon_sym_include] = ACTIONS(7130),
    [anon_sym_class] = ACTIONS(7130),
    [anon_sym_end] = ACTIONS(7130),
    [anon_sym_POUND] = ACTIONS(7147),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7150),
    [anon_sym_begin] = ACTIONS(7153),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7130),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7128),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7156),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7159),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7128),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7128),
    [aux_sym_number_token1] = ACTIONS(7162),
    [aux_sym_signed_number_token1] = ACTIONS(7165),
    [anon_sym_SQUOTE] = ACTIONS(7168),
    [anon_sym_DQUOTE] = ACTIONS(7171),
    [sym_let_operator] = ACTIONS(7128),
    [sym__capitalized_identifier] = ACTIONS(7174),
    [aux_sym_directive_token1] = ACTIONS(7130),
    [aux_sym_tag_token1] = ACTIONS(7177),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_parameter] = STATE(7491),
    [sym__parenthesized_abstract_type] = STATE(7491),
    [sym__simple_pattern] = STATE(7493),
    [sym_typed_pattern] = STATE(7365),
    [sym_polymorphic_variant_pattern] = STATE(7365),
    [sym_record_pattern] = STATE(7365),
    [sym_list_pattern] = STATE(7365),
    [sym_array_pattern] = STATE(7365),
    [sym_local_open_pattern] = STATE(7365),
    [sym_package_pattern] = STATE(7365),
    [sym_parenthesized_pattern] = STATE(7365),
    [sym_attribute] = STATE(2559),
    [sym_extension] = STATE(7365),
    [sym_quoted_extension] = STATE(7365),
    [sym__constant] = STATE(7382),
    [sym__signed_constant] = STATE(7365),
    [sym_number] = STATE(7406),
    [sym_signed_number] = STATE(7382),
    [sym_character] = STATE(7406),
    [sym_string] = STATE(7406),
    [sym_quoted_string] = STATE(7406),
    [sym_boolean] = STATE(7406),
    [sym_unit] = STATE(7406),
    [sym__simple_value_pattern] = STATE(7365),
    [sym_parenthesized_operator] = STATE(7365),
    [sym_module_path] = STATE(17512),
    [sym_constructor_path] = STATE(7365),
    [sym__constructor_name] = STATE(7476),
    [sym_tag] = STATE(7365),
    [aux_sym_let_binding_repeat1] = STATE(2559),
    [sym__identifier] = ACTIONS(7180),
    [anon_sym_SEMI_SEMI] = ACTIONS(7128),
    [anon_sym_let] = ACTIONS(7130),
    [anon_sym_and] = ACTIONS(7130),
    [anon_sym_EQ] = ACTIONS(7128),
    [anon_sym_TILDE] = ACTIONS(7183),
    [anon_sym_QMARK] = ACTIONS(7183),
    [anon_sym_LPAREN] = ACTIONS(7186),
    [anon_sym_external] = ACTIONS(7130),
    [anon_sym_type] = ACTIONS(7130),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym_RBRACK] = ACTIONS(7128),
    [anon_sym_true] = ACTIONS(7192),
    [anon_sym_false] = ACTIONS(7192),
    [anon_sym_COLON2] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(7195),
    [anon_sym_exception] = ACTIONS(7130),
    [anon_sym_module] = ACTIONS(7130),
    [anon_sym_open] = ACTIONS(7130),
    [anon_sym_include] = ACTIONS(7130),
    [anon_sym_class] = ACTIONS(7130),
    [anon_sym_POUND] = ACTIONS(7198),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7201),
    [anon_sym_begin] = ACTIONS(7204),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7130),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7128),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7207),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7210),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7128),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7128),
    [aux_sym_number_token1] = ACTIONS(7213),
    [aux_sym_signed_number_token1] = ACTIONS(7216),
    [anon_sym_SQUOTE] = ACTIONS(7219),
    [anon_sym_DQUOTE] = ACTIONS(7222),
    [sym_let_operator] = ACTIONS(7128),
    [sym__capitalized_identifier] = ACTIONS(7225),
    [aux_sym_directive_token1] = ACTIONS(7130),
    [aux_sym_tag_token1] = ACTIONS(7228),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_parameter] = STATE(7902),
    [sym__parenthesized_abstract_type] = STATE(7902),
    [sym__simple_pattern] = STATE(7907),
    [sym_typed_pattern] = STATE(7631),
    [sym_polymorphic_variant_pattern] = STATE(7631),
    [sym_record_pattern] = STATE(7631),
    [sym_list_pattern] = STATE(7631),
    [sym_array_pattern] = STATE(7631),
    [sym_local_open_pattern] = STATE(7631),
    [sym_package_pattern] = STATE(7631),
    [sym_parenthesized_pattern] = STATE(7631),
    [sym_attribute] = STATE(2560),
    [sym_extension] = STATE(7631),
    [sym_quoted_extension] = STATE(7631),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7631),
    [sym_number] = STATE(7834),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7834),
    [sym_string] = STATE(7834),
    [sym_quoted_string] = STATE(7834),
    [sym_boolean] = STATE(7834),
    [sym_unit] = STATE(7834),
    [sym__simple_value_pattern] = STATE(7631),
    [sym_parenthesized_operator] = STATE(7631),
    [sym_module_path] = STATE(19142),
    [sym_constructor_path] = STATE(7631),
    [sym__constructor_name] = STATE(7757),
    [sym_tag] = STATE(7631),
    [aux_sym_let_binding_repeat1] = STATE(2560),
    [sym__identifier] = ACTIONS(7231),
    [anon_sym_SEMI_SEMI] = ACTIONS(7128),
    [anon_sym_and] = ACTIONS(7130),
    [anon_sym_EQ] = ACTIONS(7128),
    [anon_sym_TILDE] = ACTIONS(7234),
    [anon_sym_QMARK] = ACTIONS(7234),
    [anon_sym_LPAREN] = ACTIONS(7237),
    [anon_sym_external] = ACTIONS(7130),
    [anon_sym_type] = ACTIONS(7130),
    [anon_sym_LBRACK] = ACTIONS(7240),
    [anon_sym_RBRACK] = ACTIONS(7128),
    [anon_sym_true] = ACTIONS(7243),
    [anon_sym_false] = ACTIONS(7243),
    [anon_sym_COLON2] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(7246),
    [anon_sym_exception] = ACTIONS(7130),
    [anon_sym_module] = ACTIONS(7130),
    [anon_sym_open] = ACTIONS(7130),
    [anon_sym_include] = ACTIONS(7130),
    [anon_sym_class] = ACTIONS(7130),
    [anon_sym_val] = ACTIONS(7130),
    [anon_sym_POUND] = ACTIONS(7249),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7252),
    [anon_sym_begin] = ACTIONS(7255),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7130),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7128),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7258),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7261),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7128),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7128),
    [aux_sym_number_token1] = ACTIONS(7264),
    [aux_sym_signed_number_token1] = ACTIONS(7267),
    [anon_sym_SQUOTE] = ACTIONS(7270),
    [anon_sym_DQUOTE] = ACTIONS(7273),
    [sym__capitalized_identifier] = ACTIONS(7276),
    [aux_sym_tag_token1] = ACTIONS(7279),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym__binding_pattern] = STATE(8695),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2561),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_in] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_parameter] = STATE(7637),
    [sym__parenthesized_abstract_type] = STATE(7637),
    [sym__simple_pattern] = STATE(7639),
    [sym_typed_pattern] = STATE(7802),
    [sym_polymorphic_variant_pattern] = STATE(7802),
    [sym_record_pattern] = STATE(7802),
    [sym_list_pattern] = STATE(7802),
    [sym_array_pattern] = STATE(7802),
    [sym_local_open_pattern] = STATE(7802),
    [sym_package_pattern] = STATE(7802),
    [sym_parenthesized_pattern] = STATE(7802),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(7802),
    [sym_quoted_extension] = STATE(7802),
    [sym__constant] = STATE(7863),
    [sym__signed_constant] = STATE(7802),
    [sym_number] = STATE(7752),
    [sym_signed_number] = STATE(7863),
    [sym_character] = STATE(7752),
    [sym_string] = STATE(7752),
    [sym_quoted_string] = STATE(7752),
    [sym_boolean] = STATE(7752),
    [sym_unit] = STATE(7752),
    [sym__simple_value_pattern] = STATE(7802),
    [sym_parenthesized_operator] = STATE(7802),
    [sym_module_path] = STATE(18076),
    [sym_constructor_path] = STATE(7802),
    [sym__constructor_name] = STATE(7761),
    [sym_tag] = STATE(7802),
    [aux_sym_let_binding_repeat1] = STATE(2562),
    [sym__identifier] = ACTIONS(7316),
    [anon_sym_SEMI_SEMI] = ACTIONS(7128),
    [anon_sym_and] = ACTIONS(7130),
    [anon_sym_EQ] = ACTIONS(7128),
    [anon_sym_TILDE] = ACTIONS(7319),
    [anon_sym_QMARK] = ACTIONS(7319),
    [anon_sym_LPAREN] = ACTIONS(7322),
    [anon_sym_external] = ACTIONS(7130),
    [anon_sym_type] = ACTIONS(7130),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym_true] = ACTIONS(7328),
    [anon_sym_false] = ACTIONS(7328),
    [anon_sym_COLON2] = ACTIONS(7128),
    [anon_sym_LBRACE] = ACTIONS(7331),
    [anon_sym_exception] = ACTIONS(7130),
    [anon_sym_module] = ACTIONS(7130),
    [anon_sym_open] = ACTIONS(7130),
    [anon_sym_include] = ACTIONS(7130),
    [anon_sym_class] = ACTIONS(7130),
    [anon_sym_val] = ACTIONS(7130),
    [anon_sym_end] = ACTIONS(7130),
    [anon_sym_POUND] = ACTIONS(7334),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7337),
    [anon_sym_begin] = ACTIONS(7340),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7130),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7128),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7343),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7346),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7128),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7128),
    [aux_sym_number_token1] = ACTIONS(7349),
    [aux_sym_signed_number_token1] = ACTIONS(7352),
    [anon_sym_SQUOTE] = ACTIONS(7355),
    [anon_sym_DQUOTE] = ACTIONS(7358),
    [sym__capitalized_identifier] = ACTIONS(7361),
    [aux_sym_tag_token1] = ACTIONS(7364),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym__binding_pattern] = STATE(8716),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_and] = ACTIONS(4975),
    [anon_sym_COLON_GT] = ACTIONS(4973),
    [anon_sym_EQ] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4973),
    [anon_sym_QMARK] = ACTIONS(4973),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_COMMA] = ACTIONS(4973),
    [anon_sym_PIPE] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_COLON2] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_in] = ACTIONS(4975),
    [anon_sym_as] = ACTIONS(4975),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_COLON_COLON] = ACTIONS(4973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4973),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym_let_and_operator] = ACTIONS(4973),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym_parameter] = STATE(8685),
    [sym__polymorphic_typed] = STATE(12671),
    [sym__parenthesized_abstract_type] = STATE(8685),
    [sym__simple_pattern] = STATE(8686),
    [sym_typed_pattern] = STATE(8457),
    [sym_polymorphic_variant_pattern] = STATE(8457),
    [sym_record_pattern] = STATE(8457),
    [sym_list_pattern] = STATE(8457),
    [sym_array_pattern] = STATE(8457),
    [sym_local_open_pattern] = STATE(8457),
    [sym_package_pattern] = STATE(8457),
    [sym_parenthesized_pattern] = STATE(8457),
    [sym_attribute] = STATE(2564),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(8457),
    [sym_quoted_extension] = STATE(8457),
    [sym__constant] = STATE(8675),
    [sym__signed_constant] = STATE(8457),
    [sym_number] = STATE(8538),
    [sym_signed_number] = STATE(8675),
    [sym_character] = STATE(8538),
    [sym_string] = STATE(8538),
    [sym_quoted_string] = STATE(8538),
    [sym_boolean] = STATE(8538),
    [sym_unit] = STATE(8538),
    [sym__simple_value_pattern] = STATE(8457),
    [sym_parenthesized_operator] = STATE(8457),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(8457),
    [sym__constructor_name] = STATE(8541),
    [sym_tag] = STATE(8457),
    [aux_sym_expression_item_repeat1] = STATE(12778),
    [aux_sym_let_binding_repeat1] = STATE(2567),
    [sym__identifier] = ACTIONS(7367),
    [anon_sym_EQ] = ACTIONS(7369),
    [anon_sym_TILDE] = ACTIONS(7371),
    [anon_sym_QMARK] = ACTIONS(7371),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(7375),
    [anon_sym_true] = ACTIONS(7377),
    [anon_sym_false] = ACTIONS(7377),
    [anon_sym_COLON2] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_constraint] = ACTIONS(7383),
    [anon_sym_val] = ACTIONS(7383),
    [anon_sym_end] = ACTIONS(7383),
    [anon_sym_inherit] = ACTIONS(7383),
    [anon_sym_method] = ACTIONS(7383),
    [anon_sym_initializer] = ACTIONS(7383),
    [anon_sym_POUND] = ACTIONS(7385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7387),
    [anon_sym_begin] = ACTIONS(7389),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7391),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7393),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7395),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7391),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7391),
    [aux_sym_number_token1] = ACTIONS(7397),
    [aux_sym_signed_number_token1] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7401),
    [anon_sym_DQUOTE] = ACTIONS(7403),
    [sym__capitalized_identifier] = ACTIONS(7405),
    [aux_sym_tag_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym_parameter] = STATE(8685),
    [sym__polymorphic_typed] = STATE(12708),
    [sym__parenthesized_abstract_type] = STATE(8685),
    [sym__simple_pattern] = STATE(8686),
    [sym_typed_pattern] = STATE(8457),
    [sym_polymorphic_variant_pattern] = STATE(8457),
    [sym_record_pattern] = STATE(8457),
    [sym_list_pattern] = STATE(8457),
    [sym_array_pattern] = STATE(8457),
    [sym_local_open_pattern] = STATE(8457),
    [sym_package_pattern] = STATE(8457),
    [sym_parenthesized_pattern] = STATE(8457),
    [sym_attribute] = STATE(2565),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(8457),
    [sym_quoted_extension] = STATE(8457),
    [sym__constant] = STATE(8675),
    [sym__signed_constant] = STATE(8457),
    [sym_number] = STATE(8538),
    [sym_signed_number] = STATE(8675),
    [sym_character] = STATE(8538),
    [sym_string] = STATE(8538),
    [sym_quoted_string] = STATE(8538),
    [sym_boolean] = STATE(8538),
    [sym_unit] = STATE(8538),
    [sym__simple_value_pattern] = STATE(8457),
    [sym_parenthesized_operator] = STATE(8457),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(8457),
    [sym__constructor_name] = STATE(8541),
    [sym_tag] = STATE(8457),
    [aux_sym_expression_item_repeat1] = STATE(12794),
    [aux_sym_let_binding_repeat1] = STATE(2672),
    [sym__identifier] = ACTIONS(7367),
    [anon_sym_EQ] = ACTIONS(7409),
    [anon_sym_TILDE] = ACTIONS(7371),
    [anon_sym_QMARK] = ACTIONS(7371),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(7375),
    [anon_sym_true] = ACTIONS(7377),
    [anon_sym_false] = ACTIONS(7377),
    [anon_sym_COLON2] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_constraint] = ACTIONS(7411),
    [anon_sym_val] = ACTIONS(7411),
    [anon_sym_end] = ACTIONS(7411),
    [anon_sym_inherit] = ACTIONS(7411),
    [anon_sym_method] = ACTIONS(7411),
    [anon_sym_initializer] = ACTIONS(7411),
    [anon_sym_POUND] = ACTIONS(7385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7387),
    [anon_sym_begin] = ACTIONS(7389),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7413),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7393),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7395),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7413),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7413),
    [aux_sym_number_token1] = ACTIONS(7397),
    [aux_sym_signed_number_token1] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7401),
    [anon_sym_DQUOTE] = ACTIONS(7403),
    [sym__capitalized_identifier] = ACTIONS(7405),
    [aux_sym_tag_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym_parameter] = STATE(8685),
    [sym__polymorphic_typed] = STATE(12658),
    [sym__parenthesized_abstract_type] = STATE(8685),
    [sym__simple_pattern] = STATE(8686),
    [sym_typed_pattern] = STATE(8457),
    [sym_polymorphic_variant_pattern] = STATE(8457),
    [sym_record_pattern] = STATE(8457),
    [sym_list_pattern] = STATE(8457),
    [sym_array_pattern] = STATE(8457),
    [sym_local_open_pattern] = STATE(8457),
    [sym_package_pattern] = STATE(8457),
    [sym_parenthesized_pattern] = STATE(8457),
    [sym_attribute] = STATE(2566),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(8457),
    [sym_quoted_extension] = STATE(8457),
    [sym__constant] = STATE(8675),
    [sym__signed_constant] = STATE(8457),
    [sym_number] = STATE(8538),
    [sym_signed_number] = STATE(8675),
    [sym_character] = STATE(8538),
    [sym_string] = STATE(8538),
    [sym_quoted_string] = STATE(8538),
    [sym_boolean] = STATE(8538),
    [sym_unit] = STATE(8538),
    [sym__simple_value_pattern] = STATE(8457),
    [sym_parenthesized_operator] = STATE(8457),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(8457),
    [sym__constructor_name] = STATE(8541),
    [sym_tag] = STATE(8457),
    [aux_sym_expression_item_repeat1] = STATE(12727),
    [aux_sym_let_binding_repeat1] = STATE(2568),
    [sym__identifier] = ACTIONS(7367),
    [anon_sym_EQ] = ACTIONS(7415),
    [anon_sym_TILDE] = ACTIONS(7371),
    [anon_sym_QMARK] = ACTIONS(7371),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(7375),
    [anon_sym_true] = ACTIONS(7377),
    [anon_sym_false] = ACTIONS(7377),
    [anon_sym_COLON2] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_constraint] = ACTIONS(7417),
    [anon_sym_val] = ACTIONS(7417),
    [anon_sym_end] = ACTIONS(7417),
    [anon_sym_inherit] = ACTIONS(7417),
    [anon_sym_method] = ACTIONS(7417),
    [anon_sym_initializer] = ACTIONS(7417),
    [anon_sym_POUND] = ACTIONS(7385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7387),
    [anon_sym_begin] = ACTIONS(7389),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7419),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7393),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7395),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7419),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7419),
    [aux_sym_number_token1] = ACTIONS(7397),
    [aux_sym_signed_number_token1] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7401),
    [anon_sym_DQUOTE] = ACTIONS(7403),
    [sym__capitalized_identifier] = ACTIONS(7405),
    [aux_sym_tag_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym_parameter] = STATE(8685),
    [sym__polymorphic_typed] = STATE(12710),
    [sym__parenthesized_abstract_type] = STATE(8685),
    [sym__simple_pattern] = STATE(8686),
    [sym_typed_pattern] = STATE(8457),
    [sym_polymorphic_variant_pattern] = STATE(8457),
    [sym_record_pattern] = STATE(8457),
    [sym_list_pattern] = STATE(8457),
    [sym_array_pattern] = STATE(8457),
    [sym_local_open_pattern] = STATE(8457),
    [sym_package_pattern] = STATE(8457),
    [sym_parenthesized_pattern] = STATE(8457),
    [sym_attribute] = STATE(2567),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(8457),
    [sym_quoted_extension] = STATE(8457),
    [sym__constant] = STATE(8675),
    [sym__signed_constant] = STATE(8457),
    [sym_number] = STATE(8538),
    [sym_signed_number] = STATE(8675),
    [sym_character] = STATE(8538),
    [sym_string] = STATE(8538),
    [sym_quoted_string] = STATE(8538),
    [sym_boolean] = STATE(8538),
    [sym_unit] = STATE(8538),
    [sym__simple_value_pattern] = STATE(8457),
    [sym_parenthesized_operator] = STATE(8457),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(8457),
    [sym__constructor_name] = STATE(8541),
    [sym_tag] = STATE(8457),
    [aux_sym_expression_item_repeat1] = STATE(12886),
    [aux_sym_let_binding_repeat1] = STATE(2672),
    [sym__identifier] = ACTIONS(7367),
    [anon_sym_EQ] = ACTIONS(7421),
    [anon_sym_TILDE] = ACTIONS(7371),
    [anon_sym_QMARK] = ACTIONS(7371),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(7375),
    [anon_sym_true] = ACTIONS(7377),
    [anon_sym_false] = ACTIONS(7377),
    [anon_sym_COLON2] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_constraint] = ACTIONS(7423),
    [anon_sym_val] = ACTIONS(7423),
    [anon_sym_end] = ACTIONS(7423),
    [anon_sym_inherit] = ACTIONS(7423),
    [anon_sym_method] = ACTIONS(7423),
    [anon_sym_initializer] = ACTIONS(7423),
    [anon_sym_POUND] = ACTIONS(7385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7387),
    [anon_sym_begin] = ACTIONS(7389),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7425),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7393),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7395),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7425),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7425),
    [aux_sym_number_token1] = ACTIONS(7397),
    [aux_sym_signed_number_token1] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7401),
    [anon_sym_DQUOTE] = ACTIONS(7403),
    [sym__capitalized_identifier] = ACTIONS(7405),
    [aux_sym_tag_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym_parameter] = STATE(8685),
    [sym__polymorphic_typed] = STATE(12684),
    [sym__parenthesized_abstract_type] = STATE(8685),
    [sym__simple_pattern] = STATE(8686),
    [sym_typed_pattern] = STATE(8457),
    [sym_polymorphic_variant_pattern] = STATE(8457),
    [sym_record_pattern] = STATE(8457),
    [sym_list_pattern] = STATE(8457),
    [sym_array_pattern] = STATE(8457),
    [sym_local_open_pattern] = STATE(8457),
    [sym_package_pattern] = STATE(8457),
    [sym_parenthesized_pattern] = STATE(8457),
    [sym_attribute] = STATE(2568),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(8457),
    [sym_quoted_extension] = STATE(8457),
    [sym__constant] = STATE(8675),
    [sym__signed_constant] = STATE(8457),
    [sym_number] = STATE(8538),
    [sym_signed_number] = STATE(8675),
    [sym_character] = STATE(8538),
    [sym_string] = STATE(8538),
    [sym_quoted_string] = STATE(8538),
    [sym_boolean] = STATE(8538),
    [sym_unit] = STATE(8538),
    [sym__simple_value_pattern] = STATE(8457),
    [sym_parenthesized_operator] = STATE(8457),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(8457),
    [sym__constructor_name] = STATE(8541),
    [sym_tag] = STATE(8457),
    [aux_sym_expression_item_repeat1] = STATE(12889),
    [aux_sym_let_binding_repeat1] = STATE(2672),
    [sym__identifier] = ACTIONS(7367),
    [anon_sym_EQ] = ACTIONS(7427),
    [anon_sym_TILDE] = ACTIONS(7371),
    [anon_sym_QMARK] = ACTIONS(7371),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(7375),
    [anon_sym_true] = ACTIONS(7377),
    [anon_sym_false] = ACTIONS(7377),
    [anon_sym_COLON2] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_constraint] = ACTIONS(7429),
    [anon_sym_val] = ACTIONS(7429),
    [anon_sym_end] = ACTIONS(7429),
    [anon_sym_inherit] = ACTIONS(7429),
    [anon_sym_method] = ACTIONS(7429),
    [anon_sym_initializer] = ACTIONS(7429),
    [anon_sym_POUND] = ACTIONS(7385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7387),
    [anon_sym_begin] = ACTIONS(7389),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7431),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7393),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7395),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7431),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7431),
    [aux_sym_number_token1] = ACTIONS(7397),
    [aux_sym_signed_number_token1] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7401),
    [anon_sym_DQUOTE] = ACTIONS(7403),
    [sym__capitalized_identifier] = ACTIONS(7405),
    [aux_sym_tag_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym_parameter] = STATE(8685),
    [sym__polymorphic_typed] = STATE(12700),
    [sym__parenthesized_abstract_type] = STATE(8685),
    [sym__simple_pattern] = STATE(8686),
    [sym_typed_pattern] = STATE(8457),
    [sym_polymorphic_variant_pattern] = STATE(8457),
    [sym_record_pattern] = STATE(8457),
    [sym_list_pattern] = STATE(8457),
    [sym_array_pattern] = STATE(8457),
    [sym_local_open_pattern] = STATE(8457),
    [sym_package_pattern] = STATE(8457),
    [sym_parenthesized_pattern] = STATE(8457),
    [sym_attribute] = STATE(2569),
    [sym_item_attribute] = STATE(10022),
    [sym_extension] = STATE(8457),
    [sym_quoted_extension] = STATE(8457),
    [sym__constant] = STATE(8675),
    [sym__signed_constant] = STATE(8457),
    [sym_number] = STATE(8538),
    [sym_signed_number] = STATE(8675),
    [sym_character] = STATE(8538),
    [sym_string] = STATE(8538),
    [sym_quoted_string] = STATE(8538),
    [sym_boolean] = STATE(8538),
    [sym_unit] = STATE(8538),
    [sym__simple_value_pattern] = STATE(8457),
    [sym_parenthesized_operator] = STATE(8457),
    [sym_module_path] = STATE(17591),
    [sym_constructor_path] = STATE(8457),
    [sym__constructor_name] = STATE(8541),
    [sym_tag] = STATE(8457),
    [aux_sym_expression_item_repeat1] = STATE(12894),
    [aux_sym_let_binding_repeat1] = STATE(2565),
    [sym__identifier] = ACTIONS(7367),
    [anon_sym_EQ] = ACTIONS(7433),
    [anon_sym_TILDE] = ACTIONS(7371),
    [anon_sym_QMARK] = ACTIONS(7371),
    [anon_sym_LPAREN] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(7375),
    [anon_sym_true] = ACTIONS(7377),
    [anon_sym_false] = ACTIONS(7377),
    [anon_sym_COLON2] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(7381),
    [anon_sym_constraint] = ACTIONS(7435),
    [anon_sym_val] = ACTIONS(7435),
    [anon_sym_end] = ACTIONS(7435),
    [anon_sym_inherit] = ACTIONS(7435),
    [anon_sym_method] = ACTIONS(7435),
    [anon_sym_initializer] = ACTIONS(7435),
    [anon_sym_POUND] = ACTIONS(7385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7387),
    [anon_sym_begin] = ACTIONS(7389),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6775),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7437),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7393),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7395),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7437),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7437),
    [aux_sym_number_token1] = ACTIONS(7397),
    [aux_sym_signed_number_token1] = ACTIONS(7399),
    [anon_sym_SQUOTE] = ACTIONS(7401),
    [anon_sym_DQUOTE] = ACTIONS(7403),
    [sym__capitalized_identifier] = ACTIONS(7405),
    [aux_sym_tag_token1] = ACTIONS(7407),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(20138),
    [sym_module_definition] = STATE(20139),
    [sym_open_module] = STATE(20148),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17737),
    [sym_module_definition] = STATE(17738),
    [sym_open_module] = STATE(17749),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19757),
    [sym_module_definition] = STATE(19771),
    [sym_open_module] = STATE(19773),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19944),
    [sym_module_definition] = STATE(19949),
    [sym_open_module] = STATE(19953),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2573),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17526),
    [sym_module_definition] = STATE(17527),
    [sym_open_module] = STATE(17530),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2574),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19163),
    [sym_module_definition] = STATE(19164),
    [sym_open_module] = STATE(19169),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19822),
    [sym_module_definition] = STATE(19829),
    [sym_open_module] = STATE(19879),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19634),
    [sym_module_definition] = STATE(19635),
    [sym_open_module] = STATE(19636),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2577),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19776),
    [sym_module_definition] = STATE(17316),
    [sym_open_module] = STATE(17531),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2578),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17450),
    [sym_module_definition] = STATE(17451),
    [sym_open_module] = STATE(17454),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(18529),
    [sym_module_definition] = STATE(18530),
    [sym_open_module] = STATE(18541),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2580),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19889),
    [sym_module_definition] = STATE(19894),
    [sym_open_module] = STATE(19903),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2581),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17608),
    [sym_module_definition] = STATE(17609),
    [sym_open_module] = STATE(17614),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2582),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19716),
    [sym_module_definition] = STATE(19717),
    [sym_open_module] = STATE(19720),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17988),
    [sym_module_definition] = STATE(17989),
    [sym_open_module] = STATE(17993),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(18394),
    [sym_module_definition] = STATE(18395),
    [sym_open_module] = STATE(18399),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(18968),
    [sym_module_definition] = STATE(18969),
    [sym_open_module] = STATE(18973),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19211),
    [sym_module_definition] = STATE(19212),
    [sym_open_module] = STATE(19213),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19566),
    [sym_module_definition] = STATE(19568),
    [sym_open_module] = STATE(19575),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19980),
    [sym_module_definition] = STATE(19981),
    [sym_open_module] = STATE(19983),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17573),
    [sym_module_definition] = STATE(17646),
    [sym_open_module] = STATE(19277),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17703),
    [sym_module_definition] = STATE(17757),
    [sym_open_module] = STATE(17793),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(18762),
    [sym_module_definition] = STATE(18788),
    [sym_open_module] = STATE(18822),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym__parenthesized_abstract_type] = STATE(4135),
    [sym__simple_pattern] = STATE(13891),
    [sym__pattern] = STATE(13896),
    [sym_alias_pattern] = STATE(13891),
    [sym_typed_pattern] = STATE(13673),
    [sym_or_pattern] = STATE(13891),
    [sym_constructor_pattern] = STATE(13891),
    [sym_tag_pattern] = STATE(13891),
    [sym_polymorphic_variant_pattern] = STATE(13673),
    [sym_tuple_pattern] = STATE(13891),
    [sym_record_pattern] = STATE(13673),
    [sym_list_pattern] = STATE(13673),
    [sym_cons_pattern] = STATE(13891),
    [sym_array_pattern] = STATE(13673),
    [sym_range_pattern] = STATE(13891),
    [sym_lazy_pattern] = STATE(13891),
    [sym_local_open_pattern] = STATE(13673),
    [sym_package_pattern] = STATE(13673),
    [sym_parenthesized_pattern] = STATE(13673),
    [sym_exception_pattern] = STATE(13891),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(13673),
    [sym_quoted_extension] = STATE(13673),
    [sym__constant] = STATE(13540),
    [sym__signed_constant] = STATE(13575),
    [sym_number] = STATE(13320),
    [sym_signed_number] = STATE(13540),
    [sym_character] = STATE(13320),
    [sym_string] = STATE(13320),
    [sym_quoted_string] = STATE(13320),
    [sym_boolean] = STATE(13320),
    [sym_unit] = STATE(13320),
    [sym__simple_value_pattern] = STATE(13673),
    [sym_parenthesized_operator] = STATE(13673),
    [sym_module_path] = STATE(19800),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(9453),
    [sym_tag] = STATE(2624),
    [sym__identifier] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7451),
    [anon_sym_COMMA] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_true] = ACTIONS(7455),
    [anon_sym_false] = ACTIONS(7455),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [anon_sym_SEMI] = ACTIONS(7091),
    [anon_sym_exception] = ACTIONS(7459),
    [anon_sym_as] = ACTIONS(7095),
    [anon_sym_POUND] = ACTIONS(7461),
    [anon_sym_COLON_COLON] = ACTIONS(7091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7463),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7091),
    [anon_sym_lazy] = ACTIONS(7465),
    [anon_sym_begin] = ACTIONS(7467),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7469),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7471),
    [aux_sym_number_token1] = ACTIONS(7473),
    [aux_sym_signed_number_token1] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7477),
    [anon_sym_DQUOTE] = ACTIONS(7479),
    [sym__capitalized_identifier] = ACTIONS(7481),
    [aux_sym_tag_token1] = ACTIONS(7483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19196),
    [sym_module_definition] = STATE(19202),
    [sym_open_module] = STATE(19205),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2594),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(20150),
    [sym_module_definition] = STATE(20152),
    [sym_open_module] = STATE(20153),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2595),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17650),
    [sym_module_definition] = STATE(17661),
    [sym_open_module] = STATE(17676),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2596),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19508),
    [sym_module_definition] = STATE(19537),
    [sym_open_module] = STATE(19561),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17726),
    [sym_module_definition] = STATE(17732),
    [sym_open_module] = STATE(17734),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2598),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(18465),
    [sym_module_definition] = STATE(18497),
    [sym_open_module] = STATE(18502),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19239),
    [sym_module_definition] = STATE(19241),
    [sym_open_module] = STATE(19243),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2600),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19580),
    [sym_module_definition] = STATE(19581),
    [sym_open_module] = STATE(19582),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(20072),
    [sym_module_definition] = STATE(20078),
    [sym_open_module] = STATE(20080),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17754),
    [sym_module_definition] = STATE(17863),
    [sym_open_module] = STATE(17881),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17334),
    [sym_module_definition] = STATE(17336),
    [sym_open_module] = STATE(17337),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17939),
    [sym_module_definition] = STATE(17965),
    [sym_open_module] = STATE(17986),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(18772),
    [sym_module_definition] = STATE(18774),
    [sym_open_module] = STATE(18781),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19696),
    [sym_module_definition] = STATE(19700),
    [sym_open_module] = STATE(19710),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17420),
    [sym_module_definition] = STATE(17423),
    [sym_open_module] = STATE(17426),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17634),
    [sym_module_definition] = STATE(17635),
    [sym_open_module] = STATE(17637),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17866),
    [sym_module_definition] = STATE(17871),
    [sym_open_module] = STATE(17873),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(18094),
    [sym_module_definition] = STATE(18095),
    [sym_open_module] = STATE(18101),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2611),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(18229),
    [sym_module_definition] = STATE(18230),
    [sym_open_module] = STATE(18233),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19597),
    [sym_module_definition] = STATE(19598),
    [sym_open_module] = STATE(19600),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(20112),
    [sym_module_definition] = STATE(20125),
    [sym_open_module] = STATE(20126),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym_parameter] = STATE(9955),
    [sym__polymorphic_typed] = STATE(17058),
    [sym__parenthesized_abstract_type] = STATE(9955),
    [sym__simple_pattern] = STATE(10013),
    [sym_typed_pattern] = STATE(10081),
    [sym_polymorphic_variant_pattern] = STATE(10081),
    [sym_record_pattern] = STATE(10081),
    [sym_list_pattern] = STATE(10081),
    [sym_array_pattern] = STATE(10081),
    [sym_local_open_pattern] = STATE(10081),
    [sym_package_pattern] = STATE(10081),
    [sym_parenthesized_pattern] = STATE(10081),
    [sym_attribute] = STATE(2615),
    [sym_item_attribute] = STATE(14493),
    [sym_extension] = STATE(10081),
    [sym_quoted_extension] = STATE(10081),
    [sym__constant] = STATE(10019),
    [sym__signed_constant] = STATE(10081),
    [sym_number] = STATE(9958),
    [sym_signed_number] = STATE(10019),
    [sym_character] = STATE(9958),
    [sym_string] = STATE(9958),
    [sym_quoted_string] = STATE(9958),
    [sym_boolean] = STATE(9958),
    [sym_unit] = STATE(9958),
    [sym__simple_value_pattern] = STATE(10081),
    [sym_parenthesized_operator] = STATE(10081),
    [sym_module_path] = STATE(19026),
    [sym_constructor_path] = STATE(10081),
    [sym__constructor_name] = STATE(8298),
    [sym_tag] = STATE(10081),
    [aux_sym_expression_item_repeat1] = STATE(13795),
    [aux_sym_let_binding_repeat1] = STATE(4566),
    [sym__identifier] = ACTIONS(5415),
    [anon_sym_and] = ACTIONS(5419),
    [anon_sym_COLON_GT] = ACTIONS(7485),
    [anon_sym_EQ] = ACTIONS(7487),
    [anon_sym_TILDE] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5427),
    [anon_sym_COMMA] = ACTIONS(7489),
    [anon_sym_PIPE] = ACTIONS(7491),
    [anon_sym_LBRACK] = ACTIONS(5433),
    [anon_sym_true] = ACTIONS(5435),
    [anon_sym_false] = ACTIONS(5435),
    [anon_sym_COLON2] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(5439),
    [anon_sym_in] = ACTIONS(5419),
    [anon_sym_as] = ACTIONS(7493),
    [anon_sym_POUND] = ACTIONS(5443),
    [anon_sym_COLON_COLON] = ACTIONS(7495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5447),
    [anon_sym_begin] = ACTIONS(5449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7497),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7499),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7501),
    [aux_sym_number_token1] = ACTIONS(5457),
    [aux_sym_signed_number_token1] = ACTIONS(5459),
    [anon_sym_SQUOTE] = ACTIONS(5461),
    [anon_sym_DQUOTE] = ACTIONS(5463),
    [sym_let_and_operator] = ACTIONS(5417),
    [sym__capitalized_identifier] = ACTIONS(5465),
    [aux_sym_tag_token1] = ACTIONS(5467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym_let_binding] = STATE(10933),
    [sym_exception_definition] = STATE(19822),
    [sym_module_definition] = STATE(19829),
    [sym_open_module] = STATE(19879),
    [sym__binding_pattern] = STATE(2451),
    [sym_alias_binding_pattern] = STATE(5442),
    [sym_typed_binding_pattern] = STATE(5442),
    [sym_or_binding_pattern] = STATE(5442),
    [sym_constructor_binding_pattern] = STATE(5442),
    [sym_tag_binding_pattern] = STATE(5442),
    [sym_polymorphic_variant_pattern] = STATE(5442),
    [sym_tuple_binding_pattern] = STATE(5442),
    [sym_record_binding_pattern] = STATE(5443),
    [sym_list_binding_pattern] = STATE(5444),
    [sym_cons_binding_pattern] = STATE(5442),
    [sym_array_binding_pattern] = STATE(5445),
    [sym_range_pattern] = STATE(5442),
    [sym_lazy_binding_pattern] = STATE(5442),
    [sym_local_open_binding_pattern] = STATE(5442),
    [sym_package_pattern] = STATE(5442),
    [sym_parenthesized_binding_pattern] = STATE(5442),
    [sym_attribute] = STATE(2616),
    [sym_extension] = STATE(5442),
    [sym_quoted_extension] = STATE(5442),
    [sym__attribute] = STATE(4442),
    [sym__constant] = STATE(5344),
    [sym__signed_constant] = STATE(5290),
    [sym_number] = STATE(5277),
    [sym_signed_number] = STATE(5344),
    [sym_character] = STATE(5277),
    [sym_string] = STATE(5277),
    [sym_quoted_string] = STATE(5277),
    [sym_boolean] = STATE(5277),
    [sym_unit] = STATE(5277),
    [sym__value_name] = STATE(5442),
    [sym_parenthesized_operator] = STATE(5455),
    [sym_module_path] = STATE(17587),
    [sym_constructor_path] = STATE(2428),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(2429),
    [sym__identifier] = ACTIONS(5019),
    [anon_sym_rec] = ACTIONS(7503),
    [anon_sym_LPAREN] = ACTIONS(5021),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [anon_sym_true] = ACTIONS(5025),
    [anon_sym_false] = ACTIONS(5025),
    [anon_sym_LBRACE] = ACTIONS(5027),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(5029),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5031),
    [anon_sym_lazy] = ACTIONS(5033),
    [anon_sym_begin] = ACTIONS(5035),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7505),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7507),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(5041),
    [aux_sym_signed_number_token1] = ACTIONS(5043),
    [anon_sym_SQUOTE] = ACTIONS(5045),
    [anon_sym_DQUOTE] = ACTIONS(5047),
    [sym__capitalized_identifier] = ACTIONS(5049),
    [aux_sym_tag_token1] = ACTIONS(5051),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(19445),
    [sym_module_definition] = STATE(19460),
    [sym_open_module] = STATE(19473),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2617),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym_let_binding] = STATE(11128),
    [sym_exception_definition] = STATE(19445),
    [sym_module_definition] = STATE(19460),
    [sym_open_module] = STATE(19473),
    [sym__binding_pattern] = STATE(2453),
    [sym_alias_binding_pattern] = STATE(5478),
    [sym_typed_binding_pattern] = STATE(5478),
    [sym_or_binding_pattern] = STATE(5478),
    [sym_constructor_binding_pattern] = STATE(5478),
    [sym_tag_binding_pattern] = STATE(5478),
    [sym_polymorphic_variant_pattern] = STATE(5478),
    [sym_tuple_binding_pattern] = STATE(5478),
    [sym_record_binding_pattern] = STATE(5484),
    [sym_list_binding_pattern] = STATE(5486),
    [sym_cons_binding_pattern] = STATE(5478),
    [sym_array_binding_pattern] = STATE(5483),
    [sym_range_pattern] = STATE(5478),
    [sym_lazy_binding_pattern] = STATE(5478),
    [sym_local_open_binding_pattern] = STATE(5478),
    [sym_package_pattern] = STATE(5478),
    [sym_parenthesized_binding_pattern] = STATE(5478),
    [sym_attribute] = STATE(2618),
    [sym_extension] = STATE(5478),
    [sym_quoted_extension] = STATE(5478),
    [sym__attribute] = STATE(4480),
    [sym__constant] = STATE(5349),
    [sym__signed_constant] = STATE(5239),
    [sym_number] = STATE(5350),
    [sym_signed_number] = STATE(5349),
    [sym_character] = STATE(5350),
    [sym_string] = STATE(5350),
    [sym_quoted_string] = STATE(5350),
    [sym_boolean] = STATE(5350),
    [sym_unit] = STATE(5350),
    [sym__value_name] = STATE(5478),
    [sym_parenthesized_operator] = STATE(5453),
    [sym_module_path] = STATE(19570),
    [sym_constructor_path] = STATE(2425),
    [sym__constructor_name] = STATE(5273),
    [sym_tag] = STATE(2426),
    [sym__identifier] = ACTIONS(4971),
    [anon_sym_rec] = ACTIONS(7509),
    [anon_sym_LPAREN] = ACTIONS(4977),
    [anon_sym_LBRACK] = ACTIONS(4979),
    [anon_sym_true] = ACTIONS(4981),
    [anon_sym_false] = ACTIONS(4981),
    [anon_sym_LBRACE] = ACTIONS(4983),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(4985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4987),
    [anon_sym_lazy] = ACTIONS(4989),
    [anon_sym_begin] = ACTIONS(4991),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7511),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7513),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(4997),
    [aux_sym_signed_number_token1] = ACTIONS(4999),
    [anon_sym_SQUOTE] = ACTIONS(5001),
    [anon_sym_DQUOTE] = ACTIONS(5003),
    [sym__capitalized_identifier] = ACTIONS(5005),
    [aux_sym_tag_token1] = ACTIONS(5007),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym_let_binding] = STATE(14660),
    [sym_exception_definition] = STATE(17406),
    [sym_module_definition] = STATE(17428),
    [sym_open_module] = STATE(17444),
    [sym__binding_pattern] = STATE(2615),
    [sym_alias_binding_pattern] = STATE(8745),
    [sym_typed_binding_pattern] = STATE(8745),
    [sym_or_binding_pattern] = STATE(8745),
    [sym_constructor_binding_pattern] = STATE(8745),
    [sym_tag_binding_pattern] = STATE(8745),
    [sym_polymorphic_variant_pattern] = STATE(8745),
    [sym_tuple_binding_pattern] = STATE(8745),
    [sym_record_binding_pattern] = STATE(8746),
    [sym_list_binding_pattern] = STATE(8747),
    [sym_cons_binding_pattern] = STATE(8745),
    [sym_array_binding_pattern] = STATE(8748),
    [sym_range_pattern] = STATE(8745),
    [sym_lazy_binding_pattern] = STATE(8745),
    [sym_local_open_binding_pattern] = STATE(8745),
    [sym_package_pattern] = STATE(8745),
    [sym_parenthesized_binding_pattern] = STATE(8745),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(8745),
    [sym_quoted_extension] = STATE(8745),
    [sym__attribute] = STATE(4437),
    [sym__constant] = STATE(8434),
    [sym__signed_constant] = STATE(8683),
    [sym_number] = STATE(8410),
    [sym_signed_number] = STATE(8434),
    [sym_character] = STATE(8410),
    [sym_string] = STATE(8410),
    [sym_quoted_string] = STATE(8410),
    [sym_boolean] = STATE(8410),
    [sym_unit] = STATE(8410),
    [sym__value_name] = STATE(8745),
    [sym_parenthesized_operator] = STATE(8736),
    [sym_module_path] = STATE(17501),
    [sym_constructor_path] = STATE(2563),
    [sym__constructor_name] = STATE(8412),
    [sym_tag] = STATE(2561),
    [sym__identifier] = ACTIONS(7282),
    [anon_sym_rec] = ACTIONS(7439),
    [anon_sym_LPAREN] = ACTIONS(7284),
    [anon_sym_LBRACK] = ACTIONS(7286),
    [anon_sym_true] = ACTIONS(7288),
    [anon_sym_false] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(7290),
    [anon_sym_exception] = ACTIONS(7441),
    [anon_sym_module] = ACTIONS(7443),
    [anon_sym_open] = ACTIONS(7445),
    [anon_sym_POUND] = ACTIONS(7292),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7294),
    [anon_sym_lazy] = ACTIONS(7296),
    [anon_sym_begin] = ACTIONS(7298),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7300),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7302),
    [anon_sym_PERCENT] = ACTIONS(7447),
    [aux_sym_number_token1] = ACTIONS(7304),
    [aux_sym_signed_number_token1] = ACTIONS(7306),
    [anon_sym_SQUOTE] = ACTIONS(7308),
    [anon_sym_DQUOTE] = ACTIONS(7310),
    [sym__capitalized_identifier] = ACTIONS(7312),
    [aux_sym_tag_token1] = ACTIONS(7314),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym__simple_expression] = STATE(8896),
    [sym_typed_expression] = STATE(9022),
    [sym_list_expression] = STATE(9022),
    [sym_array_expression] = STATE(9022),
    [sym_record_expression] = STATE(9022),
    [sym_labeled_argument] = STATE(9626),
    [sym_prefix_expression] = STATE(9022),
    [sym_hash_expression] = STATE(9022),
    [sym_field_get_expression] = STATE(9022),
    [sym_array_get_expression] = STATE(9022),
    [sym_string_get_expression] = STATE(9022),
    [sym_bigarray_get_expression] = STATE(9022),
    [sym_coercion_expression] = STATE(9022),
    [sym_local_open_expression] = STATE(9022),
    [sym_package_expression] = STATE(9022),
    [sym_new_expression] = STATE(9022),
    [sym_object_copy_expression] = STATE(9022),
    [sym_method_invocation] = STATE(9022),
    [sym_object_expression] = STATE(9022),
    [sym_parenthesized_expression] = STATE(9022),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(9022),
    [sym_quoted_extension] = STATE(9022),
    [sym__constant] = STATE(9022),
    [sym_number] = STATE(9019),
    [sym_character] = STATE(9019),
    [sym_string] = STATE(9019),
    [sym_quoted_string] = STATE(9019),
    [sym_boolean] = STATE(9019),
    [sym_unit] = STATE(9019),
    [sym__value_name] = STATE(8844),
    [sym_parenthesized_operator] = STATE(8985),
    [sym_value_path] = STATE(9022),
    [sym_module_path] = STATE(17759),
    [sym_constructor_path] = STATE(9022),
    [sym__constructor_name] = STATE(7996),
    [sym_tag] = STATE(9022),
    [aux_sym_class_application_repeat1] = STATE(2621),
    [sym__identifier] = ACTIONS(7515),
    [anon_sym_TILDE] = ACTIONS(7517),
    [anon_sym_QMARK] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7519),
    [anon_sym_RPAREN] = ACTIONS(5597),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_true] = ACTIONS(7523),
    [anon_sym_false] = ACTIONS(7523),
    [anon_sym_COLON2] = ACTIONS(5597),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [anon_sym_object] = ACTIONS(7527),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7529),
    [anon_sym_new] = ACTIONS(7531),
    [anon_sym_LBRACE_LT] = ACTIONS(7533),
    [anon_sym_begin] = ACTIONS(7535),
    [sym_ocamlyacc_value] = ACTIONS(7537),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7541),
    [aux_sym_number_token1] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7545),
    [anon_sym_DQUOTE] = ACTIONS(7547),
    [sym_prefix_operator] = ACTIONS(7549),
    [sym__capitalized_identifier] = ACTIONS(7551),
    [aux_sym_tag_token1] = ACTIONS(7553),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym__simple_expression] = STATE(8896),
    [sym_typed_expression] = STATE(9022),
    [sym_list_expression] = STATE(9022),
    [sym_array_expression] = STATE(9022),
    [sym_record_expression] = STATE(9022),
    [sym_labeled_argument] = STATE(9626),
    [sym_prefix_expression] = STATE(9022),
    [sym_hash_expression] = STATE(9022),
    [sym_field_get_expression] = STATE(9022),
    [sym_array_get_expression] = STATE(9022),
    [sym_string_get_expression] = STATE(9022),
    [sym_bigarray_get_expression] = STATE(9022),
    [sym_coercion_expression] = STATE(9022),
    [sym_local_open_expression] = STATE(9022),
    [sym_package_expression] = STATE(9022),
    [sym_new_expression] = STATE(9022),
    [sym_object_copy_expression] = STATE(9022),
    [sym_method_invocation] = STATE(9022),
    [sym_object_expression] = STATE(9022),
    [sym_parenthesized_expression] = STATE(9022),
    [sym_attribute] = STATE(2621),
    [sym_extension] = STATE(9022),
    [sym_quoted_extension] = STATE(9022),
    [sym__constant] = STATE(9022),
    [sym_number] = STATE(9019),
    [sym_character] = STATE(9019),
    [sym_string] = STATE(9019),
    [sym_quoted_string] = STATE(9019),
    [sym_boolean] = STATE(9019),
    [sym_unit] = STATE(9019),
    [sym__value_name] = STATE(8844),
    [sym_parenthesized_operator] = STATE(8985),
    [sym_value_path] = STATE(9022),
    [sym_module_path] = STATE(17759),
    [sym_constructor_path] = STATE(9022),
    [sym__constructor_name] = STATE(7996),
    [sym_tag] = STATE(9022),
    [aux_sym_class_application_repeat1] = STATE(2621),
    [sym__identifier] = ACTIONS(7555),
    [anon_sym_TILDE] = ACTIONS(7558),
    [anon_sym_QMARK] = ACTIONS(7558),
    [anon_sym_LPAREN] = ACTIONS(7561),
    [anon_sym_RPAREN] = ACTIONS(3356),
    [anon_sym_LBRACK] = ACTIONS(7564),
    [anon_sym_true] = ACTIONS(7567),
    [anon_sym_false] = ACTIONS(7567),
    [anon_sym_COLON2] = ACTIONS(3356),
    [anon_sym_LBRACE] = ACTIONS(7570),
    [anon_sym_object] = ACTIONS(7573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7576),
    [anon_sym_new] = ACTIONS(7579),
    [anon_sym_LBRACE_LT] = ACTIONS(7582),
    [anon_sym_begin] = ACTIONS(7585),
    [sym_ocamlyacc_value] = ACTIONS(7588),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7591),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7594),
    [aux_sym_number_token1] = ACTIONS(7597),
    [anon_sym_SQUOTE] = ACTIONS(7600),
    [anon_sym_DQUOTE] = ACTIONS(7603),
    [sym_prefix_operator] = ACTIONS(7606),
    [sym__capitalized_identifier] = ACTIONS(7609),
    [aux_sym_tag_token1] = ACTIONS(7612),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym__simple_expression] = STATE(8896),
    [sym_typed_expression] = STATE(9022),
    [sym_list_expression] = STATE(9022),
    [sym_array_expression] = STATE(9022),
    [sym_record_expression] = STATE(9022),
    [sym_labeled_argument] = STATE(9626),
    [sym_prefix_expression] = STATE(9022),
    [sym_hash_expression] = STATE(9022),
    [sym_field_get_expression] = STATE(9022),
    [sym_array_get_expression] = STATE(9022),
    [sym_string_get_expression] = STATE(9022),
    [sym_bigarray_get_expression] = STATE(9022),
    [sym_coercion_expression] = STATE(9022),
    [sym_local_open_expression] = STATE(9022),
    [sym_package_expression] = STATE(9022),
    [sym_new_expression] = STATE(9022),
    [sym_object_copy_expression] = STATE(9022),
    [sym_method_invocation] = STATE(9022),
    [sym_object_expression] = STATE(9022),
    [sym_parenthesized_expression] = STATE(9022),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(9022),
    [sym_quoted_extension] = STATE(9022),
    [sym__constant] = STATE(9022),
    [sym_number] = STATE(9019),
    [sym_character] = STATE(9019),
    [sym_string] = STATE(9019),
    [sym_quoted_string] = STATE(9019),
    [sym_boolean] = STATE(9019),
    [sym_unit] = STATE(9019),
    [sym__value_name] = STATE(8844),
    [sym_parenthesized_operator] = STATE(8985),
    [sym_value_path] = STATE(9022),
    [sym_module_path] = STATE(17759),
    [sym_constructor_path] = STATE(9022),
    [sym__constructor_name] = STATE(7996),
    [sym_tag] = STATE(9022),
    [aux_sym_class_application_repeat1] = STATE(2620),
    [sym__identifier] = ACTIONS(7515),
    [anon_sym_TILDE] = ACTIONS(7517),
    [anon_sym_QMARK] = ACTIONS(7517),
    [anon_sym_LPAREN] = ACTIONS(7519),
    [anon_sym_RPAREN] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(7521),
    [anon_sym_true] = ACTIONS(7523),
    [anon_sym_false] = ACTIONS(7523),
    [anon_sym_COLON2] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(7525),
    [anon_sym_object] = ACTIONS(7527),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7529),
    [anon_sym_new] = ACTIONS(7531),
    [anon_sym_LBRACE_LT] = ACTIONS(7533),
    [anon_sym_begin] = ACTIONS(7535),
    [sym_ocamlyacc_value] = ACTIONS(7537),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7541),
    [aux_sym_number_token1] = ACTIONS(7543),
    [anon_sym_SQUOTE] = ACTIONS(7545),
    [anon_sym_DQUOTE] = ACTIONS(7547),
    [sym_prefix_operator] = ACTIONS(7549),
    [sym__capitalized_identifier] = ACTIONS(7551),
    [aux_sym_tag_token1] = ACTIONS(7553),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym__signature] = STATE(18902),
    [sym_external] = STATE(12620),
    [sym_type_definition] = STATE(12620),
    [sym_exception_definition] = STATE(12620),
    [sym_module_definition] = STATE(12620),
    [sym_module_type_definition] = STATE(12620),
    [sym_open_module] = STATE(12620),
    [sym_class_definition] = STATE(12620),
    [sym_class_type_definition] = STATE(12620),
    [sym__signature_item] = STATE(12630),
    [sym_value_specification] = STATE(12620),
    [sym_include_module_type] = STATE(12620),
    [sym__simple_type] = STATE(11033),
    [sym__tuple_type] = STATE(12625),
    [sym__type] = STATE(15668),
    [sym_function_type] = STATE(9559),
    [sym_typed_label] = STATE(19560),
    [sym_tuple_type] = STATE(9287),
    [sym_constructed_type] = STATE(11898),
    [sym_aliased_type] = STATE(9559),
    [sym_local_open_type] = STATE(11898),
    [sym_polymorphic_variant_type] = STATE(11898),
    [sym_package_type] = STATE(11898),
    [sym_object_type] = STATE(11898),
    [sym_hash_type] = STATE(11898),
    [sym_parenthesized_type] = STATE(11898),
    [sym_attribute] = STATE(2623),
    [sym_floating_attribute] = STATE(12620),
    [sym_extension] = STATE(11898),
    [sym_quoted_extension] = STATE(11898),
    [sym_item_extension] = STATE(12620),
    [sym_quoted_item_extension] = STATE(12620),
    [sym_extended_module_path] = STATE(16460),
    [sym_type_constructor_path] = STATE(11898),
    [sym_type_variable] = STATE(11898),
    [aux_sym__structure_repeat1] = STATE(8780),
    [aux_sym__signature_repeat1] = STATE(8766),
    [sym__identifier] = ACTIONS(7615),
    [anon_sym_SEMI_SEMI] = ACTIONS(7617),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_external] = ACTIONS(43),
    [anon_sym_type] = ACTIONS(7619),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_RBRACK] = ACTIONS(7621),
    [anon_sym_exception] = ACTIONS(7623),
    [anon_sym_module] = ACTIONS(7625),
    [anon_sym_open] = ACTIONS(7627),
    [anon_sym_include] = ACTIONS(7629),
    [anon_sym_class] = ACTIONS(7631),
    [anon_sym_val] = ACTIONS(7633),
    [anon_sym_LBRACK_GT] = ACTIONS(15),
    [anon_sym_LBRACK_LT] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(97),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7637),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(105),
    [sym__capitalized_identifier] = ACTIONS(29),
    [aux_sym_type_variable_token1] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym__simple_pattern] = STATE(13891),
    [sym__pattern] = STATE(13905),
    [sym_alias_pattern] = STATE(13891),
    [sym_typed_pattern] = STATE(13673),
    [sym_or_pattern] = STATE(13891),
    [sym_constructor_pattern] = STATE(13891),
    [sym_tag_pattern] = STATE(13891),
    [sym_polymorphic_variant_pattern] = STATE(13673),
    [sym_tuple_pattern] = STATE(13891),
    [sym_record_pattern] = STATE(13673),
    [sym_list_pattern] = STATE(13673),
    [sym_cons_pattern] = STATE(13891),
    [sym_array_pattern] = STATE(13673),
    [sym_range_pattern] = STATE(13891),
    [sym_lazy_pattern] = STATE(13891),
    [sym_local_open_pattern] = STATE(13673),
    [sym_package_pattern] = STATE(13673),
    [sym_parenthesized_pattern] = STATE(13673),
    [sym_exception_pattern] = STATE(13891),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(13673),
    [sym_quoted_extension] = STATE(13673),
    [sym__constant] = STATE(13540),
    [sym__signed_constant] = STATE(13575),
    [sym_number] = STATE(13320),
    [sym_signed_number] = STATE(13540),
    [sym_character] = STATE(13320),
    [sym_string] = STATE(13320),
    [sym_quoted_string] = STATE(13320),
    [sym_boolean] = STATE(13320),
    [sym_unit] = STATE(13320),
    [sym__simple_value_pattern] = STATE(13673),
    [sym_parenthesized_operator] = STATE(13673),
    [sym_module_path] = STATE(19800),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(9453),
    [sym_tag] = STATE(2624),
    [sym__identifier] = ACTIONS(7449),
    [anon_sym_LPAREN] = ACTIONS(7639),
    [anon_sym_COMMA] = ACTIONS(7091),
    [anon_sym_PIPE] = ACTIONS(7095),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym_true] = ACTIONS(7455),
    [anon_sym_false] = ACTIONS(7455),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [anon_sym_SEMI] = ACTIONS(7091),
    [anon_sym_exception] = ACTIONS(7459),
    [anon_sym_as] = ACTIONS(7095),
    [anon_sym_POUND] = ACTIONS(7461),
    [anon_sym_COLON_COLON] = ACTIONS(7091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7463),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7091),
    [anon_sym_lazy] = ACTIONS(7465),
    [anon_sym_begin] = ACTIONS(7467),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7469),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7471),
    [aux_sym_number_token1] = ACTIONS(7473),
    [aux_sym_signed_number_token1] = ACTIONS(7475),
    [anon_sym_SQUOTE] = ACTIONS(7477),
    [anon_sym_DQUOTE] = ACTIONS(7479),
    [sym__capitalized_identifier] = ACTIONS(7481),
    [aux_sym_tag_token1] = ACTIONS(7483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(2625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [77] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2626), 1,
      sym_attribute,
    STATE(3421), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [214] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7653), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2627), 1,
      sym_attribute,
    STATE(2930), 1,
      sym__attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10315), 1,
      sym__match_cases,
    STATE(11809), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [351] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2628), 1,
      sym_attribute,
    STATE(2979), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [488] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7657), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2629), 1,
      sym_attribute,
    STATE(3283), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8221), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [625] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2630), 1,
      sym_attribute,
    STATE(3429), 1,
      sym__attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10315), 1,
      sym__match_cases,
    STATE(11960), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13348), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [762] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2631), 1,
      sym_attribute,
    STATE(3152), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [899] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7663), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2632), 1,
      sym_attribute,
    STATE(2935), 1,
      sym__attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10315), 1,
      sym__match_cases,
    STATE(11538), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13365), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1036] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2633), 1,
      sym_attribute,
    STATE(2987), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [1248] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7671), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2635), 1,
      sym_attribute,
    STATE(3310), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8187), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [1460] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2637), 1,
      sym_attribute,
    STATE(2963), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1597] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2638), 1,
      sym_attribute,
    STATE(3158), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1734] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2639), 1,
      sym_attribute,
    STATE(3125), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1871] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7683), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2640), 1,
      sym_attribute,
    STATE(2941), 1,
      sym__attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10315), 1,
      sym__match_cases,
    STATE(10856), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13420), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2008] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2641), 1,
      sym_attribute,
    STATE(3015), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2145] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7687), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2642), 1,
      sym_attribute,
    STATE(3337), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8363), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2282] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7689), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2643), 1,
      sym_attribute,
    STATE(2970), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8145), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2419] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2644), 1,
      sym_attribute,
    STATE(3426), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2556] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7693), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2645), 1,
      sym_attribute,
    STATE(3435), 1,
      sym__attribute,
    STATE(8019), 1,
      sym_match_case,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2693] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2646), 1,
      sym_attribute,
    STATE(3407), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2830] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7695), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2647), 1,
      sym_attribute,
    STATE(3056), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12363), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13289), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2967] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2648), 1,
      sym_attribute,
    STATE(3009), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3104] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2649), 1,
      sym_attribute,
    STATE(3451), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8274), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3241] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7699), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2650), 1,
      sym_attribute,
    STATE(3049), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8433), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3378] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2651), 1,
      sym_attribute,
    STATE(3123), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3515] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7703), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2652), 1,
      sym_attribute,
    STATE(2998), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8135), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3652] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2653), 1,
      sym_attribute,
    STATE(3445), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3789] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2654), 1,
      sym_attribute,
    STATE(3087), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3926] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2655), 1,
      sym_attribute,
    STATE(3174), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4063] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7709), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2656), 1,
      sym_attribute,
    STATE(3006), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8068), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [4275] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2658), 1,
      sym_attribute,
    STATE(3164), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4412] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7715), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2659), 1,
      sym_attribute,
    STATE(3450), 1,
      sym__attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10315), 1,
      sym__match_cases,
    STATE(11018), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13370), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4549] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2660), 1,
      sym_attribute,
    STATE(3241), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4686] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7717), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2661), 1,
      sym_attribute,
    STATE(2986), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8493), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4823] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2662), 1,
      sym_attribute,
    STATE(2971), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4960] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2663), 1,
      sym_attribute,
    STATE(3382), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5247] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2666), 1,
      sym_attribute,
    STATE(3383), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5459] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7731), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2668), 1,
      sym_attribute,
    STATE(3069), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8365), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13285), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5671] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(2670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [5823] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7737), 1,
      sym__identifier,
    ACTIONS(7743), 1,
      anon_sym_LPAREN,
    ACTIONS(7746), 1,
      anon_sym_LBRACK,
    ACTIONS(7752), 1,
      anon_sym_LBRACE,
    ACTIONS(7755), 1,
      anon_sym_POUND,
    ACTIONS(7758), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7761), 1,
      anon_sym_begin,
    ACTIONS(7764), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7767), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7770), 1,
      aux_sym_number_token1,
    ACTIONS(7773), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7776), 1,
      anon_sym_SQUOTE,
    ACTIONS(7779), 1,
      anon_sym_DQUOTE,
    ACTIONS(7782), 1,
      sym__capitalized_identifier,
    ACTIONS(7785), 1,
      aux_sym_tag_token1,
    STATE(8541), 1,
      sym__constructor_name,
    STATE(8686), 1,
      sym__simple_pattern,
    STATE(17591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7740), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(7749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2672), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(8675), 2,
      sym__constant,
      sym_signed_number,
    STATE(8685), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(7128), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(8538), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(7130), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(8457), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [5946] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7792), 1,
      anon_sym_LT_DASH,
    STATE(2673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6023] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2674), 1,
      sym_attribute,
    STATE(3060), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6160] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2675), 1,
      sym_attribute,
    STATE(3406), 1,
      sym__attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10315), 1,
      sym__match_cases,
    STATE(12302), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13318), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6522] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2679), 1,
      sym_attribute,
    STATE(2951), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6659] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7800), 1,
      anon_sym_LT_DASH,
    STATE(2680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6736] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2681), 1,
      sym_attribute,
    STATE(3273), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [6948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7173] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2686), 1,
      sym_attribute,
    STATE(3227), 1,
      sym__attribute,
    STATE(8079), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7535] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7806), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2690), 1,
      sym_attribute,
    STATE(2948), 1,
      sym__attribute,
    STATE(7903), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11950), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7672] = 36,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7808), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2691), 1,
      sym_attribute,
    STATE(3021), 1,
      sym__attribute,
    STATE(8030), 1,
      sym__match_cases,
    STATE(8183), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [7957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8031] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_DOT,
    ACTIONS(3111), 1,
      anon_sym_POUND,
    ACTIONS(3113), 1,
      sym_hash_operator,
    STATE(2695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8555] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2702), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14685), 1,
      sym__simple_expression,
    STATE(16107), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19901), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [8685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [8907] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2706), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14658), 1,
      sym__simple_expression,
    STATE(15137), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(17597), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9185] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7890), 1,
      anon_sym_LT_DASH,
    STATE(2709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9261] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2710), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14687), 1,
      sym__simple_expression,
    STATE(14903), 1,
      sym_field_expression,
    STATE(17538), 1,
      sym__quoted_string,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9539] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2713), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14689), 1,
      sym__simple_expression,
    STATE(15066), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19281), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [9817] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2716), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14621), 1,
      sym__simple_expression,
    STATE(14964), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(17606), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [9947] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2717), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14691), 1,
      sym__simple_expression,
    STATE(15215), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(17882), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10225] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2720), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14693), 1,
      sym__simple_expression,
    STATE(15371), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19774), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10577] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2724), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14698), 1,
      sym__simple_expression,
    STATE(15613), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(17774), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [10855] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2727), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14700), 1,
      sym__simple_expression,
    STATE(15742), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19627), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11059] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2729), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14621), 1,
      sym__simple_expression,
    STATE(14964), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19223), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11189] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2730), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14706), 1,
      sym__simple_expression,
    STATE(15932), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(20096), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11541] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    ACTIONS(3101), 1,
      anon_sym_POUND,
    ACTIONS(3103), 1,
      sym_hash_operator,
    STATE(2734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11621] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2735), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14709), 1,
      sym__simple_expression,
    STATE(16139), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18191), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [11973] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2739), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14712), 1,
      sym__simple_expression,
    STATE(15501), 1,
      sym_field_expression,
    STATE(17386), 1,
      sym__quoted_string,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12547] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2746), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14715), 1,
      sym__simple_expression,
    STATE(15168), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18078), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [12677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12825] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7916), 1,
      anon_sym_LT_DASH,
    STATE(2749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [12975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13197] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2754), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14664), 1,
      sym__simple_expression,
    STATE(15677), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19653), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13327] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2755), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14718), 1,
      sym__simple_expression,
    STATE(15769), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18854), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13679] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2759), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14720), 1,
      sym__simple_expression,
    STATE(14828), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19782), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [13883] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2761), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14723), 1,
      sym__simple_expression,
    STATE(16005), 1,
      sym_field_expression,
    STATE(17446), 1,
      sym__quoted_string,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14161] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2764), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14724), 1,
      sym__simple_expression,
    STATE(15140), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(17662), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14365] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2766), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14727), 1,
      sym__simple_expression,
    STATE(15438), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(17902), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14643] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2769), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14731), 1,
      sym__simple_expression,
    STATE(15757), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18117), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [14773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [14995] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2773), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14669), 1,
      sym__simple_expression,
    STATE(15428), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(20043), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15125] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2774), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14732), 1,
      sym__simple_expression,
    STATE(16181), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18242), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15403] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(2777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15701] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2781), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14734), 1,
      sym__simple_expression,
    STATE(15001), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18324), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [15831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [15979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16275] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(2788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16573] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2792), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14736), 1,
      sym__simple_expression,
    STATE(14838), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18355), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [16703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [16999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17295] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2801), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14739), 1,
      sym__simple_expression,
    STATE(15292), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18390), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17573] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2804), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14740), 1,
      sym__simple_expression,
    STATE(15729), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18433), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17703] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(2805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [17779] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2806), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14631), 1,
      sym__simple_expression,
    STATE(15139), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19085), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17909] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2807), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14742), 1,
      sym__simple_expression,
    STATE(16204), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18472), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18039] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2808), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14673), 1,
      sym__simple_expression,
    STATE(15887), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(17636), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18243] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2810), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14744), 1,
      sym__simple_expression,
    STATE(14929), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18512), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18447] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2812), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14747), 1,
      sym__simple_expression,
    STATE(15034), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18554), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18725] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(2815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_DOT,
    ACTIONS(3111), 1,
      anon_sym_POUND,
    ACTIONS(3113), 1,
      sym_hash_operator,
    STATE(2816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [18881] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2817), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14750), 1,
      sym__simple_expression,
    STATE(15152), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18595), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19529] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2825), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14751), 1,
      sym__simple_expression,
    STATE(15258), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18644), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [19659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19733] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(2827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [19957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20253] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2834), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14752), 1,
      sym__simple_expression,
    STATE(15363), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18681), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20605] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2838), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14756), 1,
      sym__simple_expression,
    STATE(15450), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18721), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [20883] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2841), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14758), 1,
      sym__simple_expression,
    STATE(15590), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18770), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [21975] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2855), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14676), 1,
      sym__simple_expression,
    STATE(15421), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18424), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22105] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8070), 1,
      anon_sym_LT_DASH,
    STATE(2856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22329] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(2859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22553] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8072), 1,
      anon_sym_LT_DASH,
    STATE(2862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22629] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(2863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22853] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_DOT,
    STATE(2866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [22929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23077] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4975), 1,
      anon_sym_as,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2870), 1,
      sym_tag,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13050), 1,
      sym__binding_pattern,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2869), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4973), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [23209] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4975), 1,
      anon_sym_as,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13051), 1,
      sym__binding_pattern,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2870), 2,
      sym_attribute,
      sym_tag,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4973), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [23341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23785] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    ACTIONS(3101), 1,
      anon_sym_POUND,
    ACTIONS(3103), 1,
      sym_hash_operator,
    STATE(2877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [23939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24309] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2884), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14643), 1,
      sym__simple_expression,
    STATE(15752), 1,
      sym_field_expression,
    STATE(17487), 1,
      sym__quoted_string,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24661] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2888), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14678), 1,
      sym__simple_expression,
    STATE(14988), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19234), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24865] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    STATE(2890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [24941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25015] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(2892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25609] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2900), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14598), 1,
      sym__simple_expression,
    STATE(15710), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(17822), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [25961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [26997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27145] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2920), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14646), 1,
      sym__simple_expression,
    STATE(16040), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(19960), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27349] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(2922), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14681), 1,
      sym__simple_expression,
    STATE(15595), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    STATE(18371), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [27627] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    ACTIONS(7439), 1,
      anon_sym_rec,
    ACTIONS(7445), 1,
      anon_sym_open,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(2925), 1,
      sym_attribute,
    STATE(4437), 1,
      sym__attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    STATE(19391), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [27768] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2926), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8274), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27899] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2927), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8274), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28030] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2928), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8274), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [28234] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7653), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2930), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym__match_cases,
    STATE(11809), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28365] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7653), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2931), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10307), 1,
      sym__match_cases,
    STATE(11809), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28496] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7653), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2932), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym__match_cases,
    STATE(11809), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28627] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7653), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2933), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10193), 1,
      sym__match_cases,
    STATE(11809), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28758] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7653), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2934), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10200), 1,
      sym__match_cases,
    STATE(11809), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28889] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7663), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2935), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym__match_cases,
    STATE(11538), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13365), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29020] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7663), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2936), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10307), 1,
      sym__match_cases,
    STATE(11538), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13365), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29151] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7663), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2937), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym__match_cases,
    STATE(11538), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13365), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29282] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3131), 1,
      anon_sym_DOT,
    ACTIONS(3133), 1,
      anon_sym_POUND,
    ACTIONS(3135), 1,
      sym_hash_operator,
    STATE(2938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [29361] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7663), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2939), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10193), 1,
      sym__match_cases,
    STATE(11538), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13365), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29492] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7663), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2940), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10200), 1,
      sym__match_cases,
    STATE(11538), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13365), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29623] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7683), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2941), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym__match_cases,
    STATE(10856), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13420), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29754] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7683), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2942), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10307), 1,
      sym__match_cases,
    STATE(10856), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13420), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29885] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7683), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2943), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym__match_cases,
    STATE(10856), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13420), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30016] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7683), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2944), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10193), 1,
      sym__match_cases,
    STATE(10856), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13420), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30147] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7683), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2945), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10200), 1,
      sym__match_cases,
    STATE(10856), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13420), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30351] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2947), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30482] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7806), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2948), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11950), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30613] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2949), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [30817] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2951), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30948] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2952), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31079] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2953), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31283] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2955), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31414] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2956), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31545] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2957), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [31968] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7806), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2962), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11950), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32099] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2963), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32230] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7806), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2964), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11950), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32361] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2965), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32492] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2966), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [32696] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2968), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32827] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2969), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32958] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7689), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2970), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8145), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33089] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2971), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [33293] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2973), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33424] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2974), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33555] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2975), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33686] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2976), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33817] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7806), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2977), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11950), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33948] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7806), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2978), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11950), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34079] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2979), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34210] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2980), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34341] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2981), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34472] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2982), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34603] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2983), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [34807] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2985), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34938] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7717), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2986), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8493), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35069] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2987), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35273] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2989), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35404] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2990), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [35608] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2992), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35739] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2993), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35870] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7717), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2994), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8493), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36001] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7717), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2995), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8493), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36132] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2996), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [36336] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7703), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2998), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8135), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36467] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7703), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(2999), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8135), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36598] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7703), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3000), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8135), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36729] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7703), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3001), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8135), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36860] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7703), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3002), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8135), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36991] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3003), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37122] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7717), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3004), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8493), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37253] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7717), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3005), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8493), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37384] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7709), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3006), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8068), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37515] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7709), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3007), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8068), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37646] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7709), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3008), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8068), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37777] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3009), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37908] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7709), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3010), 1,
      sym_attribute,
    STATE(8068), 1,
      sym_match_case,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38039] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7709), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3011), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8068), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [38243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [38316] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3014), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38447] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3015), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38578] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3016), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38709] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3017), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38840] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3018), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38971] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3019), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39102] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3020), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39233] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7808), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3021), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8183), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39364] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7808), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3022), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8183), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39495] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7808), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3023), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8183), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39626] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7808), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3024), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8183), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39757] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7808), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3025), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8183), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39888] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    STATE(3027), 1,
      sym_tag,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13716), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3026), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4973), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [40019] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13717), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3027), 2,
      sym_attribute,
      sym_tag,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4973), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [40150] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3028), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40281] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7677), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3029), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11943), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40704] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3034), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [40908] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3036), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41039] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7695), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3037), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12363), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13289), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41170] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7695), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3038), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12363), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13289), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41301] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7689), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3039), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8145), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41505] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7689), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3041), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8145), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41636] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(3042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [41784] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7689), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3044), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8145), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41915] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7689), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3045), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8145), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42119] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3047), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42250] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3048), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42381] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7699), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3049), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8433), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(3050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42660] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7699), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3052), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8433), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [42937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43010] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7695), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3056), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12363), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13289), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43360] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3060), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [43856] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3066), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43987] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3067), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [44191] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7731), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3069), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8365), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13285), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44322] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7695), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3070), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12363), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13289), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44453] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7731), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3071), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8365), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13285), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44584] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7731), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3072), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8365), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13285), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44715] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7731), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3073), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8365), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13285), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44846] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7731), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3074), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8365), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13285), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45196] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3078), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45327] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3079), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [45969] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3087), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46757] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_DOT,
    ACTIONS(3153), 1,
      anon_sym_POUND,
    ACTIONS(3155), 1,
      sym_hash_operator,
    STATE(3097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [46982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47493] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(3107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47641] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8142), 1,
      anon_sym_LT_DASH,
    STATE(3109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_DOT,
    STATE(3112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [47937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [48667] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3123), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48798] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3124), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48929] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3125), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49133] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3127), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_DOT,
    ACTIONS(3153), 1,
      anon_sym_POUND,
    ACTIONS(3155), 1,
      sym_hash_operator,
    STATE(3133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49708] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3134), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [49985] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3137), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50408] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7701), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3142), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11993), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50539] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3143), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50743] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3145), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [50947] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3147), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51151] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3149), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51282] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3150), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51486] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3152), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [51690] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3154), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51821] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3155), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [51952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52098] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3158), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [52302] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3160), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52433] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3161), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52564] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3162), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52695] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3163), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52826] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3164), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52957] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3165), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53088] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3166), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53219] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3167), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53350] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7679), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3168), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12020), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53554] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7699), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3170), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8433), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [53685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [53904] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3174), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54619] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_DOT,
    ACTIONS(3167), 1,
      anon_sym_POUND,
    ACTIONS(3169), 1,
      sym_hash_operator,
    STATE(3183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54771] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3185), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [54975] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3187), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_DOT,
    STATE(3195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55765] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3197), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [55969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56042] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7655), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3200), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11685), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [56976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57268] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_DOT,
    ACTIONS(3167), 1,
      anon_sym_POUND,
    ACTIONS(3169), 1,
      sym_hash_operator,
    STATE(3216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [57931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58077] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3227), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58208] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3228), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58339] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3229), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58543] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3231), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58674] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3232), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [58805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [58951] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(3235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59391] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3241), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [59522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59887] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(3247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [59962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60181] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3251), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [60896] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3260), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61465] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3267), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61596] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7665), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3268), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11703), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [61946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62019] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3273), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62296] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3276), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62427] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3277), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62631] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3279), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62762] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3280), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12233), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(3281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [62968] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8144), 1,
      anon_sym_LT_DASH,
    STATE(3282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63043] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7657), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3283), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8221), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63174] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7657), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3284), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8221), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63305] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7657), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3285), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8221), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63655] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7657), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3289), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8221), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63786] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7657), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3290), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8221), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63917] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(3291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [63992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64576] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(3300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [64943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65308] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7671), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3310), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8187), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [65731] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7671), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3315), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8187), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65862] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7671), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3316), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8187), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66139] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7671), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3319), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8187), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66270] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7671), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3320), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8187), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66766] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(3326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [66987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67571] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7687), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3337), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8363), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(3338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [67996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68069] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7687), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3343), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8363), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [68711] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    ACTIONS(7439), 1,
      anon_sym_rec,
    ACTIONS(7445), 1,
      anon_sym_open,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(3351), 1,
      sym_attribute,
    STATE(4437), 1,
      sym__attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    STATE(19193), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [68852] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7687), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3352), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8363), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69202] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    ACTIONS(7439), 1,
      anon_sym_rec,
    ACTIONS(7445), 1,
      anon_sym_open,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(3356), 1,
      sym_attribute,
    STATE(4437), 1,
      sym__attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    STATE(19937), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [69343] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3131), 1,
      anon_sym_DOT,
    STATE(3357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69491] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    ACTIONS(7439), 1,
      anon_sym_rec,
    ACTIONS(7445), 1,
      anon_sym_open,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(3359), 1,
      sym_attribute,
    STATE(4437), 1,
      sym__attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    STATE(17528), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [69632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [69924] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7687), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3364), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8363), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70055] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7687), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3365), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8363), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70186] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    ACTIONS(7439), 1,
      anon_sym_rec,
    ACTIONS(7445), 1,
      anon_sym_open,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(3366), 1,
      sym_attribute,
    STATE(4437), 1,
      sym__attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    STATE(19874), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [70327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70765] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    ACTIONS(7439), 1,
      anon_sym_rec,
    ACTIONS(7445), 1,
      anon_sym_open,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(3373), 1,
      sym_attribute,
    STATE(4437), 1,
      sym__attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    STATE(17730), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [70906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [70979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71052] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7699), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3376), 1,
      sym_attribute,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8433), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71548] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3382), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71679] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3383), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71810] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    ACTIONS(3215), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      sym_hash_operator,
    STATE(3384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [71889] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7695), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3385), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12363), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13289), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72093] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(3439), 1,
      sym_tag,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13050), 1,
      sym__binding_pattern,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3387), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4973), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [72224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [72297] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3389), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72428] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3390), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72559] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3391), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72690] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7699), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3392), 1,
      sym_attribute,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8433), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72821] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3393), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73025] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3395), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73156] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3396), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10301), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73433] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3399), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73564] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7685), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3400), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9174), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [73987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74060] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3406), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym__match_cases,
    STATE(12302), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13318), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74191] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3407), 1,
      sym_attribute,
    STATE(8102), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [74395] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3409), 1,
      sym_attribute,
    STATE(8078), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74526] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3410), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10307), 1,
      sym__match_cases,
    STATE(12302), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13318), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74657] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3411), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym__match_cases,
    STATE(12302), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13318), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74788] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3412), 1,
      sym_attribute,
    STATE(8088), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74919] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3413), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10193), 1,
      sym__match_cases,
    STATE(12302), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13318), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75050] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3414), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10200), 1,
      sym__match_cases,
    STATE(12302), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13318), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75400] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3418), 1,
      sym_attribute,
    STATE(8113), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75531] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7681), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3419), 1,
      sym_attribute,
    STATE(8111), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9328), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75735] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3421), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [75939] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    ACTIONS(3215), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      sym_hash_operator,
    STATE(3423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76018] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3424), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76149] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3425), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76280] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7691), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3426), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10008), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76557] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3429), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym__match_cases,
    STATE(11960), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13348), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [76761] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3431), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10307), 1,
      sym__match_cases,
    STATE(11960), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13348), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76892] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3432), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym__match_cases,
    STATE(11960), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13348), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77023] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3433), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10193), 1,
      sym__match_cases,
    STATE(11960), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13348), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77154] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7659), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3434), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10200), 1,
      sym__match_cases,
    STATE(11960), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13348), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77285] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7693), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3435), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8019), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77416] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3436), 1,
      sym_attribute,
    STATE(7773), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77547] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7647), 1,
      anon_sym_PIPE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3437), 1,
      sym_attribute,
    STATE(7777), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12089), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77678] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7693), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3438), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8019), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77809] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13051), 1,
      sym__binding_pattern,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3439), 2,
      sym_attribute,
      sym_tag,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(4973), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [77940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78013] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7693), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3441), 1,
      sym_attribute,
    STATE(7967), 1,
      sym__match_cases,
    STATE(8019), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78363] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3445), 1,
      sym_attribute,
    STATE(7699), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78494] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7693), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3446), 1,
      sym_attribute,
    STATE(8019), 1,
      sym_match_case,
    STATE(8076), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78625] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7693), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3447), 1,
      sym_attribute,
    STATE(8019), 1,
      sym_match_case,
    STATE(8044), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78829] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3131), 1,
      anon_sym_DOT,
    ACTIONS(3133), 1,
      anon_sym_POUND,
    ACTIONS(3135), 1,
      sym_hash_operator,
    STATE(3449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [78908] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7715), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3450), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10293), 1,
      sym__match_cases,
    STATE(11018), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13370), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79039] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3451), 1,
      sym_attribute,
    STATE(7965), 1,
      sym__match_cases,
    STATE(8274), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79170] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3452), 1,
      sym_attribute,
    STATE(7927), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79301] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7715), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3453), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10307), 1,
      sym__match_cases,
    STATE(11018), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13370), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79432] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7715), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3454), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10333), 1,
      sym__match_cases,
    STATE(11018), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13370), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [79636] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7715), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3456), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10193), 1,
      sym__match_cases,
    STATE(11018), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13370), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79767] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7715), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3457), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10200), 1,
      sym__match_cases,
    STATE(11018), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13370), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79898] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7705), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3458), 1,
      sym_attribute,
    STATE(7935), 1,
      sym__match_cases,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80102] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7697), 1,
      anon_sym_PIPE,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3460), 1,
      sym_attribute,
    STATE(7954), 1,
      sym__match_cases,
    STATE(8274), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80452] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    STATE(3464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [80959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81031] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(3472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3263), 1,
      anon_sym_DOT,
    STATE(3480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [81971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82259] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3489), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14689), 1,
      sym__simple_expression,
    STATE(15066), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82527] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3492), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14676), 1,
      sym__simple_expression,
    STATE(15421), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82723] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3494), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14712), 1,
      sym__simple_expression,
    STATE(15501), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [82847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [82991] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83065] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(5531), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8146), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3498), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(14033), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83265] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(8148), 1,
      sym__identifier,
    ACTIONS(8150), 1,
      anon_sym_LPAREN,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_begin,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8162), 1,
      anon_sym_PERCENT,
    ACTIONS(8164), 1,
      aux_sym_number_token1,
    ACTIONS(8166), 1,
      anon_sym_SQUOTE,
    ACTIONS(8168), 1,
      anon_sym_DQUOTE,
    ACTIONS(8170), 1,
      sym_prefix_operator,
    ACTIONS(8172), 1,
      aux_sym_tag_token1,
    STATE(3500), 1,
      sym_attribute,
    STATE(4195), 1,
      sym__attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(7475), 1,
      sym__simple_expression,
    STATE(17564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [83965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84397] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(3515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84543] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8174), 1,
      anon_sym_LT_DASH,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84689] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_DOT,
    STATE(3519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [84835] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3521), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14751), 1,
      sym__simple_expression,
    STATE(15258), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85391] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3528), 1,
      sym_attribute,
    STATE(4029), 1,
      sym__attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(12852), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85663] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3531), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14715), 1,
      sym__simple_expression,
    STATE(15168), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [85931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86147] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3537), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14742), 1,
      sym__simple_expression,
    STATE(16204), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86487] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3263), 1,
      anon_sym_DOT,
    ACTIONS(3265), 1,
      anon_sym_POUND,
    ACTIONS(3267), 1,
      sym_hash_operator,
    STATE(3541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [86997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87213] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3551), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14739), 1,
      sym__simple_expression,
    STATE(15292), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87481] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3554), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14718), 1,
      sym__simple_expression,
    STATE(15769), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87677] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3556), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14678), 1,
      sym__simple_expression,
    STATE(14988), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87801] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3557), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14752), 1,
      sym__simple_expression,
    STATE(15363), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [87997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88069] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3560), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14700), 1,
      sym__simple_expression,
    STATE(15742), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88193] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8180), 1,
      anon_sym_COLON,
    STATE(3561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [88267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88627] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3567), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14720), 1,
      sym__simple_expression,
    STATE(14828), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [88967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89111] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_DOT,
    ACTIONS(3255), 1,
      anon_sym_POUND,
    ACTIONS(3257), 1,
      sym_hash_operator,
    STATE(3573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(3574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(3583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [89985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90201] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3588), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14646), 1,
      sym__simple_expression,
    STATE(16040), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90469] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3591), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14723), 1,
      sym__simple_expression,
    STATE(16005), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [90953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91169] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3600), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14643), 1,
      sym__simple_expression,
    STATE(15752), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91293] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3601), 1,
      sym_attribute,
    STATE(4032), 1,
      sym__attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(12933), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91493] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_DOT,
    ACTIONS(3255), 1,
      anon_sym_POUND,
    ACTIONS(3257), 1,
      sym_hash_operator,
    STATE(3603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91571] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3604), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14631), 1,
      sym__simple_expression,
    STATE(15139), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [91983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92199] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3612), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14669), 1,
      sym__simple_expression,
    STATE(15428), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92323] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3613), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14724), 1,
      sym__simple_expression,
    STATE(15140), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92447] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3614), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14756), 1,
      sym__simple_expression,
    STATE(15450), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92643] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3616), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14744), 1,
      sym__simple_expression,
    STATE(14929), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [92839] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5293), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8182), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3618), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(14009), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92967] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8184), 1,
      anon_sym_COLON,
    STATE(3619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [93041] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3620), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14758), 1,
      sym__simple_expression,
    STATE(15590), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93165] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3621), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14664), 1,
      sym__simple_expression,
    STATE(15677), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93289] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3622), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14727), 1,
      sym__simple_expression,
    STATE(15438), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93773] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3628), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14740), 1,
      sym__simple_expression,
    STATE(15729), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [93897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [93969] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3630), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14747), 1,
      sym__simple_expression,
    STATE(15034), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94165] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3632), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14736), 1,
      sym__simple_expression,
    STATE(14838), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94361] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3634), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14693), 1,
      sym__simple_expression,
    STATE(15371), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94485] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3635), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14698), 1,
      sym__simple_expression,
    STATE(15613), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94609] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8162), 1,
      anon_sym_PERCENT,
    ACTIONS(8186), 1,
      sym__identifier,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_object,
    ACTIONS(8198), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8200), 1,
      anon_sym_new,
    ACTIONS(8202), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8204), 1,
      anon_sym_begin,
    ACTIONS(8206), 1,
      sym_ocamlyacc_value,
    ACTIONS(8208), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8212), 1,
      aux_sym_number_token1,
    ACTIONS(8214), 1,
      anon_sym_SQUOTE,
    ACTIONS(8216), 1,
      anon_sym_DQUOTE,
    ACTIONS(8218), 1,
      sym_prefix_operator,
    ACTIONS(8220), 1,
      sym__capitalized_identifier,
    ACTIONS(8222), 1,
      aux_sym_tag_token1,
    STATE(3636), 1,
      sym_attribute,
    STATE(4086), 1,
      sym__attribute,
    STATE(7202), 1,
      sym__value_name,
    STATE(7236), 1,
      sym_parenthesized_operator,
    STATE(7293), 1,
      sym__simple_expression,
    STATE(7311), 1,
      sym__constructor_name,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7284), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94733] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8162), 1,
      anon_sym_PERCENT,
    ACTIONS(8186), 1,
      sym__identifier,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_object,
    ACTIONS(8198), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8200), 1,
      anon_sym_new,
    ACTIONS(8202), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8204), 1,
      anon_sym_begin,
    ACTIONS(8206), 1,
      sym_ocamlyacc_value,
    ACTIONS(8208), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8212), 1,
      aux_sym_number_token1,
    ACTIONS(8214), 1,
      anon_sym_SQUOTE,
    ACTIONS(8216), 1,
      anon_sym_DQUOTE,
    ACTIONS(8218), 1,
      sym_prefix_operator,
    ACTIONS(8220), 1,
      sym__capitalized_identifier,
    ACTIONS(8222), 1,
      aux_sym_tag_token1,
    STATE(3637), 1,
      sym_attribute,
    STATE(4087), 1,
      sym__attribute,
    STATE(7202), 1,
      sym__value_name,
    STATE(7236), 1,
      sym_parenthesized_operator,
    STATE(7296), 1,
      sym__simple_expression,
    STATE(7311), 1,
      sym__constructor_name,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7284), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [94929] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3639), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14706), 1,
      sym__simple_expression,
    STATE(15932), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95125] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3641), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14621), 1,
      sym__simple_expression,
    STATE(14964), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95249] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(5321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8224), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3642), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13965), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95449] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3644), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14598), 1,
      sym__simple_expression,
    STATE(15710), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95573] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(5491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8226), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3645), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(14097), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [95701] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3646), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14731), 1,
      sym__simple_expression,
    STATE(15757), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [95969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96041] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3650), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14673), 1,
      sym__simple_expression,
    STATE(15887), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96165] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(8148), 1,
      sym__identifier,
    ACTIONS(8150), 1,
      anon_sym_LPAREN,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_begin,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8162), 1,
      anon_sym_PERCENT,
    ACTIONS(8164), 1,
      aux_sym_number_token1,
    ACTIONS(8166), 1,
      anon_sym_SQUOTE,
    ACTIONS(8168), 1,
      anon_sym_DQUOTE,
    ACTIONS(8170), 1,
      sym_prefix_operator,
    ACTIONS(8172), 1,
      aux_sym_tag_token1,
    STATE(3651), 1,
      sym_attribute,
    STATE(4222), 1,
      sym__attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(7483), 1,
      sym__simple_expression,
    STATE(17564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96289] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3652), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14691), 1,
      sym__simple_expression,
    STATE(15215), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96413] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(5521), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8228), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3653), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(14001), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [96541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96613] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3655), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14681), 1,
      sym__simple_expression,
    STATE(15595), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [96953] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3659), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14732), 1,
      sym__simple_expression,
    STATE(16181), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97149] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8162), 1,
      anon_sym_PERCENT,
    ACTIONS(8230), 1,
      sym__identifier,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    ACTIONS(8234), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_LBRACE,
    ACTIONS(8240), 1,
      anon_sym_object,
    ACTIONS(8242), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8244), 1,
      anon_sym_new,
    ACTIONS(8246), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8248), 1,
      anon_sym_begin,
    ACTIONS(8250), 1,
      sym_ocamlyacc_value,
    ACTIONS(8252), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8254), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8256), 1,
      aux_sym_number_token1,
    ACTIONS(8258), 1,
      anon_sym_SQUOTE,
    ACTIONS(8260), 1,
      anon_sym_DQUOTE,
    ACTIONS(8262), 1,
      sym_prefix_operator,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(8266), 1,
      aux_sym_tag_token1,
    STATE(3661), 1,
      sym_attribute,
    STATE(4136), 1,
      sym__attribute,
    STATE(9433), 1,
      sym__value_name,
    STATE(9529), 1,
      sym_parenthesized_operator,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(9581), 1,
      sym__simple_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9384), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97345] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8162), 1,
      anon_sym_PERCENT,
    ACTIONS(8268), 1,
      sym__identifier,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8282), 1,
      anon_sym_new,
    ACTIONS(8284), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8286), 1,
      anon_sym_begin,
    ACTIONS(8288), 1,
      sym_ocamlyacc_value,
    ACTIONS(8290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8294), 1,
      aux_sym_number_token1,
    ACTIONS(8296), 1,
      anon_sym_SQUOTE,
    ACTIONS(8298), 1,
      anon_sym_DQUOTE,
    ACTIONS(8300), 1,
      sym_prefix_operator,
    ACTIONS(8302), 1,
      sym__capitalized_identifier,
    ACTIONS(8304), 1,
      aux_sym_tag_token1,
    STATE(3663), 1,
      sym_attribute,
    STATE(4145), 1,
      sym__attribute,
    STATE(7331), 1,
      sym__constructor_name,
    STATE(7418), 1,
      sym__value_name,
    STATE(7521), 1,
      sym__simple_expression,
    STATE(7534), 1,
      sym_parenthesized_operator,
    STATE(18067), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7455), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7410), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97541] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8162), 1,
      anon_sym_PERCENT,
    ACTIONS(8268), 1,
      sym__identifier,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8282), 1,
      anon_sym_new,
    ACTIONS(8284), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8286), 1,
      anon_sym_begin,
    ACTIONS(8288), 1,
      sym_ocamlyacc_value,
    ACTIONS(8290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8294), 1,
      aux_sym_number_token1,
    ACTIONS(8296), 1,
      anon_sym_SQUOTE,
    ACTIONS(8298), 1,
      anon_sym_DQUOTE,
    ACTIONS(8300), 1,
      sym_prefix_operator,
    ACTIONS(8302), 1,
      sym__capitalized_identifier,
    ACTIONS(8304), 1,
      aux_sym_tag_token1,
    STATE(3665), 1,
      sym_attribute,
    STATE(4146), 1,
      sym__attribute,
    STATE(7331), 1,
      sym__constructor_name,
    STATE(7418), 1,
      sym__value_name,
    STATE(7522), 1,
      sym__simple_expression,
    STATE(7534), 1,
      sym_parenthesized_operator,
    STATE(18067), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7455), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7410), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97665] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(3666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8306), 1,
      anon_sym_LT_DASH,
    STATE(3667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [97957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98101] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3672), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14658), 1,
      sym__simple_expression,
    STATE(15137), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98225] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3673), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14750), 1,
      sym__simple_expression,
    STATE(15152), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98349] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3674), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14685), 1,
      sym__simple_expression,
    STATE(16107), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98545] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8308), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3676), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13988), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98673] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8162), 1,
      anon_sym_PERCENT,
    ACTIONS(8230), 1,
      sym__identifier,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    ACTIONS(8234), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_LBRACE,
    ACTIONS(8240), 1,
      anon_sym_object,
    ACTIONS(8242), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8244), 1,
      anon_sym_new,
    ACTIONS(8246), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8248), 1,
      anon_sym_begin,
    ACTIONS(8250), 1,
      sym_ocamlyacc_value,
    ACTIONS(8252), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8254), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8256), 1,
      aux_sym_number_token1,
    ACTIONS(8258), 1,
      anon_sym_SQUOTE,
    ACTIONS(8260), 1,
      anon_sym_DQUOTE,
    ACTIONS(8262), 1,
      sym_prefix_operator,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(8266), 1,
      aux_sym_tag_token1,
    STATE(3677), 1,
      sym_attribute,
    STATE(4137), 1,
      sym__attribute,
    STATE(9433), 1,
      sym__value_name,
    STATE(9529), 1,
      sym_parenthesized_operator,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(9582), 1,
      sym__simple_expression,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9384), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [98941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99085] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3682), 1,
      sym_attribute,
    STATE(4130), 1,
      sym__attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13839), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99213] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(7649), 1,
      anon_sym_PERCENT,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3683), 1,
      sym_attribute,
    STATE(4131), 1,
      sym__attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13849), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99341] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(5331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8310), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3684), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13975), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99469] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3685), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14709), 1,
      sym__simple_expression,
    STATE(16139), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99593] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3686), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14734), 1,
      sym__simple_expression,
    STATE(15001), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99717] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3263), 1,
      anon_sym_DOT,
    ACTIONS(3265), 1,
      anon_sym_POUND,
    ACTIONS(3267), 1,
      sym_hash_operator,
    STATE(3687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [99867] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(5471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8312), 1,
      anon_sym_RPAREN,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3689), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(14072), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100067] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7846), 1,
      sym__identifier,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(3691), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(13937), 1,
      sym_field_path,
    STATE(14687), 1,
      sym__simple_expression,
    STATE(14903), 1,
      sym_field_expression,
    STATE(17583), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100407] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8314), 1,
      anon_sym_COLON,
    STATE(3695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [100480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100622] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3698), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100747] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3699), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [100939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101081] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8316), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3703), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101206] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8318), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3704), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13593), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101331] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8320), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3705), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13298), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [101456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [101527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [101811] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3711), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101932] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8322), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3712), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13299), 1,
      sym__pattern,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [102057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102128] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3714), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102249] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3715), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102370] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3716), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102491] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3717), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102612] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3718), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [102875] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3721), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102996] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8324), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3722), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103121] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3723), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12279), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103317] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3725), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11019), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13370), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [103442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103797] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3731), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [103989] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3733), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12247), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104114] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3734), 1,
      sym_attribute,
    STATE(8388), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13285), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104381] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3737), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11953), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104577] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3739), 1,
      sym_attribute,
    STATE(8495), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [104702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [104773] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3741), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104894] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3742), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105015] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(8326), 1,
      anon_sym_rec,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(3743), 1,
      sym_attribute,
    STATE(4467), 1,
      sym__attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(11557), 1,
      sym_let_binding,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [105150] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8332), 1,
      anon_sym_COLON,
    STATE(3744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [105223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105365] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3747), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [105490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105561] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3749), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10313), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [105686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [105757] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3751), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105878] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3752), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11962), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13348), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [106003] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8334), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3753), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [106128] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8336), 1,
      anon_sym_LT_DASH,
    STATE(3754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106201] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3755), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106322] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3756), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12133), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [106447] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8338), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3757), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13590), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [106572] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3758), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11810), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13552), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [106697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [106910] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8340), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3762), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [107035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107106] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3764), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107227] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3765), 1,
      sym_attribute,
    STATE(8257), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [107352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [107565] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3769), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [107690] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3770), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [107953] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3773), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108074] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3774), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108266] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3776), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108529] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8342), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3779), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [108654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108725] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3781), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12245), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13562), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [108850] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3911), 1,
      anon_sym_DOT,
    STATE(3782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [108923] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3783), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11539), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13365), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [109048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109119] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3785), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10313), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13365), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [109244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109315] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3787), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [109440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109511] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8344), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3789), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [109636] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3790), 1,
      sym_attribute,
    STATE(8191), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [109761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [109832] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3792), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109953] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3793), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110074] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3794), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [110199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [110696] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3802), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110817] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3803), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111009] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(3805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111295] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3809), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13285), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [111420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111491] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3811), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [111616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111687] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3813), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9329), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [111812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [111883] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3815), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10858), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13420), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [112008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112150] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3911), 1,
      anon_sym_DOT,
    ACTIONS(3913), 1,
      anon_sym_POUND,
    ACTIONS(3915), 1,
      sym_hash_operator,
    STATE(3818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112298] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3820), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13426), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [112423] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3821), 1,
      sym_attribute,
    STATE(8370), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [112548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112690] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8346), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3824), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [112815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [112957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [113028] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3828), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [113153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113366] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3832), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12352), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13440), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [113491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [113562] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3834), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113683] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8352), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3835), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13458), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [113808] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8354), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3836), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13467), 1,
      sym__pattern,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [113933] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3837), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114125] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3839), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10009), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [114250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114321] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3841), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10150), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [114446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114517] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(8356), 1,
      anon_sym_rec,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(3843), 1,
      sym_attribute,
    STATE(4466), 1,
      sym__attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(11467), 1,
      sym_let_binding,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [114652] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(3844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114796] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3846), 1,
      sym_attribute,
    STATE(8021), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [114921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [114992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115063] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3849), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115184] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8362), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3850), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [115309] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3851), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13496), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [115434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [115505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [115789] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3857), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10313), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13420), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [115914] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8364), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3858), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116039] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8366), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3859), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116235] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8368), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3861), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13529), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116502] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3864), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11944), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13482), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [116698] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8370), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3866), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116823] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8372), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3867), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [116948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117161] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3871), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13519), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [117286] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3872), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117407] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3873), 1,
      sym_attribute,
    STATE(8270), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13545), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [117532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [117816] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3223), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3878), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117937] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8374), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3879), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [118062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118133] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8376), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3881), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [118258] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3882), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118734] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3888), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [118997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119210] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8378), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3894), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [119335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119406] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3896), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [119598] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8380), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3898), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13387), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [119723] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3899), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [119848] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3900), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10313), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13318), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [119973] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3901), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11994), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13532), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [120098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120382] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120597] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3909), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [120722] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3910), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12352), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13289), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [120847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [120918] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3912), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12100), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13289), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121043] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3913), 1,
      sym_attribute,
    STATE(8139), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13465), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121239] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3289), 1,
      anon_sym_DOT,
    STATE(3915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121383] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3227), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3917), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121575] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8382), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3919), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [121771] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8384), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3921), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13312), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [121896] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8386), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3922), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13331), 1,
      sym__pattern,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122021] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3923), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(3924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122215] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8388), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3925), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122411] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3927), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [122603] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8390), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3929), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122728] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3930), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13486), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122853] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3931), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13566), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [122978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123120] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3934), 1,
      sym_attribute,
    STATE(8133), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13553), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123529] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3939), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11686), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13560), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123654] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8392), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3940), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13439), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [123850] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8394), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3942), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13595), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [123975] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8396), 1,
      anon_sym_COLON,
    STATE(3943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [124048] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3171), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3944), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [124240] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3946), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124361] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3289), 1,
      anon_sym_DOT,
    ACTIONS(3291), 1,
      anon_sym_POUND,
    ACTIONS(3293), 1,
      sym_hash_operator,
    STATE(3947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [124438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [124509] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8398), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3949), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124634] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3950), 1,
      sym_attribute,
    STATE(8070), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124759] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3951), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10313), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13348), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [124884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [124955] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8400), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3953), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125080] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3954), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13375), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125205] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3955), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125326] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8402), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3956), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125451] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3957), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13596), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [125576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [125647] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3959), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [125839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [125910] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8406), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3962), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13444), 1,
      sym__pattern,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [126035] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3963), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126369] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8408), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3967), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [126494] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8410), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3968), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [126619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126690] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3970), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13589), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [126815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [126886] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3972), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127078] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3974), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13401), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127203] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8412), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3975), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127328] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3976), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13485), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127453] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3977), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(11704), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13580), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127578] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3978), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13537), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127774] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8414), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(3980), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [127899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [127970] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3982), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12092), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13318), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [128095] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3983), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [128220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128291] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3985), 1,
      sym_attribute,
    STATE(8186), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [128416] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8416), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3986), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [128541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [128825] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8418), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3991), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [128950] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8420), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3992), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [129075] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3911), 1,
      anon_sym_DOT,
    ACTIONS(3913), 1,
      anon_sym_POUND,
    ACTIONS(3915), 1,
      sym_hash_operator,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129223] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3995), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129344] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(3996), 1,
      sym_attribute,
    STATE(8436), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13525), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [129469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129540] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(3998), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [129803] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(4001), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129924] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(4002), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130045] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4003), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13417), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130170] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8422), 1,
      anon_sym_LT_DASH,
    STATE(4004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [130243] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4005), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(10313), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13370), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130368] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8424), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4006), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130493] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8426), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4007), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [130689] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(4009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [130762] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3289), 1,
      anon_sym_DOT,
    ACTIONS(3291), 1,
      anon_sym_POUND,
    ACTIONS(3293), 1,
      sym_hash_operator,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [130839] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4011), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(9175), 1,
      sym_match_case,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13584), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [130964] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4012), 1,
      sym_attribute,
    STATE(8105), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13583), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131160] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8428), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4014), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13275), 1,
      sym__pattern,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131427] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8430), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4017), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131552] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    ACTIONS(8432), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4018), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13389), 1,
      sym__pattern,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131677] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8434), 1,
      anon_sym_RBRACK,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4019), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [131802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [131944] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4022), 1,
      sym_attribute,
    STATE(7959), 1,
      sym_match_case,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13533), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132069] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8436), 1,
      anon_sym_COLON,
    STATE(4023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [132142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [132286] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4026), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13510), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132408] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4027), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13509), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [132600] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4029), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(12928), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [132722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [132792] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(8148), 1,
      sym__identifier,
    ACTIONS(8150), 1,
      anon_sym_LPAREN,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_begin,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8164), 1,
      aux_sym_number_token1,
    ACTIONS(8166), 1,
      anon_sym_SQUOTE,
    ACTIONS(8168), 1,
      anon_sym_DQUOTE,
    ACTIONS(8170), 1,
      sym_prefix_operator,
    ACTIONS(8172), 1,
      aux_sym_tag_token1,
    STATE(4031), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(7302), 1,
      sym__simple_expression,
    STATE(17564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132910] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4032), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(12780), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [133032] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4033), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(12781), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [133154] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4034), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(12789), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [133276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133416] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(8148), 1,
      sym__identifier,
    ACTIONS(8150), 1,
      anon_sym_LPAREN,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_begin,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8164), 1,
      aux_sym_number_token1,
    ACTIONS(8166), 1,
      anon_sym_SQUOTE,
    ACTIONS(8168), 1,
      anon_sym_DQUOTE,
    ACTIONS(8170), 1,
      sym_prefix_operator,
    ACTIONS(8172), 1,
      aux_sym_tag_token1,
    STATE(4037), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(7528), 1,
      sym__simple_expression,
    STATE(17564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133534] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3925), 1,
      anon_sym_DOT,
    ACTIONS(3927), 1,
      anon_sym_POUND,
    ACTIONS(3929), 1,
      sym_hash_operator,
    STATE(4038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133610] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4039), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(12843), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [133732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133802] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4041), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(12759), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [133924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [133994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134554] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3925), 1,
      anon_sym_DOT,
    ACTIONS(3927), 1,
      anon_sym_POUND,
    ACTIONS(3929), 1,
      sym_hash_operator,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134700] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2611), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2617), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_object,
    ACTIONS(2623), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2633), 1,
      anon_sym_new,
    ACTIONS(2635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2637), 1,
      anon_sym_begin,
    ACTIONS(2639), 1,
      sym_ocamlyacc_value,
    ACTIONS(2641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2645), 1,
      aux_sym_number_token1,
    ACTIONS(2647), 1,
      anon_sym_SQUOTE,
    ACTIONS(2649), 1,
      anon_sym_DQUOTE,
    ACTIONS(2651), 1,
      sym_prefix_operator,
    ACTIONS(2655), 1,
      sym__capitalized_identifier,
    ACTIONS(2657), 1,
      aux_sym_tag_token1,
    ACTIONS(5261), 1,
      sym__identifier,
    STATE(4053), 1,
      sym_attribute,
    STATE(6792), 1,
      sym__constructor_name,
    STATE(6943), 1,
      sym__value_name,
    STATE(7086), 1,
      sym__simple_expression,
    STATE(7108), 1,
      sym_parenthesized_operator,
    STATE(18045), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2615), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6789), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6766), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [134958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135378] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2611), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2617), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_object,
    ACTIONS(2623), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2633), 1,
      anon_sym_new,
    ACTIONS(2635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2637), 1,
      anon_sym_begin,
    ACTIONS(2639), 1,
      sym_ocamlyacc_value,
    ACTIONS(2641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2645), 1,
      aux_sym_number_token1,
    ACTIONS(2647), 1,
      anon_sym_SQUOTE,
    ACTIONS(2649), 1,
      anon_sym_DQUOTE,
    ACTIONS(2651), 1,
      sym_prefix_operator,
    ACTIONS(2655), 1,
      sym__capitalized_identifier,
    ACTIONS(2657), 1,
      aux_sym_tag_token1,
    ACTIONS(5261), 1,
      sym__identifier,
    STATE(4062), 1,
      sym_attribute,
    STATE(6792), 1,
      sym__constructor_name,
    STATE(6943), 1,
      sym__value_name,
    STATE(6973), 1,
      sym__simple_expression,
    STATE(7108), 1,
      sym_parenthesized_operator,
    STATE(18045), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2615), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6789), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6766), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135496] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(4063), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5192), 1,
      sym__simple_expression,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [135964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136314] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3925), 1,
      anon_sym_DOT,
    STATE(4074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [136946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137156] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8186), 1,
      sym__identifier,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_object,
    ACTIONS(8198), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8200), 1,
      anon_sym_new,
    ACTIONS(8202), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8204), 1,
      anon_sym_begin,
    ACTIONS(8206), 1,
      sym_ocamlyacc_value,
    ACTIONS(8208), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8212), 1,
      aux_sym_number_token1,
    ACTIONS(8214), 1,
      anon_sym_SQUOTE,
    ACTIONS(8216), 1,
      anon_sym_DQUOTE,
    ACTIONS(8218), 1,
      sym_prefix_operator,
    ACTIONS(8220), 1,
      sym__capitalized_identifier,
    ACTIONS(8222), 1,
      aux_sym_tag_token1,
    STATE(4086), 1,
      sym_attribute,
    STATE(7151), 1,
      sym__simple_expression,
    STATE(7202), 1,
      sym__value_name,
    STATE(7236), 1,
      sym_parenthesized_operator,
    STATE(7311), 1,
      sym__constructor_name,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7284), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137274] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8186), 1,
      sym__identifier,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_object,
    ACTIONS(8198), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8200), 1,
      anon_sym_new,
    ACTIONS(8202), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8204), 1,
      anon_sym_begin,
    ACTIONS(8206), 1,
      sym_ocamlyacc_value,
    ACTIONS(8208), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8212), 1,
      aux_sym_number_token1,
    ACTIONS(8214), 1,
      anon_sym_SQUOTE,
    ACTIONS(8216), 1,
      anon_sym_DQUOTE,
    ACTIONS(8218), 1,
      sym_prefix_operator,
    ACTIONS(8220), 1,
      sym__capitalized_identifier,
    ACTIONS(8222), 1,
      aux_sym_tag_token1,
    STATE(4087), 1,
      sym_attribute,
    STATE(7152), 1,
      sym__simple_expression,
    STATE(7202), 1,
      sym__value_name,
    STATE(7236), 1,
      sym_parenthesized_operator,
    STATE(7311), 1,
      sym__constructor_name,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7284), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [137882] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__capitalized_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3991), 1,
      sym__identifier,
    STATE(4095), 1,
      sym_attribute,
    STATE(4157), 1,
      sym__value_name,
    STATE(4182), 1,
      sym_parenthesized_operator,
    STATE(4184), 1,
      sym__constructor_name,
    STATE(4273), 1,
      sym__simple_expression,
    STATE(19746), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4155), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4055), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138560] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8186), 1,
      sym__identifier,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_object,
    ACTIONS(8198), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8200), 1,
      anon_sym_new,
    ACTIONS(8202), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8204), 1,
      anon_sym_begin,
    ACTIONS(8206), 1,
      sym_ocamlyacc_value,
    ACTIONS(8208), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8212), 1,
      aux_sym_number_token1,
    ACTIONS(8214), 1,
      anon_sym_SQUOTE,
    ACTIONS(8216), 1,
      anon_sym_DQUOTE,
    ACTIONS(8218), 1,
      sym_prefix_operator,
    ACTIONS(8220), 1,
      sym__capitalized_identifier,
    ACTIONS(8222), 1,
      aux_sym_tag_token1,
    STATE(4104), 1,
      sym_attribute,
    STATE(7202), 1,
      sym__value_name,
    STATE(7236), 1,
      sym_parenthesized_operator,
    STATE(7254), 1,
      sym__simple_expression,
    STATE(7311), 1,
      sym__constructor_name,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7284), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138678] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4105), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13338), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [138800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [138940] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_object,
    ACTIONS(2571), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2581), 1,
      anon_sym_new,
    ACTIONS(2583), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2585), 1,
      anon_sym_begin,
    ACTIONS(2587), 1,
      sym_ocamlyacc_value,
    ACTIONS(2589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2593), 1,
      aux_sym_number_token1,
    ACTIONS(2595), 1,
      anon_sym_SQUOTE,
    ACTIONS(2597), 1,
      anon_sym_DQUOTE,
    ACTIONS(2599), 1,
      sym_prefix_operator,
    ACTIONS(2603), 1,
      sym__capitalized_identifier,
    ACTIONS(2605), 1,
      aux_sym_tag_token1,
    ACTIONS(5405), 1,
      sym__identifier,
    STATE(4108), 1,
      sym_attribute,
    STATE(6856), 1,
      sym_parenthesized_operator,
    STATE(6988), 1,
      sym__simple_expression,
    STATE(7038), 1,
      sym__value_name,
    STATE(7110), 1,
      sym__constructor_name,
    STATE(19553), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2563), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6933), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139128] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8186), 1,
      sym__identifier,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    ACTIONS(8190), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_LBRACE,
    ACTIONS(8196), 1,
      anon_sym_object,
    ACTIONS(8198), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8200), 1,
      anon_sym_new,
    ACTIONS(8202), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8204), 1,
      anon_sym_begin,
    ACTIONS(8206), 1,
      sym_ocamlyacc_value,
    ACTIONS(8208), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8212), 1,
      aux_sym_number_token1,
    ACTIONS(8214), 1,
      anon_sym_SQUOTE,
    ACTIONS(8216), 1,
      anon_sym_DQUOTE,
    ACTIONS(8218), 1,
      sym_prefix_operator,
    ACTIONS(8220), 1,
      sym__capitalized_identifier,
    ACTIONS(8222), 1,
      aux_sym_tag_token1,
    STATE(4110), 1,
      sym_attribute,
    STATE(7130), 1,
      sym__simple_expression,
    STATE(7202), 1,
      sym__value_name,
    STATE(7236), 1,
      sym_parenthesized_operator,
    STATE(7311), 1,
      sym__constructor_name,
    STATE(18451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7284), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139316] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(4112), 1,
      sym_attribute,
    STATE(5087), 1,
      sym__simple_expression,
    STATE(5122), 1,
      sym__value_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [139644] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(643), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_object,
    ACTIONS(653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(663), 1,
      anon_sym_new,
    ACTIONS(665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(667), 1,
      anon_sym_begin,
    ACTIONS(669), 1,
      sym_ocamlyacc_value,
    ACTIONS(675), 1,
      aux_sym_number_token1,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_prefix_operator,
    ACTIONS(685), 1,
      sym__capitalized_identifier,
    ACTIONS(687), 1,
      aux_sym_tag_token1,
    ACTIONS(3031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3209), 1,
      sym__identifier,
    STATE(3032), 1,
      sym__value_name,
    STATE(3043), 1,
      sym__constructor_name,
    STATE(3380), 1,
      sym__simple_expression,
    STATE(3427), 1,
      sym_parenthesized_operator,
    STATE(4116), 1,
      sym_attribute,
    STATE(19818), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3061), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3051), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139762] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(643), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_object,
    ACTIONS(653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(663), 1,
      anon_sym_new,
    ACTIONS(665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(667), 1,
      anon_sym_begin,
    ACTIONS(669), 1,
      sym_ocamlyacc_value,
    ACTIONS(675), 1,
      aux_sym_number_token1,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_prefix_operator,
    ACTIONS(685), 1,
      sym__capitalized_identifier,
    ACTIONS(687), 1,
      aux_sym_tag_token1,
    ACTIONS(3031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3209), 1,
      sym__identifier,
    STATE(3032), 1,
      sym__value_name,
    STATE(3043), 1,
      sym__constructor_name,
    STATE(3427), 1,
      sym_parenthesized_operator,
    STATE(3464), 1,
      sym__simple_expression,
    STATE(4117), 1,
      sym_attribute,
    STATE(19818), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3061), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3051), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139880] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(523), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(579), 1,
      sym__capitalized_identifier,
    ACTIONS(583), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3921), 1,
      sym__identifier,
    STATE(4061), 1,
      sym__simple_expression,
    STATE(4107), 1,
      sym__value_name,
    STATE(4118), 1,
      sym_attribute,
    STATE(4121), 1,
      sym_parenthesized_operator,
    STATE(4176), 1,
      sym__constructor_name,
    STATE(19073), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4191), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4052), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139998] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(4119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140210] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4122), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13315), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [140332] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(523), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(579), 1,
      sym__capitalized_identifier,
    ACTIONS(583), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3921), 1,
      sym__identifier,
    STATE(4074), 1,
      sym__simple_expression,
    STATE(4107), 1,
      sym__value_name,
    STATE(4121), 1,
      sym_parenthesized_operator,
    STATE(4123), 1,
      sym_attribute,
    STATE(4176), 1,
      sym__constructor_name,
    STATE(19073), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4191), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4052), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [140590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [140870] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4130), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13751), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [140992] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4131), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13754), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141114] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4132), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13755), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141236] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4133), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13757), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141358] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4134), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13759), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141480] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4135), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13761), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [141602] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8230), 1,
      sym__identifier,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    ACTIONS(8234), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_LBRACE,
    ACTIONS(8240), 1,
      anon_sym_object,
    ACTIONS(8242), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8244), 1,
      anon_sym_new,
    ACTIONS(8246), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8248), 1,
      anon_sym_begin,
    ACTIONS(8250), 1,
      sym_ocamlyacc_value,
    ACTIONS(8252), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8254), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8256), 1,
      aux_sym_number_token1,
    ACTIONS(8258), 1,
      anon_sym_SQUOTE,
    ACTIONS(8260), 1,
      anon_sym_DQUOTE,
    ACTIONS(8262), 1,
      sym_prefix_operator,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(8266), 1,
      aux_sym_tag_token1,
    STATE(4136), 1,
      sym_attribute,
    STATE(9337), 1,
      sym__simple_expression,
    STATE(9433), 1,
      sym__value_name,
    STATE(9529), 1,
      sym_parenthesized_operator,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9384), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141720] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8230), 1,
      sym__identifier,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    ACTIONS(8234), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_LBRACE,
    ACTIONS(8240), 1,
      anon_sym_object,
    ACTIONS(8242), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8244), 1,
      anon_sym_new,
    ACTIONS(8246), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8248), 1,
      anon_sym_begin,
    ACTIONS(8250), 1,
      sym_ocamlyacc_value,
    ACTIONS(8252), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8254), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8256), 1,
      aux_sym_number_token1,
    ACTIONS(8258), 1,
      anon_sym_SQUOTE,
    ACTIONS(8260), 1,
      anon_sym_DQUOTE,
    ACTIONS(8262), 1,
      sym_prefix_operator,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(8266), 1,
      aux_sym_tag_token1,
    STATE(4137), 1,
      sym_attribute,
    STATE(9338), 1,
      sym__simple_expression,
    STATE(9433), 1,
      sym__value_name,
    STATE(9529), 1,
      sym_parenthesized_operator,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9384), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [141978] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2691), 1,
      anon_sym_LPAREN,
    ACTIONS(2693), 1,
      anon_sym_LBRACK,
    ACTIONS(2697), 1,
      anon_sym_LBRACE,
    ACTIONS(2699), 1,
      anon_sym_object,
    ACTIONS(2703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2713), 1,
      anon_sym_new,
    ACTIONS(2715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2717), 1,
      anon_sym_begin,
    ACTIONS(2719), 1,
      sym_ocamlyacc_value,
    ACTIONS(2721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2725), 1,
      aux_sym_number_token1,
    ACTIONS(2727), 1,
      anon_sym_SQUOTE,
    ACTIONS(2729), 1,
      anon_sym_DQUOTE,
    ACTIONS(2731), 1,
      sym_prefix_operator,
    ACTIONS(2735), 1,
      sym__capitalized_identifier,
    ACTIONS(2737), 1,
      aux_sym_tag_token1,
    ACTIONS(5495), 1,
      sym__identifier,
    STATE(4140), 1,
      sym_attribute,
    STATE(6747), 1,
      sym__simple_expression,
    STATE(6855), 1,
      sym__value_name,
    STATE(6884), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(19074), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7101), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6846), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142096] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    ACTIONS(6799), 1,
      anon_sym_LBRACK,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6805), 1,
      anon_sym_object,
    ACTIONS(6807), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6809), 1,
      anon_sym_new,
    ACTIONS(6811), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6813), 1,
      anon_sym_begin,
    ACTIONS(6815), 1,
      sym_ocamlyacc_value,
    ACTIONS(6821), 1,
      aux_sym_number_token1,
    ACTIONS(6823), 1,
      anon_sym_SQUOTE,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6827), 1,
      sym_prefix_operator,
    ACTIONS(6829), 1,
      sym__capitalized_identifier,
    ACTIONS(6831), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4141), 1,
      sym_attribute,
    STATE(7653), 1,
      sym_parenthesized_operator,
    STATE(7755), 1,
      sym__value_name,
    STATE(7849), 1,
      sym__constructor_name,
    STATE(7874), 1,
      sym__simple_expression,
    STATE(17308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6801), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7840), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7838), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142214] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    ACTIONS(6799), 1,
      anon_sym_LBRACK,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6805), 1,
      anon_sym_object,
    ACTIONS(6807), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6809), 1,
      anon_sym_new,
    ACTIONS(6811), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6813), 1,
      anon_sym_begin,
    ACTIONS(6815), 1,
      sym_ocamlyacc_value,
    ACTIONS(6821), 1,
      aux_sym_number_token1,
    ACTIONS(6823), 1,
      anon_sym_SQUOTE,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6827), 1,
      sym_prefix_operator,
    ACTIONS(6829), 1,
      sym__capitalized_identifier,
    ACTIONS(6831), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4142), 1,
      sym_attribute,
    STATE(7653), 1,
      sym_parenthesized_operator,
    STATE(7664), 1,
      sym__simple_expression,
    STATE(7755), 1,
      sym__value_name,
    STATE(7849), 1,
      sym__constructor_name,
    STATE(17308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6801), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7840), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7838), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [142472] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8268), 1,
      sym__identifier,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8282), 1,
      anon_sym_new,
    ACTIONS(8284), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8286), 1,
      anon_sym_begin,
    ACTIONS(8288), 1,
      sym_ocamlyacc_value,
    ACTIONS(8290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8294), 1,
      aux_sym_number_token1,
    ACTIONS(8296), 1,
      anon_sym_SQUOTE,
    ACTIONS(8298), 1,
      anon_sym_DQUOTE,
    ACTIONS(8300), 1,
      sym_prefix_operator,
    ACTIONS(8302), 1,
      sym__capitalized_identifier,
    ACTIONS(8304), 1,
      aux_sym_tag_token1,
    STATE(4145), 1,
      sym_attribute,
    STATE(7331), 1,
      sym__constructor_name,
    STATE(7334), 1,
      sym__simple_expression,
    STATE(7418), 1,
      sym__value_name,
    STATE(7534), 1,
      sym_parenthesized_operator,
    STATE(18067), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7455), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7410), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142590] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8268), 1,
      sym__identifier,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8282), 1,
      anon_sym_new,
    ACTIONS(8284), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8286), 1,
      anon_sym_begin,
    ACTIONS(8288), 1,
      sym_ocamlyacc_value,
    ACTIONS(8290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8294), 1,
      aux_sym_number_token1,
    ACTIONS(8296), 1,
      anon_sym_SQUOTE,
    ACTIONS(8298), 1,
      anon_sym_DQUOTE,
    ACTIONS(8300), 1,
      sym_prefix_operator,
    ACTIONS(8302), 1,
      sym__capitalized_identifier,
    ACTIONS(8304), 1,
      aux_sym_tag_token1,
    STATE(4146), 1,
      sym_attribute,
    STATE(7331), 1,
      sym__constructor_name,
    STATE(7337), 1,
      sym__simple_expression,
    STATE(7418), 1,
      sym__value_name,
    STATE(7534), 1,
      sym_parenthesized_operator,
    STATE(18067), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7455), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7410), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142708] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACE,
    ACTIONS(991), 1,
      anon_sym_object,
    ACTIONS(995), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1005), 1,
      anon_sym_new,
    ACTIONS(1007), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1009), 1,
      anon_sym_begin,
    ACTIONS(1011), 1,
      sym_ocamlyacc_value,
    ACTIONS(1017), 1,
      aux_sym_number_token1,
    ACTIONS(1019), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DQUOTE,
    ACTIONS(1023), 1,
      sym_prefix_operator,
    ACTIONS(1027), 1,
      sym__capitalized_identifier,
    ACTIONS(1029), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4551), 1,
      sym__identifier,
    STATE(4147), 1,
      sym_attribute,
    STATE(4873), 1,
      sym__value_name,
    STATE(4889), 1,
      sym__constructor_name,
    STATE(4897), 1,
      sym__simple_expression,
    STATE(4902), 1,
      sym_parenthesized_operator,
    STATE(19407), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(987), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4910), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4851), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [142966] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACE,
    ACTIONS(991), 1,
      anon_sym_object,
    ACTIONS(995), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1005), 1,
      anon_sym_new,
    ACTIONS(1007), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1009), 1,
      anon_sym_begin,
    ACTIONS(1011), 1,
      sym_ocamlyacc_value,
    ACTIONS(1017), 1,
      aux_sym_number_token1,
    ACTIONS(1019), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DQUOTE,
    ACTIONS(1023), 1,
      sym_prefix_operator,
    ACTIONS(1027), 1,
      sym__capitalized_identifier,
    ACTIONS(1029), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4551), 1,
      sym__identifier,
    STATE(4150), 1,
      sym_attribute,
    STATE(4873), 1,
      sym__value_name,
    STATE(4889), 1,
      sym__constructor_name,
    STATE(4902), 1,
      sym_parenthesized_operator,
    STATE(4923), 1,
      sym__simple_expression,
    STATE(19407), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(987), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4910), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4851), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143084] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3995), 1,
      anon_sym_DOT,
    STATE(4151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143156] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2611), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2617), 1,
      anon_sym_LBRACE,
    ACTIONS(2619), 1,
      anon_sym_object,
    ACTIONS(2623), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2633), 1,
      anon_sym_new,
    ACTIONS(2635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2637), 1,
      anon_sym_begin,
    ACTIONS(2639), 1,
      sym_ocamlyacc_value,
    ACTIONS(2641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2645), 1,
      aux_sym_number_token1,
    ACTIONS(2647), 1,
      anon_sym_SQUOTE,
    ACTIONS(2649), 1,
      anon_sym_DQUOTE,
    ACTIONS(2651), 1,
      sym_prefix_operator,
    ACTIONS(2655), 1,
      sym__capitalized_identifier,
    ACTIONS(2657), 1,
      aux_sym_tag_token1,
    ACTIONS(5261), 1,
      sym__identifier,
    STATE(4152), 1,
      sym_attribute,
    STATE(6683), 1,
      sym__simple_expression,
    STATE(6792), 1,
      sym__constructor_name,
    STATE(6943), 1,
      sym__value_name,
    STATE(7108), 1,
      sym_parenthesized_operator,
    STATE(18045), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2615), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6789), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6766), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143274] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(815), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      anon_sym_object,
    ACTIONS(827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(837), 1,
      anon_sym_new,
    ACTIONS(839), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(841), 1,
      anon_sym_begin,
    ACTIONS(843), 1,
      sym_ocamlyacc_value,
    ACTIONS(849), 1,
      aux_sym_number_token1,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      sym_prefix_operator,
    ACTIONS(859), 1,
      sym__capitalized_identifier,
    ACTIONS(861), 1,
      aux_sym_tag_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3285), 1,
      sym__identifier,
    STATE(3823), 1,
      sym__constructor_name,
    STATE(3920), 1,
      sym__simple_expression,
    STATE(3928), 1,
      sym_parenthesized_operator,
    STATE(3941), 1,
      sym__value_name,
    STATE(4153), 1,
      sym_attribute,
    STATE(17374), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4020), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3700), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143392] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(815), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      anon_sym_object,
    ACTIONS(827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(837), 1,
      anon_sym_new,
    ACTIONS(839), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(841), 1,
      anon_sym_begin,
    ACTIONS(843), 1,
      sym_ocamlyacc_value,
    ACTIONS(849), 1,
      aux_sym_number_token1,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      sym_prefix_operator,
    ACTIONS(859), 1,
      sym__capitalized_identifier,
    ACTIONS(861), 1,
      aux_sym_tag_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3285), 1,
      sym__identifier,
    STATE(3823), 1,
      sym__constructor_name,
    STATE(3915), 1,
      sym__simple_expression,
    STATE(3928), 1,
      sym_parenthesized_operator,
    STATE(3941), 1,
      sym__value_name,
    STATE(4154), 1,
      sym_attribute,
    STATE(17374), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4020), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3700), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143580] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_LBRACE,
    ACTIONS(1235), 1,
      anon_sym_object,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1249), 1,
      anon_sym_new,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1253), 1,
      anon_sym_begin,
    ACTIONS(1255), 1,
      sym_ocamlyacc_value,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1259), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1261), 1,
      aux_sym_number_token1,
    ACTIONS(1263), 1,
      anon_sym_SQUOTE,
    ACTIONS(1265), 1,
      anon_sym_DQUOTE,
    ACTIONS(1267), 1,
      sym_prefix_operator,
    ACTIONS(1271), 1,
      sym__capitalized_identifier,
    ACTIONS(1273), 1,
      aux_sym_tag_token1,
    ACTIONS(4571), 1,
      sym__identifier,
    STATE(4156), 1,
      sym_attribute,
    STATE(5122), 1,
      sym__value_name,
    STATE(5136), 1,
      sym__simple_expression,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(5218), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1231), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5211), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5112), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [143768] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(523), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(541), 1,
      anon_sym_object,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(555), 1,
      anon_sym_new,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(559), 1,
      anon_sym_begin,
    ACTIONS(561), 1,
      sym_ocamlyacc_value,
    ACTIONS(567), 1,
      aux_sym_number_token1,
    ACTIONS(569), 1,
      anon_sym_SQUOTE,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_prefix_operator,
    ACTIONS(579), 1,
      sym__capitalized_identifier,
    ACTIONS(583), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3921), 1,
      sym__identifier,
    STATE(4051), 1,
      sym__simple_expression,
    STATE(4107), 1,
      sym__value_name,
    STATE(4121), 1,
      sym_parenthesized_operator,
    STATE(4158), 1,
      sym_attribute,
    STATE(4176), 1,
      sym__constructor_name,
    STATE(19073), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4191), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4052), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143886] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2743), 1,
      anon_sym_LPAREN,
    ACTIONS(2745), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_LBRACE,
    ACTIONS(2751), 1,
      anon_sym_object,
    ACTIONS(2755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2765), 1,
      anon_sym_new,
    ACTIONS(2767), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2769), 1,
      anon_sym_begin,
    ACTIONS(2771), 1,
      sym_ocamlyacc_value,
    ACTIONS(2773), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2775), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2777), 1,
      aux_sym_number_token1,
    ACTIONS(2779), 1,
      anon_sym_SQUOTE,
    ACTIONS(2781), 1,
      anon_sym_DQUOTE,
    ACTIONS(2783), 1,
      sym_prefix_operator,
    ACTIONS(2787), 1,
      sym__capitalized_identifier,
    ACTIONS(2789), 1,
      aux_sym_tag_token1,
    ACTIONS(5335), 1,
      sym__identifier,
    STATE(4159), 1,
      sym_attribute,
    STATE(6826), 1,
      sym__value_name,
    STATE(6854), 1,
      sym__constructor_name,
    STATE(7057), 1,
      sym_parenthesized_operator,
    STATE(7059), 1,
      sym__simple_expression,
    STATE(17429), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2747), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6849), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7024), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144004] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2743), 1,
      anon_sym_LPAREN,
    ACTIONS(2745), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_LBRACE,
    ACTIONS(2751), 1,
      anon_sym_object,
    ACTIONS(2755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2765), 1,
      anon_sym_new,
    ACTIONS(2767), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2769), 1,
      anon_sym_begin,
    ACTIONS(2771), 1,
      sym_ocamlyacc_value,
    ACTIONS(2773), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2775), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2777), 1,
      aux_sym_number_token1,
    ACTIONS(2779), 1,
      anon_sym_SQUOTE,
    ACTIONS(2781), 1,
      anon_sym_DQUOTE,
    ACTIONS(2783), 1,
      sym_prefix_operator,
    ACTIONS(2787), 1,
      sym__capitalized_identifier,
    ACTIONS(2789), 1,
      aux_sym_tag_token1,
    ACTIONS(5335), 1,
      sym__identifier,
    STATE(4160), 1,
      sym_attribute,
    STATE(6826), 1,
      sym__value_name,
    STATE(6854), 1,
      sym__constructor_name,
    STATE(7057), 1,
      sym_parenthesized_operator,
    STATE(7096), 1,
      sym__simple_expression,
    STATE(17429), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2747), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6849), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7024), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144192] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(4162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144264] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7449), 1,
      sym__identifier,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7457), 1,
      anon_sym_LBRACE,
    ACTIONS(7459), 1,
      anon_sym_exception,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7465), 1,
      anon_sym_lazy,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7481), 1,
      sym__capitalized_identifier,
    ACTIONS(7483), 1,
      aux_sym_tag_token1,
    ACTIONS(7639), 1,
      anon_sym_LPAREN,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2624), 1,
      sym_tag,
    STATE(4163), 1,
      sym_attribute,
    STATE(9453), 1,
      sym__constructor_name,
    STATE(13575), 1,
      sym__signed_constant,
    STATE(13812), 1,
      sym__pattern,
    STATE(19800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13891), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(13673), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [144386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144526] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6793), 1,
      sym__identifier,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    ACTIONS(6799), 1,
      anon_sym_LBRACK,
    ACTIONS(6803), 1,
      anon_sym_LBRACE,
    ACTIONS(6805), 1,
      anon_sym_object,
    ACTIONS(6807), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6809), 1,
      anon_sym_new,
    ACTIONS(6811), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6813), 1,
      anon_sym_begin,
    ACTIONS(6815), 1,
      sym_ocamlyacc_value,
    ACTIONS(6821), 1,
      aux_sym_number_token1,
    ACTIONS(6823), 1,
      anon_sym_SQUOTE,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6827), 1,
      sym_prefix_operator,
    ACTIONS(6829), 1,
      sym__capitalized_identifier,
    ACTIONS(6831), 1,
      aux_sym_tag_token1,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4166), 1,
      sym_attribute,
    STATE(7653), 1,
      sym_parenthesized_operator,
    STATE(7755), 1,
      sym__value_name,
    STATE(7849), 1,
      sym__constructor_name,
    STATE(7932), 1,
      sym__simple_expression,
    STATE(17308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6801), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7840), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7838), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144644] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2385), 1,
      anon_sym_LPAREN,
    ACTIONS(2387), 1,
      anon_sym_LBRACK,
    ACTIONS(2391), 1,
      anon_sym_LBRACE,
    ACTIONS(2393), 1,
      anon_sym_object,
    ACTIONS(2397), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2407), 1,
      anon_sym_new,
    ACTIONS(2409), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2411), 1,
      anon_sym_begin,
    ACTIONS(2413), 1,
      sym_ocamlyacc_value,
    ACTIONS(2415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2419), 1,
      aux_sym_number_token1,
    ACTIONS(2421), 1,
      anon_sym_SQUOTE,
    ACTIONS(2423), 1,
      anon_sym_DQUOTE,
    ACTIONS(2425), 1,
      sym_prefix_operator,
    ACTIONS(2429), 1,
      sym__capitalized_identifier,
    ACTIONS(2431), 1,
      aux_sym_tag_token1,
    ACTIONS(5171), 1,
      sym__identifier,
    STATE(4167), 1,
      sym_attribute,
    STATE(6203), 1,
      sym__constructor_name,
    STATE(6283), 1,
      sym__value_name,
    STATE(6291), 1,
      sym_parenthesized_operator,
    STATE(6360), 1,
      sym__simple_expression,
    STATE(17484), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6201), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6270), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144762] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2385), 1,
      anon_sym_LPAREN,
    ACTIONS(2387), 1,
      anon_sym_LBRACK,
    ACTIONS(2391), 1,
      anon_sym_LBRACE,
    ACTIONS(2393), 1,
      anon_sym_object,
    ACTIONS(2397), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2407), 1,
      anon_sym_new,
    ACTIONS(2409), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2411), 1,
      anon_sym_begin,
    ACTIONS(2413), 1,
      sym_ocamlyacc_value,
    ACTIONS(2415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2419), 1,
      aux_sym_number_token1,
    ACTIONS(2421), 1,
      anon_sym_SQUOTE,
    ACTIONS(2423), 1,
      anon_sym_DQUOTE,
    ACTIONS(2425), 1,
      sym_prefix_operator,
    ACTIONS(2429), 1,
      sym__capitalized_identifier,
    ACTIONS(2431), 1,
      aux_sym_tag_token1,
    ACTIONS(5171), 1,
      sym__identifier,
    STATE(4168), 1,
      sym_attribute,
    STATE(6145), 1,
      sym__simple_expression,
    STATE(6203), 1,
      sym__constructor_name,
    STATE(6283), 1,
      sym__value_name,
    STATE(6291), 1,
      sym_parenthesized_operator,
    STATE(17484), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6201), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6270), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [144950] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(8148), 1,
      sym__identifier,
    STATE(4170), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(7302), 1,
      sym__simple_expression,
    STATE(18800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145138] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(4172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145210] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACE,
    ACTIONS(991), 1,
      anon_sym_object,
    ACTIONS(995), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1005), 1,
      anon_sym_new,
    ACTIONS(1007), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1009), 1,
      anon_sym_begin,
    ACTIONS(1011), 1,
      sym_ocamlyacc_value,
    ACTIONS(1017), 1,
      aux_sym_number_token1,
    ACTIONS(1019), 1,
      anon_sym_SQUOTE,
    ACTIONS(1021), 1,
      anon_sym_DQUOTE,
    ACTIONS(1023), 1,
      sym_prefix_operator,
    ACTIONS(1027), 1,
      sym__capitalized_identifier,
    ACTIONS(1029), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4551), 1,
      sym__identifier,
    STATE(4173), 1,
      sym_attribute,
    STATE(4871), 1,
      sym__simple_expression,
    STATE(4873), 1,
      sym__value_name,
    STATE(4889), 1,
      sym__constructor_name,
    STATE(4902), 1,
      sym_parenthesized_operator,
    STATE(19407), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(987), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4910), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4851), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145328] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__capitalized_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5009), 1,
      sym__identifier,
    STATE(4174), 1,
      sym_attribute,
    STATE(5715), 1,
      sym_parenthesized_operator,
    STATE(5756), 1,
      sym__constructor_name,
    STATE(5764), 1,
      sym__simple_expression,
    STATE(5766), 1,
      sym__value_name,
    STATE(17539), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5723), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5742), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145446] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__capitalized_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5009), 1,
      sym__identifier,
    STATE(4175), 1,
      sym_attribute,
    STATE(5697), 1,
      sym__simple_expression,
    STATE(5715), 1,
      sym_parenthesized_operator,
    STATE(5756), 1,
      sym__constructor_name,
    STATE(5766), 1,
      sym__value_name,
    STATE(17539), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5723), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5742), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [145634] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7848), 1,
      anon_sym_LPAREN,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7852), 1,
      anon_sym_LBRACE,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7862), 1,
      anon_sym_begin,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7866), 1,
      sym_prefix_operator,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(8148), 1,
      sym__identifier,
    STATE(4177), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(14545), 1,
      sym__simple_expression,
    STATE(18800), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145752] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(643), 1,
      anon_sym_LBRACK,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_object,
    ACTIONS(653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(663), 1,
      anon_sym_new,
    ACTIONS(665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(667), 1,
      anon_sym_begin,
    ACTIONS(669), 1,
      sym_ocamlyacc_value,
    ACTIONS(675), 1,
      aux_sym_number_token1,
    ACTIONS(677), 1,
      anon_sym_SQUOTE,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_prefix_operator,
    ACTIONS(685), 1,
      sym__capitalized_identifier,
    ACTIONS(687), 1,
      aux_sym_tag_token1,
    ACTIONS(3031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3209), 1,
      sym__identifier,
    STATE(3032), 1,
      sym__value_name,
    STATE(3043), 1,
      sym__constructor_name,
    STATE(3423), 1,
      sym__simple_expression,
    STATE(3427), 1,
      sym_parenthesized_operator,
    STATE(4178), 1,
      sym_attribute,
    STATE(19818), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(645), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3061), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3051), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145870] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
    ACTIONS(1129), 1,
      anon_sym_LBRACE,
    ACTIONS(1131), 1,
      anon_sym_object,
    ACTIONS(1135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1145), 1,
      anon_sym_new,
    ACTIONS(1147), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1149), 1,
      anon_sym_begin,
    ACTIONS(1151), 1,
      sym_ocamlyacc_value,
    ACTIONS(1153), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1155), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1157), 1,
      aux_sym_number_token1,
    ACTIONS(1159), 1,
      anon_sym_SQUOTE,
    ACTIONS(1161), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      sym_prefix_operator,
    ACTIONS(1167), 1,
      sym__capitalized_identifier,
    ACTIONS(1169), 1,
      aux_sym_tag_token1,
    ACTIONS(4561), 1,
      sym__identifier,
    STATE(4179), 1,
      sym_attribute,
    STATE(4932), 1,
      sym__simple_expression,
    STATE(4963), 1,
      sym__value_name,
    STATE(4980), 1,
      sym_parenthesized_operator,
    STATE(5010), 1,
      sym__constructor_name,
    STATE(17594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5009), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4927), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145988] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
    ACTIONS(1129), 1,
      anon_sym_LBRACE,
    ACTIONS(1131), 1,
      anon_sym_object,
    ACTIONS(1135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1145), 1,
      anon_sym_new,
    ACTIONS(1147), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1149), 1,
      anon_sym_begin,
    ACTIONS(1151), 1,
      sym_ocamlyacc_value,
    ACTIONS(1153), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1155), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1157), 1,
      aux_sym_number_token1,
    ACTIONS(1159), 1,
      anon_sym_SQUOTE,
    ACTIONS(1161), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      sym_prefix_operator,
    ACTIONS(1167), 1,
      sym__capitalized_identifier,
    ACTIONS(1169), 1,
      aux_sym_tag_token1,
    ACTIONS(4561), 1,
      sym__identifier,
    STATE(4180), 1,
      sym_attribute,
    STATE(4941), 1,
      sym__simple_expression,
    STATE(4963), 1,
      sym__value_name,
    STATE(4980), 1,
      sym_parenthesized_operator,
    STATE(5010), 1,
      sym__constructor_name,
    STATE(17594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5009), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4927), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146106] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(4181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146388] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4185), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13744), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [146510] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5787), 1,
      sym__identifier,
    ACTIONS(5791), 1,
      anon_sym_LPAREN,
    ACTIONS(5793), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_LBRACE,
    ACTIONS(5799), 1,
      anon_sym_object,
    ACTIONS(5801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5803), 1,
      anon_sym_new,
    ACTIONS(5805), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5807), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      sym_ocamlyacc_value,
    ACTIONS(5815), 1,
      aux_sym_number_token1,
    ACTIONS(5817), 1,
      anon_sym_SQUOTE,
    ACTIONS(5819), 1,
      anon_sym_DQUOTE,
    ACTIONS(5821), 1,
      sym_prefix_operator,
    ACTIONS(5823), 1,
      sym__capitalized_identifier,
    ACTIONS(5825), 1,
      aux_sym_tag_token1,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8444), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4186), 1,
      sym_attribute,
    STATE(5838), 1,
      sym__value_name,
    STATE(5877), 1,
      sym_parenthesized_operator,
    STATE(5932), 1,
      sym__simple_expression,
    STATE(5982), 1,
      sym__constructor_name,
    STATE(17704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5795), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5795), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146628] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1181), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_object,
    ACTIONS(1187), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__capitalized_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4711), 1,
      sym__identifier,
    STATE(4187), 1,
      sym_attribute,
    STATE(5270), 1,
      sym__constructor_name,
    STATE(5278), 1,
      sym__simple_expression,
    STATE(5332), 1,
      sym_parenthesized_operator,
    STATE(5341), 1,
      sym__value_name,
    STATE(17649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1179), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5339), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5251), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146746] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1181), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_object,
    ACTIONS(1187), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__capitalized_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4711), 1,
      sym__identifier,
    STATE(4188), 1,
      sym_attribute,
    STATE(5270), 1,
      sym__constructor_name,
    STATE(5311), 1,
      sym__simple_expression,
    STATE(5332), 1,
      sym_parenthesized_operator,
    STATE(5341), 1,
      sym__value_name,
    STATE(17649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1179), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5339), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5251), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [146934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147284] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(8148), 1,
      sym__identifier,
    ACTIONS(8150), 1,
      anon_sym_LPAREN,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_begin,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8164), 1,
      aux_sym_number_token1,
    ACTIONS(8166), 1,
      anon_sym_SQUOTE,
    ACTIONS(8168), 1,
      anon_sym_DQUOTE,
    ACTIONS(8170), 1,
      sym_prefix_operator,
    ACTIONS(8172), 1,
      aux_sym_tag_token1,
    STATE(4195), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(7367), 1,
      sym__simple_expression,
    STATE(17564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [147682] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      sym__identifier,
    ACTIONS(7519), 1,
      anon_sym_LPAREN,
    ACTIONS(7521), 1,
      anon_sym_LBRACK,
    ACTIONS(7525), 1,
      anon_sym_LBRACE,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7529), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7531), 1,
      anon_sym_new,
    ACTIONS(7533), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7535), 1,
      anon_sym_begin,
    ACTIONS(7537), 1,
      sym_ocamlyacc_value,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7543), 1,
      aux_sym_number_token1,
    ACTIONS(7545), 1,
      anon_sym_SQUOTE,
    ACTIONS(7547), 1,
      anon_sym_DQUOTE,
    ACTIONS(7549), 1,
      sym_prefix_operator,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    STATE(4200), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(8844), 1,
      sym__value_name,
    STATE(8978), 1,
      sym__simple_expression,
    STATE(8985), 1,
      sym_parenthesized_operator,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9019), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9022), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147800] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5787), 1,
      sym__identifier,
    ACTIONS(5791), 1,
      anon_sym_LPAREN,
    ACTIONS(5793), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_LBRACE,
    ACTIONS(5799), 1,
      anon_sym_object,
    ACTIONS(5801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5803), 1,
      anon_sym_new,
    ACTIONS(5805), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5807), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      sym_ocamlyacc_value,
    ACTIONS(5815), 1,
      aux_sym_number_token1,
    ACTIONS(5817), 1,
      anon_sym_SQUOTE,
    ACTIONS(5819), 1,
      anon_sym_DQUOTE,
    ACTIONS(5821), 1,
      sym_prefix_operator,
    ACTIONS(5823), 1,
      sym__capitalized_identifier,
    ACTIONS(5825), 1,
      aux_sym_tag_token1,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8444), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4201), 1,
      sym_attribute,
    STATE(5801), 1,
      sym__simple_expression,
    STATE(5838), 1,
      sym__value_name,
    STATE(5877), 1,
      sym_parenthesized_operator,
    STATE(5982), 1,
      sym__constructor_name,
    STATE(17704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5795), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5795), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147918] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5787), 1,
      sym__identifier,
    ACTIONS(5791), 1,
      anon_sym_LPAREN,
    ACTIONS(5793), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_LBRACE,
    ACTIONS(5799), 1,
      anon_sym_object,
    ACTIONS(5801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5803), 1,
      anon_sym_new,
    ACTIONS(5805), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5807), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      sym_ocamlyacc_value,
    ACTIONS(5815), 1,
      aux_sym_number_token1,
    ACTIONS(5817), 1,
      anon_sym_SQUOTE,
    ACTIONS(5819), 1,
      anon_sym_DQUOTE,
    ACTIONS(5821), 1,
      sym_prefix_operator,
    ACTIONS(5823), 1,
      sym__capitalized_identifier,
    ACTIONS(5825), 1,
      aux_sym_tag_token1,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8444), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4202), 1,
      sym_attribute,
    STATE(5810), 1,
      sym__simple_expression,
    STATE(5838), 1,
      sym__value_name,
    STATE(5877), 1,
      sym_parenthesized_operator,
    STATE(5982), 1,
      sym__constructor_name,
    STATE(17704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5795), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5795), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148526] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(815), 1,
      anon_sym_LPAREN,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      anon_sym_object,
    ACTIONS(827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(837), 1,
      anon_sym_new,
    ACTIONS(839), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(841), 1,
      anon_sym_begin,
    ACTIONS(843), 1,
      sym_ocamlyacc_value,
    ACTIONS(849), 1,
      aux_sym_number_token1,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      sym_prefix_operator,
    ACTIONS(859), 1,
      sym__capitalized_identifier,
    ACTIONS(861), 1,
      aux_sym_tag_token1,
    ACTIONS(3037), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3039), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3285), 1,
      sym__identifier,
    STATE(3823), 1,
      sym__constructor_name,
    STATE(3928), 1,
      sym_parenthesized_operator,
    STATE(3941), 1,
      sym__value_name,
    STATE(4010), 1,
      sym__simple_expression,
    STATE(4210), 1,
      sym_attribute,
    STATE(17374), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4020), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3700), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148644] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      sym__identifier,
    ACTIONS(7519), 1,
      anon_sym_LPAREN,
    ACTIONS(7521), 1,
      anon_sym_LBRACK,
    ACTIONS(7525), 1,
      anon_sym_LBRACE,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7529), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7531), 1,
      anon_sym_new,
    ACTIONS(7533), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7535), 1,
      anon_sym_begin,
    ACTIONS(7537), 1,
      sym_ocamlyacc_value,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7543), 1,
      aux_sym_number_token1,
    ACTIONS(7545), 1,
      anon_sym_SQUOTE,
    ACTIONS(7547), 1,
      anon_sym_DQUOTE,
    ACTIONS(7549), 1,
      sym_prefix_operator,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    STATE(4211), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(8844), 1,
      sym__value_name,
    STATE(8985), 1,
      sym_parenthesized_operator,
    STATE(9038), 1,
      sym__simple_expression,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9019), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9022), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148762] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7515), 1,
      sym__identifier,
    ACTIONS(7519), 1,
      anon_sym_LPAREN,
    ACTIONS(7521), 1,
      anon_sym_LBRACK,
    ACTIONS(7525), 1,
      anon_sym_LBRACE,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7529), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7531), 1,
      anon_sym_new,
    ACTIONS(7533), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7535), 1,
      anon_sym_begin,
    ACTIONS(7537), 1,
      sym_ocamlyacc_value,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7543), 1,
      aux_sym_number_token1,
    ACTIONS(7545), 1,
      anon_sym_SQUOTE,
    ACTIONS(7547), 1,
      anon_sym_DQUOTE,
    ACTIONS(7549), 1,
      sym_prefix_operator,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    STATE(4212), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(8844), 1,
      sym__value_name,
    STATE(8985), 1,
      sym_parenthesized_operator,
    STATE(9109), 1,
      sym__simple_expression,
    STATE(17759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7523), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9019), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9022), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [148950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149300] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2743), 1,
      anon_sym_LPAREN,
    ACTIONS(2745), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_LBRACE,
    ACTIONS(2751), 1,
      anon_sym_object,
    ACTIONS(2755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2765), 1,
      anon_sym_new,
    ACTIONS(2767), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2769), 1,
      anon_sym_begin,
    ACTIONS(2771), 1,
      sym_ocamlyacc_value,
    ACTIONS(2773), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2775), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2777), 1,
      aux_sym_number_token1,
    ACTIONS(2779), 1,
      anon_sym_SQUOTE,
    ACTIONS(2781), 1,
      anon_sym_DQUOTE,
    ACTIONS(2783), 1,
      sym_prefix_operator,
    ACTIONS(2787), 1,
      sym__capitalized_identifier,
    ACTIONS(2789), 1,
      aux_sym_tag_token1,
    ACTIONS(5335), 1,
      sym__identifier,
    STATE(4219), 1,
      sym_attribute,
    STATE(6796), 1,
      sym__simple_expression,
    STATE(6826), 1,
      sym__value_name,
    STATE(6854), 1,
      sym__constructor_name,
    STATE(7057), 1,
      sym_parenthesized_operator,
    STATE(17429), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2747), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6849), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7024), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149418] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2015), 1,
      anon_sym_LPAREN,
    ACTIONS(2017), 1,
      anon_sym_LBRACK,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_object,
    ACTIONS(2027), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2037), 1,
      anon_sym_new,
    ACTIONS(2039), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2041), 1,
      anon_sym_begin,
    ACTIONS(2043), 1,
      sym_ocamlyacc_value,
    ACTIONS(2045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2049), 1,
      aux_sym_number_token1,
    ACTIONS(2051), 1,
      anon_sym_SQUOTE,
    ACTIONS(2053), 1,
      anon_sym_DQUOTE,
    ACTIONS(2055), 1,
      sym_prefix_operator,
    ACTIONS(2059), 1,
      sym__capitalized_identifier,
    ACTIONS(2061), 1,
      aux_sym_tag_token1,
    ACTIONS(5141), 1,
      sym__identifier,
    STATE(4220), 1,
      sym_attribute,
    STATE(6183), 1,
      sym_parenthesized_operator,
    STATE(6317), 1,
      sym__simple_expression,
    STATE(6365), 1,
      sym__value_name,
    STATE(6477), 1,
      sym__constructor_name,
    STATE(17814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2019), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6474), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6302), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149536] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2015), 1,
      anon_sym_LPAREN,
    ACTIONS(2017), 1,
      anon_sym_LBRACK,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_object,
    ACTIONS(2027), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2037), 1,
      anon_sym_new,
    ACTIONS(2039), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2041), 1,
      anon_sym_begin,
    ACTIONS(2043), 1,
      sym_ocamlyacc_value,
    ACTIONS(2045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2049), 1,
      aux_sym_number_token1,
    ACTIONS(2051), 1,
      anon_sym_SQUOTE,
    ACTIONS(2053), 1,
      anon_sym_DQUOTE,
    ACTIONS(2055), 1,
      sym_prefix_operator,
    ACTIONS(2059), 1,
      sym__capitalized_identifier,
    ACTIONS(2061), 1,
      aux_sym_tag_token1,
    ACTIONS(5141), 1,
      sym__identifier,
    STATE(4221), 1,
      sym_attribute,
    STATE(6183), 1,
      sym_parenthesized_operator,
    STATE(6330), 1,
      sym__simple_expression,
    STATE(6365), 1,
      sym__value_name,
    STATE(6477), 1,
      sym__constructor_name,
    STATE(17814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2019), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6474), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6302), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149654] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7854), 1,
      anon_sym_object,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7858), 1,
      anon_sym_new,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7864), 1,
      sym_ocamlyacc_value,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(8148), 1,
      sym__identifier,
    ACTIONS(8150), 1,
      anon_sym_LPAREN,
    ACTIONS(8154), 1,
      anon_sym_LBRACE,
    ACTIONS(8156), 1,
      anon_sym_begin,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8164), 1,
      aux_sym_number_token1,
    ACTIONS(8166), 1,
      anon_sym_SQUOTE,
    ACTIONS(8168), 1,
      anon_sym_DQUOTE,
    ACTIONS(8170), 1,
      sym_prefix_operator,
    ACTIONS(8172), 1,
      aux_sym_tag_token1,
    STATE(4222), 1,
      sym_attribute,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(7268), 1,
      sym__value_name,
    STATE(7375), 1,
      sym__simple_expression,
    STATE(17564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7402), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7256), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [149912] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2385), 1,
      anon_sym_LPAREN,
    ACTIONS(2387), 1,
      anon_sym_LBRACK,
    ACTIONS(2391), 1,
      anon_sym_LBRACE,
    ACTIONS(2393), 1,
      anon_sym_object,
    ACTIONS(2397), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2407), 1,
      anon_sym_new,
    ACTIONS(2409), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2411), 1,
      anon_sym_begin,
    ACTIONS(2413), 1,
      sym_ocamlyacc_value,
    ACTIONS(2415), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2417), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2419), 1,
      aux_sym_number_token1,
    ACTIONS(2421), 1,
      anon_sym_SQUOTE,
    ACTIONS(2423), 1,
      anon_sym_DQUOTE,
    ACTIONS(2425), 1,
      sym_prefix_operator,
    ACTIONS(2429), 1,
      sym__capitalized_identifier,
    ACTIONS(2431), 1,
      aux_sym_tag_token1,
    ACTIONS(5171), 1,
      sym__identifier,
    STATE(4225), 1,
      sym_attribute,
    STATE(6203), 1,
      sym__constructor_name,
    STATE(6283), 1,
      sym__value_name,
    STATE(6291), 1,
      sym_parenthesized_operator,
    STATE(6320), 1,
      sym__simple_expression,
    STATE(17484), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6201), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6270), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150030] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2087), 1,
      anon_sym_LBRACK,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    ACTIONS(2093), 1,
      anon_sym_object,
    ACTIONS(2097), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2107), 1,
      anon_sym_new,
    ACTIONS(2109), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2111), 1,
      anon_sym_begin,
    ACTIONS(2113), 1,
      sym_ocamlyacc_value,
    ACTIONS(2115), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2117), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2119), 1,
      aux_sym_number_token1,
    ACTIONS(2121), 1,
      anon_sym_SQUOTE,
    ACTIONS(2123), 1,
      anon_sym_DQUOTE,
    ACTIONS(2125), 1,
      sym_prefix_operator,
    ACTIONS(2129), 1,
      sym__capitalized_identifier,
    ACTIONS(2131), 1,
      aux_sym_tag_token1,
    ACTIONS(5131), 1,
      sym__identifier,
    STATE(4226), 1,
      sym_attribute,
    STATE(6202), 1,
      sym_parenthesized_operator,
    STATE(6388), 1,
      sym__simple_expression,
    STATE(6496), 1,
      sym__value_name,
    STATE(6553), 1,
      sym__constructor_name,
    STATE(17862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6362), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150148] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2087), 1,
      anon_sym_LBRACK,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    ACTIONS(2093), 1,
      anon_sym_object,
    ACTIONS(2097), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2107), 1,
      anon_sym_new,
    ACTIONS(2109), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2111), 1,
      anon_sym_begin,
    ACTIONS(2113), 1,
      sym_ocamlyacc_value,
    ACTIONS(2115), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2117), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2119), 1,
      aux_sym_number_token1,
    ACTIONS(2121), 1,
      anon_sym_SQUOTE,
    ACTIONS(2123), 1,
      anon_sym_DQUOTE,
    ACTIONS(2125), 1,
      sym_prefix_operator,
    ACTIONS(2129), 1,
      sym__capitalized_identifier,
    ACTIONS(2131), 1,
      aux_sym_tag_token1,
    ACTIONS(5131), 1,
      sym__identifier,
    STATE(4227), 1,
      sym_attribute,
    STATE(6202), 1,
      sym_parenthesized_operator,
    STATE(6409), 1,
      sym__simple_expression,
    STATE(6496), 1,
      sym__value_name,
    STATE(6553), 1,
      sym__constructor_name,
    STATE(17862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6362), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150266] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1347), 1,
      anon_sym_LPAREN,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1353), 1,
      anon_sym_LBRACE,
    ACTIONS(1355), 1,
      anon_sym_object,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1369), 1,
      anon_sym_new,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1373), 1,
      anon_sym_begin,
    ACTIONS(1375), 1,
      sym_ocamlyacc_value,
    ACTIONS(1377), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1381), 1,
      aux_sym_number_token1,
    ACTIONS(1383), 1,
      anon_sym_SQUOTE,
    ACTIONS(1385), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      sym_prefix_operator,
    ACTIONS(1391), 1,
      sym__capitalized_identifier,
    ACTIONS(1393), 1,
      aux_sym_tag_token1,
    ACTIONS(5009), 1,
      sym__identifier,
    STATE(4228), 1,
      sym_attribute,
    STATE(5715), 1,
      sym_parenthesized_operator,
    STATE(5756), 1,
      sym__constructor_name,
    STATE(5759), 1,
      sym__simple_expression,
    STATE(5766), 1,
      sym__value_name,
    STATE(17539), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5723), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5742), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150384] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8230), 1,
      sym__identifier,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    ACTIONS(8234), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_LBRACE,
    ACTIONS(8240), 1,
      anon_sym_object,
    ACTIONS(8242), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8244), 1,
      anon_sym_new,
    ACTIONS(8246), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8248), 1,
      anon_sym_begin,
    ACTIONS(8250), 1,
      sym_ocamlyacc_value,
    ACTIONS(8252), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8254), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8256), 1,
      aux_sym_number_token1,
    ACTIONS(8258), 1,
      anon_sym_SQUOTE,
    ACTIONS(8260), 1,
      anon_sym_DQUOTE,
    ACTIONS(8262), 1,
      sym_prefix_operator,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(8266), 1,
      aux_sym_tag_token1,
    STATE(4229), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__simple_expression,
    STATE(9433), 1,
      sym__value_name,
    STATE(9529), 1,
      sym_parenthesized_operator,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9384), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150502] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8230), 1,
      sym__identifier,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    ACTIONS(8234), 1,
      anon_sym_LBRACK,
    ACTIONS(8238), 1,
      anon_sym_LBRACE,
    ACTIONS(8240), 1,
      anon_sym_object,
    ACTIONS(8242), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8244), 1,
      anon_sym_new,
    ACTIONS(8246), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8248), 1,
      anon_sym_begin,
    ACTIONS(8250), 1,
      sym_ocamlyacc_value,
    ACTIONS(8252), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8254), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8256), 1,
      aux_sym_number_token1,
    ACTIONS(8258), 1,
      anon_sym_SQUOTE,
    ACTIONS(8260), 1,
      anon_sym_DQUOTE,
    ACTIONS(8262), 1,
      sym_prefix_operator,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(8266), 1,
      aux_sym_tag_token1,
    STATE(4230), 1,
      sym_attribute,
    STATE(9401), 1,
      sym__simple_expression,
    STATE(9433), 1,
      sym__value_name,
    STATE(9529), 1,
      sym_parenthesized_operator,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(17903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8236), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9573), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9384), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150620] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__capitalized_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(5251), 1,
      sym__identifier,
    STATE(4231), 1,
      sym_attribute,
    STATE(6583), 1,
      sym_parenthesized_operator,
    STATE(6707), 1,
      sym__value_name,
    STATE(6961), 1,
      sym__constructor_name,
    STATE(6977), 1,
      sym__simple_expression,
    STATE(19783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6853), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6953), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [150808] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1123), 1,
      anon_sym_LPAREN,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
    ACTIONS(1129), 1,
      anon_sym_LBRACE,
    ACTIONS(1131), 1,
      anon_sym_object,
    ACTIONS(1135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1145), 1,
      anon_sym_new,
    ACTIONS(1147), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1149), 1,
      anon_sym_begin,
    ACTIONS(1151), 1,
      sym_ocamlyacc_value,
    ACTIONS(1153), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1155), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1157), 1,
      aux_sym_number_token1,
    ACTIONS(1159), 1,
      anon_sym_SQUOTE,
    ACTIONS(1161), 1,
      anon_sym_DQUOTE,
    ACTIONS(1163), 1,
      sym_prefix_operator,
    ACTIONS(1167), 1,
      sym__capitalized_identifier,
    ACTIONS(1169), 1,
      aux_sym_tag_token1,
    ACTIONS(4561), 1,
      sym__identifier,
    STATE(4233), 1,
      sym_attribute,
    STATE(4963), 1,
      sym__value_name,
    STATE(4966), 1,
      sym__simple_expression,
    STATE(4980), 1,
      sym_parenthesized_operator,
    STATE(5010), 1,
      sym__constructor_name,
    STATE(17594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1127), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5009), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4927), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150926] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2155), 1,
      anon_sym_LPAREN,
    ACTIONS(2157), 1,
      anon_sym_LBRACK,
    ACTIONS(2161), 1,
      anon_sym_LBRACE,
    ACTIONS(2163), 1,
      anon_sym_object,
    ACTIONS(2167), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2177), 1,
      anon_sym_new,
    ACTIONS(2179), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2181), 1,
      anon_sym_begin,
    ACTIONS(2183), 1,
      sym_ocamlyacc_value,
    ACTIONS(2185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2189), 1,
      aux_sym_number_token1,
    ACTIONS(2191), 1,
      anon_sym_SQUOTE,
    ACTIONS(2193), 1,
      anon_sym_DQUOTE,
    ACTIONS(2195), 1,
      sym_prefix_operator,
    ACTIONS(2199), 1,
      sym__capitalized_identifier,
    ACTIONS(2201), 1,
      aux_sym_tag_token1,
    ACTIONS(5151), 1,
      sym__identifier,
    STATE(4234), 1,
      sym_attribute,
    STATE(6100), 1,
      sym__value_name,
    STATE(6236), 1,
      sym_parenthesized_operator,
    STATE(6284), 1,
      sym__constructor_name,
    STATE(6506), 1,
      sym__simple_expression,
    STATE(17944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2159), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6248), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6495), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151044] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2155), 1,
      anon_sym_LPAREN,
    ACTIONS(2157), 1,
      anon_sym_LBRACK,
    ACTIONS(2161), 1,
      anon_sym_LBRACE,
    ACTIONS(2163), 1,
      anon_sym_object,
    ACTIONS(2167), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2177), 1,
      anon_sym_new,
    ACTIONS(2179), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2181), 1,
      anon_sym_begin,
    ACTIONS(2183), 1,
      sym_ocamlyacc_value,
    ACTIONS(2185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2189), 1,
      aux_sym_number_token1,
    ACTIONS(2191), 1,
      anon_sym_SQUOTE,
    ACTIONS(2193), 1,
      anon_sym_DQUOTE,
    ACTIONS(2195), 1,
      sym_prefix_operator,
    ACTIONS(2199), 1,
      sym__capitalized_identifier,
    ACTIONS(2201), 1,
      aux_sym_tag_token1,
    ACTIONS(5151), 1,
      sym__identifier,
    STATE(4235), 1,
      sym_attribute,
    STATE(6100), 1,
      sym__value_name,
    STATE(6236), 1,
      sym_parenthesized_operator,
    STATE(6284), 1,
      sym__constructor_name,
    STATE(6525), 1,
      sym__simple_expression,
    STATE(17944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2159), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6248), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6495), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151162] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1181), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_object,
    ACTIONS(1187), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1197), 1,
      anon_sym_new,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1201), 1,
      anon_sym_begin,
    ACTIONS(1203), 1,
      sym_ocamlyacc_value,
    ACTIONS(1205), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1207), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1209), 1,
      aux_sym_number_token1,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    ACTIONS(1215), 1,
      sym_prefix_operator,
    ACTIONS(1219), 1,
      sym__capitalized_identifier,
    ACTIONS(1221), 1,
      aux_sym_tag_token1,
    ACTIONS(4711), 1,
      sym__identifier,
    STATE(4236), 1,
      sym_attribute,
    STATE(5241), 1,
      sym__simple_expression,
    STATE(5270), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym_parenthesized_operator,
    STATE(5341), 1,
      sym__value_name,
    STATE(17649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1179), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5339), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5251), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151280] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2225), 1,
      anon_sym_LPAREN,
    ACTIONS(2227), 1,
      anon_sym_LBRACK,
    ACTIONS(2231), 1,
      anon_sym_LBRACE,
    ACTIONS(2233), 1,
      anon_sym_object,
    ACTIONS(2237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2247), 1,
      anon_sym_new,
    ACTIONS(2249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2251), 1,
      anon_sym_begin,
    ACTIONS(2253), 1,
      sym_ocamlyacc_value,
    ACTIONS(2255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2259), 1,
      aux_sym_number_token1,
    ACTIONS(2261), 1,
      anon_sym_SQUOTE,
    ACTIONS(2263), 1,
      anon_sym_DQUOTE,
    ACTIONS(2265), 1,
      sym_prefix_operator,
    ACTIONS(2269), 1,
      sym__capitalized_identifier,
    ACTIONS(2271), 1,
      aux_sym_tag_token1,
    ACTIONS(5161), 1,
      sym__identifier,
    STATE(4237), 1,
      sym_attribute,
    STATE(6108), 1,
      sym__simple_expression,
    STATE(6160), 1,
      sym__value_name,
    STATE(6246), 1,
      sym_parenthesized_operator,
    STATE(6541), 1,
      sym__constructor_name,
    STATE(17985), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6528), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6099), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151398] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2225), 1,
      anon_sym_LPAREN,
    ACTIONS(2227), 1,
      anon_sym_LBRACK,
    ACTIONS(2231), 1,
      anon_sym_LBRACE,
    ACTIONS(2233), 1,
      anon_sym_object,
    ACTIONS(2237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2247), 1,
      anon_sym_new,
    ACTIONS(2249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2251), 1,
      anon_sym_begin,
    ACTIONS(2253), 1,
      sym_ocamlyacc_value,
    ACTIONS(2255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2259), 1,
      aux_sym_number_token1,
    ACTIONS(2261), 1,
      anon_sym_SQUOTE,
    ACTIONS(2263), 1,
      anon_sym_DQUOTE,
    ACTIONS(2265), 1,
      sym_prefix_operator,
    ACTIONS(2269), 1,
      sym__capitalized_identifier,
    ACTIONS(2271), 1,
      aux_sym_tag_token1,
    ACTIONS(5161), 1,
      sym__identifier,
    STATE(4238), 1,
      sym_attribute,
    STATE(6122), 1,
      sym__simple_expression,
    STATE(6160), 1,
      sym__value_name,
    STATE(6246), 1,
      sym_parenthesized_operator,
    STATE(6541), 1,
      sym__constructor_name,
    STATE(17985), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6528), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6099), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151516] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6287), 1,
      sym__identifier,
    ACTIONS(6291), 1,
      anon_sym_LPAREN,
    ACTIONS(6293), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LBRACE,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(6301), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6303), 1,
      anon_sym_new,
    ACTIONS(6305), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6307), 1,
      anon_sym_begin,
    ACTIONS(6309), 1,
      sym_ocamlyacc_value,
    ACTIONS(6315), 1,
      aux_sym_number_token1,
    ACTIONS(6317), 1,
      anon_sym_SQUOTE,
    ACTIONS(6319), 1,
      anon_sym_DQUOTE,
    ACTIONS(6321), 1,
      sym_prefix_operator,
    ACTIONS(6323), 1,
      sym__capitalized_identifier,
    ACTIONS(6325), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4239), 1,
      sym_attribute,
    STATE(6609), 1,
      sym__simple_expression,
    STATE(6696), 1,
      sym_parenthesized_operator,
    STATE(6814), 1,
      sym__constructor_name,
    STATE(6951), 1,
      sym__value_name,
    STATE(18108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6733), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6840), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151634] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(761), 1,
      anon_sym_LPAREN,
    ACTIONS(763), 1,
      anon_sym_LBRACK,
    ACTIONS(767), 1,
      anon_sym_LBRACE,
    ACTIONS(769), 1,
      anon_sym_object,
    ACTIONS(773), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(783), 1,
      anon_sym_new,
    ACTIONS(785), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(787), 1,
      anon_sym_begin,
    ACTIONS(789), 1,
      sym_ocamlyacc_value,
    ACTIONS(795), 1,
      aux_sym_number_token1,
    ACTIONS(797), 1,
      anon_sym_SQUOTE,
    ACTIONS(799), 1,
      anon_sym_DQUOTE,
    ACTIONS(801), 1,
      sym_prefix_operator,
    ACTIONS(805), 1,
      sym__capitalized_identifier,
    ACTIONS(807), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3249), 1,
      sym__identifier,
    STATE(3475), 1,
      sym__constructor_name,
    STATE(3479), 1,
      sym__simple_expression,
    STATE(3570), 1,
      sym__value_name,
    STATE(3623), 1,
      sym_parenthesized_operator,
    STATE(4240), 1,
      sym_attribute,
    STATE(18026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(765), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3473), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3688), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151752] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(761), 1,
      anon_sym_LPAREN,
    ACTIONS(763), 1,
      anon_sym_LBRACK,
    ACTIONS(767), 1,
      anon_sym_LBRACE,
    ACTIONS(769), 1,
      anon_sym_object,
    ACTIONS(773), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(783), 1,
      anon_sym_new,
    ACTIONS(785), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(787), 1,
      anon_sym_begin,
    ACTIONS(789), 1,
      sym_ocamlyacc_value,
    ACTIONS(795), 1,
      aux_sym_number_token1,
    ACTIONS(797), 1,
      anon_sym_SQUOTE,
    ACTIONS(799), 1,
      anon_sym_DQUOTE,
    ACTIONS(801), 1,
      sym_prefix_operator,
    ACTIONS(805), 1,
      sym__capitalized_identifier,
    ACTIONS(807), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3249), 1,
      sym__identifier,
    STATE(3475), 1,
      sym__constructor_name,
    STATE(3519), 1,
      sym__simple_expression,
    STATE(3570), 1,
      sym__value_name,
    STATE(3623), 1,
      sym_parenthesized_operator,
    STATE(4241), 1,
      sym_attribute,
    STATE(18026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(765), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3473), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3688), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151870] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2015), 1,
      anon_sym_LPAREN,
    ACTIONS(2017), 1,
      anon_sym_LBRACK,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_object,
    ACTIONS(2027), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2037), 1,
      anon_sym_new,
    ACTIONS(2039), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2041), 1,
      anon_sym_begin,
    ACTIONS(2043), 1,
      sym_ocamlyacc_value,
    ACTIONS(2045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2049), 1,
      aux_sym_number_token1,
    ACTIONS(2051), 1,
      anon_sym_SQUOTE,
    ACTIONS(2053), 1,
      anon_sym_DQUOTE,
    ACTIONS(2055), 1,
      sym_prefix_operator,
    ACTIONS(2059), 1,
      sym__capitalized_identifier,
    ACTIONS(2061), 1,
      aux_sym_tag_token1,
    ACTIONS(5141), 1,
      sym__identifier,
    STATE(4242), 1,
      sym_attribute,
    STATE(6183), 1,
      sym_parenthesized_operator,
    STATE(6365), 1,
      sym__value_name,
    STATE(6464), 1,
      sym__simple_expression,
    STATE(6477), 1,
      sym__constructor_name,
    STATE(17814), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2019), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6474), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6302), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151988] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8268), 1,
      sym__identifier,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8282), 1,
      anon_sym_new,
    ACTIONS(8284), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8286), 1,
      anon_sym_begin,
    ACTIONS(8288), 1,
      sym_ocamlyacc_value,
    ACTIONS(8290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8294), 1,
      aux_sym_number_token1,
    ACTIONS(8296), 1,
      anon_sym_SQUOTE,
    ACTIONS(8298), 1,
      anon_sym_DQUOTE,
    ACTIONS(8300), 1,
      sym_prefix_operator,
    ACTIONS(8302), 1,
      sym__capitalized_identifier,
    ACTIONS(8304), 1,
      aux_sym_tag_token1,
    STATE(4243), 1,
      sym_attribute,
    STATE(7331), 1,
      sym__constructor_name,
    STATE(7418), 1,
      sym__value_name,
    STATE(7520), 1,
      sym__simple_expression,
    STATE(7534), 1,
      sym_parenthesized_operator,
    STATE(18067), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7455), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7410), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [152176] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2087), 1,
      anon_sym_LBRACK,
    ACTIONS(2091), 1,
      anon_sym_LBRACE,
    ACTIONS(2093), 1,
      anon_sym_object,
    ACTIONS(2097), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2107), 1,
      anon_sym_new,
    ACTIONS(2109), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2111), 1,
      anon_sym_begin,
    ACTIONS(2113), 1,
      sym_ocamlyacc_value,
    ACTIONS(2115), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2117), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2119), 1,
      aux_sym_number_token1,
    ACTIONS(2121), 1,
      anon_sym_SQUOTE,
    ACTIONS(2123), 1,
      anon_sym_DQUOTE,
    ACTIONS(2125), 1,
      sym_prefix_operator,
    ACTIONS(2129), 1,
      sym__capitalized_identifier,
    ACTIONS(2131), 1,
      aux_sym_tag_token1,
    ACTIONS(5131), 1,
      sym__identifier,
    STATE(4245), 1,
      sym_attribute,
    STATE(6083), 1,
      sym__simple_expression,
    STATE(6202), 1,
      sym_parenthesized_operator,
    STATE(6496), 1,
      sym__value_name,
    STATE(6553), 1,
      sym__constructor_name,
    STATE(17862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6551), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6362), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152294] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6287), 1,
      sym__identifier,
    ACTIONS(6291), 1,
      anon_sym_LPAREN,
    ACTIONS(6293), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LBRACE,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(6301), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6303), 1,
      anon_sym_new,
    ACTIONS(6305), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6307), 1,
      anon_sym_begin,
    ACTIONS(6309), 1,
      sym_ocamlyacc_value,
    ACTIONS(6315), 1,
      aux_sym_number_token1,
    ACTIONS(6317), 1,
      anon_sym_SQUOTE,
    ACTIONS(6319), 1,
      anon_sym_DQUOTE,
    ACTIONS(6321), 1,
      sym_prefix_operator,
    ACTIONS(6323), 1,
      sym__capitalized_identifier,
    ACTIONS(6325), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4246), 1,
      sym_attribute,
    STATE(6696), 1,
      sym_parenthesized_operator,
    STATE(6814), 1,
      sym__constructor_name,
    STATE(6871), 1,
      sym__simple_expression,
    STATE(6951), 1,
      sym__value_name,
    STATE(18108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6733), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6840), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152412] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6287), 1,
      sym__identifier,
    ACTIONS(6291), 1,
      anon_sym_LPAREN,
    ACTIONS(6293), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LBRACE,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(6301), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6303), 1,
      anon_sym_new,
    ACTIONS(6305), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6307), 1,
      anon_sym_begin,
    ACTIONS(6309), 1,
      sym_ocamlyacc_value,
    ACTIONS(6315), 1,
      aux_sym_number_token1,
    ACTIONS(6317), 1,
      anon_sym_SQUOTE,
    ACTIONS(6319), 1,
      anon_sym_DQUOTE,
    ACTIONS(6321), 1,
      sym_prefix_operator,
    ACTIONS(6323), 1,
      sym__capitalized_identifier,
    ACTIONS(6325), 1,
      aux_sym_tag_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4247), 1,
      sym_attribute,
    STATE(6696), 1,
      sym_parenthesized_operator,
    STATE(6814), 1,
      sym__constructor_name,
    STATE(6893), 1,
      sym__simple_expression,
    STATE(6951), 1,
      sym__value_name,
    STATE(18108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6733), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6840), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [152600] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2155), 1,
      anon_sym_LPAREN,
    ACTIONS(2157), 1,
      anon_sym_LBRACK,
    ACTIONS(2161), 1,
      anon_sym_LBRACE,
    ACTIONS(2163), 1,
      anon_sym_object,
    ACTIONS(2167), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2177), 1,
      anon_sym_new,
    ACTIONS(2179), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2181), 1,
      anon_sym_begin,
    ACTIONS(2183), 1,
      sym_ocamlyacc_value,
    ACTIONS(2185), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2187), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2189), 1,
      aux_sym_number_token1,
    ACTIONS(2191), 1,
      anon_sym_SQUOTE,
    ACTIONS(2193), 1,
      anon_sym_DQUOTE,
    ACTIONS(2195), 1,
      sym_prefix_operator,
    ACTIONS(2199), 1,
      sym__capitalized_identifier,
    ACTIONS(2201), 1,
      aux_sym_tag_token1,
    ACTIONS(5151), 1,
      sym__identifier,
    STATE(4249), 1,
      sym_attribute,
    STATE(6100), 1,
      sym__value_name,
    STATE(6143), 1,
      sym__simple_expression,
    STATE(6236), 1,
      sym_parenthesized_operator,
    STATE(6284), 1,
      sym__constructor_name,
    STATE(17944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2159), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6248), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6495), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152718] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(589), 1,
      anon_sym_LPAREN,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(595), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(633), 1,
      sym__capitalized_identifier,
    ACTIONS(635), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3127), 1,
      sym__identifier,
    STATE(3031), 1,
      sym_parenthesized_operator,
    STATE(3237), 1,
      sym__constructor_name,
    STATE(3314), 1,
      sym__simple_expression,
    STATE(3443), 1,
      sym__value_name,
    STATE(4250), 1,
      sym_attribute,
    STATE(18149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(593), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3299), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152836] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(589), 1,
      anon_sym_LPAREN,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(595), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(633), 1,
      sym__capitalized_identifier,
    ACTIONS(635), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3127), 1,
      sym__identifier,
    STATE(3031), 1,
      sym_parenthesized_operator,
    STATE(3237), 1,
      sym__constructor_name,
    STATE(3357), 1,
      sym__simple_expression,
    STATE(3443), 1,
      sym__value_name,
    STATE(4251), 1,
      sym_attribute,
    STATE(18149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(593), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3299), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153024] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__capitalized_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(5251), 1,
      sym__identifier,
    STATE(4253), 1,
      sym_attribute,
    STATE(6583), 1,
      sym_parenthesized_operator,
    STATE(6707), 1,
      sym__value_name,
    STATE(6788), 1,
      sym__simple_expression,
    STATE(6961), 1,
      sym__constructor_name,
    STATE(19783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6853), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6953), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153142] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2225), 1,
      anon_sym_LPAREN,
    ACTIONS(2227), 1,
      anon_sym_LBRACK,
    ACTIONS(2231), 1,
      anon_sym_LBRACE,
    ACTIONS(2233), 1,
      anon_sym_object,
    ACTIONS(2237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2247), 1,
      anon_sym_new,
    ACTIONS(2249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2251), 1,
      anon_sym_begin,
    ACTIONS(2253), 1,
      sym_ocamlyacc_value,
    ACTIONS(2255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2259), 1,
      aux_sym_number_token1,
    ACTIONS(2261), 1,
      anon_sym_SQUOTE,
    ACTIONS(2263), 1,
      anon_sym_DQUOTE,
    ACTIONS(2265), 1,
      sym_prefix_operator,
    ACTIONS(2269), 1,
      sym__capitalized_identifier,
    ACTIONS(2271), 1,
      aux_sym_tag_token1,
    ACTIONS(5161), 1,
      sym__identifier,
    STATE(4254), 1,
      sym_attribute,
    STATE(6160), 1,
      sym__value_name,
    STATE(6176), 1,
      sym__simple_expression,
    STATE(6246), 1,
      sym_parenthesized_operator,
    STATE(6541), 1,
      sym__constructor_name,
    STATE(17985), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6528), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6099), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153260] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_LBRACK,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(875), 1,
      anon_sym_object,
    ACTIONS(879), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(889), 1,
      anon_sym_new,
    ACTIONS(891), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(893), 1,
      anon_sym_begin,
    ACTIONS(895), 1,
      sym_ocamlyacc_value,
    ACTIONS(901), 1,
      aux_sym_number_token1,
    ACTIONS(903), 1,
      anon_sym_SQUOTE,
    ACTIONS(905), 1,
      anon_sym_DQUOTE,
    ACTIONS(907), 1,
      sym_prefix_operator,
    ACTIONS(911), 1,
      sym__capitalized_identifier,
    ACTIONS(913), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3907), 1,
      sym__identifier,
    STATE(3720), 1,
      sym__value_name,
    STATE(3808), 1,
      sym__constructor_name,
    STATE(3907), 1,
      sym_parenthesized_operator,
    STATE(3990), 1,
      sym__simple_expression,
    STATE(4255), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(871), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3806), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3969), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153378] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_LBRACK,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(875), 1,
      anon_sym_object,
    ACTIONS(879), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(889), 1,
      anon_sym_new,
    ACTIONS(891), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(893), 1,
      anon_sym_begin,
    ACTIONS(895), 1,
      sym_ocamlyacc_value,
    ACTIONS(901), 1,
      aux_sym_number_token1,
    ACTIONS(903), 1,
      anon_sym_SQUOTE,
    ACTIONS(905), 1,
      anon_sym_DQUOTE,
    ACTIONS(907), 1,
      sym_prefix_operator,
    ACTIONS(911), 1,
      sym__capitalized_identifier,
    ACTIONS(913), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3907), 1,
      sym__identifier,
    STATE(3720), 1,
      sym__value_name,
    STATE(3782), 1,
      sym__simple_expression,
    STATE(3808), 1,
      sym__constructor_name,
    STATE(3907), 1,
      sym_parenthesized_operator,
    STATE(4256), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(871), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3806), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3969), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153496] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(761), 1,
      anon_sym_LPAREN,
    ACTIONS(763), 1,
      anon_sym_LBRACK,
    ACTIONS(767), 1,
      anon_sym_LBRACE,
    ACTIONS(769), 1,
      anon_sym_object,
    ACTIONS(773), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(783), 1,
      anon_sym_new,
    ACTIONS(785), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(787), 1,
      anon_sym_begin,
    ACTIONS(789), 1,
      sym_ocamlyacc_value,
    ACTIONS(795), 1,
      aux_sym_number_token1,
    ACTIONS(797), 1,
      anon_sym_SQUOTE,
    ACTIONS(799), 1,
      anon_sym_DQUOTE,
    ACTIONS(801), 1,
      sym_prefix_operator,
    ACTIONS(805), 1,
      sym__capitalized_identifier,
    ACTIONS(807), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3249), 1,
      sym__identifier,
    STATE(3475), 1,
      sym__constructor_name,
    STATE(3570), 1,
      sym__value_name,
    STATE(3603), 1,
      sym__simple_expression,
    STATE(3623), 1,
      sym_parenthesized_operator,
    STATE(4257), 1,
      sym_attribute,
    STATE(18026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(765), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3473), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3688), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153614] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(923), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_LBRACK,
    ACTIONS(929), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      anon_sym_object,
    ACTIONS(935), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(953), 1,
      anon_sym_new,
    ACTIONS(955), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(957), 1,
      anon_sym_begin,
    ACTIONS(959), 1,
      sym_ocamlyacc_value,
    ACTIONS(965), 1,
      aux_sym_number_token1,
    ACTIONS(967), 1,
      anon_sym_SQUOTE,
    ACTIONS(969), 1,
      anon_sym_DQUOTE,
    ACTIONS(971), 1,
      sym_prefix_operator,
    ACTIONS(975), 1,
      sym__capitalized_identifier,
    ACTIONS(977), 1,
      aux_sym_tag_token1,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__identifier,
    STATE(4258), 1,
      sym_attribute,
    STATE(4717), 1,
      sym__simple_expression,
    STATE(4753), 1,
      sym__value_name,
    STATE(4805), 1,
      sym_parenthesized_operator,
    STATE(4835), 1,
      sym__constructor_name,
    STATE(18231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(927), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4827), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4711), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153732] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(923), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_LBRACK,
    ACTIONS(929), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      anon_sym_object,
    ACTIONS(935), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(953), 1,
      anon_sym_new,
    ACTIONS(955), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(957), 1,
      anon_sym_begin,
    ACTIONS(959), 1,
      sym_ocamlyacc_value,
    ACTIONS(965), 1,
      aux_sym_number_token1,
    ACTIONS(967), 1,
      anon_sym_SQUOTE,
    ACTIONS(969), 1,
      anon_sym_DQUOTE,
    ACTIONS(971), 1,
      sym_prefix_operator,
    ACTIONS(975), 1,
      sym__capitalized_identifier,
    ACTIONS(977), 1,
      aux_sym_tag_token1,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__identifier,
    STATE(4259), 1,
      sym_attribute,
    STATE(4726), 1,
      sym__simple_expression,
    STATE(4753), 1,
      sym__value_name,
    STATE(4805), 1,
      sym_parenthesized_operator,
    STATE(4835), 1,
      sym__constructor_name,
    STATE(18231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(927), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4827), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4711), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [153920] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6187), 1,
      sym__identifier,
    ACTIONS(6191), 1,
      anon_sym_LPAREN,
    ACTIONS(6193), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LBRACE,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(6201), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6203), 1,
      anon_sym_new,
    ACTIONS(6205), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6207), 1,
      anon_sym_begin,
    ACTIONS(6209), 1,
      sym_ocamlyacc_value,
    ACTIONS(6215), 1,
      aux_sym_number_token1,
    ACTIONS(6217), 1,
      anon_sym_SQUOTE,
    ACTIONS(6219), 1,
      anon_sym_DQUOTE,
    ACTIONS(6221), 1,
      sym_prefix_operator,
    ACTIONS(6223), 1,
      sym__capitalized_identifier,
    ACTIONS(6225), 1,
      aux_sym_tag_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4261), 1,
      sym_attribute,
    STATE(6695), 1,
      sym__value_name,
    STATE(6965), 1,
      sym_parenthesized_operator,
    STATE(6998), 1,
      sym__simple_expression,
    STATE(7073), 1,
      sym__constructor_name,
    STATE(18272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6195), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7047), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6624), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154038] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6187), 1,
      sym__identifier,
    ACTIONS(6191), 1,
      anon_sym_LPAREN,
    ACTIONS(6193), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LBRACE,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(6201), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6203), 1,
      anon_sym_new,
    ACTIONS(6205), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6207), 1,
      anon_sym_begin,
    ACTIONS(6209), 1,
      sym_ocamlyacc_value,
    ACTIONS(6215), 1,
      aux_sym_number_token1,
    ACTIONS(6217), 1,
      anon_sym_SQUOTE,
    ACTIONS(6219), 1,
      anon_sym_DQUOTE,
    ACTIONS(6221), 1,
      sym_prefix_operator,
    ACTIONS(6223), 1,
      sym__capitalized_identifier,
    ACTIONS(6225), 1,
      aux_sym_tag_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4262), 1,
      sym_attribute,
    STATE(6640), 1,
      sym__simple_expression,
    STATE(6695), 1,
      sym__value_name,
    STATE(6965), 1,
      sym_parenthesized_operator,
    STATE(7073), 1,
      sym__constructor_name,
    STATE(18272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6195), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7047), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6624), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154156] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6187), 1,
      sym__identifier,
    ACTIONS(6191), 1,
      anon_sym_LPAREN,
    ACTIONS(6193), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_LBRACE,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(6201), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6203), 1,
      anon_sym_new,
    ACTIONS(6205), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6207), 1,
      anon_sym_begin,
    ACTIONS(6209), 1,
      sym_ocamlyacc_value,
    ACTIONS(6215), 1,
      aux_sym_number_token1,
    ACTIONS(6217), 1,
      anon_sym_SQUOTE,
    ACTIONS(6219), 1,
      anon_sym_DQUOTE,
    ACTIONS(6221), 1,
      sym_prefix_operator,
    ACTIONS(6223), 1,
      sym__capitalized_identifier,
    ACTIONS(6225), 1,
      aux_sym_tag_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4263), 1,
      sym_attribute,
    STATE(6655), 1,
      sym__simple_expression,
    STATE(6695), 1,
      sym__value_name,
    STATE(6965), 1,
      sym_parenthesized_operator,
    STATE(7073), 1,
      sym__constructor_name,
    STATE(18272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6195), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7047), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6624), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154274] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(589), 1,
      anon_sym_LPAREN,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(595), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(633), 1,
      sym__capitalized_identifier,
    ACTIONS(635), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3127), 1,
      sym__identifier,
    STATE(2938), 1,
      sym__simple_expression,
    STATE(3031), 1,
      sym_parenthesized_operator,
    STATE(3237), 1,
      sym__constructor_name,
    STATE(3443), 1,
      sym__value_name,
    STATE(4264), 1,
      sym_attribute,
    STATE(18149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(593), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3299), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154392] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(309), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_object,
    ACTIONS(321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(331), 1,
      anon_sym_new,
    ACTIONS(333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(335), 1,
      anon_sym_begin,
    ACTIONS(337), 1,
      sym_ocamlyacc_value,
    ACTIONS(345), 1,
      aux_sym_number_token1,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      sym_prefix_operator,
    ACTIONS(357), 1,
      sym__capitalized_identifier,
    ACTIONS(359), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3091), 1,
      sym__identifier,
    STATE(2779), 1,
      sym__constructor_name,
    STATE(2854), 1,
      sym_parenthesized_operator,
    STATE(2867), 1,
      sym__value_name,
    STATE(2879), 1,
      sym__simple_expression,
    STATE(4265), 1,
      sym_attribute,
    STATE(18312), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2778), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2865), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154510] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(309), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_object,
    ACTIONS(321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(331), 1,
      anon_sym_new,
    ACTIONS(333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(335), 1,
      anon_sym_begin,
    ACTIONS(337), 1,
      sym_ocamlyacc_value,
    ACTIONS(345), 1,
      aux_sym_number_token1,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      sym_prefix_operator,
    ACTIONS(357), 1,
      sym__capitalized_identifier,
    ACTIONS(359), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3091), 1,
      sym__identifier,
    STATE(2779), 1,
      sym__constructor_name,
    STATE(2854), 1,
      sym_parenthesized_operator,
    STATE(2867), 1,
      sym__value_name,
    STATE(2890), 1,
      sym__simple_expression,
    STATE(4266), 1,
      sym_attribute,
    STATE(18312), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2778), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2865), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154628] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      sym__identifier,
    ACTIONS(5603), 1,
      anon_sym_LPAREN,
    ACTIONS(5605), 1,
      anon_sym_LBRACK,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5611), 1,
      anon_sym_object,
    ACTIONS(5613), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5615), 1,
      anon_sym_new,
    ACTIONS(5617), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5619), 1,
      anon_sym_begin,
    ACTIONS(5621), 1,
      sym_ocamlyacc_value,
    ACTIONS(5627), 1,
      aux_sym_number_token1,
    ACTIONS(5629), 1,
      anon_sym_SQUOTE,
    ACTIONS(5631), 1,
      anon_sym_DQUOTE,
    ACTIONS(5633), 1,
      sym_prefix_operator,
    ACTIONS(5635), 1,
      sym__capitalized_identifier,
    ACTIONS(5637), 1,
      aux_sym_tag_token1,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8456), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4267), 1,
      sym_attribute,
    STATE(5909), 1,
      sym_parenthesized_operator,
    STATE(5911), 1,
      sym__simple_expression,
    STATE(5917), 1,
      sym__constructor_name,
    STATE(5981), 1,
      sym__value_name,
    STATE(18352), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5916), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5931), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154746] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      sym__identifier,
    ACTIONS(5603), 1,
      anon_sym_LPAREN,
    ACTIONS(5605), 1,
      anon_sym_LBRACK,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5611), 1,
      anon_sym_object,
    ACTIONS(5613), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5615), 1,
      anon_sym_new,
    ACTIONS(5617), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5619), 1,
      anon_sym_begin,
    ACTIONS(5621), 1,
      sym_ocamlyacc_value,
    ACTIONS(5627), 1,
      aux_sym_number_token1,
    ACTIONS(5629), 1,
      anon_sym_SQUOTE,
    ACTIONS(5631), 1,
      anon_sym_DQUOTE,
    ACTIONS(5633), 1,
      sym_prefix_operator,
    ACTIONS(5635), 1,
      sym__capitalized_identifier,
    ACTIONS(5637), 1,
      aux_sym_tag_token1,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8456), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4268), 1,
      sym_attribute,
    STATE(5909), 1,
      sym_parenthesized_operator,
    STATE(5917), 1,
      sym__constructor_name,
    STATE(5938), 1,
      sym__simple_expression,
    STATE(5981), 1,
      sym__value_name,
    STATE(18352), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5916), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5931), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154864] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      sym__identifier,
    ACTIONS(5603), 1,
      anon_sym_LPAREN,
    ACTIONS(5605), 1,
      anon_sym_LBRACK,
    ACTIONS(5609), 1,
      anon_sym_LBRACE,
    ACTIONS(5611), 1,
      anon_sym_object,
    ACTIONS(5613), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5615), 1,
      anon_sym_new,
    ACTIONS(5617), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5619), 1,
      anon_sym_begin,
    ACTIONS(5621), 1,
      sym_ocamlyacc_value,
    ACTIONS(5627), 1,
      aux_sym_number_token1,
    ACTIONS(5629), 1,
      anon_sym_SQUOTE,
    ACTIONS(5631), 1,
      anon_sym_DQUOTE,
    ACTIONS(5633), 1,
      sym_prefix_operator,
    ACTIONS(5635), 1,
      sym__capitalized_identifier,
    ACTIONS(5637), 1,
      aux_sym_tag_token1,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8456), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4269), 1,
      sym_attribute,
    STATE(5909), 1,
      sym_parenthesized_operator,
    STATE(5917), 1,
      sym__constructor_name,
    STATE(5947), 1,
      sym__simple_expression,
    STATE(5981), 1,
      sym__value_name,
    STATE(18352), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5916), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5931), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154982] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_LBRACK,
    ACTIONS(873), 1,
      anon_sym_LBRACE,
    ACTIONS(875), 1,
      anon_sym_object,
    ACTIONS(879), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(889), 1,
      anon_sym_new,
    ACTIONS(891), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(893), 1,
      anon_sym_begin,
    ACTIONS(895), 1,
      sym_ocamlyacc_value,
    ACTIONS(901), 1,
      aux_sym_number_token1,
    ACTIONS(903), 1,
      anon_sym_SQUOTE,
    ACTIONS(905), 1,
      anon_sym_DQUOTE,
    ACTIONS(907), 1,
      sym_prefix_operator,
    ACTIONS(911), 1,
      sym__capitalized_identifier,
    ACTIONS(913), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3907), 1,
      sym__identifier,
    STATE(3720), 1,
      sym__value_name,
    STATE(3808), 1,
      sym__constructor_name,
    STATE(3907), 1,
      sym_parenthesized_operator,
    STATE(3993), 1,
      sym__simple_expression,
    STATE(4270), 1,
      sym_attribute,
    STATE(18190), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(871), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3806), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3969), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155100] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(697), 1,
      anon_sym_LBRACK,
    ACTIONS(701), 1,
      anon_sym_LBRACE,
    ACTIONS(703), 1,
      anon_sym_object,
    ACTIONS(707), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(721), 1,
      anon_sym_begin,
    ACTIONS(723), 1,
      sym_ocamlyacc_value,
    ACTIONS(729), 1,
      aux_sym_number_token1,
    ACTIONS(731), 1,
      anon_sym_SQUOTE,
    ACTIONS(733), 1,
      anon_sym_DQUOTE,
    ACTIONS(735), 1,
      sym_prefix_operator,
    ACTIONS(739), 1,
      sym__capitalized_identifier,
    ACTIONS(741), 1,
      aux_sym_tag_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      sym__identifier,
    STATE(3569), 1,
      sym__value_name,
    STATE(3576), 1,
      sym__constructor_name,
    STATE(3647), 1,
      sym_parenthesized_operator,
    STATE(3681), 1,
      sym__simple_expression,
    STATE(4271), 1,
      sym_attribute,
    STATE(18391), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(699), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3575), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3654), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155218] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(697), 1,
      anon_sym_LBRACK,
    ACTIONS(701), 1,
      anon_sym_LBRACE,
    ACTIONS(703), 1,
      anon_sym_object,
    ACTIONS(707), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(721), 1,
      anon_sym_begin,
    ACTIONS(723), 1,
      sym_ocamlyacc_value,
    ACTIONS(729), 1,
      aux_sym_number_token1,
    ACTIONS(731), 1,
      anon_sym_SQUOTE,
    ACTIONS(733), 1,
      anon_sym_DQUOTE,
    ACTIONS(735), 1,
      sym_prefix_operator,
    ACTIONS(739), 1,
      sym__capitalized_identifier,
    ACTIONS(741), 1,
      aux_sym_tag_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      sym__identifier,
    STATE(3480), 1,
      sym__simple_expression,
    STATE(3569), 1,
      sym__value_name,
    STATE(3576), 1,
      sym__constructor_name,
    STATE(3647), 1,
      sym_parenthesized_operator,
    STATE(4272), 1,
      sym_attribute,
    STATE(18391), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(699), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3575), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3654), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [155406] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(923), 1,
      anon_sym_LPAREN,
    ACTIONS(925), 1,
      anon_sym_LBRACK,
    ACTIONS(929), 1,
      anon_sym_LBRACE,
    ACTIONS(931), 1,
      anon_sym_object,
    ACTIONS(935), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(953), 1,
      anon_sym_new,
    ACTIONS(955), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(957), 1,
      anon_sym_begin,
    ACTIONS(959), 1,
      sym_ocamlyacc_value,
    ACTIONS(965), 1,
      aux_sym_number_token1,
    ACTIONS(967), 1,
      anon_sym_SQUOTE,
    ACTIONS(969), 1,
      anon_sym_DQUOTE,
    ACTIONS(971), 1,
      sym_prefix_operator,
    ACTIONS(975), 1,
      sym__capitalized_identifier,
    ACTIONS(977), 1,
      aux_sym_tag_token1,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__identifier,
    STATE(4274), 1,
      sym_attribute,
    STATE(4753), 1,
      sym__value_name,
    STATE(4771), 1,
      sym__simple_expression,
    STATE(4805), 1,
      sym_parenthesized_operator,
    STATE(4835), 1,
      sym__constructor_name,
    STATE(18231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(927), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4827), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4711), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155524] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1585), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1591), 1,
      anon_sym_LBRACE,
    ACTIONS(1593), 1,
      anon_sym_object,
    ACTIONS(1597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1607), 1,
      anon_sym_new,
    ACTIONS(1609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1611), 1,
      anon_sym_begin,
    ACTIONS(1613), 1,
      sym_ocamlyacc_value,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1617), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1619), 1,
      aux_sym_number_token1,
    ACTIONS(1621), 1,
      anon_sym_SQUOTE,
    ACTIONS(1623), 1,
      anon_sym_DQUOTE,
    ACTIONS(1625), 1,
      sym_prefix_operator,
    ACTIONS(1629), 1,
      sym__capitalized_identifier,
    ACTIONS(1631), 1,
      aux_sym_tag_token1,
    ACTIONS(5181), 1,
      sym__identifier,
    STATE(4275), 1,
      sym_attribute,
    STATE(6305), 1,
      sym_parenthesized_operator,
    STATE(6373), 1,
      sym__constructor_name,
    STATE(6417), 1,
      sym__simple_expression,
    STATE(6476), 1,
      sym__value_name,
    STATE(18430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6371), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6398), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155642] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1585), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1591), 1,
      anon_sym_LBRACE,
    ACTIONS(1593), 1,
      anon_sym_object,
    ACTIONS(1597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1607), 1,
      anon_sym_new,
    ACTIONS(1609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1611), 1,
      anon_sym_begin,
    ACTIONS(1613), 1,
      sym_ocamlyacc_value,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1617), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1619), 1,
      aux_sym_number_token1,
    ACTIONS(1621), 1,
      anon_sym_SQUOTE,
    ACTIONS(1623), 1,
      anon_sym_DQUOTE,
    ACTIONS(1625), 1,
      sym_prefix_operator,
    ACTIONS(1629), 1,
      sym__capitalized_identifier,
    ACTIONS(1631), 1,
      aux_sym_tag_token1,
    ACTIONS(5181), 1,
      sym__identifier,
    STATE(4276), 1,
      sym_attribute,
    STATE(6305), 1,
      sym_parenthesized_operator,
    STATE(6373), 1,
      sym__constructor_name,
    STATE(6432), 1,
      sym__simple_expression,
    STATE(6476), 1,
      sym__value_name,
    STATE(18430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6371), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6398), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155760] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(309), 1,
      anon_sym_LPAREN,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_object,
    ACTIONS(321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(331), 1,
      anon_sym_new,
    ACTIONS(333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(335), 1,
      anon_sym_begin,
    ACTIONS(337), 1,
      sym_ocamlyacc_value,
    ACTIONS(345), 1,
      aux_sym_number_token1,
    ACTIONS(347), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      sym_prefix_operator,
    ACTIONS(357), 1,
      sym__capitalized_identifier,
    ACTIONS(359), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3091), 1,
      sym__identifier,
    STATE(2734), 1,
      sym__simple_expression,
    STATE(2779), 1,
      sym__constructor_name,
    STATE(2854), 1,
      sym_parenthesized_operator,
    STATE(2867), 1,
      sym__value_name,
    STATE(4277), 1,
      sym_attribute,
    STATE(18312), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2778), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2865), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155878] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1399), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_object,
    ACTIONS(1411), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1421), 1,
      anon_sym_new,
    ACTIONS(1423), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1425), 1,
      anon_sym_begin,
    ACTIONS(1427), 1,
      sym_ocamlyacc_value,
    ACTIONS(1429), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1433), 1,
      aux_sym_number_token1,
    ACTIONS(1435), 1,
      anon_sym_SQUOTE,
    ACTIONS(1437), 1,
      anon_sym_DQUOTE,
    ACTIONS(1439), 1,
      sym_prefix_operator,
    ACTIONS(1443), 1,
      sym__capitalized_identifier,
    ACTIONS(1445), 1,
      aux_sym_tag_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    STATE(4278), 1,
      sym_attribute,
    STATE(5929), 1,
      sym_parenthesized_operator,
    STATE(6002), 1,
      sym__constructor_name,
    STATE(6036), 1,
      sym__simple_expression,
    STATE(6076), 1,
      sym__value_name,
    STATE(18469), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1403), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6028), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155996] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1399), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_object,
    ACTIONS(1411), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1421), 1,
      anon_sym_new,
    ACTIONS(1423), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1425), 1,
      anon_sym_begin,
    ACTIONS(1427), 1,
      sym_ocamlyacc_value,
    ACTIONS(1429), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1433), 1,
      aux_sym_number_token1,
    ACTIONS(1435), 1,
      anon_sym_SQUOTE,
    ACTIONS(1437), 1,
      anon_sym_DQUOTE,
    ACTIONS(1439), 1,
      sym_prefix_operator,
    ACTIONS(1443), 1,
      sym__capitalized_identifier,
    ACTIONS(1445), 1,
      aux_sym_tag_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    STATE(4279), 1,
      sym_attribute,
    STATE(5929), 1,
      sym_parenthesized_operator,
    STATE(6002), 1,
      sym__constructor_name,
    STATE(6051), 1,
      sym__simple_expression,
    STATE(6076), 1,
      sym__value_name,
    STATE(18469), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1403), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6028), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156114] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    ACTIONS(697), 1,
      anon_sym_LBRACK,
    ACTIONS(701), 1,
      anon_sym_LBRACE,
    ACTIONS(703), 1,
      anon_sym_object,
    ACTIONS(707), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(717), 1,
      anon_sym_new,
    ACTIONS(719), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(721), 1,
      anon_sym_begin,
    ACTIONS(723), 1,
      sym_ocamlyacc_value,
    ACTIONS(729), 1,
      aux_sym_number_token1,
    ACTIONS(731), 1,
      anon_sym_SQUOTE,
    ACTIONS(733), 1,
      anon_sym_DQUOTE,
    ACTIONS(735), 1,
      sym_prefix_operator,
    ACTIONS(739), 1,
      sym__capitalized_identifier,
    ACTIONS(741), 1,
      aux_sym_tag_token1,
    ACTIONS(3063), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3065), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      sym__identifier,
    STATE(3541), 1,
      sym__simple_expression,
    STATE(3569), 1,
      sym__value_name,
    STATE(3576), 1,
      sym__constructor_name,
    STATE(3647), 1,
      sym_parenthesized_operator,
    STATE(4280), 1,
      sym_attribute,
    STATE(18391), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(699), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3575), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3654), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156232] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1281), 1,
      anon_sym_LPAREN,
    ACTIONS(1283), 1,
      anon_sym_LBRACK,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    ACTIONS(1289), 1,
      anon_sym_object,
    ACTIONS(1293), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1311), 1,
      anon_sym_new,
    ACTIONS(1313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1315), 1,
      anon_sym_begin,
    ACTIONS(1317), 1,
      sym_ocamlyacc_value,
    ACTIONS(1319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1323), 1,
      aux_sym_number_token1,
    ACTIONS(1325), 1,
      anon_sym_SQUOTE,
    ACTIONS(1327), 1,
      anon_sym_DQUOTE,
    ACTIONS(1329), 1,
      sym_prefix_operator,
    ACTIONS(1333), 1,
      sym__capitalized_identifier,
    ACTIONS(1335), 1,
      aux_sym_tag_token1,
    ACTIONS(4841), 1,
      sym__identifier,
    STATE(4281), 1,
      sym_attribute,
    STATE(5507), 1,
      sym__value_name,
    STATE(5526), 1,
      sym__constructor_name,
    STATE(5617), 1,
      sym_parenthesized_operator,
    STATE(5634), 1,
      sym__simple_expression,
    STATE(18508), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5521), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5624), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156350] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1281), 1,
      anon_sym_LPAREN,
    ACTIONS(1283), 1,
      anon_sym_LBRACK,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    ACTIONS(1289), 1,
      anon_sym_object,
    ACTIONS(1293), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1311), 1,
      anon_sym_new,
    ACTIONS(1313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1315), 1,
      anon_sym_begin,
    ACTIONS(1317), 1,
      sym_ocamlyacc_value,
    ACTIONS(1319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1323), 1,
      aux_sym_number_token1,
    ACTIONS(1325), 1,
      anon_sym_SQUOTE,
    ACTIONS(1327), 1,
      anon_sym_DQUOTE,
    ACTIONS(1329), 1,
      sym_prefix_operator,
    ACTIONS(1333), 1,
      sym__capitalized_identifier,
    ACTIONS(1335), 1,
      aux_sym_tag_token1,
    ACTIONS(4841), 1,
      sym__identifier,
    STATE(4282), 1,
      sym_attribute,
    STATE(5507), 1,
      sym__value_name,
    STATE(5526), 1,
      sym__constructor_name,
    STATE(5617), 1,
      sym_parenthesized_operator,
    STATE(5649), 1,
      sym__simple_expression,
    STATE(18508), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5521), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5624), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156468] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1585), 1,
      anon_sym_LPAREN,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1591), 1,
      anon_sym_LBRACE,
    ACTIONS(1593), 1,
      anon_sym_object,
    ACTIONS(1597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1607), 1,
      anon_sym_new,
    ACTIONS(1609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1611), 1,
      anon_sym_begin,
    ACTIONS(1613), 1,
      sym_ocamlyacc_value,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1617), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1619), 1,
      aux_sym_number_token1,
    ACTIONS(1621), 1,
      anon_sym_SQUOTE,
    ACTIONS(1623), 1,
      anon_sym_DQUOTE,
    ACTIONS(1625), 1,
      sym_prefix_operator,
    ACTIONS(1629), 1,
      sym__capitalized_identifier,
    ACTIONS(1631), 1,
      aux_sym_tag_token1,
    ACTIONS(5181), 1,
      sym__identifier,
    STATE(4283), 1,
      sym_attribute,
    STATE(6305), 1,
      sym_parenthesized_operator,
    STATE(6373), 1,
      sym__constructor_name,
    STATE(6454), 1,
      sym__simple_expression,
    STATE(6476), 1,
      sym__value_name,
    STATE(18430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1589), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6371), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6398), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156586] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym_object,
    ACTIONS(1083), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1093), 1,
      anon_sym_new,
    ACTIONS(1095), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1097), 1,
      anon_sym_begin,
    ACTIONS(1099), 1,
      sym_ocamlyacc_value,
    ACTIONS(1101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1103), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1105), 1,
      aux_sym_number_token1,
    ACTIONS(1107), 1,
      anon_sym_SQUOTE,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      sym_prefix_operator,
    ACTIONS(1115), 1,
      sym__capitalized_identifier,
    ACTIONS(1117), 1,
      aux_sym_tag_token1,
    ACTIONS(4581), 1,
      sym__identifier,
    STATE(4284), 1,
      sym_attribute,
    STATE(5092), 1,
      sym_parenthesized_operator,
    STATE(5143), 1,
      sym__constructor_name,
    STATE(5207), 1,
      sym__value_name,
    STATE(5234), 1,
      sym__simple_expression,
    STATE(18546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5153), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5236), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156704] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym_object,
    ACTIONS(1083), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1093), 1,
      anon_sym_new,
    ACTIONS(1095), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1097), 1,
      anon_sym_begin,
    ACTIONS(1099), 1,
      sym_ocamlyacc_value,
    ACTIONS(1101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1103), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1105), 1,
      aux_sym_number_token1,
    ACTIONS(1107), 1,
      anon_sym_SQUOTE,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      sym_prefix_operator,
    ACTIONS(1115), 1,
      sym__capitalized_identifier,
    ACTIONS(1117), 1,
      aux_sym_tag_token1,
    ACTIONS(4581), 1,
      sym__identifier,
    STATE(4285), 1,
      sym_attribute,
    STATE(5092), 1,
      sym_parenthesized_operator,
    STATE(5130), 1,
      sym__simple_expression,
    STATE(5143), 1,
      sym__constructor_name,
    STATE(5207), 1,
      sym__value_name,
    STATE(18546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5153), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5236), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156822] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1399), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_object,
    ACTIONS(1411), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1421), 1,
      anon_sym_new,
    ACTIONS(1423), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1425), 1,
      anon_sym_begin,
    ACTIONS(1427), 1,
      sym_ocamlyacc_value,
    ACTIONS(1429), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1431), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1433), 1,
      aux_sym_number_token1,
    ACTIONS(1435), 1,
      anon_sym_SQUOTE,
    ACTIONS(1437), 1,
      anon_sym_DQUOTE,
    ACTIONS(1439), 1,
      sym_prefix_operator,
    ACTIONS(1443), 1,
      sym__capitalized_identifier,
    ACTIONS(1445), 1,
      aux_sym_tag_token1,
    ACTIONS(5087), 1,
      sym__identifier,
    STATE(4286), 1,
      sym_attribute,
    STATE(5929), 1,
      sym_parenthesized_operator,
    STATE(6002), 1,
      sym__constructor_name,
    STATE(6068), 1,
      sym__simple_expression,
    STATE(6076), 1,
      sym__value_name,
    STATE(18469), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1403), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5999), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6028), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156940] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(475), 1,
      anon_sym_LBRACE,
    ACTIONS(477), 1,
      anon_sym_object,
    ACTIONS(481), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(491), 1,
      anon_sym_new,
    ACTIONS(493), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(495), 1,
      anon_sym_begin,
    ACTIONS(497), 1,
      sym_ocamlyacc_value,
    ACTIONS(503), 1,
      aux_sym_number_token1,
    ACTIONS(505), 1,
      anon_sym_SQUOTE,
    ACTIONS(507), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      sym_prefix_operator,
    ACTIONS(513), 1,
      sym__capitalized_identifier,
    ACTIONS(515), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3147), 1,
      sym__identifier,
    STATE(3096), 1,
      sym__simple_expression,
    STATE(3148), 1,
      sym__value_name,
    STATE(3261), 1,
      sym_parenthesized_operator,
    STATE(3293), 1,
      sym__constructor_name,
    STATE(4287), 1,
      sym_attribute,
    STATE(18584), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(473), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3292), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3086), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157058] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(475), 1,
      anon_sym_LBRACE,
    ACTIONS(477), 1,
      anon_sym_object,
    ACTIONS(481), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(491), 1,
      anon_sym_new,
    ACTIONS(493), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(495), 1,
      anon_sym_begin,
    ACTIONS(497), 1,
      sym_ocamlyacc_value,
    ACTIONS(503), 1,
      aux_sym_number_token1,
    ACTIONS(505), 1,
      anon_sym_SQUOTE,
    ACTIONS(507), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      sym_prefix_operator,
    ACTIONS(513), 1,
      sym__capitalized_identifier,
    ACTIONS(515), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3147), 1,
      sym__identifier,
    STATE(3112), 1,
      sym__simple_expression,
    STATE(3148), 1,
      sym__value_name,
    STATE(3261), 1,
      sym_parenthesized_operator,
    STATE(3293), 1,
      sym__constructor_name,
    STATE(4288), 1,
      sym_attribute,
    STATE(18584), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(473), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3292), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3086), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157176] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1281), 1,
      anon_sym_LPAREN,
    ACTIONS(1283), 1,
      anon_sym_LBRACK,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    ACTIONS(1289), 1,
      anon_sym_object,
    ACTIONS(1293), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1311), 1,
      anon_sym_new,
    ACTIONS(1313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1315), 1,
      anon_sym_begin,
    ACTIONS(1317), 1,
      sym_ocamlyacc_value,
    ACTIONS(1319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1323), 1,
      aux_sym_number_token1,
    ACTIONS(1325), 1,
      anon_sym_SQUOTE,
    ACTIONS(1327), 1,
      anon_sym_DQUOTE,
    ACTIONS(1329), 1,
      sym_prefix_operator,
    ACTIONS(1333), 1,
      sym__capitalized_identifier,
    ACTIONS(1335), 1,
      aux_sym_tag_token1,
    ACTIONS(4841), 1,
      sym__identifier,
    STATE(4289), 1,
      sym_attribute,
    STATE(5507), 1,
      sym__value_name,
    STATE(5526), 1,
      sym__constructor_name,
    STATE(5617), 1,
      sym_parenthesized_operator,
    STATE(5668), 1,
      sym__simple_expression,
    STATE(18508), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1285), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5521), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5624), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157294] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(399), 1,
      aux_sym_number_token1,
    ACTIONS(401), 1,
      anon_sym_SQUOTE,
    ACTIONS(403), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      sym_prefix_operator,
    ACTIONS(409), 1,
      sym__capitalized_identifier,
    ACTIONS(411), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3105), 1,
      sym__identifier,
    STATE(2711), 1,
      sym__value_name,
    STATE(2770), 1,
      sym_parenthesized_operator,
    STATE(2809), 1,
      sym__simple_expression,
    STATE(2819), 1,
      sym__constructor_name,
    STATE(4290), 1,
      sym_attribute,
    STATE(18622), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2818), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2783), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157412] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(399), 1,
      aux_sym_number_token1,
    ACTIONS(401), 1,
      anon_sym_SQUOTE,
    ACTIONS(403), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      sym_prefix_operator,
    ACTIONS(409), 1,
      sym__capitalized_identifier,
    ACTIONS(411), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3105), 1,
      sym__identifier,
    STATE(2711), 1,
      sym__value_name,
    STATE(2770), 1,
      sym_parenthesized_operator,
    STATE(2819), 1,
      sym__constructor_name,
    STATE(2866), 1,
      sym__simple_expression,
    STATE(4291), 1,
      sym_attribute,
    STATE(18622), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2818), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2783), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157530] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1077), 1,
      anon_sym_LBRACE,
    ACTIONS(1079), 1,
      anon_sym_object,
    ACTIONS(1083), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1093), 1,
      anon_sym_new,
    ACTIONS(1095), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1097), 1,
      anon_sym_begin,
    ACTIONS(1099), 1,
      sym_ocamlyacc_value,
    ACTIONS(1101), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1103), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1105), 1,
      aux_sym_number_token1,
    ACTIONS(1107), 1,
      anon_sym_SQUOTE,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      sym_prefix_operator,
    ACTIONS(1115), 1,
      sym__capitalized_identifier,
    ACTIONS(1117), 1,
      aux_sym_tag_token1,
    ACTIONS(4581), 1,
      sym__identifier,
    STATE(4292), 1,
      sym_attribute,
    STATE(5092), 1,
      sym_parenthesized_operator,
    STATE(5143), 1,
      sym__constructor_name,
    STATE(5207), 1,
      sym__value_name,
    STATE(5227), 1,
      sym__simple_expression,
    STATE(18546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5153), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5236), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157648] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(417), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(423), 1,
      anon_sym_LBRACE,
    ACTIONS(425), 1,
      anon_sym_object,
    ACTIONS(429), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(441), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(443), 1,
      anon_sym_begin,
    ACTIONS(445), 1,
      sym_ocamlyacc_value,
    ACTIONS(451), 1,
      aux_sym_number_token1,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(457), 1,
      sym_prefix_operator,
    ACTIONS(461), 1,
      sym__capitalized_identifier,
    ACTIONS(463), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3161), 1,
      sym__identifier,
    STATE(3182), 1,
      sym__simple_expression,
    STATE(3226), 1,
      sym__value_name,
    STATE(3271), 1,
      sym_parenthesized_operator,
    STATE(3328), 1,
      sym__constructor_name,
    STATE(4293), 1,
      sym_attribute,
    STATE(18660), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(421), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3327), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157766] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(417), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(423), 1,
      anon_sym_LBRACE,
    ACTIONS(425), 1,
      anon_sym_object,
    ACTIONS(429), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(441), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(443), 1,
      anon_sym_begin,
    ACTIONS(445), 1,
      sym_ocamlyacc_value,
    ACTIONS(451), 1,
      aux_sym_number_token1,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(457), 1,
      sym_prefix_operator,
    ACTIONS(461), 1,
      sym__capitalized_identifier,
    ACTIONS(463), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3161), 1,
      sym__identifier,
    STATE(3195), 1,
      sym__simple_expression,
    STATE(3226), 1,
      sym__value_name,
    STATE(3271), 1,
      sym_parenthesized_operator,
    STATE(3328), 1,
      sym__constructor_name,
    STATE(4294), 1,
      sym_attribute,
    STATE(18660), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(421), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3327), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157884] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(469), 1,
      anon_sym_LPAREN,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(475), 1,
      anon_sym_LBRACE,
    ACTIONS(477), 1,
      anon_sym_object,
    ACTIONS(481), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(491), 1,
      anon_sym_new,
    ACTIONS(493), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(495), 1,
      anon_sym_begin,
    ACTIONS(497), 1,
      sym_ocamlyacc_value,
    ACTIONS(503), 1,
      aux_sym_number_token1,
    ACTIONS(505), 1,
      anon_sym_SQUOTE,
    ACTIONS(507), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      sym_prefix_operator,
    ACTIONS(513), 1,
      sym__capitalized_identifier,
    ACTIONS(515), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3147), 1,
      sym__identifier,
    STATE(3133), 1,
      sym__simple_expression,
    STATE(3148), 1,
      sym__value_name,
    STATE(3261), 1,
      sym_parenthesized_operator,
    STATE(3293), 1,
      sym__constructor_name,
    STATE(4295), 1,
      sym_attribute,
    STATE(18584), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(473), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3292), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3086), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158002] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(399), 1,
      aux_sym_number_token1,
    ACTIONS(401), 1,
      anon_sym_SQUOTE,
    ACTIONS(403), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      sym_prefix_operator,
    ACTIONS(409), 1,
      sym__capitalized_identifier,
    ACTIONS(411), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3105), 1,
      sym__identifier,
    STATE(2695), 1,
      sym__simple_expression,
    STATE(2711), 1,
      sym__value_name,
    STATE(2770), 1,
      sym_parenthesized_operator,
    STATE(2819), 1,
      sym__constructor_name,
    STATE(4296), 1,
      sym_attribute,
    STATE(18622), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2818), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(2783), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158120] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2837), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2843), 1,
      anon_sym_LBRACE,
    ACTIONS(2845), 1,
      anon_sym_object,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2859), 1,
      anon_sym_new,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2863), 1,
      anon_sym_begin,
    ACTIONS(2865), 1,
      sym_ocamlyacc_value,
    ACTIONS(2867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2869), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2871), 1,
      aux_sym_number_token1,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    ACTIONS(2875), 1,
      anon_sym_DQUOTE,
    ACTIONS(2877), 1,
      sym_prefix_operator,
    ACTIONS(2881), 1,
      sym__capitalized_identifier,
    ACTIONS(2883), 1,
      aux_sym_tag_token1,
    ACTIONS(5251), 1,
      sym__identifier,
    STATE(4297), 1,
      sym_attribute,
    STATE(6583), 1,
      sym_parenthesized_operator,
    STATE(6707), 1,
      sym__value_name,
    STATE(6829), 1,
      sym__simple_expression,
    STATE(6961), 1,
      sym__constructor_name,
    STATE(19783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2841), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6853), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6953), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158238] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(417), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(423), 1,
      anon_sym_LBRACE,
    ACTIONS(425), 1,
      anon_sym_object,
    ACTIONS(429), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(439), 1,
      anon_sym_new,
    ACTIONS(441), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(443), 1,
      anon_sym_begin,
    ACTIONS(445), 1,
      sym_ocamlyacc_value,
    ACTIONS(451), 1,
      aux_sym_number_token1,
    ACTIONS(453), 1,
      anon_sym_SQUOTE,
    ACTIONS(455), 1,
      anon_sym_DQUOTE,
    ACTIONS(457), 1,
      sym_prefix_operator,
    ACTIONS(461), 1,
      sym__capitalized_identifier,
    ACTIONS(463), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3161), 1,
      sym__identifier,
    STATE(3216), 1,
      sym__simple_expression,
    STATE(3226), 1,
      sym__value_name,
    STATE(3271), 1,
      sym_parenthesized_operator,
    STATE(3328), 1,
      sym__constructor_name,
    STATE(4298), 1,
      sym_attribute,
    STATE(18660), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(421), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3327), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3173), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158356] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__capitalized_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3991), 1,
      sym__identifier,
    STATE(4151), 1,
      sym__simple_expression,
    STATE(4157), 1,
      sym__value_name,
    STATE(4182), 1,
      sym_parenthesized_operator,
    STATE(4184), 1,
      sym__constructor_name,
    STATE(4299), 1,
      sym_attribute,
    STATE(19746), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4155), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4055), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [158544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [158614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [158684] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3995), 1,
      anon_sym_DOT,
    ACTIONS(3997), 1,
      anon_sym_POUND,
    ACTIONS(3999), 1,
      sym_hash_operator,
    STATE(4303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [158760] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(41), 1,
      anon_sym_LPAREN,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_object,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(89), 1,
      anon_sym_new,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(93), 1,
      anon_sym_begin,
    ACTIONS(95), 1,
      sym_ocamlyacc_value,
    ACTIONS(107), 1,
      aux_sym_number_token1,
    ACTIONS(111), 1,
      anon_sym_SQUOTE,
    ACTIONS(113), 1,
      anon_sym_DQUOTE,
    ACTIONS(115), 1,
      sym_prefix_operator,
    ACTIONS(123), 1,
      sym__capitalized_identifier,
    ACTIONS(127), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3991), 1,
      sym__identifier,
    STATE(4157), 1,
      sym__value_name,
    STATE(4182), 1,
      sym_parenthesized_operator,
    STATE(4184), 1,
      sym__constructor_name,
    STATE(4304), 1,
      sym_attribute,
    STATE(4320), 1,
      sym__simple_expression,
    STATE(19746), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(51), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4155), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4055), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158878] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8458), 1,
      anon_sym_COLON,
    STATE(4305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [158950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [159090] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4308), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13304), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [159212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [159282] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4310), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13655), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [159404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159474] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_object,
    ACTIONS(2571), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2581), 1,
      anon_sym_new,
    ACTIONS(2583), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2585), 1,
      anon_sym_begin,
    ACTIONS(2587), 1,
      sym_ocamlyacc_value,
    ACTIONS(2589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2593), 1,
      aux_sym_number_token1,
    ACTIONS(2595), 1,
      anon_sym_SQUOTE,
    ACTIONS(2597), 1,
      anon_sym_DQUOTE,
    ACTIONS(2599), 1,
      sym_prefix_operator,
    ACTIONS(2603), 1,
      sym__capitalized_identifier,
    ACTIONS(2605), 1,
      aux_sym_tag_token1,
    ACTIONS(5405), 1,
      sym__identifier,
    STATE(4312), 1,
      sym_attribute,
    STATE(6856), 1,
      sym_parenthesized_operator,
    STATE(7038), 1,
      sym__value_name,
    STATE(7071), 1,
      sym__simple_expression,
    STATE(7110), 1,
      sym__constructor_name,
    STATE(19553), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2563), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6933), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159802] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2559), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_object,
    ACTIONS(2571), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2581), 1,
      anon_sym_new,
    ACTIONS(2583), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2585), 1,
      anon_sym_begin,
    ACTIONS(2587), 1,
      sym_ocamlyacc_value,
    ACTIONS(2589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2593), 1,
      aux_sym_number_token1,
    ACTIONS(2595), 1,
      anon_sym_SQUOTE,
    ACTIONS(2597), 1,
      anon_sym_DQUOTE,
    ACTIONS(2599), 1,
      sym_prefix_operator,
    ACTIONS(2603), 1,
      sym__capitalized_identifier,
    ACTIONS(2605), 1,
      aux_sym_tag_token1,
    ACTIONS(5405), 1,
      sym__identifier,
    STATE(4316), 1,
      sym_attribute,
    STATE(6694), 1,
      sym__simple_expression,
    STATE(6856), 1,
      sym_parenthesized_operator,
    STATE(7038), 1,
      sym__value_name,
    STATE(7110), 1,
      sym__constructor_name,
    STATE(19553), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2563), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6933), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [159990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160130] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3995), 1,
      anon_sym_DOT,
    ACTIONS(3997), 1,
      anon_sym_POUND,
    ACTIONS(3999), 1,
      sym_hash_operator,
    STATE(4320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160206] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8460), 1,
      anon_sym_COLON,
    STATE(4321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [160278] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2691), 1,
      anon_sym_LPAREN,
    ACTIONS(2693), 1,
      anon_sym_LBRACK,
    ACTIONS(2697), 1,
      anon_sym_LBRACE,
    ACTIONS(2699), 1,
      anon_sym_object,
    ACTIONS(2703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2713), 1,
      anon_sym_new,
    ACTIONS(2715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2717), 1,
      anon_sym_begin,
    ACTIONS(2719), 1,
      sym_ocamlyacc_value,
    ACTIONS(2721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2725), 1,
      aux_sym_number_token1,
    ACTIONS(2727), 1,
      anon_sym_SQUOTE,
    ACTIONS(2729), 1,
      anon_sym_DQUOTE,
    ACTIONS(2731), 1,
      sym_prefix_operator,
    ACTIONS(2735), 1,
      sym__capitalized_identifier,
    ACTIONS(2737), 1,
      aux_sym_tag_token1,
    ACTIONS(5495), 1,
      sym__identifier,
    STATE(4322), 1,
      sym_attribute,
    STATE(6855), 1,
      sym__value_name,
    STATE(6884), 1,
      sym__constructor_name,
    STATE(6919), 1,
      sym__simple_expression,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(19074), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7101), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6846), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [160466] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4324), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13513), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [160588] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4325), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13515), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [160710] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4326), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13577), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [160832] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4327), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13578), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [160954] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4328), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13286), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161076] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4329), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13288), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161198] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4330), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13309), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161320] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4331), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13311), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161442] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4332), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13324), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161564] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4333), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13325), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161686] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4334), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13335), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161808] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4335), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13339), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [161930] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4336), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13346), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [162052] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4337), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13347), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [162174] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4338), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13352), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [162296] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4339), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13353), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [162418] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4340), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13355), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [162540] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4341), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13356), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [162662] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4342), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13363), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [162784] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4343), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13364), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [162906] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4344), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13368), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163028] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4345), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13369), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163150] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4346), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13373), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163272] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4347), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13374), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163394] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4348), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13376), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163516] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4349), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13377), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163638] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2691), 1,
      anon_sym_LPAREN,
    ACTIONS(2693), 1,
      anon_sym_LBRACK,
    ACTIONS(2697), 1,
      anon_sym_LBRACE,
    ACTIONS(2699), 1,
      anon_sym_object,
    ACTIONS(2703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2713), 1,
      anon_sym_new,
    ACTIONS(2715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2717), 1,
      anon_sym_begin,
    ACTIONS(2719), 1,
      sym_ocamlyacc_value,
    ACTIONS(2721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2725), 1,
      aux_sym_number_token1,
    ACTIONS(2727), 1,
      anon_sym_SQUOTE,
    ACTIONS(2729), 1,
      anon_sym_DQUOTE,
    ACTIONS(2731), 1,
      sym_prefix_operator,
    ACTIONS(2735), 1,
      sym__capitalized_identifier,
    ACTIONS(2737), 1,
      aux_sym_tag_token1,
    ACTIONS(5495), 1,
      sym__identifier,
    STATE(4350), 1,
      sym_attribute,
    STATE(6777), 1,
      sym__simple_expression,
    STATE(6855), 1,
      sym__value_name,
    STATE(6884), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(19074), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7101), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6846), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163756] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4351), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13382), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [163878] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4352), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13383), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164000] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4353), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13386), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164122] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4354), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13388), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164244] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4355), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13394), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164366] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4356), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13397), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164488] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4357), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13399), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164610] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4358), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13400), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164732] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4359), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13404), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164854] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4360), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13405), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [164976] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4361), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13407), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165098] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4362), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13408), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165220] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4363), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13410), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165342] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4364), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13411), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165464] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4365), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13414), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165586] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4366), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13415), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165708] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4367), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13730), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165830] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4368), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13418), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [165952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166022] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4370), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13419), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166144] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4371), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13423), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [166336] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4373), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13425), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166458] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4374), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13428), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166580] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4375), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13429), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166702] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4376), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13433), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166824] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4377), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13435), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [166946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [167016] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4379), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13441), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167138] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4380), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13442), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167260] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4381), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13447), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [167452] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4383), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13448), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167574] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4384), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13450), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167696] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4385), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13451), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167818] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4386), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13599), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [167940] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4387), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13454), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168062] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4388), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13456), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168184] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4389), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13457), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168306] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4390), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13459), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168428] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4391), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13460), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168550] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4392), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13462), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [168742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
      aux_sym_directive_token1,
  [168812] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4395), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13464), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [168934] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4396), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13466), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169056] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4397), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13468), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169178] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4398), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13473), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169300] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4399), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13474), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169422] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4400), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13476), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169544] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4401), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13478), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169666] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4402), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13483), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169788] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4403), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13484), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [169910] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4404), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13487), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170032] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4405), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13488), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170154] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4406), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13490), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170276] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4407), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13491), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170398] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4408), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13494), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170520] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4409), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13495), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170642] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4410), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13497), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170764] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4411), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13498), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [170886] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4412), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13500), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171008] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4413), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13502), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171130] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4414), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13505), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171252] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5271), 1,
      sym__identifier,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_LBRACE,
    ACTIONS(5287), 1,
      anon_sym_exception,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5297), 1,
      anon_sym_lazy,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5311), 1,
      sym__capitalized_identifier,
    ACTIONS(5313), 1,
      aux_sym_tag_token1,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(2544), 1,
      sym_constructor_path,
    STATE(2557), 1,
      sym_tag,
    STATE(4415), 1,
      sym_attribute,
    STATE(8528), 1,
      sym__constructor_name,
    STATE(12643), 1,
      sym__signed_constant,
    STATE(13506), 1,
      sym__pattern,
    STATE(18150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12790), 10,
      sym__simple_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_lazy_pattern,
      sym_exception_pattern,
    STATE(12797), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [171374] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8268), 1,
      sym__identifier,
    ACTIONS(8270), 1,
      anon_sym_LPAREN,
    ACTIONS(8272), 1,
      anon_sym_LBRACK,
    ACTIONS(8276), 1,
      anon_sym_LBRACE,
    ACTIONS(8278), 1,
      anon_sym_object,
    ACTIONS(8280), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8282), 1,
      anon_sym_new,
    ACTIONS(8284), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8286), 1,
      anon_sym_begin,
    ACTIONS(8288), 1,
      sym_ocamlyacc_value,
    ACTIONS(8290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8294), 1,
      aux_sym_number_token1,
    ACTIONS(8296), 1,
      anon_sym_SQUOTE,
    ACTIONS(8298), 1,
      anon_sym_DQUOTE,
    ACTIONS(8300), 1,
      sym_prefix_operator,
    ACTIONS(8302), 1,
      sym__capitalized_identifier,
    ACTIONS(8304), 1,
      aux_sym_tag_token1,
    STATE(4416), 1,
      sym_attribute,
    STATE(7331), 1,
      sym__constructor_name,
    STATE(7379), 1,
      sym__simple_expression,
    STATE(7418), 1,
      sym__value_name,
    STATE(7534), 1,
      sym_parenthesized_operator,
    STATE(18067), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7455), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7410), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171492] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4417), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [171621] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4418), 1,
      sym_attribute,
    STATE(4567), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13048), 1,
      sym__binding_pattern,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [171750] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4419), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [171879] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4420), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172008] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4421), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172137] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4422), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172266] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4423), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172395] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4424), 1,
      sym_attribute,
    STATE(4594), 1,
      sym__attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13703), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172524] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4425), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172653] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4426), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172782] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4427), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172911] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4428), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173040] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4429), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173169] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4430), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173298] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4431), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173427] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(4432), 1,
      sym_attribute,
    STATE(4590), 1,
      sym__attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8727), 1,
      sym__binding_pattern,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173556] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4433), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173685] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4434), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173814] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4435), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173943] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3223), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4436), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174072] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    ACTIONS(8462), 1,
      anon_sym_rec,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4437), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14164), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174201] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4438), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174330] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1657), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8464), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4439), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13978), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174459] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3227), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4440), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174588] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4441), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174717] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_rec,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(2451), 1,
      sym__binding_pattern,
    STATE(4442), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(10935), 1,
      sym_let_binding,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174846] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4443), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174975] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4444), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175104] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4445), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175233] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(5491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8468), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4446), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(14056), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175362] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4447), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175491] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4448), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175620] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4449), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175749] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4450), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175878] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(4451), 1,
      sym_attribute,
    STATE(4555), 1,
      sym__attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5496), 1,
      sym__binding_pattern,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176007] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4452), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176136] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4453), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176265] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4454), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176394] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4455), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [176592] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4457), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176721] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4458), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176850] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(6735), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8470), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4459), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13968), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [176979] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4460), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [177177] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4462), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177306] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4463), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177435] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4464), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177564] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4465), 1,
      sym_attribute,
    STATE(4575), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13048), 1,
      sym__binding_pattern,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177693] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8472), 1,
      anon_sym_rec,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4466), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(11469), 1,
      sym_let_binding,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177822] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8474), 1,
      anon_sym_rec,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4467), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(11589), 1,
      sym_let_binding,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [177951] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4468), 1,
      sym_attribute,
    STATE(4576), 1,
      sym__attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5398), 1,
      sym__binding_pattern,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178080] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8476), 1,
      anon_sym_COLON,
    STATE(4469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [178151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [178220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [178289] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(4472), 1,
      sym_attribute,
    STATE(4569), 1,
      sym__attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5431), 1,
      sym__binding_pattern,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178418] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4473), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178547] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8478), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4474), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(14068), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178676] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(4475), 1,
      sym_attribute,
    STATE(4581), 1,
      sym__attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5585), 1,
      sym__binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178805] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4476), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [178934] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(6725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8480), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4477), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13962), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179063] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4478), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179192] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(6745), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8482), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4479), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13944), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179321] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8484), 1,
      anon_sym_rec,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2453), 1,
      sym__binding_pattern,
    STATE(4480), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(11057), 1,
      sym_let_binding,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179450] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4481), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179579] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8486), 1,
      anon_sym_COLON,
    STATE(4482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [179650] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(6715), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8488), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4483), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(14000), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179779] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4484), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [179908] = 35,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4485), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180037] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8490), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4486), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180163] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8492), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4487), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13295), 1,
      sym__binding_pattern,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180289] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(2451), 1,
      sym__binding_pattern,
    STATE(4488), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(11297), 1,
      sym_let_binding,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180415] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(2451), 1,
      sym__binding_pattern,
    STATE(4489), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(11414), 1,
      sym_let_binding,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180541] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8494), 1,
      anon_sym_COLON,
    STATE(4490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [180611] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4491), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(15800), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180737] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8496), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4492), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180863] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8498), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4493), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [180989] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8500), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4494), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181115] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8502), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4495), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13392), 1,
      sym__binding_pattern,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181241] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2453), 1,
      sym__binding_pattern,
    STATE(4496), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(11128), 1,
      sym_let_binding,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181367] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8504), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4497), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181493] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2453), 1,
      sym__binding_pattern,
    STATE(4498), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(11057), 1,
      sym_let_binding,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181619] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2453), 1,
      sym__binding_pattern,
    STATE(4499), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(11211), 1,
      sym_let_binding,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181745] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8506), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4500), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181871] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4501), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14164), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [181997] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8508), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4502), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13568), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182123] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8510), 1,
      anon_sym_COLON,
    STATE(4503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [182193] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4504), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(11297), 1,
      sym_let_binding,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182319] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4505), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(11600), 1,
      sym_let_binding,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182445] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4506), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14660), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182571] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8512), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4507), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13471), 1,
      sym__binding_pattern,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182697] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(2615), 1,
      sym__binding_pattern,
    STATE(4508), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(14703), 1,
      sym_let_binding,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [182823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [182891] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(2451), 1,
      sym__binding_pattern,
    STATE(4510), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(10933), 1,
      sym_let_binding,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [183085] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4512), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(11297), 1,
      sym_let_binding,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183211] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(2451), 1,
      sym__binding_pattern,
    STATE(4513), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(10935), 1,
      sym_let_binding,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183337] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4514), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(11557), 1,
      sym_let_binding,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183463] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4515), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(11467), 1,
      sym_let_binding,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183589] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(2466), 1,
      sym__binding_pattern,
    STATE(4516), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(11469), 1,
      sym_let_binding,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183715] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8514), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4517), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13588), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183841] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8516), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4518), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13591), 1,
      sym__binding_pattern,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183967] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8518), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4519), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13432), 1,
      sym__binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184093] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8520), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4520), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13434), 1,
      sym__binding_pattern,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184219] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4521), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(11523), 1,
      sym_let_binding,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184345] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8522), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4522), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184471] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8524), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4523), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184597] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8526), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4524), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184723] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8528), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4525), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184849] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8530), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4526), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184975] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8532), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4527), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13279), 1,
      sym__binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185101] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8534), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4528), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13296), 1,
      sym__binding_pattern,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185227] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8536), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4529), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185353] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4530), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185479] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4531), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185605] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8542), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4532), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185731] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8544), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4533), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13366), 1,
      sym__binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185857] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(2453), 1,
      sym__binding_pattern,
    STATE(4534), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(11297), 1,
      sym_let_binding,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185983] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8546), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4535), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186109] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8548), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4536), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186235] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8550), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4537), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13579), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186361] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8552), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4538), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13581), 1,
      sym__binding_pattern,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186487] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(2464), 1,
      sym__binding_pattern,
    STATE(4539), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(11589), 1,
      sym_let_binding,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186613] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8554), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4540), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186739] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4541), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186865] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8558), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4542), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186991] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8560), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4543), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187117] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8562), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4544), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187243] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8564), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4545), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187369] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8566), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4546), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187495] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8568), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4547), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [187689] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    ACTIONS(8570), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4549), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187815] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8572), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4550), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13294), 1,
      sym__binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [188009] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8574), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4552), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188135] = 34,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4553), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188261] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4554), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5412), 1,
      sym__binding_pattern,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188384] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(4555), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(5622), 1,
      sym__binding_pattern,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188507] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(4556), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(5626), 1,
      sym__binding_pattern,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188630] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(4557), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(5639), 1,
      sym__binding_pattern,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188753] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5097), 1,
      sym__identifier,
    ACTIONS(5099), 1,
      anon_sym_LPAREN,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_LBRACE,
    ACTIONS(5107), 1,
      anon_sym_POUND,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5111), 1,
      anon_sym_lazy,
    ACTIONS(5113), 1,
      anon_sym_begin,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym__capitalized_identifier,
    ACTIONS(5129), 1,
      aux_sym_tag_token1,
    ACTIONS(8328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2433), 1,
      sym_tag,
    STATE(2434), 1,
      sym_constructor_path,
    STATE(4558), 1,
      sym_attribute,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(5467), 1,
      sym__signed_constant,
    STATE(5594), 1,
      sym_record_binding_pattern,
    STATE(5595), 1,
      sym_list_binding_pattern,
    STATE(5597), 1,
      sym_array_binding_pattern,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(5647), 1,
      sym__binding_pattern,
    STATE(19118), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5103), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5593), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188876] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4559), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13819), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188999] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4560), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13821), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189122] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4561), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13823), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [189312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [189379] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4564), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5413), 1,
      sym__binding_pattern,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189502] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4565), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13646), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189625] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5437), 1,
      anon_sym_COLON2,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8578), 1,
      anon_sym_COLON_GT,
    ACTIONS(8580), 1,
      anon_sym_EQ,
    STATE(4566), 1,
      sym_attribute,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17078), 1,
      sym__polymorphic_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189746] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4567), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13078), 1,
      sym__binding_pattern,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189869] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5437), 1,
      anon_sym_COLON2,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8582), 1,
      anon_sym_COLON_GT,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    STATE(4568), 1,
      sym_attribute,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17238), 1,
      sym__polymorphic_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189990] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(4569), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5375), 1,
      sym__binding_pattern,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190113] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5437), 1,
      anon_sym_COLON2,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8586), 1,
      anon_sym_COLON_GT,
    ACTIONS(8588), 1,
      anon_sym_EQ,
    STATE(4570), 1,
      sym_attribute,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(16246), 1,
      sym__polymorphic_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190234] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(4571), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5377), 1,
      sym__binding_pattern,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190357] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(4572), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5382), 1,
      sym__binding_pattern,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190480] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5437), 1,
      anon_sym_COLON2,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8590), 1,
      anon_sym_COLON_GT,
    ACTIONS(8592), 1,
      anon_sym_EQ,
    STATE(4573), 1,
      sym_attribute,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(16299), 1,
      sym__polymorphic_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190601] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5437), 1,
      anon_sym_COLON2,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8594), 1,
      anon_sym_COLON_GT,
    ACTIONS(8596), 1,
      anon_sym_EQ,
    STATE(4574), 1,
      sym_attribute,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(16650), 1,
      sym__polymorphic_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190722] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4575), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13078), 1,
      sym__binding_pattern,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190845] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4576), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5399), 1,
      sym__binding_pattern,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190968] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4577), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13341), 1,
      sym__binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191091] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4578), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13342), 1,
      sym__binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191214] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4579), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13343), 1,
      sym__binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [191404] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(4581), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5637), 1,
      sym__binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191527] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(4582), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5662), 1,
      sym__binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191650] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(4583), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(5676), 1,
      sym__binding_pattern,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191773] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5053), 1,
      sym__identifier,
    ACTIONS(5055), 1,
      anon_sym_LPAREN,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5063), 1,
      anon_sym_POUND,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5067), 1,
      anon_sym_lazy,
    ACTIONS(5069), 1,
      anon_sym_begin,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(5083), 1,
      sym__capitalized_identifier,
    ACTIONS(5085), 1,
      aux_sym_tag_token1,
    ACTIONS(8358), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8360), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2430), 1,
      sym_tag,
    STATE(2431), 1,
      sym_constructor_path,
    STATE(4584), 1,
      sym_attribute,
    STATE(5409), 1,
      sym__constructor_name,
    STATE(5433), 1,
      sym__signed_constant,
    STATE(5524), 1,
      sym_record_binding_pattern,
    STATE(5528), 1,
      sym_list_binding_pattern,
    STATE(5529), 1,
      sym_array_binding_pattern,
    STATE(5606), 1,
      sym__binding_pattern,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(18066), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5522), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191896] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4585), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13694), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192019] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4586), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13746), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192142] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4587), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13747), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192265] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6705), 1,
      anon_sym_lazy,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    STATE(3387), 1,
      sym_constructor_path,
    STATE(3439), 1,
      sym_tag,
    STATE(4588), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13749), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192388] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4589), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13807), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192511] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(4590), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8700), 1,
      sym__binding_pattern,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192634] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(4591), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8701), 1,
      sym__binding_pattern,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192757] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(4592), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8702), 1,
      sym__binding_pattern,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192880] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7282), 1,
      sym__identifier,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_LBRACE,
    ACTIONS(7292), 1,
      anon_sym_POUND,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7296), 1,
      anon_sym_lazy,
    ACTIONS(7298), 1,
      anon_sym_begin,
    ACTIONS(7300), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7302), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(7312), 1,
      sym__capitalized_identifier,
    ACTIONS(7314), 1,
      aux_sym_tag_token1,
    STATE(2561), 1,
      sym_tag,
    STATE(2563), 1,
      sym_constructor_path,
    STATE(4593), 1,
      sym_attribute,
    STATE(8412), 1,
      sym__constructor_name,
    STATE(8683), 1,
      sym__signed_constant,
    STATE(8704), 1,
      sym__binding_pattern,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(8746), 1,
      sym_record_binding_pattern,
    STATE(8747), 1,
      sym_list_binding_pattern,
    STATE(8748), 1,
      sym_array_binding_pattern,
    STATE(17501), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7288), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8745), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193003] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7461), 1,
      anon_sym_POUND,
    ACTIONS(7467), 1,
      anon_sym_begin,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(7551), 1,
      sym__capitalized_identifier,
    ACTIONS(7553), 1,
      aux_sym_tag_token1,
    ACTIONS(8130), 1,
      sym__identifier,
    ACTIONS(8132), 1,
      anon_sym_LPAREN,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8140), 1,
      anon_sym_lazy,
    STATE(3026), 1,
      sym_constructor_path,
    STATE(3027), 1,
      sym_tag,
    STATE(4594), 1,
      sym_attribute,
    STATE(7996), 1,
      sym__constructor_name,
    STATE(13361), 1,
      sym__signed_constant,
    STATE(13667), 1,
      sym_record_binding_pattern,
    STATE(13668), 1,
      sym_list_binding_pattern,
    STATE(13669), 1,
      sym_array_binding_pattern,
    STATE(13816), 1,
      sym__binding_pattern,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7455), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13666), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193126] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5299), 1,
      anon_sym_begin,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6697), 1,
      anon_sym_LBRACE,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7097), 1,
      anon_sym_POUND,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8082), 1,
      sym__identifier,
    ACTIONS(8084), 1,
      anon_sym_lazy,
    STATE(2869), 1,
      sym_constructor_path,
    STATE(2870), 1,
      sym_tag,
    STATE(4595), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(13013), 1,
      sym__signed_constant,
    STATE(13191), 1,
      sym_record_binding_pattern,
    STATE(13192), 1,
      sym_list_binding_pattern,
    STATE(13193), 1,
      sym_array_binding_pattern,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(13707), 1,
      sym__binding_pattern,
    STATE(19024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5281), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13190), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193249] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4971), 1,
      sym__identifier,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4983), 1,
      anon_sym_LBRACE,
    ACTIONS(4985), 1,
      anon_sym_POUND,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4989), 1,
      anon_sym_lazy,
    ACTIONS(4991), 1,
      anon_sym_begin,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(5005), 1,
      sym__capitalized_identifier,
    ACTIONS(5007), 1,
      aux_sym_tag_token1,
    ACTIONS(7511), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7513), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2425), 1,
      sym_constructor_path,
    STATE(2426), 1,
      sym_tag,
    STATE(4596), 1,
      sym_attribute,
    STATE(5239), 1,
      sym__signed_constant,
    STATE(5273), 1,
      sym__constructor_name,
    STATE(5422), 1,
      sym__binding_pattern,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_array_binding_pattern,
    STATE(5484), 1,
      sym_record_binding_pattern,
    STATE(5486), 1,
      sym_list_binding_pattern,
    STATE(19570), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5478), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [193439] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7130), 1,
      anon_sym_COLON2,
    ACTIONS(8598), 1,
      sym__identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8607), 1,
      anon_sym_LBRACK,
    ACTIONS(8613), 1,
      anon_sym_LBRACE,
    ACTIONS(8616), 1,
      anon_sym_POUND,
    ACTIONS(8619), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8622), 1,
      anon_sym_begin,
    ACTIONS(8625), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8628), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8631), 1,
      aux_sym_number_token1,
    ACTIONS(8634), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8637), 1,
      anon_sym_SQUOTE,
    ACTIONS(8640), 1,
      anon_sym_DQUOTE,
    ACTIONS(8643), 1,
      sym__capitalized_identifier,
    ACTIONS(8646), 1,
      aux_sym_tag_token1,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8601), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(8610), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4598), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(7128), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193554] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5019), 1,
      sym__identifier,
    ACTIONS(5021), 1,
      anon_sym_LPAREN,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LBRACE,
    ACTIONS(5029), 1,
      anon_sym_POUND,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_lazy,
    ACTIONS(5035), 1,
      anon_sym_begin,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(5049), 1,
      sym__capitalized_identifier,
    ACTIONS(5051), 1,
      aux_sym_tag_token1,
    ACTIONS(7505), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7507), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2428), 1,
      sym_constructor_path,
    STATE(2429), 1,
      sym_tag,
    STATE(4599), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5290), 1,
      sym__signed_constant,
    STATE(5387), 1,
      sym__binding_pattern,
    STATE(5443), 1,
      sym_record_binding_pattern,
    STATE(5444), 1,
      sym_list_binding_pattern,
    STATE(5445), 1,
      sym_array_binding_pattern,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(17587), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5025), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5442), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193677] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8651), 1,
      anon_sym_DASH_GT,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4600), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18488), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193795] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8655), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4601), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18733), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193913] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8657), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4602), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19043), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194031] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8659), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4603), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17556), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194149] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8661), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4604), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17654), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194267] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8663), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4605), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18283), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194385] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8665), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4606), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18385), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194503] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8667), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4607), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18540), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194621] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8669), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4608), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17706), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194739] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8671), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4609), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17760), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194857] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8673), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4610), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19068), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194975] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8675), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4611), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19301), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195093] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8677), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4612), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17691), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195211] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8679), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4613), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17905), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195329] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8681), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4614), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(20155), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195447] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8683), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4615), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17326), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195565] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8689), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4616), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8687), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8685), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [195633] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8692), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4617), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18198), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195751] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8694), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4618), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17498), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195869] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8696), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4619), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17542), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [195987] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8698), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4620), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17711), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196105] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8700), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4621), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17762), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196223] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8702), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4622), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17956), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196341] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8704), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4623), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18009), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196459] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8706), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4624), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18151), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196577] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8708), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4625), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18173), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196695] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8710), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4626), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18268), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196813] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8712), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4627), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18276), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196931] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8714), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4628), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17860), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197049] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8716), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4629), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19470), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197167] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8718), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4630), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18100), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197285] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8720), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4631), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18158), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197403] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8722), 1,
      anon_sym_LT_DASH,
    STATE(4632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [197471] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8724), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4633), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17946), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197589] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8726), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4634), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19611), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197707] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8728), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4635), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19612), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197825] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8730), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4636), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19619), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [197943] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8732), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4637), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19728), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198061] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8734), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4638), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19732), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198179] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8736), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4639), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17701), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198297] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8738), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4640), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19009), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198415] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8740), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4641), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17402), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198533] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8742), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4642), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19324), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198651] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8744), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4643), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19178), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198769] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8746), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4644), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19492), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [198887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [198953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [199019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [199085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [199151] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8748), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4649), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18294), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [199335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [199401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [199467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [199533] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8750), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4654), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18742), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199651] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8752), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4655), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19884), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199769] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8754), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4656), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19459), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [199887] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8756), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4657), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18801), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200005] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8758), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4658), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18506), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200123] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8760), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4659), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17360), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200241] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8762), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4660), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17470), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200359] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8764), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4661), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18563), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200477] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8766), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4662), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19007), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200595] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8768), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4663), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19714), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200713] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8770), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4664), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18944), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200831] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8772), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4665), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19031), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [200949] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8774), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4666), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19067), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201067] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8776), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4667), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17966), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201185] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8778), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4668), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17912), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201303] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8780), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4669), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17930), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201421] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8782), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4670), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18025), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8788), 1,
      aux_sym_attribute_id_token1,
    STATE(4616), 1,
      aux_sym_attribute_id_repeat1,
    STATE(4671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8786), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8784), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [201609] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8790), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4672), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19151), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201727] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8792), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4673), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18720), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201845] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8794), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4674), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18975), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [201963] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8788), 1,
      aux_sym_attribute_id_token1,
    STATE(4671), 1,
      aux_sym_attribute_id_repeat1,
    STATE(4675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8798), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8796), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [202033] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8800), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4676), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18333), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202151] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8802), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4677), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17552), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202269] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8804), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4678), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19069), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202387] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8806), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4679), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19299), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202505] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8808), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4680), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19357), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202623] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(4681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [202691] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8810), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4682), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19367), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202809] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8812), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4683), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19458), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [202927] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8814), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4684), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17338), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203045] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8816), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4685), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17396), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203163] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8818), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4686), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19758), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203281] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8820), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4687), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19667), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203399] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8822), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4688), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19380), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203517] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8824), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4689), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17653), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203635] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8826), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4690), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19718), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203753] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8828), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4691), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19726), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203871] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8830), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4692), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17969), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203989] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8832), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4693), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18293), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204107] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8834), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4694), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19813), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204225] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8836), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4695), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(20103), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204343] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8838), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4696), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17896), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204461] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4697), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18124), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204579] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8842), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4698), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(20143), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204697] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8844), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4699), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18313), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204815] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8846), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4700), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(20165), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204933] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8848), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4701), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17511), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205051] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8850), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4702), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(17475), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205169] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8852), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4703), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(18199), 1,
      sym__simple_typed,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205287] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8649), 1,
      anon_sym_COLON2,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8854), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4704), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    STATE(19317), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [205471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [205536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [205601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [205666] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4703), 1,
      aux_sym_let_binding_repeat1,
    STATE(4709), 1,
      sym_attribute,
    STATE(4992), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [205846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [205911] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4663), 1,
      aux_sym_let_binding_repeat1,
    STATE(4712), 1,
      sym_attribute,
    STATE(4993), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206351] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4676), 1,
      aux_sym_let_binding_repeat1,
    STATE(4718), 1,
      sym_attribute,
    STATE(4998), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206921] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    STATE(4726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [206988] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4600), 1,
      aux_sym_let_binding_repeat1,
    STATE(4727), 1,
      sym_attribute,
    STATE(4999), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207688] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4696), 1,
      aux_sym_let_binding_repeat1,
    STATE(4737), 1,
      sym_attribute,
    STATE(5003), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [207998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208323] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4704), 1,
      aux_sym_let_binding_repeat1,
    STATE(4746), 1,
      sym_attribute,
    STATE(5004), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208763] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4686), 1,
      aux_sym_let_binding_repeat1,
    STATE(4752), 1,
      sym_attribute,
    STATE(5008), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [208943] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4692), 1,
      aux_sym_let_binding_repeat1,
    STATE(4754), 1,
      sym_attribute,
    STATE(5012), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209058] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4612), 1,
      aux_sym_let_binding_repeat1,
    STATE(4755), 1,
      sym_attribute,
    STATE(5016), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209173] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4657), 1,
      aux_sym_let_binding_repeat1,
    STATE(4756), 1,
      sym_attribute,
    STATE(5021), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [209353] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4684), 1,
      aux_sym_let_binding_repeat1,
    STATE(4758), 1,
      sym_attribute,
    STATE(5024), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209468] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4608), 1,
      aux_sym_let_binding_repeat1,
    STATE(4759), 1,
      sym_attribute,
    STATE(5025), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209583] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4637), 1,
      aux_sym_let_binding_repeat1,
    STATE(4760), 1,
      sym_attribute,
    STATE(5027), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209698] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4630), 1,
      aux_sym_let_binding_repeat1,
    STATE(4761), 1,
      sym_attribute,
    STATE(5030), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209813] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4658), 1,
      aux_sym_let_binding_repeat1,
    STATE(4762), 1,
      sym_attribute,
    STATE(5032), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209928] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4665), 1,
      aux_sym_let_binding_repeat1,
    STATE(4763), 1,
      sym_attribute,
    STATE(5034), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210043] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_POUND,
    ACTIONS(4549), 1,
      sym_hash_operator,
    STATE(4764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [210114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [210179] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4679), 1,
      aux_sym_let_binding_repeat1,
    STATE(4766), 1,
      sym_attribute,
    STATE(5035), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210294] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4687), 1,
      aux_sym_let_binding_repeat1,
    STATE(4767), 1,
      sym_attribute,
    STATE(5036), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210409] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4695), 1,
      aux_sym_let_binding_repeat1,
    STATE(4768), 1,
      sym_attribute,
    STATE(5037), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [210589] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4656), 1,
      aux_sym_let_binding_repeat1,
    STATE(4770), 1,
      sym_attribute,
    STATE(5038), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210704] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_POUND,
    ACTIONS(4549), 1,
      sym_hash_operator,
    STATE(4771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [210775] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4643), 1,
      aux_sym_let_binding_repeat1,
    STATE(4772), 1,
      sym_attribute,
    STATE(5039), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210890] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4668), 1,
      aux_sym_let_binding_repeat1,
    STATE(4773), 1,
      sym_attribute,
    STATE(5040), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211005] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4613), 1,
      aux_sym_let_binding_repeat1,
    STATE(4774), 1,
      sym_attribute,
    STATE(5041), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [211185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [211250] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4629), 1,
      aux_sym_let_binding_repeat1,
    STATE(4777), 1,
      sym_attribute,
    STATE(5042), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211365] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4639), 1,
      aux_sym_let_binding_repeat1,
    STATE(4778), 1,
      sym_attribute,
    STATE(5043), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [211545] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4649), 1,
      aux_sym_let_binding_repeat1,
    STATE(4780), 1,
      sym_attribute,
    STATE(5044), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211660] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4659), 1,
      aux_sym_let_binding_repeat1,
    STATE(4781), 1,
      sym_attribute,
    STATE(5045), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [211840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [211905] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4669), 1,
      aux_sym_let_binding_repeat1,
    STATE(4784), 1,
      sym_attribute,
    STATE(5046), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [212085] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4674), 1,
      aux_sym_let_binding_repeat1,
    STATE(4786), 1,
      sym_attribute,
    STATE(5047), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [212265] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4682), 1,
      aux_sym_let_binding_repeat1,
    STATE(4788), 1,
      sym_attribute,
    STATE(5048), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [212445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [212510] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4691), 1,
      aux_sym_let_binding_repeat1,
    STATE(4791), 1,
      sym_attribute,
    STATE(4926), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [212690] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4601), 1,
      aux_sym_let_binding_repeat1,
    STATE(4793), 1,
      sym_attribute,
    STATE(5050), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212805] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4603), 1,
      aux_sym_let_binding_repeat1,
    STATE(4794), 1,
      sym_attribute,
    STATE(5051), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212920] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4605), 1,
      aux_sym_let_binding_repeat1,
    STATE(4795), 1,
      sym_attribute,
    STATE(5052), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213035] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4610), 1,
      aux_sym_let_binding_repeat1,
    STATE(4796), 1,
      sym_attribute,
    STATE(5053), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [213215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8687), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8685), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [213280] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4614), 1,
      aux_sym_let_binding_repeat1,
    STATE(4799), 1,
      sym_attribute,
    STATE(5054), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213395] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4618), 1,
      aux_sym_let_binding_repeat1,
    STATE(4800), 1,
      sym_attribute,
    STATE(5055), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213510] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4620), 1,
      aux_sym_let_binding_repeat1,
    STATE(4801), 1,
      sym_attribute,
    STATE(5056), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213625] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4622), 1,
      aux_sym_let_binding_repeat1,
    STATE(4802), 1,
      sym_attribute,
    STATE(5057), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213740] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4624), 1,
      aux_sym_let_binding_repeat1,
    STATE(4803), 1,
      sym_attribute,
    STATE(5060), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213855] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4626), 1,
      aux_sym_let_binding_repeat1,
    STATE(4804), 1,
      sym_attribute,
    STATE(5061), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214035] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(4806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214362] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8856), 1,
      anon_sym_LT_DASH,
    STATE(4811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [214949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215014] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4633), 1,
      aux_sym_let_binding_repeat1,
    STATE(4821), 1,
      sym_attribute,
    STATE(4989), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215129] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(4822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215326] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8858), 1,
      anon_sym_LT_DASH,
    STATE(4825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215393] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(4826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215655] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4672), 1,
      aux_sym_let_binding_repeat1,
    STATE(4830), 1,
      sym_attribute,
    STATE(4986), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [215900] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4635), 1,
      aux_sym_let_binding_repeat1,
    STATE(4833), 1,
      sym_attribute,
    STATE(4990), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216015] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4642), 1,
      aux_sym_let_binding_repeat1,
    STATE(4834), 1,
      sym_attribute,
    STATE(4991), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216195] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7447), 1,
      anon_sym_PERCENT,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4700), 1,
      aux_sym_let_binding_repeat1,
    STATE(4836), 1,
      sym_attribute,
    STATE(5049), 1,
      sym__attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216566] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(4841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7804), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [216696] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8860), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4843), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [216936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7798), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [217448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [217896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7735), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [217960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218216] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8862), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4866), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218520] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8864), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4870), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218632] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4555), 1,
      anon_sym_DOT,
    ACTIONS(4557), 1,
      anon_sym_POUND,
    ACTIONS(4559), 1,
      sym_hash_operator,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [218830] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8866), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4874), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7713), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [219134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219326] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8868), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4881), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7669), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [219502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219758] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8870), 1,
      anon_sym_LT_DASH,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [219952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7675), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [220144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220784] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4555), 1,
      anon_sym_DOT,
    ACTIONS(4557), 1,
      anon_sym_POUND,
    ACTIONS(4559), 1,
      sym_hash_operator,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [220982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7721), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [221046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7725), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [221110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221430] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8872), 1,
      anon_sym_DASH_GT,
    STATE(4598), 1,
      aux_sym_let_binding_repeat1,
    STATE(4913), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7729), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [221606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221926] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [221992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7643), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4555), 1,
      anon_sym_DOT,
    STATE(4923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [222316] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4694), 1,
      aux_sym_let_binding_repeat1,
    STATE(4926), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7980), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8004), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8012), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8016), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8020), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7675), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8032), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8036), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [222992] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8040), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223118] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8048), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223307] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4565), 1,
      anon_sym_DOT,
    STATE(4941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8080), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7812), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8092), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8096), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8100), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [223939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8124), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8128), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224128] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8028), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224191] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7816), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7820), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7836), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224380] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7840), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7876), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7880), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7713), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7888), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7894), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224758] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4565), 1,
      anon_sym_DOT,
    ACTIONS(4567), 1,
      anon_sym_POUND,
    ACTIONS(4569), 1,
      sym_hash_operator,
    STATE(4964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8024), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7898), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224890] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4565), 1,
      anon_sym_DOT,
    ACTIONS(4567), 1,
      anon_sym_POUND,
    ACTIONS(4569), 1,
      sym_hash_operator,
    STATE(4966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7822), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7824), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [224959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7910), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7721), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7725), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7729), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7828), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7832), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7920), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225400] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7884), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7902), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7906), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7735), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7798), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7804), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7924), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7914), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7844), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [225967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7669), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7675), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7713), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226156] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4699), 1,
      aux_sym_let_binding_repeat1,
    STATE(4986), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7643), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(4988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7643), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [226393] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4702), 1,
      aux_sym_let_binding_repeat1,
    STATE(4989), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226502] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4636), 1,
      aux_sym_let_binding_repeat1,
    STATE(4990), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226611] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4667), 1,
      aux_sym_let_binding_repeat1,
    STATE(4991), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226720] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4607), 1,
      aux_sym_let_binding_repeat1,
    STATE(4992), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226829] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4664), 1,
      aux_sym_let_binding_repeat1,
    STATE(4993), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226938] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8876), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4994), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8879), 18,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8874), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [227003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7721), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7725), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7729), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227192] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4677), 1,
      aux_sym_let_binding_repeat1,
    STATE(4998), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227301] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4689), 1,
      aux_sym_let_binding_repeat1,
    STATE(4999), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7735), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7798), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227536] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7804), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227599] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4697), 1,
      aux_sym_let_binding_repeat1,
    STATE(5003), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227708] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4688), 1,
      aux_sym_let_binding_repeat1,
    STATE(5004), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7928), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8068), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [227943] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7936), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228008] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4655), 1,
      aux_sym_let_binding_repeat1,
    STATE(5008), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7942), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7946), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7950), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228306] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4693), 1,
      aux_sym_let_binding_repeat1,
    STATE(5012), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228415] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8000), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7954), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7958), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228604] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4628), 1,
      aux_sym_let_binding_repeat1,
    STATE(5016), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7962), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7966), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8008), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [228902] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8881), 1,
      anon_sym_COLON,
    STATE(5020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [228967] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4662), 1,
      aux_sym_let_binding_repeat1,
    STATE(5021), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7936), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7972), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229204] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4685), 1,
      aux_sym_let_binding_repeat1,
    STATE(5024), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229313] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4609), 1,
      aux_sym_let_binding_repeat1,
    STATE(5025), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229422] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7976), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229485] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4638), 1,
      aux_sym_let_binding_repeat1,
    STATE(5027), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7984), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7988), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229720] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4631), 1,
      aux_sym_let_binding_repeat1,
    STATE(5030), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7992), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [229892] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4661), 1,
      aux_sym_let_binding_repeat1,
    STATE(5032), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7996), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [230064] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4666), 1,
      aux_sym_let_binding_repeat1,
    STATE(5034), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230173] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4680), 1,
      aux_sym_let_binding_repeat1,
    STATE(5035), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230282] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4690), 1,
      aux_sym_let_binding_repeat1,
    STATE(5036), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230391] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4698), 1,
      aux_sym_let_binding_repeat1,
    STATE(5037), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230500] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4641), 1,
      aux_sym_let_binding_repeat1,
    STATE(5038), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230609] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4644), 1,
      aux_sym_let_binding_repeat1,
    STATE(5039), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230718] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4673), 1,
      aux_sym_let_binding_repeat1,
    STATE(5040), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230827] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4617), 1,
      aux_sym_let_binding_repeat1,
    STATE(5041), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230936] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4634), 1,
      aux_sym_let_binding_repeat1,
    STATE(5042), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231045] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4640), 1,
      aux_sym_let_binding_repeat1,
    STATE(5043), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231154] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4654), 1,
      aux_sym_let_binding_repeat1,
    STATE(5044), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231263] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4660), 1,
      aux_sym_let_binding_repeat1,
    STATE(5045), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231372] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4670), 1,
      aux_sym_let_binding_repeat1,
    STATE(5046), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231481] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4678), 1,
      aux_sym_let_binding_repeat1,
    STATE(5047), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231590] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4683), 1,
      aux_sym_let_binding_repeat1,
    STATE(5048), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231699] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4701), 1,
      aux_sym_let_binding_repeat1,
    STATE(5049), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231808] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4602), 1,
      aux_sym_let_binding_repeat1,
    STATE(5050), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231917] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4604), 1,
      aux_sym_let_binding_repeat1,
    STATE(5051), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232026] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4606), 1,
      aux_sym_let_binding_repeat1,
    STATE(5052), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232135] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4611), 1,
      aux_sym_let_binding_repeat1,
    STATE(5053), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232244] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4615), 1,
      aux_sym_let_binding_repeat1,
    STATE(5054), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232353] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4619), 1,
      aux_sym_let_binding_repeat1,
    STATE(5055), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232462] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4621), 1,
      aux_sym_let_binding_repeat1,
    STATE(5056), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232571] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4623), 1,
      aux_sym_let_binding_repeat1,
    STATE(5057), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7643), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [232745] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5059), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8879), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8874), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [232810] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4625), 1,
      aux_sym_let_binding_repeat1,
    STATE(5060), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232919] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4627), 1,
      aux_sym_let_binding_repeat1,
    STATE(5061), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8886), 1,
      anon_sym_LT_DASH,
    STATE(5062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [233093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7669), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [233156] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4874), 1,
      aux_sym_let_binding_repeat1,
    STATE(5064), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233265] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4913), 1,
      aux_sym_let_binding_repeat1,
    STATE(5065), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233374] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4870), 1,
      aux_sym_let_binding_repeat1,
    STATE(5066), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233483] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4881), 1,
      aux_sym_let_binding_repeat1,
    STATE(5067), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233592] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4866), 1,
      aux_sym_let_binding_repeat1,
    STATE(5068), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233701] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5427), 1,
      anon_sym_LPAREN,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4843), 1,
      aux_sym_let_binding_repeat1,
    STATE(5069), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10013), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5425), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9955), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8056), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [233873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8060), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [233936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8064), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [233999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7932), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7980), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234124] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7828), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7844), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8016), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7920), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7884), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234434] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7902), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7906), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234558] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7950), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8048), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234744] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234806] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4575), 1,
      anon_sym_DOT,
    STATE(5087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8080), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234932] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8048), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [234994] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235058] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7812), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7898), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7924), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8088), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7643), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8092), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8000), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8096), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8100), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7832), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7954), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7958), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7962), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7966), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [235988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8008), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7936), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7972), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7844), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7980), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236548] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8890), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8888), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [236672] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7976), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8124), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7984), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [236984] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8128), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7894), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7988), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8028), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7992), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237294] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7996), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8056), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237480] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7643), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4585), 1,
      anon_sym_DOT,
    STATE(5130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8080), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7920), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237668] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7816), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7812), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8004), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7820), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237916] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4575), 1,
      anon_sym_DOT,
    ACTIONS(4577), 1,
      anon_sym_POUND,
    ACTIONS(4579), 1,
      sym_hash_operator,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7822), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7824), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [237984] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7936), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8092), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8096), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8100), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7836), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238358] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7946), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8060), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7936), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7972), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7840), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238670] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7876), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238732] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7880), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7928), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238856] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8064), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238918] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7932), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [238980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7942), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7910), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7996), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7884), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7950), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7954), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7958), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7888), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7962), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7902), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7966), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7906), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [239910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8890), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8888), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__identifier,
  [239972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7976), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240034] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7984), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7988), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7992), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8000), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8008), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7924), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7675), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240592] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8124), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8004), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8128), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8028), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [240902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7816), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [240964] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7820), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241026] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4575), 1,
      anon_sym_DOT,
    ACTIONS(4577), 1,
      anon_sym_POUND,
    ACTIONS(4579), 1,
      sym_hash_operator,
    STATE(5186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8024), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241094] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7669), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7914), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7836), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7840), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241342] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7876), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8020), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241466] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7880), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [241590] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8012), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241714] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8892), 1,
      anon_sym_COLON,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [241778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8012), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7928), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8068), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [241964] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7932), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8032), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8036), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8040), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242212] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7936), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242276] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7888), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7894), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242400] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8056), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8060), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8064), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7942), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8068), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242710] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [242774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7643), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8894), 1,
      anon_sym_LT_DASH,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242902] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4585), 1,
      anon_sym_DOT,
    ACTIONS(4587), 1,
      anon_sym_POUND,
    ACTIONS(4589), 1,
      sym_hash_operator,
    STATE(5216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8024), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [242970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7898), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243032] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7946), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8896), 1,
      anon_sym_LT_DASH,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243158] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [243222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7910), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8032), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7713), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7914), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8036), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8040), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243594] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4585), 1,
      anon_sym_DOT,
    ACTIONS(4587), 1,
      anon_sym_POUND,
    ACTIONS(4589), 1,
      sym_hash_operator,
    STATE(5227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7822), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7824), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7721), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7725), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7729), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7735), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7798), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [243972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7804), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244034] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8020), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7828), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7832), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244344] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8898), 1,
      anon_sym_DOT_DOT,
    STATE(5239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(4973), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8008), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244468] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    ACTIONS(4717), 1,
      anon_sym_POUND,
    ACTIONS(4719), 1,
      sym_hash_operator,
    STATE(5241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7822), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7824), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7962), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7844), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8902), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8900), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [244718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7966), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7976), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7984), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7884), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [244962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7988), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7992), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [245206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7980), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [245328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8004), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8906), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8904), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [245450] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [245513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8910), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7902), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7906), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8056), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7928), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8060), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8064), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [245940] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8068), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7928), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246062] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [246125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7936), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7946), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246310] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8912), 1,
      anon_sym_COLON,
    STATE(5271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8178), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7954), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246556] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8012), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246739] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8020), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7932), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8000), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [246983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [247105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7950), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7832), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7828), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8032), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8036), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247471] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8914), 1,
      anon_sym_DOT_DOT,
    STATE(5290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4973), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(4975), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [247534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8040), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8008), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [247717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [247961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7950), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7958), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248083] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7936), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [248207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8048), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7972), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8052), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248451] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248514] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7920), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7910), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248760] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8080), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [248884] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7812), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [248945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8088), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8092), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8096), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249128] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8100), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7928), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8124), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8128), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8028), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7816), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7820), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7932), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7914), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [249982] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    ACTIONS(4717), 1,
      anon_sym_POUND,
    ACTIONS(4719), 1,
      sym_hash_operator,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8024), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7924), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7836), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7840), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7876), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7880), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8916), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [250476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7942), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7888), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250598] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7894), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7950), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7898), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7962), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8000), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [250964] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7996), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251025] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8924), 1,
      anon_sym_LT_DASH,
    STATE(5348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7942), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7643), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8928), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [251391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7950), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8934), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [251631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8000), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7972), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8024), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251811] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8938), 1,
      anon_sym_COLON,
    STATE(5361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8178), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8940), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [251933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [251993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7962), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8950), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8950), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8948), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [252413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8008), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8952), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [252593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8956), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [252653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8960), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [252713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [252773] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5445), 1,
      anon_sym_COLON_COLON,
    STATE(5377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8964), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [252835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [252895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [252955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253075] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5429), 1,
      anon_sym_COMMA,
    ACTIONS(5445), 1,
      anon_sym_COLON_COLON,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8972), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8976), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253379] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5445), 1,
      anon_sym_COLON_COLON,
    STATE(5387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8980), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8984), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8988), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8992), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8996), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8928), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8926), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [253861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [253981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9012), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8968), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9018), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7928), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8934), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [254761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7950), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254881] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    STATE(5412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [254943] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5477), 1,
      anon_sym_COMMA,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    STATE(5413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8972), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8986), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5483), 1,
      anon_sym_COLON_COLON,
    STATE(5422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9028), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [255669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8990), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [255909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [255969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9008), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [256149] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_DOT_DOT,
    STATE(5433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4973), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(4975), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8000), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9014), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [256631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9038), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4973), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(4975), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9046), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9050), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9054), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [256991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9062), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9066), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7924), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257531] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9074), 1,
      anon_sym_LT_DASH,
    STATE(5456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [257593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8350), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257653] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9076), 1,
      anon_sym_COLON,
    STATE(5458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8178), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9024), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7928), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [257895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8944), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [257955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8910), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258195] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9078), 1,
      anon_sym_DOT_DOT,
    STATE(5467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(4973), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7932), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9032), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7942), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [258857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(4973), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [258977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259037] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9080), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9016), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8930), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9058), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [259879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [259938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [259997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8986), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9018), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8994), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9014), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260469] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9084), 1,
      anon_sym_COLON,
    STATE(5505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8178), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9014), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [260766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8928), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [260943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8934), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8942), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261238] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4973), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(4975), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [261535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [261771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9048), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9052), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [261948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8024), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9040), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7976), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [262892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [262951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8024), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8934), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8936), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8942), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9018), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8932), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7643), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263836] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [263897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [263956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8990), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8998), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8928), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7976), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [264723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264841] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_LT_DASH,
    STATE(5579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [264961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8970), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8994), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265138] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8932), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [265612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(4973), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9048), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8056), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9052), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [265966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9040), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7643), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7924), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8350), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266438] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5725), 1,
      anon_sym_COLON_COLON,
    STATE(5606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8980), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [266499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [266617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8060), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8350), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8950), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8954), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [266971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8962), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8970), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267620] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5709), 1,
      anon_sym_COLON_COLON,
    STATE(5626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8946), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8950), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [267917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [267976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268153] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    ACTIONS(4847), 1,
      anon_sym_POUND,
    ACTIONS(4849), 1,
      sym_hash_operator,
    STATE(5635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8958), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8962), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268336] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9088), 1,
      anon_sym_LT_DASH,
    STATE(5638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268397] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5703), 1,
      anon_sym_COMMA,
    ACTIONS(5709), 1,
      anon_sym_COLON_COLON,
    STATE(5639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8972), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8974), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8978), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268873] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5709), 1,
      anon_sym_COLON_COLON,
    STATE(5647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8982), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [268934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [268993] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    STATE(5649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8990), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8064), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [269231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269762] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5725), 1,
      anon_sym_COLON_COLON,
    STATE(5662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8964), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [269823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [269941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270118] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    ACTIONS(4847), 1,
      anon_sym_POUND,
    ACTIONS(4849), 1,
      sym_hash_operator,
    STATE(5668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8998), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7924), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270596] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5719), 1,
      anon_sym_COMMA,
    ACTIONS(5725), 1,
      anon_sym_COLON_COLON,
    STATE(5676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8972), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [270659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [270895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7958), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [270954] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271014] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7367), 1,
      sym__identifier,
    ACTIONS(7375), 1,
      anon_sym_LBRACK,
    ACTIONS(7381), 1,
      anon_sym_LBRACE,
    ACTIONS(7385), 1,
      anon_sym_POUND,
    ACTIONS(7387), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7389), 1,
      anon_sym_begin,
    ACTIONS(7397), 1,
      aux_sym_number_token1,
    ACTIONS(7399), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7401), 1,
      anon_sym_SQUOTE,
    ACTIONS(7403), 1,
      anon_sym_DQUOTE,
    ACTIONS(7405), 1,
      sym__capitalized_identifier,
    ACTIONS(7407), 1,
      aux_sym_tag_token1,
    ACTIONS(9090), 1,
      anon_sym_LPAREN,
    ACTIONS(9092), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9094), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5683), 1,
      sym_attribute,
    STATE(8417), 1,
      sym__simple_pattern,
    STATE(8541), 1,
      sym__constructor_name,
    STATE(17591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7377), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8675), 2,
      sym__constant,
      sym_signed_number,
    STATE(8538), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8457), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [271112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271402] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271868] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5013), 1,
      anon_sym_DOT,
    STATE(5697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [271928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8024), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [271986] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5013), 1,
      anon_sym_DOT,
    ACTIONS(5015), 1,
      anon_sym_POUND,
    ACTIONS(5017), 1,
      sym_hash_operator,
    STATE(5699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272572] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6839), 1,
      sym__identifier,
    ACTIONS(6851), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(6859), 1,
      anon_sym_POUND,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6863), 1,
      anon_sym_begin,
    ACTIONS(6869), 1,
      aux_sym_number_token1,
    ACTIONS(6871), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6873), 1,
      anon_sym_SQUOTE,
    ACTIONS(6875), 1,
      anon_sym_DQUOTE,
    ACTIONS(6877), 1,
      sym__capitalized_identifier,
    ACTIONS(6879), 1,
      aux_sym_tag_token1,
    ACTIONS(9096), 1,
      anon_sym_LPAREN,
    ACTIONS(9098), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9100), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5709), 1,
      sym_attribute,
    STATE(7346), 1,
      sym__simple_pattern,
    STATE(7476), 1,
      sym__constructor_name,
    STATE(17512), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6853), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7382), 2,
      sym__constant,
      sym_signed_number,
    STATE(7406), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7365), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [272670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [272960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273018] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      sym__identifier,
    ACTIONS(6761), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_LBRACE,
    ACTIONS(6769), 1,
      anon_sym_POUND,
    ACTIONS(6771), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6773), 1,
      anon_sym_begin,
    ACTIONS(6781), 1,
      aux_sym_number_token1,
    ACTIONS(6783), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6785), 1,
      anon_sym_SQUOTE,
    ACTIONS(6787), 1,
      anon_sym_DQUOTE,
    ACTIONS(6789), 1,
      sym__capitalized_identifier,
    ACTIONS(6791), 1,
      aux_sym_tag_token1,
    ACTIONS(9102), 1,
      anon_sym_LPAREN,
    ACTIONS(9104), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9106), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5716), 1,
      sym_attribute,
    STATE(7336), 1,
      sym__simple_pattern,
    STATE(7484), 1,
      sym__constructor_name,
    STATE(18481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6763), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7350), 2,
      sym__constant,
      sym_signed_number,
    STATE(7482), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7465), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [273116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(8350), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [273348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273638] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7003), 1,
      sym__identifier,
    ACTIONS(7011), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      anon_sym_LBRACE,
    ACTIONS(7019), 1,
      anon_sym_POUND,
    ACTIONS(7021), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7023), 1,
      anon_sym_begin,
    ACTIONS(7029), 1,
      aux_sym_number_token1,
    ACTIONS(7031), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7033), 1,
      anon_sym_SQUOTE,
    ACTIONS(7035), 1,
      anon_sym_DQUOTE,
    ACTIONS(7037), 1,
      sym__capitalized_identifier,
    ACTIONS(7039), 1,
      aux_sym_tag_token1,
    ACTIONS(9108), 1,
      anon_sym_LPAREN,
    ACTIONS(9110), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9112), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5726), 1,
      sym_attribute,
    STATE(7757), 1,
      sym__constructor_name,
    STATE(7900), 1,
      sym__simple_pattern,
    STATE(19142), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7839), 2,
      sym__constant,
      sym_signed_number,
    STATE(7834), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7631), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [273736] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7041), 1,
      sym__identifier,
    ACTIONS(7049), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_LBRACE,
    ACTIONS(7057), 1,
      anon_sym_POUND,
    ACTIONS(7059), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7061), 1,
      anon_sym_begin,
    ACTIONS(7067), 1,
      aux_sym_number_token1,
    ACTIONS(7069), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7071), 1,
      anon_sym_SQUOTE,
    ACTIONS(7073), 1,
      anon_sym_DQUOTE,
    ACTIONS(7075), 1,
      sym__capitalized_identifier,
    ACTIONS(7077), 1,
      aux_sym_tag_token1,
    ACTIONS(9114), 1,
      anon_sym_LPAREN,
    ACTIONS(9116), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9118), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5727), 1,
      sym_attribute,
    STATE(7715), 1,
      sym__simple_pattern,
    STATE(7761), 1,
      sym__constructor_name,
    STATE(18076), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7051), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7863), 2,
      sym__constant,
      sym_signed_number,
    STATE(7752), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7802), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [273834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [273950] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274298] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5415), 1,
      sym__identifier,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5439), 1,
      anon_sym_LBRACE,
    ACTIONS(5443), 1,
      anon_sym_POUND,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5449), 1,
      anon_sym_begin,
    ACTIONS(5457), 1,
      aux_sym_number_token1,
    ACTIONS(5459), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5461), 1,
      anon_sym_SQUOTE,
    ACTIONS(5463), 1,
      anon_sym_DQUOTE,
    ACTIONS(5465), 1,
      sym__capitalized_identifier,
    ACTIONS(5467), 1,
      aux_sym_tag_token1,
    ACTIONS(7499), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7501), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9120), 1,
      anon_sym_LPAREN,
    STATE(5736), 1,
      sym_attribute,
    STATE(8298), 1,
      sym__constructor_name,
    STATE(10065), 1,
      sym__simple_pattern,
    STATE(19026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5435), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10019), 2,
      sym__constant,
      sym_signed_number,
    STATE(9958), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10081), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [274396] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9122), 1,
      anon_sym_LT_DASH,
    STATE(5737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [274920] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9124), 1,
      anon_sym_LT_DASH,
    STATE(5746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [274980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275096] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275678] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5013), 1,
      anon_sym_DOT,
    ACTIONS(5015), 1,
      anon_sym_POUND,
    ACTIONS(5017), 1,
      sym_hash_operator,
    STATE(5759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275916] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [275974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276032] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276554] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276670] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [276955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277069] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [277185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [277242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [277358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [277415] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277700] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [277757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [277814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [277871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [277928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [277985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278612] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9126), 1,
      anon_sym_DOT,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [278956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [279982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [280039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [280096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [280153] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [280269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [280383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [280497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [280611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280668] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [280953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281466] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [281751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [281979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282264] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [282834] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [282948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8056), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [283347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [283461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8060), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [283575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8064), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [283632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283746] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283805] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9128), 1,
      anon_sym_LT_DASH,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283864] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_LT_DASH,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283923] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9132), 1,
      anon_sym_LT_DASH,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [283982] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_LT_DASH,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284041] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9136), 1,
      anon_sym_LT_DASH,
    STATE(5905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8068), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [284157] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284214] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9138), 1,
      anon_sym_DOT,
    ACTIONS(9140), 1,
      anon_sym_POUND,
    ACTIONS(9142), 1,
      sym_hash_operator,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [284391] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9138), 1,
      anon_sym_DOT,
    ACTIONS(9140), 1,
      anon_sym_POUND,
    ACTIONS(9142), 1,
      sym_hash_operator,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284454] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9126), 1,
      anon_sym_DOT,
    ACTIONS(9144), 1,
      anon_sym_POUND,
    ACTIONS(9146), 1,
      sym_hash_operator,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284631] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [284975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285089] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [285490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285604] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9126), 1,
      anon_sym_DOT,
    ACTIONS(9144), 1,
      anon_sym_POUND,
    ACTIONS(9146), 1,
      sym_hash_operator,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [285952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [286237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286465] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9138), 1,
      anon_sym_DOT,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [286980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287322] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287723] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9148), 1,
      anon_sym_LT_DASH,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [287782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [287953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288295] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288810] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(5988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [288983] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289268] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289669] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9150), 1,
      anon_sym_LT_DASH,
    STATE(6003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [289899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [289956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290298] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [290754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [290982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [291096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291611] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5091), 1,
      anon_sym_DOT,
    ACTIONS(5093), 1,
      anon_sym_POUND,
    ACTIONS(5095), 1,
      sym_hash_operator,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [291959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292244] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9152), 1,
      anon_sym_COLON,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292360] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292417] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5091), 1,
      anon_sym_DOT,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292533] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292590] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292932] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [292989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293388] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5091), 1,
      anon_sym_DOT,
    ACTIONS(5093), 1,
      anon_sym_POUND,
    ACTIONS(5095), 1,
      sym_hash_operator,
    STATE(6068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [293964] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [294078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294246] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5135), 1,
      anon_sym_DOT,
    ACTIONS(5137), 1,
      anon_sym_POUND,
    ACTIONS(5139), 1,
      sym_hash_operator,
    STATE(6083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294476] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9154), 1,
      sym__identifier,
    ACTIONS(9156), 1,
      anon_sym_LPAREN,
    ACTIONS(9158), 1,
      anon_sym_private,
    ACTIONS(9160), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9162), 1,
      anon_sym_PIPE,
    ACTIONS(9164), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    STATE(6087), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9312), 1,
      sym__simple_type,
    STATE(10795), 1,
      sym__tuple_type,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11089), 1,
      sym__type,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10669), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [294584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294752] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [294976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9186), 1,
      anon_sym_LT_DASH,
    STATE(6095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295034] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295314] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295650] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295762] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5155), 1,
      anon_sym_DOT,
    ACTIONS(5157), 1,
      anon_sym_POUND,
    ACTIONS(5159), 1,
      sym_hash_operator,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [295992] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296496] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      anon_sym_DOT,
    STATE(6122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296666] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296722] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296834] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [296946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297058] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297226] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297394] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297674] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5155), 1,
      anon_sym_DOT,
    ACTIONS(5157), 1,
      anon_sym_POUND,
    ACTIONS(5159), 1,
      sym_hash_operator,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297792] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5175), 1,
      anon_sym_DOT,
    STATE(6145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [297962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298298] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9154), 1,
      sym__identifier,
    ACTIONS(9156), 1,
      anon_sym_LPAREN,
    ACTIONS(9162), 1,
      anon_sym_PIPE,
    ACTIONS(9164), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9188), 1,
      anon_sym_private,
    ACTIONS(9190), 1,
      anon_sym_DOT_DOT,
    STATE(6154), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9312), 1,
      sym__simple_type,
    STATE(10795), 1,
      sym__tuple_type,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11089), 1,
      sym__type,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10677), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [298406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298630] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298686] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298910] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      anon_sym_DOT,
    ACTIONS(5167), 1,
      anon_sym_POUND,
    ACTIONS(5169), 1,
      sym_hash_operator,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [298972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299140] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299588] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5165), 1,
      anon_sym_DOT,
    ACTIONS(5167), 1,
      anon_sym_POUND,
    ACTIONS(5169), 1,
      sym_hash_operator,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299650] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299874] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [299986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300154] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9192), 1,
      sym__identifier,
    ACTIONS(9194), 1,
      anon_sym_LPAREN,
    ACTIONS(9196), 1,
      anon_sym_private,
    ACTIONS(9198), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    STATE(6186), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9528), 1,
      sym__simple_type,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(10745), 1,
      sym__tuple_type,
    STATE(11246), 1,
      sym__type,
    STATE(11641), 1,
      sym_constructor_declaration,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10700), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [300262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300598] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300766] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300934] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [300992] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9220), 1,
      anon_sym_LT_DASH,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9222), 1,
      anon_sym_LT_DASH,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301892] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9224), 1,
      anon_sym_LT_DASH,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [301950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9226), 1,
      anon_sym_LT_DASH,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302514] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302570] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9192), 1,
      sym__identifier,
    ACTIONS(9194), 1,
      anon_sym_LPAREN,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9228), 1,
      anon_sym_private,
    ACTIONS(9230), 1,
      anon_sym_DOT_DOT,
    STATE(6228), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9528), 1,
      sym__simple_type,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(10745), 1,
      sym__tuple_type,
    STATE(11246), 1,
      sym__type,
    STATE(11641), 1,
      sym_constructor_declaration,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10708), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [302678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [302958] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303014] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303294] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303466] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303692] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303748] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303804] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303916] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [303972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304140] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9232), 1,
      sym__identifier,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    ACTIONS(9236), 1,
      anon_sym_private,
    ACTIONS(9238), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    STATE(6255), 1,
      sym_attribute,
    STATE(8850), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10226), 1,
      sym__tuple_type,
    STATE(10607), 1,
      sym__type,
    STATE(10839), 1,
      sym_constructor_declaration,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19359), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10132), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [304248] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9260), 1,
      sym__identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_private,
    ACTIONS(9266), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    STATE(6256), 1,
      sym_attribute,
    STATE(8894), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10152), 1,
      sym__tuple_type,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10562), 1,
      sym__type,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(17300), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10244), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [304356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304526] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9288), 1,
      anon_sym_LT_DASH,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304752] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9260), 1,
      sym__identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9290), 1,
      anon_sym_private,
    ACTIONS(9292), 1,
      anon_sym_DOT_DOT,
    STATE(6264), 1,
      sym_attribute,
    STATE(8894), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10152), 1,
      sym__tuple_type,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10562), 1,
      sym__type,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(17300), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10253), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [304860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304916] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [304972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305140] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305700] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305812] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9294), 1,
      anon_sym_LT_DASH,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [305982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306094] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5175), 1,
      anon_sym_DOT,
    ACTIONS(5177), 1,
      anon_sym_POUND,
    ACTIONS(5179), 1,
      sym_hash_operator,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306212] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9296), 1,
      anon_sym_LT_DASH,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306326] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306382] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306550] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306662] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [306944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307000] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307168] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307504] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307840] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [307954] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5175), 1,
      anon_sym_DOT,
    ACTIONS(5177), 1,
      anon_sym_POUND,
    ACTIONS(5179), 1,
      sym_hash_operator,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308128] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308240] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308464] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5145), 1,
      anon_sym_DOT,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [308970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [309978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310034] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310090] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9298), 1,
      anon_sym_LT_DASH,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310204] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310260] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310766] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [310990] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311102] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311326] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311832] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [311946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312058] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5145), 1,
      anon_sym_DOT,
    ACTIONS(5147), 1,
      anon_sym_POUND,
    ACTIONS(5149), 1,
      sym_hash_operator,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312400] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312680] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9300), 1,
      anon_sym_LT_DASH,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
    ACTIONS(7790), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [312906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [312962] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5135), 1,
      anon_sym_DOT,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313020] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313132] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313188] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313468] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5185), 1,
      anon_sym_DOT,
    ACTIONS(5187), 1,
      anon_sym_POUND,
    ACTIONS(5189), 1,
      sym_hash_operator,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [313978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314034] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314258] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5185), 1,
      anon_sym_DOT,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314932] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [314988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315100] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315268] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315380] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315492] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5185), 1,
      anon_sym_DOT,
    ACTIONS(5187), 1,
      anon_sym_POUND,
    ACTIONS(5189), 1,
      sym_hash_operator,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315666] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315722] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315834] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [315946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316058] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5145), 1,
      anon_sym_DOT,
    ACTIONS(5147), 1,
      anon_sym_POUND,
    ACTIONS(5149), 1,
      sym_hash_operator,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316400] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316626] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [316962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7645), 1,
      anon_sym_LT_DASH,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317300] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9232), 1,
      sym__identifier,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9302), 1,
      anon_sym_private,
    ACTIONS(9304), 1,
      anon_sym_DOT_DOT,
    STATE(6486), 1,
      sym_attribute,
    STATE(8850), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10226), 1,
      sym__tuple_type,
    STATE(10607), 1,
      sym__type,
    STATE(10839), 1,
      sym_constructor_declaration,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19359), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10205), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [317408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317464] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317632] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_COLON,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [317970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318530] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5135), 1,
      anon_sym_DOT,
    ACTIONS(5137), 1,
      anon_sym_POUND,
    ACTIONS(5139), 1,
      sym_hash_operator,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318592] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318874] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [318986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319266] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319434] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319490] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5155), 1,
      anon_sym_DOT,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [319998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320054] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320446] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320502] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320558] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320670] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320838] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [320950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321008] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321064] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321400] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321680] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321904] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [321962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322298] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322466] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [322912] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [322967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [323187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [323297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [323352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [323407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [323517] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323572] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [323737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [323847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [323957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [324012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [324177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324232] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9308), 1,
      anon_sym_DOT,
    ACTIONS(9310), 1,
      anon_sym_POUND,
    ACTIONS(9312), 1,
      sym_hash_operator,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [324293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324623] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9260), 1,
      sym__identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9314), 1,
      anon_sym_DOT_DOT,
    STATE(6616), 1,
      sym_attribute,
    STATE(8894), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10152), 1,
      sym__tuple_type,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10564), 1,
      sym__type,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(17300), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10251), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [324728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [324893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [324948] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9260), 1,
      sym__identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9316), 1,
      anon_sym_DOT_DOT,
    STATE(6621), 1,
      sym_attribute,
    STATE(8894), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10152), 1,
      sym__tuple_type,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10564), 1,
      sym__type,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(17300), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10258), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [325053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325108] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9154), 1,
      sym__identifier,
    ACTIONS(9156), 1,
      anon_sym_LPAREN,
    ACTIONS(9162), 1,
      anon_sym_PIPE,
    ACTIONS(9164), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9318), 1,
      anon_sym_DOT_DOT,
    STATE(6623), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9312), 1,
      sym__simple_type,
    STATE(10795), 1,
      sym__tuple_type,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11098), 1,
      sym__type,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10675), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [325213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [325268] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325323] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [325433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7954), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325598] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5339), 1,
      anon_sym_DOT,
    ACTIONS(5341), 1,
      anon_sym_POUND,
    ACTIONS(5343), 1,
      sym_hash_operator,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [325769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [325824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [325934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [325989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [326814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326924] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9320), 1,
      anon_sym_DOT,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [326981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [327806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [327971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328136] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328466] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5265), 1,
      anon_sym_DOT,
    ACTIONS(5267), 1,
      anon_sym_POUND,
    ACTIONS(5269), 1,
      sym_hash_operator,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [328857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328912] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9322), 1,
      anon_sym_COLON,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [328969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [329024] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329079] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5409), 1,
      anon_sym_DOT,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [329191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [329246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [329301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329411] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7936), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7972), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329688] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [329963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330128] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [330403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [330953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [331008] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331118] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331173] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [331230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [331285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331670] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [331945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332000] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5499), 1,
      anon_sym_DOT,
    ACTIONS(5501), 1,
      anon_sym_POUND,
    ACTIONS(5503), 1,
      sym_hash_operator,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7924), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332446] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9154), 1,
      sym__identifier,
    ACTIONS(9156), 1,
      anon_sym_LPAREN,
    ACTIONS(9162), 1,
      anon_sym_PIPE,
    ACTIONS(9164), 1,
      anon_sym_LBRACK,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9324), 1,
      anon_sym_DOT_DOT,
    STATE(6755), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9312), 1,
      sym__simple_type,
    STATE(10795), 1,
      sym__tuple_type,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11098), 1,
      sym__type,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10683), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [332551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [332936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [332991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333266] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333376] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9232), 1,
      sym__identifier,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9326), 1,
      anon_sym_DOT_DOT,
    STATE(6771), 1,
      sym_attribute,
    STATE(8850), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10226), 1,
      sym__tuple_type,
    STATE(10430), 1,
      sym__type,
    STATE(10839), 1,
      sym_constructor_declaration,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19359), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10195), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [333481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5499), 1,
      anon_sym_DOT,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [333980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [334310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334475] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5409), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      sym_hash_operator,
    STATE(6790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334536] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [334701] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334811] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5339), 1,
      anon_sym_DOT,
    ACTIONS(5341), 1,
      anon_sym_POUND,
    ACTIONS(5343), 1,
      sym_hash_operator,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334872] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [334982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335092] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335422] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335752] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [335919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [335974] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336416] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336636] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5255), 1,
      anon_sym_DOT,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [336748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [336968] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337078] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [337300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337355] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337852] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337909] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9328), 1,
      anon_sym_LT_DASH,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [337966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [338736] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [338956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339286] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [339891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [339946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340168] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9308), 1,
      anon_sym_DOT,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [340942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [340997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341162] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341274] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9330), 1,
      anon_sym_COLON,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [341936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [341991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [342706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [342981] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [343861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343916] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [343971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344026] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9320), 1,
      anon_sym_DOT,
    ACTIONS(9332), 1,
      anon_sym_POUND,
    ACTIONS(9334), 1,
      sym_hash_operator,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344417] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5265), 1,
      anon_sym_DOT,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344639] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5265), 1,
      anon_sym_DOT,
    ACTIONS(5267), 1,
      anon_sym_POUND,
    ACTIONS(5269), 1,
      sym_hash_operator,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344810] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5255), 1,
      anon_sym_DOT,
    ACTIONS(5257), 1,
      anon_sym_POUND,
    ACTIONS(5259), 1,
      sym_hash_operator,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [344926] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9308), 1,
      anon_sym_DOT,
    ACTIONS(9310), 1,
      anon_sym_POUND,
    ACTIONS(9312), 1,
      sym_hash_operator,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [344987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345097] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9336), 1,
      anon_sym_LT_DASH,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345319] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345429] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5409), 1,
      anon_sym_DOT,
    ACTIONS(5411), 1,
      anon_sym_POUND,
    ACTIONS(5413), 1,
      sym_hash_operator,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [345765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [345985] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9320), 1,
      anon_sym_DOT,
    ACTIONS(9332), 1,
      anon_sym_POUND,
    ACTIONS(9334), 1,
      sym_hash_operator,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346101] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346213] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346268] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9192), 1,
      sym__identifier,
    ACTIONS(9194), 1,
      anon_sym_LPAREN,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9338), 1,
      anon_sym_DOT_DOT,
    STATE(7003), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9528), 1,
      sym__simple_type,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(10745), 1,
      sym__tuple_type,
    STATE(11256), 1,
      sym__type,
    STATE(11641), 1,
      sym_constructor_declaration,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10706), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [346428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [346978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9340), 1,
      anon_sym_LT_DASH,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347530] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9192), 1,
      sym__identifier,
    ACTIONS(9194), 1,
      anon_sym_LPAREN,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9342), 1,
      anon_sym_DOT_DOT,
    STATE(7025), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9528), 1,
      sym__simple_type,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(10745), 1,
      sym__tuple_type,
    STATE(11256), 1,
      sym__type,
    STATE(11641), 1,
      sym_constructor_declaration,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10713), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347745] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7936), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [347802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [347912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [347967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348132] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9344), 1,
      anon_sym_LT_DASH,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348189] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9182), 1,
      sym__capitalized_identifier,
    ACTIONS(9232), 1,
      sym__identifier,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9242), 1,
      anon_sym_LBRACK,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT_DOT,
    STATE(7036), 1,
      sym_attribute,
    STATE(8850), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10226), 1,
      sym__tuple_type,
    STATE(10430), 1,
      sym__type,
    STATE(10839), 1,
      sym_constructor_declaration,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19359), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10327), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7946), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [348569] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9348), 1,
      anon_sym_COLON,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8176), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348736] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [348903] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [348960] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349400] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [349840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [349950] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5255), 1,
      anon_sym_DOT,
    ACTIONS(5257), 1,
      anon_sym_POUND,
    ACTIONS(5259), 1,
      sym_hash_operator,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350341] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5499), 1,
      anon_sym_DOT,
    ACTIONS(5501), 1,
      anon_sym_POUND,
    ACTIONS(5503), 1,
      sym_hash_operator,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350732] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [350842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [350952] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [351227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [351337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [351392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [351504] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351559] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5339), 1,
      anon_sym_DOT,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7643), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [351726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [351836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [351946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [352166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352276] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [352716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [352991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353266] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8108), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [353430] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_DOT,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7812), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353702] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9352), 1,
      anon_sym_COLON,
    STATE(7135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [353758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9354), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [353812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7820), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [353974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354028] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9362), 1,
      anon_sym_COLON,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [354084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354138] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [354194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354410] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [354574] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_DOT,
    ACTIONS(9368), 1,
      anon_sym_POUND,
    ACTIONS(9370), 1,
      sym_hash_operator,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354634] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_DOT,
    ACTIONS(9368), 1,
      anon_sym_POUND,
    ACTIONS(9370), 1,
      sym_hash_operator,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7721), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [354748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7842), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [354856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7816), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7972), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7820), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7721), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7725), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7729), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7812), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [355342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7836), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7840), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7912), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7876), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7725), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [355612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7729), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [355666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7880), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7908), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [355828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7675), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [355882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7836), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [355936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7898), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [355990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7826), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356098] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9376), 1,
      anon_sym_COLON,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [356154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7798), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7804), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8088), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [356316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7830), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8092), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [356424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8096), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [356478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7888), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [356532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7840), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [356586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7876), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [356640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7842), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7918), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8100), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [356802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7832), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [356856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7882), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7900), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [356964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7904), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [357018] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [357074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8104), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [357128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7880), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [357182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357236] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [357292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7914), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7894), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7954), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357454] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9378), 1,
      anon_sym_COLON,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7790), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [357564] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9380), 1,
      anon_sym_COLON,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [357620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [357674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8032), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [357728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [357782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8054), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [357836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8036), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [357890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [357944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8058), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [357998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8062), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7884), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [358160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8040), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [358214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8048), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [358268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7908), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7735), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [358376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7798), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [358430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7828), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [358484] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9390), 1,
      anon_sym_COLON,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [358540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9392), 1,
      anon_sym_COLON,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [358596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7643), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [358650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7804), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [358704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7888), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [358758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7984), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [358812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7902), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [358866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [358974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7826), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7832), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7844), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [359136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7844), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7924), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8066), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7828), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [359352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [359406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8052), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [359460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7980), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7976), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7906), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [359676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7830), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7920), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [359892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8054), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [359946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360000] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7936), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [360056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8058), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8062), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7790), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [360326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7918), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8044), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [360542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7988), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7992), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360650] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_COLON,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [360706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8112), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [360760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9400), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [360814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [360868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7713), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [360922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7894), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [360976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7882), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [361030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8076), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7900), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [361246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7904), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [361354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7928), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361408] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8116), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7932), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8120), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8124), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8128), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7942), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [361842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8028), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7980), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [361950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7910), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7920), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7950), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8052), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362274] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_DOT,
    ACTIONS(9368), 1,
      anon_sym_POUND,
    ACTIONS(9370), 1,
      sym_hash_operator,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9404), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8004), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362442] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9350), 1,
      anon_sym_DOT,
    ACTIONS(9368), 1,
      anon_sym_POUND,
    ACTIONS(9370), 1,
      sym_hash_operator,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9408), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7914), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [362664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8012), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8016), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8020), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8064), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [362934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7816), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [362988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7669), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7958), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7962), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7966), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7946), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9400), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [363366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8068), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7713), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(7912), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [363582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [363635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7966), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [363688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8008), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [363741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8902), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8900), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [363794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7976), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7984), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7992), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7988), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [364059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7828), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7992), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [364218] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7928), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7946), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8068), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [364432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [364485] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9420), 1,
      anon_sym_DOT,
    ACTIONS(9422), 1,
      anon_sym_POUND,
    ACTIONS(9424), 1,
      sym_hash_operator,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9428), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [364597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [364650] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9420), 1,
      anon_sym_DOT,
    ACTIONS(9422), 1,
      anon_sym_POUND,
    ACTIONS(9424), 1,
      sym_hash_operator,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7669), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9436), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [364868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7832), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7844), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [364974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7920), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7888), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9432), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [365186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [365345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8922), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8920), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [365398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7932), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9426), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [365610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7996), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [365769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8910), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [365822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [365875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [365928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8056), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [365981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9360), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [366087] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7095), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [366195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366248] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9438), 1,
      anon_sym_DOT,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(9442), 1,
      sym_hash_operator,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9034), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [366413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [366466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8000), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [366519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8052), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7928), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9446), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [366678] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9438), 1,
      anon_sym_DOT,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(9442), 1,
      sym_hash_operator,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [366737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7713), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9418), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [366843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366896] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9420), 1,
      anon_sym_DOT,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [366951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7932), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [367004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7812), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8922), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [367110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8928), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8926), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [367163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8910), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8908), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [367216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [367269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7972), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9448), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [367375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9452), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [367428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9456), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [367481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9450), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [367693] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9460), 1,
      anon_sym_COLON,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [367748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [367801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [367854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [367907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7972), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [367960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368066] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9470), 1,
      anon_sym_COLON,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7942), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [368174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [368280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7942), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [368386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7675), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7790), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [368651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [368757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9474), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [368810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7675), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [368863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9478), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [368916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9482), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [368969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7894), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9486), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7950), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9464), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7966), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9490), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7954), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [369446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9032), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [369499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9030), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [369605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [369658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9060), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7950), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [369764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7976), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9018), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8928), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9498), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [369976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7816), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [370135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9506), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [370188] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370241] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9508), 1,
      anon_sym_COLON,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [370349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [370402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9024), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [370455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7984), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [370508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [370561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7820), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9512), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [370667] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9514), 1,
      anon_sym_COLON,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [370722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7721), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9468), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [370828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8000), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [370881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7988), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [370934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7942), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7725), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [371040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9444), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9516), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7992), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9434), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9522), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8060), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7095), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8916), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [371570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9028), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9058), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7996), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9504), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8064), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [371888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [371941] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9532), 1,
      anon_sym_COLON,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [371996] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9438), 1,
      anon_sym_DOT,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(9442), 1,
      sym_hash_operator,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [372055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7946), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [372108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9534), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9016), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372267] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9538), 1,
      anon_sym_COLON,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7729), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372428] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9438), 1,
      anon_sym_DOT,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(9442), 1,
      sym_hash_operator,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9408), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [372487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8906), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8904), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7836), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [372752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [372805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8064), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9454), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [372911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7840), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9458), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7980), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7669), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [373176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7876), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7976), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [373388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [373653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8008), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [373706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [373759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7880), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9494), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9414), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [373971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9526), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9542), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9546), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [374236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7954), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7958), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [374395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374448] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9420), 1,
      anon_sym_DOT,
    ACTIONS(9422), 1,
      anon_sym_POUND,
    ACTIONS(9424), 1,
      sym_hash_operator,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9404), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374507] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9420), 1,
      anon_sym_DOT,
    ACTIONS(9422), 1,
      anon_sym_POUND,
    ACTIONS(9424), 1,
      sym_hash_operator,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9408), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7950), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [374725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7914), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374831] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9438), 1,
      anon_sym_DOT,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [374886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9488), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [374939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9548), 1,
      anon_sym_COLON,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [374994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [375100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7928), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7924), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7958), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [375312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7643), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [375418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7962), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [375524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7932), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9502), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9518), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9530), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9536), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7798), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7984), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [375895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(7962), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [375948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9026), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7966), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9472), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9476), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7958), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [376266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9484), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(9552), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [376425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8068), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7988), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [376531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7962), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [376637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7804), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [376690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9552), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9550), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
      aux_sym_directive_token1,
  [376796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [376850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [376902] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9554), 1,
      anon_sym_PIPE,
    ACTIONS(9556), 1,
      anon_sym_RBRACK,
    STATE(7567), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14971), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377054] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9558), 1,
      anon_sym_PIPE,
    ACTIONS(9560), 1,
      anon_sym_RBRACK,
    STATE(7569), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15936), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377154] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9562), 1,
      anon_sym_PIPE,
    ACTIONS(9564), 1,
      anon_sym_RBRACK,
    STATE(7570), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15885), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377254] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9566), 1,
      anon_sym_PIPE,
    ACTIONS(9568), 1,
      anon_sym_RBRACK,
    STATE(7571), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15182), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377354] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [377408] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9570), 1,
      anon_sym_PIPE,
    ACTIONS(9572), 1,
      anon_sym_RBRACK,
    STATE(7573), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15832), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377508] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9574), 1,
      anon_sym_PIPE,
    ACTIONS(9576), 1,
      anon_sym_RBRACK,
    STATE(7574), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15006), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377608] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9578), 1,
      anon_sym_PIPE,
    ACTIONS(9580), 1,
      anon_sym_RBRACK,
    STATE(7575), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15436), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [377760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [377812] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9582), 1,
      anon_sym_PIPE,
    ACTIONS(9584), 1,
      anon_sym_RBRACK,
    STATE(7578), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16110), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [377964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [378016] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9586), 1,
      anon_sym_PIPE,
    ACTIONS(9588), 1,
      anon_sym_RBRACK,
    STATE(7581), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16171), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378116] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9590), 1,
      anon_sym_PIPE,
    ACTIONS(9592), 1,
      anon_sym_RBRACK,
    STATE(7582), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15876), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [378268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9400), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [378320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [378372] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9594), 1,
      anon_sym_PIPE,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    STATE(7586), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17285), 1,
      sym_tag_specification,
    STATE(19318), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [378576] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9598), 1,
      anon_sym_PIPE,
    ACTIONS(9600), 1,
      anon_sym_RBRACK,
    STATE(7589), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15299), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378676] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      anon_sym_COLON,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [378730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [378782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9400), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [378834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [378886] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9604), 1,
      anon_sym_PIPE,
    ACTIONS(9606), 1,
      anon_sym_RBRACK,
    STATE(7594), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15751), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378986] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9608), 1,
      anon_sym_PIPE,
    ACTIONS(9610), 1,
      anon_sym_RBRACK,
    STATE(7595), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14879), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379086] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9612), 1,
      anon_sym_COLON,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [379140] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9614), 1,
      anon_sym_PIPE,
    ACTIONS(9616), 1,
      anon_sym_RBRACK,
    STATE(7597), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15171), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379240] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9618), 1,
      anon_sym_PIPE,
    ACTIONS(9620), 1,
      anon_sym_RBRACK,
    STATE(7598), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15126), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379392] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7936), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [379446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [379498] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9622), 1,
      anon_sym_PIPE,
    ACTIONS(9624), 1,
      anon_sym_RBRACK,
    STATE(7602), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(16532), 1,
      sym_tag_specification,
    STATE(19252), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379598] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [379702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [379754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [379806] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9626), 1,
      anon_sym_PIPE,
    ACTIONS(9628), 1,
      anon_sym_RBRACK,
    STATE(7607), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15027), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379906] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9630), 1,
      anon_sym_PIPE,
    ACTIONS(9632), 1,
      anon_sym_RBRACK,
    STATE(7608), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15580), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [380058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [380110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380162] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9634), 1,
      anon_sym_PIPE,
    ACTIONS(9636), 1,
      anon_sym_RBRACK,
    STATE(7612), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15704), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__identifier,
  [380314] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [380368] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9638), 1,
      anon_sym_PIPE,
    ACTIONS(9640), 1,
      anon_sym_RBRACK,
    STATE(7615), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15177), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380468] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9642), 1,
      anon_sym_PIPE,
    ACTIONS(9644), 1,
      anon_sym_RBRACK,
    STATE(7616), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17140), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380568] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9646), 1,
      anon_sym_PIPE,
    ACTIONS(9648), 1,
      anon_sym_RBRACK,
    STATE(7617), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16114), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380668] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9650), 1,
      anon_sym_PIPE,
    ACTIONS(9652), 1,
      anon_sym_RBRACK,
    STATE(7618), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15331), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380768] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9654), 1,
      anon_sym_PIPE,
    ACTIONS(9656), 1,
      anon_sym_RBRACK,
    STATE(7619), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14873), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380868] = 29,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9658), 1,
      anon_sym_PIPE,
    ACTIONS(9660), 1,
      anon_sym_RBRACK,
    STATE(7620), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17159), 1,
      sym_tag_specification,
    STATE(19159), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380968] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9662), 1,
      sym__identifier,
    ACTIONS(9664), 1,
      anon_sym_let,
    ACTIONS(9666), 1,
      anon_sym_QMARK,
    ACTIONS(9668), 1,
      anon_sym_LBRACK,
    ACTIONS(9670), 1,
      anon_sym_object,
    STATE(7621), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10406), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16304), 1,
      sym_extended_module_path,
    STATE(17157), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13672), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [381061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [381114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [381165] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9672), 1,
      anon_sym_PIPE,
    STATE(7624), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(16603), 1,
      sym_tag_specification,
    STATE(19388), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381262] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9674), 1,
      anon_sym_PIPE,
    STATE(7625), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14464), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8068), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [381410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7920), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7918), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [381461] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9676), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7628), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8687), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8685), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [381514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9360), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [381565] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9679), 1,
      anon_sym_PIPE,
    STATE(7630), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17253), 1,
      sym_tag_specification,
    STATE(19011), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7095), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [381713] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9681), 1,
      anon_sym_PIPE,
    STATE(7632), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14235), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381810] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9683), 1,
      anon_sym_PIPE,
    STATE(7633), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(16714), 1,
      sym_tag_specification,
    STATE(19404), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381907] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9685), 1,
      anon_sym_PIPE,
    STATE(7634), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14506), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9030), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [382055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8032), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8030), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [382106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9452), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [382157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8036), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8034), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [382208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9456), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [382259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [382310] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9687), 1,
      anon_sym_RBRACK,
    STATE(7641), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15599), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8038), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [382458] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9689), 1,
      anon_sym_PIPE,
    STATE(7643), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(16826), 1,
      sym_tag_specification,
    STATE(19420), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382555] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9691), 1,
      anon_sym_PIPE,
    STATE(7644), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14553), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382652] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9693), 1,
      sym__identifier,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9697), 1,
      anon_sym_QMARK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7645), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10379), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16254), 1,
      sym_extended_module_path,
    STATE(16874), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9931), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [382745] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9705), 1,
      anon_sym_RBRACK,
    STATE(7646), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15963), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382842] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9707), 1,
      anon_sym_PIPE,
    STATE(7647), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13908), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17147), 1,
      sym_tag_specification,
    STATE(18956), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382939] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9709), 1,
      anon_sym_PIPE,
    STATE(7648), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17008), 1,
      sym_tag_specification,
    STATE(19436), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383036] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9711), 1,
      anon_sym_PIPE,
    STATE(7649), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14601), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [383184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8046), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [383235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8050), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [383286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7922), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [383337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [383388] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9713), 1,
      anon_sym_PIPE,
    STATE(7655), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17086), 1,
      sym_tag_specification,
    STATE(19452), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383485] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9715), 1,
      anon_sym_PIPE,
    STATE(7656), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14647), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383582] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__identifier,
    ACTIONS(9719), 1,
      anon_sym_QMARK,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7657), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10445), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16239), 1,
      sym_extended_module_path,
    STATE(17279), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9970), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [383675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7713), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7711), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [383726] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9725), 1,
      anon_sym_RBRACK,
    STATE(7659), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16006), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383823] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9727), 1,
      anon_sym_PIPE,
    STATE(7660), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17164), 1,
      sym_tag_specification,
    STATE(19468), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383920] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9729), 1,
      anon_sym_PIPE,
    STATE(7661), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14714), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8074), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384119] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9731), 1,
      anon_sym_DOT,
    STATE(7664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7812), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7810), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384325] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9658), 1,
      anon_sym_PIPE,
    STATE(7668), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17159), 1,
      sym_tag_specification,
    STATE(19159), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384422] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9733), 1,
      anon_sym_PIPE,
    STATE(7669), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17246), 1,
      sym_tag_specification,
    STATE(19484), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384519] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9735), 1,
      anon_sym_PIPE,
    STATE(7670), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14767), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384616] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9737), 1,
      anon_sym_PIPE,
    STATE(7671), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14710), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8086), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8090), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [384866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9474), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [384917] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9739), 1,
      anon_sym_PIPE,
    STATE(7676), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16415), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19500), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385014] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9741), 1,
      anon_sym_PIPE,
    STATE(7677), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14233), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9478), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8094), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9482), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8100), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9486), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9464), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [385417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7974), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7884), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7882), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9745), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9743), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385621] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__identifier,
    ACTIONS(9719), 1,
      anon_sym_QMARK,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7688), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10433), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16239), 1,
      sym_extended_module_path,
    STATE(17279), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9970), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [385714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385816] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(5277), 1,
      anon_sym_type,
    ACTIONS(9747), 1,
      sym__identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    STATE(7691), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10171), 1,
      sym__simple_type,
    STATE(10325), 1,
      sym_type_variable,
    STATE(11796), 1,
      sym__tuple_type,
    STATE(12393), 1,
      sym__type,
    STATE(12398), 1,
      sym__polymorphic_type,
    STATE(12471), 1,
      sym_polymorphic_type,
    STATE(14510), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(17940), 1,
      sym__abstract_type,
    STATE(19456), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10855), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [385915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [385966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9024), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386119] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9767), 1,
      aux_sym_attribute_id_token1,
    STATE(7628), 1,
      aux_sym_attribute_id_repeat1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8786), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8784), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [386174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9494), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9414), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9771), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9769), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9526), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9542), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9546), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [386582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386684] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9662), 1,
      sym__identifier,
    ACTIONS(9664), 1,
      anon_sym_let,
    ACTIONS(9666), 1,
      anon_sym_QMARK,
    ACTIONS(9668), 1,
      anon_sym_LBRACK,
    ACTIONS(9670), 1,
      anon_sym_object,
    STATE(7707), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10433), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16304), 1,
      sym_extended_module_path,
    STATE(17157), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13672), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [386777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7982), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386828] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9767), 1,
      aux_sym_attribute_id_token1,
    STATE(7696), 1,
      aux_sym_attribute_id_repeat1,
    STATE(7709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8798), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8796), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [386883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8028), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8026), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9434), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [386985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7986), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7990), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7816), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7814), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7820), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7818), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3095), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3093), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7721), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7719), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7725), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7723), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7729), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7727), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9516), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387546] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9773), 1,
      anon_sym_RBRACK,
    STATE(7723), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15725), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [387643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7902), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7900), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7906), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7904), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7836), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7834), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9028), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9058), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [387949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9534), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7840), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7838), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388051] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(5277), 1,
      anon_sym_type,
    ACTIONS(9775), 1,
      sym__identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    STATE(7732), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(11016), 1,
      sym_type_variable,
    STATE(12444), 1,
      sym__polymorphic_type,
    STATE(12503), 1,
      sym_polymorphic_type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(12705), 1,
      sym__type,
    STATE(14278), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(18307), 1,
      sym__abstract_type,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [388150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7876), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7874), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7880), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7878), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388252] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      sym__identifier,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7735), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10433), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16535), 1,
      sym__tuple_type,
    STATE(17093), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10368), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [388345] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9731), 1,
      anon_sym_DOT,
    ACTIONS(9803), 1,
      anon_sym_POUND,
    ACTIONS(9805), 1,
      sym_hash_operator,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7735), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7733), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7798), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7796), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7804), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7802), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9016), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7888), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7886), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [388708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9018), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [388759] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9807), 1,
      anon_sym_PIPE,
    STATE(7744), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17055), 1,
      sym_tag_specification,
    STATE(19197), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [388856] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9809), 1,
      anon_sym_PIPE,
    STATE(7745), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14336), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [388953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9472), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9476), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9813), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9811), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9026), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9450), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9817), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9815), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7994), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7892), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7914), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7912), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7946), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389565] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9819), 1,
      anon_sym_RBRACK,
    STATE(7758), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14913), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [389662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9006), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [389713] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__identifier,
    ACTIONS(9719), 1,
      anon_sym_QMARK,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7760), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10406), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16239), 1,
      sym_extended_module_path,
    STATE(17279), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9970), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [389806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [389857] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9821), 1,
      anon_sym_RBRACK,
    STATE(7762), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15063), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [389954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9502), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9825), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9823), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9518), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9530), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9536), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9829), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9827), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9833), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9831), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390515] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9835), 1,
      anon_sym_RBRACK,
    STATE(7774), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15910), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [390612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9448), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9839), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9837), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [390816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9552), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [390867] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5277), 1,
      anon_sym_type,
    ACTIONS(7615), 1,
      sym__identifier,
    STATE(7780), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12444), 1,
      sym__polymorphic_type,
    STATE(12503), 1,
      sym_polymorphic_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(12676), 1,
      sym_type_variable,
    STATE(13501), 1,
      sym__type,
    STATE(14597), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(18568), 1,
      sym__abstract_type,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [390966] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9841), 1,
      anon_sym_PIPE,
    STATE(7781), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14211), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391063] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9662), 1,
      sym__identifier,
    ACTIONS(9664), 1,
      anon_sym_let,
    ACTIONS(9666), 1,
      anon_sym_QMARK,
    ACTIONS(9668), 1,
      anon_sym_LBRACK,
    ACTIONS(9670), 1,
      anon_sym_object,
    STATE(7782), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10379), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16304), 1,
      sym_extended_module_path,
    STATE(17157), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13672), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [391156] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9843), 1,
      anon_sym_RBRACK,
    STATE(7783), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15996), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9488), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9428), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [391355] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9717), 1,
      sym__identifier,
    ACTIONS(9719), 1,
      anon_sym_QMARK,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7786), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10379), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16239), 1,
      sym_extended_module_path,
    STATE(17279), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9970), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [391448] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9662), 1,
      sym__identifier,
    ACTIONS(9664), 1,
      anon_sym_let,
    ACTIONS(9666), 1,
      anon_sym_QMARK,
    ACTIONS(9668), 1,
      anon_sym_LBRACK,
    ACTIONS(9670), 1,
      anon_sym_object,
    STATE(7787), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10445), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16304), 1,
      sym_extended_module_path,
    STATE(17157), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(13672), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [391541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8066), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391745] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9845), 1,
      anon_sym_PIPE,
    STATE(7792), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17155), 1,
      sym_tag_specification,
    STATE(19226), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391842] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9847), 1,
      anon_sym_PIPE,
    STATE(7793), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14282), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [391939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [391990] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9849), 1,
      anon_sym_RBRACK,
    STATE(7795), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14861), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9853), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9851), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9480), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392189] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9855), 1,
      anon_sym_RBRACK,
    STATE(7798), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14887), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9484), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9552), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9550), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8910), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8908), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7095), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392490] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9857), 1,
      anon_sym_RBRACK,
    STATE(7803), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15354), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [392587] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9859), 1,
      sym__identifier,
    ACTIONS(9861), 1,
      anon_sym_QMARK,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7804), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10379), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16354), 1,
      sym__tuple_type,
    STATE(17243), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10487), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [392680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [392731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9869), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9867), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9873), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9871), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9490), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [392884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9877), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9875), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7972), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [392986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7930), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9412), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393190] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9622), 1,
      anon_sym_PIPE,
    STATE(7815), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(16532), 1,
      sym_tag_specification,
    STATE(19252), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393287] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9879), 1,
      anon_sym_PIPE,
    STATE(7816), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14549), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [393384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393435] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7934), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393488] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      sym__identifier,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7819), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10379), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16535), 1,
      sym__tuple_type,
    STATE(17093), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10368), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [393581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7896), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7832), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7830), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393683] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9859), 1,
      sym__identifier,
    ACTIONS(9861), 1,
      anon_sym_QMARK,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7822), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10445), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16354), 1,
      sym__tuple_type,
    STATE(17243), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10487), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [393776] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9693), 1,
      sym__identifier,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9697), 1,
      anon_sym_QMARK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7823), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10406), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16254), 1,
      sym_extended_module_path,
    STATE(16874), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9931), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [393869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [393920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9498), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [393971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9883), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9881), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9034), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7928), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7932), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9512), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9468), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394277] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      sym__identifier,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7832), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10445), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16535), 1,
      sym__tuple_type,
    STATE(17093), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10368), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [394370] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9885), 1,
      anon_sym_RBRACK,
    STATE(7833), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16128), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7942), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7910), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7908), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9889), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9887), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7790), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7788), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8922), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7940), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [394824] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9891), 1,
      anon_sym_RBRACK,
    STATE(7841), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15306), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [394921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8000), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [394972] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9893), 1,
      anon_sym_PIPE,
    STATE(7843), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17037), 1,
      sym_tag_specification,
    STATE(19278), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9506), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [395120] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9895), 1,
      anon_sym_PIPE,
    STATE(7845), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14770), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395217] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9859), 1,
      sym__identifier,
    ACTIONS(9861), 1,
      anon_sym_QMARK,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7846), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10406), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16354), 1,
      sym__tuple_type,
    STATE(17243), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10487), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [395310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8928), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [395412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7946), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7944), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [395463] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9897), 1,
      anon_sym_RBRACK,
    STATE(7850), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15327), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395560] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9899), 1,
      anon_sym_RBRACK,
    STATE(7851), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14920), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [395657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9522), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [395708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7954), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [395759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8056), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [395810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [395861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7962), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [395912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8910), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [395963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7966), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [396065] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      sym__identifier,
    ACTIONS(9797), 1,
      anon_sym_QMARK,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7860), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10406), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16535), 1,
      sym__tuple_type,
    STATE(17093), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10368), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [396158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9426), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8008), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [396260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8922), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8920), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7980), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7978), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396362] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9901), 1,
      anon_sym_PIPE,
    STATE(7865), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17175), 1,
      sym_tag_specification,
    STATE(19298), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396459] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9903), 1,
      anon_sym_RBRACK,
    STATE(7866), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15079), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396556] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9905), 1,
      anon_sym_PIPE,
    STATE(7867), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14199), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8054), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8002), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396806] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9907), 1,
      anon_sym_RBRACK,
    STATE(7871), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15048), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8012), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [396954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8016), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8020), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8018), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397056] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(9913), 1,
      anon_sym_LPAREN,
    ACTIONS(9917), 1,
      anon_sym_LBRACE,
    ACTIONS(9919), 1,
      anon_sym_begin,
    ACTIONS(9921), 1,
      aux_sym_number_token1,
    ACTIONS(9923), 1,
      anon_sym_SQUOTE,
    ACTIONS(9925), 1,
      anon_sym_DQUOTE,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    STATE(7875), 1,
      sym_attribute,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(12010), 1,
      sym_module_path,
    STATE(12291), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12383), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(9909), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(12074), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9911), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [397135] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9642), 1,
      anon_sym_PIPE,
    STATE(7876), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17140), 1,
      sym_tag_specification,
    STATE(18898), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397232] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9929), 1,
      anon_sym_PIPE,
    STATE(7877), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14692), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397329] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9707), 1,
      anon_sym_PIPE,
    STATE(7878), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17147), 1,
      sym_tag_specification,
    STATE(18956), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7998), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397477] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(5277), 1,
      anon_sym_type,
    ACTIONS(9931), 1,
      sym__identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    STATE(7880), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11700), 1,
      sym_type_variable,
    STATE(11877), 1,
      sym__simple_type,
    STATE(12444), 1,
      sym__polymorphic_type,
    STATE(12503), 1,
      sym_polymorphic_type,
    STATE(12799), 1,
      sym__tuple_type,
    STATE(12935), 1,
      sym__type,
    STATE(14776), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16612), 1,
      sym_extended_module_path,
    STATE(19986), 1,
      sym__abstract_type,
    STATE(20142), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12465), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [397576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9032), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397627] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9594), 1,
      anon_sym_PIPE,
    STATE(7882), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17285), 1,
      sym_tag_specification,
    STATE(19318), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397724] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9951), 1,
      anon_sym_PIPE,
    STATE(7883), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14252), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7926), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [397872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9955), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9953), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397923] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9707), 1,
      anon_sym_PIPE,
    STATE(7886), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13779), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17147), 1,
      sym_tag_specification,
    STATE(18956), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7976), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [398071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7844), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7842), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9446), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [398173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9418), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [398224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7948), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398275] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9859), 1,
      sym__identifier,
    ACTIONS(9861), 1,
      anon_sym_QMARK,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7892), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10433), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16354), 1,
      sym__tuple_type,
    STATE(17243), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(10487), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [398368] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9957), 1,
      anon_sym_RBRACK,
    STATE(7893), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14977), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7641), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [398516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9436), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [398567] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9959), 1,
      anon_sym_PIPE,
    STATE(7896), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(16582), 1,
      sym_tag_specification,
    STATE(19086), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398664] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    STATE(7897), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14457), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7984), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [398812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8060), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [398863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9432), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [398914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8064), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [398965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9454), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [399016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9965), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9963), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7988), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [399118] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(5277), 1,
      anon_sym_type,
    ACTIONS(9967), 1,
      sym__identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    STATE(7905), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10294), 1,
      sym__simple_type,
    STATE(10329), 1,
      sym_type_variable,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12048), 1,
      sym__type,
    STATE(12398), 1,
      sym__polymorphic_type,
    STATE(12471), 1,
      sym_polymorphic_type,
    STATE(14674), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(17489), 1,
      sym_typed_label,
    STATE(19037), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10666), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [399217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7992), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [399268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9458), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [399319] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9987), 1,
      anon_sym_PIPE,
    STATE(7908), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16310), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19337), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399416] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9989), 1,
      anon_sym_RBRACK,
    STATE(7909), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15563), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399513] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9991), 1,
      anon_sym_PIPE,
    STATE(7910), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14305), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399610] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9693), 1,
      sym__identifier,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9697), 1,
      anon_sym_QMARK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7911), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10433), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16254), 1,
      sym_extended_module_path,
    STATE(16874), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9931), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [399703] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(9993), 1,
      anon_sym_RBRACK,
    STATE(7912), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15364), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7952), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9997), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9995), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7956), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [399953] = 26,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9693), 1,
      sym__identifier,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(9697), 1,
      anon_sym_QMARK,
    ACTIONS(9699), 1,
      anon_sym_LBRACK,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7916), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10445), 1,
      sym__class_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16254), 1,
      sym_extended_module_path,
    STATE(16874), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9931), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(10405), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(9736), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(11898), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [400046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9444), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400097] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6687), 1,
      sym__identifier,
    ACTIONS(9913), 1,
      anon_sym_LPAREN,
    ACTIONS(9917), 1,
      anon_sym_LBRACE,
    ACTIONS(9919), 1,
      anon_sym_begin,
    ACTIONS(9921), 1,
      aux_sym_number_token1,
    ACTIONS(9923), 1,
      anon_sym_SQUOTE,
    ACTIONS(9925), 1,
      anon_sym_DQUOTE,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    STATE(7918), 1,
      sym_attribute,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(12010), 1,
      sym_module_path,
    STATE(12291), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12383), 2,
      sym__constant,
      sym_value_path,
    STATE(12074), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(9909), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(9911), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [400176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8058), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8062), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10001), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9999), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7972), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7970), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7667), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7960), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9506), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9504), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10005), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10003), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10009), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10007), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7996), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [400686] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(10011), 1,
      anon_sym_PIPE,
    STATE(7929), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16391), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19356), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400783] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(10013), 1,
      anon_sym_PIPE,
    STATE(7930), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14358), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400931] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9731), 1,
      anon_sym_DOT,
    ACTIONS(9803), 1,
      anon_sym_POUND,
    ACTIONS(9805), 1,
      sym_hash_operator,
    STATE(7932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7824), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7822), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [400988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7964), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8006), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10015), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401141] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(10019), 1,
      anon_sym_PIPE,
    STATE(7936), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(16496), 1,
      sym_tag_specification,
    STATE(19372), 1,
      sym__tag_spec,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401238] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(10021), 1,
      anon_sym_PIPE,
    STATE(7937), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14415), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7673), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401386] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(10023), 1,
      anon_sym_RBRACK,
    STATE(7939), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16197), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7828), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(7826), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8928), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8926), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401585] = 28,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(10025), 1,
      anon_sym_RBRACK,
    STATE(7942), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15197), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [401733] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7944), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14555), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10001), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9999), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10005), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10003), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401927] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(7947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401981] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7948), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15392), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402075] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7949), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15079), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402169] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7950), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15370), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402263] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7951), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14501), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402357] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(7952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402419] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(7953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10009), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10007), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402531] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    ACTIONS(10041), 1,
      sym_rel_operator,
    ACTIONS(10043), 1,
      sym_and_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402597] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7956), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16131), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10047), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10045), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402741] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7958), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14471), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10051), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10055), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10053), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402985] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7962), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14861), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9955), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9953), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403129] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7964), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15178), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9771), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9769), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403273] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7966), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16124), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10015), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403417] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    ACTIONS(10041), 1,
      sym_rel_operator,
    ACTIONS(10043), 1,
      sym_and_operator,
    ACTIONS(10061), 1,
      sym_or_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403485] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    ACTIONS(10041), 1,
      sym_rel_operator,
    ACTIONS(10043), 1,
      sym_and_operator,
    ACTIONS(10061), 1,
      sym_or_operator,
    ACTIONS(10063), 1,
      anon_sym_COMMA,
    ACTIONS(10065), 1,
      sym_assign_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9997), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9995), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10037), 1,
      sym_mult_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9817), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9815), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9883), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9881), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403763] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7974), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15306), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403857] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7975), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14294), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9873), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9871), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [404001] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7977), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15599), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404095] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7978), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15825), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404189] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7979), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14608), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404283] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8687), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8685), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [404333] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7981), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15197), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404427] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(7982), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15312), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404521] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404589] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404649] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      sym_pow_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [404755] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      sym_pow_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404809] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    ACTIONS(10041), 1,
      sym_rel_operator,
    ACTIONS(10043), 1,
      sym_and_operator,
    ACTIONS(10061), 1,
      sym_or_operator,
    ACTIONS(10063), 1,
      anon_sym_COMMA,
    ACTIONS(10065), 1,
      sym_assign_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(7988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404881] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404943] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405005] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405071] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9883), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9881), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [405189] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10093), 1,
      anon_sym_COMMA,
    ACTIONS(10095), 1,
      sym_assign_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405261] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7946), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [405367] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10093), 1,
      anon_sym_COMMA,
    ACTIONS(10095), 1,
      sym_assign_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405439] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10101), 1,
      anon_sym_else,
    STATE(7998), 1,
      sym_attribute,
    STATE(8059), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405493] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10093), 1,
      anon_sym_COMMA,
    ACTIONS(10095), 1,
      sym_assign_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(7999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405565] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8000), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15619), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405659] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8001), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14513), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405753] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_else,
    STATE(8002), 1,
      sym_attribute,
    STATE(8059), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405807] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10113), 1,
      anon_sym_PIPE,
    STATE(8003), 1,
      sym_attribute,
    STATE(8007), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8902), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8900), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [405911] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    ACTIONS(10041), 1,
      sym_rel_operator,
    ACTIONS(10043), 1,
      sym_and_operator,
    ACTIONS(10061), 1,
      sym_or_operator,
    ACTIONS(10063), 1,
      anon_sym_COMMA,
    ACTIONS(10065), 1,
      sym_assign_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405983] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10113), 1,
      anon_sym_PIPE,
    STATE(8006), 1,
      sym_attribute,
    STATE(8007), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406037] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10119), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8007), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406089] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2149), 1,
      sym_add_operator,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406141] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10101), 1,
      anon_sym_else,
    STATE(8009), 1,
      sym_attribute,
    STATE(8016), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406195] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    ACTIONS(10041), 1,
      sym_rel_operator,
    ACTIONS(10043), 1,
      sym_and_operator,
    ACTIONS(10061), 1,
      sym_or_operator,
    ACTIONS(10063), 1,
      anon_sym_COMMA,
    ACTIONS(10065), 1,
      sym_assign_operator,
    ACTIONS(10130), 1,
      anon_sym_SEMI,
    STATE(1933), 1,
      sym_add_operator,
    STATE(8010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10132), 1,
      anon_sym_else,
    STATE(8011), 1,
      sym_attribute,
    STATE(8016), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406323] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8012), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15364), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406417] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8013), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14558), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7954), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [406561] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8015), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15470), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9997), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9995), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406705] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10093), 1,
      anon_sym_COMMA,
    ACTIONS(10095), 1,
      sym_assign_operator,
    ACTIONS(10134), 1,
      anon_sym_SEMI,
    STATE(2149), 1,
      sym_add_operator,
    STATE(8017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406779] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8018), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15084), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406873] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10113), 1,
      anon_sym_PIPE,
    STATE(8003), 1,
      aux_sym__match_cases_repeat1,
    STATE(8019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406927] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    STATE(8020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10140), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [406979] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10113), 1,
      anon_sym_PIPE,
    STATE(8006), 1,
      aux_sym__match_cases_repeat1,
    STATE(8021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [407033] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10071), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10073), 1,
      sym_pow_operator,
    ACTIONS(10075), 1,
      sym_mult_operator,
    ACTIONS(10077), 1,
      sym_concat_operator,
    ACTIONS(10079), 1,
      sym_rel_operator,
    ACTIONS(10081), 1,
      sym_and_operator,
    ACTIONS(10083), 1,
      sym_or_operator,
    ACTIONS(10093), 1,
      anon_sym_COMMA,
    ACTIONS(10095), 1,
      sym_assign_operator,
    STATE(2149), 1,
      sym_add_operator,
    STATE(8022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10148), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [407105] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(8023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7936), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [407157] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8024), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15234), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7972), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [407301] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8026), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15725), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9889), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9887), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407445] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8028), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14656), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407539] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    ACTIONS(10041), 1,
      sym_rel_operator,
    ACTIONS(10043), 1,
      sym_and_operator,
    ACTIONS(10061), 1,
      sym_or_operator,
    ACTIONS(10063), 1,
      anon_sym_COMMA,
    ACTIONS(10065), 1,
      sym_assign_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(8029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10148), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [407611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9965), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9963), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [407661] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8031), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15762), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9813), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9811), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9869), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9867), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10001), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9999), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407905] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8035), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16197), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407999] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8036), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14803), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408093] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8037), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14968), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9955), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9953), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408237] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10150), 1,
      anon_sym_else,
    STATE(8039), 1,
      sym_attribute,
    STATE(8059), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408291] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8040), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14977), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10047), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10045), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10150), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408489] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1933), 1,
      sym_add_operator,
    STATE(8043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9839), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9837), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408591] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10107), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3095), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3093), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9745), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9743), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8916), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408795] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8049), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15327), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408889] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8050), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14203), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408983] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8051), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15588), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409077] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8052), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15910), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409171] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8053), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14721), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10005), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10003), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409315] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8055), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15996), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409409] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8056), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14746), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409503] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8057), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14247), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9889), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9887), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [409647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9825), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9823), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [409697] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8060), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15681), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409791] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10152), 1,
      anon_sym_PIPE,
    STATE(8061), 1,
      sym_attribute,
    STATE(8063), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [409845] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10152), 1,
      anon_sym_PIPE,
    STATE(8062), 1,
      sym_attribute,
    STATE(8063), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [409899] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10154), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8063), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [409951] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8064), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14920), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410045] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8065), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14254), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410139] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8066), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15954), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410233] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8067), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15033), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410327] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10152), 1,
      anon_sym_PIPE,
    STATE(8061), 1,
      aux_sym__match_cases_repeat1,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [410381] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8069), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14637), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410475] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10152), 1,
      anon_sym_PIPE,
    STATE(8062), 1,
      aux_sym__match_cases_repeat1,
    STATE(8070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [410529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8906), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8904), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [410579] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8072), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15063), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410673] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    ACTIONS(10039), 1,
      sym_concat_operator,
    ACTIONS(10041), 1,
      sym_rel_operator,
    ACTIONS(10043), 1,
      sym_and_operator,
    ACTIONS(10061), 1,
      sym_or_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(8073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [410741] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8074), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14474), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410835] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8075), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14913), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9833), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9831), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [410979] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8077), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14439), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10009), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10007), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9965), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9963), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411173] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8080), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15563), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9813), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9811), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411317] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8082), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15242), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411411] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8083), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14310), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411505] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8084), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15048), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411599] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8085), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15626), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9817), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9815), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411743] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8087), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16128), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10015), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411887] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8089), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14773), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9853), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9851), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9869), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9867), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412081] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8092), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15354), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9829), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9827), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9877), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9875), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [412275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9745), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412325] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8096), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15174), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9825), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9823), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [412469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9829), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9827), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [412519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9873), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9871), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [412569] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8100), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(15963), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412663] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8101), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16154), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9771), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9769), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [412807] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8103), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16006), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412901] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8104), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14364), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10051), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413045] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8106), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14737), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413139] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8107), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16125), 1,
      sym__tag_spec,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10055), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10053), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3095), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3093), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9839), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9837), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9877), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9875), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9833), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9831), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413533] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8114), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14887), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413627] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8115), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14421), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413721] = 27,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(8116), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14084), 1,
      sym__type,
    STATE(14178), 1,
      sym_tag,
    STATE(14918), 1,
      sym__tag_spec,
    STATE(15135), 1,
      sym_tag_specification,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413815] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    ACTIONS(10033), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10037), 1,
      sym_mult_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413875] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10132), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413929] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10031), 1,
      sym_pow_operator,
    STATE(1933), 1,
      sym_add_operator,
    STATE(8119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9853), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9851), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [414033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7996), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [414083] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414136] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_COMMA,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    ACTIONS(10169), 1,
      sym_rel_operator,
    ACTIONS(10171), 1,
      sym_and_operator,
    ACTIONS(10173), 1,
      sym_or_operator,
    ACTIONS(10175), 1,
      sym_assign_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414207] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10177), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414260] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    STATE(8125), 1,
      sym_attribute,
    STATE(8129), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414313] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10181), 1,
      anon_sym_COMMA,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    ACTIONS(10191), 1,
      sym_rel_operator,
    ACTIONS(10193), 1,
      sym_and_operator,
    ACTIONS(10195), 1,
      sym_or_operator,
    ACTIONS(10197), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414384] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    STATE(8127), 1,
      sym_attribute,
    STATE(8129), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10199), 1,
      anon_sym_COLON,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8176), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [414488] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10201), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8129), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414539] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    ACTIONS(10210), 1,
      sym_rel_operator,
    ACTIONS(10212), 1,
      sym_and_operator,
    ACTIONS(10214), 1,
      sym_or_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414606] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414667] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10216), 1,
      anon_sym_PIPE,
    STATE(8132), 1,
      sym_attribute,
    STATE(8154), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414720] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10216), 1,
      anon_sym_PIPE,
    STATE(8132), 1,
      aux_sym__match_cases_repeat1,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414773] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      sym_pow_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414826] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    STATE(8125), 1,
      aux_sym__match_cases_repeat1,
    STATE(8135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414879] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414938] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10216), 1,
      anon_sym_PIPE,
    STATE(8137), 1,
      sym_attribute,
    STATE(8154), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414991] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      sym_pow_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415044] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10179), 1,
      anon_sym_PIPE,
    STATE(8127), 1,
      aux_sym__match_cases_repeat1,
    STATE(8139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415097] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    ACTIONS(10191), 1,
      sym_rel_operator,
    ACTIONS(10193), 1,
      sym_and_operator,
    ACTIONS(10195), 1,
      sym_or_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415164] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    ACTIONS(10210), 1,
      sym_rel_operator,
    ACTIONS(10212), 1,
      sym_and_operator,
    ACTIONS(10214), 1,
      sym_or_operator,
    ACTIONS(10218), 1,
      anon_sym_COMMA,
    ACTIONS(10220), 1,
      sym_assign_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415235] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10181), 1,
      anon_sym_COMMA,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    ACTIONS(10191), 1,
      sym_rel_operator,
    ACTIONS(10193), 1,
      sym_and_operator,
    ACTIONS(10195), 1,
      sym_or_operator,
    ACTIONS(10197), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10148), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415306] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415359] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10181), 1,
      anon_sym_COMMA,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    ACTIONS(10191), 1,
      sym_rel_operator,
    ACTIONS(10193), 1,
      sym_and_operator,
    ACTIONS(10195), 1,
      sym_or_operator,
    ACTIONS(10197), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415430] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10216), 1,
      anon_sym_PIPE,
    STATE(8137), 1,
      aux_sym__match_cases_repeat1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415483] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    STATE(8146), 1,
      sym_attribute,
    STATE(8152), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415536] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10226), 1,
      anon_sym_COMMA,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    ACTIONS(10236), 1,
      sym_rel_operator,
    ACTIONS(10238), 1,
      sym_and_operator,
    ACTIONS(10240), 1,
      sym_or_operator,
    ACTIONS(10242), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10148), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10244), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [415656] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    ACTIONS(10236), 1,
      sym_rel_operator,
    ACTIONS(10238), 1,
      sym_and_operator,
    ACTIONS(10240), 1,
      sym_or_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415723] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    ACTIONS(10248), 1,
      anon_sym_module,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    STATE(8150), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14096), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415814] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    STATE(8151), 1,
      sym_attribute,
    STATE(8152), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415867] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10252), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8152), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415918] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [415977] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10255), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8154), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416028] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416079] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      sym_pow_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416132] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10258), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416185] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416246] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    ACTIONS(10210), 1,
      sym_rel_operator,
    ACTIONS(10212), 1,
      sym_and_operator,
    ACTIONS(10214), 1,
      sym_or_operator,
    ACTIONS(10218), 1,
      anon_sym_COMMA,
    ACTIONS(10220), 1,
      sym_assign_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416317] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    ACTIONS(10210), 1,
      sym_rel_operator,
    ACTIONS(10212), 1,
      sym_and_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416382] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(9596), 1,
      anon_sym_RPAREN,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10260), 1,
      anon_sym_module,
    STATE(8161), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14080), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416473] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10177), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416526] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      sym_pow_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416579] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    STATE(8164), 1,
      sym_attribute,
    STATE(8168), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416632] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416693] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416754] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    STATE(8167), 1,
      sym_attribute,
    STATE(8168), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416807] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10264), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8168), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416858] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    ACTIONS(10236), 1,
      sym_rel_operator,
    ACTIONS(10238), 1,
      sym_and_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10206), 1,
      sym_mult_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416978] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    ACTIONS(10236), 1,
      sym_rel_operator,
    ACTIONS(10238), 1,
      sym_and_operator,
    ACTIONS(10240), 1,
      sym_or_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417045] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    ACTIONS(10210), 1,
      sym_rel_operator,
    ACTIONS(10212), 1,
      sym_and_operator,
    ACTIONS(10214), 1,
      sym_or_operator,
    ACTIONS(10218), 1,
      anon_sym_COMMA,
    ACTIONS(10220), 1,
      sym_assign_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417116] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10226), 1,
      anon_sym_COMMA,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    ACTIONS(10236), 1,
      sym_rel_operator,
    ACTIONS(10238), 1,
      sym_and_operator,
    ACTIONS(10240), 1,
      sym_or_operator,
    ACTIONS(10242), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417187] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417238] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417293] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10267), 1,
      anon_sym_module,
    STATE(8176), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13930), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417384] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10258), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417437] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10269), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417490] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10226), 1,
      anon_sym_COMMA,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    ACTIONS(10236), 1,
      sym_rel_operator,
    ACTIONS(10238), 1,
      sym_and_operator,
    ACTIONS(10240), 1,
      sym_or_operator,
    ACTIONS(10242), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417561] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417612] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417671] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417726] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    STATE(8164), 1,
      aux_sym__match_cases_repeat1,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417779] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10226), 1,
      anon_sym_COMMA,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    ACTIONS(10236), 1,
      sym_rel_operator,
    ACTIONS(10238), 1,
      sym_and_operator,
    ACTIONS(10240), 1,
      sym_or_operator,
    ACTIONS(10242), 1,
      sym_assign_operator,
    ACTIONS(10271), 1,
      anon_sym_SEMI,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417852] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417905] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    STATE(8167), 1,
      aux_sym__match_cases_repeat1,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417958] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    STATE(8146), 1,
      aux_sym__match_cases_repeat1,
    STATE(8187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418011] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418062] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10269), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10142), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10140), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [418164] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    STATE(8151), 1,
      aux_sym__match_cases_repeat1,
    STATE(8191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10144), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(10273), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
  [418266] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418327] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    ACTIONS(10191), 1,
      sym_rel_operator,
    ACTIONS(10193), 1,
      sym_and_operator,
    ACTIONS(10195), 1,
      sym_or_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418394] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    ACTIONS(10210), 1,
      sym_rel_operator,
    ACTIONS(10212), 1,
      sym_and_operator,
    ACTIONS(10214), 1,
      sym_or_operator,
    ACTIONS(10218), 1,
      anon_sym_COMMA,
    ACTIONS(10220), 1,
      sym_assign_operator,
    ACTIONS(10275), 1,
      anon_sym_SEMI,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418467] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418520] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_COMMA,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    ACTIONS(10169), 1,
      sym_rel_operator,
    ACTIONS(10171), 1,
      sym_and_operator,
    ACTIONS(10173), 1,
      sym_or_operator,
    ACTIONS(10175), 1,
      sym_assign_operator,
    ACTIONS(10277), 1,
      anon_sym_SEMI,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418593] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    ACTIONS(10191), 1,
      sym_rel_operator,
    ACTIONS(10193), 1,
      sym_and_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418658] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    ACTIONS(10210), 1,
      sym_rel_operator,
    ACTIONS(10212), 1,
      sym_and_operator,
    ACTIONS(10214), 1,
      sym_or_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418725] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418786] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10181), 1,
      anon_sym_COMMA,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    ACTIONS(10191), 1,
      sym_rel_operator,
    ACTIONS(10193), 1,
      sym_and_operator,
    ACTIONS(10195), 1,
      sym_or_operator,
    ACTIONS(10197), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418857] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10181), 1,
      anon_sym_COMMA,
    ACTIONS(10183), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10185), 1,
      sym_pow_operator,
    ACTIONS(10187), 1,
      sym_mult_operator,
    ACTIONS(10189), 1,
      sym_concat_operator,
    ACTIONS(10191), 1,
      sym_rel_operator,
    ACTIONS(10193), 1,
      sym_and_operator,
    ACTIONS(10195), 1,
      sym_or_operator,
    ACTIONS(10197), 1,
      sym_assign_operator,
    ACTIONS(10279), 1,
      anon_sym_SEMI,
    STATE(2133), 1,
      sym_add_operator,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418930] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    ACTIONS(10169), 1,
      sym_rel_operator,
    ACTIONS(10171), 1,
      sym_and_operator,
    ACTIONS(10173), 1,
      sym_or_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418997] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419056] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10163), 1,
      sym_pow_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419109] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10163), 1,
      sym_pow_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419162] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419223] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419284] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(9644), 1,
      anon_sym_RPAREN,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10281), 1,
      anon_sym_module,
    STATE(8209), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14083), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419375] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    ACTIONS(10169), 1,
      sym_rel_operator,
    ACTIONS(10171), 1,
      sym_and_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419440] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    ACTIONS(10169), 1,
      sym_rel_operator,
    ACTIONS(10171), 1,
      sym_and_operator,
    ACTIONS(10173), 1,
      sym_or_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419507] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_COMMA,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    ACTIONS(10169), 1,
      sym_rel_operator,
    ACTIONS(10171), 1,
      sym_and_operator,
    ACTIONS(10173), 1,
      sym_or_operator,
    ACTIONS(10175), 1,
      sym_assign_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419578] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419633] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_COMMA,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    ACTIONS(10169), 1,
      sym_rel_operator,
    ACTIONS(10171), 1,
      sym_and_operator,
    ACTIONS(10173), 1,
      sym_or_operator,
    ACTIONS(10175), 1,
      sym_assign_operator,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419704] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10226), 1,
      anon_sym_COMMA,
    ACTIONS(10228), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_pow_operator,
    ACTIONS(10232), 1,
      sym_mult_operator,
    ACTIONS(10234), 1,
      sym_concat_operator,
    ACTIONS(10236), 1,
      sym_rel_operator,
    ACTIONS(10238), 1,
      sym_and_operator,
    ACTIONS(10240), 1,
      sym_or_operator,
    ACTIONS(10242), 1,
      sym_assign_operator,
    STATE(2185), 1,
      sym_add_operator,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419775] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    ACTIONS(10291), 1,
      sym_rel_operator,
    ACTIONS(10293), 1,
      sym_and_operator,
    ACTIONS(10295), 1,
      sym_or_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419841] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(581), 1,
      aux_sym_directive_token1,
    ACTIONS(809), 1,
      anon_sym_end,
    ACTIONS(10297), 1,
      anon_sym_let,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10301), 1,
      anon_sym_type,
    ACTIONS(10303), 1,
      anon_sym_exception,
    ACTIONS(10305), 1,
      anon_sym_module,
    ACTIONS(10307), 1,
      anon_sym_open,
    ACTIONS(10309), 1,
      anon_sym_include,
    ACTIONS(10311), 1,
      anon_sym_class,
    ACTIONS(10313), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(7875), 1,
      sym_directive,
    STATE(8217), 1,
      sym_attribute,
    STATE(8240), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [419925] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10315), 1,
      anon_sym_PIPE,
    STATE(8218), 1,
      sym_attribute,
    STATE(8222), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [420025] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10315), 1,
      anon_sym_PIPE,
    STATE(8220), 1,
      sym_attribute,
    STATE(8222), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420077] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10317), 1,
      anon_sym_PIPE,
    STATE(8221), 1,
      sym_attribute,
    STATE(8264), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420129] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10319), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8222), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420179] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    ACTIONS(10291), 1,
      sym_rel_operator,
    ACTIONS(10293), 1,
      sym_and_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420243] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420303] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    ACTIONS(10291), 1,
      sym_rel_operator,
    ACTIONS(10293), 1,
      sym_and_operator,
    ACTIONS(10295), 1,
      sym_or_operator,
    ACTIONS(10322), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      sym_assign_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420373] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7936), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [420423] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10326), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8227), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420473] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420525] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    ACTIONS(10337), 1,
      sym_rel_operator,
    ACTIONS(10339), 1,
      sym_and_operator,
    ACTIONS(10341), 1,
      sym_or_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420591] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    ACTIONS(10291), 1,
      sym_rel_operator,
    ACTIONS(10293), 1,
      sym_and_operator,
    ACTIONS(10295), 1,
      sym_or_operator,
    ACTIONS(10322), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      sym_assign_operator,
    ACTIONS(10343), 1,
      anon_sym_SEMI,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420663] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    ACTIONS(10291), 1,
      sym_rel_operator,
    ACTIONS(10293), 1,
      sym_and_operator,
    ACTIONS(10295), 1,
      sym_or_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420729] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(581), 1,
      aux_sym_directive_token1,
    ACTIONS(743), 1,
      anon_sym_end,
    ACTIONS(10297), 1,
      anon_sym_let,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10301), 1,
      anon_sym_type,
    ACTIONS(10303), 1,
      anon_sym_exception,
    ACTIONS(10305), 1,
      anon_sym_module,
    ACTIONS(10307), 1,
      anon_sym_open,
    ACTIONS(10309), 1,
      anon_sym_include,
    ACTIONS(10311), 1,
      anon_sym_class,
    ACTIONS(10313), 1,
      sym_let_operator,
    STATE(103), 1,
      aux_sym__structure_repeat1,
    STATE(7875), 1,
      sym_directive,
    STATE(8232), 1,
      sym_attribute,
    STATE(8240), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [420813] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    ACTIONS(10337), 1,
      sym_rel_operator,
    ACTIONS(10339), 1,
      sym_and_operator,
    ACTIONS(10341), 1,
      sym_or_operator,
    ACTIONS(10345), 1,
      anon_sym_COMMA,
    ACTIONS(10347), 1,
      sym_assign_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [420883] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(745), 1,
      anon_sym_RBRACK,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10307), 1,
      anon_sym_open,
    ACTIONS(10309), 1,
      anon_sym_include,
    ACTIONS(10349), 1,
      anon_sym_let,
    ACTIONS(10351), 1,
      anon_sym_type,
    ACTIONS(10353), 1,
      anon_sym_exception,
    ACTIONS(10355), 1,
      anon_sym_module,
    ACTIONS(10357), 1,
      anon_sym_class,
    ACTIONS(10359), 1,
      sym_let_operator,
    STATE(98), 1,
      aux_sym__structure_repeat1,
    STATE(7918), 1,
      sym_directive,
    STATE(8234), 1,
      sym_attribute,
    STATE(8249), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [420967] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421021] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10157), 1,
      sym_pow_operator,
    ACTIONS(10204), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_mult_operator,
    ACTIONS(10208), 1,
      sym_concat_operator,
    ACTIONS(10210), 1,
      sym_rel_operator,
    ACTIONS(10212), 1,
      sym_and_operator,
    ACTIONS(10214), 1,
      sym_or_operator,
    ACTIONS(10218), 1,
      anon_sym_COMMA,
    ACTIONS(10220), 1,
      sym_assign_operator,
    ACTIONS(10361), 1,
      anon_sym_SEMI,
    STATE(1831), 1,
      sym_add_operator,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421093] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [421193] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421253] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10366), 1,
      anon_sym_let,
    ACTIONS(10369), 1,
      anon_sym_external,
    ACTIONS(10372), 1,
      anon_sym_type,
    ACTIONS(10375), 1,
      anon_sym_exception,
    ACTIONS(10378), 1,
      anon_sym_module,
    ACTIONS(10381), 1,
      anon_sym_open,
    ACTIONS(10384), 1,
      anon_sym_include,
    ACTIONS(10387), 1,
      anon_sym_class,
    ACTIONS(10390), 1,
      anon_sym_end,
    ACTIONS(10392), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10395), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10398), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10401), 1,
      sym_let_operator,
    ACTIONS(10404), 1,
      aux_sym_directive_token1,
    STATE(108), 1,
      aux_sym__structure_repeat1,
    STATE(7875), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8240), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [421335] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    ACTIONS(10291), 1,
      sym_rel_operator,
    ACTIONS(10293), 1,
      sym_and_operator,
    ACTIONS(10295), 1,
      sym_or_operator,
    ACTIONS(10322), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      sym_assign_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421405] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    ACTIONS(10337), 1,
      sym_rel_operator,
    ACTIONS(10339), 1,
      sym_and_operator,
    ACTIONS(10341), 1,
      sym_or_operator,
    ACTIONS(10345), 1,
      anon_sym_COMMA,
    ACTIONS(10347), 1,
      sym_assign_operator,
    ACTIONS(10407), 1,
      anon_sym_SEMI,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421477] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(581), 1,
      aux_sym_directive_token1,
    ACTIONS(745), 1,
      anon_sym_end,
    ACTIONS(10297), 1,
      anon_sym_let,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10301), 1,
      anon_sym_type,
    ACTIONS(10303), 1,
      anon_sym_exception,
    ACTIONS(10305), 1,
      anon_sym_module,
    ACTIONS(10307), 1,
      anon_sym_open,
    ACTIONS(10309), 1,
      anon_sym_include,
    ACTIONS(10311), 1,
      anon_sym_class,
    ACTIONS(10313), 1,
      sym_let_operator,
    STATE(102), 1,
      aux_sym__structure_repeat1,
    STATE(7875), 1,
      sym_directive,
    STATE(8232), 1,
      aux_sym__structure_repeat2,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [421561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9400), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [421609] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    ACTIONS(10337), 1,
      sym_rel_operator,
    ACTIONS(10339), 1,
      sym_and_operator,
    ACTIONS(10341), 1,
      sym_or_operator,
    ACTIONS(10345), 1,
      anon_sym_COMMA,
    ACTIONS(10347), 1,
      sym_assign_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421679] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [421729] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10363), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10369), 1,
      anon_sym_external,
    ACTIONS(10381), 1,
      anon_sym_open,
    ACTIONS(10384), 1,
      anon_sym_include,
    ACTIONS(10390), 1,
      anon_sym_RBRACK,
    ACTIONS(10392), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10395), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10398), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10409), 1,
      anon_sym_let,
    ACTIONS(10412), 1,
      anon_sym_type,
    ACTIONS(10415), 1,
      anon_sym_exception,
    ACTIONS(10418), 1,
      anon_sym_module,
    ACTIONS(10421), 1,
      anon_sym_class,
    ACTIONS(10424), 1,
      sym_let_operator,
    ACTIONS(10427), 1,
      aux_sym_directive_token1,
    STATE(107), 1,
      aux_sym__structure_repeat1,
    STATE(7918), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8247), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [421811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [421859] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(743), 1,
      anon_sym_RBRACK,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10307), 1,
      anon_sym_open,
    ACTIONS(10309), 1,
      anon_sym_include,
    ACTIONS(10349), 1,
      anon_sym_let,
    ACTIONS(10351), 1,
      anon_sym_type,
    ACTIONS(10353), 1,
      anon_sym_exception,
    ACTIONS(10355), 1,
      anon_sym_module,
    ACTIONS(10357), 1,
      anon_sym_class,
    ACTIONS(10359), 1,
      sym_let_operator,
    STATE(106), 1,
      aux_sym__structure_repeat1,
    STATE(7918), 1,
      sym_directive,
    STATE(8247), 1,
      aux_sym__structure_repeat2,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [421943] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422001] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10317), 1,
      anon_sym_PIPE,
    STATE(8227), 1,
      aux_sym__match_cases_repeat1,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422053] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    ACTIONS(10337), 1,
      sym_rel_operator,
    ACTIONS(10339), 1,
      sym_and_operator,
    ACTIONS(10341), 1,
      sym_or_operator,
    ACTIONS(10345), 1,
      anon_sym_COMMA,
    ACTIONS(10347), 1,
      sym_assign_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422123] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(743), 1,
      anon_sym_RBRACK,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10307), 1,
      anon_sym_open,
    ACTIONS(10309), 1,
      anon_sym_include,
    ACTIONS(10349), 1,
      anon_sym_let,
    ACTIONS(10351), 1,
      anon_sym_type,
    ACTIONS(10353), 1,
      anon_sym_exception,
    ACTIONS(10355), 1,
      anon_sym_module,
    ACTIONS(10357), 1,
      anon_sym_class,
    ACTIONS(10359), 1,
      sym_let_operator,
    STATE(106), 1,
      aux_sym__structure_repeat1,
    STATE(7918), 1,
      sym_directive,
    STATE(8253), 1,
      sym_attribute,
    STATE(8260), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [422207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8024), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(8022), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [422255] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [422363] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10317), 1,
      anon_sym_PIPE,
    STATE(8251), 1,
      aux_sym__match_cases_repeat1,
    STATE(8257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422415] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7936), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [422465] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(519), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(581), 1,
      aux_sym_directive_token1,
    ACTIONS(743), 1,
      anon_sym_end,
    ACTIONS(10297), 1,
      anon_sym_let,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10301), 1,
      anon_sym_type,
    ACTIONS(10303), 1,
      anon_sym_exception,
    ACTIONS(10305), 1,
      anon_sym_module,
    ACTIONS(10307), 1,
      anon_sym_open,
    ACTIONS(10309), 1,
      anon_sym_include,
    ACTIONS(10311), 1,
      anon_sym_class,
    ACTIONS(10313), 1,
      sym_let_operator,
    STATE(103), 1,
      aux_sym__structure_repeat1,
    STATE(7875), 1,
      sym_directive,
    STATE(8217), 1,
      aux_sym__structure_repeat2,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [422549] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(125), 1,
      aux_sym_directive_token1,
    ACTIONS(809), 1,
      anon_sym_RBRACK,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10307), 1,
      anon_sym_open,
    ACTIONS(10309), 1,
      anon_sym_include,
    ACTIONS(10349), 1,
      anon_sym_let,
    ACTIONS(10351), 1,
      anon_sym_type,
    ACTIONS(10353), 1,
      anon_sym_exception,
    ACTIONS(10355), 1,
      anon_sym_module,
    ACTIONS(10357), 1,
      anon_sym_class,
    ACTIONS(10359), 1,
      sym_let_operator,
    STATE(100), 1,
      aux_sym__structure_repeat1,
    STATE(7918), 1,
      sym_directive,
    STATE(8247), 1,
      aux_sym__structure_repeat2,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12131), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12162), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [422633] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    ACTIONS(10291), 1,
      sym_rel_operator,
    ACTIONS(10293), 1,
      sym_and_operator,
    ACTIONS(10295), 1,
      sym_or_operator,
    ACTIONS(10322), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      sym_assign_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422703] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10333), 1,
      sym_mult_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422757] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10159), 1,
      anon_sym_COMMA,
    ACTIONS(10161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10163), 1,
      sym_pow_operator,
    ACTIONS(10165), 1,
      sym_mult_operator,
    ACTIONS(10167), 1,
      sym_concat_operator,
    ACTIONS(10169), 1,
      sym_rel_operator,
    ACTIONS(10171), 1,
      sym_and_operator,
    ACTIONS(10173), 1,
      sym_or_operator,
    ACTIONS(10175), 1,
      sym_assign_operator,
    ACTIONS(10430), 1,
      anon_sym_SEMI,
    STATE(1872), 1,
      sym_add_operator,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8918), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422829] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10317), 1,
      anon_sym_PIPE,
    STATE(8227), 1,
      aux_sym__match_cases_repeat1,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422881] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10285), 1,
      sym_pow_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422933] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10285), 1,
      sym_pow_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [422985] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423045] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423103] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10315), 1,
      anon_sym_PIPE,
    STATE(8220), 1,
      aux_sym__match_cases_repeat1,
    STATE(8270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [423253] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    ACTIONS(10337), 1,
      sym_rel_operator,
    ACTIONS(10339), 1,
      sym_and_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423317] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    ACTIONS(10337), 1,
      sym_rel_operator,
    ACTIONS(10339), 1,
      sym_and_operator,
    ACTIONS(10341), 1,
      sym_or_operator,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423383] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10315), 1,
      anon_sym_PIPE,
    STATE(8218), 1,
      aux_sym__match_cases_repeat1,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423435] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10432), 1,
      anon_sym_module,
    STATE(8275), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13980), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(8276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7936), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [423569] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10267), 1,
      anon_sym_module,
    STATE(8277), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13930), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423654] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10434), 1,
      anon_sym_module,
    STATE(8278), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14140), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423739] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10436), 1,
      anon_sym_module,
    STATE(8279), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14126), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423824] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [423883] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10446), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [423934] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [423993] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      anon_sym_COMMA,
    ACTIONS(10458), 1,
      sym_rel_operator,
    ACTIONS(10460), 1,
      sym_and_operator,
    ACTIONS(10462), 1,
      sym_or_operator,
    ACTIONS(10464), 1,
      sym_assign_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [424062] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10466), 1,
      sym__identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10470), 1,
      anon_sym_private,
    ACTIONS(10472), 1,
      anon_sym_LBRACK,
    ACTIONS(10474), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10476), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10478), 1,
      anon_sym_LT,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10486), 1,
      aux_sym_type_variable_token1,
    STATE(8284), 1,
      sym_attribute,
    STATE(9016), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10162), 1,
      sym__tuple_type,
    STATE(10364), 1,
      sym__type,
    STATE(16629), 1,
      sym_extended_module_path,
    STATE(17293), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9459), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424147] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10248), 1,
      anon_sym_module,
    STATE(8285), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16141), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424232] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10488), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [424283] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9232), 1,
      sym__identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10492), 1,
      anon_sym_private,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    STATE(8287), 1,
      sym_attribute,
    STATE(8850), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10226), 1,
      sym__tuple_type,
    STATE(10607), 1,
      sym__type,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19359), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424368] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10496), 1,
      anon_sym_module,
    STATE(8288), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13997), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424453] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10498), 1,
      anon_sym_module,
    STATE(8289), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14115), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424538] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10498), 1,
      anon_sym_module,
    STATE(8290), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15398), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424623] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10500), 1,
      anon_sym_module,
    STATE(8291), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14092), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424708] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10502), 1,
      anon_sym_module,
    STATE(8292), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14121), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424793] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9192), 1,
      sym__identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10506), 1,
      anon_sym_private,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    STATE(8293), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9528), 1,
      sym__simple_type,
    STATE(10745), 1,
      sym__tuple_type,
    STATE(11246), 1,
      sym__type,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424878] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    ACTIONS(10458), 1,
      sym_rel_operator,
    ACTIONS(10460), 1,
      sym_and_operator,
    ACTIONS(10462), 1,
      sym_or_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [424943] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10510), 1,
      sym__identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10514), 1,
      anon_sym_private,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    STATE(8295), 1,
      sym_attribute,
    STATE(9071), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10158), 1,
      sym__tuple_type,
    STATE(10453), 1,
      sym__type,
    STATE(16573), 1,
      sym_extended_module_path,
    STATE(19540), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9561), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425028] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7936), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [425077] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10532), 1,
      anon_sym_module,
    STATE(8297), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13984), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425162] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7946), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [425209] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [425258] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10434), 1,
      anon_sym_module,
    STATE(8300), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15286), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425343] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(8301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7936), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [425392] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10534), 1,
      anon_sym_module,
    STATE(8302), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14098), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425477] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10536), 1,
      anon_sym_module,
    STATE(8303), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14043), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425562] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10538), 1,
      anon_sym_module,
    STATE(8304), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15768), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425647] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10500), 1,
      anon_sym_module,
    STATE(8305), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15647), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425732] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    ACTIONS(10458), 1,
      sym_rel_operator,
    ACTIONS(10460), 1,
      sym_and_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [425795] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      anon_sym_COMMA,
    ACTIONS(10458), 1,
      sym_rel_operator,
    ACTIONS(10460), 1,
      sym_and_operator,
    ACTIONS(10462), 1,
      sym_or_operator,
    ACTIONS(10464), 1,
      sym_assign_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7996), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [425911] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      anon_sym_COMMA,
    ACTIONS(10458), 1,
      sym_rel_operator,
    ACTIONS(10460), 1,
      sym_and_operator,
    ACTIONS(10462), 1,
      sym_or_operator,
    ACTIONS(10464), 1,
      sym_assign_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10148), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10146), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [425980] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [426031] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10542), 1,
      sym_rel_operator,
    ACTIONS(10544), 1,
      sym_and_operator,
    ACTIONS(10546), 1,
      sym_or_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [426096] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10267), 1,
      anon_sym_module,
    STATE(8312), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15482), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426181] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10542), 1,
      sym_rel_operator,
    ACTIONS(10544), 1,
      sym_and_operator,
    ACTIONS(10546), 1,
      sym_or_operator,
    ACTIONS(10548), 1,
      anon_sym_COMMA,
    ACTIONS(10550), 1,
      sym_assign_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426250] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10532), 1,
      anon_sym_module,
    STATE(8314), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15622), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426335] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10329), 1,
      sym_pow_operator,
    ACTIONS(10331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      sym_mult_operator,
    ACTIONS(10335), 1,
      sym_concat_operator,
    ACTIONS(10337), 1,
      sym_rel_operator,
    ACTIONS(10339), 1,
      sym_and_operator,
    ACTIONS(10341), 1,
      sym_or_operator,
    ACTIONS(10345), 1,
      anon_sym_COMMA,
    ACTIONS(10347), 1,
      sym_assign_operator,
    ACTIONS(10552), 1,
      anon_sym_SEMI,
    STATE(1958), 1,
      sym_add_operator,
    STATE(8315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_PIPE,
    STATE(8316), 1,
      sym_attribute,
    STATE(8335), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [426457] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_PIPE,
    STATE(8317), 1,
      sym_attribute,
    STATE(8335), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [426508] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10556), 1,
      sym__identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10560), 1,
      anon_sym_private,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    STATE(8318), 1,
      sym_attribute,
    STATE(8764), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9744), 1,
      sym__tuple_type,
    STATE(9939), 1,
      sym__type,
    STATE(16645), 1,
      sym_extended_module_path,
    STATE(18332), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8862), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426593] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10446), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [426644] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      anon_sym_COMMA,
    ACTIONS(10458), 1,
      sym_rel_operator,
    ACTIONS(10460), 1,
      sym_and_operator,
    ACTIONS(10462), 1,
      sym_or_operator,
    ACTIONS(10464), 1,
      sym_assign_operator,
    ACTIONS(10578), 1,
      anon_sym_SEMI,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426715] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9260), 1,
      sym__identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10582), 1,
      anon_sym_private,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    STATE(8321), 1,
      sym_attribute,
    STATE(8894), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10152), 1,
      sym__tuple_type,
    STATE(10562), 1,
      sym__type,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(17300), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426800] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7936), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [426849] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10586), 1,
      anon_sym_module,
    STATE(8323), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14101), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426934] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10281), 1,
      anon_sym_module,
    STATE(8324), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14083), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427019] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10436), 1,
      anon_sym_module,
    STATE(8325), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14843), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427104] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10588), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427155] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8327), 1,
      sym_attribute,
    STATE(8773), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10592), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10590), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427212] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10600), 1,
      anon_sym_module,
    STATE(8328), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15869), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7972), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [427344] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10432), 1,
      anon_sym_module,
    STATE(8330), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15696), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427429] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10542), 1,
      sym_rel_operator,
    ACTIONS(10544), 1,
      sym_and_operator,
    ACTIONS(10546), 1,
      sym_or_operator,
    ACTIONS(10548), 1,
      anon_sym_COMMA,
    ACTIONS(10550), 1,
      sym_assign_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10148), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10146), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427498] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427555] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10542), 1,
      sym_rel_operator,
    ACTIONS(10544), 1,
      sym_and_operator,
    ACTIONS(10546), 1,
      sym_or_operator,
    ACTIONS(10548), 1,
      anon_sym_COMMA,
    ACTIONS(10550), 1,
      sym_assign_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427624] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10538), 1,
      anon_sym_module,
    STATE(8334), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14152), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427709] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10602), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8335), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427758] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      sym_pow_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427809] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10542), 1,
      sym_rel_operator,
    ACTIONS(10544), 1,
      sym_and_operator,
    ACTIONS(10546), 1,
      sym_or_operator,
    ACTIONS(10548), 1,
      anon_sym_COMMA,
    ACTIONS(10550), 1,
      sym_assign_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427878] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10502), 1,
      anon_sym_module,
    STATE(8338), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16161), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427963] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    ACTIONS(10458), 1,
      sym_rel_operator,
    ACTIONS(10460), 1,
      sym_and_operator,
    ACTIONS(10462), 1,
      sym_or_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428028] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10605), 1,
      anon_sym_PIPE,
    STATE(8340), 1,
      sym_attribute,
    STATE(8347), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428079] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10607), 1,
      anon_sym_module,
    STATE(8341), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15192), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428164] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    ACTIONS(10456), 1,
      anon_sym_COMMA,
    ACTIONS(10458), 1,
      sym_rel_operator,
    ACTIONS(10460), 1,
      sym_and_operator,
    ACTIONS(10462), 1,
      sym_or_operator,
    ACTIONS(10464), 1,
      sym_assign_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [428233] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428286] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10281), 1,
      anon_sym_module,
    STATE(8344), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16024), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428371] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10609), 1,
      anon_sym_module,
    STATE(8345), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16133), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428456] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10605), 1,
      anon_sym_PIPE,
    STATE(8346), 1,
      sym_attribute,
    STATE(8347), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428507] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10611), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8347), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428556] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7954), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [428603] = 24,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10614), 1,
      anon_sym_AMP,
    STATE(8349), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13477), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428688] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10600), 1,
      anon_sym_module,
    STATE(8350), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13961), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428773] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10586), 1,
      anon_sym_module,
    STATE(8351), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15064), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428858] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10260), 1,
      anon_sym_module,
    STATE(8352), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14080), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428943] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429002] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10588), 1,
      anon_sym_else,
    STATE(8059), 1,
      sym_else_clause,
    STATE(8354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429053] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429110] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10616), 1,
      anon_sym_module,
    STATE(8356), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15088), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429195] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8357), 1,
      sym_attribute,
    STATE(8773), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10620), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10618), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429252] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429305] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10496), 1,
      anon_sym_module,
    STATE(8359), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15625), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429390] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10622), 1,
      anon_sym_module,
    STATE(8360), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13991), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429475] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429526] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10440), 1,
      sym_pow_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429577] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_PIPE,
    STATE(8316), 1,
      aux_sym__match_cases_repeat1,
    STATE(8363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429628] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429677] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10605), 1,
      anon_sym_PIPE,
    STATE(8340), 1,
      aux_sym__match_cases_repeat1,
    STATE(8365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429728] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10534), 1,
      anon_sym_module,
    STATE(8366), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15962), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429813] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10450), 1,
      sym_pow_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429864] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10440), 1,
      sym_pow_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429915] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10260), 1,
      anon_sym_module,
    STATE(8369), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15080), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430000] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_PIPE,
    STATE(8317), 1,
      aux_sym__match_cases_repeat1,
    STATE(8370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [430051] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10488), 1,
      anon_sym_else,
    STATE(8016), 1,
      sym_else_clause,
    STATE(8371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [430102] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10536), 1,
      anon_sym_module,
    STATE(8372), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15211), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430187] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10248), 1,
      anon_sym_module,
    STATE(8373), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14096), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430272] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_pow_operator,
    ACTIONS(10442), 1,
      sym_mult_operator,
    ACTIONS(10444), 1,
      sym_concat_operator,
    STATE(1888), 1,
      sym_add_operator,
    STATE(8374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [430331] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10542), 1,
      sym_rel_operator,
    ACTIONS(10544), 1,
      sym_and_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [430394] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10624), 1,
      anon_sym_COLON,
    STATE(8376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
  [430443] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10622), 1,
      anon_sym_module,
    STATE(8377), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14924), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430528] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10626), 1,
      sym__identifier,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10630), 1,
      anon_sym_private,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    STATE(8378), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(12661), 1,
      sym__simple_type,
    STATE(13219), 1,
      sym__tuple_type,
    STATE(13475), 1,
      sym__type,
    STATE(16524), 1,
      sym_extended_module_path,
    STATE(19015), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12952), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430613] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10607), 1,
      anon_sym_module,
    STATE(8379), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14110), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430698] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9154), 1,
      sym__identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10650), 1,
      anon_sym_private,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    STATE(8380), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9312), 1,
      sym__simple_type,
    STATE(10795), 1,
      sym__tuple_type,
    STATE(11089), 1,
      sym__type,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430783] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10654), 1,
      sym__identifier,
    ACTIONS(10656), 1,
      anon_sym_LPAREN,
    ACTIONS(10658), 1,
      anon_sym_private,
    ACTIONS(10660), 1,
      anon_sym_LBRACK,
    ACTIONS(10662), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10666), 1,
      anon_sym_LT,
    ACTIONS(10668), 1,
      anon_sym_POUND,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10672), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10674), 1,
      aux_sym_type_variable_token1,
    STATE(8381), 1,
      sym_attribute,
    STATE(8776), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9825), 1,
      sym__tuple_type,
    STATE(9971), 1,
      sym__type,
    STATE(16676), 1,
      sym_extended_module_path,
    STATE(17537), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8921), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430868] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10676), 1,
      anon_sym_module,
    STATE(8382), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15239), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430953] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7936), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [431002] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10676), 1,
      anon_sym_module,
    STATE(8384), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14014), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431087] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(8385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7936), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [431136] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10678), 1,
      sym__identifier,
    ACTIONS(10680), 1,
      anon_sym_LPAREN,
    ACTIONS(10682), 1,
      anon_sym_private,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10690), 1,
      anon_sym_LT,
    ACTIONS(10692), 1,
      anon_sym_POUND,
    ACTIONS(10694), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10696), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10698), 1,
      aux_sym_type_variable_token1,
    STATE(8386), 1,
      sym_attribute,
    STATE(12468), 1,
      sym__simple_type,
    STATE(13005), 1,
      sym_tuple_type,
    STATE(13022), 1,
      sym__tuple_type,
    STATE(13082), 1,
      sym__type,
    STATE(16662), 1,
      sym_extended_module_path,
    STATE(19529), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13114), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12644), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431221] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10542), 1,
      sym_rel_operator,
    ACTIONS(10544), 1,
      sym_and_operator,
    ACTIONS(10546), 1,
      sym_or_operator,
    ACTIONS(10548), 1,
      anon_sym_COMMA,
    ACTIONS(10550), 1,
      sym_assign_operator,
    ACTIONS(10700), 1,
      anon_sym_SEMI,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [431292] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10605), 1,
      anon_sym_PIPE,
    STATE(8346), 1,
      aux_sym__match_cases_repeat1,
    STATE(8388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [431343] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10616), 1,
      anon_sym_module,
    STATE(8389), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14051), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431428] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10283), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10285), 1,
      sym_pow_operator,
    ACTIONS(10287), 1,
      sym_mult_operator,
    ACTIONS(10289), 1,
      sym_concat_operator,
    ACTIONS(10291), 1,
      sym_rel_operator,
    ACTIONS(10293), 1,
      sym_and_operator,
    ACTIONS(10295), 1,
      sym_or_operator,
    ACTIONS(10322), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      sym_assign_operator,
    ACTIONS(10702), 1,
      anon_sym_SEMI,
    STATE(1847), 1,
      sym_add_operator,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [431499] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10450), 1,
      sym_pow_operator,
    ACTIONS(10452), 1,
      sym_mult_operator,
    ACTIONS(10454), 1,
      sym_concat_operator,
    ACTIONS(10542), 1,
      sym_rel_operator,
    ACTIONS(10544), 1,
      sym_and_operator,
    ACTIONS(10546), 1,
      sym_or_operator,
    STATE(1860), 1,
      sym_add_operator,
    STATE(8391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [431564] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7615), 1,
      sym__identifier,
    ACTIONS(10609), 1,
      anon_sym_module,
    STATE(8392), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14021), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431649] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8393), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15206), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8068), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [431777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9018), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [431823] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10704), 1,
      sym__identifier,
    STATE(8396), 1,
      sym_attribute,
    STATE(9071), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10158), 1,
      sym__tuple_type,
    STATE(10559), 1,
      sym__type,
    STATE(16573), 1,
      sym_extended_module_path,
    STATE(19540), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9561), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431905] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10704), 1,
      sym__identifier,
    STATE(8397), 1,
      sym_attribute,
    STATE(9071), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10158), 1,
      sym__tuple_type,
    STATE(10618), 1,
      sym__type,
    STATE(16573), 1,
      sym_extended_module_path,
    STATE(19540), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9561), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431987] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10706), 1,
      sym__identifier,
    STATE(8398), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11877), 1,
      sym__simple_type,
    STATE(12799), 1,
      sym__tuple_type,
    STATE(12941), 1,
      sym__type,
    STATE(16612), 1,
      sym_extended_module_path,
    STATE(20142), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12465), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9506), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [432115] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10472), 1,
      anon_sym_LBRACK,
    ACTIONS(10474), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10476), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10478), 1,
      anon_sym_LT,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10486), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10708), 1,
      sym__identifier,
    STATE(8400), 1,
      sym_attribute,
    STATE(9016), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10162), 1,
      sym__tuple_type,
    STATE(10464), 1,
      sym__type,
    STATE(16629), 1,
      sym_extended_module_path,
    STATE(17293), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9459), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432197] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10472), 1,
      anon_sym_LBRACK,
    ACTIONS(10474), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10476), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10478), 1,
      anon_sym_LT,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10486), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10708), 1,
      sym__identifier,
    STATE(8401), 1,
      sym_attribute,
    STATE(9016), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10162), 1,
      sym__tuple_type,
    STATE(10581), 1,
      sym__type,
    STATE(16629), 1,
      sym_extended_module_path,
    STATE(17293), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9459), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432279] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8402), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14151), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432361] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8403), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12539), 1,
      sym__type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432443] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10712), 1,
      sym__identifier,
    STATE(8404), 1,
      sym_attribute,
    STATE(8764), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9744), 1,
      sym__tuple_type,
    STATE(9941), 1,
      sym__type,
    STATE(16645), 1,
      sym_extended_module_path,
    STATE(18332), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8862), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432525] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8405), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12515), 1,
      sym__type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432607] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10712), 1,
      sym__identifier,
    STATE(8406), 1,
      sym_attribute,
    STATE(8764), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9744), 1,
      sym__tuple_type,
    STATE(9942), 1,
      sym__type,
    STATE(16645), 1,
      sym_extended_module_path,
    STATE(18332), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8862), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432689] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10472), 1,
      anon_sym_LBRACK,
    ACTIONS(10474), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10476), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10478), 1,
      anon_sym_LT,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10486), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10708), 1,
      sym__identifier,
    STATE(8407), 1,
      sym_attribute,
    STATE(9016), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10162), 1,
      sym__tuple_type,
    STATE(10642), 1,
      sym__type,
    STATE(16629), 1,
      sym_extended_module_path,
    STATE(17293), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9459), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7928), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [432817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7932), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [432863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7942), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [432909] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10680), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10690), 1,
      anon_sym_LT,
    ACTIONS(10692), 1,
      anon_sym_POUND,
    ACTIONS(10694), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10696), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10698), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10714), 1,
      sym__identifier,
    STATE(8411), 1,
      sym_attribute,
    STATE(12468), 1,
      sym__simple_type,
    STATE(13005), 1,
      sym_tuple_type,
    STATE(13022), 1,
      sym__tuple_type,
    STATE(13092), 1,
      sym__type,
    STATE(16662), 1,
      sym_extended_module_path,
    STATE(19529), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13114), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12644), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7946), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433037] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10680), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10690), 1,
      anon_sym_LT,
    ACTIONS(10692), 1,
      anon_sym_POUND,
    ACTIONS(10694), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10696), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10698), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10714), 1,
      sym__identifier,
    STATE(8413), 1,
      sym_attribute,
    STATE(12468), 1,
      sym__simple_type,
    STATE(13005), 1,
      sym_tuple_type,
    STATE(13022), 1,
      sym__tuple_type,
    STATE(13100), 1,
      sym__type,
    STATE(16662), 1,
      sym_extended_module_path,
    STATE(19529), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13114), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12644), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7950), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8000), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9436), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9432), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433303] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10656), 1,
      anon_sym_LPAREN,
    ACTIONS(10660), 1,
      anon_sym_LBRACK,
    ACTIONS(10662), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10666), 1,
      anon_sym_LT,
    ACTIONS(10668), 1,
      anon_sym_POUND,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10672), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10674), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10716), 1,
      sym__identifier,
    STATE(8418), 1,
      sym_attribute,
    STATE(8776), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9825), 1,
      sym__tuple_type,
    STATE(9992), 1,
      sym__type,
    STATE(16676), 1,
      sym_extended_module_path,
    STATE(17537), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8921), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433385] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10656), 1,
      anon_sym_LPAREN,
    ACTIONS(10660), 1,
      anon_sym_LBRACK,
    ACTIONS(10662), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10666), 1,
      anon_sym_LT,
    ACTIONS(10668), 1,
      anon_sym_POUND,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10672), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10674), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10716), 1,
      sym__identifier,
    STATE(8419), 1,
      sym_attribute,
    STATE(8776), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9825), 1,
      sym__tuple_type,
    STATE(9995), 1,
      sym__type,
    STATE(16676), 1,
      sym_extended_module_path,
    STATE(17537), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8921), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7962), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7966), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8008), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7972), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9450), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9490), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9498), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9512), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9034), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [433881] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10712), 1,
      sym__identifier,
    STATE(8429), 1,
      sym_attribute,
    STATE(8764), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9744), 1,
      sym__tuple_type,
    STATE(9949), 1,
      sym__type,
    STATE(16645), 1,
      sym_extended_module_path,
    STATE(18332), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8862), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9468), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [434009] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8431), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(12618), 1,
      sym__type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7996), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [434137] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10718), 1,
      anon_sym_PIPE,
    STATE(8433), 1,
      sym_attribute,
    STATE(8438), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8922), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [434233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7954), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [434279] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10718), 1,
      anon_sym_PIPE,
    STATE(8436), 1,
      sym_attribute,
    STATE(8521), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434329] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8437), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12481), 1,
      sym__type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434411] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10718), 1,
      anon_sym_PIPE,
    STATE(8438), 1,
      sym_attribute,
    STATE(8525), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8910), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [434507] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10680), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10690), 1,
      anon_sym_LT,
    ACTIONS(10692), 1,
      anon_sym_POUND,
    ACTIONS(10694), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10696), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10698), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10714), 1,
      sym__identifier,
    STATE(8440), 1,
      sym_attribute,
    STATE(12468), 1,
      sym__simple_type,
    STATE(13005), 1,
      sym_tuple_type,
    STATE(13022), 1,
      sym__tuple_type,
    STATE(13154), 1,
      sym__type,
    STATE(16662), 1,
      sym_extended_module_path,
    STATE(19529), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13114), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12644), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9522), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [434635] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10656), 1,
      anon_sym_LPAREN,
    ACTIONS(10660), 1,
      anon_sym_LBRACK,
    ACTIONS(10662), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10666), 1,
      anon_sym_LT,
    ACTIONS(10668), 1,
      anon_sym_POUND,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10672), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10674), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10716), 1,
      sym__identifier,
    STATE(8442), 1,
      sym_attribute,
    STATE(8776), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9825), 1,
      sym__tuple_type,
    STATE(10034), 1,
      sym__type,
    STATE(16676), 1,
      sym_extended_module_path,
    STATE(17537), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(8921), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9006), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [434763] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10720), 1,
      sym__identifier,
    STATE(8444), 1,
      sym_attribute,
    STATE(8850), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10226), 1,
      sym__tuple_type,
    STATE(10600), 1,
      sym__type,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19359), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434845] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(10722), 1,
      sym__identifier,
    STATE(8445), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9528), 1,
      sym__simple_type,
    STATE(10745), 1,
      sym__tuple_type,
    STATE(11380), 1,
      sym__type,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434927] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    ACTIONS(10732), 1,
      sym_rel_operator,
    ACTIONS(10734), 1,
      sym_and_operator,
    ACTIONS(10736), 1,
      sym_or_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8916), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [435037] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435093] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10726), 1,
      sym_pow_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435143] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10726), 1,
      sym_pow_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435193] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435251] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435309] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    ACTIONS(10732), 1,
      sym_rel_operator,
    ACTIONS(10734), 1,
      sym_and_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435371] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    ACTIONS(10732), 1,
      sym_rel_operator,
    ACTIONS(10734), 1,
      sym_and_operator,
    ACTIONS(10736), 1,
      sym_or_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435435] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    ACTIONS(10732), 1,
      sym_rel_operator,
    ACTIONS(10734), 1,
      sym_and_operator,
    ACTIONS(10736), 1,
      sym_or_operator,
    ACTIONS(10738), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      sym_assign_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9360), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [435549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7095), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7091), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [435595] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435647] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    ACTIONS(10732), 1,
      sym_rel_operator,
    ACTIONS(10734), 1,
      sym_and_operator,
    ACTIONS(10736), 1,
      sym_or_operator,
    ACTIONS(10738), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      sym_assign_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435715] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8460), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17131), 1,
      sym__type,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9446), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [435843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9418), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [435889] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8463), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13685), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435971] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8464), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13273), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436053] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8465), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13379), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436135] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8466), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(16520), 1,
      sym__type,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436217] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [436265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9474), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9478), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9482), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9486), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9464), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436495] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8473), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15096), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436577] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8474), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13572), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9494), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9414), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9526), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9542), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9546), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [436889] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8480), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(12629), 1,
      sym__type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436971] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8481), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15283), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9502), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [437099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9518), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [437145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9530), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [437191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9536), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [437237] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10720), 1,
      sym__identifier,
    STATE(8486), 1,
      sym_attribute,
    STATE(8850), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10226), 1,
      sym__tuple_type,
    STATE(10430), 1,
      sym__type,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19359), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9552), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [437365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9428), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [437411] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10742), 1,
      sym__identifier,
    STATE(8489), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10171), 1,
      sym__simple_type,
    STATE(11796), 1,
      sym__tuple_type,
    STATE(12193), 1,
      sym__type,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(19456), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8902), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8900), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [437539] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10744), 1,
      sym__identifier,
    STATE(8491), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10294), 1,
      sym__simple_type,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12196), 1,
      sym__type,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(17489), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437621] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10744), 1,
      sym__identifier,
    STATE(8492), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10294), 1,
      sym__simple_type,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12222), 1,
      sym__type,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(17489), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437703] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(8493), 1,
      sym_attribute,
    STATE(8531), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [437753] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8494), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15492), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(8495), 1,
      sym_attribute,
    STATE(8539), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [437885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8906), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8904), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [437931] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8497), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15856), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438013] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    ACTIONS(10756), 1,
      sym_rel_operator,
    ACTIONS(10758), 1,
      sym_and_operator,
    ACTIONS(10760), 1,
      sym_or_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10067), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438077] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438133] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8500), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14025), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438215] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10750), 1,
      sym_pow_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10750), 1,
      sym_pow_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438315] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438373] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438431] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    ACTIONS(10756), 1,
      sym_rel_operator,
    ACTIONS(10758), 1,
      sym_and_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438493] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    ACTIONS(10756), 1,
      sym_rel_operator,
    ACTIONS(10758), 1,
      sym_and_operator,
    ACTIONS(10760), 1,
      sym_or_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438557] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    ACTIONS(10756), 1,
      sym_rel_operator,
    ACTIONS(10758), 1,
      sym_and_operator,
    ACTIONS(10760), 1,
      sym_or_operator,
    ACTIONS(10762), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      sym_assign_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10027), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438625] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [438677] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    ACTIONS(10756), 1,
      sym_rel_operator,
    ACTIONS(10758), 1,
      sym_and_operator,
    ACTIONS(10760), 1,
      sym_or_operator,
    ACTIONS(10762), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      sym_assign_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10089), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438745] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8510), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(12627), 1,
      sym__type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438827] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8511), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12585), 1,
      sym__type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438909] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    ACTIONS(10756), 1,
      sym_rel_operator,
    ACTIONS(10758), 1,
      sym_and_operator,
    ACTIONS(10760), 1,
      sym_or_operator,
    ACTIONS(10762), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      sym_assign_operator,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438977] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8513), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15718), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439059] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8514), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15900), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439141] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8515), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15564), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439223] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8516), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15367), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439305] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8517), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15483), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439387] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10766), 1,
      sym__identifier,
    STATE(8518), 1,
      sym_attribute,
    STATE(8894), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10152), 1,
      sym__tuple_type,
    STATE(10594), 1,
      sym__type,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(17300), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439469] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8519), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15673), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439551] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8520), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15024), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439633] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10718), 1,
      anon_sym_PIPE,
    STATE(8521), 1,
      sym_attribute,
    STATE(8525), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [439683] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8522), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15831), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439765] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8523), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15933), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439847] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(10768), 1,
      sym__identifier,
    STATE(8524), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9312), 1,
      sym__simple_type,
    STATE(10795), 1,
      sym__tuple_type,
    STATE(11080), 1,
      sym__type,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439929] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10770), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8525), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [439977] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8526), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14071), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440059] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8527), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14959), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7946), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [440187] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [440235] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8530), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15038), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440317] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(8531), 1,
      sym_attribute,
    STATE(8540), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [440367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7928), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [440413] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8533), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15685), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7932), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [440541] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8535), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15744), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440623] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(10768), 1,
      sym__identifier,
    STATE(8536), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9312), 1,
      sym__simple_type,
    STATE(10795), 1,
      sym__tuple_type,
    STATE(11098), 1,
      sym__type,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440705] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10706), 1,
      sym__identifier,
    STATE(8537), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11877), 1,
      sym__simple_type,
    STATE(12691), 1,
      sym__type,
    STATE(12799), 1,
      sym__tuple_type,
    STATE(16612), 1,
      sym_extended_module_path,
    STATE(20142), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12465), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7942), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [440833] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(8539), 1,
      sym_attribute,
    STATE(8540), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [440883] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10773), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8540), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [440931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7946), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [440977] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(10768), 1,
      sym__identifier,
    STATE(8542), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9312), 1,
      sym__simple_type,
    STATE(10795), 1,
      sym__tuple_type,
    STATE(11475), 1,
      sym__type,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(19896), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441059] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8543), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15722), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441141] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8544), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15972), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441223] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8545), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15883), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7950), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [441351] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8547), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16130), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441433] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8548), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15337), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441515] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8549), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(13367), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8000), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [441643] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10706), 1,
      sym__identifier,
    STATE(8551), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11877), 1,
      sym__simple_type,
    STATE(12799), 1,
      sym__tuple_type,
    STATE(12969), 1,
      sym__type,
    STATE(16612), 1,
      sym_extended_module_path,
    STATE(20142), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12465), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441725] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8552), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(12669), 1,
      sym__type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441807] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8553), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(12678), 1,
      sym__type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441889] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8554), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15158), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441971] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8555), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15201), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7954), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9060), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7962), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7966), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8008), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442283] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8561), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15741), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442365] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8562), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15776), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442447] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8563), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15695), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7972), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [442575] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8565), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16194), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442657] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8566), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14814), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442739] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8567), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14955), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442821] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8568), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14973), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442903] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8569), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15257), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442985] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8570), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15112), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7976), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443113] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8572), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15129), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443195] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8573), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15266), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7984), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443323] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8575), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15280), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7988), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7992), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443497] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8578), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15423), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443579] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8579), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15437), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7996), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443707] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8581), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15650), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443789] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8582), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15659), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7954), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [443917] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10720), 1,
      sym__identifier,
    STATE(8584), 1,
      sym_attribute,
    STATE(8850), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10226), 1,
      sym__tuple_type,
    STATE(10890), 1,
      sym__type,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19359), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443999] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8585), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15801), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444081] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8586), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15820), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444163] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8587), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15995), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444245] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8588), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16014), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444327] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8589), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16195), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444409] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8590), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15425), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444491] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__identifier,
    STATE(8591), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(12661), 1,
      sym__simple_type,
    STATE(13219), 1,
      sym__tuple_type,
    STATE(13381), 1,
      sym__type,
    STATE(16524), 1,
      sym_extended_module_path,
    STATE(19015), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12952), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444573] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8592), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14850), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444655] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8593), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15665), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444737] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8594), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15351), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444819] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8595), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15461), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444901] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8596), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15016), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444983] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8597), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14944), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445065] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8598), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15255), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445147] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8599), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15641), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445229] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8600), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14984), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445311] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    ACTIONS(10732), 1,
      sym_rel_operator,
    ACTIONS(10734), 1,
      sym_and_operator,
    ACTIONS(10736), 1,
      sym_or_operator,
    ACTIONS(10738), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      sym_assign_operator,
    ACTIONS(10778), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [445381] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8602), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15023), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7972), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [445509] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8604), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15226), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445591] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8605), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15247), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445673] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8606), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15586), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445755] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8607), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15648), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445837] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8608), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15890), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445919] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8609), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15931), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446001] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8610), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15841), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446083] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8611), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14829), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446165] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(10722), 1,
      sym__identifier,
    STATE(8612), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9528), 1,
      sym__simple_type,
    STATE(10745), 1,
      sym__tuple_type,
    STATE(11256), 1,
      sym__type,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446247] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8613), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15462), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446329] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8614), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14134), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446411] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8615), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15763), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446493] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8616), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15007), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446575] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8617), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15124), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446657] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(10722), 1,
      sym__identifier,
    STATE(8618), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(9528), 1,
      sym__simple_type,
    STATE(10745), 1,
      sym__tuple_type,
    STATE(11580), 1,
      sym__type,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19047), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446739] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8619), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15455), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446821] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8620), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15582), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446903] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8621), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15862), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446985] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8622), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15913), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447067] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8623), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14849), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447149] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8624), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14863), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447231] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8625), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15790), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447313] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10742), 1,
      sym__identifier,
    STATE(8626), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10171), 1,
      sym__simple_type,
    STATE(11796), 1,
      sym__tuple_type,
    STATE(12023), 1,
      sym__type,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(19456), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447395] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8627), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14981), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447477] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10742), 1,
      sym__identifier,
    STATE(8628), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10171), 1,
      sym__simple_type,
    STATE(11796), 1,
      sym__tuple_type,
    STATE(12024), 1,
      sym__type,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(19456), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447559] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8629), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14999), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447641] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8630), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15101), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447723] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8631), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15116), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447805] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8632), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15220), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447887] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8633), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15295), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447969] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8634), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15328), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448051] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8635), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(12590), 1,
      sym__type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448133] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8636), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15396), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448215] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8637), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15415), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448297] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8638), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15479), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448379] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8639), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15510), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448461] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10710), 1,
      sym__identifier,
    STATE(8640), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(10857), 1,
      sym__simple_type,
    STATE(12526), 1,
      sym__type,
    STATE(12586), 1,
      sym__tuple_type,
    STATE(16359), 1,
      sym_extended_module_path,
    STATE(19475), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448543] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8641), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15635), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448625] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8642), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15660), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448707] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8643), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16209), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448789] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8644), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15413), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448871] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8645), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15346), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448953] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8646), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14145), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449035] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8647), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15877), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449117] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8648), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14864), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449199] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8649), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15982), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449281] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8650), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16013), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449363] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8651), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14044), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449445] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8652), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16135), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449527] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8653), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16185), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449609] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8654), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15022), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449691] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8655), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15032), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449773] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8656), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14125), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449855] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8657), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15087), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449937] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8658), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15121), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450019] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10766), 1,
      sym__identifier,
    STATE(8659), 1,
      sym_attribute,
    STATE(8894), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10152), 1,
      sym__tuple_type,
    STATE(10564), 1,
      sym__type,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(17300), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450101] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10704), 1,
      sym__identifier,
    STATE(8660), 1,
      sym_attribute,
    STATE(9071), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10158), 1,
      sym__tuple_type,
    STATE(10583), 1,
      sym__type,
    STATE(16573), 1,
      sym_extended_module_path,
    STATE(19540), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9561), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450183] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8661), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15394), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450265] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8662), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15395), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450347] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8663), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14074), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450429] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8664), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15417), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450511] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8665), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15430), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450593] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8666), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15703), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450675] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8667), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14066), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450757] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10766), 1,
      sym__identifier,
    STATE(8668), 1,
      sym_attribute,
    STATE(8894), 1,
      sym__simple_type,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10152), 1,
      sym__tuple_type,
    STATE(10788), 1,
      sym__type,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(17300), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450839] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8669), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15879), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450921] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8670), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16049), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451003] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8671), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(16184), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451085] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8672), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(14827), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451167] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10706), 1,
      sym__identifier,
    STATE(8673), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11877), 1,
      sym__simple_type,
    STATE(12799), 1,
      sym__tuple_type,
    STATE(12948), 1,
      sym__type,
    STATE(16612), 1,
      sym_extended_module_path,
    STATE(20142), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12465), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451249] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10706), 1,
      sym__identifier,
    STATE(8674), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11877), 1,
      sym__simple_type,
    STATE(12799), 1,
      sym__tuple_type,
    STATE(12962), 1,
      sym__type,
    STATE(16612), 1,
      sym_extended_module_path,
    STATE(20142), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12465), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8922), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451377] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    ACTIONS(10732), 1,
      sym_rel_operator,
    ACTIONS(10734), 1,
      sym_and_operator,
    ACTIONS(10736), 1,
      sym_or_operator,
    ACTIONS(10738), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      sym_assign_operator,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10103), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451445] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10744), 1,
      sym__identifier,
    STATE(8677), 1,
      sym_attribute,
    STATE(9234), 1,
      sym_tuple_type,
    STATE(10294), 1,
      sym__simple_type,
    STATE(11793), 1,
      sym__tuple_type,
    STATE(12277), 1,
      sym__type,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(17489), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9517), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451527] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8678), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(15608), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451609] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    ACTIONS(10756), 1,
      sym_rel_operator,
    ACTIONS(10758), 1,
      sym_and_operator,
    ACTIONS(10760), 1,
      sym_or_operator,
    ACTIONS(10762), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      sym_assign_operator,
    ACTIONS(10780), 1,
      anon_sym_SEMI,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8928), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8910), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 12,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7996), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451817] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_DOT_DOT,
    STATE(8683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(4973), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451865] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__identifier,
    STATE(8684), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(12661), 1,
      sym__simple_type,
    STATE(13219), 1,
      sym__tuple_type,
    STATE(13424), 1,
      sym__type,
    STATE(16524), 1,
      sym_extended_module_path,
    STATE(19015), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12952), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9454), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [451993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9458), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452039] = 23,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8687), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(12625), 1,
      sym__tuple_type,
    STATE(12666), 1,
      sym__type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452121] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10776), 1,
      sym__identifier,
    STATE(8688), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(12661), 1,
      sym__simple_type,
    STATE(13219), 1,
      sym__tuple_type,
    STATE(13546), 1,
      sym__type,
    STATE(16524), 1,
      sym_extended_module_path,
    STATE(19015), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9559), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12952), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8056), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9026), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8060), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(8064), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(9030), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__identifier,
    ACTIONS(7958), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9082), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9018), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452569] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10726), 1,
      sym_pow_operator,
    ACTIONS(10728), 1,
      sym_mult_operator,
    ACTIONS(10730), 1,
      sym_concat_operator,
    ACTIONS(10732), 1,
      sym_rel_operator,
    ACTIONS(10734), 1,
      sym_and_operator,
    ACTIONS(10736), 1,
      sym_or_operator,
    ACTIONS(10738), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      sym_assign_operator,
    ACTIONS(10784), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      sym_add_operator,
    STATE(8697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [452638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8952), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8954), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8956), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8958), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8960), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8962), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452773] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7495), 1,
      anon_sym_COLON_COLON,
    STATE(8701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8964), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8966), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452820] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7489), 1,
      anon_sym_COMMA,
    ACTIONS(7495), 1,
      anon_sym_COLON_COLON,
    STATE(8702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8972), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8974), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8976), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8978), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452914] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7495), 1,
      anon_sym_COLON_COLON,
    STATE(8704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8980), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8982), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [452961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8988), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8990), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8998), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453051] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10786), 1,
      anon_sym_type,
    ACTIONS(10788), 1,
      anon_sym_exception,
    ACTIONS(10790), 1,
      anon_sym_module,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10794), 1,
      anon_sym_include,
    ACTIONS(10796), 1,
      anon_sym_class,
    ACTIONS(10798), 1,
      anon_sym_val,
    ACTIONS(10800), 1,
      anon_sym_end,
    STATE(8707), 1,
      sym_attribute,
    STATE(8774), 1,
      aux_sym__signature_repeat1,
    STATE(8807), 1,
      aux_sym__structure_repeat1,
    STATE(12630), 1,
      sym__signature_item,
    STATE(17463), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [453128] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10804), 1,
      anon_sym_let,
    STATE(8708), 1,
      sym_attribute,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10481), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10802), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8984), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8986), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8994), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9002), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9014), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9022), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10806), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7968), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8056), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9040), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453549] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10810), 1,
      anon_sym_let,
    STATE(8717), 1,
      sym_attribute,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10557), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10808), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453610] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10750), 1,
      sym_pow_operator,
    ACTIONS(10752), 1,
      sym_mult_operator,
    ACTIONS(10754), 1,
      sym_concat_operator,
    ACTIONS(10756), 1,
      sym_rel_operator,
    ACTIONS(10758), 1,
      sym_and_operator,
    ACTIONS(10760), 1,
      sym_or_operator,
    ACTIONS(10762), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      sym_assign_operator,
    ACTIONS(10812), 1,
      anon_sym_SEMI,
    STATE(1774), 1,
      sym_add_operator,
    STATE(8718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453679] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10786), 1,
      anon_sym_type,
    ACTIONS(10788), 1,
      anon_sym_exception,
    ACTIONS(10790), 1,
      anon_sym_module,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10794), 1,
      anon_sym_include,
    ACTIONS(10796), 1,
      anon_sym_class,
    ACTIONS(10798), 1,
      anon_sym_val,
    ACTIONS(10814), 1,
      anon_sym_end,
    STATE(8719), 1,
      sym_attribute,
    STATE(8774), 1,
      aux_sym__signature_repeat1,
    STATE(8807), 1,
      aux_sym__structure_repeat1,
    STATE(12630), 1,
      sym__signature_item,
    STATE(19158), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [453756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7938), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8060), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8064), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9056), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7958), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [453981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9064), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9068), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9010), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8068), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454161] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10822), 1,
      anon_sym_DOT,
    STATE(8729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10818), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8934), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8936), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8940), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8942), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7976), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7984), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7988), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7992), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7924), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454523] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10826), 1,
      anon_sym_let,
    STATE(8737), 1,
      sym_attribute,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10582), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10824), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8928), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10828), 28,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9034), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8944), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8946), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9026), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9006), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7643), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4975), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(4973), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9044), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [454989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9048), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9052), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9030), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9060), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8948), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8950), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8930), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8932), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8968), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8970), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9072), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [455349] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10832), 1,
      sym__identifier,
    ACTIONS(10838), 1,
      anon_sym_POUND,
    STATE(8755), 1,
      sym_attribute,
    STATE(8925), 1,
      sym_type_constructor_path,
    STATE(16811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10836), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455403] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10832), 1,
      sym__identifier,
    ACTIONS(10844), 1,
      anon_sym_POUND,
    STATE(8756), 1,
      sym_attribute,
    STATE(8831), 1,
      sym_type_constructor_path,
    STATE(16811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10842), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10818), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10846), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10852), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10850), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10854), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10858), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10862), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455721] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10866), 1,
      sym__identifier,
    ACTIONS(10868), 1,
      anon_sym_POUND,
    STATE(8763), 1,
      sym_attribute,
    STATE(8872), 1,
      sym_type_constructor_path,
    STATE(16785), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10842), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455775] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10866), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    STATE(8764), 1,
      sym_attribute,
    STATE(8866), 1,
      sym_type_constructor_path,
    STATE(16785), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10872), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455829] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10866), 1,
      sym__identifier,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    STATE(8765), 1,
      sym_attribute,
    STATE(8866), 1,
      sym_type_constructor_path,
    STATE(16785), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10836), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455883] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10878), 1,
      anon_sym_RBRACK,
    ACTIONS(10880), 1,
      anon_sym_exception,
    ACTIONS(10882), 1,
      anon_sym_module,
    ACTIONS(10884), 1,
      anon_sym_include,
    ACTIONS(10886), 1,
      anon_sym_class,
    ACTIONS(10888), 1,
      anon_sym_val,
    STATE(8766), 1,
      sym_attribute,
    STATE(8769), 1,
      aux_sym__signature_repeat1,
    STATE(8779), 1,
      aux_sym__structure_repeat1,
    STATE(12630), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [455957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10892), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10890), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10896), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10894), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456045] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10898), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10901), 1,
      anon_sym_external,
    ACTIONS(10904), 1,
      anon_sym_type,
    ACTIONS(10907), 1,
      anon_sym_RBRACK,
    ACTIONS(10909), 1,
      anon_sym_exception,
    ACTIONS(10912), 1,
      anon_sym_module,
    ACTIONS(10915), 1,
      anon_sym_open,
    ACTIONS(10918), 1,
      anon_sym_include,
    ACTIONS(10921), 1,
      anon_sym_class,
    ACTIONS(10924), 1,
      anon_sym_val,
    ACTIONS(10927), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10930), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10933), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9112), 1,
      aux_sym__structure_repeat1,
    STATE(12630), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8769), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10938), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10936), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10942), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10940), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10946), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10950), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10948), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456293] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10786), 1,
      anon_sym_type,
    ACTIONS(10788), 1,
      anon_sym_exception,
    ACTIONS(10790), 1,
      anon_sym_module,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10794), 1,
      anon_sym_include,
    ACTIONS(10796), 1,
      anon_sym_class,
    ACTIONS(10798), 1,
      anon_sym_val,
    ACTIONS(10878), 1,
      anon_sym_end,
    STATE(8774), 1,
      sym_attribute,
    STATE(8775), 1,
      aux_sym__signature_repeat1,
    STATE(8819), 1,
      aux_sym__structure_repeat1,
    STATE(12630), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456367] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10898), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10901), 1,
      anon_sym_external,
    ACTIONS(10907), 1,
      anon_sym_end,
    ACTIONS(10915), 1,
      anon_sym_open,
    ACTIONS(10927), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10930), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10933), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10952), 1,
      anon_sym_type,
    ACTIONS(10955), 1,
      anon_sym_exception,
    ACTIONS(10958), 1,
      anon_sym_module,
    ACTIONS(10961), 1,
      anon_sym_include,
    ACTIONS(10964), 1,
      anon_sym_class,
    ACTIONS(10967), 1,
      anon_sym_val,
    STATE(8856), 1,
      aux_sym__structure_repeat1,
    STATE(12630), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8775), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456439] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10832), 1,
      sym__identifier,
    ACTIONS(10838), 1,
      anon_sym_POUND,
    STATE(8776), 1,
      sym_attribute,
    STATE(8925), 1,
      sym_type_constructor_path,
    STATE(16811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10872), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [456493] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(8777), 1,
      sym_attribute,
    STATE(9120), 1,
      sym__simple_type,
    STATE(9165), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14304), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(20093), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [456570] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(8778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [456615] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10880), 1,
      anon_sym_exception,
    ACTIONS(10882), 1,
      anon_sym_module,
    ACTIONS(10884), 1,
      anon_sym_include,
    ACTIONS(10886), 1,
      anon_sym_class,
    ACTIONS(10888), 1,
      anon_sym_val,
    ACTIONS(10974), 1,
      anon_sym_RBRACK,
    STATE(8779), 1,
      sym_attribute,
    STATE(12587), 1,
      aux_sym__structure_repeat1,
    STATE(12636), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456686] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10878), 1,
      anon_sym_RBRACK,
    ACTIONS(10880), 1,
      anon_sym_exception,
    ACTIONS(10882), 1,
      anon_sym_module,
    ACTIONS(10884), 1,
      anon_sym_include,
    ACTIONS(10886), 1,
      anon_sym_class,
    ACTIONS(10888), 1,
      anon_sym_val,
    STATE(8780), 1,
      sym_attribute,
    STATE(12587), 1,
      aux_sym__structure_repeat1,
    STATE(12636), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456757] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8781), 1,
      sym_attribute,
    STATE(9627), 1,
      sym__simple_type,
    STATE(9967), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14411), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16562), 1,
      sym_extended_module_path,
    STATE(19559), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [456834] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8782), 1,
      sym_attribute,
    STATE(8977), 1,
      sym__simple_type,
    STATE(9235), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14429), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(20124), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [456911] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(8783), 1,
      sym_attribute,
    STATE(9725), 1,
      sym__simple_type,
    STATE(10028), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14350), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16499), 1,
      sym_extended_module_path,
    STATE(18215), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [456988] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(8784), 1,
      sym_attribute,
    STATE(10222), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10329), 1,
      sym_type_variable,
    STATE(14231), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(19916), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457065] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(8785), 1,
      sym_attribute,
    STATE(10223), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10329), 1,
      sym_type_variable,
    STATE(14232), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(19918), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457142] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8786), 1,
      sym_attribute,
    STATE(9635), 1,
      sym__simple_type,
    STATE(9967), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14412), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16562), 1,
      sym_extended_module_path,
    STATE(19565), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457219] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8787), 1,
      sym_attribute,
    STATE(9416), 1,
      sym__simple_type,
    STATE(9805), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14369), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(18641), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457296] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8788), 1,
      sym_attribute,
    STATE(9661), 1,
      sym__simple_type,
    STATE(9967), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14416), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16562), 1,
      sym_extended_module_path,
    STATE(19626), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457373] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8789), 1,
      sym_attribute,
    STATE(9226), 1,
      sym__simple_type,
    STATE(9352), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14328), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16445), 1,
      sym_extended_module_path,
    STATE(17766), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457450] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8790), 1,
      sym_attribute,
    STATE(9432), 1,
      sym__simple_type,
    STATE(9805), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14371), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(18671), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457527] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(8791), 1,
      sym_attribute,
    STATE(10227), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10329), 1,
      sym_type_variable,
    STATE(14234), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(19954), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457604] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(8792), 1,
      sym_attribute,
    STATE(9199), 1,
      sym__simple_type,
    STATE(9523), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14435), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16595), 1,
      sym_extended_module_path,
    STATE(17339), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457681] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(8793), 1,
      sym_attribute,
    STATE(9200), 1,
      sym__simple_type,
    STATE(9523), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14436), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16595), 1,
      sym_extended_module_path,
    STATE(17341), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457758] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(8794), 1,
      sym_attribute,
    STATE(9733), 1,
      sym__simple_type,
    STATE(10028), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14351), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16499), 1,
      sym_extended_module_path,
    STATE(18218), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457835] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(8795), 1,
      sym_attribute,
    STATE(9208), 1,
      sym__simple_type,
    STATE(9523), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14438), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16595), 1,
      sym_extended_module_path,
    STATE(17349), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457912] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8796), 1,
      sym_attribute,
    STATE(9148), 1,
      sym__simple_type,
    STATE(9352), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14324), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16445), 1,
      sym_extended_module_path,
    STATE(17720), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [457989] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(8797), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10240), 1,
      sym__simple_type,
    STATE(10325), 1,
      sym_type_variable,
    STATE(14267), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(17399), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458066] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(8798), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10247), 1,
      sym__simple_type,
    STATE(10325), 1,
      sym_type_variable,
    STATE(14268), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(17421), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458143] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(8799), 1,
      sym_attribute,
    STATE(9879), 1,
      sym__simple_type,
    STATE(9902), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14181), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17213), 1,
      sym_extended_module_path,
    STATE(19435), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458220] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(8800), 1,
      sym_attribute,
    STATE(9828), 1,
      sym__simple_type,
    STATE(9902), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14632), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17213), 1,
      sym_extended_module_path,
    STATE(19090), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458297] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11074), 1,
      anon_sym_POUND,
    STATE(8801), 1,
      sym_attribute,
    STATE(9168), 1,
      sym_type_constructor_path,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10842), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [458350] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8802), 1,
      sym_attribute,
    STATE(9683), 1,
      sym__simple_type,
    STATE(9957), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14385), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16547), 1,
      sym_extended_module_path,
    STATE(18961), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458427] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(8803), 1,
      sym_attribute,
    STATE(10165), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10325), 1,
      sym_type_variable,
    STATE(14271), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(17638), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458504] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(8804), 1,
      sym_attribute,
    STATE(9617), 1,
      sym__simple_type,
    STATE(9902), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14182), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17213), 1,
      sym_extended_module_path,
    STATE(19463), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458581] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(8805), 1,
      sym_attribute,
    STATE(9751), 1,
      sym__simple_type,
    STATE(10028), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14353), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16499), 1,
      sym_extended_module_path,
    STATE(18248), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [458658] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11094), 1,
      anon_sym_let,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(8806), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11406), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11092), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [458717] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10786), 1,
      anon_sym_type,
    ACTIONS(10788), 1,
      anon_sym_exception,
    ACTIONS(10790), 1,
      anon_sym_module,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10794), 1,
      anon_sym_include,
    ACTIONS(10796), 1,
      anon_sym_class,
    ACTIONS(10798), 1,
      anon_sym_val,
    ACTIONS(10878), 1,
      anon_sym_end,
    STATE(8807), 1,
      sym_attribute,
    STATE(12587), 1,
      aux_sym__structure_repeat1,
    STATE(12636), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [458788] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11098), 1,
      anon_sym_let,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(8808), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10784), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11096), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [458847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [458890] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11102), 1,
      anon_sym_let,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(8810), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10837), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11100), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [458949] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8811), 1,
      sym_attribute,
    STATE(8958), 1,
      sym__simple_type,
    STATE(9235), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14426), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(20091), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459026] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(8812), 1,
      sym_attribute,
    STATE(9095), 1,
      sym__simple_type,
    STATE(9165), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14299), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19788), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459103] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(8813), 1,
      sym_attribute,
    STATE(9099), 1,
      sym__simple_type,
    STATE(9165), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14300), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(19791), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459180] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8814), 1,
      sym_attribute,
    STATE(9155), 1,
      sym__simple_type,
    STATE(9352), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14325), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16445), 1,
      sym_extended_module_path,
    STATE(17725), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459257] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8815), 1,
      sym_attribute,
    STATE(9590), 1,
      sym__simple_type,
    STATE(9677), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14391), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19183), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459334] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(8816), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(12994), 1,
      sym__simple_type,
    STATE(13126), 1,
      sym_type_variable,
    STATE(14155), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(19173), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459411] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(8817), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(13006), 1,
      sym__simple_type,
    STATE(13126), 1,
      sym_type_variable,
    STATE(14156), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(19175), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459488] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8818), 1,
      sym_attribute,
    STATE(9592), 1,
      sym__simple_type,
    STATE(9677), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14392), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19194), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459565] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10786), 1,
      anon_sym_type,
    ACTIONS(10788), 1,
      anon_sym_exception,
    ACTIONS(10790), 1,
      anon_sym_module,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10794), 1,
      anon_sym_include,
    ACTIONS(10796), 1,
      anon_sym_class,
    ACTIONS(10798), 1,
      anon_sym_val,
    ACTIONS(10974), 1,
      anon_sym_end,
    STATE(8819), 1,
      sym_attribute,
    STATE(12587), 1,
      aux_sym__structure_repeat1,
    STATE(12636), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [459636] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11128), 1,
      anon_sym_let,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(8820), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11424), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11126), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [459695] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8821), 1,
      sym_attribute,
    STATE(9671), 1,
      sym__simple_type,
    STATE(9957), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14384), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16547), 1,
      sym_extended_module_path,
    STATE(18920), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459772] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8822), 1,
      sym_attribute,
    STATE(8959), 1,
      sym__simple_type,
    STATE(9235), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14427), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(20094), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459849] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8823), 1,
      sym_attribute,
    STATE(9670), 1,
      sym__simple_type,
    STATE(9957), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14383), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16547), 1,
      sym_extended_module_path,
    STATE(18912), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [459926] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(8824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [459971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [460014] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(8826), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(13015), 1,
      sym__simple_type,
    STATE(13126), 1,
      sym_type_variable,
    STATE(14163), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(19224), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [460091] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8827), 1,
      sym_attribute,
    STATE(9610), 1,
      sym__simple_type,
    STATE(9677), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14394), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19229), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [460168] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10598), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11132), 1,
      anon_sym_let,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(8828), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10799), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11130), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [460227] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8829), 1,
      sym_attribute,
    STATE(9415), 1,
      sym__simple_type,
    STATE(9805), 1,
      sym_type_variable,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(14368), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(18623), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [460304] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11136), 1,
      anon_sym_POUND,
    STATE(8830), 1,
      sym_attribute,
    STATE(9277), 1,
      sym_type_constructor_path,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10842), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [460357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11138), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [460399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7725), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7729), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7836), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7840), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7876), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7880), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460651] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(8838), 1,
      sym_attribute,
    STATE(9953), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7735), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7798), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7804), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7888), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [460891] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11144), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11146), 1,
      anon_sym_GT,
    STATE(8843), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7894), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461005] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11148), 1,
      sym__identifier,
    ACTIONS(11150), 1,
      anon_sym_POUND,
    STATE(8845), 1,
      sym_attribute,
    STATE(9481), 1,
      sym_type_constructor_path,
    STATE(16776), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [461057] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11152), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11154), 1,
      anon_sym_GT,
    STATE(8846), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461129] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(8847), 1,
      sym_attribute,
    STATE(9817), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16499), 1,
      sym_extended_module_path,
    STATE(18273), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461201] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(8848), 1,
      sym_attribute,
    STATE(9835), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(17213), 1,
      sym_extended_module_path,
    STATE(18749), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7898), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [461315] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(8850), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10872), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [461367] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8851), 1,
      sym_attribute,
    STATE(10041), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461439] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11158), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11160), 1,
      anon_sym_GT,
    STATE(8852), 1,
      sym_attribute,
    STATE(13238), 1,
      sym__simple_type,
    STATE(14900), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461511] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    STATE(8853), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [461569] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11172), 1,
      anon_sym_GT,
    STATE(8854), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461641] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8855), 1,
      sym_attribute,
    STATE(10041), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461713] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10786), 1,
      anon_sym_type,
    ACTIONS(10788), 1,
      anon_sym_exception,
    ACTIONS(10790), 1,
      anon_sym_module,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10794), 1,
      anon_sym_include,
    ACTIONS(10796), 1,
      anon_sym_class,
    ACTIONS(10798), 1,
      anon_sym_val,
    STATE(8856), 1,
      sym_attribute,
    STATE(12587), 1,
      aux_sym__structure_repeat1,
    STATE(12636), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [461781] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8857), 1,
      sym_attribute,
    STATE(9255), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16445), 1,
      sym_extended_module_path,
    STATE(17802), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461853] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8858), 1,
      sym_attribute,
    STATE(9256), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16445), 1,
      sym_extended_module_path,
    STATE(17803), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461925] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11174), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11176), 1,
      anon_sym_GT,
    STATE(8859), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461997] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8860), 1,
      sym_attribute,
    STATE(9281), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16445), 1,
      sym_extended_module_path,
    STATE(17809), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462069] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8861), 1,
      sym_attribute,
    STATE(10041), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11182), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11186), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11190), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11194), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11198), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11202), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11206), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11210), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11214), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11138), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11218), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11222), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7669), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [462729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11226), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11230), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11234), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11238), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11242), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11246), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [462981] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8882), 1,
      sym_attribute,
    STATE(9695), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16547), 1,
      sym_extended_module_path,
    STATE(18984), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463053] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8883), 1,
      sym_attribute,
    STATE(9696), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16547), 1,
      sym_extended_module_path,
    STATE(18986), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11250), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11254), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11258), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7675), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11262), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463335] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(8889), 1,
      sym_attribute,
    STATE(9718), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16547), 1,
      sym_extended_module_path,
    STATE(18990), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11266), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10830), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463491] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(8892), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10836), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [463543] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11148), 1,
      sym__identifier,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    STATE(8893), 1,
      sym_attribute,
    STATE(9466), 1,
      sym_type_constructor_path,
    STATE(16776), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10836), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [463595] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8894), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10872), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [463647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11274), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463689] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_DOT,
    ACTIONS(11280), 1,
      anon_sym_POUND,
    ACTIONS(11282), 1,
      sym_hash_operator,
    STATE(8896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8024), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [463737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8054), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8058), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8062), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8066), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8054), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8058), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [463989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8062), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [464031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8066), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [464073] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8905), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10836), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [464125] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11284), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11286), 1,
      anon_sym_GT,
    STATE(8906), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464197] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11288), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11290), 1,
      anon_sym_GT,
    STATE(8907), 1,
      sym_attribute,
    STATE(13259), 1,
      sym__simple_type,
    STATE(15840), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464269] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11292), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11294), 1,
      anon_sym_GT,
    STATE(8908), 1,
      sym_attribute,
    STATE(13216), 1,
      sym__simple_type,
    STATE(15199), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464341] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11296), 1,
      sym__identifier,
    ACTIONS(11298), 1,
      anon_sym_POUND,
    STATE(8909), 1,
      sym_attribute,
    STATE(9309), 1,
      sym_type_constructor_path,
    STATE(16742), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [464393] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11300), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11302), 1,
      anon_sym_GT,
    STATE(8910), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464465] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11304), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11306), 1,
      anon_sym_GT,
    STATE(8911), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464537] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11310), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11312), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11308), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464581] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11314), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11316), 1,
      anon_sym_GT,
    STATE(8913), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464653] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8914), 1,
      sym_attribute,
    STATE(9855), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464725] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11318), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11320), 1,
      anon_sym_GT,
    STATE(8915), 1,
      sym_attribute,
    STATE(13253), 1,
      sym__simple_type,
    STATE(15318), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464797] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8916), 1,
      sym_attribute,
    STATE(9855), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464869] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11322), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11324), 1,
      anon_sym_GT,
    STATE(8917), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464941] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11326), 1,
      anon_sym_LBRACE,
    STATE(8918), 1,
      sym_attribute,
    STATE(13084), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(17024), 1,
      sym__constructor_argument,
    STATE(17027), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465013] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11326), 1,
      anon_sym_LBRACE,
    STATE(8919), 1,
      sym_attribute,
    STATE(13084), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(17027), 1,
      sym_record_declaration,
    STATE(17048), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465085] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8920), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [465199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11182), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [465241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11186), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [465283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11190), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [465325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11194), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [465367] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11328), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11330), 1,
      anon_sym_GT,
    STATE(8926), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465439] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8927), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465511] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(8928), 1,
      sym_attribute,
    STATE(9339), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465583] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11334), 1,
      anon_sym_GT,
    STATE(8929), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465655] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11326), 1,
      anon_sym_LBRACE,
    STATE(8930), 1,
      sym_attribute,
    STATE(13084), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(17027), 1,
      sym_record_declaration,
    STATE(17176), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465727] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11336), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11338), 1,
      anon_sym_GT,
    STATE(8931), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465799] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8932), 1,
      sym_attribute,
    STATE(9855), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7844), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [465913] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8934), 1,
      sym_attribute,
    STATE(9681), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11198), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [466027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11202), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [466069] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8937), 1,
      sym_attribute,
    STATE(9356), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19258), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11206), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [466183] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(8939), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(12996), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(19257), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466255] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(8940), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(13019), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(19260), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466327] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8941), 1,
      sym_attribute,
    STATE(9382), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19263), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466399] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(8942), 1,
      sym_attribute,
    STATE(9557), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16393), 1,
      sym_extended_module_path,
    STATE(19269), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11210), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [466513] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(8944), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(13009), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    STATE(19268), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466585] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8945), 1,
      sym_attribute,
    STATE(9681), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466657] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(8946), 1,
      sym_attribute,
    STATE(9809), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16499), 1,
      sym_extended_module_path,
    STATE(18259), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466729] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(11346), 1,
      anon_sym_DOT,
    STATE(8947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11340), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466775] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11348), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11350), 1,
      anon_sym_GT,
    STATE(8948), 1,
      sym_attribute,
    STATE(13244), 1,
      sym__simple_type,
    STATE(14883), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11214), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [466889] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11352), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11354), 1,
      anon_sym_GT,
    STATE(8950), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11218), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467003] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11356), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11358), 1,
      anon_sym_GT,
    STATE(8952), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11222), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467159] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11360), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11362), 1,
      anon_sym_GT,
    STATE(8955), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467231] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8956), 1,
      sym_attribute,
    STATE(10084), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467303] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8957), 1,
      sym_attribute,
    STATE(10084), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467375] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8958), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11366), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [467433] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8959), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11370), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [467491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11226), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11230), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11234), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11238), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11242), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11246), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9004), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467785] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8967), 1,
      sym_attribute,
    STATE(10084), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11250), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [467899] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11372), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11374), 1,
      anon_sym_GT,
    STATE(8969), 1,
      sym_attribute,
    STATE(13268), 1,
      sym__simple_type,
    STATE(16115), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11254), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [468013] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8971), 1,
      sym_attribute,
    STATE(9761), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16562), 1,
      sym_extended_module_path,
    STATE(19673), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11258), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [468127] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8973), 1,
      sym_attribute,
    STATE(9769), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16562), 1,
      sym_extended_module_path,
    STATE(19679), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11262), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [468241] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(8975), 1,
      sym_attribute,
    STATE(9777), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16562), 1,
      sym_extended_module_path,
    STATE(19680), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468313] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8976), 1,
      sym_attribute,
    STATE(9681), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468385] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8977), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11378), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468443] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_DOT,
    ACTIONS(11280), 1,
      anon_sym_POUND,
    ACTIONS(11282), 1,
      sym_hash_operator,
    STATE(8978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7822), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7824), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [468491] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11382), 1,
      anon_sym_GT,
    STATE(8979), 1,
      sym_attribute,
    STATE(13248), 1,
      sym__simple_type,
    STATE(15225), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468563] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(8980), 1,
      sym_attribute,
    STATE(9810), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16499), 1,
      sym_extended_module_path,
    STATE(18267), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468635] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11384), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11386), 1,
      anon_sym_GT,
    STATE(8981), 1,
      sym_attribute,
    STATE(13271), 1,
      sym__simple_type,
    STATE(15448), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11266), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [468749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(10830), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [468791] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8984), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7924), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [468891] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8986), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468949] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11396), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11398), 1,
      anon_sym_GT,
    STATE(8987), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469021] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11400), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11402), 1,
      anon_sym_GT,
    STATE(8988), 1,
      sym_attribute,
    STATE(13263), 1,
      sym__simple_type,
    STATE(15891), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469093] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8989), 1,
      sym_attribute,
    STATE(9447), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(18694), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11274), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [469207] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11406), 1,
      anon_sym_GT,
    STATE(8991), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469279] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(8992), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [469337] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8993), 1,
      sym_attribute,
    STATE(9163), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469409] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8994), 1,
      sym_attribute,
    STATE(9448), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(18695), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469481] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8995), 1,
      sym_attribute,
    STATE(9163), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469553] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(8996), 1,
      sym_attribute,
    STATE(9451), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16282), 1,
      sym_extended_module_path,
    STATE(18696), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469625] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11410), 1,
      anon_sym_GT,
    STATE(8997), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469697] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11412), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11414), 1,
      anon_sym_GT,
    STATE(8998), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469769] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8999), 1,
      sym_attribute,
    STATE(9163), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469841] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11416), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11418), 1,
      anon_sym_GT,
    STATE(9000), 1,
      sym_attribute,
    STATE(13266), 1,
      sym__simple_type,
    STATE(16122), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469913] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8984), 1,
      sym__simple_type,
    STATE(9001), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(20141), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469985] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8986), 1,
      sym__simple_type,
    STATE(9002), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(20144), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470057] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11420), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11422), 1,
      anon_sym_GT,
    STATE(9003), 1,
      sym_attribute,
    STATE(13231), 1,
      sym__simple_type,
    STATE(16210), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470129] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8992), 1,
      sym__simple_type,
    STATE(9004), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16473), 1,
      sym_extended_module_path,
    STATE(20145), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470201] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11424), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11426), 1,
      anon_sym_GT,
    STATE(9005), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470273] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9006), 1,
      sym_attribute,
    STATE(9968), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470345] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11428), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11430), 1,
      anon_sym_GT,
    STATE(9007), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470417] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9008), 1,
      sym_attribute,
    STATE(9693), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(17213), 1,
      sym_extended_module_path,
    STATE(18706), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470489] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9009), 1,
      sym_attribute,
    STATE(9968), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470561] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9010), 1,
      sym_attribute,
    STATE(9638), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(17213), 1,
      sym_extended_module_path,
    STATE(18886), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7928), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [470675] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11432), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11434), 1,
      anon_sym_GT,
    STATE(9012), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7932), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [470789] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9014), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10482), 1,
      sym__simple_type,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470861] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9015), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(10482), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470933] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11148), 1,
      sym__identifier,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    STATE(9016), 1,
      sym_attribute,
    STATE(9466), 1,
      sym_type_constructor_path,
    STATE(16776), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [470985] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11436), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11438), 1,
      anon_sym_GT,
    STATE(9017), 1,
      sym_attribute,
    STATE(13209), 1,
      sym__simple_type,
    STATE(15946), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471057] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11440), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11442), 1,
      anon_sym_GT,
    STATE(9018), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7942), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471171] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11444), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11446), 1,
      anon_sym_GT,
    STATE(9020), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11448), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [471285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7790), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7643), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7950), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7910), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471453] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11452), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11454), 1,
      anon_sym_GT,
    STATE(9026), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471525] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9027), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(10482), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7980), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471639] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9029), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8004), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471753] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9031), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8012), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [471867] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9033), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10235), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(20036), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471939] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9034), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10237), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(20038), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8016), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [472053] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9036), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10280), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    STATE(20053), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472125] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9037), 1,
      sym_attribute,
    STATE(9361), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8020), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [472239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7958), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [472281] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9040), 1,
      sym_attribute,
    STATE(9213), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16595), 1,
      sym_extended_module_path,
    STATE(17355), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472353] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9041), 1,
      sym_attribute,
    STATE(9214), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16595), 1,
      sym_extended_module_path,
    STATE(17356), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472425] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9042), 1,
      sym_attribute,
    STATE(9220), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16595), 1,
      sym_extended_module_path,
    STATE(17357), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472497] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7962), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [472539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7966), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [472581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11312), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [472623] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11458), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11460), 1,
      anon_sym_GT,
    STATE(9046), 1,
      sym_attribute,
    STATE(13220), 1,
      sym__simple_type,
    STATE(14877), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7828), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [472737] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11462), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11464), 1,
      anon_sym_GT,
    STATE(9048), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472809] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11466), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11468), 1,
      anon_sym_GT,
    STATE(9049), 1,
      sym_attribute,
    STATE(13200), 1,
      sym__simple_type,
    STATE(15925), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472881] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11470), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11472), 1,
      anon_sym_GT,
    STATE(9050), 1,
      sym_attribute,
    STATE(13229), 1,
      sym__simple_type,
    STATE(15011), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472953] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11474), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11476), 1,
      anon_sym_GT,
    STATE(9051), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473025] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7976), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7984), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473109] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11478), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11480), 1,
      anon_sym_GT,
    STATE(9054), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473181] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9055), 1,
      sym_attribute,
    STATE(9953), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7988), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7992), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [473379] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11484), 1,
      anon_sym_GT,
    STATE(9059), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9004), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [473493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8000), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473535] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11486), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11488), 1,
      anon_sym_GT,
    STATE(9062), 1,
      sym_attribute,
    STATE(13232), 1,
      sym__simple_type,
    STATE(15031), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473607] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9063), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10498), 1,
      sym__simple_type,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8032), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473721] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9065), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(10498), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8036), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8040), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7832), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [473919] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11490), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11492), 1,
      anon_sym_GT,
    STATE(9069), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473991] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11494), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11496), 1,
      anon_sym_GT,
    STATE(9070), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474063] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11296), 1,
      sym__identifier,
    ACTIONS(11498), 1,
      anon_sym_POUND,
    STATE(9071), 1,
      sym_attribute,
    STATE(9566), 1,
      sym_type_constructor_path,
    STATE(16742), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [474115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8008), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11502), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11500), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [474199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7920), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474241] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9075), 1,
      sym_attribute,
    STATE(9968), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7884), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8044), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474397] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9078), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(10498), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8048), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474511] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11506), 1,
      anon_sym_GT,
    STATE(9080), 1,
      sym_attribute,
    STATE(13254), 1,
      sym__simple_type,
    STATE(15181), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474583] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9081), 1,
      sym_attribute,
    STATE(9953), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7902), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474697] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11508), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11510), 1,
      anon_sym_GT,
    STATE(9083), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7906), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8052), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [474853] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11512), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11514), 1,
      anon_sym_GT,
    STATE(9086), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474925] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9087), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10308), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(17847), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474997] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9088), 1,
      sym_attribute,
    STATE(10135), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(17859), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475069] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9089), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(16421), 1,
      sym_extended_module_path,
    STATE(17914), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475141] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11516), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11518), 1,
      anon_sym_GT,
    STATE(9090), 1,
      sym_attribute,
    STATE(13205), 1,
      sym__simple_type,
    STATE(15336), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475213] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11520), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11522), 1,
      anon_sym_GT,
    STATE(9091), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475285] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11526), 1,
      anon_sym_GT,
    STATE(9092), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475357] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11296), 1,
      sym__identifier,
    ACTIONS(11498), 1,
      anon_sym_POUND,
    STATE(9093), 1,
      sym_attribute,
    STATE(9566), 1,
      sym_type_constructor_path,
    STATE(16742), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10836), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [475409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8056), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [475451] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    STATE(9095), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8060), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [475551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8064), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [475593] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11528), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11530), 1,
      anon_sym_GT,
    STATE(9098), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475665] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    STATE(9099), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11370), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [475723] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11532), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11534), 1,
      anon_sym_GT,
    STATE(9100), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475795] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7713), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [475837] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11536), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11538), 1,
      anon_sym_GT,
    STATE(9102), 1,
      sym_attribute,
    STATE(13262), 1,
      sym__simple_type,
    STATE(15893), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475909] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11540), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11542), 1,
      anon_sym_GT,
    STATE(9103), 1,
      sym_attribute,
    STATE(13235), 1,
      sym__simple_type,
    STATE(15584), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475981] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11544), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11546), 1,
      anon_sym_GT,
    STATE(9104), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8076), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476095] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11548), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11550), 1,
      anon_sym_GT,
    STATE(9106), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476167] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11552), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11554), 1,
      anon_sym_GT,
    STATE(9107), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476239] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8068), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476281] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_DOT,
    STATE(9109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8080), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476325] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11556), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11558), 1,
      anon_sym_GT,
    STATE(9110), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476397] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9111), 1,
      sym_attribute,
    STATE(9237), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10645), 1,
      sym__constructor_argument,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476469] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(105), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7617), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10299), 1,
      anon_sym_external,
    ACTIONS(10792), 1,
      anon_sym_open,
    ACTIONS(10876), 1,
      anon_sym_type,
    ACTIONS(10880), 1,
      anon_sym_exception,
    ACTIONS(10882), 1,
      anon_sym_module,
    ACTIONS(10884), 1,
      anon_sym_include,
    ACTIONS(10886), 1,
      anon_sym_class,
    ACTIONS(10888), 1,
      anon_sym_val,
    STATE(9112), 1,
      sym_attribute,
    STATE(12587), 1,
      aux_sym__structure_repeat1,
    STATE(12636), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12620), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [476537] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9113), 1,
      sym_attribute,
    STATE(9237), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10432), 1,
      sym__constructor_argument,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7812), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476651] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11562), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11560), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8088), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8092), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8096), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476821] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8100), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476863] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    STATE(9120), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11378), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [476921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8104), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [476963] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11564), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11566), 1,
      anon_sym_GT,
    STATE(9122), 1,
      sym_attribute,
    STATE(13249), 1,
      sym__simple_type,
    STATE(15708), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477035] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9123), 1,
      sym_attribute,
    STATE(9237), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(10459), 1,
      sym__constructor_argument,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8108), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477149] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11568), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11570), 1,
      anon_sym_GT,
    STATE(9125), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477221] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11572), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11574), 1,
      anon_sym_GT,
    STATE(9126), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8112), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8116), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477377] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9129), 1,
      sym_attribute,
    STATE(9135), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(17303), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477449] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9130), 1,
      sym_attribute,
    STATE(9140), 1,
      sym__simple_type,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(17304), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477521] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9168), 1,
      anon_sym_LBRACE,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(8853), 1,
      sym__simple_type,
    STATE(9131), 1,
      sym_attribute,
    STATE(10230), 1,
      sym_record_declaration,
    STATE(17013), 1,
      sym_extended_module_path,
    STATE(17311), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8120), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8124), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8128), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477719] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    STATE(9135), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [477777] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11576), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11578), 1,
      anon_sym_GT,
    STATE(9136), 1,
      sym_attribute,
    STATE(13251), 1,
      sym__simple_type,
    STATE(15871), 1,
      sym_method_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477849] = 20,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    ACTIONS(11580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11582), 1,
      anon_sym_GT,
    STATE(9137), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8028), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [477963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7816), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478005] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    STATE(9140), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7820), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7721), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7914), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [478189] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11584), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    ACTIONS(11594), 1,
      sym_rel_operator,
    ACTIONS(11596), 1,
      sym_and_operator,
    ACTIONS(11598), 1,
      sym_or_operator,
    ACTIONS(11600), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [478252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11222), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11274), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8058), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478375] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9148), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11198), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11202), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8062), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11198), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478596] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11608), 1,
      anon_sym_POUND,
    STATE(9153), 1,
      sym_attribute,
    STATE(9684), 1,
      sym_type_constructor_path,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [478647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11206), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478688] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9155), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11370), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11262), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478786] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11612), 1,
      anon_sym_POUND,
    STATE(9157), 1,
      sym_attribute,
    STATE(9814), 1,
      sym_type_constructor_path,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [478837] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11614), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(9158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [478882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11618), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11616), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [478923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11190), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [478964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(9161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9004), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479050] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    ACTIONS(11624), 1,
      anon_sym_STAR,
    STATE(9163), 1,
      sym_attribute,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(10384), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11622), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11214), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479146] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479189] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9166), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17145), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11250), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11138), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11218), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8056), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [479422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11254), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11222), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8060), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [479545] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11630), 1,
      anon_sym_PIPE,
    STATE(9174), 1,
      sym_attribute,
    STATE(9176), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479590] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11630), 1,
      anon_sym_PIPE,
    STATE(9175), 1,
      sym_attribute,
    STATE(9178), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479635] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11630), 1,
      anon_sym_PIPE,
    STATE(9176), 1,
      sym_attribute,
    STATE(9179), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11226), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479721] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11630), 1,
      anon_sym_PIPE,
    STATE(9178), 1,
      sym_attribute,
    STATE(9179), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479766] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11632), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9179), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [479809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7976), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [479850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11258), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [479891] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(11635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11637), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(9182), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10837), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11100), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [479946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8064), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [479987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11210), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480069] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(11635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11637), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(9186), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10784), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11096), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [480124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11202), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11258), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480206] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7936), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [480249] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(11635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11637), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(9190), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10799), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11130), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [480304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11190), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11641), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11639), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480386] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9034), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11645), 1,
      anon_sym_let,
    ACTIONS(11647), 1,
      anon_sym_EQ,
    ACTIONS(11649), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    STATE(9193), 1,
      sym_attribute,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10055), 1,
      sym__type_equation,
    STATE(10248), 1,
      aux_sym_type_binding_repeat1,
    STATE(10362), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480447] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [480490] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11614), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(9195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [480535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11238), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11655), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11653), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11226), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480658] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9199), 1,
      sym_attribute,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480715] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9200), 1,
      sym_attribute,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11370), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [480772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8066), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480813] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11665), 1,
      anon_sym_LPAREN,
    STATE(9737), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9202), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11663), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11661), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [480899] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [480942] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11670), 1,
      anon_sym_let,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(11676), 1,
      anon_sym_COLON2,
    STATE(9205), 1,
      sym_attribute,
    STATE(9243), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10068), 1,
      sym__module_typed,
    STATE(10587), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11672), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11668), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [481001] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    ACTIONS(11594), 1,
      sym_rel_operator,
    ACTIONS(11596), 1,
      sym_and_operator,
    ACTIONS(11598), 1,
      sym_or_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10069), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [481060] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9034), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11645), 1,
      anon_sym_let,
    ACTIONS(11678), 1,
      anon_sym_EQ,
    ACTIONS(11680), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9207), 1,
      sym_attribute,
    STATE(9935), 1,
      sym__type_equation,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10161), 1,
      aux_sym_type_binding_repeat1,
    STATE(10362), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [481121] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9208), 1,
      sym_attribute,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11378), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481178] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [481229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11230), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [481270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11234), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [481311] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11588), 1,
      sym_pow_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [481356] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9213), 1,
      sym_attribute,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481413] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9214), 1,
      sym_attribute,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481470] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11588), 1,
      sym_pow_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [481515] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [481568] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [481621] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    ACTIONS(11594), 1,
      sym_rel_operator,
    ACTIONS(11596), 1,
      sym_and_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [481678] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    ACTIONS(11594), 1,
      sym_rel_operator,
    ACTIONS(11596), 1,
      sym_and_operator,
    ACTIONS(11598), 1,
      sym_or_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [481737] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9220), 1,
      sym_attribute,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [481794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [481835] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11584), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    ACTIONS(11594), 1,
      sym_rel_operator,
    ACTIONS(11596), 1,
      sym_and_operator,
    ACTIONS(11598), 1,
      sym_or_operator,
    ACTIONS(11600), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [481898] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [481945] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11670), 1,
      anon_sym_let,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(11684), 1,
      anon_sym_COLON2,
    STATE(9224), 1,
      sym_attribute,
    STATE(9294), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10068), 1,
      sym__module_typed,
    STATE(10587), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11672), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11668), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482004] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11584), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    ACTIONS(11594), 1,
      sym_rel_operator,
    ACTIONS(11596), 1,
      sym_and_operator,
    ACTIONS(11598), 1,
      sym_or_operator,
    ACTIONS(11600), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [482067] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9226), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11378), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [482124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8054), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11254), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11238), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11182), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8058), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8062), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10872), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10870), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482452] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7958), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [482536] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    ACTIONS(11686), 1,
      anon_sym_STAR,
    STATE(9237), 1,
      sym_attribute,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(10528), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11622), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [482591] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11584), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    ACTIONS(11594), 1,
      sym_rel_operator,
    ACTIONS(11596), 1,
      sym_and_operator,
    ACTIONS(11598), 1,
      sym_or_operator,
    ACTIONS(11600), 1,
      sym_assign_operator,
    ACTIONS(11688), 1,
      anon_sym_SEMI,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [482656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7988), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [482697] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9034), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11680), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(11692), 1,
      anon_sym_let,
    ACTIONS(11694), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9240), 1,
      sym_attribute,
    STATE(10021), 1,
      sym__type_equation,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10185), 1,
      aux_sym_type_binding_repeat1,
    STATE(10402), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11690), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8066), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [482799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7992), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [482840] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(11676), 1,
      anon_sym_COLON2,
    ACTIONS(11698), 1,
      anon_sym_let,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9243), 1,
      sym_attribute,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(9956), 1,
      sym__module_typed,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10544), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11696), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482899] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9244), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16425), 1,
      sym__tuple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11242), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483009] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11620), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(9246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [483054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(9247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7936), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [483097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11246), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483138] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11702), 1,
      anon_sym_COLON2,
    STATE(9249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11262), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483263] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9252), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16449), 1,
      sym__tuple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11706), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11704), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11230), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483414] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9255), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483471] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9256), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [483528] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11500), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11242), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483612] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9259), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16259), 1,
      sym__tuple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8054), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11274), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483886] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9265), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16311), 1,
      sym__tuple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9004), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [483996] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9034), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11649), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(11692), 1,
      anon_sym_let,
    ACTIONS(11708), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9267), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10052), 1,
      sym__type_equation,
    STATE(10241), 1,
      aux_sym_type_binding_repeat1,
    STATE(10402), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11690), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484057] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9268), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16345), 1,
      sym__tuple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11206), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11210), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484249] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6805), 1,
      anon_sym_object,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11710), 1,
      sym__identifier,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_LPAREN,
    ACTIONS(11716), 1,
      anon_sym_BANG,
    ACTIONS(11718), 1,
      anon_sym_LBRACK,
    ACTIONS(11720), 1,
      anon_sym_fun,
    STATE(2527), 1,
      sym__simple_class_expression,
    STATE(9272), 1,
      sym_attribute,
    STATE(12648), 1,
      sym__class_expression,
    STATE(18298), 1,
      sym_value_definition,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8244), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [484320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [484361] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(9274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [484404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5713), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(5711), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11214), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11138), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11218), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484568] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9279), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17041), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484637] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9280), 1,
      sym_attribute,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17066), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484706] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9281), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [484763] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11702), 1,
      anon_sym_COLON2,
    STATE(9282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11266), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [484888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11194), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11266), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [484970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 25,
      ts_builtin_sym_end,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [485011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11186), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [485052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11234), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [485093] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(9290), 1,
      sym_attribute,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17267), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485162] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9287), 1,
      sym_tuple_type,
    STATE(9291), 1,
      sym_attribute,
    STATE(11033), 1,
      sym__simple_type,
    STATE(16284), 1,
      sym__tuple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485231] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11584), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11588), 1,
      sym_pow_operator,
    ACTIONS(11590), 1,
      sym_mult_operator,
    ACTIONS(11592), 1,
      sym_concat_operator,
    ACTIONS(11594), 1,
      sym_rel_operator,
    ACTIONS(11596), 1,
      sym_and_operator,
    ACTIONS(11598), 1,
      sym_or_operator,
    ACTIONS(11600), 1,
      sym_assign_operator,
    STATE(2164), 1,
      sym_add_operator,
    STATE(9292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10148), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [485294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11194), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [485335] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(11684), 1,
      anon_sym_COLON2,
    ACTIONS(11698), 1,
      anon_sym_let,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9294), 1,
      sym_attribute,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(9956), 1,
      sym__module_typed,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10544), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11696), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7984), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [485435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8054), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8008), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485555] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9299), 1,
      sym_attribute,
    STATE(15687), 1,
      sym__class_expression,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [485623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11310), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11308), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8054), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8058), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8062), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8066), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8058), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8062), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8066), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [485983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486103] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9312), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [486153] = 18,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11142), 1,
      sym__identifier,
    STATE(9313), 1,
      sym_attribute,
    STATE(13535), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    STATE(17039), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11736), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
    ACTIONS(11734), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__identifier,
  [486259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486499] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9321), 1,
      sym_attribute,
    STATE(15901), 1,
      sym__class_expression,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [486567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8056), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8060), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8064), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8068), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [486807] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_PIPE,
    STATE(9328), 1,
      sym_attribute,
    STATE(9330), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [486851] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_PIPE,
    STATE(9329), 1,
      sym_attribute,
    STATE(9331), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [486895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_PIPE,
    STATE(9330), 1,
      sym_attribute,
    STATE(9332), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [486939] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_PIPE,
    STATE(9331), 1,
      sym_attribute,
    STATE(9332), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [486983] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11740), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9332), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [487025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [487065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11562), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11560), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [487105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11745), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11743), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [487145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [487185] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    ACTIONS(11749), 1,
      anon_sym_POUND,
    ACTIONS(11751), 1,
      sym_hash_operator,
    STATE(9337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487231] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    ACTIONS(11749), 1,
      anon_sym_POUND,
    ACTIONS(11751), 1,
      sym_hash_operator,
    STATE(9338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487277] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    ACTIONS(11753), 1,
      anon_sym_STAR,
    STATE(9339), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(10768), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11622), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [487331] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9340), 1,
      sym_attribute,
    STATE(10545), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487399] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11771), 1,
      anon_sym_COLON,
    STATE(9341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8178), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [487441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [487481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10830), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [487521] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11773), 1,
      anon_sym_POUND,
    STATE(9344), 1,
      sym_attribute,
    STATE(9915), 1,
      sym_type_constructor_path,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10842), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [487571] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9345), 1,
      sym_attribute,
    STATE(15384), 1,
      sym__class_expression,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7972), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [487679] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6805), 1,
      anon_sym_object,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11710), 1,
      sym__identifier,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_LPAREN,
    ACTIONS(11718), 1,
      anon_sym_LBRACK,
    ACTIONS(11720), 1,
      anon_sym_fun,
    STATE(2527), 1,
      sym__simple_class_expression,
    STATE(9347), 1,
      sym_attribute,
    STATE(12656), 1,
      sym__class_expression,
    STATE(18298), 1,
      sym_value_definition,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8244), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487747] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9348), 1,
      sym_attribute,
    STATE(10349), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [487855] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11775), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(9350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [487899] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9351), 1,
      sym_attribute,
    STATE(10403), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487967] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [488009] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9353), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10836), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [488059] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11787), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    ACTIONS(11797), 1,
      sym_rel_operator,
    ACTIONS(11799), 1,
      sym_and_operator,
    ACTIONS(11801), 1,
      sym_or_operator,
    ACTIONS(11803), 1,
      sym_assign_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [488121] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [488163] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9356), 1,
      sym_attribute,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [488219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11807), 24,
      ts_builtin_sym_end,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [488259] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(9358), 1,
      sym_attribute,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11813), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10828), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [488349] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    STATE(9360), 1,
      sym_attribute,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10783), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11823), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11815), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488401] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    ACTIONS(11827), 1,
      anon_sym_STAR,
    STATE(9361), 1,
      sym_attribute,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(10891), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11622), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [488455] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9362), 1,
      sym_attribute,
    STATE(10505), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488523] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9363), 1,
      sym_attribute,
    STATE(10529), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488591] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9192), 1,
      sym__class_expression,
    STATE(9364), 1,
      sym_attribute,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [488699] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9366), 1,
      sym_attribute,
    STATE(10377), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488767] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9367), 1,
      sym_attribute,
    STATE(10576), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11831), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11829), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488875] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9253), 1,
      sym__class_expression,
    STATE(9369), 1,
      sym_attribute,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488943] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9159), 1,
      sym__class_expression,
    STATE(9370), 1,
      sym_attribute,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489011] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9371), 1,
      sym_attribute,
    STATE(10545), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489079] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9372), 1,
      sym_attribute,
    STATE(10349), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489147] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9373), 1,
      sym_attribute,
    STATE(10639), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489215] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9374), 1,
      sym_attribute,
    STATE(10357), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489283] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9375), 1,
      sym_attribute,
    STATE(10435), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489351] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9376), 1,
      sym_attribute,
    STATE(10437), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489419] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9377), 1,
      sym_attribute,
    STATE(10443), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489487] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9378), 1,
      sym_attribute,
    STATE(10491), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489555] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9379), 1,
      sym_attribute,
    STATE(10496), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489623] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9380), 1,
      sym_attribute,
    STATE(10514), 1,
      sym__class_expression,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489691] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(9381), 1,
      sym_attribute,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11813), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489741] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9382), 1,
      sym_attribute,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [489797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [489837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7788), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7790), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [489877] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9385), 1,
      sym_attribute,
    STATE(10435), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [489945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7978), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7980), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [489985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8004), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8012), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8014), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8016), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8018), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8020), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490145] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9391), 1,
      sym_attribute,
    STATE(10437), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [490213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8030), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8032), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8034), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8036), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8038), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8040), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490333] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9395), 1,
      sym_attribute,
    STATE(10443), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [490401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8044), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8048), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8052), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7711), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7713), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8076), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490601] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    STATE(9401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8080), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7810), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7812), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8088), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8092), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8096), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8100), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [490963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8026), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8028), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491163] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9415), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11366), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [491219] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9416), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11370), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [491275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7814), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7816), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7818), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7820), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7719), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7721), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7723), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7725), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11775), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(9421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [491479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7727), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7729), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7834), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7836), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7838), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7840), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7874), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7876), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7878), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7880), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7733), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7735), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7796), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7798), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7802), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7804), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11835), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11833), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7886), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7888), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491879] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9432), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11378), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [491935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7892), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7894), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [491975] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10069), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [492033] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [492083] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11839), 1,
      sym_pow_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [492127] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11839), 1,
      sym_pow_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [492171] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [492223] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [492275] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [492331] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [492389] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      anon_sym_COMMA,
    ACTIONS(11853), 1,
      sym_assign_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [492451] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [492497] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      anon_sym_COMMA,
    ACTIONS(11853), 1,
      sym_assign_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [492559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [492599] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      anon_sym_COMMA,
    ACTIONS(11853), 1,
      sym_assign_operator,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [492661] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9447), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [492717] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9448), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [492773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7996), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [492813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7667), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7669), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [492853] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9451), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [492909] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9192), 1,
      sym__class_expression,
    STATE(9452), 1,
      sym_attribute,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [492977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7946), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [493017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7896), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7898), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7673), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7675), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493097] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11787), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    ACTIONS(11797), 1,
      sym_rel_operator,
    ACTIONS(11799), 1,
      sym_and_operator,
    ACTIONS(11801), 1,
      sym_or_operator,
    ACTIONS(11803), 1,
      sym_assign_operator,
    ACTIONS(11871), 1,
      anon_sym_SEMI,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [493161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493201] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9458), 1,
      sym_attribute,
    STATE(10491), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [493269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493309] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11875), 1,
      anon_sym_let,
    ACTIONS(11877), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9460), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11873), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7908), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7910), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7912), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7914), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7826), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7828), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493633] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9468), 1,
      sym_attribute,
    STATE(10496), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [493701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7830), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7832), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7842), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7844), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7918), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7920), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7882), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7884), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7900), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7902), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [493941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7904), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7906), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [493981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494021] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9477), 1,
      sym_attribute,
    STATE(10403), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494329] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9484), 1,
      sym_attribute,
    STATE(10505), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494397] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9485), 1,
      sym_attribute,
    STATE(10529), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494465] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9192), 1,
      sym__class_expression,
    STATE(9486), 1,
      sym_attribute,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494573] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9488), 1,
      sym_attribute,
    STATE(10377), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494641] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9489), 1,
      sym_attribute,
    STATE(10576), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494749] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9253), 1,
      sym__class_expression,
    STATE(9491), 1,
      sym_attribute,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [494857] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9159), 1,
      sym__class_expression,
    STATE(9493), 1,
      sym_attribute,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494925] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9253), 1,
      sym__class_expression,
    STATE(9494), 1,
      sym_attribute,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [494993] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9495), 1,
      sym_attribute,
    STATE(10545), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495061] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9496), 1,
      sym_attribute,
    STATE(10349), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495129] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9497), 1,
      sym_attribute,
    STATE(10377), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495197] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9498), 1,
      sym_attribute,
    STATE(10639), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495265] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9499), 1,
      sym_attribute,
    STATE(10357), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495333] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9500), 1,
      sym_attribute,
    STATE(10435), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495401] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9501), 1,
      sym_attribute,
    STATE(10437), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495469] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9502), 1,
      sym_attribute,
    STATE(10443), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495537] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9503), 1,
      sym_attribute,
    STATE(10491), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495605] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9504), 1,
      sym_attribute,
    STATE(10496), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495673] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9505), 1,
      sym_attribute,
    STATE(10514), 1,
      sym__class_expression,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495781] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9507), 1,
      sym_attribute,
    STATE(15850), 1,
      sym__class_expression,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [495889] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9509), 1,
      sym_attribute,
    STATE(10514), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [495957] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11839), 1,
      sym_pow_operator,
    ACTIONS(11841), 1,
      sym_mult_operator,
    ACTIONS(11843), 1,
      sym_concat_operator,
    ACTIONS(11845), 1,
      sym_rel_operator,
    ACTIONS(11847), 1,
      sym_and_operator,
    ACTIONS(11849), 1,
      sym_or_operator,
    ACTIONS(11851), 1,
      anon_sym_COMMA,
    ACTIONS(11853), 1,
      sym_assign_operator,
    ACTIONS(11890), 1,
      anon_sym_SEMI,
    STATE(2352), 1,
      sym_add_operator,
    STATE(9510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [496021] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9159), 1,
      sym__class_expression,
    STATE(9511), 1,
      sym_attribute,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [496089] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9512), 1,
      sym_attribute,
    STATE(10576), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [496157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496277] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6805), 1,
      anon_sym_object,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11710), 1,
      sym__identifier,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_LPAREN,
    ACTIONS(11718), 1,
      anon_sym_LBRACK,
    ACTIONS(11720), 1,
      anon_sym_fun,
    STATE(2527), 1,
      sym__simple_class_expression,
    STATE(9253), 1,
      sym__class_expression,
    STATE(9516), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_value_definition,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8244), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [496345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11894), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11892), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496385] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6805), 1,
      anon_sym_object,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11710), 1,
      sym__identifier,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_LPAREN,
    ACTIONS(11718), 1,
      anon_sym_LBRACK,
    ACTIONS(11720), 1,
      anon_sym_fun,
    STATE(2527), 1,
      sym__simple_class_expression,
    STATE(9159), 1,
      sym__class_expression,
    STATE(9518), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_value_definition,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8244), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [496453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496493] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [496535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11736), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_directive_token1,
    ACTIONS(11734), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__identifier,
  [496575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496615] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [496657] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9524), 1,
      sym_attribute,
    STATE(10403), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [496725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10830), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [496765] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11896), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(9526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [496809] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9527), 1,
      sym_attribute,
    STATE(10505), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [496877] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9528), 1,
      sym_attribute,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [496927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7924), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [496967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7643), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [497007] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9531), 1,
      sym_attribute,
    STATE(10529), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [497115] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9533), 1,
      sym_attribute,
    STATE(10505), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497183] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9534), 1,
      sym_attribute,
    STATE(10529), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497251] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9192), 1,
      sym__class_expression,
    STATE(9535), 1,
      sym_attribute,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497319] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9536), 1,
      sym_attribute,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10836), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [497369] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11898), 1,
      anon_sym_LPAREN,
    ACTIONS(11900), 1,
      anon_sym_LBRACK,
    STATE(9537), 1,
      sym_attribute,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10919), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11902), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11815), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497421] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9538), 1,
      sym_attribute,
    STATE(10377), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497489] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9539), 1,
      sym_attribute,
    STATE(10576), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497557] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9253), 1,
      sym__class_expression,
    STATE(9540), 1,
      sym_attribute,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497625] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6299), 1,
      anon_sym_object,
    ACTIONS(8446), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8448), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11777), 1,
      sym__identifier,
    ACTIONS(11779), 1,
      anon_sym_let,
    ACTIONS(11781), 1,
      anon_sym_LPAREN,
    ACTIONS(11783), 1,
      anon_sym_LBRACK,
    ACTIONS(11785), 1,
      anon_sym_fun,
    STATE(2495), 1,
      sym__simple_class_expression,
    STATE(9159), 1,
      sym__class_expression,
    STATE(9541), 1,
      sym_attribute,
    STATE(17440), 1,
      sym_module_path,
    STATE(19332), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7592), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 10,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(7954), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [497733] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9543), 1,
      sym_attribute,
    STATE(10545), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497801] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9544), 1,
      sym_attribute,
    STATE(10349), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497869] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11904), 1,
      anon_sym_POUND,
    STATE(9545), 1,
      sym_attribute,
    STATE(10073), 1,
      sym_type_constructor_path,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10842), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [497919] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9546), 1,
      sym_attribute,
    STATE(10639), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [497987] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9547), 1,
      sym_attribute,
    STATE(10357), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498055] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9548), 1,
      sym_attribute,
    STATE(10435), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498123] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9549), 1,
      sym_attribute,
    STATE(10437), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498191] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9550), 1,
      sym_attribute,
    STATE(10443), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498259] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9551), 1,
      sym_attribute,
    STATE(10491), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498327] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9552), 1,
      sym_attribute,
    STATE(10496), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498395] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11855), 1,
      sym__identifier,
    ACTIONS(11857), 1,
      anon_sym_let,
    ACTIONS(11859), 1,
      anon_sym_LPAREN,
    ACTIONS(11861), 1,
      anon_sym_LBRACK,
    ACTIONS(11863), 1,
      anon_sym_object,
    ACTIONS(11865), 1,
      anon_sym_fun,
    ACTIONS(11867), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11869), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2465), 1,
      sym__simple_class_expression,
    STATE(9553), 1,
      sym_attribute,
    STATE(10514), 1,
      sym__class_expression,
    STATE(17671), 1,
      sym_value_definition,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7265), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498463] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9554), 1,
      sym_attribute,
    STATE(10639), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498531] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9555), 1,
      sym_attribute,
    STATE(15794), 1,
      sym__class_expression,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498599] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9556), 1,
      sym_attribute,
    STATE(10357), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498667] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9557), 1,
      sym_attribute,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [498723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11809), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11807), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 24,
      ts_builtin_sym_end,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498803] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6805), 1,
      anon_sym_object,
    ACTIONS(8438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8440), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11710), 1,
      sym__identifier,
    ACTIONS(11712), 1,
      anon_sym_let,
    ACTIONS(11714), 1,
      anon_sym_LPAREN,
    ACTIONS(11718), 1,
      anon_sym_LBRACK,
    ACTIONS(11720), 1,
      anon_sym_fun,
    STATE(2527), 1,
      sym__simple_class_expression,
    STATE(9192), 1,
      sym__class_expression,
    STATE(9560), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_value_definition,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8244), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [498871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [498911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [498951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [498991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11908), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11906), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11912), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11910), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11916), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11914), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499191] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(7527), 1,
      anon_sym_object,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11722), 1,
      sym__identifier,
    ACTIONS(11724), 1,
      anon_sym_let,
    ACTIONS(11726), 1,
      anon_sym_LPAREN,
    ACTIONS(11728), 1,
      anon_sym_LBRACK,
    ACTIONS(11730), 1,
      anon_sym_fun,
    STATE(2622), 1,
      sym__simple_class_expression,
    STATE(9569), 1,
      sym_attribute,
    STATE(15409), 1,
      sym__class_expression,
    STATE(19885), 1,
      sym_value_definition,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9812), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7928), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7932), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499339] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(9572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7942), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7946), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7994), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7996), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499501] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11755), 1,
      sym__identifier,
    ACTIONS(11757), 1,
      anon_sym_let,
    ACTIONS(11759), 1,
      anon_sym_LPAREN,
    ACTIONS(11761), 1,
      anon_sym_LBRACK,
    ACTIONS(11763), 1,
      anon_sym_object,
    ACTIONS(11765), 1,
      anon_sym_fun,
    ACTIONS(11767), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11769), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2469), 1,
      sym__simple_class_expression,
    STATE(9576), 1,
      sym_attribute,
    STATE(10403), 1,
      sym__class_expression,
    STATE(19117), 1,
      sym_value_definition,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7312), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7950), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499649] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9192), 1,
      sym__class_expression,
    STATE(9579), 1,
      sym_attribute,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [499717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [499757] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    ACTIONS(11749), 1,
      anon_sym_POUND,
    ACTIONS(11751), 1,
      sym_hash_operator,
    STATE(9581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9406), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9404), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499803] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11747), 1,
      anon_sym_DOT,
    ACTIONS(11749), 1,
      anon_sym_POUND,
    ACTIONS(11751), 1,
      sym_hash_operator,
    STATE(9582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9410), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9408), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7958), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7962), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7966), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [499969] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(9586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7936), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500011] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9253), 1,
      sym__class_expression,
    STATE(9587), 1,
      sym_attribute,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500079] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(353), 1,
      sym_let_operator,
    ACTIONS(6199), 1,
      anon_sym_object,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(11880), 1,
      sym__identifier,
    ACTIONS(11882), 1,
      anon_sym_let,
    ACTIONS(11884), 1,
      anon_sym_LPAREN,
    ACTIONS(11886), 1,
      anon_sym_LBRACK,
    ACTIONS(11888), 1,
      anon_sym_fun,
    STATE(2490), 1,
      sym__simple_class_expression,
    STATE(9159), 1,
      sym__class_expression,
    STATE(9588), 1,
      sym_attribute,
    STATE(17660), 1,
      sym_module_path,
    STATE(19453), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9275), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7584), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [500147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7972), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500187] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9590), 1,
      sym_attribute,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11366), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [500283] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9592), 1,
      sym_attribute,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11370), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7976), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7984), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7988), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [500459] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    ACTIONS(11797), 1,
      sym_rel_operator,
    ACTIONS(11799), 1,
      sym_and_operator,
    ACTIONS(11801), 1,
      sym_or_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [500517] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [500567] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11791), 1,
      sym_pow_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [500611] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11791), 1,
      sym_pow_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [500655] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [500707] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [500759] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    ACTIONS(11797), 1,
      sym_rel_operator,
    ACTIONS(11799), 1,
      sym_and_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [500815] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    ACTIONS(11797), 1,
      sym_rel_operator,
    ACTIONS(11799), 1,
      sym_and_operator,
    ACTIONS(11801), 1,
      sym_or_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [500873] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11787), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    ACTIONS(11797), 1,
      sym_rel_operator,
    ACTIONS(11799), 1,
      sym_and_operator,
    ACTIONS(11801), 1,
      sym_or_operator,
    ACTIONS(11803), 1,
      sym_assign_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [500935] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [500981] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11787), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    ACTIONS(11797), 1,
      sym_rel_operator,
    ACTIONS(11799), 1,
      sym_and_operator,
    ACTIONS(11801), 1,
      sym_or_operator,
    ACTIONS(11803), 1,
      sym_assign_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [501043] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11896), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(9607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [501087] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11787), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11791), 1,
      sym_pow_operator,
    ACTIONS(11793), 1,
      sym_mult_operator,
    ACTIONS(11795), 1,
      sym_concat_operator,
    ACTIONS(11797), 1,
      sym_rel_operator,
    ACTIONS(11799), 1,
      sym_and_operator,
    ACTIONS(11801), 1,
      sym_or_operator,
    ACTIONS(11803), 1,
      sym_assign_operator,
    STATE(1904), 1,
      sym_add_operator,
    STATE(9608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [501149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7992), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [501189] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9610), 1,
      sym_attribute,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11378), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8000), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [501285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [501325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7954), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [501365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [501405] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(9615), 1,
      sym_attribute,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [501454] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11918), 1,
      anon_sym_COMMA,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    ACTIONS(11928), 1,
      sym_rel_operator,
    ACTIONS(11930), 1,
      sym_and_operator,
    ACTIONS(11932), 1,
      sym_or_operator,
    ACTIONS(11934), 1,
      sym_assign_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [501515] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(9617), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11370), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [501570] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      sym__identifier,
    ACTIONS(11940), 1,
      anon_sym_COLON2,
    STATE(9618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11268), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [501615] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9619), 1,
      sym_attribute,
    STATE(10201), 1,
      sym__simple_type,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501678] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9034), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11942), 1,
      anon_sym_EQ,
    ACTIONS(11944), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9620), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10402), 1,
      aux_sym_expression_item_repeat1,
    STATE(10542), 1,
      sym__type_equation,
    STATE(10665), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11690), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [501735] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9621), 1,
      sym_attribute,
    STATE(10486), 1,
      sym__simple_type,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501798] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9622), 1,
      sym_attribute,
    STATE(10097), 1,
      sym__simple_type,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11950), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11948), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [501939] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9625), 1,
      sym_attribute,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11813), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [501988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8022), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8024), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [502027] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(9627), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11366), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [502082] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9628), 1,
      sym_attribute,
    STATE(10821), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502145] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9629), 1,
      sym_attribute,
    STATE(11313), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502247] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9631), 1,
      sym_attribute,
    STATE(11317), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502349] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10680), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10690), 1,
      anon_sym_LT,
    ACTIONS(10692), 1,
      anon_sym_POUND,
    ACTIONS(10694), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10696), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10698), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11956), 1,
      sym__identifier,
    STATE(9633), 1,
      sym_attribute,
    STATE(12551), 1,
      sym__simple_type,
    STATE(16662), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12644), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502451] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(9635), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11370), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [502506] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9636), 1,
      sym_attribute,
    STATE(13644), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502608] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(9638), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [502663] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9639), 1,
      sym_attribute,
    STATE(11367), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [502843] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(9643), 1,
      sym_attribute,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11960), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [502892] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(9644), 1,
      sym_attribute,
    STATE(9807), 1,
      sym__simple_type,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502955] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9645), 1,
      sym_attribute,
    STATE(11390), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503018] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9646), 1,
      sym_attribute,
    STATE(11391), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503081] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(9647), 1,
      sym_attribute,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11964), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [503130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11968), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11966), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503208] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9650), 1,
      sym_attribute,
    STATE(11393), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503388] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(9654), 1,
      sym_attribute,
    STATE(10231), 1,
      sym__simple_type,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503490] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(9656), 1,
      sym_attribute,
    STATE(10620), 1,
      sym__simple_type,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503592] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9969), 1,
      anon_sym_LPAREN,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9977), 1,
      anon_sym_LT,
    ACTIONS(9979), 1,
      anon_sym_POUND,
    ACTIONS(9981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9985), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11014), 1,
      sym__identifier,
    STATE(9658), 1,
      sym_attribute,
    STATE(10304), 1,
      sym__simple_type,
    STATE(16322), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10666), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503655] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(9659), 1,
      sym_attribute,
    STATE(10552), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503718] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9660), 1,
      sym_attribute,
    STATE(10524), 1,
      sym__simple_type,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503781] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(9661), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11378), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [503836] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(9662), 1,
      sym_attribute,
    STATE(9918), 1,
      sym__simple_type,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [503938] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(9664), 1,
      sym_attribute,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [503987] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(9665), 1,
      sym_attribute,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11972), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11976), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11974), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504075] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(9667), 1,
      sym_attribute,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11980), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11978), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504163] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(9669), 1,
      sym_attribute,
    STATE(10621), 1,
      sym__simple_type,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504226] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(9670), 1,
      sym_attribute,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11366), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [504281] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(9671), 1,
      sym_attribute,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11370), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [504336] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(9672), 1,
      sym_attribute,
    STATE(10047), 1,
      sym__simple_type,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11988), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11986), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9356), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [504477] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(9675), 1,
      sym_attribute,
    STATE(10202), 1,
      sym__simple_type,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8056), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [504579] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [504620] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(9381), 1,
      sym__simple_type,
    STATE(9678), 1,
      sym_attribute,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504683] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(9679), 1,
      sym_attribute,
    STATE(9865), 1,
      sym__simple_type,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504746] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9680), 1,
      sym_attribute,
    STATE(10541), 1,
      sym__simple_type,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504809] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    ACTIONS(11990), 1,
      anon_sym_STAR,
    STATE(9681), 1,
      sym_attribute,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(11055), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11622), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [504862] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(9615), 1,
      sym__simple_type,
    STATE(9682), 1,
      sym_attribute,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504925] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(9683), 1,
      sym_attribute,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11378), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [504980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [505019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [505058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8064), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [505097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [505136] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(9688), 1,
      sym_attribute,
    STATE(10203), 1,
      sym__simple_type,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505199] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(9689), 1,
      sym_attribute,
    STATE(10290), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505262] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(9690), 1,
      sym_attribute,
    STATE(13208), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505325] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(9691), 1,
      sym_attribute,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [505374] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(9692), 1,
      sym_attribute,
    STATE(9822), 1,
      sym__simple_type,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505437] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(9693), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [505492] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(9694), 1,
      sym_attribute,
    STATE(13278), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505555] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(9695), 1,
      sym_attribute,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [505610] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(9696), 1,
      sym_attribute,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [505665] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(9643), 1,
      sym__simple_type,
    STATE(9697), 1,
      sym_attribute,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505728] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(9647), 1,
      sym__simple_type,
    STATE(9698), 1,
      sym_attribute,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505791] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(9665), 1,
      sym__simple_type,
    STATE(9699), 1,
      sym_attribute,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505854] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10558), 1,
      anon_sym_LPAREN,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10568), 1,
      anon_sym_LT,
    ACTIONS(10570), 1,
      anon_sym_POUND,
    ACTIONS(10572), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10574), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10576), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11992), 1,
      sym__identifier,
    STATE(8765), 1,
      sym__simple_type,
    STATE(9700), 1,
      sym_attribute,
    STATE(16645), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8862), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505917] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11918), 1,
      anon_sym_COMMA,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    ACTIONS(11928), 1,
      sym_rel_operator,
    ACTIONS(11930), 1,
      sym_and_operator,
    ACTIONS(11932), 1,
      sym_or_operator,
    ACTIONS(11934), 1,
      sym_assign_operator,
    ACTIONS(11994), 1,
      anon_sym_SEMI,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [505980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [506019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8054), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [506058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(8068), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
  [506097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8058), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [506136] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11996), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    STATE(9706), 1,
      sym_attribute,
    STATE(10573), 1,
      sym__constructor_name,
    STATE(11447), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12000), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8062), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [506226] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(9708), 1,
      sym_attribute,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11960), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [506275] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10592), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(11635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11637), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(9709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [506324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8066), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [506363] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(9711), 1,
      sym_attribute,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11964), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [506412] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(9712), 1,
      sym_attribute,
    STATE(13284), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506475] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(9713), 1,
      sym_attribute,
    STATE(10427), 1,
      sym__simple_type,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [506577] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9625), 1,
      sym__simple_type,
    STATE(9715), 1,
      sym_attribute,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [506679] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(9717), 1,
      sym_attribute,
    STATE(10555), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506742] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(9718), 1,
      sym_attribute,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [506797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9384), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [506836] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9720), 1,
      sym_attribute,
    STATE(13277), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506899] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9721), 1,
      sym_attribute,
    STATE(9997), 1,
      sym__simple_type,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9388), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [507001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507040] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11134), 1,
      sym__identifier,
    ACTIONS(11156), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_type_constructor_path,
    STATE(9724), 1,
      sym_attribute,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11972), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [507089] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(9725), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11366), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [507144] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(8892), 1,
      sym__simple_type,
    STATE(9726), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507207] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(9727), 1,
      sym_attribute,
    STATE(10208), 1,
      sym__simple_type,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507270] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11702), 1,
      anon_sym_COLON2,
    STATE(9728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507311] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11702), 1,
      anon_sym_COLON2,
    STATE(9729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507352] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9730), 1,
      sym_attribute,
    STATE(10233), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507415] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9731), 1,
      sym_attribute,
    STATE(10553), 1,
      sym__simple_type,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507517] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(9733), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11370), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [507572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507611] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      sym__identifier,
    ACTIONS(12006), 1,
      anon_sym_COLON2,
    STATE(9735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11268), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11266), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [507656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12010), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12014), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12012), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507734] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(9738), 1,
      sym_attribute,
    STATE(10209), 1,
      sym__simple_type,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [507914] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(9742), 1,
      sym_attribute,
    STATE(10539), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507977] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(9743), 1,
      sym_attribute,
    STATE(10643), 1,
      sym__simple_type,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508040] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12016), 1,
      anon_sym_STAR,
    STATE(9744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11894), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11892), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508081] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(9745), 1,
      sym_attribute,
    STATE(13310), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [508183] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(9747), 1,
      sym_attribute,
    STATE(10210), 1,
      sym__simple_type,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [508285] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12018), 1,
      anon_sym_COLON,
    STATE(9749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9360), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [508326] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(9750), 1,
      sym_attribute,
    STATE(10399), 1,
      sym__simple_type,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508389] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(9751), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11378), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [508444] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9752), 1,
      sym_attribute,
    STATE(10817), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508507] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(9753), 1,
      sym_attribute,
    STATE(10211), 1,
      sym__simple_type,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508570] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9754), 1,
      sym_attribute,
    STATE(11407), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [508672] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10628), 1,
      anon_sym_LPAREN,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12020), 1,
      sym__identifier,
    STATE(9756), 1,
      sym_attribute,
    STATE(12714), 1,
      sym__simple_type,
    STATE(16524), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12952), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508735] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9757), 1,
      sym_attribute,
    STATE(11411), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508798] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9758), 1,
      sym_attribute,
    STATE(10558), 1,
      sym__simple_type,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508861] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11918), 1,
      anon_sym_COMMA,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    ACTIONS(11928), 1,
      sym_rel_operator,
    ACTIONS(11930), 1,
      sym_and_operator,
    ACTIONS(11932), 1,
      sym_or_operator,
    ACTIONS(11934), 1,
      sym_assign_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [508922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [508961] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(9761), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [509016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509055] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12022), 1,
      anon_sym_LPAREN,
    ACTIONS(12024), 1,
      anon_sym_LBRACK,
    STATE(9763), 1,
      sym_attribute,
    STATE(10391), 1,
      sym__constructor_name,
    STATE(11453), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12026), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509106] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12032), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12030), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9764), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509188] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9766), 1,
      sym_attribute,
    STATE(10944), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7954), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509329] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(9769), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [509384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509423] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10656), 1,
      anon_sym_LPAREN,
    ACTIONS(10660), 1,
      anon_sym_LBRACK,
    ACTIONS(10662), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10666), 1,
      anon_sym_LT,
    ACTIONS(10668), 1,
      anon_sym_POUND,
    ACTIONS(10670), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10672), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10674), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12035), 1,
      sym__identifier,
    STATE(8755), 1,
      sym__simple_type,
    STATE(9771), 1,
      sym_attribute,
    STATE(16676), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8921), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [509525] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9773), 1,
      sym_attribute,
    STATE(11066), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509588] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9774), 1,
      sym_attribute,
    STATE(11067), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509651] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(9775), 1,
      sym_attribute,
    STATE(9934), 1,
      sym__simple_type,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509714] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9863), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9865), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(10978), 1,
      anon_sym_LPAREN,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10986), 1,
      anon_sym_LT,
    ACTIONS(10988), 1,
      anon_sym_POUND,
    ACTIONS(10990), 1,
      aux_sym_type_variable_token1,
    STATE(9776), 1,
      sym_attribute,
    STATE(10429), 1,
      sym__simple_type,
    STATE(16562), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10478), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509777] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(9777), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [509832] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9757), 1,
      anon_sym_LT,
    ACTIONS(9759), 1,
      anon_sym_POUND,
    ACTIONS(9761), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9763), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9765), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11050), 1,
      sym__identifier,
    STATE(9778), 1,
      sym_attribute,
    STATE(11153), 1,
      sym__simple_type,
    STATE(16421), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10855), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509895] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(9779), 1,
      sym_attribute,
    STATE(13328), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509958] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(9780), 1,
      sym_attribute,
    STATE(13329), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510060] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10512), 1,
      anon_sym_LPAREN,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10522), 1,
      anon_sym_LT,
    ACTIONS(10524), 1,
      anon_sym_POUND,
    ACTIONS(10526), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10528), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10530), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12037), 1,
      sym__identifier,
    STATE(9093), 1,
      sym__simple_type,
    STATE(9782), 1,
      sym_attribute,
    STATE(16573), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9561), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510162] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(11108), 1,
      anon_sym_LPAREN,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11116), 1,
      anon_sym_LT,
    ACTIONS(11118), 1,
      anon_sym_POUND,
    ACTIONS(11120), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11124), 1,
      aux_sym_type_variable_token1,
    STATE(9784), 1,
      sym_attribute,
    STATE(13336), 1,
      sym__simple_type,
    STATE(16224), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13359), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510225] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9777), 1,
      anon_sym_LPAREN,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9785), 1,
      anon_sym_LT,
    ACTIONS(9787), 1,
      anon_sym_POUND,
    ACTIONS(9789), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9791), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9793), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12039), 1,
      sym__identifier,
    STATE(9785), 1,
      sym_attribute,
    STATE(10810), 1,
      sym__simple_type,
    STATE(16359), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11583), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9396), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [510327] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(10996), 1,
      anon_sym_LPAREN,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11004), 1,
      anon_sym_LT,
    ACTIONS(11006), 1,
      anon_sym_POUND,
    ACTIONS(11008), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11010), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      aux_sym_type_variable_token1,
    STATE(9787), 1,
      sym_attribute,
    STATE(10560), 1,
      sym__simple_type,
    STATE(16499), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10592), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510390] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9034), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12041), 1,
      anon_sym_EQ,
    ACTIONS(12043), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9788), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10402), 1,
      aux_sym_expression_item_repeat1,
    STATE(10549), 1,
      sym__type_equation,
    STATE(10696), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11690), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [510447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510525] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(9791), 1,
      sym_attribute,
    STATE(9898), 1,
      sym__simple_type,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510588] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(9792), 1,
      sym_attribute,
    STATE(10168), 1,
      sym__simple_type,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8350), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [510690] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9278), 1,
      anon_sym_LT,
    ACTIONS(9280), 1,
      anon_sym_POUND,
    ACTIONS(9282), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9284), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9286), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10580), 1,
      anon_sym_LPAREN,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(10992), 1,
      sym__identifier,
    STATE(8905), 1,
      sym__simple_type,
    STATE(9794), 1,
      sym_attribute,
    STATE(16473), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9221), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510753] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(9795), 1,
      sym_attribute,
    STATE(10118), 1,
      sym__simple_type,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510816] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(9796), 1,
      sym_attribute,
    STATE(9930), 1,
      sym__simple_type,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510879] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(9797), 1,
      sym_attribute,
    STATE(10236), 1,
      sym__simple_type,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [510981] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(9799), 1,
      sym_attribute,
    STATE(9933), 1,
      sym__simple_type,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511044] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9800), 1,
      sym_attribute,
    STATE(9998), 1,
      sym__simple_type,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511107] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(9801), 1,
      sym_attribute,
    STATE(10288), 1,
      sym__simple_type,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511170] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(9802), 1,
      sym_attribute,
    STATE(10110), 1,
      sym__simple_type,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [511272] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(9804), 1,
      sym_attribute,
    STATE(10122), 1,
      sym__simple_type,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511335] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [511376] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9034), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11944), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    ACTIONS(12047), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9806), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10362), 1,
      aux_sym_expression_item_repeat1,
    STATE(10543), 1,
      sym__type_equation,
    STATE(10672), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [511433] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9807), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11813), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511482] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9808), 1,
      sym_attribute,
    STATE(10413), 1,
      sym__simple_type,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511545] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(9809), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511600] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(9810), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511655] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9174), 1,
      anon_sym_LT,
    ACTIONS(9176), 1,
      anon_sym_POUND,
    ACTIONS(9178), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9180), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9184), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10648), 1,
      anon_sym_LPAREN,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(11016), 1,
      sym__identifier,
    STATE(9353), 1,
      sym__simple_type,
    STATE(9811), 1,
      sym_attribute,
    STATE(16282), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9739), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9402), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [511757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12051), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12049), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [511835] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10468), 1,
      anon_sym_LPAREN,
    ACTIONS(10472), 1,
      anon_sym_LBRACK,
    ACTIONS(10474), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10476), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10478), 1,
      anon_sym_LT,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    ACTIONS(10482), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10484), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10486), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12053), 1,
      sym__identifier,
    STATE(8893), 1,
      sym__simple_type,
    STATE(9815), 1,
      sym_attribute,
    STATE(16629), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9459), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511898] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11918), 1,
      anon_sym_COMMA,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    ACTIONS(11928), 1,
      sym_rel_operator,
    ACTIONS(11930), 1,
      sym_and_operator,
    ACTIONS(11932), 1,
      sym_or_operator,
    ACTIONS(11934), 1,
      sym_assign_operator,
    ACTIONS(12055), 1,
      anon_sym_SEMI,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [511961] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(9817), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512016] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(9818), 1,
      sym_attribute,
    STATE(9919), 1,
      sym__simple_type,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512079] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(9819), 1,
      sym_attribute,
    STATE(10540), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12059), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12057), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [512220] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(9822), 1,
      sym_attribute,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8054), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [512308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [512349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      anon_sym_STAR,
    STATE(9825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11894), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11892), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [512429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [512468] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(9828), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11378), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512523] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(9829), 1,
      sym_attribute,
    STATE(11395), 1,
      sym__simple_type,
    STATE(16460), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11898), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8058), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [512625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8054), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [512664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8062), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [512703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8058), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [512742] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9834), 1,
      sym_attribute,
    STATE(10344), 1,
      sym__simple_type,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512805] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(9835), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8062), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [512899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [512938] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(9838), 1,
      sym_attribute,
    STATE(10548), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [513040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12065), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12063), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513079] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9841), 1,
      sym_attribute,
    STATE(10602), 1,
      sym__simple_type,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513142] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9358), 1,
      sym__simple_type,
    STATE(9842), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513205] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9664), 1,
      sym__simple_type,
    STATE(9843), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513268] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9844), 1,
      sym_attribute,
    STATE(10003), 1,
      sym__simple_type,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513331] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9667), 1,
      sym__simple_type,
    STATE(9845), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513394] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9799), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9801), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(11078), 1,
      anon_sym_LPAREN,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11086), 1,
      anon_sym_LT,
    ACTIONS(11088), 1,
      anon_sym_POUND,
    ACTIONS(11090), 1,
      aux_sym_type_variable_token1,
    STATE(9846), 1,
      sym_attribute,
    STATE(10551), 1,
      sym__simple_type,
    STATE(16547), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10346), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513457] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9721), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9723), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(11020), 1,
      anon_sym_LPAREN,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11028), 1,
      anon_sym_LT,
    ACTIONS(11030), 1,
      anon_sym_POUND,
    ACTIONS(11032), 1,
      aux_sym_type_variable_token1,
    STATE(9847), 1,
      sym_attribute,
    STATE(9936), 1,
      sym__simple_type,
    STATE(16445), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10050), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513520] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9848), 1,
      sym_attribute,
    STATE(10387), 1,
      sym__simple_type,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513583] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9691), 1,
      sym__simple_type,
    STATE(9849), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513646] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9850), 1,
      sym_attribute,
    STATE(10610), 1,
      sym__simple_type,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513709] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9708), 1,
      sym__simple_type,
    STATE(9851), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513772] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9711), 1,
      sym__simple_type,
    STATE(9852), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513835] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9250), 1,
      anon_sym_LT,
    ACTIONS(9252), 1,
      anon_sym_POUND,
    ACTIONS(9254), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9256), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      sym__identifier,
    STATE(9724), 1,
      sym__simple_type,
    STATE(9853), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9260), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513898] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9210), 1,
      anon_sym_LT,
    ACTIONS(9212), 1,
      anon_sym_POUND,
    ACTIONS(9214), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9216), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9218), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10504), 1,
      anon_sym_LPAREN,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(11104), 1,
      sym__identifier,
    STATE(9536), 1,
      sym__simple_type,
    STATE(9854), 1,
      sym_attribute,
    STATE(16393), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9883), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513961] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    ACTIONS(12067), 1,
      anon_sym_STAR,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(9855), 1,
      sym_attribute,
    STATE(11096), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11622), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [514014] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9856), 1,
      sym_attribute,
    STATE(10004), 1,
      sym__simple_type,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8066), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [514116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [514155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [514194] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9860), 1,
      sym_attribute,
    STATE(10394), 1,
      sym__simple_type,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [514296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7936), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514335] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    ACTIONS(11928), 1,
      sym_rel_operator,
    ACTIONS(11930), 1,
      sym_and_operator,
    ACTIONS(11932), 1,
      sym_or_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [514392] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [514441] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11072), 1,
      sym__identifier,
    ACTIONS(11272), 1,
      anon_sym_POUND,
    STATE(9285), 1,
      sym_type_constructor_path,
    STATE(9865), 1,
      sym_attribute,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [514490] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11922), 1,
      sym_pow_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [514533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12071), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12069), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514572] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9034), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12043), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    ACTIONS(12073), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9868), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10362), 1,
      aux_sym_expression_item_repeat1,
    STATE(10554), 1,
      sym__type_equation,
    STATE(10704), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11643), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [514629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11922), 1,
      sym_pow_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [514672] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [514723] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [514774] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9933), 1,
      anon_sym_LPAREN,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9941), 1,
      anon_sym_LT,
    ACTIONS(9943), 1,
      anon_sym_POUND,
    ACTIONS(9945), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9947), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9949), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12075), 1,
      sym__identifier,
    STATE(9872), 1,
      sym_attribute,
    STATE(11830), 1,
      sym__simple_type,
    STATE(16612), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12465), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514837] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(11054), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11062), 1,
      anon_sym_LT,
    ACTIONS(11064), 1,
      anon_sym_POUND,
    ACTIONS(11066), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11068), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      aux_sym_type_variable_token1,
    STATE(9873), 1,
      sym_attribute,
    STATE(10350), 1,
      sym__simple_type,
    STATE(17213), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10595), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514900] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    ACTIONS(11928), 1,
      sym_rel_operator,
    ACTIONS(11930), 1,
      sym_and_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [514955] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    ACTIONS(11928), 1,
      sym_rel_operator,
    ACTIONS(11930), 1,
      sym_and_operator,
    ACTIONS(11932), 1,
      sym_or_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [515012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [515051] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11918), 1,
      anon_sym_COMMA,
    ACTIONS(11920), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    ACTIONS(11926), 1,
      sym_concat_operator,
    ACTIONS(11928), 1,
      sym_rel_operator,
    ACTIONS(11930), 1,
      sym_and_operator,
    ACTIONS(11932), 1,
      sym_or_operator,
    ACTIONS(11934), 1,
      sym_assign_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8066), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [515151] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(9879), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11366), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515206] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11922), 1,
      sym_pow_operator,
    ACTIONS(11924), 1,
      sym_mult_operator,
    STATE(1802), 1,
      sym_add_operator,
    STATE(9880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [515251] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9701), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9703), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(11036), 1,
      anon_sym_LPAREN,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11044), 1,
      anon_sym_LT,
    ACTIONS(11046), 1,
      anon_sym_POUND,
    ACTIONS(11048), 1,
      aux_sym_type_variable_token1,
    STATE(9881), 1,
      sym_attribute,
    STATE(10005), 1,
      sym__simple_type,
    STATE(16595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [515353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [515392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12081), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9884), 1,
      sym_attribute,
    STATE(9886), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12079), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12077), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515437] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12081), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9885), 1,
      sym_attribute,
    STATE(9887), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12085), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12083), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515482] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12081), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9764), 1,
      aux_sym_type_binding_repeat1,
    STATE(9886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12085), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12083), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515527] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12081), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9764), 1,
      aux_sym_type_binding_repeat1,
    STATE(9887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12089), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12087), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515572] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12091), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9888), 1,
      sym_attribute,
    STATE(9890), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12079), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12077), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515617] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12091), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9889), 1,
      sym_attribute,
    STATE(9891), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12085), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12083), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515662] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12091), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9890), 1,
      sym_attribute,
    STATE(9897), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12085), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12083), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515707] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12091), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9891), 1,
      sym_attribute,
    STATE(9897), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12089), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12087), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515752] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(12093), 1,
      anon_sym_COLON2,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(9892), 1,
      sym_attribute,
    STATE(9956), 1,
      sym__module_typed,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10544), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11696), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515807] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(12095), 1,
      anon_sym_COLON2,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(9893), 1,
      sym_attribute,
    STATE(9956), 1,
      sym__module_typed,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10544), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11696), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [515901] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(12093), 1,
      anon_sym_COLON2,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(9892), 1,
      aux_sym_module_binding_repeat1,
    STATE(9895), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10068), 1,
      sym__module_typed,
    STATE(10587), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11672), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11668), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515956] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(12095), 1,
      anon_sym_COLON2,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(9893), 1,
      aux_sym_module_binding_repeat1,
    STATE(9896), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10068), 1,
      sym__module_typed,
    STATE(10587), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11672), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11668), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516011] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12097), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12030), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9897), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516054] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(9898), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11813), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [516102] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      sym__identifier,
    STATE(9899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11276), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11274), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516144] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(8068), 19,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [516182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8068), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [516220] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11182), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11186), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11190), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11194), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11198), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11202), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11206), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11210), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9446), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [516640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9418), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [516678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11214), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11138), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11218), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11222), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516830] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9918), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516878] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9919), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11226), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [516964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11230), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11234), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11238), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11242), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11246), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(8060), 19,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [517192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11250), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11254), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11258), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517306] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9930), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517354] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11178), 1,
      sym__identifier,
    STATE(9931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12008), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12010), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517396] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(8064), 19,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [517434] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9933), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11960), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517482] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9934), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11964), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517530] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12102), 1,
      anon_sym_let,
    ACTIONS(12104), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(9935), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10206), 1,
      aux_sym_type_binding_repeat1,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517582] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11602), 1,
      sym__identifier,
    ACTIONS(11604), 1,
      anon_sym_POUND,
    STATE(9936), 1,
      sym_attribute,
    STATE(10056), 1,
      sym_type_constructor_path,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11972), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11262), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11266), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517706] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DASH_GT,
    ACTIONS(12112), 1,
      anon_sym_as,
    STATE(9939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12108), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12106), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11274), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517786] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DASH_GT,
    ACTIONS(12112), 1,
      anon_sym_as,
    STATE(9941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12116), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12114), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517828] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DASH_GT,
    ACTIONS(12112), 1,
      anon_sym_as,
    STATE(9942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12120), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12118), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [517908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9474), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [517946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9478), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [517984] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9482), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9486), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518060] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9464), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518098] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DASH_GT,
    STATE(9949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12124), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12122), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7928), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7932), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11266), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [518252] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    ACTIONS(12126), 1,
      anon_sym_STAR,
    STATE(9953), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(11482), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11622), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9004), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [518342] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9454), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518380] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12130), 1,
      anon_sym_let,
    STATE(9956), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10485), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12132), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518426] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [518466] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7942), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11274), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [518542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9494), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [518620] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12134), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(9962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [518662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9414), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518700] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9526), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9542), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9546), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518814] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [518854] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    ACTIONS(12136), 1,
      anon_sym_STAR,
    STATE(9968), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(11483), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11622), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7950), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [518944] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11178), 1,
      sym__identifier,
    STATE(9970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12008), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12010), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518986] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12138), 1,
      anon_sym_DASH_GT,
    STATE(9971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12108), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12106), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519028] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    ACTIONS(12148), 1,
      sym_rel_operator,
    ACTIONS(12150), 1,
      sym_and_operator,
    ACTIONS(12152), 1,
      sym_or_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10067), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [519084] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [519132] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      sym_pow_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [519174] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      sym_pow_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [519216] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [519266] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [519316] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    ACTIONS(12148), 1,
      sym_rel_operator,
    ACTIONS(12150), 1,
      sym_and_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [519370] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    ACTIONS(12148), 1,
      sym_rel_operator,
    ACTIONS(12150), 1,
      sym_and_operator,
    ACTIONS(12152), 1,
      sym_or_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [519426] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    ACTIONS(12148), 1,
      sym_rel_operator,
    ACTIONS(12150), 1,
      sym_and_operator,
    ACTIONS(12152), 1,
      sym_or_operator,
    ACTIONS(12154), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      sym_assign_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [519486] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [519530] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    ACTIONS(12148), 1,
      sym_rel_operator,
    ACTIONS(12150), 1,
      sym_and_operator,
    ACTIONS(12152), 1,
      sym_or_operator,
    ACTIONS(12154), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      sym_assign_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10089), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [519590] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    ACTIONS(12148), 1,
      sym_rel_operator,
    ACTIONS(12150), 1,
      sym_and_operator,
    ACTIONS(12152), 1,
      sym_or_operator,
    ACTIONS(12154), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      sym_assign_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(9983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10103), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [519650] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9502), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519688] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9518), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9530), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9536), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519802] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      sym__identifier,
    STATE(9988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11276), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11274), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8000), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519882] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9552), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9522), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [519958] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12138), 1,
      anon_sym_DASH_GT,
    STATE(9992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12116), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12114), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520000] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9428), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9490), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520076] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12138), 1,
      anon_sym_DASH_GT,
    STATE(9995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12120), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12118), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520118] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12158), 1,
      anon_sym_POUND,
    STATE(9996), 1,
      sym_attribute,
    STATE(10460), 1,
      sym_type_constructor_path,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10842), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520166] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(9997), 1,
      sym_attribute,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520214] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(9998), 1,
      sym_attribute,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7956), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7958), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7962), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
    ACTIONS(10828), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [520376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9034), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520414] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(10003), 1,
      sym_attribute,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520462] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(10004), 1,
      sym_attribute,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11960), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520510] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(10005), 1,
      sym_attribute,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11964), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520558] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8064), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520596] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(12160), 1,
      anon_sym_POUND,
    STATE(10007), 1,
      sym_attribute,
    STATE(10419), 1,
      sym_type_constructor_path,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10842), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520644] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12162), 1,
      anon_sym_PIPE,
    STATE(10008), 1,
      sym_attribute,
    STATE(10010), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [520686] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12162), 1,
      anon_sym_PIPE,
    STATE(10009), 1,
      sym_attribute,
    STATE(10011), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [520728] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12162), 1,
      anon_sym_PIPE,
    STATE(10010), 1,
      sym_attribute,
    STATE(10012), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [520770] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12162), 1,
      anon_sym_PIPE,
    STATE(10011), 1,
      sym_attribute,
    STATE(10012), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [520812] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12164), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10012), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [520852] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9458), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9006), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [520928] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    ACTIONS(12148), 1,
      sym_rel_operator,
    ACTIONS(12150), 1,
      sym_and_operator,
    ACTIONS(12152), 1,
      sym_or_operator,
    ACTIONS(12154), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      sym_assign_operator,
    ACTIONS(12167), 1,
      anon_sym_SEMI,
    STATE(2037), 1,
      sym_add_operator,
    STATE(10015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [520990] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7966), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8008), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521066] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(12169), 1,
      anon_sym_POUND,
    STATE(10018), 1,
      sym_attribute,
    STATE(10382), 1,
      sym_type_constructor_path,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [521114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8920), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8922), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521152] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9498), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521190] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12173), 1,
      anon_sym_let,
    ACTIONS(12175), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10021), 1,
      sym_attribute,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10157), 1,
      aux_sym_type_binding_repeat1,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12179), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12177), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8926), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8928), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8908), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8910), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521356] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12183), 1,
      anon_sym_let,
    ACTIONS(12185), 1,
      anon_sym_DQUOTE,
    STATE(10025), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10626), 1,
      aux_sym_external_repeat1,
    STATE(10870), 1,
      aux_sym_expression_item_repeat1,
    STATE(11171), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12181), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521406] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12187), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(10026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [521448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9512), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521486] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [521526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(10828), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [521564] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      sym_pow_operator,
    ACTIONS(12144), 1,
      sym_mult_operator,
    ACTIONS(12146), 1,
      sym_concat_operator,
    ACTIONS(12148), 1,
      sym_rel_operator,
    ACTIONS(12150), 1,
      sym_and_operator,
    ACTIONS(12152), 1,
      sym_or_operator,
    ACTIONS(12154), 1,
      anon_sym_COMMA,
    ACTIONS(12156), 1,
      sym_assign_operator,
    STATE(2037), 1,
      sym_add_operator,
    STATE(10030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10148), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10146), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [521624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7974), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7976), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521662] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(12189), 1,
      anon_sym_POUND,
    STATE(10032), 1,
      sym_attribute,
    STATE(10534), 1,
      sym_type_constructor_path,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [521710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9004), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [521748] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12138), 1,
      anon_sym_DASH_GT,
    STATE(10034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12124), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12122), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9450), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9468), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12193), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12191), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9504), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9506), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521940] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9026), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [521978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7982), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7984), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522016] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    ACTIONS(12195), 1,
      anon_sym_STAR,
    STATE(10041), 1,
      sym_attribute,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(11615), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11622), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [522068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7986), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7988), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522106] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12134), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(10043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [522148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12199), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12197), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9030), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9060), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522262] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(10047), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11813), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [522310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7990), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7992), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522348] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11817), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12201), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    STATE(10049), 1,
      sym_attribute,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11638), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [522436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11182), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [522474] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12173), 1,
      anon_sym_let,
    ACTIONS(12207), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10052), 1,
      sym_attribute,
    STATE(10246), 1,
      aux_sym_type_binding_repeat1,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11186), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [522564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11190), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [522602] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12102), 1,
      anon_sym_let,
    ACTIONS(12209), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10055), 1,
      sym_attribute,
    STATE(10254), 1,
      aux_sym_type_binding_repeat1,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11194), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [522692] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11817), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12211), 1,
      anon_sym_LPAREN,
    ACTIONS(12213), 1,
      anon_sym_LBRACK,
    STATE(10057), 1,
      sym_attribute,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(11642), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12215), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [522742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9018), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9436), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8056), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [522856] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12187), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(10061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [522898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(8056), 19,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
  [522936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11198), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [522974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11202), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9432), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11206), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11210), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523126] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11698), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10068), 1,
      sym_attribute,
    STATE(10544), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11696), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523172] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12217), 1,
      aux_sym_attribute_id_token1,
    STATE(10069), 1,
      sym_attribute,
    STATE(10071), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8796), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8798), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11266), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11268), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523252] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12217), 1,
      aux_sym_attribute_id_token1,
    STATE(10071), 1,
      sym_attribute,
    STATE(10077), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8784), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8786), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11214), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11138), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11218), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11222), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523446] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10076), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(11875), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(11873), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [523488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12222), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10077), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8685), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8687), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [523566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523604] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(9360), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7095), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(7091), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [523680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11226), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523756] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    ACTIONS(12225), 1,
      anon_sym_STAR,
    STATE(10084), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(11476), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11622), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [523808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11230), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11234), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11238), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11242), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11246), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [523998] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12185), 1,
      anon_sym_DQUOTE,
    ACTIONS(12229), 1,
      anon_sym_let,
    STATE(10090), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10626), 1,
      aux_sym_external_repeat1,
    STATE(10662), 1,
      aux_sym_expression_item_repeat1,
    STATE(11171), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12227), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11250), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [524086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11254), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [524124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11258), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [524162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11274), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11276), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__identifier,
    ACTIONS(8060), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [524238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11262), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [524276] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11657), 1,
      sym__identifier,
    ACTIONS(11659), 1,
      anon_sym_POUND,
    STATE(9907), 1,
      sym_type_constructor_path,
    STATE(10097), 1,
      sym_attribute,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11972), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [524324] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(12237), 1,
      anon_sym_of,
    ACTIONS(12239), 1,
      anon_sym_COLON2,
    STATE(10098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12233), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12231), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7922), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(7924), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8906), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8904), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [524441] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12241), 1,
      anon_sym_LPAREN,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12247), 1,
      anon_sym_end,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    STATE(10101), 1,
      sym_attribute,
    STATE(10724), 1,
      sym__attribute,
    STATE(11328), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524504] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12261), 1,
      anon_sym_LPAREN,
    ACTIONS(12263), 1,
      anon_sym_end,
    STATE(10102), 1,
      sym_attribute,
    STATE(10770), 1,
      sym__attribute,
    STATE(11289), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524567] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7938), 1,
      anon_sym_DOT,
    STATE(10103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7936), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524606] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12265), 1,
      anon_sym_LPAREN,
    ACTIONS(12267), 1,
      anon_sym_end,
    STATE(10104), 1,
      sym_attribute,
    STATE(10850), 1,
      sym__attribute,
    STATE(11308), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524669] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      sym__identifier,
    ACTIONS(12269), 1,
      anon_sym_COLON2,
    STATE(10105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11268), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [524712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8064), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [524749] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12271), 1,
      anon_sym_LPAREN,
    ACTIONS(12273), 1,
      anon_sym_end,
    STATE(10107), 1,
      sym_attribute,
    STATE(10897), 1,
      sym__attribute,
    STATE(11363), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524812] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12275), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    ACTIONS(12285), 1,
      sym_rel_operator,
    ACTIONS(12287), 1,
      sym_and_operator,
    ACTIONS(12289), 1,
      sym_or_operator,
    ACTIONS(12291), 1,
      sym_assign_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10148), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [524871] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(10109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [524912] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(10110), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11964), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [524959] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_PIPE,
    STATE(10111), 1,
      sym_attribute,
    STATE(10112), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [525000] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12297), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10112), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [525039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8068), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [525076] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7968), 1,
      anon_sym_DOT,
    STATE(10114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7934), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7936), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(9006), 18,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [525152] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12300), 1,
      anon_sym_LPAREN,
    ACTIONS(12302), 1,
      anon_sym_end,
    STATE(10116), 1,
      sym_attribute,
    STATE(10793), 1,
      sym__attribute,
    STATE(11354), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525215] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12275), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    ACTIONS(12285), 1,
      sym_rel_operator,
    ACTIONS(12287), 1,
      sym_and_operator,
    ACTIONS(12289), 1,
      sym_or_operator,
    ACTIONS(12291), 1,
      sym_assign_operator,
    ACTIONS(12304), 1,
      anon_sym_SEMI,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [525276] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(10118), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [525323] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12306), 1,
      anon_sym_LPAREN,
    ACTIONS(12308), 1,
      anon_sym_end,
    STATE(10119), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__attribute,
    STATE(11346), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8902), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8900), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [525423] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12310), 1,
      anon_sym_LPAREN,
    ACTIONS(12312), 1,
      anon_sym_end,
    STATE(10121), 1,
      sym_attribute,
    STATE(10845), 1,
      sym__attribute,
    STATE(10986), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525486] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(10122), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11972), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [525533] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12314), 1,
      anon_sym_LPAREN,
    ACTIONS(12316), 1,
      anon_sym_end,
    STATE(10123), 1,
      sym_attribute,
    STATE(10656), 1,
      sym__attribute,
    STATE(10934), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525596] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12318), 1,
      anon_sym_LPAREN,
    ACTIONS(12320), 1,
      anon_sym_end,
    STATE(10124), 1,
      sym_attribute,
    STATE(10794), 1,
      sym__attribute,
    STATE(11444), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8054), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [525696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8058), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [525733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8062), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [525770] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12324), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10128), 1,
      sym_attribute,
    STATE(10589), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12322), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525819] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12328), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10129), 1,
      sym_attribute,
    STATE(10590), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12326), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525868] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10130), 1,
      sym_attribute,
    STATE(10187), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12332), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12330), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [525911] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10131), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [525964] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12340), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10132), 1,
      sym_attribute,
    STATE(10198), 1,
      aux_sym_type_binding_repeat1,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8066), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [526050] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12342), 1,
      anon_sym_LPAREN,
    ACTIONS(12344), 1,
      anon_sym_end,
    STATE(10134), 1,
      sym_attribute,
    STATE(10926), 1,
      sym__attribute,
    STATE(10952), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526113] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10135), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [526166] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12348), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10136), 1,
      sym_attribute,
    STATE(10148), 1,
      aux_sym_type_binding_repeat1,
    STATE(10591), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12346), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526215] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(12356), 1,
      anon_sym_of,
    ACTIONS(12358), 1,
      anon_sym_COLON2,
    STATE(10137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12352), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526258] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(12366), 1,
      anon_sym_of,
    ACTIONS(12368), 1,
      anon_sym_COLON2,
    STATE(10138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12362), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12360), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526301] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10139), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12372), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12370), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [526344] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(12374), 1,
      anon_sym_of,
    ACTIONS(12376), 1,
      anon_sym_COLON2,
    STATE(10140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12233), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12231), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526387] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12378), 1,
      anon_sym_LPAREN,
    ACTIONS(12380), 1,
      anon_sym_end,
    STATE(10141), 1,
      sym_attribute,
    STATE(10767), 1,
      sym__attribute,
    STATE(11006), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [526450] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12382), 1,
      aux_sym_attribute_id_token1,
    STATE(10142), 1,
      sym_attribute,
    STATE(10144), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8796), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8798), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [526491] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(10143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [526532] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12382), 1,
      aux_sym_attribute_id_token1,
    STATE(10144), 1,
      sym_attribute,
    STATE(10149), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8784), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8786), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [526573] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10145), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12386), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [526616] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10146), 1,
      sym_attribute,
    STATE(10186), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12390), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12388), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [526659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12394), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12392), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526696] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12398), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10148), 1,
      sym_attribute,
    STATE(10407), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526745] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12400), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10149), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8685), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8687), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [526784] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_PIPE,
    STATE(10111), 1,
      aux_sym__match_cases_repeat1,
    STATE(10150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [526825] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_PIPE,
    STATE(10112), 1,
      aux_sym__match_cases_repeat1,
    STATE(10151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [526866] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12403), 1,
      anon_sym_STAR,
    STATE(10152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11894), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11892), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9877), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9875), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [526942] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    ACTIONS(12407), 1,
      anon_sym_end,
    STATE(10154), 1,
      sym_attribute,
    STATE(10913), 1,
      sym__attribute,
    STATE(11062), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527005] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12409), 1,
      anon_sym_LPAREN,
    ACTIONS(12411), 1,
      anon_sym_end,
    STATE(10155), 1,
      sym_attribute,
    STATE(10906), 1,
      sym__attribute,
    STATE(11058), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527068] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12413), 1,
      anon_sym_LPAREN,
    ACTIONS(12415), 1,
      anon_sym_end,
    STATE(10156), 1,
      sym_attribute,
    STATE(10827), 1,
      sym__attribute,
    STATE(11081), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527131] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12419), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10157), 1,
      sym_attribute,
    STATE(10446), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12417), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527180] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12421), 1,
      anon_sym_STAR,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527219] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12423), 1,
      anon_sym_LPAREN,
    ACTIONS(12425), 1,
      anon_sym_end,
    STATE(10159), 1,
      sym_attribute,
    STATE(10804), 1,
      sym__attribute,
    STATE(10990), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12429), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12427), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527319] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12102), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10161), 1,
      sym_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527368] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12431), 1,
      anon_sym_STAR,
    STATE(10162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527407] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10145), 1,
      aux_sym_expression_item_repeat1,
    STATE(10163), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12433), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [527450] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12437), 1,
      anon_sym_LPAREN,
    ACTIONS(12439), 1,
      anon_sym_end,
    STATE(10164), 1,
      sym_attribute,
    STATE(10776), 1,
      sym__attribute,
    STATE(11107), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527513] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10165), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11378), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [527566] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [527605] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12441), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(10167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [527646] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(10168), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [527693] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(12443), 1,
      anon_sym_of,
    ACTIONS(12445), 1,
      anon_sym_COLON2,
    STATE(10169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12352), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527736] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(12447), 1,
      anon_sym_of,
    ACTIONS(12449), 1,
      anon_sym_COLON2,
    STATE(10170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12362), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12360), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527779] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10171), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [527826] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    ACTIONS(12285), 1,
      sym_rel_operator,
    ACTIONS(12287), 1,
      sym_and_operator,
    ACTIONS(12289), 1,
      sym_or_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10069), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [527881] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [527928] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12279), 1,
      sym_pow_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [527969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9817), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9815), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528006] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12279), 1,
      sym_pow_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [528047] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [528096] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [528145] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    ACTIONS(12285), 1,
      sym_rel_operator,
    ACTIONS(12287), 1,
      sym_and_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [528198] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12451), 1,
      anon_sym_LPAREN,
    ACTIONS(12453), 1,
      anon_sym_end,
    STATE(10180), 1,
      sym_attribute,
    STATE(10812), 1,
      sym__attribute,
    STATE(11143), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528261] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    ACTIONS(12285), 1,
      sym_rel_operator,
    ACTIONS(12287), 1,
      sym_and_operator,
    ACTIONS(12289), 1,
      sym_or_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [528316] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12275), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    ACTIONS(12285), 1,
      sym_rel_operator,
    ACTIONS(12287), 1,
      sym_and_operator,
    ACTIONS(12289), 1,
      sym_or_operator,
    ACTIONS(12291), 1,
      sym_assign_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [528375] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [528418] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12275), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    ACTIONS(12285), 1,
      sym_rel_operator,
    ACTIONS(12287), 1,
      sym_and_operator,
    ACTIONS(12289), 1,
      sym_or_operator,
    ACTIONS(12291), 1,
      sym_assign_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [528477] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12173), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10185), 1,
      sym_attribute,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528526] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10186), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12455), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [528569] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10187), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12461), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12459), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [528612] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10188), 1,
      sym_attribute,
    STATE(10312), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12465), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12463), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [528655] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [528694] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_end,
    STATE(10190), 1,
      sym_attribute,
    STATE(10838), 1,
      sym__attribute,
    STATE(11199), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9825), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9823), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9829), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9827), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9833), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9831), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528868] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12471), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_end,
    STATE(10194), 1,
      sym_attribute,
    STATE(10772), 1,
      sym__attribute,
    STATE(11038), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528931] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12477), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10195), 1,
      sym_attribute,
    STATE(10319), 1,
      aux_sym_type_binding_repeat1,
    STATE(10627), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12475), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10047), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10045), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [529017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9853), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9851), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [529054] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12481), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10198), 1,
      sym_attribute,
    STATE(10628), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529103] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12441), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(10199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [529144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9839), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9837), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [529181] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(10201), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11813), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [529228] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(10202), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [529275] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(10203), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [529322] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12275), 1,
      anon_sym_COMMA,
    ACTIONS(12277), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12279), 1,
      sym_pow_operator,
    ACTIONS(12281), 1,
      sym_mult_operator,
    ACTIONS(12283), 1,
      sym_concat_operator,
    ACTIONS(12285), 1,
      sym_rel_operator,
    ACTIONS(12287), 1,
      sym_and_operator,
    ACTIONS(12289), 1,
      sym_or_operator,
    ACTIONS(12291), 1,
      sym_assign_operator,
    STATE(2049), 1,
      sym_add_operator,
    STATE(10204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [529381] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12485), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10205), 1,
      sym_attribute,
    STATE(10331), 1,
      aux_sym_type_binding_repeat1,
    STATE(10636), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529430] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12489), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10206), 1,
      sym_attribute,
    STATE(10641), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12487), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9813), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9811), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [529516] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(10208), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [529563] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(10209), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11960), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [529610] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(10210), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11964), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [529657] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11606), 1,
      sym__identifier,
    ACTIONS(11732), 1,
      anon_sym_POUND,
    STATE(9748), 1,
      sym_type_constructor_path,
    STATE(10211), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11972), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [529704] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12491), 1,
      aux_sym_attribute_id_token1,
    STATE(10212), 1,
      sym_attribute,
    STATE(10214), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8796), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8798), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [529782] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12491), 1,
      aux_sym_attribute_id_token1,
    STATE(10214), 1,
      sym_attribute,
    STATE(10217), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8784), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8786), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529823] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12493), 1,
      anon_sym_LPAREN,
    ACTIONS(12495), 1,
      anon_sym_end,
    STATE(10215), 1,
      sym_attribute,
    STATE(10928), 1,
      sym__attribute,
    STATE(11212), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [529886] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12497), 1,
      anon_sym_POUND,
    STATE(10216), 1,
      sym_attribute,
    STATE(10748), 1,
      sym_type_constructor_path,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [529933] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10217), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8685), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8687), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [529972] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12502), 1,
      anon_sym_LPAREN,
    ACTIONS(12504), 1,
      anon_sym_end,
    STATE(10218), 1,
      sym_attribute,
    STATE(10703), 1,
      sym__attribute,
    STATE(11224), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9883), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9881), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [530072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9869), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9867), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [530109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9873), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9871), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [530146] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10222), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11366), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [530199] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10223), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11370), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [530252] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      sym__identifier,
    ACTIONS(12510), 1,
      anon_sym_COLON2,
    STATE(10224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11268), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11266), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [530295] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12512), 1,
      anon_sym_LPAREN,
    ACTIONS(12514), 1,
      anon_sym_end,
    STATE(10225), 1,
      sym_attribute,
    STATE(10844), 1,
      sym__attribute,
    STATE(11269), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530358] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12516), 1,
      anon_sym_STAR,
    STATE(10226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11894), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11892), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530397] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10227), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11378), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [530450] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12518), 1,
      anon_sym_LPAREN,
    ACTIONS(12520), 1,
      anon_sym_end,
    STATE(10228), 1,
      sym_attribute,
    STATE(10902), 1,
      sym__attribute,
    STATE(11060), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530513] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12522), 1,
      anon_sym_LPAREN,
    ACTIONS(12524), 1,
      anon_sym_end,
    STATE(10229), 1,
      sym_attribute,
    STATE(10657), 1,
      sym__attribute,
    STATE(11309), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11622), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11166), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530613] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(10231), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11813), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [530660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9745), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9743), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [530697] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10233), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10836), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [530744] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12526), 1,
      anon_sym_LPAREN,
    ACTIONS(12528), 1,
      anon_sym_end,
    STATE(10234), 1,
      sym_attribute,
    STATE(10720), 1,
      sym__attribute,
    STATE(11091), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [530807] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10235), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [530860] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(10236), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [530907] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10237), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [530960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10830), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [530997] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12530), 1,
      anon_sym_LPAREN,
    ACTIONS(12532), 1,
      anon_sym_end,
    STATE(10239), 1,
      sym_attribute,
    STATE(10694), 1,
      sym__attribute,
    STATE(11341), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531060] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10240), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11366), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [531113] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12173), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10241), 1,
      sym_attribute,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531162] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12534), 1,
      anon_sym_LPAREN,
    ACTIONS(12536), 1,
      anon_sym_end,
    STATE(10242), 1,
      sym_attribute,
    STATE(10761), 1,
      sym__attribute,
    STATE(11130), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [531225] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    ACTIONS(12546), 1,
      sym_rel_operator,
    ACTIONS(12548), 1,
      sym_and_operator,
    ACTIONS(12550), 1,
      sym_or_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10069), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10067), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [531280] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12340), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10244), 1,
      sym_attribute,
    STATE(10252), 1,
      aux_sym_type_binding_repeat1,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531329] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11817), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12552), 1,
      anon_sym_LPAREN,
    ACTIONS(12554), 1,
      anon_sym_LBRACK,
    STATE(10245), 1,
      sym_attribute,
    STATE(11087), 1,
      sym__constructor_name,
    STATE(11985), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12556), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531378] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12419), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10246), 1,
      sym_attribute,
    STATE(10446), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12417), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531427] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10247), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11370), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [531480] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12102), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10248), 1,
      sym_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531529] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12562), 1,
      anon_sym_and,
    STATE(10249), 1,
      sym_attribute,
    STATE(10255), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12560), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12558), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531570] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [531617] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12477), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10251), 1,
      sym_attribute,
    STATE(10256), 1,
      aux_sym_type_binding_repeat1,
    STATE(10627), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12475), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531666] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12481), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10252), 1,
      sym_attribute,
    STATE(10628), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531715] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12485), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10253), 1,
      sym_attribute,
    STATE(10259), 1,
      aux_sym_type_binding_repeat1,
    STATE(10636), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531764] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12489), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10254), 1,
      sym_attribute,
    STATE(10641), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12487), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531813] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12564), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11908), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10255), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11906), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531852] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12569), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10256), 1,
      sym_attribute,
    STATE(10351), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531901] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12573), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10257), 1,
      sym_attribute,
    STATE(10260), 1,
      aux_sym_type_binding_repeat1,
    STATE(10355), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12571), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531950] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12577), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10258), 1,
      sym_attribute,
    STATE(10261), 1,
      aux_sym_type_binding_repeat1,
    STATE(10449), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12575), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531999] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12581), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10259), 1,
      sym_attribute,
    STATE(10451), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532048] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12324), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10260), 1,
      sym_attribute,
    STATE(10589), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12322), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532097] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12328), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10261), 1,
      sym_attribute,
    STATE(10590), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12326), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532146] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12348), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10262), 1,
      sym_attribute,
    STATE(10263), 1,
      aux_sym_type_binding_repeat1,
    STATE(10591), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12346), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532195] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11651), 1,
      anon_sym_constraint,
    ACTIONS(12398), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10263), 1,
      sym_attribute,
    STATE(10407), 1,
      aux_sym_expression_item_repeat1,
    STATE(10732), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532244] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12540), 1,
      sym_pow_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10029), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [532285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9889), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9887), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532322] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12540), 1,
      sym_pow_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10029), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [532363] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [532412] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [532461] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    ACTIONS(12546), 1,
      sym_rel_operator,
    ACTIONS(12548), 1,
      sym_and_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [532514] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    ACTIONS(12546), 1,
      sym_rel_operator,
    ACTIONS(12548), 1,
      sym_and_operator,
    ACTIONS(12550), 1,
      sym_or_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [532569] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    ACTIONS(12546), 1,
      sym_rel_operator,
    ACTIONS(12548), 1,
      sym_and_operator,
    ACTIONS(12550), 1,
      sym_or_operator,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      sym_assign_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [532628] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12587), 1,
      anon_sym_and,
    STATE(10272), 1,
      sym_attribute,
    STATE(10274), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12560), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12558), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532669] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [532712] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12589), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11908), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10274), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11906), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532751] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    ACTIONS(12546), 1,
      sym_rel_operator,
    ACTIONS(12548), 1,
      sym_and_operator,
    ACTIONS(12550), 1,
      sym_or_operator,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      sym_assign_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10091), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10089), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [532810] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12592), 1,
      anon_sym_LPAREN,
    ACTIONS(12594), 1,
      anon_sym_end,
    STATE(10276), 1,
      sym_attribute,
    STATE(10787), 1,
      sym__attribute,
    STATE(11125), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532873] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12596), 1,
      anon_sym_LPAREN,
    ACTIONS(12598), 1,
      anon_sym_end,
    STATE(10277), 1,
      sym_attribute,
    STATE(10901), 1,
      sym__attribute,
    STATE(10964), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [532936] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11817), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12600), 1,
      anon_sym_LPAREN,
    ACTIONS(12602), 1,
      anon_sym_LBRACK,
    STATE(10278), 1,
      sym_attribute,
    STATE(11112), 1,
      sym__constructor_name,
    STATE(11989), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12604), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(11815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [532985] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12606), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10279), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [533026] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10280), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [533079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8916), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12609), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10282), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [533157] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12612), 1,
      anon_sym_POUND,
    STATE(10283), 1,
      sym_attribute,
    STATE(10886), 1,
      sym_type_constructor_path,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [533204] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12614), 1,
      anon_sym_LPAREN,
    ACTIONS(12616), 1,
      anon_sym_end,
    STATE(10284), 1,
      sym_attribute,
    STATE(10880), 1,
      sym__attribute,
    STATE(11209), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533267] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_LPAREN,
    ACTIONS(12620), 1,
      anon_sym_end,
    STATE(10285), 1,
      sym_attribute,
    STATE(10800), 1,
      sym__attribute,
    STATE(11150), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533330] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12622), 1,
      anon_sym_LPAREN,
    ACTIONS(12624), 1,
      anon_sym_end,
    STATE(10286), 1,
      sym_attribute,
    STATE(10806), 1,
      sym__attribute,
    STATE(11388), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533393] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12626), 1,
      anon_sym_LPAREN,
    ACTIONS(12628), 1,
      anon_sym_end,
    STATE(10287), 1,
      sym_attribute,
    STATE(10922), 1,
      sym__attribute,
    STATE(11092), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533456] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11610), 1,
      sym__identifier,
    ACTIONS(11805), 1,
      anon_sym_POUND,
    STATE(9637), 1,
      sym_type_constructor_path,
    STATE(10288), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11960), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [533503] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12630), 1,
      anon_sym_LPAREN,
    ACTIONS(12632), 1,
      anon_sym_end,
    STATE(10289), 1,
      sym_attribute,
    STATE(10808), 1,
      sym__attribute,
    STATE(11177), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533566] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(10290), 1,
      sym_attribute,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11813), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [533613] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    ACTIONS(12546), 1,
      sym_rel_operator,
    ACTIONS(12548), 1,
      sym_and_operator,
    ACTIONS(12550), 1,
      sym_or_operator,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      sym_assign_operator,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10105), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10103), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [533672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9955), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9953), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9771), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9769), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533746] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10294), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [533793] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12634), 1,
      anon_sym_LPAREN,
    ACTIONS(12636), 1,
      anon_sym_end,
    STATE(10295), 1,
      sym_attribute,
    STATE(10822), 1,
      sym__attribute,
    STATE(11201), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [533856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9997), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9995), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533893] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10297), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12640), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12638), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [533936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10001), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9999), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533973] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LPAREN,
    ACTIONS(12644), 1,
      anon_sym_end,
    STATE(10299), 1,
      sym_attribute,
    STATE(10836), 1,
      sym__attribute,
    STATE(11399), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10005), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10003), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534073] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_PIPE,
    STATE(10151), 1,
      aux_sym__match_cases_repeat1,
    STATE(10301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [534114] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12538), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12540), 1,
      sym_pow_operator,
    ACTIONS(12542), 1,
      sym_mult_operator,
    ACTIONS(12544), 1,
      sym_concat_operator,
    ACTIONS(12546), 1,
      sym_rel_operator,
    ACTIONS(12548), 1,
      sym_and_operator,
    ACTIONS(12550), 1,
      sym_or_operator,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      sym_assign_operator,
    ACTIONS(12646), 1,
      anon_sym_SEMI,
    STATE(2091), 1,
      sym_add_operator,
    STATE(10302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [534175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3095), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3093), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534212] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10304), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10836), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [534259] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12648), 1,
      anon_sym_LPAREN,
    ACTIONS(12650), 1,
      anon_sym_end,
    STATE(10305), 1,
      sym_attribute,
    STATE(10863), 1,
      sym__attribute,
    STATE(10999), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8685), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8687), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [534359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10009), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10007), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534396] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10308), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [534449] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12652), 1,
      anon_sym_LPAREN,
    ACTIONS(12654), 1,
      anon_sym_end,
    STATE(10309), 1,
      sym_attribute,
    STATE(10854), 1,
      sym__attribute,
    STATE(11415), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534512] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10297), 1,
      aux_sym_expression_item_repeat1,
    STATE(10310), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12658), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12656), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [534555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [534592] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10312), 1,
      sym_attribute,
    STATE(10568), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12662), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12660), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [534635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10051), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9360), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [534709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9965), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9963), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534746] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12664), 1,
      anon_sym_LPAREN,
    ACTIONS(12666), 1,
      anon_sym_end,
    STATE(10316), 1,
      sym_attribute,
    STATE(10860), 1,
      sym__attribute,
    STATE(11230), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7641), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(7643), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534846] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12668), 1,
      anon_sym_LPAREN,
    ACTIONS(12670), 1,
      anon_sym_end,
    STATE(10318), 1,
      sym_attribute,
    STATE(10879), 1,
      sym__attribute,
    STATE(11244), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [534909] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12569), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10319), 1,
      sym_attribute,
    STATE(10351), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12674), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12672), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10055), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10053), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535069] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12676), 1,
      anon_sym_LPAREN,
    ACTIONS(12678), 1,
      anon_sym_end,
    STATE(10323), 1,
      sym_attribute,
    STATE(10791), 1,
      sym__attribute,
    STATE(11337), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535132] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12680), 1,
      anon_sym_LPAREN,
    ACTIONS(12682), 1,
      anon_sym_end,
    STATE(10324), 1,
      sym_attribute,
    STATE(10910), 1,
      sym__attribute,
    STATE(11450), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535195] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [535234] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12573), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10128), 1,
      aux_sym_type_binding_repeat1,
    STATE(10326), 1,
      sym_attribute,
    STATE(10355), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12571), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535283] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12577), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10129), 1,
      aux_sym_type_binding_repeat1,
    STATE(10327), 1,
      sym_attribute,
    STATE(10449), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12575), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535332] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12684), 1,
      anon_sym_LPAREN,
    ACTIONS(12686), 1,
      anon_sym_end,
    STATE(10328), 1,
      sym_attribute,
    STATE(10736), 1,
      sym__attribute,
    STATE(11119), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535395] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [535434] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12259), 1,
      anon_sym_PERCENT,
    ACTIONS(12688), 1,
      anon_sym_LPAREN,
    ACTIONS(12690), 1,
      anon_sym_end,
    STATE(10330), 1,
      sym_attribute,
    STATE(10908), 1,
      sym__attribute,
    STATE(11262), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [535497] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11682), 1,
      anon_sym_constraint,
    ACTIONS(12581), 1,
      anon_sym_let,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10331), 1,
      sym_attribute,
    STATE(10451), 1,
      aux_sym_expression_item_repeat1,
    STATE(10823), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8056), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [535583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10015), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12079), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12692), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10334), 1,
      sym_attribute,
    STATE(10336), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12077), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535663] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12085), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12692), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10335), 1,
      sym_attribute,
    STATE(10337), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12083), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535706] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12085), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12692), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10279), 1,
      aux_sym_type_binding_repeat1,
    STATE(10336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12083), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535749] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12692), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10279), 1,
      aux_sym_type_binding_repeat1,
    STATE(10337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12087), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535792] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12079), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12694), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10338), 1,
      sym_attribute,
    STATE(10340), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12077), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535835] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12085), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12694), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10339), 1,
      sym_attribute,
    STATE(10341), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12083), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535878] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12085), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12694), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10282), 1,
      aux_sym_type_binding_repeat1,
    STATE(10340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12083), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535921] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12694), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10282), 1,
      aux_sym_type_binding_repeat1,
    STATE(10341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12087), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [535964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12562), 1,
      anon_sym_and,
    STATE(10249), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12698), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12696), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12587), 1,
      anon_sym_and,
    STATE(10272), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12698), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12696), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536046] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(10344), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11813), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11266), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [536165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [536201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [536237] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12702), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10349), 1,
      sym_attribute,
    STATE(10367), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12700), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536279] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(10350), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536325] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12706), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12704), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11198), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [536439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [536475] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12324), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12322), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536517] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12710), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12708), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536559] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12714), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10357), 1,
      sym_attribute,
    STATE(10436), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12712), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11202), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8056), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [536673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11206), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536709] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536751] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12102), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11210), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [536829] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12108), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12720), 1,
      anon_sym_DASH_GT,
    STATE(10364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536869] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6913), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536911] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6843), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6841), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536953] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12724), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12722), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536995] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11178), 1,
      sym__identifier,
    STATE(10368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12008), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12010), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [537035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12728), 1,
      anon_sym_let,
    STATE(10369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12726), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537143] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11702), 1,
      anon_sym_COLON2,
    STATE(10372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8054), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537289] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12732), 1,
      anon_sym_SEMI,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12742), 1,
      sym_rel_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [537349] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12752), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10377), 1,
      sym_attribute,
    STATE(10603), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12750), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537391] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12756), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12754), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12760), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12758), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12193), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12191), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [537505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537613] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11624), 1,
      anon_sym_STAR,
    STATE(10384), 1,
      sym_attribute,
    STATE(10385), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12764), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12762), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537653] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12766), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11813), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10385), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [537727] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(10387), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [537773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8058), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8062), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [537845] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(12769), 1,
      anon_sym_of,
    ACTIONS(12771), 1,
      anon_sym_COLON2,
    STATE(10390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12352), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12350), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537887] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(12773), 1,
      anon_sym_of,
    ACTIONS(12775), 1,
      anon_sym_COLON2,
    STATE(10391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12362), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12360), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537929] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(12777), 1,
      anon_sym_of,
    ACTIONS(12779), 1,
      anon_sym_COLON2,
    STATE(10392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12233), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12231), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11274), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538007] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(10394), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [538053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8066), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538089] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12783), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10396), 1,
      sym_attribute,
    STATE(10456), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538131] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6891), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11250), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538209] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(10399), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11964), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [538255] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12787), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11254), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538333] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12173), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538375] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12791), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10403), 1,
      sym_attribute,
    STATE(10516), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538417] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12742), 1,
      sym_rel_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [538475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12793), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12797), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538547] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12803), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [538625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [538661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [538697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [538733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [538769] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(10413), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11972), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [538815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [538851] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12807), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12805), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538893] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12811), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10416), 1,
      sym_attribute,
    STATE(10465), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11214), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [538971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [539007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11138), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [539043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11218), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [539079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11222), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [539115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11274), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [539151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8060), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [539187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8064), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [539223] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12815), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539265] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12819), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539307] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(10427), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [539353] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12742), 1,
      sym_rel_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10069), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [539407] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(10429), 1,
      sym_attribute,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11972), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [539453] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12821), 1,
      anon_sym_DASH_GT,
    STATE(10430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12116), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539493] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12481), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11368), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12823), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539649] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10435), 1,
      sym_attribute,
    STATE(10474), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539691] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12837), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12835), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539733] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12841), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10437), 1,
      sym_attribute,
    STATE(10475), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11258), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [539811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [539847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [539883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [539919] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12845), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539961] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12849), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10443), 1,
      sym_attribute,
    STATE(10495), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540003] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12853), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12851), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12857), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12855), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540081] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12861), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12859), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11214), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540159] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12865), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12863), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540201] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12328), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7944), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7946), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540279] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12869), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12867), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540321] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12489), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12487), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540363] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12108), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12871), 1,
      anon_sym_DASH_GT,
    STATE(10453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540403] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12875), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10378), 1,
      aux_sym_expression_item_repeat1,
    STATE(10454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12873), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540445] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12879), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10455), 1,
      sym_attribute,
    STATE(10580), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12877), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540487] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12883), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12881), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540529] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12889), 1,
      anon_sym_DASH_GT,
    ACTIONS(12891), 1,
      anon_sym_with,
    STATE(10457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12887), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12885), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [540605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11378), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11376), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11138), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8685), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8687), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [540713] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      sym__identifier,
    STATE(10462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11276), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11274), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [540753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11218), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540789] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12116), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12720), 1,
      anon_sym_DASH_GT,
    STATE(10464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12114), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540829] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12895), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12893), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540871] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12899), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10466), 1,
      sym_attribute,
    STATE(10511), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12897), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11226), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11230), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [540985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11234), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11238), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11242), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8068), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [541129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11246), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541165] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12903), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12901), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541207] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12907), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12905), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8054), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11222), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [541357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [541393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [541429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12911), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12909), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541471] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    ACTIONS(12913), 1,
      anon_sym_STAR,
    STATE(10482), 1,
      sym_attribute,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(12331), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11622), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [541521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8058), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8062), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541593] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12917), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541635] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(10486), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11390), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [541681] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11178), 1,
      sym__identifier,
    STATE(10487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(12008), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12010), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [541721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [541757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [541793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541829] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12921), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10491), 1,
      sym_attribute,
    STATE(10512), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11262), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [541907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [541943] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12925), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10448), 1,
      aux_sym_expression_item_repeat1,
    STATE(10494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541985] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12929), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542027] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12933), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10496), 1,
      sym_attribute,
    STATE(10652), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542069] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12937), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542111] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    ACTIONS(12939), 1,
      anon_sym_STAR,
    STATE(10498), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(12124), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11622), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [542161] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12943), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10499), 1,
      sym_attribute,
    STATE(10547), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12941), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542203] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [542249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [542285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [542321] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12736), 1,
      sym_pow_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [542361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [542397] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12947), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10505), 1,
      sym_attribute,
    STATE(10597), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542439] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12736), 1,
      sym_pow_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [542479] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [542527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [542563] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [542611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(8066), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [542647] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12951), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542689] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12955), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12953), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11246), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [542767] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12959), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10514), 1,
      sym_attribute,
    STATE(10518), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12957), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542809] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12963), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12961), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542851] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12967), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542893] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12742), 1,
      sym_rel_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [542945] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12971), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12969), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11250), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [543023] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12742), 1,
      sym_rel_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [543077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11254), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [543113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11258), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [543149] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12742), 1,
      sym_rel_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [543207] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(10524), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11394), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543253] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [543295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [543331] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12742), 1,
      sym_rel_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [543389] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11686), 1,
      anon_sym_STAR,
    STATE(10528), 1,
      sym_attribute,
    STATE(10532), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12764), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12762), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12975), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10529), 1,
      sym_attribute,
    STATE(10550), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12973), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543471] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12979), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12977), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [543549] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12981), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11813), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10532), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [543623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [543659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [543695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11262), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [543731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [543767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [543803] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(10539), 1,
      sym_attribute,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [543849] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(10540), 1,
      sym_attribute,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [543895] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(10541), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11164), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543941] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    ACTIONS(12984), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10542), 1,
      sym_attribute,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    STATE(10670), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543989] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    ACTIONS(12986), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10543), 1,
      sym_attribute,
    STATE(10678), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [544037] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12130), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544079] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12990), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10545), 1,
      sym_attribute,
    STATE(10616), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12988), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544121] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      sym__identifier,
    STATE(10546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
    ACTIONS(11276), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11274), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [544161] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12994), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544203] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(10548), 1,
      sym_attribute,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [544249] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    ACTIONS(12996), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10549), 1,
      sym_attribute,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    STATE(10702), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [544297] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13000), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12998), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544339] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(10551), 1,
      sym_attribute,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11960), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [544385] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(10552), 1,
      sym_attribute,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11964), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [544431] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(10553), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11960), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [544477] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    ACTIONS(13002), 1,
      anon_sym_EQ,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10554), 1,
      sym_attribute,
    STATE(10709), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [544525] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11982), 1,
      sym__identifier,
    ACTIONS(11984), 1,
      anon_sym_POUND,
    STATE(10354), 1,
      sym_type_constructor_path,
    STATE(10555), 1,
      sym_attribute,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11972), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [544571] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13004), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544613] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13010), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544655] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(10558), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11964), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [544701] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12116), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12871), 1,
      anon_sym_DASH_GT,
    STATE(10559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12114), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [544741] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12002), 1,
      sym__identifier,
    ACTIONS(12004), 1,
      anon_sym_POUND,
    STATE(10560), 1,
      sym_attribute,
    STATE(10640), 1,
      sym_type_constructor_path,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11972), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [544787] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13014), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544829] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(13016), 1,
      anon_sym_DASH_GT,
    STATE(10562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12108), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9004), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [544905] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(13016), 1,
      anon_sym_DASH_GT,
    STATE(10564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12116), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12114), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [544981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12179), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12177), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [545089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545197] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(13018), 1,
      anon_sym_of,
    ACTIONS(13020), 1,
      anon_sym_COLON2,
    STATE(10572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12352), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12350), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545239] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(13022), 1,
      anon_sym_of,
    ACTIONS(13024), 1,
      anon_sym_COLON2,
    STATE(10573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12362), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12360), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9004), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [545317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545353] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13028), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10400), 1,
      aux_sym_expression_item_repeat1,
    STATE(10576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13026), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545467] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(13030), 1,
      anon_sym_of,
    ACTIONS(13032), 1,
      anon_sym_COLON2,
    STATE(10579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12233), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12231), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545509] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13036), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13034), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545551] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12120), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12720), 1,
      anon_sym_DASH_GT,
    STATE(10581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12118), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545591] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13040), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13038), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545633] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12871), 1,
      anon_sym_DASH_GT,
    STATE(10583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7970), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7972), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545743] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6923), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545785] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11698), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11696), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545827] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11702), 1,
      anon_sym_COLON2,
    STATE(10588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [545865] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13044), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13042), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545907] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13048), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13046), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545949] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12398), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [546063] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13016), 1,
      anon_sym_DASH_GT,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12124), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11178), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8685), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(8687), 13,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [546173] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13052), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11182), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11186), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546287] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12821), 1,
      anon_sym_DASH_GT,
    STATE(10600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12124), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12199), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12197), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [546361] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(10602), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11960), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [546407] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13056), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11182), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__identifier,
    ACTIONS(9034), 17,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__capitalized_identifier,
  [546521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [546557] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12821), 1,
      anon_sym_DASH_GT,
    STATE(10607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12108), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12106), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11266), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11186), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546669] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11936), 1,
      sym__identifier,
    ACTIONS(11938), 1,
      anon_sym_POUND,
    STATE(10610), 1,
      sym_attribute,
    STATE(10635), 1,
      sym_type_constructor_path,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11964), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [546715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11198), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546751] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13060), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10415), 1,
      aux_sym_expression_item_repeat1,
    STATE(10612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13058), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546793] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12419), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12417), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546835] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6835), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6833), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11202), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [546913] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13064), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546955] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13068), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10561), 1,
      aux_sym_expression_item_repeat1,
    STATE(10617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13066), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546997] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12120), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12871), 1,
      anon_sym_DASH_GT,
    STATE(10618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12118), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [547037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11226), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547073] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(10620), 1,
      sym_attribute,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [547119] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(10621), 1,
      sym_attribute,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [547165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(9032), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11230), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11234), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [547309] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13074), 1,
      anon_sym_DQUOTE,
    STATE(11171), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13072), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10626), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(13070), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547349] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12569), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547391] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13079), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13077), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11190), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13081), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11238), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11242), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11190), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547613] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1968), 1,
      sym_add_operator,
    STATE(10634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [547651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11194), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547687] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12581), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10246), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [547765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11206), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13087), 1,
      anon_sym_let,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10434), 1,
      aux_sym_expression_item_repeat1,
    STATE(10639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13085), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11194), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [547879] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13091), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13089), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547921] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12720), 1,
      anon_sym_DASH_GT,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [547959] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11952), 1,
      sym__identifier,
    ACTIONS(11954), 1,
      anon_sym_POUND,
    STATE(10493), 1,
      sym_type_constructor_path,
    STATE(10643), 1,
      sym_attribute,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11960), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [548005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__capitalized_identifier,
    ACTIONS(11210), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
      aux_sym_directive_token1,
  [548041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11366), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13095), 1,
      anon_sym_let,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13093), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548113] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12889), 1,
      anon_sym_DASH_GT,
    ACTIONS(12891), 1,
      anon_sym_with,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13099), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13097), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12889), 1,
      anon_sym_DASH_GT,
    ACTIONS(12891), 1,
      anon_sym_with,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13103), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13101), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548193] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13105), 1,
      anon_sym_DASH_GT,
    ACTIONS(13107), 1,
      anon_sym_with,
    STATE(10649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12887), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12885), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548233] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13105), 1,
      anon_sym_DASH_GT,
    ACTIONS(13107), 1,
      anon_sym_with,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13099), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13097), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13105), 1,
      anon_sym_DASH_GT,
    ACTIONS(13107), 1,
      anon_sym_with,
    STATE(10651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13103), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13101), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548313] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13111), 1,
      anon_sym_let,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13109), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548355] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13105), 1,
      anon_sym_DASH_GT,
    ACTIONS(13107), 1,
      anon_sym_with,
    ACTIONS(13115), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10653), 1,
      sym_attribute,
    STATE(10735), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13113), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [548435] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13119), 1,
      anon_sym_LPAREN,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13125), 1,
      anon_sym_functor,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    STATE(10655), 1,
      sym_attribute,
    STATE(11582), 1,
      sym__attribute,
    STATE(11639), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [548492] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13135), 1,
      anon_sym_LPAREN,
    ACTIONS(13137), 1,
      anon_sym_end,
    STATE(10656), 1,
      sym_attribute,
    STATE(10951), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548549] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13139), 1,
      anon_sym_LPAREN,
    ACTIONS(13141), 1,
      anon_sym_end,
    STATE(10657), 1,
      sym_attribute,
    STATE(11340), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [548641] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13145), 1,
      anon_sym_BANG,
    ACTIONS(13147), 1,
      anon_sym_functor,
    ACTIONS(13149), 1,
      anon_sym_struct,
    STATE(8729), 1,
      sym_module_path,
    STATE(9182), 1,
      sym__module_expression,
    STATE(10659), 1,
      sym_attribute,
    STATE(11864), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [548698] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10660), 1,
      sym_attribute,
    STATE(11478), 1,
      sym__attribute,
    STATE(15059), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [548755] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10661), 1,
      sym_attribute,
    STATE(11596), 1,
      sym__attribute,
    STATE(15350), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [548812] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13159), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13157), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [548888] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10664), 1,
      sym_attribute,
    STATE(11535), 1,
      sym__attribute,
    STATE(15489), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [548945] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    STATE(10665), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [548990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [549025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [549060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [549095] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    STATE(10669), 1,
      sym_attribute,
    STATE(10676), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549140] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10446), 1,
      aux_sym_expression_item_repeat1,
    STATE(10670), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12417), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549185] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(13161), 1,
      anon_sym_of,
    ACTIONS(13163), 1,
      anon_sym_COLON2,
    STATE(10671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12360), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549226] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10672), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549271] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12560), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13165), 1,
      anon_sym_and,
    STATE(10673), 1,
      sym_attribute,
    STATE(10680), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [549345] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10627), 1,
      aux_sym_expression_item_repeat1,
    STATE(10675), 1,
      sym_attribute,
    STATE(10681), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549390] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10628), 1,
      aux_sym_expression_item_repeat1,
    STATE(10676), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549435] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10636), 1,
      aux_sym_expression_item_repeat1,
    STATE(10677), 1,
      sym_attribute,
    STATE(10684), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549480] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10641), 1,
      aux_sym_expression_item_repeat1,
    STATE(10678), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12487), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549525] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13169), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10679), 1,
      sym_attribute,
    STATE(10826), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13167), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549566] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11908), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13171), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10680), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549603] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10351), 1,
      aux_sym_expression_item_repeat1,
    STATE(10681), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549648] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10355), 1,
      aux_sym_expression_item_repeat1,
    STATE(10682), 1,
      sym_attribute,
    STATE(10685), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12571), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549693] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10449), 1,
      aux_sym_expression_item_repeat1,
    STATE(10683), 1,
      sym_attribute,
    STATE(10686), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12575), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549738] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10451), 1,
      aux_sym_expression_item_repeat1,
    STATE(10684), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549783] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10589), 1,
      aux_sym_expression_item_repeat1,
    STATE(10685), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12322), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549828] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10590), 1,
      aux_sym_expression_item_repeat1,
    STATE(10686), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12326), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549873] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10591), 1,
      aux_sym_expression_item_repeat1,
    STATE(10687), 1,
      sym_attribute,
    STATE(10688), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12346), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549918] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11946), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10407), 1,
      aux_sym_expression_item_repeat1,
    STATE(10688), 1,
      sym_attribute,
    STATE(11471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549963] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12233), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(13174), 1,
      anon_sym_of,
    ACTIONS(13176), 1,
      anon_sym_COLON2,
    STATE(10689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10246), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [550039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [550074] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10692), 1,
      sym_attribute,
    STATE(11542), 1,
      sym__attribute,
    STATE(15997), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [550131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8054), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [550166] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13178), 1,
      anon_sym_LPAREN,
    ACTIONS(13180), 1,
      anon_sym_end,
    STATE(10694), 1,
      sym_attribute,
    STATE(11347), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(10828), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [550258] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10613), 1,
      aux_sym_expression_item_repeat1,
    STATE(10696), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12171), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550303] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13182), 1,
      anon_sym_else,
    STATE(10191), 1,
      sym_else_clause,
    STATE(10697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8058), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [550377] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COMMA,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    ACTIONS(13194), 1,
      sym_rel_operator,
    ACTIONS(13196), 1,
      sym_and_operator,
    ACTIONS(13198), 1,
      sym_or_operator,
    ACTIONS(13200), 1,
      sym_assign_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10148), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [550434] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10431), 1,
      aux_sym_expression_item_repeat1,
    STATE(10700), 1,
      sym_attribute,
    STATE(10707), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12338), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8062), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [550514] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10446), 1,
      aux_sym_expression_item_repeat1,
    STATE(10702), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12417), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550559] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13202), 1,
      anon_sym_LPAREN,
    ACTIONS(13204), 1,
      anon_sym_end,
    STATE(10703), 1,
      sym_attribute,
    STATE(11235), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550616] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10452), 1,
      aux_sym_expression_item_repeat1,
    STATE(10704), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12100), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550661] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12560), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13206), 1,
      anon_sym_and,
    STATE(10705), 1,
      sym_attribute,
    STATE(10710), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550700] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10627), 1,
      aux_sym_expression_item_repeat1,
    STATE(10706), 1,
      sym_attribute,
    STATE(10711), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550745] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10628), 1,
      aux_sym_expression_item_repeat1,
    STATE(10707), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550790] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10636), 1,
      aux_sym_expression_item_repeat1,
    STATE(10708), 1,
      sym_attribute,
    STATE(10714), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12483), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550835] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10641), 1,
      aux_sym_expression_item_repeat1,
    STATE(10709), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12487), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550880] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11908), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13208), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10710), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11906), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550917] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10351), 1,
      aux_sym_expression_item_repeat1,
    STATE(10711), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550962] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10355), 1,
      aux_sym_expression_item_repeat1,
    STATE(10712), 1,
      sym_attribute,
    STATE(10715), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12571), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551007] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10449), 1,
      aux_sym_expression_item_repeat1,
    STATE(10713), 1,
      sym_attribute,
    STATE(10716), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12575), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551052] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10451), 1,
      aux_sym_expression_item_repeat1,
    STATE(10714), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12579), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551097] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10589), 1,
      aux_sym_expression_item_repeat1,
    STATE(10715), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12322), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551142] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10590), 1,
      aux_sym_expression_item_repeat1,
    STATE(10716), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12326), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551187] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10591), 1,
      aux_sym_expression_item_repeat1,
    STATE(10717), 1,
      sym_attribute,
    STATE(10718), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12346), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551232] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12045), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10407), 1,
      aux_sym_expression_item_repeat1,
    STATE(10718), 1,
      sym_attribute,
    STATE(11493), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12396), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551277] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10719), 1,
      sym_attribute,
    STATE(11610), 1,
      sym__attribute,
    STATE(15597), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [551334] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13211), 1,
      anon_sym_LPAREN,
    ACTIONS(13213), 1,
      anon_sym_end,
    STATE(10720), 1,
      sym_attribute,
    STATE(11095), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551391] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12889), 1,
      anon_sym_DASH_GT,
    ACTIONS(12891), 1,
      anon_sym_with,
    ACTIONS(13115), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10721), 1,
      sym_attribute,
    STATE(10735), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13113), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551436] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13215), 1,
      anon_sym_BANG,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(8810), 1,
      sym__module_expression,
    STATE(10722), 1,
      sym_attribute,
    STATE(11702), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [551493] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13221), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13219), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551534] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13223), 1,
      anon_sym_LPAREN,
    ACTIONS(13225), 1,
      anon_sym_end,
    STATE(10724), 1,
      sym_attribute,
    STATE(11350), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551591] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6835), 1,
      anon_sym_let,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10426), 1,
      aux_sym_expression_item_repeat1,
    STATE(10725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6833), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [551669] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13229), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13227), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551710] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6891), 1,
      anon_sym_let,
    ACTIONS(6893), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10515), 1,
      aux_sym_expression_item_repeat1,
    STATE(10728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551753] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12819), 1,
      anon_sym_let,
    ACTIONS(13231), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10530), 1,
      aux_sym_expression_item_repeat1,
    STATE(10729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551796] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10730), 1,
      sym_attribute,
    STATE(11489), 1,
      sym__attribute,
    STATE(15281), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [551853] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12963), 1,
      anon_sym_let,
    ACTIONS(13233), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10556), 1,
      aux_sym_expression_item_repeat1,
    STATE(10731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12961), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551896] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13235), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12030), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10732), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551935] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10733), 1,
      sym_attribute,
    STATE(11635), 1,
      sym__attribute,
    STATE(16111), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [551992] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6913), 1,
      anon_sym_let,
    ACTIONS(6915), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10425), 1,
      aux_sym_expression_item_repeat1,
    STATE(10734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552035] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13240), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552076] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13242), 1,
      anon_sym_LPAREN,
    ACTIONS(13244), 1,
      anon_sym_end,
    STATE(10736), 1,
      sym_attribute,
    STATE(11330), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552133] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12819), 1,
      anon_sym_let,
    ACTIONS(13246), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10530), 1,
      aux_sym_expression_item_repeat1,
    STATE(10737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552176] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12815), 1,
      anon_sym_let,
    ACTIONS(13248), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10356), 1,
      aux_sym_expression_item_repeat1,
    STATE(10738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552219] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6923), 1,
      anon_sym_let,
    ACTIONS(6937), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10361), 1,
      aux_sym_expression_item_repeat1,
    STATE(10739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552262] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12889), 1,
      anon_sym_DASH_GT,
    ACTIONS(12891), 1,
      anon_sym_with,
    ACTIONS(13252), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(10740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552307] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12718), 1,
      anon_sym_let,
    ACTIONS(13254), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10442), 1,
      aux_sym_expression_item_repeat1,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552350] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6843), 1,
      anon_sym_let,
    ACTIONS(6941), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10444), 1,
      aux_sym_expression_item_repeat1,
    STATE(10742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6841), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [552428] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12853), 1,
      anon_sym_let,
    ACTIONS(13256), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10497), 1,
      aux_sym_expression_item_repeat1,
    STATE(10744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12851), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552471] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13258), 1,
      anon_sym_STAR,
    STATE(10745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552508] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12815), 1,
      anon_sym_let,
    ACTIONS(13260), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10356), 1,
      aux_sym_expression_item_repeat1,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [552586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [552621] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    ACTIONS(13194), 1,
      sym_rel_operator,
    ACTIONS(13196), 1,
      sym_and_operator,
    ACTIONS(13198), 1,
      sym_or_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10069), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [552674] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [552719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [552754] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13188), 1,
      sym_pow_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [552793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [552828] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13188), 1,
      sym_pow_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [552867] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [552914] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [552961] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    ACTIONS(13194), 1,
      sym_rel_operator,
    ACTIONS(13196), 1,
      sym_and_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [553012] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13264), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553053] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    ACTIONS(13194), 1,
      sym_rel_operator,
    ACTIONS(13196), 1,
      sym_and_operator,
    ACTIONS(13198), 1,
      sym_or_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [553106] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COMMA,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    ACTIONS(13194), 1,
      sym_rel_operator,
    ACTIONS(13196), 1,
      sym_and_operator,
    ACTIONS(13198), 1,
      sym_or_operator,
    ACTIONS(13200), 1,
      sym_assign_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [553163] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13266), 1,
      anon_sym_LPAREN,
    ACTIONS(13268), 1,
      anon_sym_end,
    STATE(10761), 1,
      sym_attribute,
    STATE(11151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553220] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [553261] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COMMA,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    ACTIONS(13194), 1,
      sym_rel_operator,
    ACTIONS(13196), 1,
      sym_and_operator,
    ACTIONS(13198), 1,
      sym_or_operator,
    ACTIONS(13200), 1,
      sym_assign_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [553318] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13270), 1,
      anon_sym_else,
    STATE(10191), 1,
      sym_else_clause,
    STATE(10764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [553357] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COMMA,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    ACTIONS(13194), 1,
      sym_rel_operator,
    ACTIONS(13196), 1,
      sym_and_operator,
    ACTIONS(13198), 1,
      sym_or_operator,
    ACTIONS(13200), 1,
      sym_assign_operator,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [553414] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13264), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10766), 1,
      sym_attribute,
    STATE(10802), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553455] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13272), 1,
      anon_sym_LPAREN,
    ACTIONS(13274), 1,
      anon_sym_end,
    STATE(10767), 1,
      sym_attribute,
    STATE(11014), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553512] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11753), 1,
      anon_sym_STAR,
    STATE(10768), 1,
      sym_attribute,
    STATE(10769), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12764), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12762), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553551] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13276), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11813), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10769), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553588] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13279), 1,
      anon_sym_LPAREN,
    ACTIONS(13281), 1,
      anon_sym_end,
    STATE(10770), 1,
      sym_attribute,
    STATE(11296), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [553680] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13283), 1,
      anon_sym_LPAREN,
    ACTIONS(13285), 1,
      anon_sym_end,
    STATE(10772), 1,
      sym_attribute,
    STATE(11042), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553737] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10773), 1,
      sym_attribute,
    STATE(11617), 1,
      sym__attribute,
    STATE(15948), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [553794] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6891), 1,
      anon_sym_let,
    ACTIONS(6935), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10515), 1,
      aux_sym_expression_item_repeat1,
    STATE(10774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553837] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13287), 1,
      anon_sym_LPAREN,
    ACTIONS(13289), 1,
      anon_sym_end,
    STATE(10775), 1,
      sym_attribute,
    STATE(11351), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553894] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13291), 1,
      anon_sym_LPAREN,
    ACTIONS(13293), 1,
      anon_sym_end,
    STATE(10776), 1,
      sym_attribute,
    STATE(11113), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [553986] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13299), 1,
      anon_sym_PIPE,
    STATE(10778), 1,
      sym_attribute,
    STATE(10780), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554025] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13299), 1,
      anon_sym_PIPE,
    STATE(10779), 1,
      sym_attribute,
    STATE(10780), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13303), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13301), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13305), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10780), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13081), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8066), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554171] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13308), 1,
      anon_sym_PIPE,
    STATE(10783), 1,
      sym_attribute,
    STATE(10875), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554210] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11132), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11130), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554251] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10785), 1,
      sym_attribute,
    STATE(11623), 1,
      sym__attribute,
    STATE(15723), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [554308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554343] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13310), 1,
      anon_sym_LPAREN,
    ACTIONS(13312), 1,
      anon_sym_end,
    STATE(10787), 1,
      sym_attribute,
    STATE(11131), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554400] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(13016), 1,
      anon_sym_DASH_GT,
    STATE(10788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12120), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12118), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554474] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13308), 1,
      anon_sym_PIPE,
    STATE(10790), 1,
      sym_attribute,
    STATE(10889), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554513] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13314), 1,
      anon_sym_LPAREN,
    ACTIONS(13316), 1,
      anon_sym_end,
    STATE(10791), 1,
      sym_attribute,
    STATE(10961), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554605] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13318), 1,
      anon_sym_LPAREN,
    ACTIONS(13320), 1,
      anon_sym_end,
    STATE(10793), 1,
      sym_attribute,
    STATE(11426), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554662] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13322), 1,
      anon_sym_LPAREN,
    ACTIONS(13324), 1,
      anon_sym_end,
    STATE(10794), 1,
      sym_attribute,
    STATE(11448), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554719] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13326), 1,
      anon_sym_STAR,
    STATE(10795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554791] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10797), 1,
      sym_attribute,
    STATE(11626), 1,
      sym__attribute,
    STATE(15352), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [554848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [554883] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13330), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13328), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554924] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13332), 1,
      anon_sym_LPAREN,
    ACTIONS(13334), 1,
      anon_sym_end,
    STATE(10800), 1,
      sym_attribute,
    STATE(11154), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554981] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13338), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10758), 1,
      aux_sym_expression_item_repeat1,
    STATE(10801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13336), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555022] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13340), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13346), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10803), 1,
      sym_attribute,
    STATE(10923), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555104] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13348), 1,
      anon_sym_LPAREN,
    ACTIONS(13350), 1,
      anon_sym_end,
    STATE(10804), 1,
      sym_attribute,
    STATE(10997), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555161] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12233), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(13352), 1,
      anon_sym_of,
    ACTIONS(13354), 1,
      anon_sym_COLON2,
    STATE(10805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555202] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13356), 1,
      anon_sym_LPAREN,
    ACTIONS(13358), 1,
      anon_sym_end,
    STATE(10806), 1,
      sym_attribute,
    STATE(11394), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555259] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10807), 1,
      sym_attribute,
    STATE(11564), 1,
      sym__attribute,
    STATE(14884), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [555316] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13360), 1,
      anon_sym_LPAREN,
    ACTIONS(13362), 1,
      anon_sym_end,
    STATE(10808), 1,
      sym_attribute,
    STATE(11180), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555373] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13366), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10809), 1,
      sym_attribute,
    STATE(10831), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13368), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13364), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555416] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(13370), 1,
      sym__identifier,
    ACTIONS(13372), 1,
      anon_sym_POUND,
    STATE(10810), 1,
      sym_attribute,
    STATE(11631), 1,
      sym_type_constructor_path,
    STATE(16614), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10836), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [555461] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13182), 1,
      anon_sym_else,
    STATE(10296), 1,
      sym_else_clause,
    STATE(10811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [555500] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13374), 1,
      anon_sym_LPAREN,
    ACTIONS(13376), 1,
      anon_sym_end,
    STATE(10812), 1,
      sym_attribute,
    STATE(11148), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [555557] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13380), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10813), 1,
      sym_attribute,
    STATE(10824), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13378), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555598] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12853), 1,
      anon_sym_let,
    ACTIONS(13382), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10497), 1,
      aux_sym_expression_item_repeat1,
    STATE(10814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12851), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555641] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10815), 1,
      sym_attribute,
    STATE(11494), 1,
      sym__attribute,
    STATE(14894), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [555698] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12718), 1,
      anon_sym_let,
    ACTIONS(13384), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10442), 1,
      aux_sym_expression_item_repeat1,
    STATE(10816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [555741] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10817), 1,
      sym_attribute,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11813), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [555786] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10818), 1,
      sym_attribute,
    STATE(11578), 1,
      sym__attribute,
    STATE(15045), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [555843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8054), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [555878] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10820), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__attribute,
    STATE(15908), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [555935] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(10821), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11813), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [555980] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13386), 1,
      anon_sym_LPAREN,
    ACTIONS(13388), 1,
      anon_sym_end,
    STATE(10822), 1,
      sym_attribute,
    STATE(11207), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556037] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13390), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12030), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10823), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556076] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13395), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13393), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556117] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13399), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10825), 1,
      sym_attribute,
    STATE(10853), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13397), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556158] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13399), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13397), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556199] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13401), 1,
      anon_sym_LPAREN,
    ACTIONS(13403), 1,
      anon_sym_end,
    STATE(10827), 1,
      sym_attribute,
    STATE(11116), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556256] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10828), 1,
      sym_attribute,
    STATE(11517), 1,
      sym__attribute,
    STATE(14910), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [556313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556348] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_COMMA,
    ACTIONS(13186), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13188), 1,
      sym_pow_operator,
    ACTIONS(13190), 1,
      sym_mult_operator,
    ACTIONS(13192), 1,
      sym_concat_operator,
    ACTIONS(13194), 1,
      sym_rel_operator,
    ACTIONS(13196), 1,
      sym_and_operator,
    ACTIONS(13198), 1,
      sym_or_operator,
    ACTIONS(13200), 1,
      sym_assign_operator,
    ACTIONS(13405), 1,
      anon_sym_SEMI,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [556407] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13409), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13407), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556483] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10833), 1,
      sym_attribute,
    STATE(11587), 1,
      sym__attribute,
    STATE(15195), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [556540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556575] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6843), 1,
      anon_sym_let,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10444), 1,
      aux_sym_expression_item_repeat1,
    STATE(10835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6841), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556618] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13411), 1,
      anon_sym_LPAREN,
    ACTIONS(13413), 1,
      anon_sym_end,
    STATE(10836), 1,
      sym_attribute,
    STATE(11404), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556675] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11098), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556716] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13415), 1,
      anon_sym_LPAREN,
    ACTIONS(13417), 1,
      anon_sym_end,
    STATE(10838), 1,
      sym_attribute,
    STATE(11259), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556773] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13308), 1,
      anon_sym_PIPE,
    STATE(10790), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(10839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11815), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8058), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8062), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [556952] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13419), 1,
      anon_sym_LPAREN,
    ACTIONS(13421), 1,
      anon_sym_end,
    STATE(10844), 1,
      sym_attribute,
    STATE(11273), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557009] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13423), 1,
      anon_sym_LPAREN,
    ACTIONS(13425), 1,
      anon_sym_end,
    STATE(10845), 1,
      sym_attribute,
    STATE(10989), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557066] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10846), 1,
      sym_attribute,
    STATE(11463), 1,
      sym__attribute,
    STATE(16126), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [557123] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6835), 1,
      anon_sym_let,
    ACTIONS(6917), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10426), 1,
      aux_sym_expression_item_repeat1,
    STATE(10847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6833), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557166] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12963), 1,
      anon_sym_let,
    ACTIONS(13427), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10556), 1,
      aux_sym_expression_item_repeat1,
    STATE(10848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12961), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557209] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13431), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13433), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13429), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557252] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13435), 1,
      anon_sym_LPAREN,
    ACTIONS(13437), 1,
      anon_sym_end,
    STATE(10850), 1,
      sym_attribute,
    STATE(11311), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557309] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13431), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13439), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13429), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557387] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13443), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13441), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557428] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13445), 1,
      anon_sym_LPAREN,
    ACTIONS(13447), 1,
      anon_sym_end,
    STATE(10854), 1,
      sym_attribute,
    STATE(11418), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557520] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13449), 1,
      anon_sym_PIPE,
    STATE(10856), 1,
      sym_attribute,
    STATE(10873), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [557559] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(13370), 1,
      sym__identifier,
    ACTIONS(13372), 1,
      anon_sym_POUND,
    STATE(10857), 1,
      sym_attribute,
    STATE(11631), 1,
      sym_type_constructor_path,
    STATE(16614), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [557604] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13449), 1,
      anon_sym_PIPE,
    STATE(10858), 1,
      sym_attribute,
    STATE(10876), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [557643] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10859), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__attribute,
    STATE(16172), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [557700] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13451), 1,
      anon_sym_LPAREN,
    ACTIONS(13453), 1,
      anon_sym_end,
    STATE(10860), 1,
      sym_attribute,
    STATE(11238), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557792] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10862), 1,
      sym_attribute,
    STATE(11473), 1,
      sym__attribute,
    STATE(15036), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [557849] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13455), 1,
      anon_sym_LPAREN,
    ACTIONS(13457), 1,
      anon_sym_end,
    STATE(10863), 1,
      sym_attribute,
    STATE(11047), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [557976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558116] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12229), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12227), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13449), 1,
      anon_sym_PIPE,
    STATE(10873), 1,
      sym_attribute,
    STATE(10877), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [558266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558301] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13308), 1,
      anon_sym_PIPE,
    STATE(10875), 1,
      sym_attribute,
    STATE(10889), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13303), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13301), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558340] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13449), 1,
      anon_sym_PIPE,
    STATE(10876), 1,
      sym_attribute,
    STATE(10877), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [558379] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13459), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10877), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [558416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558451] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13462), 1,
      anon_sym_LPAREN,
    ACTIONS(13464), 1,
      anon_sym_end,
    STATE(10879), 1,
      sym_attribute,
    STATE(11271), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558508] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13466), 1,
      anon_sym_LPAREN,
    ACTIONS(13468), 1,
      anon_sym_end,
    STATE(10880), 1,
      sym_attribute,
    STATE(11149), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558565] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(13470), 1,
      anon_sym_of,
    ACTIONS(13472), 1,
      anon_sym_COLON2,
    STATE(10881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12350), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(10246), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [558641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [558816] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13476), 1,
      anon_sym_BANG,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(10888), 1,
      sym_attribute,
    STATE(11987), 1,
      sym__attribute,
    STATE(12693), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [558873] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13484), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10889), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13081), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558910] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12821), 1,
      anon_sym_DASH_GT,
    STATE(10890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12120), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12118), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558949] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_STAR,
    STATE(10891), 1,
      sym_attribute,
    STATE(10896), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12764), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12762), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559128] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13487), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11813), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10896), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559165] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13490), 1,
      anon_sym_LPAREN,
    ACTIONS(13492), 1,
      anon_sym_end,
    STATE(10897), 1,
      sym_attribute,
    STATE(11392), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559257] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2249), 1,
      sym_add_operator,
    STATE(10899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [559294] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13270), 1,
      anon_sym_else,
    STATE(10296), 1,
      sym_else_clause,
    STATE(10900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [559333] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13494), 1,
      anon_sym_LPAREN,
    ACTIONS(13496), 1,
      anon_sym_end,
    STATE(10901), 1,
      sym_attribute,
    STATE(11181), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559390] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13500), 1,
      anon_sym_end,
    STATE(10902), 1,
      sym_attribute,
    STATE(11064), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559447] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12698), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13165), 1,
      anon_sym_and,
    STATE(10673), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12696), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559486] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6913), 1,
      anon_sym_let,
    ACTIONS(6927), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10425), 1,
      aux_sym_expression_item_repeat1,
    STATE(10904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8066), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [559564] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13502), 1,
      anon_sym_LPAREN,
    ACTIONS(13504), 1,
      anon_sym_end,
    STATE(10906), 1,
      sym_attribute,
    STATE(11065), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559621] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(13370), 1,
      sym__identifier,
    ACTIONS(13506), 1,
      anon_sym_POUND,
    STATE(10907), 1,
      sym_attribute,
    STATE(11486), 1,
      sym_type_constructor_path,
    STATE(16614), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [559666] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13508), 1,
      anon_sym_LPAREN,
    ACTIONS(13510), 1,
      anon_sym_end,
    STATE(10908), 1,
      sym_attribute,
    STATE(11268), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559723] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12698), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13206), 1,
      anon_sym_and,
    STATE(10705), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(10909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12696), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559762] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13512), 1,
      anon_sym_LPAREN,
    ACTIONS(13514), 1,
      anon_sym_end,
    STATE(10910), 1,
      sym_attribute,
    STATE(11451), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559819] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10911), 1,
      sym_attribute,
    STATE(11577), 1,
      sym__attribute,
    STATE(15302), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [559876] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10912), 1,
      sym_attribute,
    STATE(11646), 1,
      sym__attribute,
    STATE(14855), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [559933] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13516), 1,
      anon_sym_LPAREN,
    ACTIONS(13518), 1,
      anon_sym_end,
    STATE(10913), 1,
      sym_attribute,
    STATE(11077), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(13520), 1,
      anon_sym_of,
    ACTIONS(13522), 1,
      anon_sym_COLON2,
    STATE(10914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12350), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560031] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(13524), 1,
      anon_sym_of,
    ACTIONS(13526), 1,
      anon_sym_COLON2,
    STATE(10915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12360), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [560072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560142] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13299), 1,
      anon_sym_PIPE,
    STATE(10778), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(10918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11815), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560181] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13299), 1,
      anon_sym_PIPE,
    STATE(10779), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(10919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [560290] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13528), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      anon_sym_end,
    STATE(10922), 1,
      sym_attribute,
    STATE(11197), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560347] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13380), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13378), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560388] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13105), 1,
      anon_sym_DASH_GT,
    ACTIONS(13107), 1,
      anon_sym_with,
    ACTIONS(13252), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(10924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13250), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560433] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(10925), 1,
      sym_attribute,
    STATE(11505), 1,
      sym__attribute,
    STATE(15987), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [560490] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13532), 1,
      anon_sym_LPAREN,
    ACTIONS(13534), 1,
      anon_sym_end,
    STATE(10926), 1,
      sym_attribute,
    STATE(10978), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560547] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_functor,
    STATE(10927), 1,
      sym_attribute,
    STATE(11647), 1,
      sym__module_type,
    STATE(11657), 1,
      sym__attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [560604] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13540), 1,
      anon_sym_LPAREN,
    ACTIONS(13542), 1,
      anon_sym_end,
    STATE(10928), 1,
      sym_attribute,
    STATE(11215), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560661] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13366), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10831), 1,
      aux_sym_expression_item_repeat1,
    STATE(10929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13544), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13364), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560704] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6923), 1,
      anon_sym_let,
    ACTIONS(6925), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10361), 1,
      aux_sym_expression_item_repeat1,
    STATE(10930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560747] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(10931), 1,
      sym_attribute,
    STATE(12011), 1,
      sym__attribute,
    STATE(12844), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [560801] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    ACTIONS(13548), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      sym_attribute,
    STATE(14925), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [560855] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_and,
    ACTIONS(13556), 1,
      sym_let_and_operator,
    STATE(10933), 1,
      sym_attribute,
    STATE(11409), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13552), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13550), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560895] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13137), 1,
      anon_sym_end,
    STATE(10934), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560949] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_and,
    ACTIONS(13556), 1,
      sym_let_and_operator,
    STATE(10935), 1,
      sym_attribute,
    STATE(11412), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560989] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13562), 1,
      anon_sym_end,
    STATE(10936), 1,
      sym_attribute,
    STATE(10937), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561043] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13564), 1,
      anon_sym_end,
    STATE(10937), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561097] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13566), 1,
      anon_sym_end,
    STATE(10938), 1,
      sym_attribute,
    STATE(11286), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561151] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13568), 1,
      anon_sym_else,
    STATE(10296), 1,
      sym_else_clause,
    STATE(10939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561189] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13564), 1,
      anon_sym_end,
    STATE(10940), 1,
      sym_attribute,
    STATE(10941), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561243] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13570), 1,
      anon_sym_end,
    STATE(10941), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561297] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13570), 1,
      anon_sym_end,
    STATE(10942), 1,
      sym_attribute,
    STATE(10943), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561351] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13572), 1,
      anon_sym_end,
    STATE(10943), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561405] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(10944), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [561449] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13574), 1,
      anon_sym_end,
    STATE(10945), 1,
      sym_attribute,
    STATE(10946), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561503] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13576), 1,
      anon_sym_end,
    STATE(10946), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561557] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13576), 1,
      anon_sym_end,
    STATE(10947), 1,
      sym_attribute,
    STATE(10948), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561611] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13578), 1,
      anon_sym_end,
    STATE(10948), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561665] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13578), 1,
      anon_sym_end,
    STATE(10949), 1,
      sym_attribute,
    STATE(10950), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561719] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13580), 1,
      anon_sym_end,
    STATE(10950), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561773] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13582), 1,
      anon_sym_end,
    STATE(10951), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561827] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13534), 1,
      anon_sym_end,
    STATE(10952), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561881] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(10953), 1,
      sym_attribute,
    STATE(11724), 1,
      sym__attribute,
    STATE(12744), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [561935] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13584), 1,
      anon_sym_end,
    STATE(10954), 1,
      sym_attribute,
    STATE(10956), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561989] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13586), 1,
      anon_sym_end,
    STATE(10955), 1,
      sym_attribute,
    STATE(10993), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562043] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13588), 1,
      anon_sym_end,
    STATE(10956), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562097] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13588), 1,
      anon_sym_end,
    STATE(10957), 1,
      sym_attribute,
    STATE(10958), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562151] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13590), 1,
      anon_sym_end,
    STATE(10958), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562205] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13590), 1,
      anon_sym_end,
    STATE(10959), 1,
      sym_attribute,
    STATE(10960), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562259] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_end,
    STATE(10960), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562313] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13594), 1,
      anon_sym_end,
    STATE(10961), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562367] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_and,
    ACTIONS(13598), 1,
      sym_let_and_operator,
    STATE(10962), 1,
      sym_attribute,
    STATE(11307), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562407] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10842), 1,
      anon_sym_as,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(13602), 1,
      anon_sym_POUND,
    STATE(10963), 1,
      sym_attribute,
    STATE(11839), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [562451] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13496), 1,
      anon_sym_end,
    STATE(10964), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562505] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_and,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    ACTIONS(13612), 1,
      sym_rel_operator,
    ACTIONS(13614), 1,
      sym_and_operator,
    ACTIONS(13616), 1,
      sym_or_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [562557] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562601] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13606), 1,
      sym_pow_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562639] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13606), 1,
      sym_pow_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562677] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562723] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562769] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    ACTIONS(13612), 1,
      sym_rel_operator,
    ACTIONS(13614), 1,
      sym_and_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [562819] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_and,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    ACTIONS(13612), 1,
      sym_rel_operator,
    ACTIONS(13614), 1,
      sym_and_operator,
    ACTIONS(13616), 1,
      sym_or_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [562871] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_and,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    ACTIONS(13612), 1,
      sym_rel_operator,
    ACTIONS(13614), 1,
      sym_and_operator,
    ACTIONS(13616), 1,
      sym_or_operator,
    ACTIONS(13618), 1,
      anon_sym_COMMA,
    ACTIONS(13620), 1,
      sym_assign_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [562927] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562967] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_and,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    ACTIONS(13612), 1,
      sym_rel_operator,
    ACTIONS(13614), 1,
      sym_and_operator,
    ACTIONS(13616), 1,
      sym_or_operator,
    ACTIONS(13618), 1,
      anon_sym_COMMA,
    ACTIONS(13620), 1,
      sym_assign_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [563023] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13622), 1,
      anon_sym_else,
    STATE(10191), 1,
      sym_else_clause,
    STATE(10976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563061] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_and,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    ACTIONS(13612), 1,
      sym_rel_operator,
    ACTIONS(13614), 1,
      sym_and_operator,
    ACTIONS(13616), 1,
      sym_or_operator,
    ACTIONS(13618), 1,
      anon_sym_COMMA,
    ACTIONS(13620), 1,
      sym_assign_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [563117] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13624), 1,
      anon_sym_end,
    STATE(10978), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563171] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13626), 1,
      anon_sym_end,
    STATE(10979), 1,
      sym_attribute,
    STATE(10981), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563225] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(10980), 1,
      sym_attribute,
    STATE(11970), 1,
      sym__attribute,
    STATE(12877), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [563279] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13628), 1,
      anon_sym_end,
    STATE(10981), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563333] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13628), 1,
      anon_sym_end,
    STATE(10982), 1,
      sym_attribute,
    STATE(10983), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563387] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13630), 1,
      anon_sym_end,
    STATE(10983), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563441] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13630), 1,
      anon_sym_end,
    STATE(10984), 1,
      sym_attribute,
    STATE(10985), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563495] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13632), 1,
      anon_sym_end,
    STATE(10985), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563549] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13425), 1,
      anon_sym_end,
    STATE(10986), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563603] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13634), 1,
      anon_sym_end,
    STATE(10987), 1,
      sym_attribute,
    STATE(10998), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563657] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(10988), 1,
      sym_attribute,
    STATE(11973), 1,
      sym__attribute,
    STATE(12716), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [563711] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13636), 1,
      anon_sym_end,
    STATE(10989), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563765] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_end,
    STATE(10990), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563819] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_and,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    ACTIONS(13612), 1,
      sym_rel_operator,
    ACTIONS(13614), 1,
      sym_and_operator,
    ACTIONS(13616), 1,
      sym_or_operator,
    ACTIONS(13618), 1,
      anon_sym_COMMA,
    ACTIONS(13620), 1,
      sym_assign_operator,
    STATE(2015), 1,
      sym_add_operator,
    STATE(10991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [563875] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_end,
    STATE(10992), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563929] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13640), 1,
      anon_sym_end,
    STATE(10993), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563983] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13640), 1,
      anon_sym_end,
    STATE(10994), 1,
      sym_attribute,
    STATE(11015), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564037] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13568), 1,
      anon_sym_else,
    STATE(10191), 1,
      sym_else_clause,
    STATE(10995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564075] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13642), 1,
      anon_sym_end,
    STATE(10996), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564129] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13644), 1,
      anon_sym_end,
    STATE(10997), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564183] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13646), 1,
      anon_sym_end,
    STATE(10998), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564237] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13457), 1,
      anon_sym_end,
    STATE(10999), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564291] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13648), 1,
      anon_sym_end,
    STATE(11000), 1,
      sym_attribute,
    STATE(11090), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564345] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13650), 1,
      anon_sym_end,
    STATE(11001), 1,
      sym_attribute,
    STATE(11004), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564399] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2015), 1,
      sym_add_operator,
    STATE(11002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13622), 1,
      anon_sym_else,
    STATE(10296), 1,
      sym_else_clause,
    STATE(11003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564473] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13652), 1,
      anon_sym_end,
    STATE(11004), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564527] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13652), 1,
      anon_sym_end,
    STATE(11005), 1,
      sym_attribute,
    STATE(11007), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564581] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13274), 1,
      anon_sym_end,
    STATE(11006), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564635] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13654), 1,
      anon_sym_end,
    STATE(11007), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564689] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13654), 1,
      anon_sym_end,
    STATE(11008), 1,
      sym_attribute,
    STATE(11010), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564743] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13638), 1,
      anon_sym_end,
    STATE(11009), 1,
      sym_attribute,
    STATE(11026), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564797] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13656), 1,
      anon_sym_end,
    STATE(11010), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564851] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(13658), 1,
      anon_sym_of,
    ACTIONS(13660), 1,
      anon_sym_COLON2,
    STATE(11011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12352), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12350), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564891] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11012), 1,
      sym_attribute,
    STATE(11767), 1,
      sym__attribute,
    STATE(12769), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [564945] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13662), 1,
      anon_sym_end,
    STATE(11013), 1,
      sym_attribute,
    STATE(11034), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564999] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13664), 1,
      anon_sym_end,
    STATE(11014), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565053] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13666), 1,
      anon_sym_end,
    STATE(11015), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565107] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [565143] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13666), 1,
      anon_sym_end,
    STATE(11017), 1,
      sym_attribute,
    STATE(11024), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565197] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13668), 1,
      anon_sym_PIPE,
    STATE(11018), 1,
      sym_attribute,
    STATE(11020), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565235] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13668), 1,
      anon_sym_PIPE,
    STATE(11019), 1,
      sym_attribute,
    STATE(11021), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13668), 1,
      anon_sym_PIPE,
    STATE(11020), 1,
      sym_attribute,
    STATE(11022), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565311] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13668), 1,
      anon_sym_PIPE,
    STATE(11021), 1,
      sym_attribute,
    STATE(11022), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13670), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565385] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(13673), 1,
      anon_sym_of,
    ACTIONS(13675), 1,
      anon_sym_COLON2,
    STATE(11023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12362), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12360), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565425] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13677), 1,
      anon_sym_end,
    STATE(11024), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565479] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13679), 1,
      anon_sym_end,
    STATE(11025), 1,
      sym_attribute,
    STATE(11028), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565533] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13681), 1,
      anon_sym_end,
    STATE(11026), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565587] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13681), 1,
      anon_sym_end,
    STATE(11027), 1,
      sym_attribute,
    STATE(11054), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13683), 1,
      anon_sym_end,
    STATE(11028), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565695] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13683), 1,
      anon_sym_end,
    STATE(11029), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565749] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13685), 1,
      anon_sym_end,
    STATE(11030), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565803] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13685), 1,
      anon_sym_end,
    STATE(11031), 1,
      sym_attribute,
    STATE(11032), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565857] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13687), 1,
      anon_sym_end,
    STATE(11032), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565911] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10872), 1,
      anon_sym_as,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    STATE(11033), 1,
      sym_attribute,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [565955] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13691), 1,
      anon_sym_end,
    STATE(11034), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566009] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11035), 1,
      sym_attribute,
    STATE(11848), 1,
      sym__attribute,
    STATE(12723), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [566063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(13693), 1,
      anon_sym_of,
    ACTIONS(13695), 1,
      anon_sym_COLON2,
    STATE(11036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12352), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12350), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566103] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(13697), 1,
      anon_sym_of,
    ACTIONS(13699), 1,
      anon_sym_COLON2,
    STATE(11037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12362), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12360), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566143] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13285), 1,
      anon_sym_end,
    STATE(11038), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566197] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13691), 1,
      anon_sym_end,
    STATE(11039), 1,
      sym_attribute,
    STATE(11041), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566251] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(13701), 1,
      anon_sym_of,
    ACTIONS(13703), 1,
      anon_sym_COLON2,
    STATE(11040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12233), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12231), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566291] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13705), 1,
      anon_sym_end,
    STATE(11041), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566345] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13707), 1,
      anon_sym_end,
    STATE(11042), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566399] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13709), 1,
      anon_sym_COMMA,
    ACTIONS(13711), 1,
      anon_sym_SEMI,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    ACTIONS(13721), 1,
      sym_rel_operator,
    ACTIONS(13723), 1,
      sym_and_operator,
    ACTIONS(13725), 1,
      sym_or_operator,
    ACTIONS(13727), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8918), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(8916), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [566457] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13705), 1,
      anon_sym_end,
    STATE(11044), 1,
      sym_attribute,
    STATE(11045), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566511] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13729), 1,
      anon_sym_end,
    STATE(11045), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566565] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13731), 1,
      anon_sym_end,
    STATE(11046), 1,
      sym_attribute,
    STATE(11048), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566619] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13733), 1,
      anon_sym_end,
    STATE(11047), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566673] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13735), 1,
      anon_sym_end,
    STATE(11048), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566727] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13735), 1,
      anon_sym_end,
    STATE(11049), 1,
      sym_attribute,
    STATE(11050), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566781] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13737), 1,
      anon_sym_end,
    STATE(11050), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566835] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13737), 1,
      anon_sym_end,
    STATE(11051), 1,
      sym_attribute,
    STATE(11052), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566889] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13739), 1,
      anon_sym_end,
    STATE(11052), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566943] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13741), 1,
      anon_sym_end,
    STATE(11053), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566997] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13743), 1,
      anon_sym_end,
    STATE(11054), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567051] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11990), 1,
      anon_sym_STAR,
    ACTIONS(12764), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11055), 1,
      sym_attribute,
    STATE(11056), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12762), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567089] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13745), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11056), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567125] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_and,
    ACTIONS(13598), 1,
      sym_let_and_operator,
    STATE(11057), 1,
      sym_attribute,
    STATE(11117), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567165] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13504), 1,
      anon_sym_end,
    STATE(11058), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567219] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(8808), 1,
      sym__module_expression,
    STATE(11059), 1,
      sym_attribute,
    STATE(11931), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [567273] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13500), 1,
      anon_sym_end,
    STATE(11060), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567327] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(11061), 1,
      sym_attribute,
    STATE(11971), 1,
      sym__attribute,
    STATE(12681), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [567381] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13518), 1,
      anon_sym_end,
    STATE(11062), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567435] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11063), 1,
      sym_attribute,
    STATE(11895), 1,
      sym__attribute,
    STATE(12721), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [567489] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13748), 1,
      anon_sym_end,
    STATE(11064), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567543] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13750), 1,
      anon_sym_end,
    STATE(11065), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567597] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(11066), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11960), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [567641] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(11067), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11964), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [567685] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13752), 1,
      anon_sym_end,
    STATE(11068), 1,
      sym_attribute,
    STATE(11173), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567739] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13754), 1,
      anon_sym_end,
    STATE(11069), 1,
      sym_attribute,
    STATE(11070), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567793] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13756), 1,
      anon_sym_end,
    STATE(11070), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567847] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13756), 1,
      anon_sym_end,
    STATE(11071), 1,
      sym_attribute,
    STATE(11072), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567901] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13758), 1,
      anon_sym_end,
    STATE(11072), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567955] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13758), 1,
      anon_sym_end,
    STATE(11073), 1,
      sym_attribute,
    STATE(11076), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568009] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    ACTIONS(13760), 1,
      anon_sym_RPAREN,
    ACTIONS(13762), 1,
      anon_sym_val,
    STATE(8729), 1,
      sym_module_path,
    STATE(11074), 1,
      sym_attribute,
    STATE(12751), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568063] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13764), 1,
      anon_sym_end,
    STATE(11075), 1,
      sym_attribute,
    STATE(11078), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568117] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13766), 1,
      anon_sym_end,
    STATE(11076), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568171] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13768), 1,
      anon_sym_end,
    STATE(11077), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568225] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13770), 1,
      anon_sym_end,
    STATE(11078), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568279] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13770), 1,
      anon_sym_end,
    STATE(11079), 1,
      sym_attribute,
    STATE(11082), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568333] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13772), 1,
      anon_sym_DASH_GT,
    STATE(11080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568369] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13403), 1,
      anon_sym_end,
    STATE(11081), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568423] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13774), 1,
      anon_sym_end,
    STATE(11082), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568477] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13774), 1,
      anon_sym_end,
    STATE(11083), 1,
      sym_attribute,
    STATE(11084), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568531] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13776), 1,
      anon_sym_end,
    STATE(11084), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568585] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11085), 1,
      sym_attribute,
    STATE(11927), 1,
      sym__attribute,
    STATE(12735), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568639] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(13778), 1,
      anon_sym_of,
    ACTIONS(13780), 1,
      anon_sym_COLON2,
    STATE(11086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12350), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568679] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(13782), 1,
      anon_sym_of,
    ACTIONS(13784), 1,
      anon_sym_COLON2,
    STATE(11087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12360), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568719] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12233), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(13786), 1,
      anon_sym_of,
    ACTIONS(13788), 1,
      anon_sym_COLON2,
    STATE(11088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568759] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12108), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(13772), 1,
      anon_sym_DASH_GT,
    STATE(11089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568797] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13790), 1,
      anon_sym_end,
    STATE(11090), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568851] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13213), 1,
      anon_sym_end,
    STATE(11091), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568905] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13530), 1,
      anon_sym_end,
    STATE(11092), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568959] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13792), 1,
      anon_sym_end,
    STATE(11093), 1,
      sym_attribute,
    STATE(11144), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569013] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13794), 1,
      anon_sym_end,
    STATE(11094), 1,
      sym_attribute,
    STATE(11100), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569067] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13796), 1,
      anon_sym_end,
    STATE(11095), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569121] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12067), 1,
      anon_sym_STAR,
    ACTIONS(12764), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11096), 1,
      sym_attribute,
    STATE(11097), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12762), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569159] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13798), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11097), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569195] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12116), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13772), 1,
      anon_sym_DASH_GT,
    STATE(11098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12114), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569233] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11099), 1,
      sym_attribute,
    STATE(11978), 1,
      sym__attribute,
    STATE(12837), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569287] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13801), 1,
      anon_sym_end,
    STATE(11100), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569341] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13801), 1,
      anon_sym_end,
    STATE(11101), 1,
      sym_attribute,
    STATE(11103), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569395] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13803), 1,
      anon_sym_end,
    STATE(11102), 1,
      sym_attribute,
    STATE(11105), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569449] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13805), 1,
      anon_sym_end,
    STATE(11103), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569503] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13805), 1,
      anon_sym_end,
    STATE(11104), 1,
      sym_attribute,
    STATE(11108), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569557] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13807), 1,
      anon_sym_end,
    STATE(11105), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569611] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13807), 1,
      anon_sym_end,
    STATE(11106), 1,
      sym_attribute,
    STATE(11109), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569665] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13293), 1,
      anon_sym_end,
    STATE(11107), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569719] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13809), 1,
      anon_sym_end,
    STATE(11108), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569773] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13811), 1,
      anon_sym_end,
    STATE(11109), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569827] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13811), 1,
      anon_sym_end,
    STATE(11110), 1,
      sym_attribute,
    STATE(11115), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569881] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12354), 1,
      anon_sym_EQ,
    ACTIONS(13813), 1,
      anon_sym_of,
    ACTIONS(13815), 1,
      anon_sym_COLON2,
    STATE(11111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12350), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569921] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12364), 1,
      anon_sym_EQ,
    ACTIONS(13817), 1,
      anon_sym_of,
    ACTIONS(13819), 1,
      anon_sym_COLON2,
    STATE(11112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12360), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569961] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13821), 1,
      anon_sym_end,
    STATE(11113), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570015] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12233), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(13823), 1,
      anon_sym_of,
    ACTIONS(13825), 1,
      anon_sym_COLON2,
    STATE(11114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570055] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13827), 1,
      anon_sym_end,
    STATE(11115), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570109] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13829), 1,
      anon_sym_end,
    STATE(11116), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570163] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_and,
    ACTIONS(13598), 1,
      sym_let_and_operator,
    STATE(11117), 1,
      sym_attribute,
    STATE(11307), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13833), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570203] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13741), 1,
      anon_sym_end,
    STATE(11118), 1,
      sym_attribute,
    STATE(11140), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570257] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13244), 1,
      anon_sym_end,
    STATE(11119), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570311] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13835), 1,
      anon_sym_end,
    STATE(11120), 1,
      sym_attribute,
    STATE(11122), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570365] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11121), 1,
      sym_attribute,
    STATE(11699), 1,
      sym__attribute,
    STATE(12750), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570419] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13837), 1,
      anon_sym_end,
    STATE(11122), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570473] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13837), 1,
      anon_sym_end,
    STATE(11123), 1,
      sym_attribute,
    STATE(11124), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570527] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13839), 1,
      anon_sym_end,
    STATE(11124), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570581] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13312), 1,
      anon_sym_end,
    STATE(11125), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570635] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13839), 1,
      anon_sym_end,
    STATE(11126), 1,
      sym_attribute,
    STATE(11127), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570689] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13841), 1,
      anon_sym_end,
    STATE(11127), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570743] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_and,
    ACTIONS(13598), 1,
      sym_let_and_operator,
    STATE(10962), 1,
      aux_sym_value_definition_repeat1,
    STATE(11128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13552), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13550), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570783] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11129), 1,
      sym_attribute,
    STATE(11712), 1,
      sym__attribute,
    STATE(12920), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570837] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13268), 1,
      anon_sym_end,
    STATE(11130), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570891] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13843), 1,
      anon_sym_end,
    STATE(11131), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570945] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13845), 1,
      anon_sym_end,
    STATE(11132), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570999] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11133), 1,
      sym_attribute,
    STATE(11726), 1,
      sym__attribute,
    STATE(12760), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571053] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13847), 1,
      anon_sym_end,
    STATE(11134), 1,
      sym_attribute,
    STATE(11135), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571107] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13849), 1,
      anon_sym_end,
    STATE(11135), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571161] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13849), 1,
      anon_sym_end,
    STATE(11136), 1,
      sym_attribute,
    STATE(11137), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571215] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13851), 1,
      anon_sym_end,
    STATE(11137), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571269] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13851), 1,
      anon_sym_end,
    STATE(11138), 1,
      sym_attribute,
    STATE(11139), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571323] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13853), 1,
      anon_sym_end,
    STATE(11139), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571377] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13855), 1,
      anon_sym_end,
    STATE(11140), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571431] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11141), 1,
      sym_attribute,
    STATE(11732), 1,
      sym__attribute,
    STATE(12932), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571485] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13857), 1,
      anon_sym_end,
    STATE(10996), 1,
      aux_sym_object_expression_repeat1,
    STATE(11142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571539] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13376), 1,
      anon_sym_end,
    STATE(11143), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571593] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13859), 1,
      anon_sym_end,
    STATE(11144), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571647] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_and,
    ACTIONS(13598), 1,
      sym_let_and_operator,
    STATE(11145), 1,
      sym_attribute,
    STATE(11307), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13863), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13861), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571687] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13859), 1,
      anon_sym_end,
    STATE(11146), 1,
      sym_attribute,
    STATE(11156), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571741] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11147), 1,
      sym_attribute,
    STATE(11735), 1,
      sym__attribute,
    STATE(12741), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571795] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13865), 1,
      anon_sym_end,
    STATE(11148), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571849] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13867), 1,
      anon_sym_end,
    STATE(11149), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571903] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13334), 1,
      anon_sym_end,
    STATE(11150), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571957] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13869), 1,
      anon_sym_end,
    STATE(11151), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572011] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11152), 1,
      sym_attribute,
    STATE(11738), 1,
      sym__attribute,
    STATE(12835), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572065] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(11153), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11972), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [572109] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13871), 1,
      anon_sym_end,
    STATE(11154), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572163] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13873), 1,
      anon_sym_end,
    STATE(11155), 1,
      sym_attribute,
    STATE(11163), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572217] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13875), 1,
      anon_sym_end,
    STATE(11156), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572271] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13875), 1,
      anon_sym_end,
    STATE(11157), 1,
      sym_attribute,
    STATE(11172), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572325] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13877), 1,
      anon_sym_end,
    STATE(11158), 1,
      sym_attribute,
    STATE(11160), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572379] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11159), 1,
      sym_attribute,
    STATE(11740), 1,
      sym__attribute,
    STATE(12916), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572433] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13879), 1,
      anon_sym_end,
    STATE(11160), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572487] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13879), 1,
      anon_sym_end,
    STATE(11161), 1,
      sym_attribute,
    STATE(11162), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572541] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13881), 1,
      anon_sym_end,
    STATE(11162), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572595] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13883), 1,
      anon_sym_end,
    STATE(11163), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572649] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13881), 1,
      anon_sym_end,
    STATE(11164), 1,
      sym_attribute,
    STATE(11167), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572703] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13883), 1,
      anon_sym_end,
    STATE(11165), 1,
      sym_attribute,
    STATE(11166), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572757] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13885), 1,
      anon_sym_end,
    STATE(11166), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572811] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13887), 1,
      anon_sym_end,
    STATE(11167), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572865] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11168), 1,
      sym_attribute,
    STATE(11743), 1,
      sym__attribute,
    STATE(12770), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572919] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13885), 1,
      anon_sym_end,
    STATE(11169), 1,
      sym_attribute,
    STATE(11170), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572973] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13889), 1,
      anon_sym_end,
    STATE(11170), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13893), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [573061] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13895), 1,
      anon_sym_end,
    STATE(11172), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573115] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13897), 1,
      anon_sym_end,
    STATE(11173), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573169] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13899), 1,
      anon_sym_end,
    STATE(11174), 1,
      sym_attribute,
    STATE(11194), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573223] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13901), 1,
      anon_sym_end,
    STATE(11132), 1,
      aux_sym_object_expression_repeat1,
    STATE(11175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573277] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13897), 1,
      anon_sym_end,
    STATE(11176), 1,
      sym_attribute,
    STATE(11223), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573331] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13362), 1,
      anon_sym_end,
    STATE(11177), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573385] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11178), 1,
      sym_attribute,
    STATE(11757), 1,
      sym__attribute,
    STATE(12805), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573439] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13903), 1,
      anon_sym_end,
    STATE(11179), 1,
      sym_attribute,
    STATE(11182), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573493] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13905), 1,
      anon_sym_end,
    STATE(11180), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573547] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13907), 1,
      anon_sym_end,
    STATE(11181), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573601] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_end,
    STATE(11182), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573655] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_end,
    STATE(11183), 1,
      sym_attribute,
    STATE(11186), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573709] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_end,
    STATE(11184), 1,
      sym_attribute,
    STATE(11191), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573763] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11185), 1,
      sym_attribute,
    STATE(11763), 1,
      sym__attribute,
    STATE(12755), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573817] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13913), 1,
      anon_sym_end,
    STATE(11186), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573871] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13913), 1,
      anon_sym_end,
    STATE(11187), 1,
      sym_attribute,
    STATE(11188), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573925] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13915), 1,
      anon_sym_end,
    STATE(11188), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573979] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13915), 1,
      anon_sym_end,
    STATE(11189), 1,
      sym_attribute,
    STATE(11190), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574033] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13917), 1,
      anon_sym_end,
    STATE(11190), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574087] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13919), 1,
      anon_sym_end,
    STATE(11191), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574141] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13919), 1,
      anon_sym_end,
    STATE(11192), 1,
      sym_attribute,
    STATE(11195), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574195] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13921), 1,
      anon_sym_end,
    STATE(11193), 1,
      sym_attribute,
    STATE(11222), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574249] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13923), 1,
      anon_sym_end,
    STATE(11194), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574303] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13925), 1,
      anon_sym_end,
    STATE(11195), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574357] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11196), 1,
      sym_attribute,
    STATE(11766), 1,
      sym__attribute,
    STATE(12737), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574411] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13927), 1,
      anon_sym_end,
    STATE(11197), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [574499] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13417), 1,
      anon_sym_end,
    STATE(11199), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574553] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13923), 1,
      anon_sym_end,
    STATE(11200), 1,
      sym_attribute,
    STATE(11202), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574607] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13388), 1,
      anon_sym_end,
    STATE(11201), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574661] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13929), 1,
      anon_sym_end,
    STATE(11202), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574715] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11203), 1,
      sym_attribute,
    STATE(11768), 1,
      sym__attribute,
    STATE(12909), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574769] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13929), 1,
      anon_sym_end,
    STATE(11204), 1,
      sym_attribute,
    STATE(11205), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574823] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13931), 1,
      anon_sym_end,
    STATE(11205), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574877] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11206), 1,
      sym_attribute,
    STATE(11774), 1,
      sym__attribute,
    STATE(12800), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574931] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13933), 1,
      anon_sym_end,
    STATE(11207), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574985] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11208), 1,
      sym_attribute,
    STATE(11787), 1,
      sym__attribute,
    STATE(12872), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575039] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13468), 1,
      anon_sym_end,
    STATE(11209), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575093] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11210), 1,
      sym_attribute,
    STATE(11794), 1,
      sym__attribute,
    STATE(12895), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575147] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13596), 1,
      anon_sym_and,
    ACTIONS(13598), 1,
      sym_let_and_operator,
    STATE(11145), 1,
      aux_sym_value_definition_repeat1,
    STATE(11211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13833), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575187] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13542), 1,
      anon_sym_end,
    STATE(11212), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575241] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13935), 1,
      anon_sym_end,
    STATE(11213), 1,
      sym_attribute,
    STATE(11216), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575295] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11214), 1,
      sym_attribute,
    STATE(11795), 1,
      sym__attribute,
    STATE(12873), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575349] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13937), 1,
      anon_sym_end,
    STATE(11215), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575403] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13939), 1,
      anon_sym_end,
    STATE(11216), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575457] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13939), 1,
      anon_sym_end,
    STATE(11217), 1,
      sym_attribute,
    STATE(11218), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575511] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13941), 1,
      anon_sym_end,
    STATE(11218), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575565] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13941), 1,
      anon_sym_end,
    STATE(11219), 1,
      sym_attribute,
    STATE(11221), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575619] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11220), 1,
      sym_attribute,
    STATE(11797), 1,
      sym__attribute,
    STATE(12868), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575673] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13943), 1,
      anon_sym_end,
    STATE(11221), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575727] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13945), 1,
      anon_sym_end,
    STATE(11222), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575781] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13947), 1,
      anon_sym_end,
    STATE(11223), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575835] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13204), 1,
      anon_sym_end,
    STATE(11224), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575889] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(11225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9034), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [575925] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11226), 1,
      sym_attribute,
    STATE(11803), 1,
      sym__attribute,
    STATE(12841), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575979] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13945), 1,
      anon_sym_end,
    STATE(11227), 1,
      sym_attribute,
    STATE(11228), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576033] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13949), 1,
      anon_sym_end,
    STATE(11228), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576087] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13947), 1,
      anon_sym_end,
    STATE(11229), 1,
      sym_attribute,
    STATE(11342), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576141] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13453), 1,
      anon_sym_end,
    STATE(11230), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576195] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13951), 1,
      anon_sym_end,
    STATE(11231), 1,
      sym_attribute,
    STATE(11233), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576249] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11232), 1,
      sym_attribute,
    STATE(11807), 1,
      sym__attribute,
    STATE(12730), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576303] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13953), 1,
      anon_sym_end,
    STATE(11233), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576357] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13953), 1,
      anon_sym_end,
    STATE(11234), 1,
      sym_attribute,
    STATE(11236), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576411] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13955), 1,
      anon_sym_end,
    STATE(11235), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576465] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13957), 1,
      anon_sym_end,
    STATE(11236), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576519] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13957), 1,
      anon_sym_end,
    STATE(11237), 1,
      sym_attribute,
    STATE(11239), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576573] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13959), 1,
      anon_sym_end,
    STATE(11238), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576627] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13961), 1,
      anon_sym_end,
    STATE(11239), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576681] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13949), 1,
      anon_sym_end,
    STATE(11240), 1,
      sym_attribute,
    STATE(11242), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576735] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11241), 1,
      sym_attribute,
    STATE(11813), 1,
      sym__attribute,
    STATE(12753), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576789] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13963), 1,
      anon_sym_end,
    STATE(11242), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576843] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13965), 1,
      anon_sym_end,
    STATE(11243), 1,
      sym_attribute,
    STATE(11247), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576897] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13464), 1,
      anon_sym_end,
    STATE(11244), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576951] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11245), 1,
      sym_attribute,
    STATE(11819), 1,
      sym__attribute,
    STATE(12859), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12108), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(13967), 1,
      anon_sym_DASH_GT,
    STATE(11246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577043] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13969), 1,
      anon_sym_end,
    STATE(11247), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577097] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13969), 1,
      anon_sym_end,
    STATE(11248), 1,
      sym_attribute,
    STATE(11249), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577151] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13971), 1,
      anon_sym_end,
    STATE(11249), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577205] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13971), 1,
      anon_sym_end,
    STATE(11250), 1,
      sym_attribute,
    STATE(11252), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577259] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13845), 1,
      anon_sym_end,
    STATE(11053), 1,
      aux_sym_object_expression_repeat1,
    STATE(11251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577313] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13973), 1,
      anon_sym_end,
    STATE(11252), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577367] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13975), 1,
      anon_sym_end,
    STATE(11253), 1,
      sym_attribute,
    STATE(11260), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577421] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11254), 1,
      sym_attribute,
    STATE(11827), 1,
      sym__attribute,
    STATE(12779), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577475] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13979), 1,
      anon_sym_let,
    ACTIONS(13981), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11255), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(13977), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577511] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12116), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13967), 1,
      anon_sym_DASH_GT,
    STATE(11256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12114), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577549] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13986), 1,
      anon_sym_let,
    ACTIONS(13988), 1,
      anon_sym_and,
    STATE(11255), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13984), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577587] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11258), 1,
      sym_attribute,
    STATE(11833), 1,
      sym__attribute,
    STATE(12832), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_end,
    STATE(11259), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577695] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13992), 1,
      anon_sym_end,
    STATE(11260), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577749] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13992), 1,
      anon_sym_end,
    STATE(11261), 1,
      sym_attribute,
    STATE(11264), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577803] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13510), 1,
      anon_sym_end,
    STATE(11262), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577857] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11263), 1,
      sym_attribute,
    STATE(11836), 1,
      sym__attribute,
    STATE(12824), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577911] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13994), 1,
      anon_sym_end,
    STATE(11264), 1,
      sym_attribute,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577965] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13994), 1,
      anon_sym_end,
    STATE(11265), 1,
      sym_attribute,
    STATE(11267), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578019] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13996), 1,
      anon_sym_constraint,
    ACTIONS(13999), 1,
      anon_sym_val,
    ACTIONS(14002), 1,
      anon_sym_end,
    ACTIONS(14004), 1,
      anon_sym_inherit,
    ACTIONS(14007), 1,
      anon_sym_method,
    ACTIONS(14010), 1,
      anon_sym_initializer,
    ACTIONS(14013), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14016), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14019), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11266), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578071] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14022), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578125] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14024), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578179] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13421), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578233] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11270), 1,
      sym_attribute,
    STATE(11838), 1,
      sym__attribute,
    STATE(12802), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578287] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14026), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578341] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11272), 1,
      sym_attribute,
    STATE(11840), 1,
      sym__attribute,
    STATE(12792), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578395] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14028), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578449] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14030), 1,
      anon_sym_end,
    STATE(11274), 1,
      sym_attribute,
    STATE(11276), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578503] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14034), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14032), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578543] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14036), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578597] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11277), 1,
      sym_attribute,
    STATE(11843), 1,
      sym__attribute,
    STATE(12857), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578651] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14036), 1,
      anon_sym_end,
    STATE(11278), 1,
      sym_attribute,
    STATE(11279), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578705] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14038), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578759] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14038), 1,
      anon_sym_end,
    STATE(11280), 1,
      sym_attribute,
    STATE(11281), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578813] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14040), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578867] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11282), 1,
      sym_attribute,
    STATE(11847), 1,
      sym__attribute,
    STATE(12784), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578921] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14042), 1,
      anon_sym_end,
    STATE(11283), 1,
      sym_attribute,
    STATE(11288), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578975] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14044), 1,
      anon_sym_end,
    STATE(11284), 1,
      sym_attribute,
    STATE(11310), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579029] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11285), 1,
      sym_attribute,
    STATE(11851), 1,
      sym__attribute,
    STATE(12855), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579083] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14046), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579137] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14046), 1,
      anon_sym_end,
    STATE(11287), 1,
      sym_attribute,
    STATE(11387), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579191] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14048), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579245] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13281), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579299] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14048), 1,
      anon_sym_end,
    STATE(11290), 1,
      sym_attribute,
    STATE(11291), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579353] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579407] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11292), 1,
      sym_attribute,
    STATE(11853), 1,
      sym__attribute,
    STATE(12829), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579461] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14050), 1,
      anon_sym_end,
    STATE(11293), 1,
      sym_attribute,
    STATE(11294), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579515] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14052), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579569] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11295), 1,
      sym_attribute,
    STATE(11855), 1,
      sym__attribute,
    STATE(12775), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579623] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14054), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14058), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14056), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [579711] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11298), 1,
      sym_attribute,
    STATE(11859), 1,
      sym__attribute,
    STATE(12740), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579765] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12235), 1,
      anon_sym_EQ,
    ACTIONS(14060), 1,
      anon_sym_of,
    ACTIONS(14062), 1,
      anon_sym_COLON2,
    STATE(11299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12233), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12231), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579805] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14064), 1,
      anon_sym_end,
    STATE(11300), 1,
      sym_attribute,
    STATE(11301), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579859] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14066), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579913] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14066), 1,
      anon_sym_end,
    STATE(11302), 1,
      sym_attribute,
    STATE(11303), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579967] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14068), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580021] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14068), 1,
      anon_sym_end,
    STATE(11304), 1,
      sym_attribute,
    STATE(11305), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580075] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14070), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580129] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14072), 1,
      anon_sym_end,
    STATE(11306), 1,
      sym_attribute,
    STATE(11312), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580183] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14074), 1,
      anon_sym_and,
    ACTIONS(14077), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14058), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11307), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14056), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580221] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13437), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580275] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13141), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580329] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14080), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580383] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14082), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580437] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14084), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580491] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(11313), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [580535] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14084), 1,
      anon_sym_end,
    STATE(11314), 1,
      sym_attribute,
    STATE(11327), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580589] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13147), 1,
      anon_sym_functor,
    ACTIONS(13149), 1,
      anon_sym_struct,
    STATE(8729), 1,
      sym_module_path,
    STATE(9186), 1,
      sym__module_expression,
    STATE(11315), 1,
      sym_attribute,
    STATE(11866), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580643] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14080), 1,
      anon_sym_end,
    STATE(11316), 1,
      sym_attribute,
    STATE(11319), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580697] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(11317), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [580741] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14086), 1,
      anon_sym_end,
    STATE(11318), 1,
      sym_attribute,
    STATE(11320), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580795] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14088), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580849] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14090), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580903] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14088), 1,
      anon_sym_end,
    STATE(11321), 1,
      sym_attribute,
    STATE(11339), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580957] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14090), 1,
      anon_sym_end,
    STATE(11322), 1,
      sym_attribute,
    STATE(11323), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581011] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581065] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13099), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14094), 1,
      anon_sym_DASH_GT,
    ACTIONS(14096), 1,
      anon_sym_with,
    STATE(11324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13097), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581103] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_end,
    STATE(11325), 1,
      sym_attribute,
    STATE(11326), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581157] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14098), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581211] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14100), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581265] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13225), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581319] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13103), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14094), 1,
      anon_sym_DASH_GT,
    ACTIONS(14096), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13101), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581357] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14102), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581411] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14100), 1,
      anon_sym_end,
    STATE(11331), 1,
      sym_attribute,
    STATE(11333), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581465] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14104), 1,
      anon_sym_PIPE,
    STATE(11332), 1,
      sym_attribute,
    STATE(11335), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581503] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14106), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581557] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14104), 1,
      anon_sym_PIPE,
    STATE(11334), 1,
      sym_attribute,
    STATE(11335), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13303), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13301), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581595] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14108), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11335), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13081), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581631] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13790), 1,
      anon_sym_end,
    STATE(11336), 1,
      sym_attribute,
    STATE(11353), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581685] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13316), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581739] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14111), 1,
      anon_sym_RPAREN,
    ACTIONS(14113), 1,
      anon_sym_DOT,
    STATE(11338), 1,
      sym_attribute,
    STATE(17600), 1,
      sym__infix_operator,
    STATE(18793), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(14115), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [581785] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14117), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581839] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14119), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581893] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13180), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581947] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14121), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582001] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14125), 1,
      anon_sym_let,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11275), 1,
      aux_sym_expression_item_repeat1,
    STATE(11343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14123), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      sym__identifier,
    ACTIONS(9522), 11,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__capitalized_identifier,
      aux_sym_tag_token1,
  [582075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8000), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [582109] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13289), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582163] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14127), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582217] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(8806), 1,
      sym__module_expression,
    STATE(11348), 1,
      sym_attribute,
    STATE(11742), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [582271] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    ACTIONS(14129), 1,
      anon_sym_RPAREN,
    STATE(11349), 1,
      sym_attribute,
    STATE(15229), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [582325] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14131), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582379] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14133), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582433] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11352), 1,
      sym_attribute,
    STATE(11896), 1,
      sym__attribute,
    STATE(12917), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [582487] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13634), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582541] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13320), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582595] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_end,
    STATE(11355), 1,
      sym_attribute,
    STATE(11358), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582649] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14137), 1,
      anon_sym_end,
    STATE(11356), 1,
      sym_attribute,
    STATE(11369), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582703] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14139), 1,
      anon_sym_end,
    STATE(11357), 1,
      sym_attribute,
    STATE(11360), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582757] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14141), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582811] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14141), 1,
      anon_sym_end,
    STATE(11359), 1,
      sym_attribute,
    STATE(11383), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582865] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14143), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582919] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14145), 1,
      anon_sym_end,
    STATE(11361), 1,
      sym_attribute,
    STATE(11371), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582973] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14143), 1,
      anon_sym_end,
    STATE(11362), 1,
      sym_attribute,
    STATE(11364), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583027] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13492), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583081] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14147), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583135] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14147), 1,
      anon_sym_end,
    STATE(11365), 1,
      sym_attribute,
    STATE(11366), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583189] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14149), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583243] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(11367), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11162), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11164), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [583287] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_COLON2,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14151), 1,
      anon_sym_SEMI,
    ACTIONS(14153), 1,
      sym_rel_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(11368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [583345] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14155), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583399] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14155), 1,
      anon_sym_end,
    STATE(11370), 1,
      sym_attribute,
    STATE(11373), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583453] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14157), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583507] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14157), 1,
      anon_sym_end,
    STATE(11372), 1,
      sym_attribute,
    STATE(11381), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583561] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14159), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583615] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14161), 1,
      anon_sym_PIPE,
    STATE(11374), 1,
      sym_attribute,
    STATE(11376), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583653] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14161), 1,
      anon_sym_PIPE,
    STATE(11375), 1,
      sym_attribute,
    STATE(11376), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13303), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13301), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583691] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14163), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11376), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13081), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583727] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14159), 1,
      anon_sym_end,
    STATE(11377), 1,
      sym_attribute,
    STATE(11378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583781] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14166), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583835] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_and,
    ACTIONS(13604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13606), 1,
      sym_pow_operator,
    ACTIONS(13608), 1,
      sym_mult_operator,
    ACTIONS(13610), 1,
      sym_concat_operator,
    ACTIONS(13612), 1,
      sym_rel_operator,
    ACTIONS(13614), 1,
      sym_and_operator,
    ACTIONS(13616), 1,
      sym_or_operator,
    ACTIONS(13618), 1,
      anon_sym_COMMA,
    ACTIONS(13620), 1,
      sym_assign_operator,
    ACTIONS(14168), 1,
      anon_sym_SEMI,
    STATE(2015), 1,
      sym_add_operator,
    STATE(11379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(8916), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [583893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13967), 1,
      anon_sym_DASH_GT,
    STATE(11380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [583929] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14170), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583983] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14170), 1,
      anon_sym_end,
    STATE(11382), 1,
      sym_attribute,
    STATE(11385), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584037] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14172), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584091] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14172), 1,
      anon_sym_end,
    STATE(11384), 1,
      sym_attribute,
    STATE(11386), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584145] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14174), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584199] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14176), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584253] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13857), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584307] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13358), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584361] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [584397] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(11390), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11958), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11960), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [584441] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(11391), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11962), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11964), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [584485] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14178), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584539] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12506), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      anon_sym_POUND,
    STATE(10691), 1,
      sym_type_constructor_path,
    STATE(11393), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11970), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11972), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [584583] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14180), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584637] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10836), 1,
      anon_sym_as,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    STATE(11395), 1,
      sym_attribute,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [584681] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14182), 1,
      anon_sym_end,
    STATE(11396), 1,
      sym_attribute,
    STATE(11398), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584735] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    ACTIONS(14184), 1,
      anon_sym_RPAREN,
    ACTIONS(14186), 1,
      anon_sym_val,
    STATE(8729), 1,
      sym_module_path,
    STATE(11397), 1,
      sym_attribute,
    STATE(12736), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [584789] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14188), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584843] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13413), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584897] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14188), 1,
      anon_sym_end,
    STATE(11400), 1,
      sym_attribute,
    STATE(11401), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584951] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14190), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585005] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14190), 1,
      anon_sym_end,
    STATE(11402), 1,
      sym_attribute,
    STATE(11403), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585059] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14192), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585113] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14194), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10828), 17,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [585201] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11128), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11126), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585241] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(11407), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11388), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11390), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [585285] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_and,
    ACTIONS(14198), 1,
      anon_sym_let,
    STATE(11408), 1,
      sym_attribute,
    STATE(11425), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14196), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585323] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_and,
    ACTIONS(13556), 1,
      sym_let_and_operator,
    STATE(11409), 1,
      sym_attribute,
    STATE(11413), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13560), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585363] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14200), 1,
      anon_sym_end,
    STATE(11410), 1,
      sym_attribute,
    STATE(11416), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585417] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12334), 1,
      sym__identifier,
    ACTIONS(12336), 1,
      anon_sym_POUND,
    STATE(10878), 1,
      sym_type_constructor_path,
    STATE(11411), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11392), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11394), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [585461] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_and,
    ACTIONS(13556), 1,
      sym_let_and_operator,
    STATE(11412), 1,
      sym_attribute,
    STATE(11413), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13833), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585501] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14202), 1,
      anon_sym_and,
    ACTIONS(14205), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14058), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11413), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14056), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585539] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_and,
    ACTIONS(13556), 1,
      sym_let_and_operator,
    STATE(11414), 1,
      sym_attribute,
    STATE(11419), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13833), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585579] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13447), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585633] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14208), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585687] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14208), 1,
      anon_sym_end,
    STATE(11417), 1,
      sym_attribute,
    STATE(11420), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585741] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14210), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585795] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_and,
    ACTIONS(13556), 1,
      sym_let_and_operator,
    STATE(11413), 1,
      aux_sym_value_definition_repeat1,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13863), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(13861), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585835] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14212), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585889] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14212), 1,
      anon_sym_end,
    STATE(11421), 1,
      sym_attribute,
    STATE(11422), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585943] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14214), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585997] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14216), 1,
      anon_sym_end,
    STATE(11423), 1,
      sym_attribute,
    STATE(11427), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586051] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14220), 1,
      anon_sym_let,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14218), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586091] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_and,
    ACTIONS(14224), 1,
      anon_sym_let,
    STATE(11255), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586129] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14226), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586183] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14228), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586237] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14228), 1,
      anon_sym_end,
    STATE(11428), 1,
      sym_attribute,
    STATE(11429), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586291] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14230), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586345] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14230), 1,
      anon_sym_end,
    STATE(11430), 1,
      sym_attribute,
    STATE(11431), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586399] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14232), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586453] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    ACTIONS(13721), 1,
      sym_rel_operator,
    ACTIONS(13723), 1,
      sym_and_operator,
    ACTIONS(13725), 1,
      sym_or_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10069), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [586505] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [586549] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13715), 1,
      sym_pow_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [586587] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13715), 1,
      sym_pow_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [586625] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [586671] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10029), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [586717] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    ACTIONS(13721), 1,
      sym_rel_operator,
    ACTIONS(13723), 1,
      sym_and_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [586767] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    ACTIONS(13721), 1,
      sym_rel_operator,
    ACTIONS(13723), 1,
      sym_and_operator,
    ACTIONS(13725), 1,
      sym_or_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [586819] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13709), 1,
      anon_sym_COMMA,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    ACTIONS(13721), 1,
      sym_rel_operator,
    ACTIONS(13723), 1,
      sym_and_operator,
    ACTIONS(13725), 1,
      sym_or_operator,
    ACTIONS(13727), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [586875] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [586915] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13709), 1,
      anon_sym_COMMA,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    ACTIONS(13721), 1,
      sym_rel_operator,
    ACTIONS(13723), 1,
      sym_and_operator,
    ACTIONS(13725), 1,
      sym_or_operator,
    ACTIONS(13727), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10091), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [586971] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13709), 1,
      anon_sym_COMMA,
    ACTIONS(13713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13715), 1,
      sym_pow_operator,
    ACTIONS(13717), 1,
      sym_mult_operator,
    ACTIONS(13719), 1,
      sym_concat_operator,
    ACTIONS(13721), 1,
      sym_rel_operator,
    ACTIONS(13723), 1,
      sym_and_operator,
    ACTIONS(13725), 1,
      sym_or_operator,
    ACTIONS(13727), 1,
      sym_assign_operator,
    STATE(2222), 1,
      sym_add_operator,
    STATE(11443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10105), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [587027] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13324), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587081] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13988), 1,
      anon_sym_and,
    ACTIONS(14224), 1,
      anon_sym_let,
    STATE(11257), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(11445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587119] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14104), 1,
      anon_sym_PIPE,
    STATE(11332), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587157] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14104), 1,
      anon_sym_PIPE,
    STATE(11334), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587195] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14234), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587249] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14236), 1,
      anon_sym_end,
    STATE(10992), 1,
      aux_sym_object_expression_repeat1,
    STATE(11449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587303] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13514), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587357] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12243), 1,
      anon_sym_constraint,
    ACTIONS(12245), 1,
      anon_sym_val,
    ACTIONS(12249), 1,
      anon_sym_inherit,
    ACTIONS(12251), 1,
      anon_sym_method,
    ACTIONS(12253), 1,
      anon_sym_initializer,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14238), 1,
      anon_sym_end,
    STATE(11266), 1,
      aux_sym_object_expression_repeat1,
    STATE(11451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13072), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(13068), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587411] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14161), 1,
      anon_sym_PIPE,
    STATE(11374), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587449] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14161), 1,
      anon_sym_PIPE,
    STATE(11375), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13297), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587487] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    ACTIONS(14240), 1,
      anon_sym_RPAREN,
    STATE(11454), 1,
      sym_attribute,
    STATE(14925), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587541] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14094), 1,
      anon_sym_DASH_GT,
    ACTIONS(14096), 1,
      anon_sym_with,
    STATE(11455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12885), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587579] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13099), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14242), 1,
      anon_sym_DASH_GT,
    ACTIONS(14244), 1,
      anon_sym_with,
    STATE(11456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13097), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587617] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13103), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14242), 1,
      anon_sym_DASH_GT,
    ACTIONS(14244), 1,
      anon_sym_with,
    STATE(11457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13101), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14242), 1,
      anon_sym_DASH_GT,
    ACTIONS(14244), 1,
      anon_sym_with,
    STATE(11458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12885), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587693] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    ACTIONS(14246), 1,
      anon_sym_RPAREN,
    STATE(11459), 1,
      sym_attribute,
    STATE(14925), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587747] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    ACTIONS(14248), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      sym_attribute,
    STATE(14925), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587801] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    ACTIONS(14250), 1,
      anon_sym_RPAREN,
    STATE(11461), 1,
      sym_attribute,
    STATE(14925), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587855] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14252), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10497), 1,
      aux_sym_expression_item_repeat1,
    STATE(11462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12851), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587894] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11463), 1,
      sym_attribute,
    STATE(16152), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587945] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [587988] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7304), 1,
      aux_sym_number_token1,
    ACTIONS(7306), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7308), 1,
      anon_sym_SQUOTE,
    ACTIONS(7310), 1,
      anon_sym_DQUOTE,
    ACTIONS(14260), 1,
      anon_sym_LPAREN,
    ACTIONS(14264), 1,
      anon_sym_LBRACE,
    ACTIONS(14266), 1,
      anon_sym_begin,
    STATE(8705), 1,
      sym__signed_constant,
    STATE(11465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14262), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8434), 2,
      sym__constant,
      sym_signed_number,
    STATE(8410), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [588039] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13119), 1,
      anon_sym_LPAREN,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13125), 1,
      anon_sym_functor,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    STATE(11329), 1,
      sym__module_type,
    STATE(11466), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588090] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13552), 1,
      anon_sym_let,
    ACTIONS(14268), 1,
      anon_sym_and,
    ACTIONS(14270), 1,
      sym_let_and_operator,
    STATE(11467), 1,
      sym_attribute,
    STATE(11584), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13550), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588129] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11468), 1,
      sym_attribute,
    STATE(14909), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588180] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_let,
    ACTIONS(14268), 1,
      anon_sym_and,
    ACTIONS(14270), 1,
      sym_let_and_operator,
    STATE(11469), 1,
      sym_attribute,
    STATE(11593), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588219] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_and,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    ACTIONS(14274), 1,
      sym_rel_operator,
    ACTIONS(14276), 1,
      sym_and_operator,
    ACTIONS(14278), 1,
      sym_or_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [588270] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14280), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11471), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588307] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14283), 1,
      sym__identifier,
    ACTIONS(14285), 1,
      anon_sym_LPAREN,
    ACTIONS(14287), 1,
      anon_sym_module,
    ACTIONS(14289), 1,
      anon_sym_sig,
    ACTIONS(14291), 1,
      anon_sym_functor,
    ACTIONS(14293), 1,
      sym__capitalized_identifier,
    STATE(11472), 1,
      sym_attribute,
    STATE(13326), 1,
      sym__module_type,
    STATE(17032), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13551), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588358] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11473), 1,
      sym_attribute,
    STATE(15897), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588409] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7123), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10426), 1,
      aux_sym_expression_item_repeat1,
    STATE(11474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6833), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12120), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13772), 1,
      anon_sym_DASH_GT,
    STATE(11475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12118), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588485] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12225), 1,
      anon_sym_STAR,
    ACTIONS(12764), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11476), 1,
      sym_attribute,
    STATE(11477), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12762), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14295), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11477), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588557] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11478), 1,
      sym_attribute,
    STATE(15169), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588608] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_and,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    ACTIONS(14274), 1,
      sym_rel_operator,
    ACTIONS(14276), 1,
      sym_and_operator,
    ACTIONS(14278), 1,
      sym_or_operator,
    ACTIONS(14298), 1,
      anon_sym_COMMA,
    ACTIONS(14300), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [588663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9034), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [588696] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13119), 1,
      anon_sym_LPAREN,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13125), 1,
      anon_sym_functor,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    STATE(9368), 1,
      sym__module_type,
    STATE(11481), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588747] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12126), 1,
      anon_sym_STAR,
    STATE(11482), 1,
      sym_attribute,
    STATE(11620), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12764), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12762), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588784] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12136), 1,
      anon_sym_STAR,
    STATE(11483), 1,
      sym_attribute,
    STATE(11485), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12764), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12762), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11216), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [588854] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14302), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11813), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11485), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11138), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11140), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [588922] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_and,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    ACTIONS(14274), 1,
      sym_rel_operator,
    ACTIONS(14276), 1,
      sym_and_operator,
    ACTIONS(14278), 1,
      sym_or_operator,
    ACTIONS(14298), 1,
      anon_sym_COMMA,
    ACTIONS(14300), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [588977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11220), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [589010] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11489), 1,
      sym_attribute,
    STATE(15581), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11224), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [589094] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14305), 1,
      anon_sym_else,
    STATE(10191), 1,
      sym_else_clause,
    STATE(11491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [589131] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14256), 1,
      sym_pow_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589168] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14307), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11493), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589205] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11494), 1,
      sym_attribute,
    STATE(15238), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589256] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_PIPE,
    STATE(11495), 1,
      sym_attribute,
    STATE(11498), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589293] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5517), 1,
      anon_sym_DOT,
    STATE(11496), 1,
      sym_attribute,
    STATE(17460), 1,
      sym__infix_operator,
    STATE(18793), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5523), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [589336] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_PIPE,
    STATE(11497), 1,
      sym_attribute,
    STATE(11498), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13301), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589373] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13083), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14312), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11498), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13081), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589408] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14315), 1,
      anon_sym_LPAREN,
    ACTIONS(14317), 1,
      anon_sym_functor,
    STATE(10721), 1,
      sym__module_type,
    STATE(11499), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589459] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589498] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6695), 1,
      anon_sym_DOT,
    STATE(11501), 1,
      sym_attribute,
    STATE(18793), 1,
      sym_add_operator,
    STATE(18977), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6707), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [589541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14321), 1,
      anon_sym_let,
    STATE(11502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14319), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14325), 1,
      anon_sym_let,
    STATE(11503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14323), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589607] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_and,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    ACTIONS(14274), 1,
      sym_rel_operator,
    ACTIONS(14276), 1,
      sym_and_operator,
    ACTIONS(14278), 1,
      sym_or_operator,
    ACTIONS(14298), 1,
      anon_sym_COMMA,
    ACTIONS(14300), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [589662] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11505), 1,
      sym_attribute,
    STATE(15579), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589713] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14256), 1,
      sym_pow_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589750] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14327), 1,
      anon_sym_LPAREN,
    ACTIONS(14329), 1,
      anon_sym_functor,
    STATE(9368), 1,
      sym__module_type,
    STATE(11507), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589801] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589846] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6711), 1,
      anon_sym_DOT,
    STATE(11509), 1,
      sym_attribute,
    STATE(17947), 1,
      sym__infix_operator,
    STATE(18793), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6717), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [589889] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    ACTIONS(13762), 1,
      anon_sym_val,
    STATE(8729), 1,
      sym_module_path,
    STATE(11510), 1,
      sym_attribute,
    STATE(12751), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [589940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11264), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [589973] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    ACTIONS(14339), 1,
      sym_rel_operator,
    ACTIONS(14341), 1,
      sym_and_operator,
    ACTIONS(14343), 1,
      sym_or_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [590024] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13833), 1,
      anon_sym_let,
    ACTIONS(14345), 1,
      anon_sym_and,
    ACTIONS(14347), 1,
      sym_let_and_operator,
    STATE(11513), 1,
      sym_attribute,
    STATE(11515), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590063] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    ACTIONS(14339), 1,
      sym_rel_operator,
    ACTIONS(14341), 1,
      sym_and_operator,
    ACTIONS(14343), 1,
      sym_or_operator,
    ACTIONS(14349), 1,
      anon_sym_COMMA,
    ACTIONS(14351), 1,
      anon_sym_SEMI,
    ACTIONS(14353), 1,
      sym_assign_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [590120] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14058), 1,
      anon_sym_let,
    ACTIONS(14355), 1,
      anon_sym_and,
    ACTIONS(14358), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11515), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14056), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590157] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7005), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10426), 1,
      aux_sym_expression_item_repeat1,
    STATE(11516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6833), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590196] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11517), 1,
      sym_attribute,
    STATE(15028), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590247] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(11518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9034), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [590282] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14361), 1,
      anon_sym_PIPE,
    STATE(11519), 1,
      sym_attribute,
    STATE(11522), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590319] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14315), 1,
      anon_sym_LPAREN,
    ACTIONS(14317), 1,
      anon_sym_functor,
    STATE(10740), 1,
      sym__module_type,
    STATE(11520), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590370] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14361), 1,
      anon_sym_PIPE,
    STATE(11521), 1,
      sym_attribute,
    STATE(11522), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13301), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590407] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13083), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14363), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11522), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13081), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590442] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13833), 1,
      anon_sym_let,
    ACTIONS(14345), 1,
      anon_sym_and,
    ACTIONS(14347), 1,
      sym_let_and_operator,
    STATE(11523), 1,
      sym_attribute,
    STATE(11605), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8056), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [590514] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7087), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10515), 1,
      aux_sym_expression_item_repeat1,
    STATE(11525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590553] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11526), 1,
      sym_attribute,
    STATE(15303), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590604] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7473), 1,
      aux_sym_number_token1,
    ACTIONS(7475), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7477), 1,
      anon_sym_SQUOTE,
    ACTIONS(7479), 1,
      anon_sym_DQUOTE,
    ACTIONS(14366), 1,
      anon_sym_LPAREN,
    ACTIONS(14370), 1,
      anon_sym_LBRACE,
    ACTIONS(14372), 1,
      anon_sym_begin,
    STATE(11527), 1,
      sym_attribute,
    STATE(13828), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14368), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13540), 2,
      sym__constant,
      sym_signed_number,
    STATE(13320), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [590655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14376), 1,
      anon_sym_let,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14374), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14378), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10530), 1,
      aux_sym_expression_item_repeat1,
    STATE(11529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590727] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14283), 1,
      sym__identifier,
    ACTIONS(14285), 1,
      anon_sym_LPAREN,
    ACTIONS(14287), 1,
      anon_sym_module,
    ACTIONS(14289), 1,
      anon_sym_sig,
    ACTIONS(14291), 1,
      anon_sym_functor,
    ACTIONS(14293), 1,
      sym__capitalized_identifier,
    STATE(11530), 1,
      sym_attribute,
    STATE(13412), 1,
      sym__module_type,
    STATE(17032), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13551), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590778] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [590813] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7115), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10515), 1,
      aux_sym_expression_item_repeat1,
    STATE(11532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6889), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590852] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14380), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10530), 1,
      aux_sym_expression_item_repeat1,
    STATE(11533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590891] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14382), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10556), 1,
      aux_sym_expression_item_repeat1,
    STATE(11534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12961), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590930] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11535), 1,
      sym_attribute,
    STATE(15623), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590981] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11536), 1,
      sym_attribute,
    STATE(15694), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591032] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14384), 1,
      anon_sym_else,
    STATE(10296), 1,
      sym_else_clause,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591069] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14386), 1,
      anon_sym_PIPE,
    STATE(11538), 1,
      sym_attribute,
    STATE(11541), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591106] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14386), 1,
      anon_sym_PIPE,
    STATE(11539), 1,
      sym_attribute,
    STATE(11548), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591143] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_and,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    ACTIONS(14274), 1,
      sym_rel_operator,
    ACTIONS(14276), 1,
      sym_and_operator,
    ACTIONS(14278), 1,
      sym_or_operator,
    ACTIONS(14298), 1,
      anon_sym_COMMA,
    ACTIONS(14300), 1,
      sym_assign_operator,
    ACTIONS(14388), 1,
      anon_sym_SEMI,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [591200] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14386), 1,
      anon_sym_PIPE,
    STATE(11541), 1,
      sym_attribute,
    STATE(11551), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591237] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11542), 1,
      sym_attribute,
    STATE(16116), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591288] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14390), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10556), 1,
      aux_sym_expression_item_repeat1,
    STATE(11543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12961), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591327] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11544), 1,
      sym_attribute,
    STATE(15967), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591378] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11545), 1,
      sym_attribute,
    STATE(14857), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7103), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10425), 1,
      aux_sym_expression_item_repeat1,
    STATE(11546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591468] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591511] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14386), 1,
      anon_sym_PIPE,
    STATE(11548), 1,
      sym_attribute,
    STATE(11551), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8060), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [591581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8064), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [591614] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14392), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11551), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591649] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [591684] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14395), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10356), 1,
      aux_sym_expression_item_repeat1,
    STATE(11553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591723] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7079), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10361), 1,
      aux_sym_expression_item_repeat1,
    STATE(11554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591762] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7107), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10425), 1,
      aux_sym_expression_item_repeat1,
    STATE(11555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6911), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14397), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10442), 1,
      aux_sym_expression_item_repeat1,
    STATE(11556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591840] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13552), 1,
      anon_sym_let,
    ACTIONS(14345), 1,
      anon_sym_and,
    ACTIONS(14347), 1,
      sym_let_and_operator,
    STATE(11557), 1,
      sym_attribute,
    STATE(11613), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13550), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591879] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7085), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10444), 1,
      aux_sym_expression_item_repeat1,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6841), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591918] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14333), 1,
      sym_pow_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591955] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14399), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10497), 1,
      aux_sym_expression_item_repeat1,
    STATE(11560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12851), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591994] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(9368), 1,
      sym__module_type,
    STATE(11561), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592045] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14305), 1,
      anon_sym_else,
    STATE(10296), 1,
      sym_else_clause,
    STATE(11562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592082] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14401), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10356), 1,
      aux_sym_expression_item_repeat1,
    STATE(11563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592121] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11564), 1,
      sym_attribute,
    STATE(14915), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13979), 1,
      anon_sym_let,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13977), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592205] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    ACTIONS(14186), 1,
      anon_sym_val,
    STATE(8729), 1,
      sym_module_path,
    STATE(11566), 1,
      sym_attribute,
    STATE(12736), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [592256] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14315), 1,
      anon_sym_LPAREN,
    ACTIONS(14317), 1,
      anon_sym_functor,
    STATE(10457), 1,
      sym__module_type,
    STATE(11567), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592307] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7111), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10361), 1,
      aux_sym_expression_item_repeat1,
    STATE(11568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6921), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11226), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11228), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [592379] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5075), 1,
      aux_sym_number_token1,
    ACTIONS(5077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5079), 1,
      anon_sym_SQUOTE,
    ACTIONS(5081), 1,
      anon_sym_DQUOTE,
    ACTIONS(14403), 1,
      anon_sym_LPAREN,
    ACTIONS(14407), 1,
      anon_sym_LBRACE,
    ACTIONS(14409), 1,
      anon_sym_begin,
    STATE(5565), 1,
      sym__signed_constant,
    STATE(11570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14405), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5397), 2,
      sym__constant,
      sym_signed_number,
    STATE(5408), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [592430] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [592475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11232), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [592508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14411), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10442), 1,
      aux_sym_expression_item_repeat1,
    STATE(11573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11236), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [592580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11240), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [592613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11244), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [592646] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11577), 1,
      sym_attribute,
    STATE(15797), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592697] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11578), 1,
      sym_attribute,
    STATE(15081), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592748] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7083), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(10444), 1,
      aux_sym_expression_item_repeat1,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6841), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592787] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(12120), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13967), 1,
      anon_sym_DASH_GT,
    STATE(11580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12118), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592824] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2327), 1,
      anon_sym_DOT,
    STATE(11581), 1,
      sym_attribute,
    STATE(18793), 1,
      sym_add_operator,
    STATE(20163), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2335), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [592867] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13119), 1,
      anon_sym_LPAREN,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13125), 1,
      anon_sym_functor,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    STATE(11582), 1,
      sym_attribute,
    STATE(11594), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11178), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11180), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [592951] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_let,
    ACTIONS(14268), 1,
      anon_sym_and,
    ACTIONS(14270), 1,
      sym_let_and_operator,
    STATE(11584), 1,
      sym_attribute,
    STATE(11595), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592990] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5119), 1,
      aux_sym_number_token1,
    ACTIONS(5121), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5123), 1,
      anon_sym_SQUOTE,
    ACTIONS(5125), 1,
      anon_sym_DQUOTE,
    ACTIONS(14413), 1,
      anon_sym_LPAREN,
    ACTIONS(14417), 1,
      anon_sym_LBRACE,
    ACTIONS(14419), 1,
      anon_sym_begin,
    STATE(5650), 1,
      sym__signed_constant,
    STATE(11585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14415), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5430), 2,
      sym__constant,
      sym_signed_number,
    STATE(5470), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [593041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11200), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [593074] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11587), 1,
      sym_attribute,
    STATE(15230), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11184), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [593158] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_let,
    ACTIONS(14345), 1,
      anon_sym_and,
    ACTIONS(14347), 1,
      sym_let_and_operator,
    STATE(11513), 1,
      aux_sym_value_definition_repeat1,
    STATE(11589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11186), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11188), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [593230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11248), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [593263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11204), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [593296] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13833), 1,
      anon_sym_let,
    ACTIONS(14268), 1,
      anon_sym_and,
    ACTIONS(14270), 1,
      sym_let_and_operator,
    STATE(11593), 1,
      sym_attribute,
    STATE(11595), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593335] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14094), 1,
      anon_sym_DASH_GT,
    ACTIONS(14096), 1,
      anon_sym_with,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11594), 1,
      sym_attribute,
    STATE(11769), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14421), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593376] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14058), 1,
      anon_sym_let,
    ACTIONS(14423), 1,
      anon_sym_and,
    ACTIONS(14426), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11595), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14056), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593413] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11596), 1,
      sym_attribute,
    STATE(15389), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11208), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [593497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(8068), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [593530] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5301), 1,
      aux_sym_number_token1,
    ACTIONS(5305), 1,
      anon_sym_SQUOTE,
    ACTIONS(5307), 1,
      anon_sym_DQUOTE,
    ACTIONS(7651), 1,
      aux_sym_signed_number_token1,
    ACTIONS(14429), 1,
      anon_sym_LPAREN,
    ACTIONS(14433), 1,
      anon_sym_LBRACE,
    ACTIONS(14435), 1,
      anon_sym_begin,
    STATE(11599), 1,
      sym_attribute,
    STATE(12922), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14431), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12675), 2,
      sym__constant,
      sym_signed_number,
    STATE(11888), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [593581] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13833), 1,
      anon_sym_let,
    ACTIONS(14268), 1,
      anon_sym_and,
    ACTIONS(14270), 1,
      sym_let_and_operator,
    STATE(11600), 1,
      sym_attribute,
    STATE(11601), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13863), 1,
      anon_sym_let,
    ACTIONS(14268), 1,
      anon_sym_and,
    ACTIONS(14270), 1,
      sym_let_and_operator,
    STATE(11595), 1,
      aux_sym_value_definition_repeat1,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13861), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593659] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11602), 1,
      sym_attribute,
    STATE(14029), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593710] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14333), 1,
      sym_pow_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593747] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14283), 1,
      sym__identifier,
    ACTIONS(14285), 1,
      anon_sym_LPAREN,
    ACTIONS(14287), 1,
      anon_sym_module,
    ACTIONS(14289), 1,
      anon_sym_sig,
    ACTIONS(14291), 1,
      anon_sym_functor,
    ACTIONS(14293), 1,
      sym__capitalized_identifier,
    STATE(11604), 1,
      sym_attribute,
    STATE(13512), 1,
      sym__module_type,
    STATE(17032), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13551), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593798] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13863), 1,
      anon_sym_let,
    ACTIONS(14345), 1,
      anon_sym_and,
    ACTIONS(14347), 1,
      sym_let_and_operator,
    STATE(11515), 1,
      aux_sym_value_definition_repeat1,
    STATE(11605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13861), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11266), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11268), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [593870] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_PIPE,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    ACTIONS(14339), 1,
      sym_rel_operator,
    ACTIONS(14341), 1,
      sym_and_operator,
    ACTIONS(14343), 1,
      sym_or_operator,
    ACTIONS(14349), 1,
      anon_sym_COMMA,
    ACTIONS(14353), 1,
      sym_assign_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [593925] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [593970] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [594015] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11610), 1,
      sym_attribute,
    STATE(15617), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594066] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    ACTIONS(14339), 1,
      sym_rel_operator,
    ACTIONS(14341), 1,
      sym_and_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [594115] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    ACTIONS(14339), 1,
      sym_rel_operator,
    ACTIONS(14341), 1,
      sym_and_operator,
    ACTIONS(14343), 1,
      sym_or_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [594166] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13560), 1,
      anon_sym_let,
    ACTIONS(14345), 1,
      anon_sym_and,
    ACTIONS(14347), 1,
      sym_let_and_operator,
    STATE(11515), 1,
      aux_sym_value_definition_repeat1,
    STATE(11613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13558), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11274), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11276), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [594238] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12195), 1,
      anon_sym_STAR,
    ACTIONS(12764), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11615), 1,
      sym_attribute,
    STATE(11616), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12762), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594275] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14437), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11616), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594310] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11617), 1,
      sym_attribute,
    STATE(16119), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594361] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    ACTIONS(14339), 1,
      sym_rel_operator,
    ACTIONS(14341), 1,
      sym_and_operator,
    ACTIONS(14343), 1,
      sym_or_operator,
    ACTIONS(14349), 1,
      anon_sym_COMMA,
    ACTIONS(14353), 1,
      sym_assign_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [594416] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14440), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11813), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11620), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594490] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6731), 1,
      anon_sym_DOT,
    STATE(11621), 1,
      sym_attribute,
    STATE(18570), 1,
      sym__infix_operator,
    STATE(18793), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6737), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [594533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11192), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [594566] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11623), 1,
      sym_attribute,
    STATE(15759), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594617] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4997), 1,
      aux_sym_number_token1,
    ACTIONS(4999), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5001), 1,
      anon_sym_SQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DQUOTE,
    ACTIONS(14443), 1,
      anon_sym_LPAREN,
    ACTIONS(14447), 1,
      anon_sym_LBRACE,
    ACTIONS(14449), 1,
      anon_sym_begin,
    STATE(5425), 1,
      sym__signed_constant,
    STATE(11624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14445), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5349), 2,
      sym__constant,
      sym_signed_number,
    STATE(5350), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [594668] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    ACTIONS(14339), 1,
      sym_rel_operator,
    ACTIONS(14341), 1,
      sym_and_operator,
    ACTIONS(14343), 1,
      sym_or_operator,
    ACTIONS(14349), 1,
      anon_sym_COMMA,
    ACTIONS(14353), 1,
      sym_assign_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [594723] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11626), 1,
      sym_attribute,
    STATE(15466), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594774] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14384), 1,
      anon_sym_else,
    STATE(10191), 1,
      sym_else_clause,
    STATE(11627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594811] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6741), 1,
      anon_sym_DOT,
    STATE(11628), 1,
      sym_attribute,
    STATE(18793), 1,
      sym_add_operator,
    STATE(19273), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6747), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [594854] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11629), 1,
      sym_attribute,
    STATE(14049), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594905] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_and,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    ACTIONS(14274), 1,
      sym_rel_operator,
    ACTIONS(14276), 1,
      sym_and_operator,
    ACTIONS(14278), 1,
      sym_or_operator,
    ACTIONS(14298), 1,
      anon_sym_COMMA,
    ACTIONS(14300), 1,
      sym_assign_operator,
    ACTIONS(14451), 1,
      anon_sym_SEMI,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11194), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11196), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [594995] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14331), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14333), 1,
      sym_pow_operator,
    ACTIONS(14335), 1,
      sym_mult_operator,
    ACTIONS(14337), 1,
      sym_concat_operator,
    ACTIONS(14339), 1,
      sym_rel_operator,
    ACTIONS(14341), 1,
      sym_and_operator,
    ACTIONS(14343), 1,
      sym_or_operator,
    ACTIONS(14349), 1,
      anon_sym_COMMA,
    ACTIONS(14353), 1,
      sym_assign_operator,
    STATE(1995), 1,
      sym_add_operator,
    STATE(11632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [595050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11212), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [595083] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11634), 1,
      sym_attribute,
    STATE(15950), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595134] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11635), 1,
      sym_attribute,
    STATE(15160), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595185] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11817), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_PIPE,
    STATE(11495), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595222] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14283), 1,
      sym__identifier,
    ACTIONS(14285), 1,
      anon_sym_LPAREN,
    ACTIONS(14287), 1,
      anon_sym_module,
    ACTIONS(14289), 1,
      anon_sym_sig,
    ACTIONS(14291), 1,
      anon_sym_functor,
    ACTIONS(14293), 1,
      sym__capitalized_identifier,
    STATE(11637), 1,
      sym_attribute,
    STATE(13526), 1,
      sym__module_type,
    STATE(17032), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13551), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14310), 1,
      anon_sym_PIPE,
    STATE(11497), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595310] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14094), 1,
      anon_sym_DASH_GT,
    ACTIONS(14096), 1,
      anon_sym_with,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11639), 1,
      sym_attribute,
    STATE(11892), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14453), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595351] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14455), 1,
      anon_sym_LPAREN,
    ACTIONS(14457), 1,
      anon_sym_constraint,
    ACTIONS(14459), 1,
      anon_sym_val,
    ACTIONS(14461), 1,
      anon_sym_end,
    ACTIONS(14463), 1,
      anon_sym_inherit,
    ACTIONS(14465), 1,
      anon_sym_method,
    STATE(11640), 1,
      sym_attribute,
    STATE(11846), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13202), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13223), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [595404] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11817), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14361), 1,
      anon_sym_PIPE,
    STATE(11519), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595441] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14361), 1,
      anon_sym_PIPE,
    STATE(11521), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13295), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11250), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11252), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [595511] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5041), 1,
      aux_sym_number_token1,
    ACTIONS(5043), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5045), 1,
      anon_sym_SQUOTE,
    ACTIONS(5047), 1,
      anon_sym_DQUOTE,
    ACTIONS(14467), 1,
      anon_sym_LPAREN,
    ACTIONS(14471), 1,
      anon_sym_LBRACE,
    ACTIONS(14473), 1,
      anon_sym_begin,
    STATE(5389), 1,
      sym__signed_constant,
    STATE(11644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14469), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 2,
      sym__constant,
      sym_signed_number,
    STATE(5277), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [595562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11254), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11256), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [595595] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11646), 1,
      sym_attribute,
    STATE(15161), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595646] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14242), 1,
      anon_sym_DASH_GT,
    ACTIONS(14244), 1,
      anon_sym_with,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11647), 1,
      sym_attribute,
    STATE(11892), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14453), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595687] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14242), 1,
      anon_sym_DASH_GT,
    ACTIONS(14244), 1,
      anon_sym_with,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11648), 1,
      sym_attribute,
    STATE(11769), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14421), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11258), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(11260), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [595761] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14094), 1,
      anon_sym_DASH_GT,
    ACTIONS(14096), 1,
      anon_sym_with,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10735), 1,
      aux_sym_expression_item_repeat1,
    STATE(11650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13113), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595802] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14094), 1,
      anon_sym_DASH_GT,
    ACTIONS(14096), 1,
      anon_sym_with,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13250), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595843] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14113), 1,
      anon_sym_DOT,
    STATE(11652), 1,
      sym_attribute,
    STATE(17600), 1,
      sym__infix_operator,
    STATE(18793), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(14115), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [595886] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_and,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    ACTIONS(14274), 1,
      sym_rel_operator,
    ACTIONS(14276), 1,
      sym_and_operator,
    ACTIONS(14278), 1,
      sym_or_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [595937] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13119), 1,
      anon_sym_LPAREN,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13125), 1,
      anon_sym_functor,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    STATE(11324), 1,
      sym__module_type,
    STATE(11654), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595988] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14242), 1,
      anon_sym_DASH_GT,
    ACTIONS(14244), 1,
      anon_sym_with,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10735), 1,
      aux_sym_expression_item_repeat1,
    STATE(11655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13113), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596029] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14242), 1,
      anon_sym_DASH_GT,
    ACTIONS(14244), 1,
      anon_sym_with,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13250), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596070] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_functor,
    STATE(11648), 1,
      sym__module_type,
    STATE(11657), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596121] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13119), 1,
      anon_sym_LPAREN,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13125), 1,
      anon_sym_functor,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    STATE(11455), 1,
      sym__module_type,
    STATE(11658), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596172] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13119), 1,
      anon_sym_LPAREN,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13125), 1,
      anon_sym_functor,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    STATE(11650), 1,
      sym__module_type,
    STATE(11659), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596223] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13119), 1,
      anon_sym_LPAREN,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13125), 1,
      anon_sym_functor,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    STATE(11651), 1,
      sym__module_type,
    STATE(11660), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596274] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_functor,
    STATE(11456), 1,
      sym__module_type,
    STATE(11661), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596325] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_functor,
    STATE(11457), 1,
      sym__module_type,
    STATE(11662), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(9006), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
  [596409] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_functor,
    STATE(11458), 1,
      sym__module_type,
    STATE(11664), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596460] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_functor,
    STATE(11655), 1,
      sym__module_type,
    STATE(11665), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596511] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_functor,
    STATE(11656), 1,
      sym__module_type,
    STATE(11666), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596562] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14315), 1,
      anon_sym_LPAREN,
    ACTIONS(14317), 1,
      anon_sym_functor,
    STATE(10647), 1,
      sym__module_type,
    STATE(11667), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596613] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14315), 1,
      anon_sym_LPAREN,
    ACTIONS(14317), 1,
      anon_sym_functor,
    STATE(10648), 1,
      sym__module_type,
    STATE(11668), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596664] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14254), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14256), 1,
      sym_pow_operator,
    ACTIONS(14258), 1,
      sym_mult_operator,
    ACTIONS(14272), 1,
      sym_concat_operator,
    ACTIONS(14274), 1,
      sym_rel_operator,
    ACTIONS(14276), 1,
      sym_and_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(11669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [596713] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14327), 1,
      anon_sym_LPAREN,
    ACTIONS(14329), 1,
      anon_sym_functor,
    STATE(10649), 1,
      sym__module_type,
    STATE(11670), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596764] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14327), 1,
      anon_sym_LPAREN,
    ACTIONS(14329), 1,
      anon_sym_functor,
    STATE(10653), 1,
      sym__module_type,
    STATE(11671), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596815] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14327), 1,
      anon_sym_LPAREN,
    ACTIONS(14329), 1,
      anon_sym_functor,
    STATE(10924), 1,
      sym__module_type,
    STATE(11672), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596866] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14327), 1,
      anon_sym_LPAREN,
    ACTIONS(14329), 1,
      anon_sym_functor,
    STATE(10650), 1,
      sym__module_type,
    STATE(11673), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596917] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14327), 1,
      anon_sym_LPAREN,
    ACTIONS(14329), 1,
      anon_sym_functor,
    STATE(10651), 1,
      sym__module_type,
    STATE(11674), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596968] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13151), 1,
      anon_sym_LPAREN,
    ACTIONS(13153), 1,
      anon_sym_module,
    ACTIONS(13155), 1,
      anon_sym_functor,
    STATE(11675), 1,
      sym_attribute,
    STATE(14611), 1,
      sym__module_type,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597019] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10831), 1,
      aux_sym_expression_item_repeat1,
    STATE(11676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13364), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597058] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14477), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13429), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597097] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(13536), 1,
      anon_sym_LPAREN,
    ACTIONS(13538), 1,
      anon_sym_functor,
    STATE(9368), 1,
      sym__module_type,
    STATE(11678), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597148] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10831), 1,
      aux_sym_expression_item_repeat1,
    STATE(11679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14479), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13364), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597187] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14481), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13429), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597226] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13117), 1,
      sym__identifier,
    ACTIONS(13121), 1,
      anon_sym_module,
    ACTIONS(13123), 1,
      anon_sym_sig,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(14315), 1,
      anon_sym_LPAREN,
    ACTIONS(14317), 1,
      anon_sym_functor,
    STATE(9368), 1,
      sym__module_type,
    STATE(11681), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9430), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597277] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6721), 1,
      anon_sym_DOT,
    STATE(11682), 1,
      sym_attribute,
    STATE(18793), 1,
      sym_add_operator,
    STATE(19987), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1469), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1471), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1467), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6727), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [597320] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14485), 1,
      anon_sym_let,
    ACTIONS(14487), 1,
      anon_sym_and,
    STATE(11683), 1,
      sym_attribute,
    STATE(12015), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14483), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14487), 1,
      anon_sym_and,
    ACTIONS(14491), 1,
      anon_sym_let,
    STATE(11683), 1,
      aux_sym_module_definition_repeat1,
    STATE(11684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597392] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14493), 1,
      anon_sym_PIPE,
    STATE(11685), 1,
      sym_attribute,
    STATE(11687), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597428] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14493), 1,
      anon_sym_PIPE,
    STATE(11686), 1,
      sym_attribute,
    STATE(11688), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597464] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14493), 1,
      anon_sym_PIPE,
    STATE(11687), 1,
      sym_attribute,
    STATE(11689), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597500] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14493), 1,
      anon_sym_PIPE,
    STATE(11688), 1,
      sym_attribute,
    STATE(11689), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14495), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11689), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597570] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [597620] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11250), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11252), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [597694] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11254), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11256), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [597726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11258), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11260), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [597758] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14500), 1,
      sym_pow_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14514), 1,
      anon_sym_let,
    ACTIONS(14516), 1,
      anon_sym_and,
    STATE(11696), 1,
      sym_attribute,
    STATE(11856), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597830] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14376), 1,
      anon_sym_let,
    ACTIONS(14518), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11697), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14374), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597864] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14500), 1,
      sym_pow_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597900] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11699), 1,
      sym_attribute,
    STATE(12898), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [597948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [597982] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [598026] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(8808), 1,
      sym__module_expression,
    STATE(11702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [598074] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14521), 1,
      anon_sym_PIPE,
    STATE(11703), 1,
      sym_attribute,
    STATE(11705), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598110] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14521), 1,
      anon_sym_PIPE,
    STATE(11704), 1,
      sym_attribute,
    STATE(11706), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598146] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14521), 1,
      anon_sym_PIPE,
    STATE(11705), 1,
      sym_attribute,
    STATE(11707), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598182] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14521), 1,
      anon_sym_PIPE,
    STATE(11706), 1,
      sym_attribute,
    STATE(11707), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598218] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14523), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11707), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7998), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8000), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [598284] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14526), 1,
      anon_sym_COMMA,
    ACTIONS(14528), 1,
      anon_sym_SEMI,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    ACTIONS(14538), 1,
      sym_rel_operator,
    ACTIONS(14540), 1,
      sym_and_operator,
    ACTIONS(14542), 1,
      sym_or_operator,
    ACTIONS(14544), 1,
      sym_assign_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598340] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [598384] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14546), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(11711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598420] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11712), 1,
      sym_attribute,
    STATE(12738), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [598468] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_PIPE,
    ACTIONS(14526), 1,
      anon_sym_COMMA,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    ACTIONS(14538), 1,
      sym_rel_operator,
    ACTIONS(14540), 1,
      sym_and_operator,
    ACTIONS(14542), 1,
      sym_or_operator,
    ACTIONS(14544), 1,
      sym_assign_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [598522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598556] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14548), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(11715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598592] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [598640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598674] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14546), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(11718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598710] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14550), 1,
      anon_sym_COMMA,
    ACTIONS(14552), 1,
      anon_sym_SEMI,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    ACTIONS(14562), 1,
      sym_rel_operator,
    ACTIONS(14564), 1,
      sym_and_operator,
    ACTIONS(14566), 1,
      sym_or_operator,
    ACTIONS(14568), 1,
      sym_assign_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598766] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [598816] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14570), 1,
      anon_sym_COMMA,
    ACTIONS(14572), 1,
      sym_assign_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598870] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(11722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598906] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_PIPE,
    ACTIONS(14576), 1,
      anon_sym_COMMA,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    ACTIONS(14586), 1,
      sym_rel_operator,
    ACTIONS(14588), 1,
      sym_and_operator,
    ACTIONS(14590), 1,
      sym_or_operator,
    ACTIONS(14592), 1,
      sym_assign_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [598960] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11724), 1,
      sym_attribute,
    STATE(12907), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599008] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599046] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11726), 1,
      sym_attribute,
    STATE(12819), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599094] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12233), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14594), 1,
      anon_sym_EQ,
    ACTIONS(14596), 1,
      anon_sym_of,
    ACTIONS(14598), 1,
      anon_sym_COLON2,
    STATE(11727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599132] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599166] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14325), 1,
      anon_sym_let,
    ACTIONS(14600), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11729), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14323), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599200] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14605), 1,
      anon_sym_let,
    ACTIONS(14607), 1,
      anon_sym_and,
    STATE(11729), 1,
      aux_sym_class_definition_repeat1,
    STATE(11730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14603), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599236] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14570), 1,
      anon_sym_COMMA,
    ACTIONS(14572), 1,
      sym_assign_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [599290] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11732), 1,
      sym_attribute,
    STATE(12772), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599338] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14609), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(11733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599374] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14514), 1,
      anon_sym_let,
    ACTIONS(14516), 1,
      anon_sym_and,
    STATE(11697), 1,
      aux_sym_type_definition_repeat1,
    STATE(11734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599410] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11735), 1,
      sym_attribute,
    STATE(12861), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599458] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14516), 1,
      anon_sym_and,
    ACTIONS(14613), 1,
      anon_sym_let,
    STATE(11736), 1,
      sym_attribute,
    STATE(11765), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14611), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599494] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14615), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(11737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599530] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11738), 1,
      sym_attribute,
    STATE(12934), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11236), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [599610] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11740), 1,
      sym_attribute,
    STATE(12919), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599658] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14617), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(11741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599694] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(8820), 1,
      sym__module_expression,
    STATE(11742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599742] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11743), 1,
      sym_attribute,
    STATE(12830), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599790] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    ACTIONS(14627), 1,
      sym_rel_operator,
    ACTIONS(14629), 1,
      sym_and_operator,
    ACTIONS(14631), 1,
      sym_or_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [599840] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599882] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      sym_pow_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599918] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      sym_pow_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599954] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [599998] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    ACTIONS(14627), 1,
      sym_rel_operator,
    ACTIONS(14629), 1,
      sym_and_operator,
    ACTIONS(14631), 1,
      sym_or_operator,
    ACTIONS(14633), 1,
      anon_sym_COMMA,
    ACTIONS(14635), 1,
      anon_sym_SEMI,
    ACTIONS(14637), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600054] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [600098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7960), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7962), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [600130] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    ACTIONS(14627), 1,
      sym_rel_operator,
    ACTIONS(14629), 1,
      sym_and_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [600178] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    ACTIONS(14627), 1,
      sym_rel_operator,
    ACTIONS(14629), 1,
      sym_and_operator,
    ACTIONS(14631), 1,
      sym_or_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [600228] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    ACTIONS(14627), 1,
      sym_rel_operator,
    ACTIONS(14629), 1,
      sym_and_operator,
    ACTIONS(14631), 1,
      sym_or_operator,
    ACTIONS(14633), 1,
      anon_sym_COMMA,
    ACTIONS(14637), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600282] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600320] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    ACTIONS(14627), 1,
      sym_rel_operator,
    ACTIONS(14629), 1,
      sym_and_operator,
    ACTIONS(14631), 1,
      sym_or_operator,
    ACTIONS(14633), 1,
      anon_sym_COMMA,
    ACTIONS(14637), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [600374] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11757), 1,
      sym_attribute,
    STATE(12734), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [600422] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    ACTIONS(14627), 1,
      sym_rel_operator,
    ACTIONS(14629), 1,
      sym_and_operator,
    ACTIONS(14631), 1,
      sym_or_operator,
    ACTIONS(14633), 1,
      anon_sym_COMMA,
    ACTIONS(14637), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [600476] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14639), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(11759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600512] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14641), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14645), 1,
      anon_sym_nonrec,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    STATE(11760), 1,
      sym_attribute,
    STATE(11788), 1,
      sym_type_binding,
    STATE(12531), 1,
      sym__attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14455), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(17816), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [600572] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14655), 1,
      anon_sym_constraint,
    ACTIONS(14658), 1,
      anon_sym_val,
    ACTIONS(14661), 1,
      anon_sym_end,
    ACTIONS(14663), 1,
      anon_sym_inherit,
    ACTIONS(14666), 1,
      anon_sym_method,
    ACTIONS(14669), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14672), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14675), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11761), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(13202), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13223), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [600620] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_PIPE,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14570), 1,
      anon_sym_COMMA,
    ACTIONS(14572), 1,
      sym_assign_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [600674] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11763), 1,
      sym_attribute,
    STATE(12809), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [600722] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11224), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [600754] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14516), 1,
      anon_sym_and,
    ACTIONS(14680), 1,
      anon_sym_let,
    STATE(11697), 1,
      aux_sym_type_definition_repeat1,
    STATE(11765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14678), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600790] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11766), 1,
      sym_attribute,
    STATE(12836), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [600838] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11767), 1,
      sym_attribute,
    STATE(12783), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [600886] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11768), 1,
      sym_attribute,
    STATE(12748), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [600934] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14682), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600970] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11770), 1,
      sym_attribute,
    STATE(11852), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7964), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7966), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [601038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8008), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [601070] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601106] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11774), 1,
      sym_attribute,
    STATE(12823), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [601154] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    ACTIONS(14538), 1,
      sym_rel_operator,
    ACTIONS(14540), 1,
      sym_and_operator,
    ACTIONS(14542), 1,
      sym_or_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [601204] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601246] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14532), 1,
      sym_pow_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601282] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14532), 1,
      sym_pow_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601318] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [601362] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [601406] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    ACTIONS(14538), 1,
      sym_rel_operator,
    ACTIONS(14540), 1,
      sym_and_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [601454] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    ACTIONS(14538), 1,
      sym_rel_operator,
    ACTIONS(14540), 1,
      sym_and_operator,
    ACTIONS(14542), 1,
      sym_or_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [601504] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14526), 1,
      anon_sym_COMMA,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    ACTIONS(14538), 1,
      sym_rel_operator,
    ACTIONS(14540), 1,
      sym_and_operator,
    ACTIONS(14542), 1,
      sym_or_operator,
    ACTIONS(14544), 1,
      sym_assign_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14325), 1,
      anon_sym_let,
    ACTIONS(14686), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11784), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14323), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601592] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601630] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14526), 1,
      anon_sym_COMMA,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    ACTIONS(14538), 1,
      sym_rel_operator,
    ACTIONS(14540), 1,
      sym_and_operator,
    ACTIONS(14542), 1,
      sym_or_operator,
    ACTIONS(14544), 1,
      sym_assign_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [601684] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11787), 1,
      sym_attribute,
    STATE(12921), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [601732] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14516), 1,
      anon_sym_and,
    ACTIONS(14691), 1,
      anon_sym_let,
    STATE(11734), 1,
      aux_sym_type_definition_repeat1,
    STATE(11788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14689), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601768] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14548), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(11789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601804] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14693), 1,
      anon_sym_else,
    STATE(10191), 1,
      sym_else_clause,
    STATE(11790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601840] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14526), 1,
      anon_sym_COMMA,
    ACTIONS(14530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14532), 1,
      sym_pow_operator,
    ACTIONS(14534), 1,
      sym_mult_operator,
    ACTIONS(14536), 1,
      sym_concat_operator,
    ACTIONS(14538), 1,
      sym_rel_operator,
    ACTIONS(14540), 1,
      sym_and_operator,
    ACTIONS(14542), 1,
      sym_or_operator,
    ACTIONS(14544), 1,
      sym_assign_operator,
    STATE(1757), 1,
      sym_add_operator,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [601894] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14695), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(11792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601930] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14697), 1,
      anon_sym_STAR,
    STATE(11793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [601964] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11794), 1,
      sym_attribute,
    STATE(12771), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [602012] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11795), 1,
      sym_attribute,
    STATE(12888), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [602060] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14699), 1,
      anon_sym_STAR,
    STATE(11796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602094] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11797), 1,
      sym_attribute,
    STATE(12745), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [602142] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11240), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [602174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602208] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14639), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(11800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602244] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602278] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14695), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(11802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602314] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11803), 1,
      sym_attribute,
    STATE(12866), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [602362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602396] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14701), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(11805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602432] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14570), 1,
      anon_sym_COMMA,
    ACTIONS(14572), 1,
      sym_assign_operator,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [602486] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11807), 1,
      sym_attribute,
    STATE(12840), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [602534] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_PIPE,
    ACTIONS(14619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14621), 1,
      sym_pow_operator,
    ACTIONS(14623), 1,
      sym_mult_operator,
    ACTIONS(14625), 1,
      sym_concat_operator,
    ACTIONS(14627), 1,
      sym_rel_operator,
    ACTIONS(14629), 1,
      sym_and_operator,
    ACTIONS(14631), 1,
      sym_or_operator,
    ACTIONS(14633), 1,
      anon_sym_COMMA,
    ACTIONS(14637), 1,
      sym_assign_operator,
    STATE(2082), 1,
      sym_add_operator,
    STATE(11808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [602588] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14703), 1,
      anon_sym_PIPE,
    STATE(11809), 1,
      sym_attribute,
    STATE(11811), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602624] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14703), 1,
      anon_sym_PIPE,
    STATE(11810), 1,
      sym_attribute,
    STATE(11817), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602660] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14703), 1,
      anon_sym_PIPE,
    STATE(11811), 1,
      sym_attribute,
    STATE(11818), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602696] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8717), 1,
      sym__module_expression,
    STATE(8729), 1,
      sym_module_path,
    STATE(11812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [602744] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11813), 1,
      sym_attribute,
    STATE(12816), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [602792] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14707), 1,
      anon_sym_let,
    ACTIONS(14709), 1,
      anon_sym_and,
    STATE(11814), 1,
      sym_attribute,
    STATE(11883), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14705), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602828] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14576), 1,
      anon_sym_COMMA,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    ACTIONS(14586), 1,
      sym_rel_operator,
    ACTIONS(14588), 1,
      sym_and_operator,
    ACTIONS(14590), 1,
      sym_or_operator,
    ACTIONS(14592), 1,
      sym_assign_operator,
    ACTIONS(14711), 1,
      anon_sym_SEMI,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [602884] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14713), 1,
      anon_sym_COMMA,
    ACTIONS(14715), 1,
      anon_sym_SEMI,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      sym_assign_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [602940] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14703), 1,
      anon_sym_PIPE,
    STATE(11817), 1,
      sym_attribute,
    STATE(11818), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14733), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11818), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603010] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11819), 1,
      sym_attribute,
    STATE(12931), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603058] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    ACTIONS(14586), 1,
      sym_rel_operator,
    ACTIONS(14588), 1,
      sym_and_operator,
    ACTIONS(14590), 1,
      sym_or_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [603108] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603150] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14580), 1,
      sym_pow_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603186] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14580), 1,
      sym_pow_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603222] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [603266] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [603310] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    ACTIONS(14586), 1,
      sym_rel_operator,
    ACTIONS(14588), 1,
      sym_and_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [603358] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11827), 1,
      sym_attribute,
    STATE(12776), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603406] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    ACTIONS(14586), 1,
      sym_rel_operator,
    ACTIONS(14588), 1,
      sym_and_operator,
    ACTIONS(14590), 1,
      sym_or_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [603456] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14576), 1,
      anon_sym_COMMA,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    ACTIONS(14586), 1,
      sym_rel_operator,
    ACTIONS(14588), 1,
      sym_and_operator,
    ACTIONS(14590), 1,
      sym_or_operator,
    ACTIONS(14592), 1,
      sym_assign_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [603510] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(14736), 1,
      sym__identifier,
    ACTIONS(14738), 1,
      anon_sym_POUND,
    STATE(11830), 1,
      sym_attribute,
    STATE(12545), 1,
      sym_type_constructor_path,
    STATE(16766), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10836), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [603552] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603590] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14576), 1,
      anon_sym_COMMA,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    ACTIONS(14586), 1,
      sym_rel_operator,
    ACTIONS(14588), 1,
      sym_and_operator,
    ACTIONS(14590), 1,
      sym_or_operator,
    ACTIONS(14592), 1,
      sym_assign_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [603644] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11833), 1,
      sym_attribute,
    STATE(12847), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603692] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14576), 1,
      anon_sym_COMMA,
    ACTIONS(14578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14580), 1,
      sym_pow_operator,
    ACTIONS(14582), 1,
      sym_mult_operator,
    ACTIONS(14584), 1,
      sym_concat_operator,
    ACTIONS(14586), 1,
      sym_rel_operator,
    ACTIONS(14588), 1,
      sym_and_operator,
    ACTIONS(14590), 1,
      sym_or_operator,
    ACTIONS(14592), 1,
      sym_assign_operator,
    STATE(2106), 1,
      sym_add_operator,
    STATE(11834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [603746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11194), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11196), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [603778] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11836), 1,
      sym_attribute,
    STATE(12902), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11216), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [603858] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11838), 1,
      sym_attribute,
    STATE(12864), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11138), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11140), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [603938] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11840), 1,
      sym_attribute,
    STATE(12842), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
    ACTIONS(10828), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [604018] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14609), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(11842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604054] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11843), 1,
      sym_attribute,
    STATE(12746), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604136] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14693), 1,
      anon_sym_else,
    STATE(10296), 1,
      sym_else_clause,
    STATE(11845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604172] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14457), 1,
      anon_sym_constraint,
    ACTIONS(14459), 1,
      anon_sym_val,
    ACTIONS(14463), 1,
      anon_sym_inherit,
    ACTIONS(14465), 1,
      anon_sym_method,
    ACTIONS(14740), 1,
      anon_sym_end,
    STATE(11761), 1,
      aux_sym_class_body_type_repeat1,
    STATE(11846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13202), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13223), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [604222] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11847), 1,
      sym_attribute,
    STATE(12865), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604270] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11848), 1,
      sym_attribute,
    STATE(12803), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604318] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14680), 1,
      anon_sym_let,
    ACTIONS(14742), 1,
      anon_sym_and,
    STATE(11849), 1,
      sym_attribute,
    STATE(12007), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14678), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604354] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(11850), 1,
      sym_attribute,
    STATE(12617), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604402] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11851), 1,
      sym_attribute,
    STATE(12923), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604450] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14744), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604486] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11853), 1,
      sym_attribute,
    STATE(12722), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11200), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [604566] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11855), 1,
      sym_attribute,
    STATE(12858), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604614] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14516), 1,
      anon_sym_and,
    ACTIONS(14613), 1,
      anon_sym_let,
    STATE(11697), 1,
      aux_sym_type_definition_repeat1,
    STATE(11856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14611), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604650] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(11857), 1,
      sym_attribute,
    STATE(12341), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604698] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14746), 1,
      anon_sym_else,
    STATE(10296), 1,
      sym_else_clause,
    STATE(11858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604734] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11859), 1,
      sym_attribute,
    STATE(12767), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11220), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [604814] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14746), 1,
      anon_sym_else,
    STATE(10191), 1,
      sym_else_clause,
    STATE(11861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604850] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14750), 1,
      anon_sym_let,
    ACTIONS(14752), 1,
      anon_sym_and,
    STATE(11862), 1,
      sym_attribute,
    STATE(11899), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604886] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(14754), 1,
      sym__identifier,
    ACTIONS(14756), 1,
      anon_sym_nonrec,
    STATE(11863), 1,
      sym_attribute,
    STATE(12400), 1,
      sym_type_binding,
    STATE(12462), 1,
      sym__attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14768), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19920), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [604946] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13147), 1,
      anon_sym_functor,
    ACTIONS(13149), 1,
      anon_sym_struct,
    STATE(8729), 1,
      sym_module_path,
    STATE(9186), 1,
      sym__module_expression,
    STATE(11864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604994] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(14736), 1,
      sym__identifier,
    ACTIONS(14758), 1,
      anon_sym_POUND,
    STATE(11865), 1,
      sym_attribute,
    STATE(12496), 1,
      sym_type_constructor_path,
    STATE(16766), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10842), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [605036] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13147), 1,
      anon_sym_functor,
    ACTIONS(13149), 1,
      anon_sym_struct,
    STATE(8729), 1,
      sym_module_path,
    STATE(9190), 1,
      sym__module_expression,
    STATE(11866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7926), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7928), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [605116] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11244), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [605148] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8357), 1,
      sym__module_expression,
    STATE(8729), 1,
      sym_module_path,
    STATE(11869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7930), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7932), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [605228] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13147), 1,
      anon_sym_functor,
    ACTIONS(13149), 1,
      anon_sym_struct,
    STATE(8729), 1,
      sym_module_path,
    STATE(9709), 1,
      sym__module_expression,
    STATE(11871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605276] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14760), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(11872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605312] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_PIPE,
    ACTIONS(14713), 1,
      anon_sym_COMMA,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      sym_assign_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [605366] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(14762), 1,
      sym__identifier,
    ACTIONS(14764), 1,
      anon_sym_nonrec,
    STATE(11874), 1,
      sym_attribute,
    STATE(12432), 1,
      sym_type_binding,
    STATE(12548), 1,
      sym__attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14219), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19941), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [605426] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14709), 1,
      anon_sym_and,
    ACTIONS(14768), 1,
      anon_sym_let,
    STATE(11875), 1,
      sym_attribute,
    STATE(11925), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605462] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(14770), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11876), 1,
      sym_attribute,
    STATE(12633), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605510] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(14736), 1,
      sym__identifier,
    ACTIONS(14738), 1,
      anon_sym_POUND,
    STATE(11877), 1,
      sym_attribute,
    STATE(12545), 1,
      sym_type_constructor_path,
    STATE(16766), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10872), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [605552] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14485), 1,
      anon_sym_let,
    ACTIONS(14709), 1,
      anon_sym_and,
    STATE(11878), 1,
      sym_attribute,
    STATE(11883), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14483), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605588] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(14772), 1,
      sym__identifier,
    ACTIONS(14774), 1,
      anon_sym_nonrec,
    STATE(11879), 1,
      sym_attribute,
    STATE(11880), 1,
      sym_type_binding,
    STATE(12512), 1,
      sym__attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19956), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [605648] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14691), 1,
      anon_sym_let,
    ACTIONS(14742), 1,
      anon_sym_and,
    STATE(11880), 1,
      sym_attribute,
    STATE(11974), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14689), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605684] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(8737), 1,
      sym__module_expression,
    STATE(11881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605732] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14514), 1,
      anon_sym_let,
    ACTIONS(14742), 1,
      anon_sym_and,
    STATE(11882), 1,
      sym_attribute,
    STATE(12005), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605768] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14321), 1,
      anon_sym_let,
    ACTIONS(14776), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11883), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14319), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605802] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14485), 1,
      anon_sym_let,
    ACTIONS(14709), 1,
      anon_sym_and,
    STATE(11814), 1,
      aux_sym_module_definition_repeat1,
    STATE(11884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14483), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605838] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(14779), 1,
      anon_sym_COLON_GT,
    ACTIONS(14781), 1,
      anon_sym_RPAREN,
    ACTIONS(14783), 1,
      anon_sym_COLON2,
    STATE(1968), 1,
      sym_add_operator,
    STATE(11885), 1,
      sym_attribute,
    STATE(17083), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [605896] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    ACTIONS(14795), 1,
      sym_rel_operator,
    ACTIONS(14797), 1,
      sym_and_operator,
    ACTIONS(14799), 1,
      sym_or_operator,
    ACTIONS(14801), 1,
      sym_assign_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [605950] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14605), 1,
      anon_sym_let,
    ACTIONS(14752), 1,
      anon_sym_and,
    STATE(11784), 1,
      aux_sym_class_definition_repeat1,
    STATE(11887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14603), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7940), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7942), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [606018] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14803), 1,
      anon_sym_PIPE,
    STATE(11889), 1,
      sym_attribute,
    STATE(11894), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13295), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606054] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14805), 1,
      anon_sym_EQ,
    ACTIONS(14807), 1,
      anon_sym_of,
    ACTIONS(14809), 1,
      anon_sym_COLON2,
    STATE(11890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12350), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606092] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14811), 1,
      anon_sym_EQ,
    ACTIONS(14813), 1,
      anon_sym_of,
    ACTIONS(14815), 1,
      anon_sym_COLON2,
    STATE(11891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12360), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606130] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10076), 1,
      aux_sym_expression_item_repeat1,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14421), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606166] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14803), 1,
      anon_sym_PIPE,
    STATE(11893), 1,
      sym_attribute,
    STATE(11894), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13301), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606202] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13083), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14817), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11894), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13081), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606236] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11895), 1,
      sym_attribute,
    STATE(12884), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606284] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11896), 1,
      sym_attribute,
    STATE(12757), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606332] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12233), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14594), 1,
      anon_sym_EQ,
    ACTIONS(14820), 1,
      anon_sym_of,
    ACTIONS(14822), 1,
      anon_sym_COLON2,
    STATE(11897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11178), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11180), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [606402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14752), 1,
      anon_sym_and,
    ACTIONS(14826), 1,
      anon_sym_let,
    STATE(11784), 1,
      aux_sym_class_definition_repeat1,
    STATE(11899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606438] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    ACTIONS(14562), 1,
      sym_rel_operator,
    ACTIONS(14564), 1,
      sym_and_operator,
    ACTIONS(14566), 1,
      sym_or_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [606488] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606530] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14556), 1,
      sym_pow_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606566] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14556), 1,
      sym_pow_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606602] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [606646] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [606690] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    ACTIONS(14562), 1,
      sym_rel_operator,
    ACTIONS(14564), 1,
      sym_and_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [606738] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    ACTIONS(14562), 1,
      sym_rel_operator,
    ACTIONS(14564), 1,
      sym_and_operator,
    ACTIONS(14566), 1,
      sym_or_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [606788] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8327), 1,
      sym__module_expression,
    STATE(8729), 1,
      sym_module_path,
    STATE(11908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606836] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14828), 1,
      anon_sym_PIPE,
    STATE(11909), 1,
      sym_attribute,
    STATE(11911), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13295), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606872] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14828), 1,
      anon_sym_PIPE,
    STATE(11910), 1,
      sym_attribute,
    STATE(11911), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13301), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606908] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13083), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14830), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11911), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13081), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606942] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11912), 1,
      sym_attribute,
    STATE(12968), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606990] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14550), 1,
      anon_sym_COMMA,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    ACTIONS(14562), 1,
      sym_rel_operator,
    ACTIONS(14564), 1,
      sym_and_operator,
    ACTIONS(14566), 1,
      sym_or_operator,
    ACTIONS(14568), 1,
      sym_assign_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11186), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11188), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [607076] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11266), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11268), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [607146] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14550), 1,
      anon_sym_COMMA,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    ACTIONS(14562), 1,
      sym_rel_operator,
    ACTIONS(14564), 1,
      sym_and_operator,
    ACTIONS(14566), 1,
      sym_or_operator,
    ACTIONS(14568), 1,
      sym_assign_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [607200] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14550), 1,
      anon_sym_COMMA,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    ACTIONS(14562), 1,
      sym_rel_operator,
    ACTIONS(14564), 1,
      sym_and_operator,
    ACTIONS(14566), 1,
      sym_or_operator,
    ACTIONS(14568), 1,
      sym_assign_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [607254] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14574), 1,
      anon_sym_else,
    STATE(8097), 1,
      sym_else_clause,
    STATE(11919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14491), 1,
      anon_sym_let,
    ACTIONS(14709), 1,
      anon_sym_and,
    STATE(11878), 1,
      aux_sym_module_definition_repeat1,
    STATE(11920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607326] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    ACTIONS(14795), 1,
      sym_rel_operator,
    ACTIONS(14797), 1,
      sym_and_operator,
    ACTIONS(14799), 1,
      sym_or_operator,
    ACTIONS(14801), 1,
      sym_assign_operator,
    ACTIONS(14833), 1,
      anon_sym_SEMI,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607382] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14615), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(11922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607418] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8708), 1,
      sym__module_expression,
    STATE(8729), 1,
      sym_module_path,
    STATE(11923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607466] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5451), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10568), 1,
      sym_item_attribute,
    STATE(11773), 1,
      aux_sym_expression_item_repeat1,
    STATE(11924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14835), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607502] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14491), 1,
      anon_sym_let,
    ACTIONS(14709), 1,
      anon_sym_and,
    STATE(11883), 1,
      aux_sym_module_definition_repeat1,
    STATE(11925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11208), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [607570] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11927), 1,
      sym_attribute,
    STATE(12918), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11274), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11276), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [607650] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    ACTIONS(14795), 1,
      sym_rel_operator,
    ACTIONS(14797), 1,
      sym_and_operator,
    ACTIONS(14799), 1,
      sym_or_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [607700] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607742] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13217), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(8828), 1,
      sym__module_expression,
    STATE(11931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11192), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [607822] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      sym_pow_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607858] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(11934), 1,
      sym_attribute,
    STATE(12194), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607906] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      sym_pow_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607942] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [607986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11264), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [608018] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14760), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(11938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608054] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [608098] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    ACTIONS(14795), 1,
      sym_rel_operator,
    ACTIONS(14797), 1,
      sym_and_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [608146] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    ACTIONS(14795), 1,
      sym_rel_operator,
    ACTIONS(14797), 1,
      sym_and_operator,
    ACTIONS(14799), 1,
      sym_or_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [608196] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    ACTIONS(14795), 1,
      sym_rel_operator,
    ACTIONS(14797), 1,
      sym_and_operator,
    ACTIONS(14799), 1,
      sym_or_operator,
    ACTIONS(14801), 1,
      sym_assign_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [608250] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14837), 1,
      anon_sym_PIPE,
    STATE(11943), 1,
      sym_attribute,
    STATE(11945), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608286] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14837), 1,
      anon_sym_PIPE,
    STATE(11944), 1,
      sym_attribute,
    STATE(11948), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608322] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14837), 1,
      anon_sym_PIPE,
    STATE(11945), 1,
      sym_attribute,
    STATE(11949), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608358] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608396] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    ACTIONS(14795), 1,
      sym_rel_operator,
    ACTIONS(14797), 1,
      sym_and_operator,
    ACTIONS(14799), 1,
      sym_or_operator,
    ACTIONS(14801), 1,
      sym_assign_operator,
    STATE(1964), 1,
      sym_add_operator,
    STATE(11947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [608450] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14837), 1,
      anon_sym_PIPE,
    STATE(11948), 1,
      sym_attribute,
    STATE(11949), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608486] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14839), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11949), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608520] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14842), 1,
      anon_sym_PIPE,
    STATE(11950), 1,
      sym_attribute,
    STATE(11954), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608556] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11184), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [608588] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(11952), 1,
      sym_attribute,
    STATE(12635), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608636] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14842), 1,
      anon_sym_PIPE,
    STATE(11953), 1,
      sym_attribute,
    STATE(11957), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608672] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14842), 1,
      anon_sym_PIPE,
    STATE(11954), 1,
      sym_attribute,
    STATE(11958), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608708] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(14783), 1,
      anon_sym_COLON2,
    ACTIONS(14844), 1,
      anon_sym_COLON_GT,
    ACTIONS(14846), 1,
      anon_sym_RPAREN,
    STATE(1968), 1,
      sym_add_operator,
    STATE(11955), 1,
      sym_attribute,
    STATE(17115), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [608766] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10148), 1,
      anon_sym_PIPE,
    ACTIONS(14550), 1,
      anon_sym_COMMA,
    ACTIONS(14554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14556), 1,
      sym_pow_operator,
    ACTIONS(14558), 1,
      sym_mult_operator,
    ACTIONS(14560), 1,
      sym_concat_operator,
    ACTIONS(14562), 1,
      sym_rel_operator,
    ACTIONS(14564), 1,
      sym_and_operator,
    ACTIONS(14566), 1,
      sym_or_operator,
    ACTIONS(14568), 1,
      sym_assign_operator,
    STATE(2063), 1,
      sym_add_operator,
    STATE(11956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [608820] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14842), 1,
      anon_sym_PIPE,
    STATE(11957), 1,
      sym_attribute,
    STATE(11958), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14848), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11958), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11204), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [608922] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14851), 1,
      anon_sym_PIPE,
    STATE(11960), 1,
      sym_attribute,
    STATE(11963), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608958] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(14770), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11961), 1,
      sym_attribute,
    STATE(12639), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609006] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14851), 1,
      anon_sym_PIPE,
    STATE(11962), 1,
      sym_attribute,
    STATE(11964), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609042] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14851), 1,
      anon_sym_PIPE,
    STATE(11963), 1,
      sym_attribute,
    STATE(11965), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609078] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14851), 1,
      anon_sym_PIPE,
    STATE(11964), 1,
      sym_attribute,
    STATE(11965), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14853), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11965), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609148] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14498), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14500), 1,
      sym_pow_operator,
    ACTIONS(14502), 1,
      sym_mult_operator,
    ACTIONS(14504), 1,
      sym_concat_operator,
    ACTIONS(14506), 1,
      sym_rel_operator,
    ACTIONS(14508), 1,
      sym_and_operator,
    ACTIONS(14510), 1,
      sym_or_operator,
    ACTIONS(14570), 1,
      anon_sym_COMMA,
    ACTIONS(14572), 1,
      sym_assign_operator,
    ACTIONS(14856), 1,
      anon_sym_SEMI,
    STATE(1981), 1,
      sym_add_operator,
    STATE(11966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609204] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14617), 1,
      anon_sym_else,
    STATE(7970), 1,
      sym_else_clause,
    STATE(11967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609240] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14607), 1,
      anon_sym_and,
    ACTIONS(14826), 1,
      anon_sym_let,
    STATE(11729), 1,
      aux_sym_class_definition_repeat1,
    STATE(11968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609276] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14607), 1,
      anon_sym_and,
    ACTIONS(14826), 1,
      anon_sym_let,
    STATE(11730), 1,
      aux_sym_class_definition_repeat1,
    STATE(11969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609312] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11970), 1,
      sym_attribute,
    STATE(12827), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609360] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(11971), 1,
      sym_attribute,
    STATE(12699), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609408] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14457), 1,
      anon_sym_constraint,
    ACTIONS(14459), 1,
      anon_sym_val,
    ACTIONS(14463), 1,
      anon_sym_inherit,
    ACTIONS(14465), 1,
      anon_sym_method,
    ACTIONS(14858), 1,
      anon_sym_end,
    STATE(11972), 1,
      sym_attribute,
    STATE(11992), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13202), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13223), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [609458] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11973), 1,
      sym_attribute,
    STATE(12860), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609506] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14514), 1,
      anon_sym_let,
    ACTIONS(14742), 1,
      anon_sym_and,
    STATE(11974), 1,
      sym_attribute,
    STATE(12007), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609542] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12352), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14805), 1,
      anon_sym_EQ,
    ACTIONS(14860), 1,
      anon_sym_of,
    ACTIONS(14862), 1,
      anon_sym_COLON2,
    STATE(11975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12350), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609580] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(11976), 1,
      sym_attribute,
    STATE(12628), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609628] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12362), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14811), 1,
      anon_sym_EQ,
    ACTIONS(14864), 1,
      anon_sym_of,
    ACTIONS(14866), 1,
      anon_sym_COLON2,
    STATE(11977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12360), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609666] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(11978), 1,
      sym_attribute,
    STATE(12796), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609714] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11212), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [609746] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [609796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7948), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(7950), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [609828] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609870] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11817), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14803), 1,
      anon_sym_PIPE,
    STATE(11889), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609906] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14719), 1,
      sym_pow_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609942] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14803), 1,
      anon_sym_PIPE,
    STATE(11893), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13295), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609978] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14719), 1,
      sym_pow_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610014] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13478), 1,
      anon_sym_functor,
    ACTIONS(13480), 1,
      anon_sym_struct,
    ACTIONS(13482), 1,
      sym__capitalized_identifier,
    STATE(11987), 1,
      sym_attribute,
    STATE(12681), 1,
      sym__module_expression,
    STATE(12938), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610062] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11817), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14828), 1,
      anon_sym_PIPE,
    STATE(11909), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610098] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14828), 1,
      anon_sym_PIPE,
    STATE(11910), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13295), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610134] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [610178] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [610222] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(97), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12255), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12257), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14457), 1,
      anon_sym_constraint,
    ACTIONS(14459), 1,
      anon_sym_val,
    ACTIONS(14463), 1,
      anon_sym_inherit,
    ACTIONS(14465), 1,
      anon_sym_method,
    ACTIONS(14868), 1,
      anon_sym_end,
    STATE(11761), 1,
      aux_sym_class_body_type_repeat1,
    STATE(11992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13202), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(13223), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [610272] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14870), 1,
      anon_sym_PIPE,
    STATE(11993), 1,
      sym_attribute,
    STATE(11995), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610308] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14870), 1,
      anon_sym_PIPE,
    STATE(11994), 1,
      sym_attribute,
    STATE(11996), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610344] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14870), 1,
      anon_sym_PIPE,
    STATE(11995), 1,
      sym_attribute,
    STATE(11997), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610380] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14870), 1,
      anon_sym_PIPE,
    STATE(11996), 1,
      sym_attribute,
    STATE(11997), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610416] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14872), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11997), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610450] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [610498] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(11999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [610548] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14713), 1,
      anon_sym_COMMA,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      sym_assign_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(12000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610602] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(12001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610640] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14713), 1,
      anon_sym_COMMA,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      sym_assign_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(12002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [610694] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14701), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610730] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14752), 1,
      anon_sym_and,
    ACTIONS(14826), 1,
      anon_sym_let,
    STATE(11887), 1,
      aux_sym_class_definition_repeat1,
    STATE(12004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610766] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14613), 1,
      anon_sym_let,
    ACTIONS(14742), 1,
      anon_sym_and,
    STATE(12005), 1,
      sym_attribute,
    STATE(12007), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14611), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11248), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [610834] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14376), 1,
      anon_sym_let,
    ACTIONS(14875), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12007), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14374), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610868] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14613), 1,
      anon_sym_let,
    ACTIONS(14742), 1,
      anon_sym_and,
    STATE(11849), 1,
      aux_sym_type_definition_repeat1,
    STATE(12008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14611), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11226), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11228), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [610936] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14880), 1,
      anon_sym_let,
    ACTIONS(14882), 1,
      anon_sym_DOT,
    STATE(12010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14878), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610970] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(13143), 1,
      anon_sym_LPAREN,
    ACTIONS(13149), 1,
      anon_sym_struct,
    ACTIONS(13546), 1,
      anon_sym_functor,
    STATE(8729), 1,
      sym_module_path,
    STATE(12011), 1,
      sym_attribute,
    STATE(12773), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8757), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611018] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14713), 1,
      anon_sym_COMMA,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      sym_assign_operator,
    STATE(2235), 1,
      sym_add_operator,
    STATE(12012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [611072] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14487), 1,
      anon_sym_and,
    ACTIONS(14491), 1,
      anon_sym_let,
    STATE(12013), 1,
      sym_attribute,
    STATE(12015), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11232), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [611140] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14321), 1,
      anon_sym_let,
    ACTIONS(14884), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12015), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14319), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611174] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14485), 1,
      anon_sym_let,
    ACTIONS(14487), 1,
      anon_sym_and,
    STATE(12016), 1,
      sym_attribute,
    STATE(12017), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14483), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611210] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14487), 1,
      anon_sym_and,
    ACTIONS(14707), 1,
      anon_sym_let,
    STATE(12015), 1,
      aux_sym_module_definition_repeat1,
    STATE(12017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14705), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611246] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14487), 1,
      anon_sym_and,
    ACTIONS(14768), 1,
      anon_sym_let,
    STATE(12013), 1,
      aux_sym_module_definition_repeat1,
    STATE(12018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611282] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14607), 1,
      anon_sym_and,
    ACTIONS(14750), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_class_definition_repeat1,
    STATE(12019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611318] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14887), 1,
      anon_sym_PIPE,
    STATE(12020), 1,
      sym_attribute,
    STATE(12280), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [611353] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_COMMA,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    ACTIONS(14899), 1,
      sym_rel_operator,
    ACTIONS(14901), 1,
      sym_and_operator,
    ACTIONS(14903), 1,
      sym_or_operator,
    ACTIONS(14905), 1,
      sym_assign_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [611404] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14907), 1,
      anon_sym_DQUOTE,
    STATE(12022), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19936), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [611445] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(14917), 1,
      anon_sym_DASH_GT,
    ACTIONS(14919), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14915), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611480] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(14917), 1,
      anon_sym_DASH_GT,
    ACTIONS(14923), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14921), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611515] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_done,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14925), 1,
      anon_sym_COMMA,
    ACTIONS(14927), 1,
      anon_sym_SEMI,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    ACTIONS(14937), 1,
      sym_rel_operator,
    ACTIONS(14939), 1,
      sym_and_operator,
    ACTIONS(14941), 1,
      sym_or_operator,
    ACTIONS(14943), 1,
      sym_assign_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [611570] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [611603] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14945), 1,
      anon_sym_COLON_GT,
    ACTIONS(14947), 1,
      anon_sym_EQ,
    ACTIONS(14949), 1,
      anon_sym_COLON2,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12027), 1,
      sym_attribute,
    STATE(12612), 1,
      sym__typed,
    STATE(12878), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14951), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14953), 1,
      anon_sym_let,
    STATE(12028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7896), 1,
      anon_sym_let,
    STATE(12029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7898), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611708] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14955), 1,
      aux_sym_attribute_id_token1,
    STATE(12030), 1,
      sym_attribute,
    STATE(12094), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8798), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8796), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [611743] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14957), 1,
      anon_sym_DQUOTE,
    STATE(12031), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(20135), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [611784] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [611827] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(14959), 1,
      anon_sym_RBRACK,
    ACTIONS(14961), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12033), 1,
      sym_attribute,
    STATE(15272), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [611882] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14963), 1,
      anon_sym_COMMA,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    ACTIONS(14973), 1,
      sym_rel_operator,
    ACTIONS(14975), 1,
      sym_and_operator,
    ACTIONS(14977), 1,
      sym_or_operator,
    ACTIONS(14979), 1,
      sym_assign_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [611935] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [611978] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14983), 1,
      anon_sym_SEMI,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14987), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12036), 1,
      sym_attribute,
    STATE(15803), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612033] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14785), 1,
      anon_sym_COMMA,
    ACTIONS(14787), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14789), 1,
      sym_pow_operator,
    ACTIONS(14791), 1,
      sym_mult_operator,
    ACTIONS(14793), 1,
      sym_concat_operator,
    ACTIONS(14795), 1,
      sym_rel_operator,
    ACTIONS(14797), 1,
      sym_and_operator,
    ACTIONS(14799), 1,
      sym_or_operator,
    ACTIONS(14801), 1,
      sym_assign_operator,
    ACTIONS(15003), 1,
      anon_sym_SEMI,
    STATE(1964), 1,
      sym_add_operator,
    STATE(12037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612086] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    ACTIONS(14937), 1,
      sym_rel_operator,
    ACTIONS(14939), 1,
      sym_and_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [612133] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15007), 1,
      anon_sym_let,
    ACTIONS(15009), 1,
      anon_sym_in,
    STATE(12039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15005), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612166] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15011), 1,
      anon_sym_DQUOTE,
    STATE(12040), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18135), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [612207] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    ACTIONS(14937), 1,
      sym_rel_operator,
    ACTIONS(14939), 1,
      sym_and_operator,
    ACTIONS(14941), 1,
      sym_or_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [612256] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15013), 1,
      anon_sym_DQUOTE,
    STATE(12042), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19666), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [612297] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15015), 1,
      anon_sym_SEMI,
    ACTIONS(15017), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12043), 1,
      sym_attribute,
    STATE(15700), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612352] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15019), 1,
      anon_sym_SEMI,
    ACTIONS(15021), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12044), 1,
      sym_attribute,
    STATE(15285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612407] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14925), 1,
      anon_sym_COMMA,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    ACTIONS(14937), 1,
      sym_rel_operator,
    ACTIONS(14939), 1,
      sym_and_operator,
    ACTIONS(14941), 1,
      sym_or_operator,
    ACTIONS(14943), 1,
      sym_assign_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612460] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15023), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612495] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612532] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(15027), 1,
      anon_sym_DASH_GT,
    ACTIONS(15029), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15025), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612567] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    ACTIONS(15039), 1,
      sym_rel_operator,
    ACTIONS(15041), 1,
      sym_and_operator,
    ACTIONS(15043), 1,
      sym_or_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [612614] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10087), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612655] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_with,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(15045), 1,
      anon_sym_COMMA,
    ACTIONS(15047), 1,
      anon_sym_SEMI,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    ACTIONS(15057), 1,
      sym_rel_operator,
    ACTIONS(15059), 1,
      sym_and_operator,
    ACTIONS(15061), 1,
      sym_or_operator,
    ACTIONS(15063), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612710] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15033), 1,
      sym_pow_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612745] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15033), 1,
      sym_pow_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612780] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [612823] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7926), 1,
      anon_sym_let,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612887] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [612930] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      sym_or_operator,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    ACTIONS(15039), 1,
      sym_rel_operator,
    ACTIONS(15041), 1,
      sym_and_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [612977] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    ACTIONS(15039), 1,
      sym_rel_operator,
    ACTIONS(15041), 1,
      sym_and_operator,
    ACTIONS(15043), 1,
      sym_or_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [613024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7930), 1,
      anon_sym_let,
    STATE(12060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613055] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    ACTIONS(15039), 1,
      sym_rel_operator,
    ACTIONS(15041), 1,
      sym_and_operator,
    ACTIONS(15043), 1,
      sym_or_operator,
    ACTIONS(15065), 1,
      anon_sym_COMMA,
    ACTIONS(15067), 1,
      sym_assign_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613106] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613143] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    ACTIONS(15039), 1,
      sym_rel_operator,
    ACTIONS(15041), 1,
      sym_and_operator,
    ACTIONS(15043), 1,
      sym_or_operator,
    ACTIONS(15065), 1,
      anon_sym_COMMA,
    ACTIONS(15067), 1,
      sym_assign_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [613194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613227] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15069), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613262] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    ACTIONS(15039), 1,
      sym_rel_operator,
    ACTIONS(15041), 1,
      sym_and_operator,
    ACTIONS(15043), 1,
      sym_or_operator,
    ACTIONS(15065), 1,
      anon_sym_COMMA,
    ACTIONS(15067), 1,
      sym_assign_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [613313] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15071), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(12067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613348] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14925), 1,
      anon_sym_COMMA,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    ACTIONS(14937), 1,
      sym_rel_operator,
    ACTIONS(14939), 1,
      sym_and_operator,
    ACTIONS(14941), 1,
      sym_or_operator,
    ACTIONS(14943), 1,
      sym_assign_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613401] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14925), 1,
      anon_sym_COMMA,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    ACTIONS(14937), 1,
      sym_rel_operator,
    ACTIONS(14939), 1,
      sym_and_operator,
    ACTIONS(14941), 1,
      sym_or_operator,
    ACTIONS(14943), 1,
      sym_assign_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613454] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10047), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10045), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613485] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14949), 1,
      anon_sym_COLON2,
    ACTIONS(15073), 1,
      anon_sym_COLON_GT,
    ACTIONS(15075), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12071), 1,
      sym_attribute,
    STATE(12616), 1,
      sym__typed,
    STATE(12875), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15077), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613528] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15079), 1,
      anon_sym_SEMI,
    ACTIONS(15081), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12072), 1,
      sym_attribute,
    STATE(15591), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613583] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15083), 1,
      anon_sym_SEMI,
    ACTIONS(15085), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12073), 1,
      sym_attribute,
    STATE(15074), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7940), 1,
      anon_sym_let,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613669] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15087), 1,
      anon_sym_RBRACK,
    ACTIONS(15089), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12075), 1,
      sym_attribute,
    STATE(15658), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613724] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15091), 1,
      anon_sym_DQUOTE,
    STATE(12076), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17884), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [613765] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15093), 1,
      anon_sym_DQUOTE,
    STATE(12077), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18732), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [613806] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15095), 1,
      anon_sym_COMMA,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    ACTIONS(15105), 1,
      sym_rel_operator,
    ACTIONS(15107), 1,
      sym_and_operator,
    ACTIONS(15109), 1,
      sym_or_operator,
    ACTIONS(15111), 1,
      sym_assign_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613857] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15113), 1,
      anon_sym_SEMI,
    ACTIONS(15115), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12079), 1,
      sym_attribute,
    STATE(15099), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613912] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15117), 1,
      anon_sym_DQUOTE,
    STATE(12080), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18258), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [613953] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15119), 1,
      anon_sym_RBRACK,
    ACTIONS(15121), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12081), 1,
      sym_attribute,
    STATE(14891), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614008] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15123), 1,
      anon_sym_RBRACK,
    ACTIONS(15125), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12082), 1,
      sym_attribute,
    STATE(15645), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614063] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15127), 1,
      anon_sym_RBRACK,
    ACTIONS(15129), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12083), 1,
      sym_attribute,
    STATE(15254), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614118] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    ACTIONS(15105), 1,
      sym_rel_operator,
    ACTIONS(15107), 1,
      sym_and_operator,
    ACTIONS(15109), 1,
      sym_or_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [614165] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15095), 1,
      anon_sym_COMMA,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    ACTIONS(15105), 1,
      sym_rel_operator,
    ACTIONS(15107), 1,
      sym_and_operator,
    ACTIONS(15109), 1,
      sym_or_operator,
    ACTIONS(15111), 1,
      sym_assign_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [614216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      anon_sym_let,
    STATE(12086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614247] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15131), 1,
      anon_sym_DQUOTE,
    STATE(12087), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18147), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [614288] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15133), 1,
      anon_sym_SEMI,
    ACTIONS(15135), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12088), 1,
      sym_attribute,
    STATE(15289), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614343] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_PIPE,
    STATE(12089), 1,
      sym_attribute,
    STATE(12158), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614378] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7956), 1,
      anon_sym_let,
    STATE(12091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614446] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15139), 1,
      anon_sym_PIPE,
    STATE(12092), 1,
      sym_attribute,
    STATE(12261), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614481] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15141), 1,
      anon_sym_RBRACK,
    ACTIONS(15143), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12093), 1,
      sym_attribute,
    STATE(16137), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614536] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14955), 1,
      aux_sym_attribute_id_token1,
    STATE(12094), 1,
      sym_attribute,
    STATE(12274), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8786), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8784), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [614571] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15145), 1,
      anon_sym_DQUOTE,
    STATE(12095), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(20120), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [614612] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15095), 1,
      anon_sym_COMMA,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    ACTIONS(15105), 1,
      sym_rel_operator,
    ACTIONS(15107), 1,
      sym_and_operator,
    ACTIONS(15109), 1,
      sym_or_operator,
    ACTIONS(15111), 1,
      sym_assign_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [614663] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15147), 1,
      anon_sym_DQUOTE,
    STATE(12097), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18999), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [614704] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15007), 1,
      anon_sym_let,
    ACTIONS(15149), 1,
      anon_sym_in,
    STATE(12098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15005), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614737] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    ACTIONS(14973), 1,
      sym_rel_operator,
    ACTIONS(14975), 1,
      sym_and_operator,
    ACTIONS(14977), 1,
      sym_or_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [614786] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15151), 1,
      anon_sym_PIPE,
    STATE(12100), 1,
      sym_attribute,
    STATE(12351), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614821] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15151), 1,
      anon_sym_PIPE,
    STATE(12101), 1,
      sym_attribute,
    STATE(12355), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614856] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15139), 1,
      anon_sym_PIPE,
    STATE(12102), 1,
      sym_attribute,
    STATE(12322), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7960), 1,
      anon_sym_let,
    STATE(12103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614922] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15153), 1,
      anon_sym_DQUOTE,
    STATE(12104), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18329), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [614963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7964), 1,
      anon_sym_let,
    STATE(12105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614994] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15155), 1,
      anon_sym_SEMI,
    ACTIONS(15157), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12106), 1,
      sym_attribute,
    STATE(14953), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615049] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15159), 1,
      anon_sym_DQUOTE,
    STATE(12107), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18362), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615090] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15161), 1,
      anon_sym_DQUOTE,
    STATE(12108), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18403), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615131] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15163), 1,
      anon_sym_DQUOTE,
    STATE(12109), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18043), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615172] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15165), 1,
      anon_sym_DQUOTE,
    STATE(12110), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18439), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615213] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15167), 1,
      anon_sym_SEMI,
    ACTIONS(15169), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12111), 1,
      sym_attribute,
    STATE(16159), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615268] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15171), 1,
      anon_sym_DQUOTE,
    STATE(12112), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18478), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615309] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15173), 1,
      anon_sym_DQUOTE,
    STATE(12113), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18297), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615350] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15175), 1,
      anon_sym_DQUOTE,
    STATE(12114), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18518), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615391] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15177), 1,
      anon_sym_DQUOTE,
    STATE(12115), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18557), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615432] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15179), 1,
      anon_sym_RBRACK,
    ACTIONS(15181), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12116), 1,
      sym_attribute,
    STATE(16157), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615487] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15183), 1,
      anon_sym_DQUOTE,
    STATE(12117), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18599), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615528] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15185), 1,
      anon_sym_RBRACK,
    ACTIONS(15187), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12118), 1,
      sym_attribute,
    STATE(15243), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615583] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15189), 1,
      anon_sym_DQUOTE,
    STATE(12119), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18647), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615624] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15191), 1,
      anon_sym_RBRACK,
    ACTIONS(15193), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12120), 1,
      sym_attribute,
    STATE(14824), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615679] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15095), 1,
      anon_sym_COMMA,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    ACTIONS(15105), 1,
      sym_rel_operator,
    ACTIONS(15107), 1,
      sym_and_operator,
    ACTIONS(15109), 1,
      sym_or_operator,
    ACTIONS(15111), 1,
      sym_assign_operator,
    ACTIONS(15195), 1,
      anon_sym_SEMI,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615732] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15197), 1,
      anon_sym_DQUOTE,
    STATE(12122), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17474), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615773] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15199), 1,
      anon_sym_DQUOTE,
    STATE(12123), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18683), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615814] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12764), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12939), 1,
      anon_sym_STAR,
    STATE(12124), 1,
      sym_attribute,
    STATE(12224), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12762), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615849] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15201), 1,
      anon_sym_DQUOTE,
    STATE(12125), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18729), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615890] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15203), 1,
      anon_sym_DQUOTE,
    STATE(12126), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18068), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615931] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15205), 1,
      anon_sym_DQUOTE,
    STATE(12127), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(20066), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615972] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15207), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616007] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15209), 1,
      anon_sym_SEMI,
    ACTIONS(15211), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12129), 1,
      sym_attribute,
    STATE(15252), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616062] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15213), 1,
      anon_sym_DQUOTE,
    STATE(12130), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18779), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [616103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15217), 1,
      anon_sym_let,
    STATE(12131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15215), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616134] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15219), 1,
      anon_sym_RBRACK,
    ACTIONS(15221), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12132), 1,
      sym_attribute,
    STATE(16168), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616189] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_PIPE,
    STATE(12133), 1,
      sym_attribute,
    STATE(12309), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15223), 1,
      anon_sym_DQUOTE,
    STATE(12134), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18818), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [616265] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15225), 1,
      anon_sym_SEMI,
    ACTIONS(15227), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12135), 1,
      sym_attribute,
    STATE(16177), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616320] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15229), 1,
      anon_sym_DQUOTE,
    STATE(12136), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19361), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [616361] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    ACTIONS(14899), 1,
      sym_rel_operator,
    ACTIONS(14901), 1,
      sym_and_operator,
    ACTIONS(14903), 1,
      sym_or_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [616408] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15231), 1,
      anon_sym_RBRACK,
    ACTIONS(15233), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12138), 1,
      sym_attribute,
    STATE(15706), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616463] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_DQUOTE,
    STATE(12139), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17842), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [616504] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10087), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616545] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14893), 1,
      sym_pow_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616580] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15237), 1,
      anon_sym_SEMI,
    ACTIONS(15239), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12142), 1,
      sym_attribute,
    STATE(14834), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616635] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15241), 1,
      anon_sym_RBRACK,
    ACTIONS(15243), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12143), 1,
      sym_attribute,
    STATE(16032), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616690] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      anon_sym_RBRACK,
    ACTIONS(15247), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12144), 1,
      sym_attribute,
    STATE(14856), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616745] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616778] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14893), 1,
      sym_pow_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616813] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15249), 1,
      anon_sym_SEMI,
    ACTIONS(15251), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12147), 1,
      sym_attribute,
    STATE(15213), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616868] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [616911] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [616954] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15253), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(12150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [616989] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      sym_or_operator,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    ACTIONS(14899), 1,
      sym_rel_operator,
    ACTIONS(14901), 1,
      sym_and_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [617036] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15255), 1,
      anon_sym_SEMI,
    ACTIONS(15257), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12152), 1,
      sym_attribute,
    STATE(15142), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617091] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    ACTIONS(14899), 1,
      sym_rel_operator,
    ACTIONS(14901), 1,
      sym_and_operator,
    ACTIONS(14903), 1,
      sym_or_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [617138] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_COMMA,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    ACTIONS(14899), 1,
      sym_rel_operator,
    ACTIONS(14901), 1,
      sym_and_operator,
    ACTIONS(14903), 1,
      sym_or_operator,
    ACTIONS(14905), 1,
      sym_assign_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617189] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617226] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15259), 1,
      anon_sym_RBRACK,
    ACTIONS(15261), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12156), 1,
      sym_attribute,
    STATE(15379), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617281] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_COMMA,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    ACTIONS(14899), 1,
      sym_rel_operator,
    ACTIONS(14901), 1,
      sym_and_operator,
    ACTIONS(14903), 1,
      sym_or_operator,
    ACTIONS(14905), 1,
      sym_assign_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [617332] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_PIPE,
    STATE(12158), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617367] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15263), 1,
      anon_sym_SEMI,
    ACTIONS(15265), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12159), 1,
      sym_attribute,
    STATE(15235), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617422] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15267), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617457] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_COMMA,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    ACTIONS(14899), 1,
      sym_rel_operator,
    ACTIONS(14901), 1,
      sym_and_operator,
    ACTIONS(14903), 1,
      sym_or_operator,
    ACTIONS(14905), 1,
      sym_assign_operator,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [617508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15007), 1,
      anon_sym_let,
    STATE(12162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15005), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617539] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15269), 1,
      anon_sym_SEMI,
    ACTIONS(15271), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12163), 1,
      sym_attribute,
    STATE(15385), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617594] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617635] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    ACTIONS(15281), 1,
      sym_rel_operator,
    ACTIONS(15283), 1,
      sym_and_operator,
    ACTIONS(15285), 1,
      sym_or_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [617684] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617725] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    ACTIONS(15105), 1,
      sym_rel_operator,
    ACTIONS(15107), 1,
      sym_and_operator,
    ACTIONS(15109), 1,
      sym_or_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [617772] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15287), 1,
      anon_sym_SEMI,
    ACTIONS(15289), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12168), 1,
      sym_attribute,
    STATE(14911), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617827] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10087), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617868] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15291), 1,
      anon_sym_DQUOTE,
    STATE(12170), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19267), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [617909] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15275), 1,
      sym_pow_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [617944] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15275), 1,
      sym_pow_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [617979] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [618022] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15293), 1,
      anon_sym_RBRACK,
    ACTIONS(15295), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12174), 1,
      sym_attribute,
    STATE(15184), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618077] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15297), 1,
      anon_sym_RBRACK,
    ACTIONS(15299), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12175), 1,
      sym_attribute,
    STATE(15253), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618132] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15301), 1,
      anon_sym_DQUOTE,
    STATE(12176), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19255), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [618173] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [618216] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15303), 1,
      anon_sym_DQUOTE,
    STATE(12178), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17657), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [618257] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    ACTIONS(15281), 1,
      sym_rel_operator,
    ACTIONS(15283), 1,
      sym_and_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [618304] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15305), 1,
      anon_sym_SEMI,
    ACTIONS(15307), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12180), 1,
      sym_attribute,
    STATE(15737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618359] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    ACTIONS(15281), 1,
      sym_rel_operator,
    ACTIONS(15283), 1,
      sym_and_operator,
    ACTIONS(15285), 1,
      sym_or_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [618408] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    ACTIONS(15281), 1,
      sym_rel_operator,
    ACTIONS(15283), 1,
      sym_and_operator,
    ACTIONS(15285), 1,
      sym_or_operator,
    ACTIONS(15309), 1,
      anon_sym_COMMA,
    ACTIONS(15311), 1,
      sym_assign_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618461] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14967), 1,
      sym_pow_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [618496] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618533] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    ACTIONS(15281), 1,
      sym_rel_operator,
    ACTIONS(15283), 1,
      sym_and_operator,
    ACTIONS(15285), 1,
      sym_or_operator,
    ACTIONS(15309), 1,
      anon_sym_COMMA,
    ACTIONS(15311), 1,
      sym_assign_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618586] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15313), 1,
      anon_sym_RBRACK,
    ACTIONS(15315), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12186), 1,
      sym_attribute,
    STATE(15630), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618641] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15317), 1,
      anon_sym_SEMI,
    ACTIONS(15319), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12187), 1,
      sym_attribute,
    STATE(15408), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7998), 1,
      anon_sym_let,
    STATE(12188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618727] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15321), 1,
      anon_sym_RBRACK,
    ACTIONS(15323), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12189), 1,
      sym_attribute,
    STATE(15495), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618782] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15325), 1,
      anon_sym_SEMI,
    ACTIONS(15327), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12190), 1,
      sym_attribute,
    STATE(15403), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618837] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618870] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14967), 1,
      sym_pow_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [618905] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14917), 1,
      anon_sym_DASH_GT,
    STATE(12193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618938] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15329), 1,
      anon_sym_LPAREN,
    STATE(12194), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10618), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [618977] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    ACTIONS(15281), 1,
      sym_rel_operator,
    ACTIONS(15283), 1,
      sym_and_operator,
    ACTIONS(15285), 1,
      sym_or_operator,
    ACTIONS(15309), 1,
      anon_sym_COMMA,
    ACTIONS(15311), 1,
      sym_assign_operator,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(14919), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15027), 1,
      anon_sym_DASH_GT,
    STATE(12196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14915), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [619065] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15331), 1,
      anon_sym_DQUOTE,
    STATE(12197), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18941), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [619106] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15333), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619141] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [619184] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15335), 1,
      anon_sym_SEMI,
    ACTIONS(15337), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12200), 1,
      sym_attribute,
    STATE(15636), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619239] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15069), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(12201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619274] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15339), 1,
      anon_sym_RBRACK,
    ACTIONS(15341), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12202), 1,
      sym_attribute,
    STATE(15442), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619329] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15343), 1,
      anon_sym_RBRACK,
    ACTIONS(15345), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12203), 1,
      sym_attribute,
    STATE(15772), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619384] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      sym_or_operator,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    ACTIONS(15105), 1,
      sym_rel_operator,
    ACTIONS(15107), 1,
      sym_and_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [619431] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15071), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619466] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15347), 1,
      anon_sym_DQUOTE,
    STATE(12206), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19018), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [619507] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15349), 1,
      anon_sym_DQUOTE,
    STATE(12207), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17462), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [619548] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15351), 1,
      anon_sym_SEMI,
    ACTIONS(15353), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12208), 1,
      sym_attribute,
    STATE(14842), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7974), 1,
      anon_sym_let,
    STATE(12209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7982), 1,
      anon_sym_let,
    STATE(12210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619665] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15333), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(12211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619700] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_then,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14963), 1,
      anon_sym_COMMA,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    ACTIONS(14973), 1,
      sym_rel_operator,
    ACTIONS(14975), 1,
      sym_and_operator,
    ACTIONS(14977), 1,
      sym_or_operator,
    ACTIONS(14979), 1,
      sym_assign_operator,
    ACTIONS(15355), 1,
      anon_sym_SEMI,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619755] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15357), 1,
      anon_sym_PIPE,
    STATE(12213), 1,
      sym_attribute,
    STATE(12249), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619790] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15359), 1,
      anon_sym_RBRACK,
    ACTIONS(15361), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12214), 1,
      sym_attribute,
    STATE(14962), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619845] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    ACTIONS(15039), 1,
      sym_rel_operator,
    ACTIONS(15041), 1,
      sym_and_operator,
    ACTIONS(15043), 1,
      sym_or_operator,
    ACTIONS(15065), 1,
      anon_sym_COMMA,
    ACTIONS(15067), 1,
      sym_assign_operator,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [619896] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [619939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619972] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15363), 1,
      anon_sym_DQUOTE,
    STATE(12218), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17670), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [620013] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15365), 1,
      anon_sym_RBRACK,
    ACTIONS(15367), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12219), 1,
      sym_attribute,
    STATE(15173), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620068] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15369), 1,
      anon_sym_SEMI,
    ACTIONS(15371), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12220), 1,
      sym_attribute,
    STATE(15287), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620123] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15033), 1,
      sym_pow_operator,
    ACTIONS(15035), 1,
      sym_mult_operator,
    ACTIONS(15037), 1,
      sym_concat_operator,
    ACTIONS(15039), 1,
      sym_rel_operator,
    ACTIONS(15041), 1,
      sym_and_operator,
    ACTIONS(15043), 1,
      sym_or_operator,
    ACTIONS(15065), 1,
      anon_sym_COMMA,
    ACTIONS(15067), 1,
      sym_assign_operator,
    ACTIONS(15373), 1,
      anon_sym_SEMI,
    STATE(1791), 1,
      sym_add_operator,
    STATE(12221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620176] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(14923), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15027), 1,
      anon_sym_DASH_GT,
    STATE(12222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14921), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7986), 1,
      anon_sym_let,
    STATE(12223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620242] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15375), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12224), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620275] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15378), 1,
      anon_sym_SEMI,
    ACTIONS(15380), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12225), 1,
      sym_attribute,
    STATE(15781), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7990), 1,
      anon_sym_let,
    STATE(12226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620361] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15382), 1,
      anon_sym_DQUOTE,
    STATE(12227), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17753), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [620402] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15267), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(12228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620437] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15384), 1,
      anon_sym_RBRACK,
    ACTIONS(15386), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12229), 1,
      sym_attribute,
    STATE(14998), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620492] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620525] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15388), 1,
      anon_sym_DQUOTE,
    STATE(12231), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18038), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [620566] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    ACTIONS(15057), 1,
      sym_rel_operator,
    ACTIONS(15059), 1,
      sym_and_operator,
    ACTIONS(15061), 1,
      sym_or_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [620615] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15390), 1,
      anon_sym_PIPE,
    STATE(12233), 1,
      sym_attribute,
    STATE(12250), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620650] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    ACTIONS(15400), 1,
      sym_rel_operator,
    ACTIONS(15402), 1,
      sym_and_operator,
    ACTIONS(15404), 1,
      sym_or_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [620697] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10087), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10085), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620738] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15394), 1,
      sym_pow_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620773] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15394), 1,
      sym_pow_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620808] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [620851] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [620894] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      sym_or_operator,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    ACTIONS(15400), 1,
      sym_rel_operator,
    ACTIONS(15402), 1,
      sym_and_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [620941] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    ACTIONS(15400), 1,
      sym_rel_operator,
    ACTIONS(15402), 1,
      sym_and_operator,
    ACTIONS(15404), 1,
      sym_or_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [620988] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    ACTIONS(15400), 1,
      sym_rel_operator,
    ACTIONS(15402), 1,
      sym_and_operator,
    ACTIONS(15404), 1,
      sym_or_operator,
    ACTIONS(15406), 1,
      anon_sym_COMMA,
    ACTIONS(15408), 1,
      sym_assign_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621039] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621076] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    ACTIONS(15400), 1,
      sym_rel_operator,
    ACTIONS(15402), 1,
      sym_and_operator,
    ACTIONS(15404), 1,
      sym_or_operator,
    ACTIONS(15406), 1,
      anon_sym_COMMA,
    ACTIONS(15408), 1,
      sym_assign_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10089), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [621127] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15390), 1,
      anon_sym_PIPE,
    STATE(12245), 1,
      sym_attribute,
    STATE(12253), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621162] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15253), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621197] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15357), 1,
      anon_sym_PIPE,
    STATE(12247), 1,
      sym_attribute,
    STATE(12278), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621232] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    ACTIONS(15400), 1,
      sym_rel_operator,
    ACTIONS(15402), 1,
      sym_and_operator,
    ACTIONS(15404), 1,
      sym_or_operator,
    ACTIONS(15406), 1,
      anon_sym_COMMA,
    ACTIONS(15408), 1,
      sym_assign_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10103), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [621283] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15357), 1,
      anon_sym_PIPE,
    STATE(12249), 1,
      sym_attribute,
    STATE(12284), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621318] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15390), 1,
      anon_sym_PIPE,
    STATE(12250), 1,
      sym_attribute,
    STATE(12258), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621353] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [621402] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621443] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15390), 1,
      anon_sym_PIPE,
    STATE(12253), 1,
      sym_attribute,
    STATE(12258), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621478] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [621513] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [621548] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [621591] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [621634] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15410), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12258), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621667] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15413), 1,
      anon_sym_DQUOTE,
    STATE(12259), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19828), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [621708] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [621755] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15139), 1,
      anon_sym_PIPE,
    STATE(12261), 1,
      sym_attribute,
    STATE(12322), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621790] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [621839] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_do,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(15273), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15275), 1,
      sym_pow_operator,
    ACTIONS(15277), 1,
      sym_mult_operator,
    ACTIONS(15279), 1,
      sym_concat_operator,
    ACTIONS(15281), 1,
      sym_rel_operator,
    ACTIONS(15283), 1,
      sym_and_operator,
    ACTIONS(15285), 1,
      sym_or_operator,
    ACTIONS(15309), 1,
      anon_sym_COMMA,
    ACTIONS(15311), 1,
      sym_assign_operator,
    ACTIONS(15415), 1,
      anon_sym_SEMI,
    STATE(2297), 1,
      sym_add_operator,
    STATE(12263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621894] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621947] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621988] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      sym_pow_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [622023] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622060] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      sym_pow_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [622095] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622148] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15417), 1,
      anon_sym_RBRACK,
    ACTIONS(15419), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12270), 1,
      sym_attribute,
    STATE(16193), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622203] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      anon_sym_RBRACK,
    ACTIONS(15423), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12271), 1,
      sym_attribute,
    STATE(14950), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622258] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15425), 1,
      anon_sym_SEMI,
    ACTIONS(15427), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12272), 1,
      sym_attribute,
    STATE(15793), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622313] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15429), 1,
      anon_sym_DQUOTE,
    STATE(12273), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17292), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [622354] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15431), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12274), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8687), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8685), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [622387] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15434), 1,
      anon_sym_RBRACK,
    ACTIONS(15436), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12275), 1,
      sym_attribute,
    STATE(15273), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622442] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [622485] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15027), 1,
      anon_sym_DASH_GT,
    STATE(12277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622518] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15357), 1,
      anon_sym_PIPE,
    STATE(12278), 1,
      sym_attribute,
    STATE(12284), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622553] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14887), 1,
      anon_sym_PIPE,
    STATE(12279), 1,
      sym_attribute,
    STATE(12282), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622588] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14887), 1,
      anon_sym_PIPE,
    STATE(12280), 1,
      sym_attribute,
    STATE(12285), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10111), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10109), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622623] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15438), 1,
      anon_sym_SEMI,
    ACTIONS(15440), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12281), 1,
      sym_attribute,
    STATE(15366), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622678] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14887), 1,
      anon_sym_PIPE,
    STATE(12282), 1,
      sym_attribute,
    STATE(12285), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622713] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15442), 1,
      anon_sym_DQUOTE,
    STATE(12283), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17682), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [622754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15444), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12284), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622787] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15447), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12285), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622820] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [622863] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622916] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15450), 1,
      anon_sym_SEMI,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622971] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    ACTIONS(15057), 1,
      sym_rel_operator,
    ACTIONS(15059), 1,
      sym_and_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [623018] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    ACTIONS(15057), 1,
      sym_rel_operator,
    ACTIONS(15059), 1,
      sym_and_operator,
    ACTIONS(15061), 1,
      sym_or_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [623067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7892), 1,
      anon_sym_let,
    STATE(12291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7894), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623098] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15452), 1,
      anon_sym_SEMI,
    ACTIONS(15454), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12292), 1,
      sym_attribute,
    STATE(14961), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623153] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15456), 1,
      anon_sym_RBRACK,
    ACTIONS(15458), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12293), 1,
      sym_attribute,
    STATE(15463), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623208] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(15045), 1,
      anon_sym_COMMA,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    ACTIONS(15057), 1,
      sym_rel_operator,
    ACTIONS(15059), 1,
      sym_and_operator,
    ACTIONS(15061), 1,
      sym_or_operator,
    ACTIONS(15063), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623261] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15460), 1,
      anon_sym_DQUOTE,
    STATE(12295), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17296), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [623302] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623339] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(15045), 1,
      anon_sym_COMMA,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    ACTIONS(15057), 1,
      sym_rel_operator,
    ACTIONS(15059), 1,
      sym_and_operator,
    ACTIONS(15061), 1,
      sym_or_operator,
    ACTIONS(15063), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623392] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      sym_pow_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623427] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15462), 1,
      anon_sym_DQUOTE,
    STATE(12299), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18880), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [623468] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15464), 1,
      anon_sym_SEMI,
    ACTIONS(15466), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12300), 1,
      sym_attribute,
    STATE(15471), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623523] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15468), 1,
      anon_sym_DQUOTE,
    STATE(12301), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17699), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [623564] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15139), 1,
      anon_sym_PIPE,
    STATE(12102), 1,
      aux_sym__match_cases_repeat1,
    STATE(12302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623599] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15470), 1,
      anon_sym_RBRACK,
    ACTIONS(15472), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12303), 1,
      sym_attribute,
    STATE(15317), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623654] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15474), 1,
      anon_sym_SEMI,
    ACTIONS(15476), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12304), 1,
      sym_attribute,
    STATE(14940), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623709] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15478), 1,
      anon_sym_SEMI,
    ACTIONS(15480), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12305), 1,
      sym_attribute,
    STATE(15568), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623764] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15482), 1,
      anon_sym_SEMI,
    ACTIONS(15484), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12306), 1,
      sym_attribute,
    STATE(15345), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623819] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15486), 1,
      anon_sym_RBRACK,
    ACTIONS(15488), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12307), 1,
      sym_attribute,
    STATE(15358), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623874] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15490), 1,
      anon_sym_SEMI,
    ACTIONS(15492), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12308), 1,
      sym_attribute,
    STATE(15188), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623929] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_PIPE,
    STATE(12309), 1,
      sym_attribute,
    STATE(12365), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623964] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    ACTIONS(14973), 1,
      sym_rel_operator,
    ACTIONS(14975), 1,
      sym_and_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [624011] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(15045), 1,
      anon_sym_COMMA,
    ACTIONS(15049), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15051), 1,
      sym_pow_operator,
    ACTIONS(15053), 1,
      sym_mult_operator,
    ACTIONS(15055), 1,
      sym_concat_operator,
    ACTIONS(15057), 1,
      sym_rel_operator,
    ACTIONS(15059), 1,
      sym_and_operator,
    ACTIONS(15061), 1,
      sym_or_operator,
    ACTIONS(15063), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(12311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624064] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_COMMA,
    ACTIONS(14891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14893), 1,
      sym_pow_operator,
    ACTIONS(14895), 1,
      sym_mult_operator,
    ACTIONS(14897), 1,
      sym_concat_operator,
    ACTIONS(14899), 1,
      sym_rel_operator,
    ACTIONS(14901), 1,
      sym_and_operator,
    ACTIONS(14903), 1,
      sym_or_operator,
    ACTIONS(14905), 1,
      sym_assign_operator,
    ACTIONS(15494), 1,
      anon_sym_SEMI,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624117] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    ACTIONS(14973), 1,
      sym_rel_operator,
    ACTIONS(14975), 1,
      sym_and_operator,
    ACTIONS(14977), 1,
      sym_or_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [624166] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15496), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(12314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624201] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15498), 1,
      anon_sym_RBRACK,
    ACTIONS(15500), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12315), 1,
      sym_attribute,
    STATE(15787), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624256] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    ACTIONS(15400), 1,
      sym_rel_operator,
    ACTIONS(15402), 1,
      sym_and_operator,
    ACTIONS(15404), 1,
      sym_or_operator,
    ACTIONS(15406), 1,
      anon_sym_COMMA,
    ACTIONS(15408), 1,
      sym_assign_operator,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [624307] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15502), 1,
      anon_sym_SEMI,
    ACTIONS(15504), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12317), 1,
      sym_attribute,
    STATE(15202), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624362] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15506), 1,
      anon_sym_RBRACK,
    ACTIONS(15508), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12318), 1,
      sym_attribute,
    STATE(15091), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624417] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624450] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15510), 1,
      anon_sym_DQUOTE,
    STATE(12320), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18904), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [624491] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(14963), 1,
      anon_sym_COMMA,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    ACTIONS(14973), 1,
      sym_rel_operator,
    ACTIONS(14975), 1,
      sym_and_operator,
    ACTIONS(14977), 1,
      sym_or_operator,
    ACTIONS(14979), 1,
      sym_assign_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624544] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15512), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12322), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624577] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    ACTIONS(15523), 1,
      sym_rel_operator,
    ACTIONS(15525), 1,
      sym_and_operator,
    ACTIONS(15527), 1,
      sym_or_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [624626] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624667] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14949), 1,
      anon_sym_COLON2,
    ACTIONS(15529), 1,
      anon_sym_COLON_GT,
    ACTIONS(15531), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12325), 1,
      sym_attribute,
    STATE(12624), 1,
      sym__typed,
    STATE(12798), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15533), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624710] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_end,
    ACTIONS(8918), 1,
      anon_sym_PIPE,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    ACTIONS(15523), 1,
      sym_rel_operator,
    ACTIONS(15525), 1,
      sym_and_operator,
    ACTIONS(15527), 1,
      sym_or_operator,
    ACTIONS(15535), 1,
      anon_sym_COMMA,
    ACTIONS(15537), 1,
      anon_sym_SEMI,
    ACTIONS(15539), 1,
      sym_assign_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624765] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      sym_pow_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [624800] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      sym_pow_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [624835] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15541), 1,
      anon_sym_RBRACK,
    ACTIONS(15543), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12329), 1,
      sym_attribute,
    STATE(15104), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624890] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [624933] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12764), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12913), 1,
      anon_sym_STAR,
    STATE(12331), 1,
      sym_attribute,
    STATE(12367), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12762), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624968] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [625011] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    ACTIONS(15523), 1,
      sym_rel_operator,
    ACTIONS(15525), 1,
      sym_and_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [625058] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15545), 1,
      anon_sym_DQUOTE,
    STATE(12334), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17543), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625099] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15547), 1,
      anon_sym_DQUOTE,
    STATE(12335), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19487), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625140] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15549), 1,
      anon_sym_RBRACK,
    ACTIONS(15551), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12336), 1,
      sym_attribute,
    STATE(15144), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625195] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625228] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15553), 1,
      anon_sym_DQUOTE,
    STATE(12338), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17518), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625269] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      sym_pow_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625304] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15555), 1,
      anon_sym_DQUOTE,
    STATE(12340), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18604), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625345] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15329), 1,
      anon_sym_LPAREN,
    STATE(12341), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10590), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [625384] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15496), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625419] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15557), 1,
      anon_sym_RBRACK,
    ACTIONS(15559), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12343), 1,
      sym_attribute,
    STATE(15882), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625474] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15561), 1,
      anon_sym_SEMI,
    ACTIONS(15563), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12344), 1,
      sym_attribute,
    STATE(15209), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625529] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    ACTIONS(15523), 1,
      sym_rel_operator,
    ACTIONS(15525), 1,
      sym_and_operator,
    ACTIONS(15527), 1,
      sym_or_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [625578] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15023), 1,
      anon_sym_else,
    STATE(7767), 1,
      sym_else_clause,
    STATE(12346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10099), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10097), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625613] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15565), 1,
      anon_sym_SEMI,
    ACTIONS(15567), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12347), 1,
      sym_attribute,
    STATE(15837), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625668] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      anon_sym_PIPE,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    ACTIONS(15523), 1,
      sym_rel_operator,
    ACTIONS(15525), 1,
      sym_and_operator,
    ACTIONS(15527), 1,
      sym_or_operator,
    ACTIONS(15535), 1,
      anon_sym_COMMA,
    ACTIONS(15539), 1,
      sym_assign_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625721] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625758] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    ACTIONS(15523), 1,
      sym_rel_operator,
    ACTIONS(15525), 1,
      sym_and_operator,
    ACTIONS(15527), 1,
      sym_or_operator,
    ACTIONS(15535), 1,
      anon_sym_COMMA,
    ACTIONS(15539), 1,
      sym_assign_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625811] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15151), 1,
      anon_sym_PIPE,
    STATE(12351), 1,
      sym_attribute,
    STATE(12355), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10115), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10051), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625877] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15569), 1,
      anon_sym_SEMI,
    ACTIONS(15571), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12353), 1,
      sym_attribute,
    STATE(16030), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625932] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15573), 1,
      anon_sym_RBRACK,
    ACTIONS(15575), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12354), 1,
      sym_attribute,
    STATE(14928), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625987] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15577), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12355), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626020] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10055), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10053), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10059), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10057), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626082] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8006), 1,
      anon_sym_let,
    STATE(12359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626150] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10105), 1,
      anon_sym_PIPE,
    ACTIONS(15515), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15517), 1,
      sym_pow_operator,
    ACTIONS(15519), 1,
      sym_mult_operator,
    ACTIONS(15521), 1,
      sym_concat_operator,
    ACTIONS(15523), 1,
      sym_rel_operator,
    ACTIONS(15525), 1,
      sym_and_operator,
    ACTIONS(15527), 1,
      sym_or_operator,
    ACTIONS(15535), 1,
      anon_sym_COMMA,
    ACTIONS(15539), 1,
      sym_assign_operator,
    STATE(2334), 1,
      sym_add_operator,
    STATE(12360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626203] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10069), 1,
      anon_sym_PIPE,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    ACTIONS(14937), 1,
      sym_rel_operator,
    ACTIONS(14939), 1,
      sym_and_operator,
    ACTIONS(14941), 1,
      sym_or_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [626252] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10091), 1,
      anon_sym_PIPE,
    ACTIONS(14963), 1,
      anon_sym_COMMA,
    ACTIONS(14965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14967), 1,
      sym_pow_operator,
    ACTIONS(14969), 1,
      sym_mult_operator,
    ACTIONS(14971), 1,
      sym_concat_operator,
    ACTIONS(14973), 1,
      sym_rel_operator,
    ACTIONS(14975), 1,
      sym_and_operator,
    ACTIONS(14977), 1,
      sym_or_operator,
    ACTIONS(14979), 1,
      sym_assign_operator,
    STATE(2281), 1,
      sym_add_operator,
    STATE(12362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626305] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15151), 1,
      anon_sym_PIPE,
    STATE(12101), 1,
      aux_sym__match_cases_repeat1,
    STATE(12363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10136), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626340] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_DQUOTE,
    STATE(12364), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17929), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626381] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15582), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12365), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10051), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10049), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626414] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15585), 1,
      anon_sym_DQUOTE,
    STATE(12366), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(18452), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15587), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12367), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(11811), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626488] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [626531] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10087), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626572] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14931), 1,
      sym_pow_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [626607] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15590), 1,
      anon_sym_SEMI,
    ACTIONS(15592), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12371), 1,
      sym_attribute,
    STATE(15572), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626662] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15594), 1,
      anon_sym_RBRACK,
    ACTIONS(15596), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12372), 1,
      sym_attribute,
    STATE(16218), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626717] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11702), 1,
      anon_sym_COLON2,
    STATE(12373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [626750] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2374), 1,
      sym_add_operator,
    STATE(12374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626783] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [626826] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15598), 1,
      anon_sym_DQUOTE,
    STATE(12376), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19321), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626867] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15392), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15394), 1,
      sym_pow_operator,
    ACTIONS(15396), 1,
      sym_mult_operator,
    ACTIONS(15398), 1,
      sym_concat_operator,
    ACTIONS(15400), 1,
      sym_rel_operator,
    ACTIONS(15402), 1,
      sym_and_operator,
    ACTIONS(15404), 1,
      sym_or_operator,
    ACTIONS(15406), 1,
      anon_sym_COMMA,
    ACTIONS(15408), 1,
      sym_assign_operator,
    ACTIONS(15600), 1,
      anon_sym_SEMI,
    STATE(1818), 1,
      sym_add_operator,
    STATE(12377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8916), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626920] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15602), 1,
      anon_sym_SEMI,
    ACTIONS(15604), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12378), 1,
      sym_attribute,
    STATE(15615), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626975] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15606), 1,
      anon_sym_SEMI,
    ACTIONS(15608), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12379), 1,
      sym_attribute,
    STATE(14833), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627030] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15610), 1,
      anon_sym_RBRACK,
    ACTIONS(15612), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12380), 1,
      sym_attribute,
    STATE(15400), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627085] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15614), 1,
      anon_sym_DQUOTE,
    STATE(12381), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19621), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627126] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15616), 1,
      anon_sym_DQUOTE,
    STATE(12382), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(20117), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14880), 1,
      anon_sym_let,
    STATE(12383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14878), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627198] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15618), 1,
      anon_sym_RBRACK,
    ACTIONS(15620), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12384), 1,
      sym_attribute,
    STATE(15571), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627253] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15622), 1,
      anon_sym_RBRACK,
    ACTIONS(15624), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12385), 1,
      sym_attribute,
    STATE(15966), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627308] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15626), 1,
      anon_sym_SEMI,
    ACTIONS(15628), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12386), 1,
      sym_attribute,
    STATE(15407), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627363] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15630), 1,
      anon_sym_RBRACK,
    ACTIONS(15632), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12387), 1,
      sym_attribute,
    STATE(15175), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627418] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15634), 1,
      anon_sym_DQUOTE,
    STATE(12388), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(19670), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627459] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15636), 1,
      anon_sym_RBRACK,
    ACTIONS(15638), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12389), 1,
      sym_attribute,
    STATE(15778), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627514] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15640), 1,
      anon_sym_SEMI,
    ACTIONS(15642), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12390), 1,
      sym_attribute,
    STATE(15976), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627569] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15095), 1,
      anon_sym_COMMA,
    ACTIONS(15097), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15099), 1,
      sym_pow_operator,
    ACTIONS(15101), 1,
      sym_mult_operator,
    ACTIONS(15103), 1,
      sym_concat_operator,
    ACTIONS(15105), 1,
      sym_rel_operator,
    ACTIONS(15107), 1,
      sym_and_operator,
    ACTIONS(15109), 1,
      sym_or_operator,
    ACTIONS(15111), 1,
      sym_assign_operator,
    STATE(2393), 1,
      sym_add_operator,
    STATE(12391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10146), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [627620] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14931), 1,
      sym_pow_operator,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10029), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [627655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_as,
    ACTIONS(14917), 1,
      anon_sym_DASH_GT,
    ACTIONS(15029), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15025), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627690] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    ACTIONS(15644), 1,
      anon_sym_SEMI,
    ACTIONS(15646), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12394), 1,
      sym_attribute,
    STATE(15189), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627745] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15207), 1,
      anon_sym_else,
    STATE(7914), 1,
      sym_else_clause,
    STATE(12395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10128), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10126), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627780] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15648), 1,
      anon_sym_RBRACK,
    ACTIONS(15650), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12396), 1,
      sym_attribute,
    STATE(15051), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627835] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15652), 1,
      anon_sym_DQUOTE,
    STATE(12397), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_string_content_repeat1,
    STATE(12665), 1,
      sym_escape_sequence,
    STATE(17481), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15656), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15654), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627906] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15658), 1,
      anon_sym_and,
    STATE(12399), 1,
      sym_attribute,
    STATE(12598), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627938] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15660), 1,
      anon_sym_and,
    STATE(12400), 1,
      sym_attribute,
    STATE(12469), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14689), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627970] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15662), 1,
      anon_sym_and,
    STATE(12401), 1,
      sym_attribute,
    STATE(12440), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11252), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11250), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628032] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2561), 1,
      anon_sym_LBRACK,
    ACTIONS(2571), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2583), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15664), 1,
      sym__identifier,
    ACTIONS(15666), 1,
      anon_sym_LPAREN,
    ACTIONS(15668), 1,
      anon_sym_LBRACE,
    ACTIONS(15670), 1,
      sym__capitalized_identifier,
    STATE(6702), 1,
      sym__value_name,
    STATE(6856), 1,
      sym_parenthesized_operator,
    STATE(6949), 1,
      sym__constructor_name,
    STATE(12403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6701), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [628080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11200), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11198), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628110] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15660), 1,
      anon_sym_and,
    STATE(12405), 1,
      sym_attribute,
    STATE(12478), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11204), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11202), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8054), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628202] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628236] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628270] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [628312] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [628354] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15680), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628404] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      sym_or_operator,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    ACTIONS(15682), 1,
      sym_rel_operator,
    ACTIONS(15684), 1,
      sym_and_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [628450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11208), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11206), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628480] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    ACTIONS(15682), 1,
      sym_rel_operator,
    ACTIONS(15684), 1,
      sym_and_operator,
    ACTIONS(15686), 1,
      sym_or_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [628526] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    ACTIONS(15682), 1,
      sym_rel_operator,
    ACTIONS(15684), 1,
      sym_and_operator,
    ACTIONS(15686), 1,
      sym_or_operator,
    ACTIONS(15688), 1,
      anon_sym_COMMA,
    ACTIONS(15690), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628576] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15676), 1,
      sym_mult_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8058), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628642] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14981), 1,
      anon_sym_COMMA,
    ACTIONS(14985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14989), 1,
      sym_pow_operator,
    ACTIONS(14991), 1,
      sym_mult_operator,
    ACTIONS(14993), 1,
      sym_concat_operator,
    ACTIONS(14995), 1,
      sym_rel_operator,
    ACTIONS(14997), 1,
      sym_and_operator,
    ACTIONS(14999), 1,
      sym_or_operator,
    ACTIONS(15001), 1,
      sym_assign_operator,
    STATE(2209), 1,
      sym_add_operator,
    STATE(12419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15680), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9032), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628722] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    ACTIONS(15682), 1,
      sym_rel_operator,
    ACTIONS(15684), 1,
      sym_and_operator,
    ACTIONS(15686), 1,
      sym_or_operator,
    ACTIONS(15688), 1,
      anon_sym_COMMA,
    ACTIONS(15690), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628772] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    ACTIONS(15700), 1,
      sym_rel_operator,
    ACTIONS(15702), 1,
      sym_and_operator,
    ACTIONS(15704), 1,
      sym_or_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [628818] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1187), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1199), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15706), 1,
      sym__identifier,
    ACTIONS(15708), 1,
      anon_sym_LPAREN,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    ACTIONS(15712), 1,
      sym__capitalized_identifier,
    STATE(5304), 1,
      sym__constructor_name,
    STATE(5332), 1,
      sym_parenthesized_operator,
    STATE(5343), 1,
      sym__value_name,
    STATE(12423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5313), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [628866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11256), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11254), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11210), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8062), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11260), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11258), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [628986] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(8208), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(15714), 1,
      sym__identifier,
    ACTIONS(15716), 1,
      anon_sym_let,
    ACTIONS(15718), 1,
      anon_sym_LBRACK,
    STATE(9649), 1,
      sym__simple_class_type,
    STATE(12428), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [629032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(8066), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [629062] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(545), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(557), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15720), 1,
      sym__identifier,
    ACTIONS(15722), 1,
      anon_sym_LPAREN,
    ACTIONS(15724), 1,
      anon_sym_LBRACE,
    ACTIONS(15726), 1,
      sym__capitalized_identifier,
    STATE(4113), 1,
      sym__value_name,
    STATE(4121), 1,
      sym_parenthesized_operator,
    STATE(4183), 1,
      sym__constructor_name,
    STATE(12430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4076), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [629110] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9664), 1,
      anon_sym_let,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(15728), 1,
      sym__identifier,
    ACTIONS(15730), 1,
      anon_sym_LBRACK,
    STATE(9649), 1,
      sym__simple_class_type,
    STATE(12431), 1,
      sym_attribute,
    STATE(16422), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [629156] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_and,
    STATE(12432), 1,
      sym_attribute,
    STATE(12538), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14689), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629188] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15734), 1,
      anon_sym_and,
    STATE(12433), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14748), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629220] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2387), 1,
      anon_sym_LBRACK,
    ACTIONS(2397), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2409), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15736), 1,
      sym__identifier,
    ACTIONS(15738), 1,
      anon_sym_LPAREN,
    ACTIONS(15740), 1,
      anon_sym_LBRACE,
    ACTIONS(15742), 1,
      sym__capitalized_identifier,
    STATE(6219), 1,
      sym__constructor_name,
    STATE(6291), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__value_name,
    STATE(12434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6146), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [629268] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_and,
    STATE(12435), 1,
      sym_attribute,
    STATE(12540), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629300] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6799), 1,
      anon_sym_LBRACK,
    ACTIONS(6807), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6811), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15744), 1,
      sym__identifier,
    ACTIONS(15746), 1,
      anon_sym_LPAREN,
    ACTIONS(15748), 1,
      anon_sym_LBRACE,
    ACTIONS(15750), 1,
      sym__capitalized_identifier,
    STATE(7623), 1,
      sym__constructor_name,
    STATE(7653), 1,
      sym_parenthesized_operator,
    STATE(7820), 1,
      sym__value_name,
    STATE(12436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7667), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [629348] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8190), 1,
      anon_sym_LBRACK,
    ACTIONS(8198), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8202), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15752), 1,
      sym__identifier,
    ACTIONS(15754), 1,
      anon_sym_LPAREN,
    ACTIONS(15756), 1,
      anon_sym_LBRACE,
    ACTIONS(15758), 1,
      sym__capitalized_identifier,
    STATE(7159), 1,
      sym__constructor_name,
    STATE(7236), 1,
      sym_parenthesized_operator,
    STATE(7271), 1,
      sym__value_name,
    STATE(12437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7133), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [629396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15760), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12438), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14323), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629426] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_done,
    ACTIONS(14925), 1,
      anon_sym_COMMA,
    ACTIONS(14929), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14931), 1,
      sym_pow_operator,
    ACTIONS(14933), 1,
      sym_mult_operator,
    ACTIONS(14935), 1,
      sym_concat_operator,
    ACTIONS(14937), 1,
      sym_rel_operator,
    ACTIONS(14939), 1,
      sym_and_operator,
    ACTIONS(14941), 1,
      sym_or_operator,
    ACTIONS(14943), 1,
      sym_assign_operator,
    ACTIONS(15763), 1,
      anon_sym_SEMI,
    STATE(1916), 1,
      sym_add_operator,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629478] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15662), 1,
      anon_sym_and,
    STATE(12438), 1,
      aux_sym_class_definition_repeat1,
    STATE(12440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14603), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629510] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10087), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629550] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7521), 1,
      anon_sym_LBRACK,
    ACTIONS(7529), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7533), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15765), 1,
      sym__identifier,
    ACTIONS(15767), 1,
      anon_sym_LPAREN,
    ACTIONS(15769), 1,
      anon_sym_LBRACE,
    ACTIONS(15771), 1,
      sym__capitalized_identifier,
    STATE(8025), 1,
      sym__constructor_name,
    STATE(8849), 1,
      sym__value_name,
    STATE(8985), 1,
      sym_parenthesized_operator,
    STATE(12442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9114), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [629598] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      sym_pow_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15656), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15654), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11276), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11274), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [629692] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15662), 1,
      anon_sym_and,
    STATE(12446), 1,
      sym_attribute,
    STATE(12603), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14748), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629724] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      sym_pow_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629758] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15773), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629808] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_end,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    ACTIONS(15700), 1,
      sym_rel_operator,
    ACTIONS(15702), 1,
      sym_and_operator,
    ACTIONS(15704), 1,
      sym_or_operator,
    ACTIONS(15775), 1,
      anon_sym_COMMA,
    ACTIONS(15777), 1,
      anon_sym_SEMI,
    ACTIONS(15779), 1,
      sym_assign_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629860] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    ACTIONS(15700), 1,
      sym_rel_operator,
    ACTIONS(15702), 1,
      sym_and_operator,
    ACTIONS(15704), 1,
      sym_or_operator,
    ACTIONS(15775), 1,
      anon_sym_COMMA,
    ACTIONS(15779), 1,
      sym_assign_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629910] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2839), 1,
      anon_sym_LBRACK,
    ACTIONS(2849), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2861), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15781), 1,
      sym__identifier,
    ACTIONS(15783), 1,
      anon_sym_LPAREN,
    ACTIONS(15785), 1,
      anon_sym_LBRACE,
    ACTIONS(15787), 1,
      sym__capitalized_identifier,
    STATE(6583), 1,
      sym_parenthesized_operator,
    STATE(6835), 1,
      sym__value_name,
    STATE(7127), 1,
      sym__constructor_name,
    STATE(12451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6833), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [629958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11248), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11246), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [629988] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_with,
    ACTIONS(15789), 1,
      anon_sym_COMMA,
    ACTIONS(15791), 1,
      anon_sym_SEMI,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    ACTIONS(15801), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      sym_and_operator,
    ACTIONS(15805), 1,
      sym_or_operator,
    ACTIONS(15807), 1,
      sym_assign_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630040] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_then,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    ACTIONS(15682), 1,
      sym_rel_operator,
    ACTIONS(15684), 1,
      sym_and_operator,
    ACTIONS(15686), 1,
      sym_or_operator,
    ACTIONS(15688), 1,
      anon_sym_COMMA,
    ACTIONS(15690), 1,
      sym_assign_operator,
    ACTIONS(15809), 1,
      anon_sym_SEMI,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630092] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(591), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15811), 1,
      sym__identifier,
    ACTIONS(15813), 1,
      anon_sym_LPAREN,
    ACTIONS(15815), 1,
      anon_sym_LBRACE,
    ACTIONS(15817), 1,
      sym__capitalized_identifier,
    STATE(2929), 1,
      sym__value_name,
    STATE(3031), 1,
      sym_parenthesized_operator,
    STATE(3248), 1,
      sym__constructor_name,
    STATE(12455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3367), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [630140] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15819), 1,
      anon_sym_DQUOTE,
    STATE(12665), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15824), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(12456), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(15827), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15821), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [630176] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12742), 1,
      sym_rel_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15830), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630226] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15714), 1,
      sym__identifier,
    ACTIONS(15718), 1,
      anon_sym_LBRACK,
    STATE(10466), 1,
      sym__simple_class_type,
    STATE(12458), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [630272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7645), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15832), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630302] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_LBRACK,
    ACTIONS(5613), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5617), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15834), 1,
      sym__identifier,
    ACTIONS(15836), 1,
      anon_sym_LPAREN,
    ACTIONS(15838), 1,
      anon_sym_LBRACE,
    ACTIONS(15840), 1,
      sym__capitalized_identifier,
    STATE(5909), 1,
      sym_parenthesized_operator,
    STATE(5924), 1,
      sym__constructor_name,
    STATE(5989), 1,
      sym__value_name,
    STATE(12460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5948), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [630350] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(481), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(493), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15842), 1,
      sym__identifier,
    ACTIONS(15844), 1,
      anon_sym_LPAREN,
    ACTIONS(15846), 1,
      anon_sym_LBRACE,
    ACTIONS(15848), 1,
      sym__capitalized_identifier,
    STATE(3159), 1,
      sym__value_name,
    STATE(3261), 1,
      sym_parenthesized_operator,
    STATE(3301), 1,
      sym__constructor_name,
    STATE(12461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3113), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [630398] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14754), 1,
      sym__identifier,
    ACTIONS(15850), 1,
      anon_sym_nonrec,
    STATE(12405), 1,
      sym_type_binding,
    STATE(12462), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14768), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19920), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [630452] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(15852), 1,
      sym__identifier,
    ACTIONS(15854), 1,
      anon_sym_POUND,
    STATE(12463), 1,
      sym_attribute,
    STATE(12663), 1,
      sym_type_constructor_path,
    STATE(16798), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10842), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [630492] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(827), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(839), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15856), 1,
      sym__identifier,
    ACTIONS(15858), 1,
      anon_sym_LPAREN,
    ACTIONS(15860), 1,
      anon_sym_LBRACE,
    ACTIONS(15862), 1,
      sym__capitalized_identifier,
    STATE(3928), 1,
      sym_parenthesized_operator,
    STATE(3961), 1,
      sym__constructor_name,
    STATE(3999), 1,
      sym__value_name,
    STATE(12464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3994), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [630540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11178), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630570] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15864), 1,
      anon_sym_DQUOTE,
    STATE(12456), 1,
      aux_sym_string_content_repeat1,
    STATE(12466), 1,
      sym_attribute,
    STATE(12665), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14911), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(14913), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(14909), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [630608] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630642] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(15852), 1,
      sym__identifier,
    ACTIONS(15868), 1,
      anon_sym_POUND,
    STATE(12468), 1,
      sym_attribute,
    STATE(12668), 1,
      sym_type_constructor_path,
    STATE(16798), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10872), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [630682] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15660), 1,
      anon_sym_and,
    STATE(12469), 1,
      sym_attribute,
    STATE(12480), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630714] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2227), 1,
      anon_sym_LBRACK,
    ACTIONS(2237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15870), 1,
      sym__identifier,
    ACTIONS(15872), 1,
      anon_sym_LPAREN,
    ACTIONS(15874), 1,
      anon_sym_LBRACE,
    ACTIONS(15876), 1,
      sym__capitalized_identifier,
    STATE(6170), 1,
      sym__value_name,
    STATE(6246), 1,
      sym_parenthesized_operator,
    STATE(6273), 1,
      sym__constructor_name,
    STATE(12470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6123), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [630762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15025), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630792] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    ACTIONS(1239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1251), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15878), 1,
      sym__identifier,
    ACTIONS(15880), 1,
      anon_sym_LPAREN,
    ACTIONS(15882), 1,
      anon_sym_LBRACE,
    ACTIONS(15884), 1,
      sym__capitalized_identifier,
    STATE(5091), 1,
      sym__value_name,
    STATE(5108), 1,
      sym__constructor_name,
    STATE(5175), 1,
      sym_parenthesized_operator,
    STATE(12472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5090), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [630840] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630874] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1283), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15886), 1,
      sym__identifier,
    ACTIONS(15888), 1,
      anon_sym_LPAREN,
    ACTIONS(15890), 1,
      anon_sym_LBRACE,
    ACTIONS(15892), 1,
      sym__capitalized_identifier,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5608), 1,
      sym__value_name,
    STATE(5617), 1,
      sym_parenthesized_operator,
    STATE(12474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5651), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [630922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11264), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11262), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [630952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15894), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12476), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(14323), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630982] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15734), 1,
      anon_sym_and,
    STATE(12476), 1,
      aux_sym_class_definition_repeat1,
    STATE(12477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14603), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631014] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15660), 1,
      anon_sym_and,
    STATE(12478), 1,
      sym_attribute,
    STATE(12480), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14611), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631046] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [631088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15903), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12480), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14374), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631118] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15906), 1,
      anon_sym_EQ,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12481), 1,
      sym_attribute,
    STATE(12814), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15910), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631158] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15660), 1,
      anon_sym_and,
    STATE(12482), 1,
      sym_attribute,
    STATE(12488), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14611), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631190] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6193), 1,
      anon_sym_LBRACK,
    ACTIONS(6201), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6205), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15914), 1,
      sym__identifier,
    ACTIONS(15916), 1,
      anon_sym_LPAREN,
    ACTIONS(15918), 1,
      anon_sym_LBRACE,
    ACTIONS(15920), 1,
      sym__capitalized_identifier,
    STATE(6584), 1,
      sym__constructor_name,
    STATE(6717), 1,
      sym__value_name,
    STATE(6965), 1,
      sym_parenthesized_operator,
    STATE(12483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6656), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631238] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15734), 1,
      anon_sym_and,
    STATE(12476), 1,
      aux_sym_class_definition_repeat1,
    STATE(12484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631270] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15714), 1,
      sym__identifier,
    ACTIONS(15718), 1,
      anon_sym_LBRACK,
    STATE(10494), 1,
      sym__simple_class_type,
    STATE(12485), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [631316] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15734), 1,
      anon_sym_and,
    STATE(12477), 1,
      aux_sym_class_definition_repeat1,
    STATE(12486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631348] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_do,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    ACTIONS(15922), 1,
      anon_sym_COMMA,
    ACTIONS(15924), 1,
      anon_sym_SEMI,
    ACTIONS(15926), 1,
      sym_rel_operator,
    ACTIONS(15928), 1,
      sym_and_operator,
    ACTIONS(15930), 1,
      sym_or_operator,
    ACTIONS(15932), 1,
      sym_assign_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631400] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15660), 1,
      anon_sym_and,
    STATE(12480), 1,
      aux_sym_type_definition_repeat1,
    STATE(12488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14678), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631432] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15934), 1,
      sym__identifier,
    ACTIONS(15936), 1,
      anon_sym_LPAREN,
    ACTIONS(15938), 1,
      anon_sym_LBRACE,
    ACTIONS(15940), 1,
      sym__capitalized_identifier,
    STATE(6703), 1,
      sym__constructor_name,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7176), 1,
      sym__value_name,
    STATE(12489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7164), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631480] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1125), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1147), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15942), 1,
      sym__identifier,
    ACTIONS(15944), 1,
      anon_sym_LPAREN,
    ACTIONS(15946), 1,
      anon_sym_LBRACE,
    ACTIONS(15948), 1,
      sym__capitalized_identifier,
    STATE(4965), 1,
      sym__value_name,
    STATE(4980), 1,
      sym_parenthesized_operator,
    STATE(5023), 1,
      sym__constructor_name,
    STATE(12490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4942), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631528] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    ACTIONS(15922), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_rel_operator,
    ACTIONS(15928), 1,
      sym_and_operator,
    ACTIONS(15930), 1,
      sym_or_operator,
    ACTIONS(15932), 1,
      sym_assign_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631578] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_and,
    STATE(12492), 1,
      sym_attribute,
    STATE(12579), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14678), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631610] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      sym_or_operator,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    ACTIONS(15926), 1,
      sym_rel_operator,
    ACTIONS(15928), 1,
      sym_and_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [631656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11214), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631686] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15934), 1,
      sym__identifier,
    ACTIONS(15938), 1,
      anon_sym_LBRACE,
    ACTIONS(15940), 1,
      sym__capitalized_identifier,
    ACTIONS(15950), 1,
      anon_sym_LPAREN,
    STATE(6703), 1,
      sym__constructor_name,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7176), 1,
      sym__value_name,
    STATE(12495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7164), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11140), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11138), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11218), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11222), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [631824] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    ACTIONS(15926), 1,
      sym_rel_operator,
    ACTIONS(15928), 1,
      sym_and_operator,
    ACTIONS(15930), 1,
      sym_or_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [631870] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [631906] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_with,
    ACTIONS(15789), 1,
      anon_sym_COMMA,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    ACTIONS(15801), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      sym_and_operator,
    ACTIONS(15805), 1,
      sym_or_operator,
    ACTIONS(15807), 1,
      sym_assign_operator,
    ACTIONS(15952), 1,
      anon_sym_SEMI,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [631990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15025), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632020] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8918), 1,
      anon_sym_DASH_GT,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    ACTIONS(15954), 1,
      anon_sym_SEMI,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632072] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    ACTIONS(15922), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_rel_operator,
    ACTIONS(15928), 1,
      sym_and_operator,
    ACTIONS(15930), 1,
      sym_or_operator,
    ACTIONS(15932), 1,
      sym_assign_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632122] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15714), 1,
      sym__identifier,
    ACTIONS(15718), 1,
      anon_sym_LBRACK,
    STATE(10612), 1,
      sym__simple_class_type,
    STATE(12506), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [632168] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15899), 1,
      sym_mult_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [632204] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2745), 1,
      anon_sym_LBRACK,
    ACTIONS(2755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2767), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15956), 1,
      sym__identifier,
    ACTIONS(15958), 1,
      anon_sym_LPAREN,
    ACTIONS(15960), 1,
      anon_sym_LBRACE,
    ACTIONS(15962), 1,
      sym__capitalized_identifier,
    STATE(6898), 1,
      sym__constructor_name,
    STATE(7009), 1,
      sym__value_name,
    STATE(7057), 1,
      sym_parenthesized_operator,
    STATE(12508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7099), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632252] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1587), 1,
      anon_sym_LBRACK,
    ACTIONS(1597), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15964), 1,
      sym__identifier,
    ACTIONS(15966), 1,
      anon_sym_LPAREN,
    ACTIONS(15968), 1,
      anon_sym_LBRACE,
    ACTIONS(15970), 1,
      sym__capitalized_identifier,
    STATE(6305), 1,
      sym_parenthesized_operator,
    STATE(6390), 1,
      sym__constructor_name,
    STATE(6512), 1,
      sym__value_name,
    STATE(12509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6433), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632300] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2017), 1,
      anon_sym_LBRACK,
    ACTIONS(2027), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2039), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15972), 1,
      sym__identifier,
    ACTIONS(15974), 1,
      anon_sym_LPAREN,
    ACTIONS(15976), 1,
      anon_sym_LBRACE,
    ACTIONS(15978), 1,
      sym__capitalized_identifier,
    STATE(6183), 1,
      sym_parenthesized_operator,
    STATE(6416), 1,
      sym__value_name,
    STATE(6513), 1,
      sym__constructor_name,
    STATE(12510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6331), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632348] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6293), 1,
      anon_sym_LBRACK,
    ACTIONS(6301), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6305), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15980), 1,
      sym__identifier,
    ACTIONS(15982), 1,
      anon_sym_LPAREN,
    ACTIONS(15984), 1,
      anon_sym_LBRACE,
    ACTIONS(15986), 1,
      sym__capitalized_identifier,
    STATE(6696), 1,
      sym_parenthesized_operator,
    STATE(6793), 1,
      sym__constructor_name,
    STATE(6985), 1,
      sym__value_name,
    STATE(12511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6896), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632396] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14772), 1,
      sym__identifier,
    ACTIONS(15988), 1,
      anon_sym_nonrec,
    STATE(11882), 1,
      sym_type_binding,
    STATE(12512), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19956), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [632450] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    ACTIONS(15700), 1,
      sym_rel_operator,
    ACTIONS(15702), 1,
      sym_and_operator,
    ACTIONS(15704), 1,
      sym_or_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [632496] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2623), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15990), 1,
      sym__identifier,
    ACTIONS(15992), 1,
      anon_sym_LPAREN,
    ACTIONS(15994), 1,
      anon_sym_LBRACE,
    ACTIONS(15996), 1,
      sym__capitalized_identifier,
    STATE(7023), 1,
      sym__value_name,
    STATE(7052), 1,
      sym__constructor_name,
    STATE(7108), 1,
      sym_parenthesized_operator,
    STATE(12514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7008), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632544] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(15998), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12515), 1,
      sym_attribute,
    STATE(12763), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16000), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632584] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [632626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11182), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11186), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632686] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [632728] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16002), 1,
      sym__identifier,
    ACTIONS(16004), 1,
      anon_sym_LPAREN,
    ACTIONS(16006), 1,
      anon_sym_LBRACE,
    ACTIONS(16008), 1,
      sym__capitalized_identifier,
    STATE(2722), 1,
      sym__value_name,
    STATE(2770), 1,
      sym_parenthesized_operator,
    STATE(2828), 1,
      sym__constructor_name,
    STATE(12520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(2868), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11190), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [632806] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2157), 1,
      anon_sym_LBRACK,
    ACTIONS(2167), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2179), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16010), 1,
      sym__identifier,
    ACTIONS(16012), 1,
      anon_sym_LPAREN,
    ACTIONS(16014), 1,
      anon_sym_LBRACE,
    ACTIONS(16016), 1,
      sym__capitalized_identifier,
    STATE(6124), 1,
      sym__value_name,
    STATE(6159), 1,
      sym__constructor_name,
    STATE(6236), 1,
      sym_parenthesized_operator,
    STATE(12522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6526), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632854] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5793), 1,
      anon_sym_LBRACK,
    ACTIONS(5801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5805), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16018), 1,
      sym__identifier,
    ACTIONS(16020), 1,
      anon_sym_LPAREN,
    ACTIONS(16022), 1,
      anon_sym_LBRACE,
    ACTIONS(16024), 1,
      sym__capitalized_identifier,
    STATE(5840), 1,
      sym__value_name,
    STATE(5877), 1,
      sym_parenthesized_operator,
    STATE(5990), 1,
      sym__constructor_name,
    STATE(12523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5811), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632902] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(643), 1,
      anon_sym_LBRACK,
    ACTIONS(653), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(665), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16026), 1,
      sym__identifier,
    ACTIONS(16028), 1,
      anon_sym_LPAREN,
    ACTIONS(16030), 1,
      anon_sym_LBRACE,
    ACTIONS(16032), 1,
      sym__capitalized_identifier,
    STATE(3055), 1,
      sym__constructor_name,
    STATE(3156), 1,
      sym__value_name,
    STATE(3427), 1,
      sym_parenthesized_operator,
    STATE(12524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3046), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632950] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_do,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    ACTIONS(15922), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_rel_operator,
    ACTIONS(15928), 1,
      sym_and_operator,
    ACTIONS(15930), 1,
      sym_or_operator,
    ACTIONS(15932), 1,
      sym_assign_operator,
    ACTIONS(16034), 1,
      anon_sym_SEMI,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633002] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16036), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12526), 1,
      sym_attribute,
    STATE(12913), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16038), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8687), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
      aux_sym_attribute_id_token1,
    ACTIONS(8685), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [633072] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [633104] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    ACTIONS(15922), 1,
      anon_sym_COMMA,
    ACTIONS(15926), 1,
      sym_rel_operator,
    ACTIONS(15928), 1,
      sym_and_operator,
    ACTIONS(15930), 1,
      sym_or_operator,
    ACTIONS(15932), 1,
      sym_assign_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633154] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15714), 1,
      sym__identifier,
    ACTIONS(15718), 1,
      anon_sym_LBRACK,
    STATE(9649), 1,
      sym__simple_class_type,
    STATE(12530), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [633200] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14641), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(16040), 1,
      anon_sym_nonrec,
    STATE(11696), 1,
      sym_type_binding,
    STATE(12531), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14455), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(17816), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [633254] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2693), 1,
      anon_sym_LBRACK,
    ACTIONS(2703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2715), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16042), 1,
      sym__identifier,
    ACTIONS(16044), 1,
      anon_sym_LPAREN,
    ACTIONS(16046), 1,
      anon_sym_LBRACE,
    ACTIONS(16048), 1,
      sym__capitalized_identifier,
    STATE(6605), 1,
      sym__value_name,
    STATE(6864), 1,
      sym__constructor_name,
    STATE(6945), 1,
      sym_parenthesized_operator,
    STATE(12532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7020), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11268), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11266), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [633332] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(925), 1,
      anon_sym_LBRACK,
    ACTIONS(935), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(955), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16050), 1,
      sym__identifier,
    ACTIONS(16052), 1,
      anon_sym_LPAREN,
    ACTIONS(16054), 1,
      anon_sym_LBRACE,
    ACTIONS(16056), 1,
      sym__capitalized_identifier,
    STATE(4757), 1,
      sym__value_name,
    STATE(4805), 1,
      sym_parenthesized_operator,
    STATE(4813), 1,
      sym__constructor_name,
    STATE(12534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4728), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633380] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_then,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    ACTIONS(15682), 1,
      sym_rel_operator,
    ACTIONS(15684), 1,
      sym_and_operator,
    ACTIONS(15686), 1,
      sym_or_operator,
    ACTIONS(15688), 1,
      anon_sym_COMMA,
    ACTIONS(15690), 1,
      sym_assign_operator,
    ACTIONS(16058), 1,
      anon_sym_SEMI,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633432] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(763), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(785), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16060), 1,
      sym__identifier,
    ACTIONS(16062), 1,
      anon_sym_LPAREN,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    ACTIONS(16066), 1,
      sym__capitalized_identifier,
    STATE(3499), 1,
      sym__constructor_name,
    STATE(3594), 1,
      sym__value_name,
    STATE(3623), 1,
      sym_parenthesized_operator,
    STATE(12536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3526), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633480] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    ACTIONS(15700), 1,
      sym_rel_operator,
    ACTIONS(15702), 1,
      sym_and_operator,
    ACTIONS(15704), 1,
      sym_or_operator,
    ACTIONS(15775), 1,
      anon_sym_COMMA,
    ACTIONS(15779), 1,
      sym_assign_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633530] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_and,
    STATE(12538), 1,
      sym_attribute,
    STATE(12579), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14512), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633562] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16068), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12539), 1,
      sym_attribute,
    STATE(12825), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16070), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633602] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_and,
    STATE(12540), 1,
      sym_attribute,
    STATE(12579), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14611), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633634] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1401), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1423), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16072), 1,
      sym__identifier,
    ACTIONS(16074), 1,
      anon_sym_LPAREN,
    ACTIONS(16076), 1,
      anon_sym_LBRACE,
    ACTIONS(16078), 1,
      sym__capitalized_identifier,
    STATE(5929), 1,
      sym_parenthesized_operator,
    STATE(6038), 1,
      sym__constructor_name,
    STATE(6078), 1,
      sym__value_name,
    STATE(12541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6052), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633682] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(697), 1,
      anon_sym_LBRACK,
    ACTIONS(707), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(719), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16080), 1,
      sym__identifier,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    ACTIONS(16084), 1,
      anon_sym_LBRACE,
    ACTIONS(16086), 1,
      sym__capitalized_identifier,
    STATE(3582), 1,
      sym__value_name,
    STATE(3584), 1,
      sym__constructor_name,
    STATE(3647), 1,
      sym_parenthesized_operator,
    STATE(12542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3481), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633730] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      sym_or_operator,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    ACTIONS(15700), 1,
      sym_rel_operator,
    ACTIONS(15702), 1,
      sym_and_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [633776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(9004), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [633806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11196), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11194), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [633836] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(8208), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(15714), 1,
      sym__identifier,
    ACTIONS(15716), 1,
      anon_sym_let,
    ACTIONS(15718), 1,
      anon_sym_LBRACK,
    STATE(12546), 1,
      sym_attribute,
    STATE(12981), 1,
      sym__simple_class_type,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [633882] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2087), 1,
      anon_sym_LBRACK,
    ACTIONS(2097), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2109), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16088), 1,
      sym__identifier,
    ACTIONS(16090), 1,
      anon_sym_LPAREN,
    ACTIONS(16092), 1,
      anon_sym_LBRACE,
    ACTIONS(16094), 1,
      sym__capitalized_identifier,
    STATE(6202), 1,
      sym_parenthesized_operator,
    STATE(6527), 1,
      sym__value_name,
    STATE(6569), 1,
      sym__constructor_name,
    STATE(12547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6413), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633930] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14762), 1,
      sym__identifier,
    ACTIONS(16096), 1,
      anon_sym_nonrec,
    STATE(12435), 1,
      sym_type_binding,
    STATE(12548), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14219), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19941), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [633984] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    ACTIONS(15926), 1,
      sym_rel_operator,
    ACTIONS(15928), 1,
      sym_and_operator,
    ACTIONS(15930), 1,
      sym_or_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [634030] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    ACTIONS(15801), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      sym_and_operator,
    ACTIONS(15805), 1,
      sym_or_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [634076] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(15852), 1,
      sym__identifier,
    ACTIONS(15868), 1,
      anon_sym_POUND,
    STATE(12551), 1,
      sym_attribute,
    STATE(12668), 1,
      sym_type_constructor_path,
    STATE(16798), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10836), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [634116] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_end,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    ACTIONS(15700), 1,
      sym_rel_operator,
    ACTIONS(15702), 1,
      sym_and_operator,
    ACTIONS(15704), 1,
      sym_or_operator,
    ACTIONS(15775), 1,
      anon_sym_COMMA,
    ACTIONS(15779), 1,
      sym_assign_operator,
    ACTIONS(16098), 1,
      anon_sym_SEMI,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11228), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11226), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [634230] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1083), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1095), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16100), 1,
      sym__identifier,
    ACTIONS(16102), 1,
      anon_sym_LPAREN,
    ACTIONS(16104), 1,
      anon_sym_LBRACE,
    ACTIONS(16106), 1,
      sym__capitalized_identifier,
    STATE(5092), 1,
      sym_parenthesized_operator,
    STATE(5146), 1,
      sym__constructor_name,
    STATE(5217), 1,
      sym__value_name,
    STATE(12555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5133), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [634278] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(333), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16108), 1,
      sym__identifier,
    ACTIONS(16110), 1,
      anon_sym_LPAREN,
    ACTIONS(16112), 1,
      anon_sym_LBRACE,
    ACTIONS(16114), 1,
      sym__capitalized_identifier,
    STATE(2719), 1,
      sym__value_name,
    STATE(2789), 1,
      sym__constructor_name,
    STATE(2854), 1,
      sym_parenthesized_operator,
    STATE(12556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(2692), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [634326] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(71), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(91), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16116), 1,
      sym__identifier,
    ACTIONS(16118), 1,
      anon_sym_LPAREN,
    ACTIONS(16120), 1,
      anon_sym_LBRACE,
    ACTIONS(16122), 1,
      sym__capitalized_identifier,
    STATE(4165), 1,
      sym__value_name,
    STATE(4169), 1,
      sym__constructor_name,
    STATE(4182), 1,
      sym_parenthesized_operator,
    STATE(12557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4164), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [634374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11232), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11230), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [634404] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7850), 1,
      anon_sym_LBRACK,
    ACTIONS(7856), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7860), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(15936), 1,
      anon_sym_LPAREN,
    ACTIONS(15938), 1,
      anon_sym_LBRACE,
    ACTIONS(15940), 1,
      sym__capitalized_identifier,
    ACTIONS(16124), 1,
      sym__identifier,
    STATE(6703), 1,
      sym__constructor_name,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(7176), 1,
      sym__value_name,
    STATE(12559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7164), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [634452] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15714), 1,
      sym__identifier,
    ACTIONS(15718), 1,
      anon_sym_LBRACK,
    STATE(10499), 1,
      sym__simple_class_type,
    STATE(12560), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [634498] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8284), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16126), 1,
      sym__identifier,
    ACTIONS(16128), 1,
      anon_sym_LPAREN,
    ACTIONS(16130), 1,
      anon_sym_LBRACE,
    ACTIONS(16132), 1,
      sym__capitalized_identifier,
    STATE(7386), 1,
      sym__constructor_name,
    STATE(7437), 1,
      sym__value_name,
    STATE(7534), 1,
      sym_parenthesized_operator,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7381), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [634546] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10087), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634586] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15795), 1,
      sym_pow_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634620] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15795), 1,
      sym_pow_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634654] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [634696] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [634738] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10029), 1,
      sym_or_operator,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    ACTIONS(15801), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      sym_and_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [634784] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    ACTIONS(15801), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      sym_and_operator,
    ACTIONS(15805), 1,
      sym_or_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [634830] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(429), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(441), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16134), 1,
      sym__identifier,
    ACTIONS(16136), 1,
      anon_sym_LPAREN,
    ACTIONS(16138), 1,
      anon_sym_LBRACE,
    ACTIONS(16140), 1,
      sym__capitalized_identifier,
    STATE(3230), 1,
      sym__value_name,
    STATE(3271), 1,
      sym_parenthesized_operator,
    STATE(3339), 1,
      sym__constructor_name,
    STATE(12569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3196), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [634878] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10087), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634918] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12730), 1,
      anon_sym_COMMA,
    ACTIONS(12734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12736), 1,
      sym_pow_operator,
    ACTIONS(12738), 1,
      sym_mult_operator,
    ACTIONS(12740), 1,
      sym_concat_operator,
    ACTIONS(12744), 1,
      sym_and_operator,
    ACTIONS(12746), 1,
      sym_or_operator,
    ACTIONS(12748), 1,
      sym_assign_operator,
    ACTIONS(14153), 1,
      sym_rel_operator,
    STATE(1968), 1,
      sym_add_operator,
    STATE(12571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16142), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634968] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15789), 1,
      anon_sym_COMMA,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    ACTIONS(15801), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      sym_and_operator,
    ACTIONS(15805), 1,
      sym_or_operator,
    ACTIONS(15807), 1,
      sym_assign_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10027), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635018] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    ACTIONS(15682), 1,
      sym_rel_operator,
    ACTIONS(15684), 1,
      sym_and_operator,
    ACTIONS(15686), 1,
      sym_or_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10067), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [635064] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(869), 1,
      anon_sym_LBRACK,
    ACTIONS(879), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(891), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16144), 1,
      sym__identifier,
    ACTIONS(16146), 1,
      anon_sym_LPAREN,
    ACTIONS(16148), 1,
      anon_sym_LBRACE,
    ACTIONS(16150), 1,
      sym__capitalized_identifier,
    STATE(3735), 1,
      sym__value_name,
    STATE(3853), 1,
      sym__constructor_name,
    STATE(3907), 1,
      sym_parenthesized_operator,
    STATE(12574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3795), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11234), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [635142] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10027), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [635178] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15789), 1,
      anon_sym_COMMA,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    ACTIONS(15801), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      sym_and_operator,
    ACTIONS(15805), 1,
      sym_or_operator,
    ACTIONS(15807), 1,
      sym_assign_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635228] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15789), 1,
      anon_sym_COMMA,
    ACTIONS(15793), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15795), 1,
      sym_pow_operator,
    ACTIONS(15797), 1,
      sym_mult_operator,
    ACTIONS(15799), 1,
      sym_concat_operator,
    ACTIONS(15801), 1,
      sym_rel_operator,
    ACTIONS(15803), 1,
      sym_and_operator,
    ACTIONS(15805), 1,
      sym_or_operator,
    ACTIONS(15807), 1,
      sym_assign_operator,
    STATE(2336), 1,
      sym_add_operator,
    STATE(12578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16152), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12579), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(14374), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635308] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    ACTIONS(15678), 1,
      sym_concat_operator,
    ACTIONS(15682), 1,
      sym_rel_operator,
    ACTIONS(15684), 1,
      sym_and_operator,
    ACTIONS(15686), 1,
      sym_or_operator,
    ACTIONS(15688), 1,
      anon_sym_COMMA,
    ACTIONS(15690), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10103), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11240), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11238), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [635388] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8234), 1,
      anon_sym_LBRACK,
    ACTIONS(8242), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8246), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16155), 1,
      sym__identifier,
    ACTIONS(16157), 1,
      anon_sym_LPAREN,
    ACTIONS(16159), 1,
      anon_sym_LBRACE,
    ACTIONS(16161), 1,
      sym__capitalized_identifier,
    STATE(9454), 1,
      sym__value_name,
    STATE(9529), 1,
      sym_parenthesized_operator,
    STATE(9589), 1,
      sym__constructor_name,
    STATE(12582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9402), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11244), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(11242), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__identifier,
  [635466] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15732), 1,
      anon_sym_and,
    STATE(12492), 1,
      aux_sym_type_definition_repeat1,
    STATE(12584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14611), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635498] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16163), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12585), 1,
      sym_attribute,
    STATE(12729), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16165), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635538] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16167), 1,
      anon_sym_STAR,
    STATE(12586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16169), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12587), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8879), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635600] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(9670), 1,
      anon_sym_object,
    ACTIONS(9695), 1,
      anon_sym_let,
    ACTIONS(13127), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13129), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15714), 1,
      sym__identifier,
    ACTIONS(15718), 1,
      anon_sym_LBRACK,
    STATE(10416), 1,
      sym__simple_class_type,
    STATE(12588), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9736), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [635646] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(985), 1,
      anon_sym_LBRACK,
    ACTIONS(995), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1007), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16172), 1,
      sym__identifier,
    ACTIONS(16174), 1,
      anon_sym_LPAREN,
    ACTIONS(16176), 1,
      anon_sym_LBRACE,
    ACTIONS(16178), 1,
      sym__capitalized_identifier,
    STATE(4867), 1,
      sym__value_name,
    STATE(4885), 1,
      sym__constructor_name,
    STATE(4902), 1,
      sym_parenthesized_operator,
    STATE(12589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4924), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635694] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16180), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12590), 1,
      sym_attribute,
    STATE(12893), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16182), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635734] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16184), 1,
      anon_sym_and,
    STATE(12591), 1,
      sym_attribute,
    STATE(12594), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635766] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16184), 1,
      anon_sym_and,
    STATE(12592), 1,
      sym_attribute,
    STATE(12594), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14483), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635798] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1349), 1,
      anon_sym_LBRACK,
    ACTIONS(1359), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1371), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16186), 1,
      sym__identifier,
    ACTIONS(16188), 1,
      anon_sym_LPAREN,
    ACTIONS(16190), 1,
      anon_sym_LBRACE,
    ACTIONS(16192), 1,
      sym__capitalized_identifier,
    STATE(5703), 1,
      sym__constructor_name,
    STATE(5715), 1,
      sym_parenthesized_operator,
    STATE(5734), 1,
      sym__value_name,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5708), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16194), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12594), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14319), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635876] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16184), 1,
      anon_sym_and,
    STATE(12595), 1,
      sym_attribute,
    STATE(12596), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14483), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635908] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16184), 1,
      anon_sym_and,
    STATE(12594), 1,
      aux_sym_module_definition_repeat1,
    STATE(12596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14705), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635940] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15658), 1,
      anon_sym_and,
    STATE(12597), 1,
      sym_attribute,
    STATE(12599), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635972] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15658), 1,
      anon_sym_and,
    STATE(12598), 1,
      sym_attribute,
    STATE(12599), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14483), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16197), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12599), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(14319), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15658), 1,
      anon_sym_and,
    STATE(12600), 1,
      sym_attribute,
    STATE(12601), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14483), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15658), 1,
      anon_sym_and,
    STATE(12599), 1,
      aux_sym_module_definition_repeat1,
    STATE(12601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14705), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636098] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15672), 1,
      sym_pow_operator,
    ACTIONS(15674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15676), 1,
      sym_mult_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10087), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10085), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636138] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15662), 1,
      anon_sym_and,
    STATE(12438), 1,
      aux_sym_class_definition_repeat1,
    STATE(12603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2191), 1,
      sym_add_operator,
    STATE(12604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10124), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10122), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636202] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15866), 1,
      sym_pow_operator,
    ACTIONS(15897), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15899), 1,
      sym_mult_operator,
    ACTIONS(15901), 1,
      sym_concat_operator,
    STATE(2267), 1,
      sym_add_operator,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10029), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10027), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [636244] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16184), 1,
      anon_sym_and,
    STATE(12591), 1,
      aux_sym_module_definition_repeat1,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636276] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16184), 1,
      anon_sym_and,
    STATE(12592), 1,
      aux_sym_module_definition_repeat1,
    STATE(12607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15658), 1,
      anon_sym_and,
    STATE(12597), 1,
      aux_sym_module_definition_repeat1,
    STATE(12608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636340] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15694), 1,
      sym_pow_operator,
    ACTIONS(15696), 1,
      sym_mult_operator,
    ACTIONS(15698), 1,
      sym_concat_operator,
    ACTIONS(15700), 1,
      sym_rel_operator,
    ACTIONS(15702), 1,
      sym_and_operator,
    ACTIONS(15704), 1,
      sym_or_operator,
    ACTIONS(15775), 1,
      anon_sym_COMMA,
    ACTIONS(15779), 1,
      sym_assign_operator,
    STATE(2382), 1,
      sym_add_operator,
    STATE(12609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10089), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10035), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636390] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14641), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(11696), 1,
      sym_type_binding,
    STATE(12610), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14455), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(17816), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636441] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14762), 1,
      sym__identifier,
    STATE(12584), 1,
      sym_type_binding,
    STATE(12611), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14219), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19941), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636492] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16200), 1,
      anon_sym_COLON_GT,
    ACTIONS(16202), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12612), 1,
      sym_attribute,
    STATE(12766), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16204), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636529] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14754), 1,
      sym__identifier,
    STATE(11528), 1,
      sym_type_binding,
    STATE(12613), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14768), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19920), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636580] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14772), 1,
      sym__identifier,
    STATE(11528), 1,
      sym_type_binding,
    STATE(12614), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19956), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636631] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8890), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636658] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16206), 1,
      anon_sym_COLON_GT,
    ACTIONS(16208), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12616), 1,
      sym_attribute,
    STATE(12833), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16210), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636695] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15329), 1,
      anon_sym_LPAREN,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12617), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__simple_module_expression,
    STATE(14111), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [636738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    STATE(12618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636769] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14754), 1,
      sym__identifier,
    STATE(12482), 1,
      sym_type_binding,
    STATE(12619), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14768), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19920), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636820] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16214), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__capitalized_identifier,
    ACTIONS(10244), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__identifier,
  [636876] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14641), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(11528), 1,
      sym_type_binding,
    STATE(12622), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14455), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(17816), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636927] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14772), 1,
      sym__identifier,
    STATE(12008), 1,
      sym_type_binding,
    STATE(12623), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19956), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [636978] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16216), 1,
      anon_sym_COLON_GT,
    ACTIONS(16218), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12624), 1,
      sym_attribute,
    STATE(12892), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16220), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    STATE(12625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [637044] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(12626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9034), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [637075] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12627), 1,
      sym_attribute,
    STATE(12891), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16224), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637112] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15329), 1,
      anon_sym_LPAREN,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12628), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__simple_module_expression,
    STATE(14135), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637155] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16228), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16226), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637188] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16230), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637215] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14772), 1,
      sym__identifier,
    STATE(11882), 1,
      sym_type_binding,
    STATE(12631), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14259), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19956), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637266] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14641), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(11736), 1,
      sym_type_binding,
    STATE(12632), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14455), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(17816), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637317] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10590), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637354] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14762), 1,
      sym__identifier,
    STATE(12435), 1,
      sym_type_binding,
    STATE(12634), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14219), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19941), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637405] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15329), 1,
      anon_sym_LPAREN,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12635), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__simple_module_expression,
    STATE(13987), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637448] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10907), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637475] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14754), 1,
      sym__identifier,
    STATE(12405), 1,
      sym_type_binding,
    STATE(12637), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14768), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19920), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637526] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    ACTIONS(14762), 1,
      sym__identifier,
    STATE(11528), 1,
      sym_type_binding,
    STATE(12638), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14219), 1,
      sym__type_params,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    STATE(19941), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637577] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10618), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11200), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [637642] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9326), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(16232), 1,
      anon_sym_private,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10839), 1,
      sym_constructor_declaration,
    STATE(12641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11823), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10195), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [637688] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_PIPE,
    ACTIONS(9324), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12201), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16236), 1,
      anon_sym_private,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(12642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10683), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [637734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7095), 1,
      anon_sym_COLON2,
    ACTIONS(16238), 1,
      anon_sym_DOT_DOT,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [637764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11178), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11180), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [637792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11184), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [637820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11186), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11188), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [637848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11192), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [637876] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16242), 1,
      anon_sym_as,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12648), 1,
      sym_attribute,
    STATE(12720), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16240), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637910] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    ACTIONS(9342), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12211), 1,
      anon_sym_LPAREN,
    ACTIONS(12213), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16244), 1,
      anon_sym_private,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(11641), 1,
      sym_constructor_declaration,
    STATE(12649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10713), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [637956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9034), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [637984] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(9346), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16246), 1,
      anon_sym_private,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10839), 1,
      sym_constructor_declaration,
    STATE(12651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11823), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10327), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [638030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11266), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11268), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9034), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638086] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(12654), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14612), 1,
      sym__type_params,
    STATE(15574), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [638134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10828), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638162] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16250), 1,
      anon_sym_as,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12656), 1,
      sym_attribute,
    STATE(12906), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16248), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638196] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16252), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12657), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8685), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__identifier,
    ACTIONS(8687), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [638226] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7427), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12658), 1,
      sym_attribute,
    STATE(12889), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7431), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638260] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16255), 1,
      aux_sym_attribute_id_token1,
    STATE(12657), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8784), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__identifier,
    ACTIONS(8786), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [638292] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_PIPE,
    ACTIONS(9318), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12201), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16257), 1,
      anon_sym_private,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(12660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10675), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [638338] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(16259), 1,
      sym__identifier,
    ACTIONS(16261), 1,
      anon_sym_POUND,
    STATE(12661), 1,
      sym_attribute,
    STATE(12944), 1,
      sym_type_constructor_path,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10872), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [638376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11216), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11138), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11140), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11220), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16265), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16263), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [638488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    STATE(12666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 12,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [638516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11250), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11252), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11194), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11196), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638572] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14919), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    STATE(12669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14915), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638604] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(12670), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14638), 1,
      sym__type_params,
    STATE(15086), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [638652] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7421), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12671), 1,
      sym_attribute,
    STATE(12886), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7425), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11224), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638714] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16255), 1,
      aux_sym_attribute_id_token1,
    STATE(12659), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8796), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__identifier,
    ACTIONS(8798), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [638746] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9314), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11898), 1,
      anon_sym_LPAREN,
    ACTIONS(11900), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16269), 1,
      anon_sym_private,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(12674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11902), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10251), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [638792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8920), 1,
      anon_sym_COLON2,
    STATE(12675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8922), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [638820] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11178), 2,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [638850] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(9316), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11898), 1,
      anon_sym_LPAREN,
    ACTIONS(11900), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16271), 1,
      anon_sym_private,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(12677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11902), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10258), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [638896] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14923), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    STATE(12678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14921), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11212), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9006), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [638984] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11096), 1,
      anon_sym_in,
    ACTIONS(15329), 1,
      anon_sym_LPAREN,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12681), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__simple_module_expression,
    STATE(14167), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [639026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11232), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11236), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639082] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16273), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12684), 1,
      sym_attribute,
    STATE(12905), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16275), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11248), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639144] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8908), 1,
      anon_sym_COLON2,
    STATE(12686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8910), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [639172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8056), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11264), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639228] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(12689), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14651), 1,
      sym__type_params,
    STATE(15414), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [639276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11254), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11256), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639304] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16277), 1,
      anon_sym_DASH_GT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12691), 1,
      sym_attribute,
    STATE(12891), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16224), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639340] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(12692), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14161), 1,
      sym__type_params,
    STATE(16155), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [639388] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      anon_sym_in,
    ACTIONS(15329), 1,
      anon_sym_LPAREN,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12693), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__simple_module_expression,
    STATE(14512), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [639430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8060), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11240), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8064), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11204), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8068), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639570] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7469), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7471), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11130), 1,
      anon_sym_in,
    ACTIONS(15329), 1,
      anon_sym_LPAREN,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12699), 1,
      sym_attribute,
    STATE(12997), 1,
      sym__simple_module_expression,
    STATE(14206), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13018), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [639612] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7409), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12700), 1,
      sym_attribute,
    STATE(12794), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7413), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11208), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11244), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11274), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11276), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639730] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(12704), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14434), 1,
      sym__type_params,
    STATE(14934), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [639778] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    ACTIONS(15912), 1,
      anon_sym_as,
    STATE(12705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15025), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16281), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16279), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [639838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11258), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11260), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [639866] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16283), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12708), 1,
      sym_attribute,
    STATE(12845), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16285), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639900] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(16259), 1,
      sym__identifier,
    ACTIONS(16287), 1,
      anon_sym_POUND,
    STATE(12709), 1,
      sym_attribute,
    STATE(12976), 1,
      sym_type_constructor_path,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10842), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [639938] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16289), 1,
      anon_sym_EQ,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12710), 1,
      sym_attribute,
    STATE(12885), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16291), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639972] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13600), 1,
      sym__identifier,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(14651), 1,
      anon_sym__,
    STATE(12711), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(14627), 1,
      sym__type_params,
    STATE(16132), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(16611), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9006), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [640048] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    ACTIONS(9338), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12211), 1,
      anon_sym_LPAREN,
    ACTIONS(12213), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16293), 1,
      anon_sym_private,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(11641), 1,
      sym_constructor_declaration,
    STATE(12713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10706), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [640094] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(16259), 1,
      sym__identifier,
    ACTIONS(16261), 1,
      anon_sym_POUND,
    STATE(12714), 1,
      sym_attribute,
    STATE(12944), 1,
      sym_type_constructor_path,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(10836), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [640132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11226), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11228), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [640160] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16295), 1,
      anon_sym_RPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12716), 1,
      sym_attribute,
    STATE(17315), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8685), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__identifier,
    ACTIONS(8687), 7,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
  [640226] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_PIPE,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12201), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16299), 1,
      anon_sym_DOT_DOT,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(12718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10687), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [640269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16301), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640300] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16248), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640331] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16303), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12721), 1,
      sym_attribute,
    STATE(17509), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640370] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16305), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12722), 1,
      sym_attribute,
    STATE(17561), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640409] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16307), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12723), 1,
      sym_attribute,
    STATE(17325), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12724), 1,
      sym_attribute,
    STATE(12853), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16309), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640479] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16311), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640510] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16313), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640541] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7431), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640572] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9426), 1,
      anon_sym_COLON2,
    STATE(12728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [640599] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16038), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640630] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16315), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12730), 1,
      sym_attribute,
    STATE(17442), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640669] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12731), 1,
      sym_attribute,
    STATE(12826), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16317), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640700] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16319), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_COLON2,
    STATE(12733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [640758] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16321), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12734), 1,
      sym_attribute,
    STATE(19379), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640797] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16323), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12735), 1,
      sym_attribute,
    STATE(18077), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640836] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16325), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12736), 1,
      sym_attribute,
    STATE(19532), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640875] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16327), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12737), 1,
      sym_attribute,
    STATE(20130), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640914] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16329), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12738), 1,
      sym_attribute,
    STATE(17907), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640953] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12739), 1,
      sym_attribute,
    STATE(12896), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16331), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640984] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16333), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12740), 1,
      sym_attribute,
    STATE(17979), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641023] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16335), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12741), 1,
      sym_attribute,
    STATE(17746), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641062] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(12742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9034), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [641091] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12211), 1,
      anon_sym_LPAREN,
    ACTIONS(12213), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16337), 1,
      anon_sym_DOT_DOT,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(11641), 1,
      sym_constructor_declaration,
    STATE(12743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10712), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [641134] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16339), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12744), 1,
      sym_attribute,
    STATE(17693), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641173] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16341), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12745), 1,
      sym_attribute,
    STATE(19364), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641212] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16343), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12746), 1,
      sym_attribute,
    STATE(18455), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641251] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16345), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641282] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16347), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12748), 1,
      sym_attribute,
    STATE(18223), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641321] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16349), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641352] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16351), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12750), 1,
      sym_attribute,
    STATE(18209), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641391] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16353), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12751), 1,
      sym_attribute,
    STATE(19592), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641430] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12752), 1,
      sym_attribute,
    STATE(12808), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641461] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16355), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12753), 1,
      sym_attribute,
    STATE(17996), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9484), 1,
      anon_sym_COLON2,
    STATE(12754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [641527] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16357), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12755), 1,
      sym_attribute,
    STATE(19703), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641566] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12756), 1,
      sym_attribute,
    STATE(12788), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16359), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641597] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16361), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12757), 1,
      sym_attribute,
    STATE(19116), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641636] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12758), 1,
      sym_attribute,
    STATE(12804), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16363), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16367), 1,
      anon_sym_COLON2,
    STATE(12759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16365), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [641694] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16369), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12760), 1,
      sym_attribute,
    STATE(18948), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641733] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16371), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9472), 1,
      anon_sym_COLON2,
    STATE(12762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [641791] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15910), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16373), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12764), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8687), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641849] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12765), 1,
      sym_attribute,
    STATE(12848), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16376), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641880] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16182), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641911] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16378), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12767), 1,
      sym_attribute,
    STATE(18034), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641950] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16380), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641981] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16382), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12769), 1,
      sym_attribute,
    STATE(18743), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642020] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16384), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12770), 1,
      sym_attribute,
    STATE(19056), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642059] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16386), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12771), 1,
      sym_attribute,
    STATE(18850), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642098] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16388), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12772), 1,
      sym_attribute,
    STATE(17425), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642137] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16390), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12773), 1,
      sym_attribute,
    STATE(19946), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642176] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12774), 1,
      sym_attribute,
    STATE(12870), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16392), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642207] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16394), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12775), 1,
      sym_attribute,
    STATE(17750), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642246] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16396), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12776), 1,
      sym_attribute,
    STATE(19488), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16400), 1,
      anon_sym_COLON2,
    STATE(12777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16398), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [642312] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7425), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642343] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16402), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12779), 1,
      sym_attribute,
    STATE(19429), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642382] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16406), 1,
      anon_sym_COLON2,
    STATE(12780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16404), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [642409] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16410), 1,
      anon_sym_COLON2,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    STATE(12781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16408), 10,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_when,
  [642438] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16414), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642469] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16416), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12783), 1,
      sym_attribute,
    STATE(17359), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642508] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16418), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12784), 1,
      sym_attribute,
    STATE(19185), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9476), 1,
      anon_sym_COLON2,
    STATE(12785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [642574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12747), 1,
      aux_sym_expression_item_repeat1,
    STATE(12786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16420), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642605] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12787), 1,
      sym_attribute,
    STATE(12828), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16422), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642636] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16424), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642667] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16430), 1,
      anon_sym_COLON2,
    STATE(12789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16426), 9,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_when,
  [642698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16434), 1,
      anon_sym_COLON2,
    STATE(12790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16432), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [642725] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16436), 1,
      anon_sym_DOT_DOT,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10839), 1,
      sym_constructor_declaration,
    STATE(12791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11823), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10326), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [642768] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16438), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12792), 1,
      sym_attribute,
    STATE(17625), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642807] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11898), 1,
      anon_sym_LPAREN,
    ACTIONS(11900), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16440), 1,
      anon_sym_DOT_DOT,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(12793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11902), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10257), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [642850] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16285), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9500), 1,
      anon_sym_COLON2,
    STATE(12795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [642908] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16442), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12796), 1,
      sym_attribute,
    STATE(19412), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7095), 1,
      anon_sym_COLON2,
    STATE(12797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [642974] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16220), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643005] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16444), 1,
      anon_sym_STAR,
    STATE(12799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643034] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16446), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12800), 1,
      sym_attribute,
    STATE(19431), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16450), 1,
      anon_sym_COLON2,
    STATE(12801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16448), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [643100] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16452), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12802), 1,
      sym_attribute,
    STATE(18890), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643139] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16454), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12803), 1,
      sym_attribute,
    STATE(17810), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643178] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16456), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643209] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16458), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12805), 1,
      sym_attribute,
    STATE(19339), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_COLON2,
    STATE(12806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [643275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9492), 1,
      anon_sym_COLON2,
    STATE(12807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [643302] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13378), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643333] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16460), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12809), 1,
      sym_attribute,
    STATE(19745), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643372] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12810), 1,
      sym_attribute,
    STATE(12874), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13378), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643403] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12811), 1,
      sym_attribute,
    STATE(12881), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13167), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643434] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16464), 1,
      anon_sym_LPAREN,
    ACTIONS(16466), 1,
      anon_sym_COLON2,
    STATE(12812), 1,
      sym_attribute,
    STATE(12817), 1,
      aux_sym_module_binding_repeat1,
    STATE(13313), 1,
      sym__module_typed,
    STATE(13360), 1,
      sym_module_parameter,
    STATE(14095), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11668), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16462), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [643477] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12719), 1,
      aux_sym_expression_item_repeat1,
    STATE(12813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16468), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643508] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16470), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643539] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9268), 1,
      anon_sym_PIPE,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11898), 1,
      anon_sym_LPAREN,
    ACTIONS(11900), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16472), 1,
      anon_sym_DOT_DOT,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10918), 1,
      sym_constructor_declaration,
    STATE(12815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11902), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10262), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [643582] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16474), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12816), 1,
      sym_attribute,
    STATE(18079), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643621] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16464), 1,
      anon_sym_LPAREN,
    ACTIONS(16466), 1,
      anon_sym_COLON2,
    STATE(12817), 1,
      sym_attribute,
    STATE(13070), 1,
      aux_sym_module_binding_repeat1,
    STATE(13360), 1,
      sym_module_parameter,
    STATE(13514), 1,
      sym__module_typed,
    STATE(14142), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11696), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16476), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [643664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_COLON2,
    STATE(12818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [643691] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16478), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12819), 1,
      sym_attribute,
    STATE(19057), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9528), 1,
      anon_sym_COLON2,
    STATE(12820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [643757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9534), 1,
      anon_sym_COLON2,
    STATE(12821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [643784] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16480), 1,
      aux_sym_attribute_id_token1,
    STATE(12764), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8786), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643813] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16482), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12823), 1,
      sym_attribute,
    STATE(19642), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643852] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16484), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12824), 1,
      sym_attribute,
    STATE(17620), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643891] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16486), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643922] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16488), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643953] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16490), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12827), 1,
      sym_attribute,
    STATE(18718), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643992] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16492), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644023] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16494), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12829), 1,
      sym_attribute,
    STATE(17529), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644062] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16496), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12830), 1,
      sym_attribute,
    STATE(19082), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644101] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12749), 1,
      aux_sym_expression_item_repeat1,
    STATE(12831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16498), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644132] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16500), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12832), 1,
      sym_attribute,
    STATE(19786), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644171] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16000), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9016), 1,
      anon_sym_COLON2,
    STATE(12834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [644229] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16502), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12835), 1,
      sym_attribute,
    STATE(18145), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644268] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16504), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12836), 1,
      sym_attribute,
    STATE(19690), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644307] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16506), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12837), 1,
      sym_attribute,
    STATE(19355), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644346] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16480), 1,
      aux_sym_attribute_id_token1,
    STATE(12822), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8798), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16510), 1,
      anon_sym_COLON2,
    STATE(12839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16508), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [644402] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16512), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12840), 1,
      sym_attribute,
    STATE(17533), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644441] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16514), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12841), 1,
      sym_attribute,
    STATE(18470), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644480] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16516), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12842), 1,
      sym_attribute,
    STATE(17748), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644519] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16520), 1,
      anon_sym_COLON2,
    STATE(12843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16518), 10,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_when,
  [644548] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16522), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12844), 1,
      sym_attribute,
    STATE(19834), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644587] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16524), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644618] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12846), 1,
      sym_attribute,
    STATE(12869), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16526), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644649] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12847), 1,
      sym_attribute,
    STATE(19869), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644688] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16530), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644719] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12849), 1,
      sym_attribute,
    STATE(12856), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16532), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_COLON2,
    STATE(12850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [644777] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9240), 1,
      anon_sym_PIPE,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16534), 1,
      anon_sym_DOT_DOT,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10839), 1,
      sym_constructor_declaration,
    STATE(12851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11823), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10136), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [644820] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16540), 1,
      anon_sym_COLON2,
    ACTIONS(16542), 1,
      anon_sym_as,
    STATE(12852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16536), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_when,
  [644855] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16544), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644886] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12726), 1,
      aux_sym_expression_item_repeat1,
    STATE(12854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16546), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644917] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16548), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12855), 1,
      sym_attribute,
    STATE(17314), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644956] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16550), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644987] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16552), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12857), 1,
      sym_attribute,
    STATE(18353), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645026] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16554), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12858), 1,
      sym_attribute,
    STATE(17792), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645065] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16556), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12859), 1,
      sym_attribute,
    STATE(19044), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645104] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16558), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12860), 1,
      sym_attribute,
    STATE(18157), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645143] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16560), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12861), 1,
      sym_attribute,
    STATE(17787), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645182] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12862), 1,
      sym_attribute,
    STATE(12925), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16562), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645213] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12782), 1,
      aux_sym_expression_item_repeat1,
    STATE(12863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16564), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645244] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16566), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12864), 1,
      sym_attribute,
    STATE(19165), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645283] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16568), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12865), 1,
      sym_attribute,
    STATE(19346), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645322] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16570), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12866), 1,
      sym_attribute,
    STATE(18881), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645361] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12867), 1,
      sym_attribute,
    STATE(12908), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16572), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645392] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16574), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12868), 1,
      sym_attribute,
    STATE(18608), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645431] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16576), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645462] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16578), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645493] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16580), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645524] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16582), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12872), 1,
      sym_attribute,
    STATE(18346), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645563] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16584), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12873), 1,
      sym_attribute,
    STATE(19534), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645602] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13393), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645633] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16210), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12876), 1,
      sym_attribute,
    STATE(12897), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13397), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645695] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16586), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12877), 1,
      sym_attribute,
    STATE(18401), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645734] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16204), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8926), 1,
      anon_sym_COLON2,
    STATE(12879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8928), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [645792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9544), 1,
      anon_sym_COLON2,
    STATE(12880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [645819] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13397), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      anon_sym_COLON2,
    STATE(12882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [645877] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12211), 1,
      anon_sym_LPAREN,
    ACTIONS(12213), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16588), 1,
      anon_sym_DOT_DOT,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(11641), 1,
      sym_constructor_declaration,
    STATE(12883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10717), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [645920] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16590), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12884), 1,
      sym_attribute,
    STATE(18106), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645959] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16592), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645990] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16291), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646021] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12887), 1,
      sym_attribute,
    STATE(12900), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16594), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646052] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16596), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12888), 1,
      sym_attribute,
    STATE(19712), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646091] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16275), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9416), 1,
      anon_sym_COLON2,
    STATE(12890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646149] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16598), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646180] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16165), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646211] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16070), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646242] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7413), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646273] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16600), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12895), 1,
      sym_attribute,
    STATE(18050), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646312] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16602), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646343] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13441), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646374] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16604), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12898), 1,
      sym_attribute,
    STATE(18486), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9462), 1,
      anon_sym_COLON2,
    STATE(12899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646440] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16606), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646471] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12871), 1,
      aux_sym_expression_item_repeat1,
    STATE(12901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16608), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646502] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16610), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12902), 1,
      sym_attribute,
    STATE(18804), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9540), 1,
      anon_sym_COLON2,
    STATE(12903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646568] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16612), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646599] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16614), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646630] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16392), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646661] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16616), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12907), 1,
      sym_attribute,
    STATE(18247), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646700] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16618), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646731] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16620), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12909), 1,
      sym_attribute,
    STATE(17540), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646770] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9550), 1,
      anon_sym_COLON2,
    STATE(12910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9552), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_COLON2,
    STATE(12911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9412), 1,
      anon_sym_COLON2,
    STATE(12912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646851] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16622), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12732), 1,
      aux_sym_expression_item_repeat1,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16624), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12725), 1,
      aux_sym_expression_item_repeat1,
    STATE(12915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16626), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646944] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16628), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12916), 1,
      sym_attribute,
    STATE(18549), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646983] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16630), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12917), 1,
      sym_attribute,
    STATE(18129), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647022] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16632), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12918), 1,
      sym_attribute,
    STATE(18246), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647061] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16634), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12919), 1,
      sym_attribute,
    STATE(18593), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647100] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16636), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12920), 1,
      sym_attribute,
    STATE(17844), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647139] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16638), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12921), 1,
      sym_attribute,
    STATE(19072), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8988), 1,
      anon_sym_COLON2,
    STATE(12922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647205] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16640), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12923), 1,
      sym_attribute,
    STATE(17350), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647244] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12768), 1,
      aux_sym_expression_item_repeat1,
    STATE(12924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16578), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647275] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16642), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647306] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9162), 1,
      anon_sym_PIPE,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12201), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(16234), 1,
      anon_sym_LBRACE,
    ACTIONS(16644), 1,
      anon_sym_DOT_DOT,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(11636), 1,
      sym_constructor_declaration,
    STATE(12926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10682), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [647349] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12761), 1,
      aux_sym_expression_item_repeat1,
    STATE(12927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16646), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647380] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(16650), 1,
      anon_sym_COLON2,
    STATE(12928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16648), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_when,
  [647415] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12904), 1,
      aux_sym_expression_item_repeat1,
    STATE(12929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16652), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647446] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9524), 1,
      anon_sym_COLON2,
    STATE(12930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647473] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16654), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12931), 1,
      sym_attribute,
    STATE(19107), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647512] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16656), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12932), 1,
      sym_attribute,
    STATE(17381), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16660), 1,
      anon_sym_COLON2,
    STATE(12933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647578] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12934), 1,
      sym_attribute,
    STATE(18188), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647617] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15029), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16277), 1,
      anon_sym_DASH_GT,
    STATE(12935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15025), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__identifier,
    ACTIONS(10246), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [647673] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12937), 1,
      sym_attribute,
    STATE(12975), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16664), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      anon_sym_DOT,
    STATE(12938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [647729] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7968), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [647753] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8687), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [647777] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16277), 1,
      anon_sym_DASH_GT,
    STATE(12941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647805] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16668), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11250), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11252), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [647861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11194), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11196), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [647887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8064), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [647913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11232), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [647939] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12947), 1,
      sym_attribute,
    STATE(12959), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16668), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647969] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14919), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16277), 1,
      anon_sym_DASH_GT,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14915), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11204), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648025] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7938), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [648049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11192), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11178), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11180), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8056), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11236), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11264), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11240), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11212), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16670), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648261] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16672), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11274), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11276), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8060), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648343] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14923), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16277), 1,
      anon_sym_DASH_GT,
    STATE(12962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14921), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11186), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11188), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11200), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11248), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(8068), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648477] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12967), 1,
      sym_attribute,
    STATE(12973), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16674), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648507] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10594), 1,
      anon_sym_LPAREN,
    STATE(8773), 1,
      sym__simple_module_expression,
    STATE(12968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10590), 2,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    STATE(8760), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648541] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(16228), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16277), 1,
      anon_sym_DASH_GT,
    STATE(12969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16226), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9006), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9032), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(9034), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11216), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648649] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16676), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11254), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11256), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648705] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(9460), 1,
      aux_sym_expression_item_repeat1,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16678), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11138), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11140), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11266), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11268), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11226), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11228), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11258), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11260), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(10828), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648865] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12958), 1,
      aux_sym_expression_item_repeat1,
    STATE(12981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16680), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11208), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11184), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11220), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [648973] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6775), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10022), 1,
      sym_item_attribute,
    STATE(12942), 1,
      aux_sym_expression_item_repeat1,
    STATE(12985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16682), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11224), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [649029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__identifier,
    ACTIONS(11244), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__capitalized_identifier,
  [649055] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10850), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649078] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_constraint,
    STATE(12989), 1,
      sym_attribute,
    STATE(13020), 1,
      aux_sym_type_binding_repeat1,
    STATE(13227), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12087), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [649107] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11996), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(16686), 1,
      anon_sym_private,
    ACTIONS(16688), 1,
      anon_sym_PIPE,
    STATE(10396), 1,
      sym_variant_declaration,
    STATE(10573), 1,
      sym__constructor_name,
    STATE(11446), 1,
      sym_constructor_declaration,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12000), 2,
      anon_sym_true,
      anon_sym_false,
  [649146] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10944), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649169] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12022), 1,
      anon_sym_LPAREN,
    ACTIONS(12024), 1,
      anon_sym_LBRACK,
    ACTIONS(16690), 1,
      anon_sym_private,
    ACTIONS(16692), 1,
      anon_sym_PIPE,
    STATE(10391), 1,
      sym__constructor_name,
    STATE(10396), 1,
      sym_variant_declaration,
    STATE(11452), 1,
      sym_constructor_declaration,
    STATE(12992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12026), 2,
      anon_sym_true,
      anon_sym_false,
  [649208] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_constraint,
    STATE(12989), 1,
      aux_sym_type_binding_repeat1,
    STATE(12993), 1,
      sym_attribute,
    STATE(13227), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12083), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [649237] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11364), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11366), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(12994), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649278] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12600), 1,
      anon_sym_LPAREN,
    ACTIONS(12602), 1,
      anon_sym_LBRACK,
    ACTIONS(16698), 1,
      anon_sym_private,
    ACTIONS(16700), 1,
      anon_sym_PIPE,
    STATE(10396), 1,
      sym_variant_declaration,
    STATE(11112), 1,
      sym__constructor_name,
    STATE(11988), 1,
      sym_constructor_declaration,
    STATE(12995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12604), 2,
      anon_sym_true,
      anon_sym_false,
  [649317] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11390), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(12996), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649358] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10948), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649381] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12552), 1,
      anon_sym_LPAREN,
    ACTIONS(12554), 1,
      anon_sym_LBRACK,
    ACTIONS(16702), 1,
      anon_sym_private,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    STATE(10396), 1,
      sym_variant_declaration,
    STATE(11087), 1,
      sym__constructor_name,
    STATE(11983), 1,
      sym_constructor_declaration,
    STATE(12998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12556), 2,
      anon_sym_true,
      anon_sym_false,
  [649420] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649443] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10940), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649466] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649489] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649512] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649535] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10894), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649558] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10870), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [649581] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11368), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11370), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13006), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649622] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11996), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(16688), 1,
      anon_sym_PIPE,
    ACTIONS(16706), 1,
      anon_sym_private,
    STATE(10454), 1,
      sym_variant_declaration,
    STATE(10573), 1,
      sym__constructor_name,
    STATE(11446), 1,
      sym_constructor_declaration,
    STATE(13007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12000), 2,
      anon_sym_true,
      anon_sym_false,
  [649661] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12552), 1,
      anon_sym_LPAREN,
    ACTIONS(12554), 1,
      anon_sym_LBRACK,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    ACTIONS(16708), 1,
      anon_sym_private,
    STATE(10454), 1,
      sym_variant_declaration,
    STATE(11087), 1,
      sym__constructor_name,
    STATE(11983), 1,
      sym_constructor_declaration,
    STATE(13008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12556), 2,
      anon_sym_true,
      anon_sym_false,
  [649700] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11164), 1,
      anon_sym_in,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13009), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649741] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_constraint,
    STATE(13010), 1,
      sym_attribute,
    STATE(13020), 1,
      aux_sym_type_binding_repeat1,
    STATE(13227), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12083), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [649770] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649793] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4975), 1,
      anon_sym_COLON2,
    ACTIONS(16238), 1,
      anon_sym_DOT_DOT,
    STATE(13013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4973), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [649843] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10936), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [649866] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11376), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11378), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13015), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [649907] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12022), 1,
      anon_sym_LPAREN,
    ACTIONS(12024), 1,
      anon_sym_LBRACK,
    ACTIONS(16692), 1,
      anon_sym_PIPE,
    ACTIONS(16710), 1,
      anon_sym_private,
    STATE(10391), 1,
      sym__constructor_name,
    STATE(10454), 1,
      sym_variant_declaration,
    STATE(11452), 1,
      sym_constructor_declaration,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12026), 2,
      anon_sym_true,
      anon_sym_false,
  [649946] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12600), 1,
      anon_sym_LPAREN,
    ACTIONS(12602), 1,
      anon_sym_LBRACK,
    ACTIONS(16700), 1,
      anon_sym_PIPE,
    ACTIONS(16712), 1,
      anon_sym_private,
    STATE(10454), 1,
      sym_variant_declaration,
    STATE(11112), 1,
      sym__constructor_name,
    STATE(11988), 1,
      sym_constructor_declaration,
    STATE(13017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12604), 2,
      anon_sym_true,
      anon_sym_false,
  [649985] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10854), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [650008] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_DASH_GT,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(11392), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11394), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13019), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(15212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650049] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_constraint,
    STATE(13227), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13020), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [650076] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16684), 1,
      anon_sym_constraint,
    STATE(13010), 1,
      aux_sym_type_binding_repeat1,
    STATE(13021), 1,
      sym_attribute,
    STATE(13227), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12077), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [650105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16717), 1,
      anon_sym_STAR,
    STATE(13022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [650130] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16719), 1,
      sym__identifier,
    ACTIONS(16721), 1,
      anon_sym_LPAREN,
    ACTIONS(16723), 1,
      anon_sym_LBRACK,
    ACTIONS(16725), 1,
      anon_sym_LBRACE,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    STATE(4877), 1,
      sym_field_path,
    STATE(13023), 1,
      sym_attribute,
    STATE(15844), 1,
      sym_indexing_operator_path,
    STATE(17617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650168] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5109), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16729), 1,
      anon_sym_LPAREN,
    ACTIONS(16731), 1,
      anon_sym_LBRACE,
    ACTIONS(16733), 1,
      sym__capitalized_identifier,
    STATE(5359), 1,
      sym__constructor_name,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5669), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [650202] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16735), 1,
      sym__identifier,
    ACTIONS(16737), 1,
      anon_sym_LPAREN,
    ACTIONS(16739), 1,
      anon_sym_LBRACK,
    ACTIONS(16741), 1,
      anon_sym_LBRACE,
    STATE(5843), 1,
      sym_field_path,
    STATE(13025), 1,
      sym_attribute,
    STATE(15880), 1,
      sym_indexing_operator_path,
    STATE(17837), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650240] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16743), 1,
      sym__identifier,
    ACTIONS(16745), 1,
      anon_sym_LPAREN,
    ACTIONS(16747), 1,
      anon_sym_LBRACK,
    ACTIONS(16749), 1,
      anon_sym_LBRACE,
    STATE(4985), 1,
      sym_field_path,
    STATE(13026), 1,
      sym_attribute,
    STATE(15592), 1,
      sym_indexing_operator_path,
    STATE(19137), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650278] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16751), 1,
      sym__identifier,
    ACTIONS(16753), 1,
      anon_sym_LPAREN,
    ACTIONS(16755), 1,
      anon_sym_LBRACK,
    ACTIONS(16757), 1,
      anon_sym_LBRACE,
    STATE(5853), 1,
      sym_field_path,
    STATE(13027), 1,
      sym_attribute,
    STATE(15888), 1,
      sym_indexing_operator_path,
    STATE(17880), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650316] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16759), 1,
      sym__identifier,
    ACTIONS(16761), 1,
      anon_sym_LPAREN,
    ACTIONS(16763), 1,
      anon_sym_LBRACK,
    ACTIONS(16765), 1,
      anon_sym_LBRACE,
    STATE(9399), 1,
      sym_field_path,
    STATE(13028), 1,
      sym_attribute,
    STATE(15898), 1,
      sym_indexing_operator_path,
    STATE(17921), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650354] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6693), 1,
      anon_sym_LBRACK,
    ACTIONS(6703), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16767), 1,
      anon_sym_LPAREN,
    ACTIONS(16769), 1,
      anon_sym_LBRACE,
    ACTIONS(16771), 1,
      sym__capitalized_identifier,
    STATE(8329), 1,
      sym__constructor_name,
    STATE(13029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13080), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [650388] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5433), 1,
      anon_sym_LBRACK,
    ACTIONS(5447), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16771), 1,
      sym__capitalized_identifier,
    ACTIONS(16773), 1,
      anon_sym_LPAREN,
    ACTIONS(16775), 1,
      anon_sym_LBRACE,
    STATE(8329), 1,
      sym__constructor_name,
    STATE(13030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9948), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [650422] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16777), 1,
      sym__identifier,
    ACTIONS(16779), 1,
      anon_sym_LPAREN,
    ACTIONS(16781), 1,
      anon_sym_LBRACK,
    ACTIONS(16783), 1,
      anon_sym_LBRACE,
    STATE(5868), 1,
      sym_field_path,
    STATE(13031), 1,
      sym_attribute,
    STATE(15906), 1,
      sym_indexing_operator_path,
    STATE(17962), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650460] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16785), 1,
      sym__identifier,
    ACTIONS(16787), 1,
      anon_sym_LPAREN,
    ACTIONS(16789), 1,
      anon_sym_LBRACK,
    ACTIONS(16791), 1,
      anon_sym_LBRACE,
    STATE(5882), 1,
      sym_field_path,
    STATE(13032), 1,
      sym_attribute,
    STATE(15916), 1,
      sym_indexing_operator_path,
    STATE(18003), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650498] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16793), 1,
      sym__identifier,
    ACTIONS(16795), 1,
      anon_sym_LPAREN,
    ACTIONS(16797), 1,
      anon_sym_LBRACK,
    ACTIONS(16799), 1,
      anon_sym_LBRACE,
    STATE(3222), 1,
      sym_field_path,
    STATE(13033), 1,
      sym_attribute,
    STATE(15921), 1,
      sym_indexing_operator_path,
    STATE(18044), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650536] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16801), 1,
      sym__identifier,
    ACTIONS(16803), 1,
      anon_sym_LPAREN,
    ACTIONS(16805), 1,
      anon_sym_LBRACK,
    ACTIONS(16807), 1,
      anon_sym_LBRACE,
    STATE(6370), 1,
      sym_field_path,
    STATE(13034), 1,
      sym_attribute,
    STATE(15734), 1,
      sym_indexing_operator_path,
    STATE(17694), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650574] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5023), 1,
      anon_sym_LBRACK,
    ACTIONS(5031), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16809), 1,
      anon_sym_LPAREN,
    ACTIONS(16811), 1,
      anon_sym_LBRACE,
    ACTIONS(16813), 1,
      sym__capitalized_identifier,
    STATE(5301), 1,
      sym__constructor_name,
    STATE(13035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5391), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [650608] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7375), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16815), 1,
      anon_sym_LPAREN,
    ACTIONS(16817), 1,
      anon_sym_LBRACE,
    ACTIONS(16819), 1,
      sym__capitalized_identifier,
    STATE(8564), 1,
      sym__constructor_name,
    STATE(13036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8472), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [650642] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16821), 1,
      sym__identifier,
    ACTIONS(16823), 1,
      anon_sym_LPAREN,
    ACTIONS(16825), 1,
      anon_sym_LBRACK,
    ACTIONS(16827), 1,
      anon_sym_LBRACE,
    STATE(7376), 1,
      sym_field_path,
    STATE(13037), 1,
      sym_attribute,
    STATE(15928), 1,
      sym_indexing_operator_path,
    STATE(18085), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(10828), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
      aux_sym_type_variable_token1,
  [650704] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16829), 1,
      sym__identifier,
    ACTIONS(16831), 1,
      anon_sym_LPAREN,
    ACTIONS(16833), 1,
      anon_sym_LBRACK,
    ACTIONS(16835), 1,
      anon_sym_LBRACE,
    STATE(7128), 1,
      sym_field_path,
    STATE(13039), 1,
      sym_attribute,
    STATE(15937), 1,
      sym_indexing_operator_path,
    STATE(18126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650742] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4979), 1,
      anon_sym_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16837), 1,
      anon_sym_LPAREN,
    ACTIONS(16839), 1,
      anon_sym_LBRACE,
    ACTIONS(16841), 1,
      sym__capitalized_identifier,
    STATE(5272), 1,
      sym__constructor_name,
    STATE(13040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5427), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [650776] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16847), 1,
      sym__right_quoted_string_delimiter,
    STATE(13041), 1,
      sym_attribute,
    STATE(13245), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(19125), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16845), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16843), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [650806] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11448), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [650828] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16849), 1,
      sym__identifier,
    ACTIONS(16851), 1,
      anon_sym_LPAREN,
    ACTIONS(16853), 1,
      anon_sym_LBRACK,
    ACTIONS(16855), 1,
      anon_sym_LBRACE,
    STATE(2758), 1,
      sym_field_path,
    STATE(13043), 1,
      sym_attribute,
    STATE(15944), 1,
      sym_indexing_operator_path,
    STATE(18167), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8930), 1,
      anon_sym_COLON2,
    STATE(13044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [650890] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16857), 1,
      sym__identifier,
    ACTIONS(16859), 1,
      anon_sym_LPAREN,
    ACTIONS(16861), 1,
      anon_sym_LBRACK,
    ACTIONS(16863), 1,
      anon_sym_LBRACE,
    STATE(3565), 1,
      sym_field_path,
    STATE(13045), 1,
      sym_attribute,
    STATE(15951), 1,
      sym_indexing_operator_path,
    STATE(18208), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [650928] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10842), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16865), 1,
      anon_sym_POUND,
    STATE(13046), 1,
      sym_attribute,
    STATE(13340), 1,
      sym_type_constructor_path,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [650962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8968), 1,
      anon_sym_COLON2,
    STATE(13047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [650986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9008), 1,
      anon_sym_COLON2,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651010] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16867), 1,
      sym__identifier,
    ACTIONS(16869), 1,
      anon_sym_LPAREN,
    ACTIONS(16871), 1,
      anon_sym_LBRACK,
    ACTIONS(16873), 1,
      anon_sym_LBRACE,
    STATE(4645), 1,
      sym_field_path,
    STATE(13049), 1,
      sym_attribute,
    STATE(15960), 1,
      sym_indexing_operator_path,
    STATE(18249), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_COLON2,
    STATE(13050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      anon_sym_COLON2,
    STATE(13051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651096] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16875), 1,
      sym__identifier,
    ACTIONS(16877), 1,
      anon_sym_LPAREN,
    ACTIONS(16879), 1,
      anon_sym_LBRACK,
    ACTIONS(16881), 1,
      anon_sym_LBRACE,
    STATE(6651), 1,
      sym_field_path,
    STATE(13052), 1,
      sym_attribute,
    STATE(15970), 1,
      sym_indexing_operator_path,
    STATE(18290), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651134] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16883), 1,
      sym__identifier,
    ACTIONS(16885), 1,
      anon_sym_LPAREN,
    ACTIONS(16887), 1,
      anon_sym_LBRACK,
    ACTIONS(16889), 1,
      anon_sym_LBRACE,
    STATE(2677), 1,
      sym_field_path,
    STATE(13053), 1,
      sym_attribute,
    STATE(15979), 1,
      sym_indexing_operator_path,
    STATE(18330), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651172] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16891), 1,
      sym__identifier,
    ACTIONS(16893), 1,
      anon_sym_LPAREN,
    ACTIONS(16895), 1,
      anon_sym_LBRACK,
    ACTIONS(16897), 1,
      anon_sym_LBRACE,
    STATE(7267), 1,
      sym_field_path,
    STATE(13054), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_indexing_operator_path,
    STATE(18186), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651210] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5057), 1,
      anon_sym_LBRACK,
    ACTIONS(5065), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16899), 1,
      anon_sym_LPAREN,
    ACTIONS(16901), 1,
      anon_sym_LBRACE,
    ACTIONS(16903), 1,
      sym__capitalized_identifier,
    STATE(5421), 1,
      sym__constructor_name,
    STATE(13055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5567), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [651244] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7049), 1,
      anon_sym_LBRACK,
    ACTIONS(7059), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16905), 1,
      anon_sym_LPAREN,
    ACTIONS(16907), 1,
      anon_sym_LBRACE,
    ACTIONS(16909), 1,
      sym__capitalized_identifier,
    STATE(7922), 1,
      sym__constructor_name,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7814), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [651278] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16911), 1,
      sym__identifier,
    ACTIONS(16913), 1,
      anon_sym_LPAREN,
    ACTIONS(16915), 1,
      anon_sym_LBRACK,
    ACTIONS(16917), 1,
      anon_sym_LBRACE,
    STATE(5945), 1,
      sym_field_path,
    STATE(13057), 1,
      sym_attribute,
    STATE(15985), 1,
      sym_indexing_operator_path,
    STATE(18370), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651316] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16919), 1,
      sym__identifier,
    ACTIONS(16921), 1,
      anon_sym_LPAREN,
    ACTIONS(16923), 1,
      anon_sym_LBRACK,
    ACTIONS(16925), 1,
      anon_sym_LBRACE,
    STATE(3040), 1,
      sym_field_path,
    STATE(13058), 1,
      sym_attribute,
    STATE(15992), 1,
      sym_indexing_operator_path,
    STATE(18409), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651354] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16927), 1,
      sym__identifier,
    ACTIONS(16929), 1,
      anon_sym_LPAREN,
    ACTIONS(16931), 1,
      anon_sym_LBRACK,
    ACTIONS(16933), 1,
      anon_sym_LBRACE,
    STATE(6011), 1,
      sym_field_path,
    STATE(13059), 1,
      sym_attribute,
    STATE(16002), 1,
      sym_indexing_operator_path,
    STATE(18448), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651392] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16935), 1,
      sym__identifier,
    ACTIONS(16937), 1,
      anon_sym_LPAREN,
    ACTIONS(16939), 1,
      anon_sym_LBRACK,
    ACTIONS(16941), 1,
      anon_sym_LBRACE,
    STATE(5738), 1,
      sym_field_path,
    STATE(13060), 1,
      sym_attribute,
    STATE(16009), 1,
      sym_indexing_operator_path,
    STATE(18487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651430] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5279), 1,
      anon_sym_LBRACK,
    ACTIONS(5295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16943), 1,
      anon_sym_LPAREN,
    ACTIONS(16945), 1,
      anon_sym_LBRACE,
    ACTIONS(16947), 1,
      sym__capitalized_identifier,
    STATE(8603), 1,
      sym__constructor_name,
    STATE(13061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12899), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [651464] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13062), 1,
      sym_attribute,
    STATE(20069), 1,
      sym_escape_sequence,
    STATE(20076), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [651494] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16955), 1,
      sym__identifier,
    ACTIONS(16957), 1,
      anon_sym_LPAREN,
    ACTIONS(16959), 1,
      anon_sym_LBRACK,
    ACTIONS(16961), 1,
      anon_sym_LBRACE,
    STATE(5487), 1,
      sym_field_path,
    STATE(13063), 1,
      sym_attribute,
    STATE(16017), 1,
      sym_indexing_operator_path,
    STATE(18526), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651532] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16963), 1,
      sym__identifier,
    ACTIONS(16965), 1,
      anon_sym_LPAREN,
    ACTIONS(16967), 1,
      anon_sym_LBRACK,
    ACTIONS(16969), 1,
      anon_sym_LBRACE,
    STATE(4961), 1,
      sym_field_path,
    STATE(13064), 1,
      sym_attribute,
    STATE(16022), 1,
      sym_indexing_operator_path,
    STATE(18564), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651570] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16971), 1,
      sym__identifier,
    ACTIONS(16973), 1,
      anon_sym_LPAREN,
    ACTIONS(16975), 1,
      anon_sym_LBRACK,
    ACTIONS(16977), 1,
      anon_sym_LBRACE,
    STATE(2707), 1,
      sym_field_path,
    STATE(13065), 1,
      sym_attribute,
    STATE(16028), 1,
      sym_indexing_operator_path,
    STATE(18602), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651608] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16979), 1,
      sym__identifier,
    ACTIONS(16981), 1,
      anon_sym_LPAREN,
    ACTIONS(16983), 1,
      anon_sym_LBRACK,
    ACTIONS(16985), 1,
      anon_sym_LBRACE,
    STATE(6483), 1,
      sym_field_path,
    STATE(13066), 1,
      sym_attribute,
    STATE(15749), 1,
      sym_indexing_operator_path,
    STATE(18585), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651646] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6761), 1,
      anon_sym_LBRACK,
    ACTIONS(6771), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16987), 1,
      anon_sym_LPAREN,
    ACTIONS(16989), 1,
      anon_sym_LBRACE,
    ACTIONS(16991), 1,
      sym__capitalized_identifier,
    STATE(7507), 1,
      sym__constructor_name,
    STATE(13067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7395), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [651680] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16993), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651702] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16995), 1,
      sym__identifier,
    ACTIONS(16997), 1,
      anon_sym_LPAREN,
    ACTIONS(16999), 1,
      anon_sym_LBRACK,
    ACTIONS(17001), 1,
      anon_sym_LBRACE,
    STATE(2657), 1,
      sym_field_path,
    STATE(13069), 1,
      sym_attribute,
    STATE(16036), 1,
      sym_indexing_operator_path,
    STATE(18640), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651740] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11663), 1,
      anon_sym_COLON2,
    ACTIONS(17003), 1,
      anon_sym_LPAREN,
    STATE(13360), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13070), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11661), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [651768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11308), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [651792] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17006), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651814] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17008), 1,
      sym__identifier,
    ACTIONS(17010), 1,
      anon_sym_LPAREN,
    ACTIONS(17012), 1,
      anon_sym_LBRACK,
    ACTIONS(17014), 1,
      anon_sym_LBRACE,
    STATE(2718), 1,
      sym_field_path,
    STATE(13073), 1,
      sym_attribute,
    STATE(16042), 1,
      sym_indexing_operator_path,
    STATE(18670), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [651852] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8944), 1,
      anon_sym_COLON2,
    STATE(13074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_COLON2,
    STATE(13075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8950), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8952), 1,
      anon_sym_COLON2,
    STATE(13076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651924] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8956), 1,
      anon_sym_COLON2,
    STATE(13077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8960), 1,
      anon_sym_COLON2,
    STATE(13078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8976), 1,
      anon_sym_COLON2,
    STATE(13079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [651996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8996), 1,
      anon_sym_COLON2,
    STATE(13080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652020] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11996), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(16688), 1,
      anon_sym_PIPE,
    STATE(10455), 1,
      sym_variant_declaration,
    STATE(10573), 1,
      sym__constructor_name,
    STATE(11446), 1,
      sym_constructor_declaration,
    STATE(13081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12000), 2,
      anon_sym_true,
      anon_sym_false,
  [652056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17016), 1,
      anon_sym_DASH_GT,
    ACTIONS(17018), 1,
      anon_sym_as,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [652082] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13083), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [652112] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11166), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11622), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    ACTIONS(17020), 1,
      anon_sym_STAR,
    STATE(13084), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(14684), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652150] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17022), 1,
      sym__identifier,
    ACTIONS(17024), 1,
      anon_sym_LPAREN,
    ACTIONS(17026), 1,
      anon_sym_LBRACK,
    ACTIONS(17028), 1,
      anon_sym_LBRACE,
    STATE(7314), 1,
      sym_field_path,
    STATE(13085), 1,
      sym_attribute,
    STATE(15761), 1,
      sym_indexing_operator_path,
    STATE(18878), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652188] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [652210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8984), 1,
      anon_sym_COLON2,
    STATE(13087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8992), 1,
      anon_sym_COLON2,
    STATE(13088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9000), 1,
      anon_sym_COLON2,
    STATE(13089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9012), 1,
      anon_sym_COLON2,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_COLON2,
    STATE(13091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652330] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17016), 1,
      anon_sym_DASH_GT,
    ACTIONS(17018), 1,
      anon_sym_as,
    STATE(13092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12114), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [652356] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17030), 1,
      sym__identifier,
    ACTIONS(17032), 1,
      anon_sym_LPAREN,
    ACTIONS(17034), 1,
      anon_sym_LBRACK,
    ACTIONS(17036), 1,
      anon_sym_LBRACE,
    STATE(3997), 1,
      sym_field_path,
    STATE(13093), 1,
      sym_attribute,
    STATE(15777), 1,
      sym_indexing_operator_path,
    STATE(19156), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652394] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(17038), 1,
      anon_sym_LPAREN,
    ACTIONS(17040), 1,
      anon_sym_LBRACK,
    STATE(10801), 1,
      sym_constructor_declaration,
    STATE(11023), 1,
      sym__constructor_name,
    STATE(13094), 1,
      sym_attribute,
    STATE(13522), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17042), 2,
      anon_sym_true,
      anon_sym_false,
  [652430] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13095), 1,
      sym_attribute,
    STATE(18010), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [652460] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9054), 1,
      anon_sym_COLON2,
    STATE(13096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9062), 1,
      anon_sym_COLON2,
    STATE(13097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      anon_sym_COLON2,
    STATE(13098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_COLON2,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652556] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17016), 1,
      anon_sym_DASH_GT,
    ACTIONS(17018), 1,
      anon_sym_as,
    STATE(13100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12118), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [652582] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13101), 1,
      sym_attribute,
    STATE(17879), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [652612] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17044), 1,
      sym__identifier,
    ACTIONS(17046), 1,
      anon_sym_LPAREN,
    ACTIONS(17048), 1,
      anon_sym_LBRACK,
    ACTIONS(17050), 1,
      anon_sym_LBRACE,
    STATE(4707), 1,
      sym_field_path,
    STATE(13102), 1,
      sym_attribute,
    STATE(15788), 1,
      sym_indexing_operator_path,
    STATE(19533), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652650] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(16893), 1,
      anon_sym_LPAREN,
    ACTIONS(16895), 1,
      anon_sym_LBRACK,
    ACTIONS(16897), 1,
      anon_sym_LBRACE,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(7267), 1,
      sym_field_path,
    STATE(13103), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_indexing_operator_path,
    STATE(19899), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652688] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    ACTIONS(8138), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(15771), 1,
      sym__capitalized_identifier,
    ACTIONS(17054), 1,
      anon_sym_LPAREN,
    ACTIONS(17056), 1,
      anon_sym_LBRACE,
    STATE(8025), 1,
      sym__constructor_name,
    STATE(13104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13829), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [652722] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7453), 1,
      anon_sym_LBRACK,
    ACTIONS(7463), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17058), 1,
      anon_sym_LPAREN,
    ACTIONS(17060), 1,
      anon_sym_LBRACE,
    ACTIONS(17062), 1,
      sym__capitalized_identifier,
    STATE(9346), 1,
      sym__constructor_name,
    STATE(13105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13840), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [652756] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13106), 1,
      sym_attribute,
    STATE(19827), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [652786] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17064), 1,
      anon_sym_LPAREN,
    ACTIONS(17066), 1,
      anon_sym_DOT,
    STATE(13107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11340), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [652812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8934), 1,
      anon_sym_COLON2,
    STATE(13108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652836] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17068), 1,
      sym__identifier,
    ACTIONS(17070), 1,
      anon_sym_LPAREN,
    ACTIONS(17072), 1,
      anon_sym_LBRACK,
    ACTIONS(17074), 1,
      anon_sym_LBRACE,
    STATE(2921), 1,
      sym_field_path,
    STATE(13109), 1,
      sym_attribute,
    STATE(15798), 1,
      sym_indexing_operator_path,
    STATE(20044), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652874] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13110), 1,
      sym_attribute,
    STATE(18210), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [652904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_COLON2,
    STATE(13111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [652928] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17076), 1,
      sym__identifier,
    ACTIONS(17078), 1,
      anon_sym_LPAREN,
    ACTIONS(17080), 1,
      anon_sym_LBRACK,
    ACTIONS(17082), 1,
      anon_sym_LBRACE,
    STATE(3945), 1,
      sym_field_path,
    STATE(13112), 1,
      sym_attribute,
    STATE(15319), 1,
      sym_indexing_operator_path,
    STATE(18299), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [652966] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13113), 1,
      sym_attribute,
    STATE(20069), 1,
      sym_escape_sequence,
    STATE(20106), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [652996] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [653018] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13115), 1,
      sym_attribute,
    STATE(17666), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653048] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17084), 1,
      sym__identifier,
    ACTIONS(17086), 1,
      anon_sym_LPAREN,
    ACTIONS(17088), 1,
      anon_sym_LBRACK,
    ACTIONS(17090), 1,
      anon_sym_LBRACE,
    STATE(7658), 1,
      sym_field_path,
    STATE(13116), 1,
      sym_attribute,
    STATE(15807), 1,
      sym_indexing_operator_path,
    STATE(17332), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653086] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7011), 1,
      anon_sym_LBRACK,
    ACTIONS(7021), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17092), 1,
      anon_sym_LPAREN,
    ACTIONS(17094), 1,
      anon_sym_LBRACE,
    ACTIONS(17096), 1,
      sym__capitalized_identifier,
    STATE(7810), 1,
      sym__constructor_name,
    STATE(13117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7683), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [653120] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13118), 1,
      sym_attribute,
    STATE(19669), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653150] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11807), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [653172] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13120), 1,
      sym_attribute,
    STATE(19451), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13121), 1,
      sym_attribute,
    STATE(17516), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653232] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17098), 1,
      sym__identifier,
    ACTIONS(17100), 1,
      anon_sym_LPAREN,
    ACTIONS(17102), 1,
      anon_sym_LBRACK,
    ACTIONS(17104), 1,
      anon_sym_LBRACE,
    STATE(3558), 1,
      sym_field_path,
    STATE(13122), 1,
      sym_attribute,
    STATE(15814), 1,
      sym_indexing_operator_path,
    STATE(17397), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653270] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13123), 1,
      sym_attribute,
    STATE(18731), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653300] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13124), 1,
      sym_attribute,
    STATE(20069), 1,
      sym_escape_sequence,
    STATE(20166), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653330] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13125), 1,
      sym_attribute,
    STATE(17656), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11178), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11180), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [653386] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13127), 1,
      sym_attribute,
    STATE(18042), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653416] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13128), 1,
      sym_attribute,
    STATE(18447), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653446] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13129), 1,
      sym_attribute,
    STATE(18998), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653476] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13130), 1,
      sym_attribute,
    STATE(19254), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653506] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17106), 1,
      sym__identifier,
    ACTIONS(17108), 1,
      anon_sym_LPAREN,
    ACTIONS(17110), 1,
      anon_sym_LBRACK,
    ACTIONS(17112), 1,
      anon_sym_LBRACE,
    STATE(6570), 1,
      sym_field_path,
    STATE(13131), 1,
      sym_attribute,
    STATE(15821), 1,
      sym_indexing_operator_path,
    STATE(17452), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653544] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13132), 1,
      sym_attribute,
    STATE(19620), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653574] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13133), 1,
      sym_attribute,
    STATE(20064), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653604] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7994), 1,
      anon_sym_POUND,
    STATE(13134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7996), 8,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_with,
      anon_sym_GT,
      sym_hash_operator,
      aux_sym_tag_token1,
  [653628] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13135), 1,
      sym_attribute,
    STATE(17453), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653658] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13136), 1,
      sym_attribute,
    STATE(18856), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653688] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17114), 1,
      sym__identifier,
    ACTIONS(17116), 1,
      anon_sym_LPAREN,
    ACTIONS(17118), 1,
      anon_sym_LBRACK,
    ACTIONS(17120), 1,
      anon_sym_LBRACE,
    STATE(6177), 1,
      sym_field_path,
    STATE(13137), 1,
      sym_attribute,
    STATE(15675), 1,
      sym_indexing_operator_path,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653726] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13138), 1,
      sym_attribute,
    STATE(17541), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653756] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13139), 1,
      sym_attribute,
    STATE(17709), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653786] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13140), 1,
      sym_attribute,
    STATE(19360), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653816] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7286), 1,
      anon_sym_LBRACK,
    ACTIONS(7294), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17122), 1,
      anon_sym_LPAREN,
    ACTIONS(17124), 1,
      anon_sym_LBRACE,
    ACTIONS(17126), 1,
      sym__capitalized_identifier,
    STATE(8423), 1,
      sym__constructor_name,
    STATE(13141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8706), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [653850] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13142), 1,
      sym_attribute,
    STATE(19004), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653880] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17128), 1,
      sym__identifier,
    ACTIONS(17130), 1,
      anon_sym_LPAREN,
    ACTIONS(17132), 1,
      anon_sym_LBRACK,
    ACTIONS(17134), 1,
      anon_sym_LBRACE,
    STATE(5776), 1,
      sym_field_path,
    STATE(13143), 1,
      sym_attribute,
    STATE(15827), 1,
      sym_indexing_operator_path,
    STATE(17507), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [653918] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13144), 1,
      sym_attribute,
    STATE(18065), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [653948] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6851), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17136), 1,
      anon_sym_LPAREN,
    ACTIONS(17138), 1,
      anon_sym_LBRACE,
    ACTIONS(17140), 1,
      sym__capitalized_identifier,
    STATE(7398), 1,
      sym__constructor_name,
    STATE(13145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7421), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [653982] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13146), 1,
      sym_attribute,
    STATE(20069), 1,
      sym_escape_sequence,
    STATE(20147), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654012] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13147), 1,
      sym_attribute,
    STATE(17838), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654042] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13148), 1,
      sym_attribute,
    STATE(18899), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654072] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13149), 1,
      sym_attribute,
    STATE(19320), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654102] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13150), 1,
      sym_attribute,
    STATE(19660), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13151), 1,
      sym_attribute,
    STATE(20069), 1,
      sym_escape_sequence,
    STATE(20111), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654162] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13152), 1,
      sym_attribute,
    STATE(18274), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654192] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13153), 1,
      sym_attribute,
    STATE(17479), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17016), 1,
      anon_sym_DASH_GT,
    STATE(13154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [654246] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13155), 1,
      sym_attribute,
    STATE(18144), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654276] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [654298] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17142), 1,
      sym__identifier,
    ACTIONS(17144), 1,
      anon_sym_LPAREN,
    ACTIONS(17146), 1,
      anon_sym_LBRACK,
    ACTIONS(17148), 1,
      anon_sym_LBRACE,
    STATE(5625), 1,
      sym_field_path,
    STATE(13157), 1,
      sym_attribute,
    STATE(15835), 1,
      sym_indexing_operator_path,
    STATE(17562), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [654336] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13158), 1,
      sym_attribute,
    STATE(20069), 1,
      sym_escape_sequence,
    STATE(20167), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654366] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13159), 1,
      sym_attribute,
    STATE(19933), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654396] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11996), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    ACTIONS(16688), 1,
      anon_sym_PIPE,
    STATE(10573), 1,
      sym__constructor_name,
    STATE(10617), 1,
      sym_variant_declaration,
    STATE(11446), 1,
      sym_constructor_declaration,
    STATE(13160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12000), 2,
      anon_sym_true,
      anon_sym_false,
  [654432] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13161), 1,
      sym_attribute,
    STATE(17472), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654462] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13162), 1,
      sym_attribute,
    STATE(17681), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654492] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13163), 1,
      sym_attribute,
    STATE(17927), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654522] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13164), 1,
      sym_attribute,
    STATE(18132), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654552] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13165), 1,
      sym_attribute,
    STATE(18255), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654582] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13166), 1,
      sym_attribute,
    STATE(18327), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654612] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13167), 1,
      sym_attribute,
    STATE(18356), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654642] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13168), 1,
      sym_attribute,
    STATE(18402), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654672] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13169), 1,
      sym_attribute,
    STATE(18438), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654702] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13170), 1,
      sym_attribute,
    STATE(18473), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654732] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13171), 1,
      sym_attribute,
    STATE(18517), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654762] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13172), 1,
      sym_attribute,
    STATE(18556), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654792] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13173), 1,
      sym_attribute,
    STATE(18596), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654822] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13174), 1,
      sym_attribute,
    STATE(18646), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654852] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13175), 1,
      sym_attribute,
    STATE(18682), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654882] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13176), 1,
      sym_attribute,
    STATE(18728), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654912] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13177), 1,
      sym_attribute,
    STATE(18778), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [654942] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(17150), 1,
      anon_sym_LPAREN,
    ACTIONS(17152), 1,
      anon_sym_LBRACK,
    STATE(10801), 1,
      sym_constructor_declaration,
    STATE(11891), 1,
      sym__constructor_name,
    STATE(13178), 1,
      sym_attribute,
    STATE(13504), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17154), 2,
      anon_sym_true,
      anon_sym_false,
  [654978] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12552), 1,
      anon_sym_LPAREN,
    ACTIONS(12554), 1,
      anon_sym_LBRACK,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    STATE(10455), 1,
      sym_variant_declaration,
    STATE(11087), 1,
      sym__constructor_name,
    STATE(11983), 1,
      sym_constructor_declaration,
    STATE(13179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12556), 2,
      anon_sym_true,
      anon_sym_false,
  [655014] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12552), 1,
      anon_sym_LPAREN,
    ACTIONS(12554), 1,
      anon_sym_LBRACK,
    ACTIONS(16704), 1,
      anon_sym_PIPE,
    STATE(10617), 1,
      sym_variant_declaration,
    STATE(11087), 1,
      sym__constructor_name,
    STATE(11983), 1,
      sym_constructor_declaration,
    STATE(13180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12556), 2,
      anon_sym_true,
      anon_sym_false,
  [655050] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(17156), 1,
      anon_sym_LPAREN,
    ACTIONS(17158), 1,
      anon_sym_LBRACK,
    STATE(10801), 1,
      sym_constructor_declaration,
    STATE(11977), 1,
      sym__constructor_name,
    STATE(13181), 1,
      sym_attribute,
    STATE(13570), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17160), 2,
      anon_sym_true,
      anon_sym_false,
  [655086] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12600), 1,
      anon_sym_LPAREN,
    ACTIONS(12602), 1,
      anon_sym_LBRACK,
    ACTIONS(16700), 1,
      anon_sym_PIPE,
    STATE(10455), 1,
      sym_variant_declaration,
    STATE(11112), 1,
      sym__constructor_name,
    STATE(11988), 1,
      sym_constructor_declaration,
    STATE(13182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12604), 2,
      anon_sym_true,
      anon_sym_false,
  [655122] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12600), 1,
      anon_sym_LPAREN,
    ACTIONS(12602), 1,
      anon_sym_LBRACK,
    ACTIONS(16700), 1,
      anon_sym_PIPE,
    STATE(10617), 1,
      sym_variant_declaration,
    STATE(11112), 1,
      sym__constructor_name,
    STATE(11988), 1,
      sym_constructor_declaration,
    STATE(13183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12604), 2,
      anon_sym_true,
      anon_sym_false,
  [655158] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(17162), 1,
      anon_sym_LPAREN,
    ACTIONS(17164), 1,
      anon_sym_LBRACK,
    STATE(10801), 1,
      sym_constructor_declaration,
    STATE(11037), 1,
      sym__constructor_name,
    STATE(13184), 1,
      sym_attribute,
    STATE(13282), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17166), 2,
      anon_sym_true,
      anon_sym_false,
  [655194] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12022), 1,
      anon_sym_LPAREN,
    ACTIONS(12024), 1,
      anon_sym_LBRACK,
    ACTIONS(16692), 1,
      anon_sym_PIPE,
    STATE(10391), 1,
      sym__constructor_name,
    STATE(10455), 1,
      sym_variant_declaration,
    STATE(11452), 1,
      sym_constructor_declaration,
    STATE(13185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12026), 2,
      anon_sym_true,
      anon_sym_false,
  [655230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11560), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655254] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12022), 1,
      anon_sym_LPAREN,
    ACTIONS(12024), 1,
      anon_sym_LBRACK,
    ACTIONS(16692), 1,
      anon_sym_PIPE,
    STATE(10391), 1,
      sym__constructor_name,
    STATE(10617), 1,
      sym_variant_declaration,
    STATE(11452), 1,
      sym_constructor_declaration,
    STATE(13187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12026), 2,
      anon_sym_true,
      anon_sym_false,
  [655290] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655312] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17168), 1,
      sym__identifier,
    ACTIONS(17170), 1,
      anon_sym_LPAREN,
    ACTIONS(17172), 1,
      anon_sym_LBRACK,
    ACTIONS(17174), 1,
      anon_sym_LBRACE,
    STATE(5223), 1,
      sym_field_path,
    STATE(13189), 1,
      sym_attribute,
    STATE(15853), 1,
      sym_indexing_operator_path,
    STATE(17672), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4975), 1,
      anon_sym_COLON2,
    STATE(13190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4973), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [655374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9042), 1,
      anon_sym_COLON2,
    STATE(13191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [655398] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9046), 1,
      anon_sym_COLON2,
    STATE(13192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [655422] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_COLON2,
    STATE(13193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [655446] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(17176), 1,
      anon_sym_LPAREN,
    ACTIONS(17178), 1,
      anon_sym_LBRACK,
    ACTIONS(17182), 1,
      sym__capitalized_identifier,
    STATE(13194), 1,
      sym_attribute,
    STATE(13582), 1,
      sym__attribute,
    STATE(14118), 1,
      sym__constructor_name,
    STATE(14728), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17180), 2,
      anon_sym_true,
      anon_sym_false,
  [655482] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17184), 1,
      sym__identifier,
    ACTIONS(17186), 1,
      anon_sym_LPAREN,
    ACTIONS(17188), 1,
      anon_sym_LBRACK,
    ACTIONS(17190), 1,
      anon_sym_LBRACE,
    STATE(5808), 1,
      sym_field_path,
    STATE(13195), 1,
      sym_attribute,
    STATE(15863), 1,
      sym_indexing_operator_path,
    STATE(17727), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655520] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17192), 1,
      sym__identifier,
    ACTIONS(17194), 1,
      anon_sym_LPAREN,
    ACTIONS(17196), 1,
      anon_sym_LBRACK,
    ACTIONS(17198), 1,
      anon_sym_LBRACE,
    STATE(6278), 1,
      sym_field_path,
    STATE(13196), 1,
      sym_attribute,
    STATE(15713), 1,
      sym_indexing_operator_path,
    STATE(19531), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655558] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(16727), 1,
      sym_indexing_operator,
    ACTIONS(17200), 1,
      sym__identifier,
    ACTIONS(17202), 1,
      anon_sym_LPAREN,
    ACTIONS(17204), 1,
      anon_sym_LBRACK,
    ACTIONS(17206), 1,
      anon_sym_LBRACE,
    STATE(9101), 1,
      sym_field_path,
    STATE(13197), 1,
      sym_attribute,
    STATE(15872), 1,
      sym_indexing_operator_path,
    STATE(17782), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655596] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      aux_sym_character_content_token2,
    STATE(13198), 1,
      sym_attribute,
    STATE(19265), 1,
      sym_character_content,
    STATE(20069), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16949), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(16953), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [655626] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11056), 1,
      anon_sym_LBRACK,
    ACTIONS(11058), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11060), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17208), 1,
      sym__identifier,
    ACTIONS(17210), 1,
      anon_sym_LPAREN,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    STATE(13199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10363), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [655659] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17214), 1,
      anon_sym_SEMI,
    ACTIONS(17216), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13200), 1,
      sym_attribute,
    STATE(15057), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655694] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    STATE(13201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7675), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [655719] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17218), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17220), 1,
      anon_sym_and,
    STATE(13203), 1,
      sym_attribute,
    STATE(13228), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655765] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17222), 1,
      anon_sym_EQ,
    ACTIONS(17224), 1,
      anon_sym_RPAREN,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    STATE(13204), 1,
      sym_attribute,
    STATE(16297), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655800] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17228), 1,
      anon_sym_SEMI,
    ACTIONS(17230), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13205), 1,
      sym_attribute,
    STATE(15360), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655835] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11038), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11042), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17232), 1,
      sym__identifier,
    ACTIONS(17234), 1,
      anon_sym_LPAREN,
    STATE(13206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9911), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [655868] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17236), 1,
      anon_sym_EQ,
    ACTIONS(17238), 1,
      anon_sym_RPAREN,
    STATE(13207), 1,
      sym_attribute,
    STATE(17012), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655903] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11813), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13208), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [655936] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17240), 1,
      anon_sym_SEMI,
    ACTIONS(17242), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13209), 1,
      sym_attribute,
    STATE(16026), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [655971] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17244), 1,
      sym__identifier,
    ACTIONS(17246), 1,
      anon_sym_LPAREN,
    STATE(13210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11979), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656004] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10632), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17248), 1,
      sym__identifier,
    ACTIONS(17250), 1,
      anon_sym_LPAREN,
    STATE(13211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12957), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656037] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17220), 1,
      anon_sym_and,
    STATE(13203), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12696), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [656062] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17252), 1,
      anon_sym_EQ,
    ACTIONS(17254), 1,
      anon_sym_RPAREN,
    STATE(13213), 1,
      sym_attribute,
    STATE(16316), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17262), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17259), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(13214), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(17256), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [656122] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17264), 1,
      anon_sym_EQ,
    ACTIONS(17266), 1,
      anon_sym_RPAREN,
    STATE(13215), 1,
      sym_attribute,
    STATE(16452), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656157] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17268), 1,
      anon_sym_SEMI,
    ACTIONS(17270), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13216), 1,
      sym_attribute,
    STATE(15369), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656192] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17272), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(13217), 1,
      sym_attribute,
    STATE(13252), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12087), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [656219] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11026), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17274), 1,
      sym__identifier,
    ACTIONS(17276), 1,
      anon_sym_LPAREN,
    STATE(13218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10067), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17278), 1,
      anon_sym_STAR,
    STATE(13219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11892), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [656275] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17280), 1,
      anon_sym_SEMI,
    ACTIONS(17282), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13220), 1,
      sym_attribute,
    STATE(14893), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656310] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11080), 1,
      anon_sym_LBRACK,
    ACTIONS(11082), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11084), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17284), 1,
      sym__identifier,
    ACTIONS(17286), 1,
      anon_sym_LPAREN,
    STATE(13221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10374), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656343] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17288), 1,
      anon_sym_EQ,
    ACTIONS(17290), 1,
      anon_sym_RPAREN,
    STATE(13222), 1,
      sym_attribute,
    STATE(16467), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656378] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17292), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [656399] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17246), 1,
      anon_sym_LPAREN,
    ACTIONS(17294), 1,
      sym__identifier,
    STATE(13224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11979), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656432] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17272), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    STATE(13225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12083), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [656459] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17272), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(13226), 1,
      sym_attribute,
    STATE(13252), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12083), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [656486] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11653), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [656507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17296), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13228), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11906), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [656530] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17299), 1,
      anon_sym_SEMI,
    ACTIONS(17301), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13229), 1,
      sym_attribute,
    STATE(15072), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656565] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11110), 1,
      anon_sym_LBRACK,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11114), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17303), 1,
      sym__identifier,
    ACTIONS(17305), 1,
      anon_sym_LPAREN,
    STATE(13230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13531), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656598] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17307), 1,
      anon_sym_SEMI,
    ACTIONS(17309), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13231), 1,
      sym_attribute,
    STATE(14869), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656633] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17311), 1,
      anon_sym_SEMI,
    ACTIONS(17313), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13232), 1,
      sym_attribute,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656668] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7673), 1,
      anon_sym_POUND,
    STATE(13233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7675), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [656691] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17246), 1,
      anon_sym_LPAREN,
    ACTIONS(17315), 1,
      sym__identifier,
    STATE(13234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11979), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656724] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17317), 1,
      anon_sym_SEMI,
    ACTIONS(17319), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13235), 1,
      sym_attribute,
    STATE(15605), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656759] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9935), 1,
      anon_sym_LBRACK,
    ACTIONS(9937), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9939), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17321), 1,
      sym__identifier,
    ACTIONS(17323), 1,
      anon_sym_LPAREN,
    STATE(13236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12425), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656792] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10982), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10984), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17325), 1,
      sym__identifier,
    ACTIONS(17327), 1,
      anon_sym_LPAREN,
    STATE(13237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10508), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656825] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17329), 1,
      anon_sym_SEMI,
    ACTIONS(17331), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13238), 1,
      sym_attribute,
    STATE(15221), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656860] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10998), 1,
      anon_sym_LBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11002), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17333), 1,
      sym__identifier,
    ACTIONS(17335), 1,
      anon_sym_LPAREN,
    STATE(13239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10644), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656893] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10660), 1,
      anon_sym_LBRACK,
    ACTIONS(10662), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10664), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17337), 1,
      sym__identifier,
    ACTIONS(17339), 1,
      anon_sym_LPAREN,
    STATE(13240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8943), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656926] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17341), 1,
      anon_sym_EQ,
    ACTIONS(17343), 1,
      anon_sym_RPAREN,
    STATE(13241), 1,
      sym_attribute,
    STATE(17067), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656961] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17246), 1,
      anon_sym_LPAREN,
    ACTIONS(17345), 1,
      sym__identifier,
    STATE(13242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11979), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [656994] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17246), 1,
      anon_sym_LPAREN,
    ACTIONS(17347), 1,
      sym__identifier,
    STATE(13243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11979), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657027] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17349), 1,
      anon_sym_SEMI,
    ACTIONS(17351), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13244), 1,
      sym_attribute,
    STATE(14939), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657062] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17353), 1,
      sym__right_quoted_string_delimiter,
    STATE(13214), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(13245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16845), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16843), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [657089] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7641), 1,
      anon_sym_POUND,
    STATE(13246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7669), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [657114] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9274), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9276), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10584), 1,
      anon_sym_LBRACK,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17355), 1,
      sym__identifier,
    ACTIONS(17357), 1,
      anon_sym_LPAREN,
    STATE(13247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9184), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657147] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17359), 1,
      anon_sym_SEMI,
    ACTIONS(17361), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13248), 1,
      sym_attribute,
    STATE(15386), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657182] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17363), 1,
      anon_sym_SEMI,
    ACTIONS(17365), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13249), 1,
      sym_attribute,
    STATE(15732), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657217] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10472), 1,
      anon_sym_LBRACK,
    ACTIONS(10474), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10476), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17367), 1,
      sym__identifier,
    ACTIONS(17369), 1,
      anon_sym_LPAREN,
    STATE(13250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9479), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657250] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17371), 1,
      anon_sym_SEMI,
    ACTIONS(17373), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13251), 1,
      sym_attribute,
    STATE(14983), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657285] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17375), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13252), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12028), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [657310] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17378), 1,
      anon_sym_SEMI,
    ACTIONS(17380), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13253), 1,
      sym_attribute,
    STATE(15377), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657345] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17382), 1,
      anon_sym_SEMI,
    ACTIONS(17384), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13254), 1,
      sym_attribute,
    STATE(15203), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657380] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10516), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10520), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17386), 1,
      sym__identifier,
    ACTIONS(17388), 1,
      anon_sym_LPAREN,
    STATE(13255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9298), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657413] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9206), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9208), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10508), 1,
      anon_sym_LBRACK,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17390), 1,
      sym__identifier,
    ACTIONS(17392), 1,
      anon_sym_LPAREN,
    STATE(13256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9642), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657446] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9779), 1,
      anon_sym_LBRACK,
    ACTIONS(9781), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9783), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17394), 1,
      sym__identifier,
    ACTIONS(17396), 1,
      anon_sym_LPAREN,
    STATE(13257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11633), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_POUND,
    STATE(13258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7669), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [657502] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17398), 1,
      anon_sym_SEMI,
    ACTIONS(17400), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13259), 1,
      sym_attribute,
    STATE(16034), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657537] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9246), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9248), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10494), 1,
      anon_sym_LBRACK,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17402), 1,
      sym__identifier,
    ACTIONS(17404), 1,
      anon_sym_LPAREN,
    STATE(13260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9271), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657570] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9971), 1,
      anon_sym_LBRACK,
    ACTIONS(9973), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9975), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17406), 1,
      sym__identifier,
    ACTIONS(17408), 1,
      anon_sym_LPAREN,
    STATE(13261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10798), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657603] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17410), 1,
      anon_sym_SEMI,
    ACTIONS(17412), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13262), 1,
      sym_attribute,
    STATE(15977), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657638] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17414), 1,
      anon_sym_SEMI,
    ACTIONS(17416), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13263), 1,
      sym_attribute,
    STATE(15918), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657673] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10562), 1,
      anon_sym_LBRACK,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10566), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17418), 1,
      sym__identifier,
    ACTIONS(17420), 1,
      anon_sym_LPAREN,
    STATE(13264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8870), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657706] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9170), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9172), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10652), 1,
      anon_sym_LBRACK,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17422), 1,
      sym__identifier,
    ACTIONS(17424), 1,
      anon_sym_LPAREN,
    STATE(13265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9641), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657739] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17426), 1,
      anon_sym_SEMI,
    ACTIONS(17428), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13266), 1,
      sym_attribute,
    STATE(15604), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657774] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9751), 1,
      anon_sym_LBRACK,
    ACTIONS(9753), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9755), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17430), 1,
      sym__identifier,
    ACTIONS(17432), 1,
      anon_sym_LPAREN,
    STATE(13267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10654), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657807] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17434), 1,
      anon_sym_SEMI,
    ACTIONS(17436), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13268), 1,
      sym_attribute,
    STATE(16134), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657842] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10684), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10688), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17438), 1,
      sym__identifier,
    ACTIONS(17440), 1,
      anon_sym_LPAREN,
    STATE(13269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12679), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657875] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17246), 1,
      anon_sym_LPAREN,
    ACTIONS(17442), 1,
      sym__identifier,
    STATE(13270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11979), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [657908] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(17444), 1,
      anon_sym_SEMI,
    ACTIONS(17446), 1,
      anon_sym_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13271), 1,
      sym_attribute,
    STATE(15575), 1,
      aux_sym_object_type_repeat1,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657943] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17272), 1,
      anon_sym_constraint,
    STATE(9197), 1,
      sym_type_constraint,
    STATE(13226), 1,
      aux_sym_type_binding_repeat1,
    STATE(13272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12077), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [657970] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    STATE(13273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14915), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [657994] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17452), 1,
      anon_sym__,
    ACTIONS(17454), 1,
      anon_sym_RBRACE,
    STATE(13274), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658026] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17460), 1,
      anon_sym_SEMI,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17466), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13275), 1,
      sym_attribute,
    STATE(15095), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658058] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17468), 1,
      anon_sym_RPAREN,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    STATE(13276), 1,
      sym_attribute,
    STATE(19232), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658090] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13277), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [658120] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11390), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13278), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658152] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17482), 1,
      anon_sym_RBRACK,
    ACTIONS(17484), 1,
      anon_sym_SEMI,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    STATE(13279), 1,
      sym_attribute,
    STATE(15692), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658184] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13280), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(15210), 1,
      sym_field_binding_pattern,
    STATE(18704), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658216] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13281), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(15223), 1,
      sym_field_pattern,
    STATE(18018), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658248] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(17162), 1,
      anon_sym_LPAREN,
    ACTIONS(17164), 1,
      anon_sym_LBRACK,
    STATE(10766), 1,
      sym_constructor_declaration,
    STATE(11037), 1,
      sym__constructor_name,
    STATE(13282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17166), 2,
      anon_sym_true,
      anon_sym_false,
  [658278] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13283), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15410), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [658308] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11392), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11394), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13284), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658340] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17492), 1,
      anon_sym_DASH_GT,
    ACTIONS(17494), 1,
      anon_sym_when,
    STATE(13285), 1,
      sym_attribute,
    STATE(18083), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658372] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17496), 1,
      anon_sym_RPAREN,
    STATE(13286), 1,
      sym_attribute,
    STATE(17524), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658404] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17498), 1,
      anon_sym__,
    ACTIONS(17500), 1,
      anon_sym_RBRACE,
    STATE(13287), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658436] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17502), 1,
      anon_sym_RPAREN,
    STATE(13288), 1,
      sym_attribute,
    STATE(17707), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658468] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17504), 1,
      anon_sym_DASH_GT,
    STATE(13289), 1,
      sym_attribute,
    STATE(19762), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658500] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17506), 1,
      anon_sym__,
    ACTIONS(17508), 1,
      anon_sym_RBRACE,
    STATE(13290), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658532] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13291), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15634), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [658562] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(17510), 1,
      anon_sym_rec,
    ACTIONS(17512), 1,
      anon_sym_type,
    STATE(11875), 1,
      sym_module_binding,
    STATE(13292), 1,
      sym_attribute,
    STATE(14494), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17514), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [658592] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17516), 1,
      anon_sym_RPAREN,
    STATE(13293), 1,
      sym_attribute,
    STATE(17401), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658624] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17518), 1,
      anon_sym_RBRACK,
    ACTIONS(17520), 1,
      anon_sym_SEMI,
    STATE(13294), 1,
      sym_attribute,
    STATE(15583), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658656] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_PIPE,
    ACTIONS(17526), 1,
      anon_sym_SEMI,
    ACTIONS(17528), 1,
      anon_sym_as,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17532), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13295), 1,
      sym_attribute,
    STATE(15602), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658688] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_PIPE,
    ACTIONS(17528), 1,
      anon_sym_as,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17534), 1,
      anon_sym_SEMI,
    ACTIONS(17536), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13296), 1,
      sym_attribute,
    STATE(15747), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658720] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17538), 1,
      anon_sym_RPAREN,
    STATE(13297), 1,
      sym_attribute,
    STATE(17592), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658752] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17540), 1,
      anon_sym_RBRACK,
    ACTIONS(17542), 1,
      anon_sym_SEMI,
    STATE(13298), 1,
      sym_attribute,
    STATE(15656), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658784] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      anon_sym_SEMI,
    ACTIONS(17546), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13299), 1,
      sym_attribute,
    STATE(15688), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658816] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17548), 1,
      anon_sym__,
    ACTIONS(17550), 1,
      anon_sym_RBRACE,
    STATE(13300), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658848] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(17552), 1,
      sym__identifier,
    ACTIONS(17554), 1,
      anon_sym_type,
    ACTIONS(17556), 1,
      anon_sym_LBRACK,
    ACTIONS(17558), 1,
      anon_sym_virtual,
    STATE(12019), 1,
      sym_class_binding,
    STATE(13301), 1,
      sym_attribute,
    STATE(14528), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658880] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COLON2,
    STATE(13302), 1,
      sym_attribute,
    STATE(17111), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [658904] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17343), 1,
      anon_sym_RPAREN,
    STATE(13303), 1,
      sym_attribute,
    STATE(19735), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658936] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_RBRACK,
    ACTIONS(17564), 1,
      anon_sym_when,
    STATE(13304), 1,
      sym_attribute,
    STATE(19411), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658968] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13305), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16145), 1,
      sym_field_binding_pattern,
    STATE(18987), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659000] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13306), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16175), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    STATE(19594), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659032] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17566), 1,
      anon_sym__,
    ACTIONS(17568), 1,
      anon_sym_RBRACE,
    STATE(13307), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659064] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17570), 1,
      anon_sym__,
    ACTIONS(17572), 1,
      anon_sym_RBRACE,
    STATE(13308), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659096] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17574), 1,
      anon_sym_RPAREN,
    STATE(13309), 1,
      sym_attribute,
    STATE(19860), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659128] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11162), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11164), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13310), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659160] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17576), 1,
      anon_sym_RPAREN,
    STATE(13311), 1,
      sym_attribute,
    STATE(20146), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659192] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17578), 1,
      anon_sym_RBRACK,
    ACTIONS(17580), 1,
      anon_sym_SEMI,
    STATE(13312), 1,
      sym_attribute,
    STATE(15764), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659224] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13313), 1,
      sym_attribute,
    STATE(14142), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11696), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(16476), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [659252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7926), 1,
      anon_sym_PIPE,
    STATE(13314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7928), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [659274] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17582), 1,
      anon_sym_RPAREN,
    STATE(13315), 1,
      sym_attribute,
    STATE(18752), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659306] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17584), 1,
      anon_sym__,
    ACTIONS(17586), 1,
      anon_sym_RBRACE,
    STATE(13316), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11274), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11276), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [659360] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17588), 1,
      anon_sym_DASH_GT,
    STATE(13318), 1,
      sym_attribute,
    STATE(17786), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7930), 1,
      anon_sym_PIPE,
    STATE(13319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7932), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [659414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7940), 1,
      anon_sym_PIPE,
    STATE(13320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7942), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [659436] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13321), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(15333), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    STATE(20048), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659468] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13322), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(15376), 1,
      sym_field_pattern,
    STATE(18012), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659500] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17590), 1,
      anon_sym__,
    ACTIONS(17592), 1,
      anon_sym_RBRACE,
    STATE(13323), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659532] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17594), 1,
      anon_sym_RPAREN,
    STATE(13324), 1,
      sym_attribute,
    STATE(17729), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659564] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17596), 1,
      anon_sym_RPAREN,
    STATE(13325), 1,
      sym_attribute,
    STATE(17785), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659596] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11829), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [659616] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13327), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15128), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [659646] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11958), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11960), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13328), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659678] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11962), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11964), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13329), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11216), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [659732] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17598), 1,
      anon_sym_SEMI,
    ACTIONS(17600), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13331), 1,
      sym_attribute,
    STATE(15780), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659764] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13332), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(15934), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    STATE(19287), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659796] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13333), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16033), 1,
      sym_field_pattern,
    STATE(18773), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659828] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17602), 1,
      anon_sym__,
    ACTIONS(17604), 1,
      anon_sym_RBRACE,
    STATE(13334), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659860] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17606), 1,
      anon_sym_RPAREN,
    STATE(13335), 1,
      sym_attribute,
    STATE(18226), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659892] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11970), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11972), 1,
      anon_sym_in,
    ACTIONS(16694), 1,
      sym__identifier,
    ACTIONS(16696), 1,
      anon_sym_POUND,
    STATE(13336), 1,
      sym_attribute,
    STATE(13395), 1,
      sym_type_constructor_path,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659924] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17608), 1,
      anon_sym__,
    ACTIONS(17610), 1,
      anon_sym_RBRACE,
    STATE(13337), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659956] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17612), 1,
      anon_sym_RPAREN,
    STATE(13338), 1,
      sym_attribute,
    STATE(17362), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659988] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17614), 1,
      anon_sym_RPAREN,
    STATE(13339), 1,
      sym_attribute,
    STATE(18251), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11138), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11140), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [660042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    STATE(13341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [660064] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    STATE(13342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [660088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [660110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11220), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [660132] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13345), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(15498), 1,
      sym_field_pattern,
    STATE(18820), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660164] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17616), 1,
      anon_sym_RPAREN,
    STATE(13346), 1,
      sym_attribute,
    STATE(18643), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660196] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17618), 1,
      anon_sym_RPAREN,
    STATE(13347), 1,
      sym_attribute,
    STATE(18673), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660228] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17620), 1,
      anon_sym_DASH_GT,
    STATE(13348), 1,
      sym_attribute,
    STATE(18823), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11224), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [660282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7948), 1,
      anon_sym_PIPE,
    STATE(13350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7950), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [660304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8908), 1,
      anon_sym_PIPE,
    STATE(13351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8910), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [660326] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17622), 1,
      anon_sym_RPAREN,
    STATE(13352), 1,
      sym_attribute,
    STATE(18924), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660358] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17624), 1,
      anon_sym_RPAREN,
    STATE(13353), 1,
      sym_attribute,
    STATE(18965), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660390] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17626), 1,
      anon_sym_RPAREN,
    STATE(13354), 1,
      sym_attribute,
    STATE(19870), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660422] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17628), 1,
      anon_sym_RPAREN,
    STATE(13355), 1,
      sym_attribute,
    STATE(19199), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660454] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17630), 1,
      anon_sym_RPAREN,
    STATE(13356), 1,
      sym_attribute,
    STATE(19236), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7998), 1,
      anon_sym_PIPE,
    STATE(13357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [660508] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13358), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15684), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [660538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11178), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11180), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [660560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12014), 1,
      anon_sym_COLON2,
    STATE(13360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12012), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [660582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4975), 1,
      anon_sym_PIPE,
    ACTIONS(17632), 1,
      anon_sym_DOT_DOT,
    STATE(13361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4973), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [660606] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_RPAREN,
    ACTIONS(17634), 1,
      anon_sym_COLON2,
    STATE(13362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [660630] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_RPAREN,
    STATE(13363), 1,
      sym_attribute,
    STATE(19590), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660662] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
    STATE(13364), 1,
      sym_attribute,
    STATE(19652), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660694] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17640), 1,
      anon_sym_DASH_GT,
    STATE(13365), 1,
      sym_attribute,
    STATE(18368), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660726] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17642), 1,
      anon_sym_RBRACK,
    ACTIONS(17644), 1,
      anon_sym_SEMI,
    STATE(13366), 1,
      sym_attribute,
    STATE(15073), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    STATE(13367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16226), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [660782] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17646), 1,
      anon_sym_RPAREN,
    STATE(13368), 1,
      sym_attribute,
    STATE(20110), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660814] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17648), 1,
      anon_sym_RPAREN,
    STATE(13369), 1,
      sym_attribute,
    STATE(20128), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660846] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17650), 1,
      anon_sym_DASH_GT,
    STATE(13370), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11182), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11184), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [660900] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13372), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15296), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [660930] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17652), 1,
      anon_sym_RPAREN,
    STATE(13373), 1,
      sym_attribute,
    STATE(17343), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660962] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    STATE(13374), 1,
      sym_attribute,
    STATE(17351), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660994] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17656), 1,
      anon_sym_DASH_GT,
    STATE(13375), 1,
      sym_attribute,
    STATE(17936), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661026] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17658), 1,
      anon_sym_RPAREN,
    STATE(13376), 1,
      sym_attribute,
    STATE(17403), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661058] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17660), 1,
      anon_sym_RPAREN,
    STATE(13377), 1,
      sym_attribute,
    STATE(17409), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661090] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(17662), 1,
      anon_sym_rec,
    ACTIONS(17664), 1,
      anon_sym_type,
    STATE(12608), 1,
      sym_module_binding,
    STATE(13378), 1,
      sym_attribute,
    STATE(14799), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17666), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [661120] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    STATE(13379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14921), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [661144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11186), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11188), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [661166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17668), 1,
      anon_sym_DASH_GT,
    STATE(13381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12122), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [661188] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17670), 1,
      anon_sym_RPAREN,
    STATE(13382), 1,
      sym_attribute,
    STATE(17458), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661220] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17672), 1,
      anon_sym_RPAREN,
    STATE(13383), 1,
      sym_attribute,
    STATE(17464), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11190), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11192), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [661274] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17238), 1,
      anon_sym_RPAREN,
    STATE(13385), 1,
      sym_attribute,
    STATE(18002), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661306] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17674), 1,
      anon_sym_RPAREN,
    STATE(13386), 1,
      sym_attribute,
    STATE(17513), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661338] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17676), 1,
      anon_sym_RBRACK,
    ACTIONS(17678), 1,
      anon_sym_SEMI,
    STATE(13387), 1,
      sym_attribute,
    STATE(15649), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661370] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17680), 1,
      anon_sym_RPAREN,
    STATE(13388), 1,
      sym_attribute,
    STATE(17519), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661402] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17682), 1,
      anon_sym_SEMI,
    ACTIONS(17684), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13389), 1,
      sym_attribute,
    STATE(15680), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661434] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(17554), 1,
      anon_sym_type,
    ACTIONS(17686), 1,
      sym__identifier,
    ACTIONS(17688), 1,
      anon_sym_LBRACK,
    ACTIONS(17690), 1,
      anon_sym_virtual,
    STATE(11862), 1,
      sym_class_binding,
    STATE(13390), 1,
      sym_attribute,
    STATE(14323), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661466] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17692), 1,
      anon_sym__,
    ACTIONS(17694), 1,
      anon_sym_RBRACE,
    STATE(13391), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661498] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_PIPE,
    ACTIONS(17528), 1,
      anon_sym_as,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17696), 1,
      anon_sym_SEMI,
    ACTIONS(17698), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13392), 1,
      sym_attribute,
    STATE(15120), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    STATE(13393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7962), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [661552] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17700), 1,
      anon_sym_RPAREN,
    STATE(13394), 1,
      sym_attribute,
    STATE(17568), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11194), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11196), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [661606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7964), 1,
      anon_sym_PIPE,
    STATE(13396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7966), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [661628] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17702), 1,
      anon_sym_RPAREN,
    STATE(13397), 1,
      sym_attribute,
    STATE(17574), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661660] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8006), 1,
      anon_sym_PIPE,
    STATE(13398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [661682] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17704), 1,
      anon_sym_RPAREN,
    STATE(13399), 1,
      sym_attribute,
    STATE(17623), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661714] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17706), 1,
      anon_sym_RPAREN,
    STATE(13400), 1,
      sym_attribute,
    STATE(17629), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661746] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17708), 1,
      anon_sym_DASH_GT,
    STATE(13401), 1,
      sym_attribute,
    STATE(17719), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661778] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11910), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661798] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17710), 1,
      anon_sym__,
    ACTIONS(17712), 1,
      anon_sym_RBRACE,
    STATE(13403), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661830] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17714), 1,
      anon_sym_RPAREN,
    STATE(13404), 1,
      sym_attribute,
    STATE(17678), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661862] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17716), 1,
      anon_sym_RPAREN,
    STATE(13405), 1,
      sym_attribute,
    STATE(17684), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661894] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11914), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661914] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17718), 1,
      anon_sym_RPAREN,
    STATE(13407), 1,
      sym_attribute,
    STATE(17733), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661946] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17720), 1,
      anon_sym_RPAREN,
    STATE(13408), 1,
      sym_attribute,
    STATE(17739), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12059), 1,
      anon_sym_COLON2,
    STATE(13409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12057), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [662000] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17722), 1,
      anon_sym_RPAREN,
    STATE(13410), 1,
      sym_attribute,
    STATE(17788), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662032] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17724), 1,
      anon_sym_RPAREN,
    STATE(13411), 1,
      sym_attribute,
    STATE(17794), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_DASH_GT,
    ACTIONS(17728), 1,
      anon_sym_with,
    STATE(13412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13097), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [662088] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17730), 1,
      anon_sym__,
    ACTIONS(17732), 1,
      anon_sym_RBRACE,
    STATE(13413), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662120] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17734), 1,
      anon_sym_RPAREN,
    STATE(13414), 1,
      sym_attribute,
    STATE(17843), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662152] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17736), 1,
      anon_sym_RPAREN,
    STATE(13415), 1,
      sym_attribute,
    STATE(17849), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662184] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17738), 1,
      anon_sym__,
    ACTIONS(17740), 1,
      anon_sym_RBRACE,
    STATE(13416), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662216] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17742), 1,
      anon_sym_DASH_GT,
    STATE(13417), 1,
      sym_attribute,
    STATE(18257), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662248] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17744), 1,
      anon_sym_RPAREN,
    STATE(13418), 1,
      sym_attribute,
    STATE(17885), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662280] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17746), 1,
      anon_sym_RPAREN,
    STATE(13419), 1,
      sym_attribute,
    STATE(17891), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662312] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17748), 1,
      anon_sym_DASH_GT,
    STATE(13420), 1,
      sym_attribute,
    STATE(17395), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662344] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17750), 1,
      anon_sym__,
    ACTIONS(17752), 1,
      anon_sym_RBRACE,
    STATE(13421), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662376] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [662396] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17754), 1,
      anon_sym_RPAREN,
    STATE(13423), 1,
      sym_attribute,
    STATE(17926), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662428] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(17668), 1,
      anon_sym_DASH_GT,
    STATE(13424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12114), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [662452] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17756), 1,
      anon_sym_RPAREN,
    STATE(13425), 1,
      sym_attribute,
    STATE(17932), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662484] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17758), 1,
      anon_sym_DASH_GT,
    STATE(13426), 1,
      sym_attribute,
    STATE(19713), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662516] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17290), 1,
      anon_sym_RPAREN,
    STATE(13427), 1,
      sym_attribute,
    STATE(17482), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662548] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17760), 1,
      anon_sym_RPAREN,
    STATE(13428), 1,
      sym_attribute,
    STATE(17967), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662580] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17762), 1,
      anon_sym_RPAREN,
    STATE(13429), 1,
      sym_attribute,
    STATE(17973), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662612] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17764), 1,
      anon_sym_RPAREN,
    STATE(13430), 1,
      sym_attribute,
    STATE(18287), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11226), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11228), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [662666] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17766), 1,
      anon_sym_RBRACK,
    ACTIONS(17768), 1,
      anon_sym_SEMI,
    STATE(13432), 1,
      sym_attribute,
    STATE(15320), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662698] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17770), 1,
      anon_sym_RPAREN,
    STATE(13433), 1,
      sym_attribute,
    STATE(18008), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662730] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_PIPE,
    ACTIONS(17528), 1,
      anon_sym_as,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17772), 1,
      anon_sym_SEMI,
    ACTIONS(17774), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13434), 1,
      sym_attribute,
    STATE(15324), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662762] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17776), 1,
      anon_sym_RPAREN,
    STATE(13435), 1,
      sym_attribute,
    STATE(18014), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11230), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11232), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [662816] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17254), 1,
      anon_sym_RPAREN,
    STATE(13437), 1,
      sym_attribute,
    STATE(18338), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662848] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17778), 1,
      anon_sym__,
    ACTIONS(17780), 1,
      anon_sym_RBRACE,
    STATE(13438), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662880] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17782), 1,
      anon_sym_RBRACK,
    ACTIONS(17784), 1,
      anon_sym_SEMI,
    STATE(13439), 1,
      sym_attribute,
    STATE(15340), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662912] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17786), 1,
      anon_sym_DASH_GT,
    STATE(13440), 1,
      sym_attribute,
    STATE(18116), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662944] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17788), 1,
      anon_sym_RPAREN,
    STATE(13441), 1,
      sym_attribute,
    STATE(18049), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662976] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17790), 1,
      anon_sym_RPAREN,
    STATE(13442), 1,
      sym_attribute,
    STATE(18055), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11234), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11236), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [663030] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17792), 1,
      anon_sym_SEMI,
    ACTIONS(17794), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13444), 1,
      sym_attribute,
    STATE(15349), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11238), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11240), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [663084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11242), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11244), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [663106] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17796), 1,
      anon_sym_RPAREN,
    STATE(13447), 1,
      sym_attribute,
    STATE(18090), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663138] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17798), 1,
      anon_sym_RPAREN,
    STATE(13448), 1,
      sym_attribute,
    STATE(18096), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11246), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11248), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [663192] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17800), 1,
      anon_sym_RPAREN,
    STATE(13450), 1,
      sym_attribute,
    STATE(18131), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663224] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17802), 1,
      anon_sym_RPAREN,
    STATE(13451), 1,
      sym_attribute,
    STATE(18137), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663256] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17804), 1,
      anon_sym__,
    ACTIONS(17806), 1,
      anon_sym_RBRACE,
    STATE(13452), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663288] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17808), 1,
      anon_sym__,
    ACTIONS(17810), 1,
      anon_sym_RBRACE,
    STATE(13453), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663320] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17812), 1,
      anon_sym_RPAREN,
    STATE(13454), 1,
      sym_attribute,
    STATE(18178), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663352] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
    STATE(13455), 1,
      sym_attribute,
    STATE(19345), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663384] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17816), 1,
      anon_sym_RPAREN,
    STATE(13456), 1,
      sym_attribute,
    STATE(18213), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663416] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17818), 1,
      anon_sym_RPAREN,
    STATE(13457), 1,
      sym_attribute,
    STATE(18219), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663448] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17820), 1,
      anon_sym_RBRACK,
    ACTIONS(17822), 1,
      anon_sym_SEMI,
    STATE(13458), 1,
      sym_attribute,
    STATE(15236), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663480] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17824), 1,
      anon_sym_RPAREN,
    STATE(13459), 1,
      sym_attribute,
    STATE(18254), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663512] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17826), 1,
      anon_sym_RPAREN,
    STATE(13460), 1,
      sym_attribute,
    STATE(18260), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663544] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17828), 1,
      anon_sym__,
    ACTIONS(17830), 1,
      anon_sym_RBRACE,
    STATE(13461), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663576] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17832), 1,
      anon_sym_RPAREN,
    STATE(13462), 1,
      sym_attribute,
    STATE(18295), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663608] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17834), 1,
      anon_sym__,
    ACTIONS(17836), 1,
      anon_sym_RBRACE,
    STATE(13463), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663640] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17838), 1,
      anon_sym_RPAREN,
    STATE(13464), 1,
      sym_attribute,
    STATE(18301), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663672] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17840), 1,
      anon_sym_DASH_GT,
    STATE(13465), 1,
      sym_attribute,
    STATE(17960), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663704] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17842), 1,
      anon_sym_RPAREN,
    STATE(13466), 1,
      sym_attribute,
    STATE(18335), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663736] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17844), 1,
      anon_sym_SEMI,
    ACTIONS(17846), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13467), 1,
      sym_attribute,
    STATE(15426), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663768] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17848), 1,
      anon_sym_RPAREN,
    STATE(13468), 1,
      sym_attribute,
    STATE(18341), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(8056), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [663822] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17850), 1,
      anon_sym__,
    ACTIONS(17852), 1,
      anon_sym_RBRACE,
    STATE(13470), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663854] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_PIPE,
    ACTIONS(17528), 1,
      anon_sym_as,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17854), 1,
      anon_sym_SEMI,
    ACTIONS(17856), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13471), 1,
      sym_attribute,
    STATE(16104), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663886] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11819), 1,
      anon_sym_LPAREN,
    ACTIONS(11821), 1,
      anon_sym_LBRACK,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    STATE(10138), 1,
      sym__constructor_name,
    STATE(10630), 1,
      sym_constructor_declaration,
    STATE(13472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11823), 2,
      anon_sym_true,
      anon_sym_false,
  [663916] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17858), 1,
      anon_sym_RPAREN,
    STATE(13473), 1,
      sym_attribute,
    STATE(18375), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663948] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17860), 1,
      anon_sym_RPAREN,
    STATE(13474), 1,
      sym_attribute,
    STATE(18381), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663980] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(17668), 1,
      anon_sym_DASH_GT,
    STATE(13475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12106), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [664004] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17862), 1,
      anon_sym_RPAREN,
    STATE(13476), 1,
      sym_attribute,
    STATE(18414), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664036] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(17866), 1,
      anon_sym_AMP,
    STATE(13477), 1,
      sym_attribute,
    STATE(14094), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17864), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [664064] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17868), 1,
      anon_sym_RPAREN,
    STATE(13478), 1,
      sym_attribute,
    STATE(18420), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664096] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13479), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(15855), 1,
      sym_field_binding_pattern,
    STATE(17535), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(8060), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [664150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(8064), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [664172] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17870), 1,
      anon_sym_DASH_GT,
    STATE(13482), 1,
      sym_attribute,
    STATE(18523), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664204] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17872), 1,
      anon_sym_RPAREN,
    STATE(13483), 1,
      sym_attribute,
    STATE(18453), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664236] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17874), 1,
      anon_sym_RPAREN,
    STATE(13484), 1,
      sym_attribute,
    STATE(18459), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664268] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17876), 1,
      anon_sym_DASH_GT,
    STATE(13485), 1,
      sym_attribute,
    STATE(19023), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664300] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17878), 1,
      anon_sym_DASH_GT,
    STATE(13486), 1,
      sym_attribute,
    STATE(17970), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664332] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17880), 1,
      anon_sym_RPAREN,
    STATE(13487), 1,
      sym_attribute,
    STATE(18492), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664364] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17882), 1,
      anon_sym_RPAREN,
    STATE(13488), 1,
      sym_attribute,
    STATE(18498), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664396] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17884), 1,
      anon_sym__,
    ACTIONS(17886), 1,
      anon_sym_RBRACE,
    STATE(13489), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664428] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17888), 1,
      anon_sym_RPAREN,
    STATE(13490), 1,
      sym_attribute,
    STATE(18531), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664460] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17890), 1,
      anon_sym_RPAREN,
    STATE(13491), 1,
      sym_attribute,
    STATE(18536), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664492] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13492), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16143), 1,
      sym_field_binding_pattern,
    STATE(17606), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664524] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13493), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(14831), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    STATE(19803), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664556] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17892), 1,
      anon_sym_RPAREN,
    STATE(13494), 1,
      sym_attribute,
    STATE(18569), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664588] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17894), 1,
      anon_sym_RPAREN,
    STATE(13495), 1,
      sym_attribute,
    STATE(18574), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664620] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17896), 1,
      anon_sym_DASH_GT,
    STATE(13496), 1,
      sym_attribute,
    STATE(18928), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664652] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17898), 1,
      anon_sym_RPAREN,
    STATE(13497), 1,
      sym_attribute,
    STATE(18607), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664684] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17900), 1,
      anon_sym_RPAREN,
    STATE(13498), 1,
      sym_attribute,
    STATE(18612), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664716] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17902), 1,
      anon_sym__,
    ACTIONS(17904), 1,
      anon_sym_RBRACE,
    STATE(13499), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664748] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17906), 1,
      anon_sym_RPAREN,
    STATE(13500), 1,
      sym_attribute,
    STATE(18645), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664780] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    STATE(13501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15025), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [664804] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17908), 1,
      anon_sym_RPAREN,
    STATE(13502), 1,
      sym_attribute,
    STATE(18650), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664836] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17910), 1,
      anon_sym__,
    ACTIONS(17912), 1,
      anon_sym_RBRACE,
    STATE(13503), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664868] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(17150), 1,
      anon_sym_LPAREN,
    ACTIONS(17152), 1,
      anon_sym_LBRACK,
    STATE(10766), 1,
      sym_constructor_declaration,
    STATE(11891), 1,
      sym__constructor_name,
    STATE(13504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17154), 2,
      anon_sym_true,
      anon_sym_false,
  [664898] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17914), 1,
      anon_sym_RPAREN,
    STATE(13505), 1,
      sym_attribute,
    STATE(18674), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664930] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17916), 1,
      anon_sym_RPAREN,
    STATE(13506), 1,
      sym_attribute,
    STATE(18676), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664962] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17918), 1,
      anon_sym__,
    ACTIONS(17920), 1,
      anon_sym_RBRACE,
    STATE(13507), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664994] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17922), 1,
      anon_sym__,
    ACTIONS(17924), 1,
      anon_sym_RBRACE,
    STATE(13508), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665026] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17926), 1,
      anon_sym_RPAREN,
    STATE(13509), 1,
      sym_attribute,
    STATE(18697), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665058] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17928), 1,
      anon_sym_RPAREN,
    STATE(13510), 1,
      sym_attribute,
    STATE(18699), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(8068), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665112] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_DASH_GT,
    ACTIONS(17728), 1,
      anon_sym_with,
    STATE(13512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12885), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [665136] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17930), 1,
      anon_sym_RPAREN,
    STATE(13513), 1,
      sym_attribute,
    STATE(19190), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665168] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13514), 1,
      sym_attribute,
    STATE(13998), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12128), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(17932), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [665196] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17934), 1,
      anon_sym_RPAREN,
    STATE(13515), 1,
      sym_attribute,
    STATE(19238), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11250), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11252), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11254), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11256), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11258), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11260), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665294] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17936), 1,
      anon_sym_DASH_GT,
    STATE(13519), 1,
      sym_attribute,
    STATE(19329), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11200), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11204), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665370] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(17038), 1,
      anon_sym_LPAREN,
    ACTIONS(17040), 1,
      anon_sym_LBRACK,
    STATE(10766), 1,
      sym_constructor_declaration,
    STATE(11023), 1,
      sym__constructor_name,
    STATE(13522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17042), 2,
      anon_sym_true,
      anon_sym_false,
  [665400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11262), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11264), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665422] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13524), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(16202), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [665452] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17938), 1,
      anon_sym_DASH_GT,
    STATE(13525), 1,
      sym_attribute,
    STATE(17364), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665484] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_DASH_GT,
    ACTIONS(17728), 1,
      anon_sym_with,
    STATE(13526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13101), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [665508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11208), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665530] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13528), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15902), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [665560] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17940), 1,
      anon_sym_RBRACK,
    ACTIONS(17942), 1,
      anon_sym_SEMI,
    STATE(13529), 1,
      sym_attribute,
    STATE(15157), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665592] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11996), 1,
      anon_sym_LPAREN,
    ACTIONS(11998), 1,
      anon_sym_LBRACK,
    STATE(10573), 1,
      sym__constructor_name,
    STATE(10630), 1,
      sym_constructor_declaration,
    STATE(13530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12000), 2,
      anon_sym_true,
      anon_sym_false,
  [665622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11212), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [665644] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17944), 1,
      anon_sym_DASH_GT,
    STATE(13532), 1,
      sym_attribute,
    STATE(19041), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665676] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17946), 1,
      anon_sym_DASH_GT,
    STATE(13533), 1,
      sym_attribute,
    STATE(19389), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665708] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13534), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15924), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [665738] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13535), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17948), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [665768] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13536), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(16102), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [665798] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17950), 1,
      anon_sym_DASH_GT,
    STATE(13537), 1,
      sym_attribute,
    STATE(19293), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665830] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17952), 1,
      anon_sym__,
    ACTIONS(17954), 1,
      anon_sym_RBRACE,
    STATE(13538), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665862] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12201), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    STATE(10630), 1,
      sym_constructor_declaration,
    STATE(10915), 1,
      sym__constructor_name,
    STATE(13539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12205), 2,
      anon_sym_true,
      anon_sym_false,
  [665892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8920), 1,
      anon_sym_PIPE,
    STATE(13540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8922), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [665914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [665934] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13542), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15008), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [665964] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13543), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15052), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [665994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17958), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17956), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [666016] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17960), 1,
      anon_sym_DASH_GT,
    STATE(13545), 1,
      sym_attribute,
    STATE(19495), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15912), 1,
      anon_sym_as,
    ACTIONS(17668), 1,
      anon_sym_DASH_GT,
    STATE(13546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12118), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [666072] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12552), 1,
      anon_sym_LPAREN,
    ACTIONS(12554), 1,
      anon_sym_LBRACK,
    STATE(10630), 1,
      sym_constructor_declaration,
    STATE(11087), 1,
      sym__constructor_name,
    STATE(13547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12556), 2,
      anon_sym_true,
      anon_sym_false,
  [666102] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17962), 1,
      anon_sym__,
    ACTIONS(17964), 1,
      anon_sym_RBRACE,
    STATE(13548), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666134] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11560), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666154] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(14649), 1,
      anon_sym_BANG,
    ACTIONS(17490), 1,
      anon_sym__,
    STATE(13550), 1,
      sym_attribute,
    STATE(14070), 1,
      sym_type_variable,
    STATE(15735), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14647), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [666184] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11833), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666204] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17966), 1,
      anon_sym_DASH_GT,
    STATE(13552), 1,
      sym_attribute,
    STATE(18177), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666236] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17968), 1,
      anon_sym_DASH_GT,
    STATE(13553), 1,
      sym_attribute,
    STATE(19785), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666268] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11743), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666288] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17970), 1,
      anon_sym_RPAREN,
    STATE(13555), 1,
      sym_attribute,
    STATE(17514), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666320] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17972), 1,
      anon_sym__,
    ACTIONS(17974), 1,
      anon_sym_RBRACE,
    STATE(13556), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11266), 2,
      anon_sym_in,
      sym__identifier,
    ACTIONS(11268), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__capitalized_identifier,
  [666374] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12211), 1,
      anon_sym_LPAREN,
    ACTIONS(12213), 1,
      anon_sym_LBRACK,
    STATE(10630), 1,
      sym_constructor_declaration,
    STATE(10671), 1,
      sym__constructor_name,
    STATE(13558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12215), 2,
      anon_sym_true,
      anon_sym_false,
  [666404] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12600), 1,
      anon_sym_LPAREN,
    ACTIONS(12602), 1,
      anon_sym_LBRACK,
    STATE(10630), 1,
      sym_constructor_declaration,
    STATE(11112), 1,
      sym__constructor_name,
    STATE(13559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12604), 2,
      anon_sym_true,
      anon_sym_false,
  [666434] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17976), 1,
      anon_sym_DASH_GT,
    STATE(13560), 1,
      sym_attribute,
    STATE(19310), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666466] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(11898), 1,
      anon_sym_LPAREN,
    ACTIONS(11900), 1,
      anon_sym_LBRACK,
    STATE(10170), 1,
      sym__constructor_name,
    STATE(10630), 1,
      sym_constructor_declaration,
    STATE(13561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11902), 2,
      anon_sym_true,
      anon_sym_false,
  [666496] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17978), 1,
      anon_sym_DASH_GT,
    STATE(13562), 1,
      sym_attribute,
    STATE(18884), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666528] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(12022), 1,
      anon_sym_LPAREN,
    ACTIONS(12024), 1,
      anon_sym_LBRACK,
    STATE(10391), 1,
      sym__constructor_name,
    STATE(10630), 1,
      sym_constructor_declaration,
    STATE(13563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12026), 2,
      anon_sym_true,
      anon_sym_false,
  [666558] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17450), 1,
      sym__identifier,
    ACTIONS(17980), 1,
      anon_sym__,
    ACTIONS(17982), 1,
      anon_sym_RBRACE,
    STATE(13564), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [666610] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(17984), 1,
      anon_sym_DASH_GT,
    STATE(13566), 1,
      sym_attribute,
    STATE(18741), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666642] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13567), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(15218), 1,
      sym_field_binding_pattern,
    STATE(17486), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666674] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17986), 1,
      anon_sym_RBRACK,
    ACTIONS(17988), 1,
      anon_sym_SEMI,
    STATE(13568), 1,
      sym_attribute,
    STATE(14870), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666706] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13569), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(15244), 1,
      sym_field_pattern,
    STATE(17486), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666738] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11825), 1,
      sym__capitalized_identifier,
    ACTIONS(17156), 1,
      anon_sym_LPAREN,
    ACTIONS(17158), 1,
      anon_sym_LBRACK,
    STATE(10766), 1,
      sym_constructor_declaration,
    STATE(11977), 1,
      sym__constructor_name,
    STATE(13570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17160), 2,
      anon_sym_true,
      anon_sym_false,
  [666768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12051), 1,
      anon_sym_COLON2,
    STATE(13571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12049), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666790] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(17866), 1,
      anon_sym_AMP,
    STATE(13572), 1,
      sym_attribute,
    STATE(14053), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17990), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [666818] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11906), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [666838] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(17554), 1,
      anon_sym_type,
    ACTIONS(17992), 1,
      sym__identifier,
    ACTIONS(17994), 1,
      anon_sym_LBRACK,
    ACTIONS(17996), 1,
      anon_sym_virtual,
    STATE(12446), 1,
      sym_class_binding,
    STATE(13574), 1,
      sym_attribute,
    STATE(14214), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7095), 1,
      anon_sym_PIPE,
    ACTIONS(17632), 1,
      anon_sym_DOT_DOT,
    STATE(13575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [666894] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17998), 1,
      anon_sym_RPAREN,
    STATE(13576), 1,
      sym_attribute,
    STATE(19790), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666926] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(18000), 1,
      anon_sym_RPAREN,
    STATE(13577), 1,
      sym_attribute,
    STATE(19935), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666958] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(18002), 1,
      anon_sym_RPAREN,
    STATE(13578), 1,
      sym_attribute,
    STATE(19965), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666990] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18004), 1,
      anon_sym_RBRACK,
    ACTIONS(18006), 1,
      anon_sym_SEMI,
    STATE(13579), 1,
      sym_attribute,
    STATE(14892), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667022] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(18008), 1,
      anon_sym_DASH_GT,
    STATE(13580), 1,
      sym_attribute,
    STATE(19682), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667054] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_PIPE,
    ACTIONS(17528), 1,
      anon_sym_as,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18010), 1,
      anon_sym_SEMI,
    ACTIONS(18012), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13581), 1,
      sym_attribute,
    STATE(14901), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667086] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17176), 1,
      anon_sym_LPAREN,
    ACTIONS(17178), 1,
      anon_sym_LBRACK,
    ACTIONS(17182), 1,
      sym__capitalized_identifier,
    STATE(13582), 1,
      sym_attribute,
    STATE(14118), 1,
      sym__constructor_name,
    STATE(14468), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17180), 2,
      anon_sym_true,
      anon_sym_false,
  [667116] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(18014), 1,
      anon_sym_DASH_GT,
    STATE(13583), 1,
      sym_attribute,
    STATE(17333), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667148] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(18016), 1,
      anon_sym_DASH_GT,
    STATE(13584), 1,
      sym_attribute,
    STATE(18185), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667180] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(17554), 1,
      anon_sym_type,
    ACTIONS(18018), 1,
      sym__identifier,
    ACTIONS(18020), 1,
      anon_sym_LBRACK,
    ACTIONS(18022), 1,
      anon_sym_virtual,
    STATE(12433), 1,
      sym_class_binding,
    STATE(13585), 1,
      sym_attribute,
    STATE(14418), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667212] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17224), 1,
      anon_sym_RPAREN,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    STATE(13586), 1,
      sym_attribute,
    STATE(17358), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667244] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18024), 1,
      anon_sym_RPAREN,
    STATE(13587), 1,
      sym_attribute,
    STATE(19649), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667276] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18026), 1,
      anon_sym_RBRACK,
    ACTIONS(18028), 1,
      anon_sym_SEMI,
    STATE(13588), 1,
      sym_attribute,
    STATE(15562), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667308] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_when,
    ACTIONS(18030), 1,
      anon_sym_DASH_GT,
    STATE(13589), 1,
      sym_attribute,
    STATE(20113), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667340] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18032), 1,
      anon_sym_RBRACK,
    ACTIONS(18034), 1,
      anon_sym_SEMI,
    STATE(13590), 1,
      sym_attribute,
    STATE(14922), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667372] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_PIPE,
    ACTIONS(17528), 1,
      anon_sym_as,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18036), 1,
      anon_sym_SEMI,
    ACTIONS(18038), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13591), 1,
      sym_attribute,
    STATE(15895), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667404] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(18040), 1,
      anon_sym_rec,
    ACTIONS(18042), 1,
      anon_sym_type,
    STATE(12018), 1,
      sym_module_binding,
    STATE(13592), 1,
      sym_attribute,
    STATE(14802), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18044), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [667434] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18046), 1,
      anon_sym_SEMI,
    ACTIONS(18048), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13593), 1,
      sym_attribute,
    STATE(14938), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667466] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(17266), 1,
      anon_sym_RPAREN,
    STATE(13594), 1,
      sym_attribute,
    STATE(18266), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667498] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18050), 1,
      anon_sym_RBRACK,
    ACTIONS(18052), 1,
      anon_sym_SEMI,
    STATE(13595), 1,
      sym_attribute,
    STATE(15009), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667530] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18054), 1,
      anon_sym_SEMI,
    ACTIONS(18056), 1,
      anon_sym_PIPE_RBRACK,
    STATE(13596), 1,
      sym_attribute,
    STATE(15401), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667562] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13597), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(14837), 1,
      sym_field_pattern,
    STATE(17606), 1,
      sym__quoted_string,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667594] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(18058), 1,
      anon_sym_rec,
    ACTIONS(18060), 1,
      anon_sym_type,
    STATE(12606), 1,
      sym_module_binding,
    STATE(13598), 1,
      sym_attribute,
    STATE(14796), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18062), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [667624] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(18064), 1,
      anon_sym_RPAREN,
    STATE(13599), 1,
      sym_attribute,
    STATE(18172), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667656] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(13600), 1,
      sym_attribute,
    STATE(14785), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20051), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [667683] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18070), 1,
      sym__identifier,
    ACTIONS(18072), 1,
      anon_sym_LBRACK,
    ACTIONS(18074), 1,
      anon_sym_virtual,
    STATE(11408), 1,
      sym_class_type_binding,
    STATE(13601), 1,
      sym_attribute,
    STATE(14272), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667712] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18076), 1,
      anon_sym_RBRACE,
    STATE(13602), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667741] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18078), 1,
      anon_sym_RBRACE,
    STATE(13603), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667770] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18080), 1,
      sym__identifier,
    STATE(6504), 1,
      sym_class_path,
    STATE(13604), 1,
      sym_attribute,
    STATE(14755), 1,
      sym__attribute,
    STATE(18074), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667799] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18082), 1,
      sym__identifier,
    STATE(6034), 1,
      sym_class_path,
    STATE(13605), 1,
      sym_attribute,
    STATE(14317), 1,
      sym__attribute,
    STATE(18515), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667828] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18084), 1,
      anon_sym_RBRACE,
    STATE(13606), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9528), 1,
      anon_sym_PIPE,
    STATE(13607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [667878] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18086), 1,
      sym__identifier,
    STATE(6865), 1,
      sym_class_path,
    STATE(13608), 1,
      sym_attribute,
    STATE(14207), 1,
      sym__attribute,
    STATE(17440), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667907] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12640), 1,
      anon_sym_and,
    STATE(13609), 1,
      sym_attribute,
    STATE(13723), 1,
      aux_sym_expression_item_repeat1,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12638), 2,
      anon_sym_in,
      sym_let_and_operator,
  [667934] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12435), 1,
      anon_sym_and,
    STATE(13610), 1,
      sym_attribute,
    STATE(13625), 1,
      aux_sym_expression_item_repeat1,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12433), 2,
      anon_sym_in,
      sym_let_and_operator,
  [667961] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18088), 1,
      anon_sym_RBRACE,
    STATE(13611), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667990] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18090), 1,
      anon_sym_RBRACE,
    STATE(13612), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668019] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18092), 1,
      sym__identifier,
    STATE(7872), 1,
      sym_class_path,
    STATE(13613), 1,
      sym_attribute,
    STATE(14281), 1,
      sym__attribute,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668048] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18094), 1,
      anon_sym_RBRACE,
    STATE(13614), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668077] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18096), 1,
      anon_sym_RBRACE,
    STATE(13615), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668106] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18098), 1,
      anon_sym_RBRACE,
    STATE(13616), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668135] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18100), 1,
      anon_sym_RBRACE,
    STATE(13617), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668164] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18102), 1,
      sym__identifier,
    STATE(5631), 1,
      sym_class_path,
    STATE(13618), 1,
      sym_attribute,
    STATE(14365), 1,
      sym__attribute,
    STATE(18553), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668193] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18104), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13619), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(11906), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [668214] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18107), 1,
      anon_sym_RBRACE,
    STATE(13620), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668243] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18109), 1,
      anon_sym_RBRACE,
    STATE(13621), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668272] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18111), 1,
      anon_sym_RBRACE,
    STATE(13622), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668301] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18113), 1,
      anon_sym_RBRACE,
    STATE(13623), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668330] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18115), 1,
      anon_sym_RBRACE,
    STATE(13624), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668359] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12386), 1,
      anon_sym_and,
    STATE(13625), 1,
      sym_attribute,
    STATE(13723), 1,
      aux_sym_expression_item_repeat1,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12384), 2,
      anon_sym_in,
      sym_let_and_operator,
  [668386] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12390), 1,
      anon_sym_and,
    STATE(13626), 1,
      sym_attribute,
    STATE(13637), 1,
      aux_sym_expression_item_repeat1,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12388), 2,
      anon_sym_in,
      sym_let_and_operator,
  [668413] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18117), 1,
      anon_sym_RBRACE,
    STATE(13627), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668442] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18119), 1,
      anon_sym_RBRACE,
    STATE(13628), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668471] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18121), 1,
      anon_sym_RBRACE,
    STATE(13629), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668500] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18123), 1,
      anon_sym_RBRACE,
    STATE(13630), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668529] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18125), 1,
      anon_sym_RBRACE,
    STATE(13631), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668558] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18127), 1,
      anon_sym_RBRACE,
    STATE(13632), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9534), 1,
      anon_sym_PIPE,
    STATE(13633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9536), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [668608] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18129), 1,
      anon_sym_RBRACE,
    STATE(13634), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668637] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18131), 1,
      anon_sym_RBRACE,
    STATE(13635), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668666] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18133), 1,
      anon_sym_RBRACE,
    STATE(13636), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668695] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12457), 1,
      anon_sym_and,
    STATE(13637), 1,
      sym_attribute,
    STATE(13723), 1,
      aux_sym_expression_item_repeat1,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 2,
      anon_sym_in,
      sym_let_and_operator,
  [668722] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18135), 1,
      anon_sym_RBRACE,
    STATE(13638), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668751] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18137), 1,
      anon_sym_RBRACE,
    STATE(13639), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668780] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18139), 1,
      anon_sym_RBRACE,
    STATE(13640), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8926), 1,
      anon_sym_PIPE,
    STATE(13641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8928), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [668830] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18141), 1,
      anon_sym_RBRACE,
    STATE(13642), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668859] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18143), 1,
      anon_sym_RBRACE,
    STATE(13643), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668888] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(13689), 1,
      anon_sym_POUND,
    ACTIONS(18145), 1,
      anon_sym_DASH_GT,
    STATE(11835), 1,
      sym_type_constructor_path,
    STATE(13644), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668917] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18147), 1,
      anon_sym_RBRACE,
    STATE(13645), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668946] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    STATE(13646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18149), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [668973] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18151), 1,
      sym__identifier,
    STATE(3707), 1,
      sym_class_path,
    STATE(13647), 1,
      sym_attribute,
    STATE(14187), 1,
      sym__attribute,
    STATE(17495), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669002] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18153), 1,
      sym__identifier,
    STATE(5195), 1,
      sym_class_path,
    STATE(13648), 1,
      sym_attribute,
    STATE(14419), 1,
      sym__attribute,
    STATE(18591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669031] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18155), 1,
      anon_sym_RBRACE,
    STATE(13649), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669060] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18157), 1,
      anon_sym_RBRACE,
    STATE(13650), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669089] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18159), 1,
      anon_sym_RBRACE,
    STATE(13651), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669118] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18161), 1,
      anon_sym_RBRACE,
    STATE(13652), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669147] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18163), 1,
      anon_sym_RBRACE,
    STATE(13653), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669176] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18165), 1,
      anon_sym_RBRACE,
    STATE(13654), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669205] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    STATE(13655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18167), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [669232] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(13656), 1,
      sym_attribute,
    STATE(14168), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19323), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [669259] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18169), 1,
      anon_sym_RBRACE,
    STATE(13657), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669288] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18171), 1,
      anon_sym_RBRACE,
    STATE(13658), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669317] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18173), 1,
      anon_sym_RBRACE,
    STATE(13659), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669346] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18175), 1,
      anon_sym_RBRACE,
    STATE(13660), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669375] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18177), 1,
      anon_sym_RBRACE,
    STATE(13661), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669404] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18179), 1,
      anon_sym_RBRACE,
    STATE(13662), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669433] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18181), 1,
      anon_sym_RBRACE,
    STATE(13663), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669462] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18183), 1,
      anon_sym_RBRACE,
    STATE(13664), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669491] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18185), 1,
      sym__identifier,
    STATE(7248), 1,
      sym_class_path,
    STATE(13665), 1,
      sym_attribute,
    STATE(14194), 1,
      sym__attribute,
    STATE(18839), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4975), 1,
      anon_sym_PIPE,
    STATE(13666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4973), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9042), 1,
      anon_sym_PIPE,
    STATE(13667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9046), 1,
      anon_sym_PIPE,
    STATE(13668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_PIPE,
    STATE(13669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669604] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9358), 1,
      anon_sym_PIPE,
    STATE(13670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669625] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18187), 1,
      sym__identifier,
    STATE(3093), 1,
      sym_class_path,
    STATE(13671), 1,
      sym_attribute,
    STATE(14459), 1,
      sym__attribute,
    STATE(18629), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12008), 1,
      anon_sym_RPAREN,
    STATE(13672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [669675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7095), 1,
      anon_sym_PIPE,
    STATE(13673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7091), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669696] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18189), 1,
      sym__identifier,
    STATE(3309), 1,
      sym_class_path,
    STATE(13674), 1,
      sym_attribute,
    STATE(14332), 1,
      sym__attribute,
    STATE(18238), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669725] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18191), 1,
      sym__identifier,
    ACTIONS(18193), 1,
      anon_sym_BANG,
    STATE(12325), 1,
      sym__instance_variable_name,
    STATE(13675), 1,
      sym_attribute,
    STATE(13942), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18195), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [669752] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18197), 1,
      sym__identifier,
    STATE(7055), 1,
      sym_class_path,
    STATE(13676), 1,
      sym_attribute,
    STATE(14244), 1,
      sym__attribute,
    STATE(17550), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669781] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18199), 1,
      anon_sym_RBRACE,
    STATE(13677), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669810] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18201), 1,
      anon_sym_RBRACE,
    STATE(13678), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669839] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18203), 1,
      anon_sym_RBRACE,
    STATE(13679), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669868] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18205), 1,
      anon_sym_RBRACE,
    STATE(13680), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669897] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18207), 1,
      sym__identifier,
    STATE(2800), 1,
      sym_class_path,
    STATE(13681), 1,
      sym_attribute,
    STATE(14487), 1,
      sym__attribute,
    STATE(18666), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669926] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18209), 1,
      anon_sym_RBRACE,
    STATE(13682), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669955] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18211), 1,
      anon_sym_and,
    STATE(13619), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12558), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [669978] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18213), 1,
      anon_sym_RBRACE,
    STATE(13684), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670007] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    STATE(13685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18215), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [670030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_PIPE,
    STATE(13686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670051] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18217), 1,
      anon_sym_RBRACE,
    STATE(13687), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7956), 1,
      anon_sym_PIPE,
    STATE(13688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7958), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670101] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18219), 1,
      anon_sym_RBRACE,
    STATE(13689), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670130] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18221), 1,
      anon_sym_RBRACE,
    STATE(13690), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670159] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18223), 1,
      anon_sym_RBRACE,
    STATE(13691), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670188] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18225), 1,
      anon_sym_RBRACE,
    STATE(13692), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670217] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18227), 1,
      anon_sym_RBRACE,
    STATE(13693), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670246] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    STATE(13694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18229), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [670273] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18231), 1,
      anon_sym_RBRACE,
    STATE(13695), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670302] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18233), 1,
      anon_sym_RBRACE,
    STATE(13696), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670331] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18235), 1,
      anon_sym_RBRACE,
    STATE(13697), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670360] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18237), 1,
      anon_sym_RBRACE,
    STATE(13698), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8930), 1,
      anon_sym_PIPE,
    STATE(13699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8932), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670410] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18239), 1,
      anon_sym_RBRACE,
    STATE(13700), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8968), 1,
      anon_sym_PIPE,
    STATE(13701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8970), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670460] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18241), 1,
      sym__identifier,
    STATE(3180), 1,
      sym_class_path,
    STATE(13702), 1,
      sym_attribute,
    STATE(14523), 1,
      sym__attribute,
    STATE(18690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9008), 1,
      anon_sym_PIPE,
    STATE(13703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670510] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18243), 1,
      anon_sym_RBRACE,
    STATE(13704), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670539] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18245), 1,
      sym__identifier,
    STATE(6784), 1,
      sym_class_path,
    STATE(13705), 1,
      sym_attribute,
    STATE(14424), 1,
      sym__attribute,
    STATE(19292), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670568] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18247), 1,
      anon_sym_RBRACE,
    STATE(13706), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670597] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17478), 1,
      anon_sym_COMMA,
    ACTIONS(17480), 1,
      anon_sym_PIPE,
    ACTIONS(17486), 1,
      anon_sym_as,
    ACTIONS(17488), 1,
      anon_sym_COLON_COLON,
    STATE(13707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18249), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [670624] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18251), 1,
      sym__identifier,
    STATE(6347), 1,
      sym_class_path,
    STATE(13708), 1,
      sym_attribute,
    STATE(14290), 1,
      sym__attribute,
    STATE(17605), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670653] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18253), 1,
      sym__identifier,
    STATE(3988), 1,
      sym_class_path,
    STATE(13709), 1,
      sym_attribute,
    STATE(14469), 1,
      sym__attribute,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670682] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18255), 1,
      anon_sym_RBRACE,
    STATE(13710), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670711] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18257), 1,
      anon_sym_RBRACE,
    STATE(13711), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670740] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18259), 1,
      anon_sym_RBRACE,
    STATE(13712), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670769] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18261), 1,
      sym__identifier,
    STATE(6106), 1,
      sym_class_path,
    STATE(13713), 1,
      sym_attribute,
    STATE(14239), 1,
      sym__attribute,
    STATE(18115), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670798] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18263), 1,
      anon_sym_RBRACE,
    STATE(13714), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670827] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18265), 1,
      anon_sym_RBRACE,
    STATE(13715), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670856] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    STATE(13716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9080), 1,
      anon_sym_PIPE,
    STATE(13717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670898] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18267), 1,
      anon_sym_RBRACE,
    STATE(13718), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9444), 1,
      anon_sym_PIPE,
    STATE(13719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670948] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18269), 1,
      anon_sym_RBRACE,
    STATE(13720), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11276), 1,
      anon_sym_RPAREN,
    STATE(13721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__identifier,
      sym__capitalized_identifier,
  [670998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9416), 1,
      anon_sym_PIPE,
    STATE(13722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [671019] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11875), 1,
      anon_sym_and,
    ACTIONS(18271), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11873), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(13723), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [671044] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18274), 1,
      anon_sym_RBRACE,
    STATE(13724), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8934), 1,
      anon_sym_PIPE,
    STATE(13725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8936), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [671094] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18276), 1,
      anon_sym_RBRACE,
    STATE(13726), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671123] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18278), 1,
      anon_sym_RBRACE,
    STATE(13727), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671152] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9550), 1,
      anon_sym_PIPE,
    STATE(13728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9552), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [671173] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18280), 1,
      anon_sym_RBRACE,
    STATE(13729), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671202] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    STATE(13730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18282), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [671229] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18284), 1,
      anon_sym_RBRACE,
    STATE(13731), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671258] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18286), 1,
      anon_sym_RBRACE,
    STATE(13732), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671287] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18288), 1,
      anon_sym_RBRACE,
    STATE(13733), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671316] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18290), 1,
      anon_sym_RBRACE,
    STATE(13734), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671345] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18292), 1,
      anon_sym_RBRACE,
    STATE(13735), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671374] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18294), 1,
      anon_sym_RBRACE,
    STATE(13736), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671403] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18296), 1,
      anon_sym_RBRACE,
    STATE(13737), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671432] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18298), 1,
      sym__identifier,
    STATE(5757), 1,
      sym_class_path,
    STATE(13738), 1,
      sym_attribute,
    STATE(14344), 1,
      sym__attribute,
    STATE(17715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671461] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18300), 1,
      sym__identifier,
    STATE(4715), 1,
      sym_class_path,
    STATE(13739), 1,
      sym_attribute,
    STATE(14546), 1,
      sym__attribute,
    STATE(18319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671490] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18302), 1,
      anon_sym_RBRACE,
    STATE(13740), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671519] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18304), 1,
      sym__identifier,
    STATE(6378), 1,
      sym_class_path,
    STATE(13741), 1,
      sym_attribute,
    STATE(14634), 1,
      sym__attribute,
    STATE(17992), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671548] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18306), 1,
      sym__identifier,
    STATE(9388), 1,
      sym_class_path,
    STATE(13742), 1,
      sym_attribute,
    STATE(14695), 1,
      sym__attribute,
    STATE(18033), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671577] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18308), 1,
      anon_sym_RBRACE,
    STATE(13743), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671606] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    STATE(13744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18310), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [671633] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12332), 1,
      anon_sym_and,
    STATE(13745), 1,
      sym_attribute,
    STATE(13809), 1,
      aux_sym_expression_item_repeat1,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12330), 2,
      anon_sym_in,
      sym_let_and_operator,
  [671660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_COLON2,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    STATE(13746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [671683] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8972), 1,
      anon_sym_COLON2,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    STATE(13747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [671708] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18312), 1,
      anon_sym_RBRACE,
    STATE(13748), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671737] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8980), 1,
      anon_sym_COLON2,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    STATE(13749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [671760] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    ACTIONS(18314), 1,
      anon_sym_rec,
    STATE(13750), 1,
      sym_attribute,
    STATE(14771), 1,
      sym__attribute,
    STATE(16047), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18316), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [671787] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    STATE(13751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16648), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [671814] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18318), 1,
      anon_sym_RBRACE,
    STATE(13752), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671843] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18320), 1,
      anon_sym_RBRACE,
    STATE(13753), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671872] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16406), 1,
      anon_sym_PIPE,
    STATE(13754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16404), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [671893] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16410), 1,
      anon_sym_PIPE,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    STATE(13755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16408), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [671916] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18322), 1,
      anon_sym_RBRACE,
    STATE(13756), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671945] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16430), 1,
      anon_sym_PIPE,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    STATE(13757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16426), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [671970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16510), 1,
      anon_sym_PIPE,
    STATE(13758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16508), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [671991] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16520), 1,
      anon_sym_PIPE,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    STATE(13759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16518), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [672014] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18324), 1,
      anon_sym_RBRACE,
    STATE(13760), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16367), 1,
      anon_sym_PIPE,
    STATE(13761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16365), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [672064] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8940), 1,
      anon_sym_PIPE,
    STATE(13762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [672085] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18326), 1,
      anon_sym_RBRACE,
    STATE(13763), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672114] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18328), 1,
      anon_sym_RBRACE,
    STATE(13764), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7974), 1,
      anon_sym_PIPE,
    STATE(13765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7976), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [672164] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18330), 1,
      anon_sym_RBRACE,
    STATE(13766), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672193] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18332), 1,
      anon_sym_RBRACE,
    STATE(13767), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672222] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18334), 1,
      anon_sym_RBRACE,
    STATE(13768), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9426), 1,
      anon_sym_PIPE,
    STATE(13769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [672272] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18336), 1,
      anon_sym_RBRACE,
    STATE(13770), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672301] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18338), 1,
      anon_sym_RBRACE,
    STATE(13771), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672330] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18340), 1,
      anon_sym_RBRACE,
    STATE(13772), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672359] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18342), 1,
      sym__identifier,
    STATE(6636), 1,
      sym_class_path,
    STATE(13773), 1,
      sym_attribute,
    STATE(14640), 1,
      sym__attribute,
    STATE(17660), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672388] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18344), 1,
      anon_sym_RBRACE,
    STATE(13774), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672417] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18346), 1,
      sym__identifier,
    STATE(4930), 1,
      sym_class_path,
    STATE(13775), 1,
      sym_attribute,
    STATE(14397), 1,
      sym__attribute,
    STATE(17770), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672446] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18348), 1,
      anon_sym_RBRACE,
    STATE(13776), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7982), 1,
      anon_sym_PIPE,
    STATE(13777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7984), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [672496] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18350), 1,
      sym__identifier,
    STATE(3467), 1,
      sym_class_path,
    STATE(13778), 1,
      sym_attribute,
    STATE(14372), 1,
      sym__attribute,
    STATE(18156), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672525] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    ACTIONS(18356), 1,
      anon_sym_RBRACK,
    STATE(13779), 1,
      sym_attribute,
    STATE(15956), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_PIPE,
    STATE(13780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9026), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [672575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7986), 1,
      anon_sym_PIPE,
    STATE(13781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7988), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [672596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7990), 1,
      anon_sym_PIPE,
    STATE(13782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7992), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [672617] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18358), 1,
      anon_sym_RBRACE,
    STATE(13783), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672646] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18360), 1,
      anon_sym_RBRACE,
    STATE(13784), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672675] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18362), 1,
      anon_sym_RBRACE,
    STATE(13785), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672704] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18364), 1,
      anon_sym_RBRACE,
    STATE(13786), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672733] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18366), 1,
      anon_sym_RBRACE,
    STATE(13787), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672762] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18368), 1,
      anon_sym_RBRACE,
    STATE(13788), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672791] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18370), 1,
      sym__identifier,
    STATE(6901), 1,
      sym_class_path,
    STATE(13789), 1,
      sym_attribute,
    STATE(14414), 1,
      sym__attribute,
    STATE(18110), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672820] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18372), 1,
      anon_sym_RBRACE,
    STATE(13790), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672849] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18374), 1,
      anon_sym_RBRACE,
    STATE(13791), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672878] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(15934), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(13792), 1,
      sym_attribute,
    STATE(14173), 1,
      sym__attribute,
    STATE(17138), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672907] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18376), 1,
      anon_sym_RBRACE,
    STATE(13793), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672936] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18378), 1,
      anon_sym_RBRACE,
    STATE(13794), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672965] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12372), 1,
      anon_sym_and,
    STATE(13723), 1,
      aux_sym_expression_item_repeat1,
    STATE(13795), 1,
      sym_attribute,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12370), 2,
      anon_sym_in,
      sym_let_and_operator,
  [672992] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18380), 1,
      anon_sym_RBRACE,
    STATE(13796), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_PIPE,
    STATE(13797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673042] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18382), 1,
      anon_sym_RBRACE,
    STATE(13798), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9058), 1,
      anon_sym_PIPE,
    STATE(13799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673092] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18384), 1,
      anon_sym_RBRACE,
    STATE(13800), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673121] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18386), 1,
      anon_sym_RBRACE,
    STATE(13801), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8944), 1,
      anon_sym_PIPE,
    STATE(13802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8946), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8948), 1,
      anon_sym_PIPE,
    STATE(13803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8950), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673192] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(15934), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(13804), 1,
      sym_attribute,
    STATE(14393), 1,
      sym__attribute,
    STATE(16471), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673221] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18388), 1,
      anon_sym_RBRACE,
    STATE(13805), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8952), 1,
      anon_sym_PIPE,
    STATE(13806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8954), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673271] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17524), 1,
      anon_sym_PIPE,
    ACTIONS(17528), 1,
      anon_sym_as,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    STATE(13807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18229), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [673298] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    STATE(13808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8958), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673319] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12461), 1,
      anon_sym_and,
    STATE(13723), 1,
      aux_sym_expression_item_repeat1,
    STATE(13809), 1,
      sym_attribute,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12459), 2,
      anon_sym_in,
      sym_let_and_operator,
  [673346] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12465), 1,
      anon_sym_and,
    STATE(13810), 1,
      sym_attribute,
    STATE(13870), 1,
      aux_sym_expression_item_repeat1,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12463), 2,
      anon_sym_in,
      sym_let_and_operator,
  [673373] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18390), 1,
      anon_sym_RBRACE,
    STATE(13811), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673402] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    STATE(13812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18282), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [673429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9016), 1,
      anon_sym_PIPE,
    STATE(13813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9018), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673450] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18392), 1,
      sym__identifier,
    STATE(2874), 1,
      sym_class_path,
    STATE(13814), 1,
      sym_attribute,
    STATE(14763), 1,
      sym__attribute,
    STATE(18359), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673479] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18394), 1,
      sym__identifier,
    STATE(7051), 1,
      sym_class_path,
    STATE(13815), 1,
      sym_attribute,
    STATE(14665), 1,
      sym__attribute,
    STATE(18516), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8960), 1,
      anon_sym_PIPE,
    STATE(13816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8962), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673529] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18396), 1,
      sym__identifier,
    STATE(4894), 1,
      sym_class_path,
    STATE(13817), 1,
      sym_attribute,
    STATE(14516), 1,
      sym__attribute,
    STATE(17319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673558] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18398), 1,
      anon_sym_RBRACE,
    STATE(13818), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673587] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8964), 1,
      anon_sym_PIPE,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    STATE(13819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8966), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [673610] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(15934), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(13820), 1,
      sym_attribute,
    STATE(14603), 1,
      sym__attribute,
    STATE(17062), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673639] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8972), 1,
      anon_sym_PIPE,
    ACTIONS(17522), 1,
      anon_sym_COMMA,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    STATE(13821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8974), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [673664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8976), 1,
      anon_sym_PIPE,
    STATE(13822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8978), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673685] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8980), 1,
      anon_sym_PIPE,
    ACTIONS(17530), 1,
      anon_sym_COLON_COLON,
    STATE(13823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8982), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [673708] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18400), 1,
      anon_sym_RBRACE,
    STATE(13824), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673737] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18402), 1,
      sym__identifier,
    STATE(4224), 1,
      sym_class_path,
    STATE(13825), 1,
      sym_attribute,
    STATE(14197), 1,
      sym__attribute,
    STATE(19525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673766] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18404), 1,
      anon_sym_RBRACE,
    STATE(13826), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673795] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18406), 1,
      anon_sym_RBRACE,
    STATE(13827), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8988), 1,
      anon_sym_PIPE,
    STATE(13828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8996), 1,
      anon_sym_PIPE,
    STATE(13829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8998), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9472), 1,
      anon_sym_PIPE,
    STATE(13830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673887] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18408), 1,
      sym__identifier,
    STATE(5275), 1,
      sym_class_path,
    STATE(13831), 1,
      sym_attribute,
    STATE(14452), 1,
      sym__attribute,
    STATE(17825), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673916] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9476), 1,
      anon_sym_PIPE,
    STATE(13832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      anon_sym_PIPE,
    STATE(13833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673958] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18410), 1,
      anon_sym_RBRACE,
    STATE(13834), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673987] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18412), 1,
      anon_sym_RBRACE,
    STATE(13835), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674016] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18414), 1,
      anon_sym_RBRACE,
    STATE(13836), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9484), 1,
      anon_sym_PIPE,
    STATE(13837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674066] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18416), 1,
      anon_sym_RBRACE,
    STATE(13838), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674095] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_COMMA,
    ACTIONS(17458), 1,
      anon_sym_PIPE,
    ACTIONS(17462), 1,
      anon_sym_as,
    ACTIONS(17464), 1,
      anon_sym_COLON_COLON,
    STATE(13839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16536), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [674122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9462), 1,
      anon_sym_PIPE,
    STATE(13840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674143] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18418), 1,
      anon_sym_RBRACE,
    STATE(13841), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674172] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18420), 1,
      anon_sym_RBRACE,
    STATE(13842), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674201] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18422), 1,
      anon_sym_RBRACE,
    STATE(13843), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674230] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18424), 1,
      sym__identifier,
    STATE(5936), 1,
      sym_class_path,
    STATE(13844), 1,
      sym_attribute,
    STATE(14184), 1,
      sym__attribute,
    STATE(18398), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674259] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18426), 1,
      anon_sym_RBRACE,
    STATE(13845), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7641), 1,
      anon_sym_PIPE,
    STATE(13846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7643), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674309] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18428), 1,
      anon_sym_RBRACE,
    STATE(13847), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674338] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18430), 1,
      anon_sym_RBRACE,
    STATE(13848), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16660), 1,
      anon_sym_PIPE,
    STATE(13849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674388] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18432), 1,
      anon_sym_RBRACE,
    STATE(13850), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674417] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18434), 1,
      sym__identifier,
    STATE(7509), 1,
      sym_class_path,
    STATE(13851), 1,
      sym_attribute,
    STATE(14610), 1,
      sym__attribute,
    STATE(18197), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674446] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18436), 1,
      anon_sym_RBRACE,
    STATE(13852), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674475] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18438), 1,
      anon_sym_RBRACE,
    STATE(13853), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674504] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18440), 1,
      anon_sym_RBRACE,
    STATE(13854), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674533] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18442), 1,
      anon_sym_RBRACE,
    STATE(13855), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9500), 1,
      anon_sym_PIPE,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674583] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18444), 1,
      anon_sym_RBRACE,
    STATE(13857), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674612] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18446), 1,
      anon_sym_RBRACE,
    STATE(13858), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674641] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18211), 1,
      anon_sym_and,
    STATE(13683), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12696), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [674664] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18448), 1,
      anon_sym_RBRACE,
    STATE(13860), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674693] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18450), 1,
      anon_sym_RBRACE,
    STATE(13861), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674722] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18452), 1,
      anon_sym_RBRACE,
    STATE(13862), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674751] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18454), 1,
      anon_sym_RBRACE,
    STATE(13863), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674780] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18456), 1,
      sym__identifier,
    STATE(5799), 1,
      sym_class_path,
    STATE(13864), 1,
      sym_attribute,
    STATE(14495), 1,
      sym__attribute,
    STATE(17910), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674809] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18458), 1,
      anon_sym_RBRACE,
    STATE(13865), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674838] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8984), 1,
      anon_sym_PIPE,
    STATE(13866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8986), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8992), 1,
      anon_sym_PIPE,
    STATE(13867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9000), 1,
      anon_sym_PIPE,
    STATE(13868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674901] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12658), 1,
      anon_sym_and,
    STATE(13609), 1,
      aux_sym_expression_item_repeat1,
    STATE(13869), 1,
      sym_attribute,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12656), 2,
      anon_sym_in,
      sym_let_and_operator,
  [674928] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12662), 1,
      anon_sym_and,
    STATE(13723), 1,
      aux_sym_expression_item_repeat1,
    STATE(13870), 1,
      sym_attribute,
    STATE(14493), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12660), 2,
      anon_sym_in,
      sym_let_and_operator,
  [674955] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18460), 1,
      sym__identifier,
    STATE(7300), 1,
      sym_class_path,
    STATE(13871), 1,
      sym_attribute,
    STATE(14428), 1,
      sym__attribute,
    STATE(19839), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674984] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9012), 1,
      anon_sym_PIPE,
    STATE(13872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675005] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18462), 1,
      anon_sym_RBRACE,
    STATE(13873), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675034] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_PIPE,
    STATE(13874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675055] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18464), 1,
      anon_sym_RBRACE,
    STATE(13875), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9492), 1,
      anon_sym_PIPE,
    STATE(13876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9494), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9412), 1,
      anon_sym_PIPE,
    STATE(13877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9524), 1,
      anon_sym_PIPE,
    STATE(13878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9540), 1,
      anon_sym_PIPE,
    STATE(13879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675168] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9544), 1,
      anon_sym_PIPE,
    STATE(13880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7922), 1,
      anon_sym_PIPE,
    STATE(13881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7924), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_PIPE,
    STATE(13882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675231] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18466), 1,
      sym__identifier,
    STATE(3678), 1,
      sym_class_path,
    STATE(13883), 1,
      sym_attribute,
    STATE(14226), 1,
      sym__attribute,
    STATE(18437), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675260] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18468), 1,
      anon_sym_RBRACE,
    STATE(13884), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675289] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18470), 1,
      anon_sym_RBRACE,
    STATE(13885), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675318] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18472), 1,
      anon_sym_RBRACE,
    STATE(13886), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675347] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18474), 1,
      anon_sym_RBRACE,
    STATE(13887), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675376] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18476), 1,
      anon_sym_RBRACE,
    STATE(13888), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675405] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18478), 1,
      sym__identifier,
    STATE(3377), 1,
      sym_class_path,
    STATE(13889), 1,
      sym_attribute,
    STATE(14701), 1,
      sym__attribute,
    STATE(17385), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675434] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18480), 1,
      anon_sym_RBRACE,
    STATE(13890), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16434), 1,
      anon_sym_PIPE,
    STATE(13891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16432), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675484] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18482), 1,
      anon_sym_RBRACE,
    STATE(13892), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675513] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18484), 1,
      sym__identifier,
    STATE(5198), 1,
      sym_class_path,
    STATE(13893), 1,
      sym_attribute,
    STATE(14157), 1,
      sym__attribute,
    STATE(19064), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675542] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18486), 1,
      anon_sym_RBRACE,
    STATE(13894), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675571] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18488), 1,
      anon_sym_RBRACE,
    STATE(13895), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16400), 1,
      anon_sym_PIPE,
    STATE(13896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16398), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675621] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18490), 1,
      anon_sym_RBRACE,
    STATE(13897), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675650] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18492), 1,
      sym__identifier,
    STATE(9032), 1,
      sym_class_path,
    STATE(13898), 1,
      sym_attribute,
    STATE(14542), 1,
      sym__attribute,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675679] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18494), 1,
      sym__identifier,
    STATE(7069), 1,
      sym_class_path,
    STATE(13899), 1,
      sym_attribute,
    STATE(14583), 1,
      sym__attribute,
    STATE(17624), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675708] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18496), 1,
      anon_sym_RBRACE,
    STATE(13900), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675737] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18498), 1,
      anon_sym_RBRACE,
    STATE(13901), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675766] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18500), 1,
      anon_sym_RBRACE,
    STATE(13902), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675795] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18502), 1,
      anon_sym_RBRACE,
    STATE(13903), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675824] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18504), 1,
      anon_sym_RBRACE,
    STATE(13904), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16450), 1,
      anon_sym_PIPE,
    STATE(13905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16448), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675874] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18506), 1,
      anon_sym_RBRACE,
    STATE(13906), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675903] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18508), 1,
      sym__identifier,
    STATE(6414), 1,
      sym_class_path,
    STATE(13907), 1,
      sym_attribute,
    STATE(14284), 1,
      sym__attribute,
    STATE(18476), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675932] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    ACTIONS(18510), 1,
      anon_sym_RBRACK,
    STATE(13908), 1,
      sym_attribute,
    STATE(15719), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675961] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18512), 1,
      sym__identifier,
    STATE(6315), 1,
      sym_class_path,
    STATE(13909), 1,
      sym_attribute,
    STATE(14587), 1,
      sym__attribute,
    STATE(17951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675990] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18514), 1,
      anon_sym_RBRACE,
    STATE(13910), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676019] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(13911), 1,
      sym_attribute,
    STATE(14780), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20039), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [676046] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18516), 1,
      anon_sym_RBRACE,
    STATE(13912), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676075] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(13913), 1,
      sym_attribute,
    STATE(14791), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20058), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [676102] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18518), 1,
      anon_sym_RBRACE,
    STATE(13914), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676131] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18520), 1,
      anon_sym_RBRACE,
    STATE(13915), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676160] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18522), 1,
      anon_sym_RBRACE,
    STATE(13916), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676189] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18524), 1,
      anon_sym_RBRACE,
    STATE(13917), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676218] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18526), 1,
      anon_sym_RBRACE,
    STATE(13918), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676247] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18528), 1,
      anon_sym_RBRACE,
    STATE(13919), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676276] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18530), 1,
      anon_sym_RBRACE,
    STATE(13920), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676305] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18532), 1,
      anon_sym_RBRACE,
    STATE(13921), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9054), 1,
      anon_sym_PIPE,
    STATE(13922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      anon_sym_PIPE,
    STATE(13923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9062), 1,
      anon_sym_PIPE,
    STATE(13924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9064), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676397] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    ACTIONS(18534), 1,
      anon_sym_RBRACE,
    STATE(13925), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676426] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    ACTIONS(18536), 1,
      sym__identifier,
    STATE(4059), 1,
      sym_class_path,
    STATE(13926), 1,
      sym_attribute,
    STATE(14224), 1,
      sym__attribute,
    STATE(19113), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676455] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18538), 1,
      anon_sym_EQ,
    ACTIONS(18540), 1,
      anon_sym_of,
    ACTIONS(18542), 1,
      anon_sym_COLON2,
    STATE(13927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [676479] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18546), 1,
      anon_sym_SEMI,
    ACTIONS(18548), 1,
      anon_sym_GT_RBRACE,
    STATE(13928), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16208), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676505] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13929), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(15103), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676531] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18550), 1,
      anon_sym_RPAREN,
    STATE(13930), 1,
      sym_attribute,
    STATE(15359), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676557] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18552), 1,
      anon_sym_SEMI,
    ACTIONS(18554), 1,
      anon_sym_GT_RBRACE,
    STATE(13931), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15784), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676583] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18556), 1,
      anon_sym_SEMI,
    ACTIONS(18558), 1,
      anon_sym_GT_RBRACE,
    STATE(13932), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15596), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676609] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13933), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(15424), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676635] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13934), 1,
      sym_attribute,
    STATE(13973), 1,
      sym_field_path,
    STATE(16145), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676661] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13935), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(15208), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676687] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13936), 1,
      sym_attribute,
    STATE(13937), 1,
      sym_field_path,
    STATE(15884), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676713] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(13937), 1,
      sym_attribute,
    STATE(14865), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18564), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [676737] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11052), 1,
      sym__identifier,
    ACTIONS(18566), 1,
      anon_sym_POUND,
    STATE(10469), 1,
      sym_type_constructor_path,
    STATE(13938), 1,
      sym_attribute,
    STATE(16448), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676763] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18191), 1,
      sym__identifier,
    STATE(13939), 1,
      sym_attribute,
    STATE(14297), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(16356), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18195), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [676787] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13940), 1,
      sym_attribute,
    STATE(15300), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676813] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18568), 1,
      anon_sym_SEMI,
    ACTIONS(18570), 1,
      anon_sym_GT_RBRACE,
    STATE(13941), 1,
      sym_attribute,
    STATE(15163), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676839] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18191), 1,
      sym__identifier,
    STATE(12027), 1,
      sym__instance_variable_name,
    STATE(13942), 1,
      sym_attribute,
    STATE(14297), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18195), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [676863] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_LPAREN,
    ACTIONS(18574), 1,
      sym__capitalized_identifier,
    STATE(10450), 1,
      sym__constructor_name,
    STATE(10459), 1,
      sym_constructor_path,
    STATE(13943), 1,
      sym_attribute,
    STATE(19427), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676889] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18576), 1,
      anon_sym_RPAREN,
    STATE(13944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676915] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13945), 1,
      sym_attribute,
    STATE(15399), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676941] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13946), 1,
      sym_attribute,
    STATE(15357), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676967] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18578), 1,
      anon_sym_SEMI,
    ACTIONS(18580), 1,
      anon_sym_GT_RBRACE,
    STATE(13947), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15609), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676993] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18582), 1,
      anon_sym_SEMI,
    ACTIONS(18584), 1,
      anon_sym_GT_RBRACE,
    STATE(13948), 1,
      sym_attribute,
    STATE(15076), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677019] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11076), 1,
      sym__identifier,
    ACTIONS(18586), 1,
      anon_sym_POUND,
    STATE(10410), 1,
      sym_type_constructor_path,
    STATE(13949), 1,
      sym_attribute,
    STATE(16722), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677045] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13950), 1,
      sym_attribute,
    STATE(15652), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677071] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13951), 1,
      sym_attribute,
    STATE(15486), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677097] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    ACTIONS(18588), 1,
      anon_sym_POUND,
    STATE(13443), 1,
      sym_type_constructor_path,
    STATE(13952), 1,
      sym_attribute,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677123] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18590), 1,
      anon_sym_SEMI,
    ACTIONS(18592), 1,
      anon_sym_GT_RBRACE,
    STATE(13953), 1,
      sym_attribute,
    STATE(15149), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677149] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11014), 1,
      sym__identifier,
    ACTIONS(18594), 1,
      anon_sym_POUND,
    STATE(10874), 1,
      sym_type_constructor_path,
    STATE(13954), 1,
      sym_attribute,
    STATE(16565), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677175] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12020), 1,
      sym__identifier,
    ACTIONS(18596), 1,
      anon_sym_POUND,
    STATE(12954), 1,
      sym_type_constructor_path,
    STATE(13955), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677201] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10994), 1,
      sym__identifier,
    ACTIONS(18598), 1,
      anon_sym_POUND,
    STATE(10624), 1,
      sym_type_constructor_path,
    STATE(13956), 1,
      sym_attribute,
    STATE(16695), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677227] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13957), 1,
      sym_attribute,
    STATE(15643), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677253] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13958), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677279] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12075), 1,
      sym__identifier,
    ACTIONS(18600), 1,
      anon_sym_POUND,
    STATE(12575), 1,
      sym_type_constructor_path,
    STATE(13959), 1,
      sym_attribute,
    STATE(16766), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677305] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11018), 1,
      sym__identifier,
    ACTIONS(18602), 1,
      anon_sym_POUND,
    STATE(10086), 1,
      sym_type_constructor_path,
    STATE(13960), 1,
      sym_attribute,
    STATE(16664), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677331] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18604), 1,
      anon_sym_RPAREN,
    STATE(13961), 1,
      sym_attribute,
    STATE(15305), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677357] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18606), 1,
      anon_sym_RPAREN,
    STATE(13962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677383] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_LPAREN,
    ACTIONS(18574), 1,
      sym__capitalized_identifier,
    STATE(10450), 1,
      sym__constructor_name,
    STATE(10645), 1,
      sym_constructor_path,
    STATE(13963), 1,
      sym_attribute,
    STATE(19427), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677409] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(18608), 1,
      anon_sym_LPAREN,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(10432), 1,
      sym_constructor_path,
    STATE(13964), 1,
      sym_attribute,
    STATE(19915), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677435] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18610), 1,
      anon_sym_RPAREN,
    STATE(13965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677461] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18612), 1,
      anon_sym_SEMI,
    ACTIONS(18614), 1,
      anon_sym_GT_RBRACE,
    STATE(13966), 1,
      sym_attribute,
    STATE(14882), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677487] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18616), 1,
      anon_sym_SEMI,
    ACTIONS(18618), 1,
      anon_sym_GT_RBRACE,
    STATE(13967), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677513] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18620), 1,
      anon_sym_RPAREN,
    STATE(13968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677539] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13969), 1,
      sym_attribute,
    STATE(14966), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677565] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18622), 1,
      anon_sym_SEMI,
    ACTIONS(18624), 1,
      anon_sym_GT_RBRACE,
    STATE(13970), 1,
      sym_attribute,
    STATE(15194), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677591] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13971), 1,
      sym_attribute,
    STATE(15998), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677617] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12035), 1,
      sym__identifier,
    ACTIONS(18626), 1,
      anon_sym_POUND,
    STATE(8962), 1,
      sym_type_constructor_path,
    STATE(13972), 1,
      sym_attribute,
    STATE(16811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677643] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    ACTIONS(18628), 1,
      anon_sym_EQ,
    STATE(13973), 1,
      sym_attribute,
    STATE(15440), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18630), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [677667] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18632), 1,
      anon_sym_SEMI,
    ACTIONS(18634), 1,
      anon_sym_GT_RBRACE,
    STATE(13974), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15451), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677693] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18636), 1,
      anon_sym_RPAREN,
    STATE(13975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677719] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(18638), 1,
      anon_sym_LPAREN,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(13976), 1,
      sym_attribute,
    STATE(17024), 1,
      sym_constructor_path,
    STATE(19171), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677745] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13973), 1,
      sym_field_path,
    STATE(13977), 1,
      sym_attribute,
    STATE(15218), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677771] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18640), 1,
      anon_sym_RPAREN,
    STATE(13978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677797] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_LPAREN,
    ACTIONS(18574), 1,
      sym__capitalized_identifier,
    STATE(10432), 1,
      sym_constructor_path,
    STATE(10450), 1,
      sym__constructor_name,
    STATE(13979), 1,
      sym_attribute,
    STATE(19427), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677823] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18642), 1,
      anon_sym_RPAREN,
    STATE(13980), 1,
      sym_attribute,
    STATE(14905), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677849] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13981), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(15498), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677875] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18191), 1,
      sym__identifier,
    STATE(12071), 1,
      sym__instance_variable_name,
    STATE(13982), 1,
      sym_attribute,
    STATE(14297), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18195), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [677899] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18644), 1,
      anon_sym_SEMI,
    ACTIONS(18646), 1,
      anon_sym_GT_RBRACE,
    STATE(13983), 1,
      sym_attribute,
    STATE(15315), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677925] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18648), 1,
      anon_sym_RPAREN,
    STATE(13984), 1,
      sym_attribute,
    STATE(15297), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677951] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13985), 1,
      sym_attribute,
    STATE(16199), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677977] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18650), 1,
      anon_sym_SEMI,
    ACTIONS(18652), 1,
      anon_sym_GT_RBRACE,
    STATE(13986), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15740), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678003] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13987), 1,
      sym_attribute,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12909), 2,
      anon_sym_and,
      anon_sym_in,
  [678027] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18654), 1,
      anon_sym_RPAREN,
    STATE(13988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678053] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13989), 1,
      sym_attribute,
    STATE(15165), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678079] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18656), 1,
      anon_sym_SEMI,
    ACTIONS(18658), 1,
      anon_sym_GT_RBRACE,
    STATE(13990), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15374), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678105] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18660), 1,
      anon_sym_RPAREN,
    STATE(13991), 1,
      sym_attribute,
    STATE(14886), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678131] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18662), 1,
      anon_sym_SEMI,
    ACTIONS(18664), 1,
      anon_sym_GT_RBRACE,
    STATE(13992), 1,
      sym_attribute,
    STATE(15162), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678157] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18666), 1,
      anon_sym_SEMI,
    ACTIONS(18668), 1,
      anon_sym_GT_RBRACE,
    STATE(13993), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15785), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678183] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12037), 1,
      sym__identifier,
    ACTIONS(18670), 1,
      anon_sym_POUND,
    STATE(9317), 1,
      sym_type_constructor_path,
    STATE(13994), 1,
      sym_attribute,
    STATE(16742), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678209] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18672), 1,
      anon_sym_SEMI,
    ACTIONS(18674), 1,
      anon_sym_GT_RBRACE,
    STATE(13995), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15473), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678235] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(13996), 1,
      sym_attribute,
    STATE(14890), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678261] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18676), 1,
      anon_sym_RPAREN,
    STATE(13997), 1,
      sym_attribute,
    STATE(15598), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678287] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13998), 1,
      sym_attribute,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 2,
      anon_sym_and,
      anon_sym_in,
  [678311] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18678), 1,
      anon_sym_SEMI,
    ACTIONS(18680), 1,
      anon_sym_GT_RBRACE,
    STATE(13999), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15782), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678337] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18682), 1,
      anon_sym_RPAREN,
    STATE(14000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678363] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18684), 1,
      anon_sym_RPAREN,
    STATE(14001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678389] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18686), 1,
      anon_sym_SEMI,
    ACTIONS(18688), 1,
      anon_sym_GT_RBRACE,
    STATE(14002), 1,
      sym_attribute,
    STATE(14912), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678415] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18692), 1,
      anon_sym__,
    STATE(14003), 1,
      sym_attribute,
    STATE(14020), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18690), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [678439] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18694), 1,
      anon_sym_type,
    ACTIONS(18696), 1,
      anon_sym_module,
    STATE(14004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13859), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [678461] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(18638), 1,
      anon_sym_LPAREN,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(14005), 1,
      sym_attribute,
    STATE(17048), 1,
      sym_constructor_path,
    STATE(19171), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678487] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14006), 1,
      sym_attribute,
    STATE(15381), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678513] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18698), 1,
      anon_sym_SEMI,
    ACTIONS(18700), 1,
      anon_sym_GT_RBRACE,
    STATE(14007), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15616), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678539] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14008), 1,
      sym_attribute,
    STATE(15090), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678565] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18702), 1,
      anon_sym_RPAREN,
    STATE(14009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18704), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [678609] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18706), 1,
      anon_sym_type,
    ACTIONS(18708), 1,
      anon_sym_module,
    STATE(14011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9564), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [678631] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14012), 1,
      sym_attribute,
    STATE(15745), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678657] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(18608), 1,
      anon_sym_LPAREN,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(10645), 1,
      sym_constructor_path,
    STATE(14013), 1,
      sym_attribute,
    STATE(19915), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678683] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18710), 1,
      anon_sym_RPAREN,
    STATE(14014), 1,
      sym_attribute,
    STATE(15196), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678709] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14015), 1,
      sym_attribute,
    STATE(14820), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678735] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18712), 1,
      anon_sym_type,
    ACTIONS(18714), 1,
      anon_sym_module,
    STATE(14016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13573), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [678757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18716), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [678775] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13973), 1,
      sym_field_path,
    STATE(14018), 1,
      sym_attribute,
    STATE(15333), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678801] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14019), 1,
      sym_attribute,
    STATE(15852), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18718), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [678845] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18720), 1,
      anon_sym_RPAREN,
    STATE(14021), 1,
      sym_attribute,
    STATE(16000), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678871] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18722), 1,
      anon_sym_SEMI,
    ACTIONS(18724), 1,
      anon_sym_GT_RBRACE,
    STATE(14022), 1,
      sym_attribute,
    STATE(15224), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678897] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18726), 1,
      anon_sym_SEMI,
    ACTIONS(18728), 1,
      anon_sym_GT_RBRACE,
    STATE(14023), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15748), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678923] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14024), 1,
      sym_attribute,
    STATE(17126), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678949] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18356), 1,
      anon_sym_RBRACK,
    STATE(14025), 1,
      sym_attribute,
    STATE(15956), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678975] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18730), 1,
      anon_sym_type,
    ACTIONS(18732), 1,
      anon_sym_module,
    STATE(14026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9564), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [678997] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14027), 1,
      sym_attribute,
    STATE(15263), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679023] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18191), 1,
      sym__identifier,
    STATE(12027), 1,
      sym__instance_variable_name,
    STATE(13982), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(14028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18195), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [679047] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    STATE(14029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13101), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [679069] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18738), 1,
      anon_sym_SEMI,
    ACTIONS(18740), 1,
      anon_sym_GT_RBRACE,
    STATE(14030), 1,
      sym_attribute,
    STATE(15043), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679095] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18742), 1,
      anon_sym_SEMI,
    ACTIONS(18744), 1,
      anon_sym_GT_RBRACE,
    STATE(14031), 1,
      sym_attribute,
    STATE(15228), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679121] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(14032), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16175), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679147] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18746), 1,
      anon_sym_RPAREN,
    STATE(14033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679173] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14034), 1,
      sym_attribute,
    STATE(15000), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679199] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12053), 1,
      sym__identifier,
    ACTIONS(18748), 1,
      anon_sym_POUND,
    STATE(9490), 1,
      sym_type_constructor_path,
    STATE(14035), 1,
      sym_attribute,
    STATE(16776), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679225] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13973), 1,
      sym_field_path,
    STATE(14036), 1,
      sym_attribute,
    STATE(16594), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679251] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14037), 1,
      sym_attribute,
    STATE(16206), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679277] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18750), 1,
      sym__identifier,
    ACTIONS(18752), 1,
      anon_sym_LPAREN,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(12029), 1,
      sym__value_name,
    STATE(14038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679303] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14039), 1,
      sym_attribute,
    STATE(15743), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679329] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18756), 1,
      anon_sym_type,
    ACTIONS(18758), 1,
      anon_sym_module,
    STATE(14040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9564), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [679351] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18760), 1,
      anon_sym_SEMI,
    ACTIONS(18762), 1,
      anon_sym_GT_RBRACE,
    STATE(14041), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15453), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679377] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18764), 1,
      anon_sym_SEMI,
    ACTIONS(18766), 1,
      anon_sym_GT_RBRACE,
    STATE(14042), 1,
      sym_attribute,
    STATE(15164), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679403] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18768), 1,
      anon_sym_RPAREN,
    STATE(14043), 1,
      sym_attribute,
    STATE(14858), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679429] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18770), 1,
      anon_sym_RBRACK,
    STATE(14044), 1,
      sym_attribute,
    STATE(16166), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18772), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [679473] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11050), 1,
      sym__identifier,
    ACTIONS(18774), 1,
      anon_sym_POUND,
    STATE(10867), 1,
      sym_type_constructor_path,
    STATE(14046), 1,
      sym_attribute,
    STATE(16648), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679499] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11016), 1,
      sym__identifier,
    ACTIONS(18776), 1,
      anon_sym_POUND,
    STATE(9760), 1,
      sym_type_constructor_path,
    STATE(14047), 1,
      sym_attribute,
    STATE(16551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679525] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18694), 1,
      anon_sym_type,
    ACTIONS(18696), 1,
      anon_sym_module,
    STATE(14048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9564), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [679547] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    STATE(14049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13097), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [679569] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11104), 1,
      sym__identifier,
    ACTIONS(18778), 1,
      anon_sym_POUND,
    STATE(9652), 1,
      sym_type_constructor_path,
    STATE(14050), 1,
      sym_attribute,
    STATE(16632), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679595] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18780), 1,
      anon_sym_RPAREN,
    STATE(14051), 1,
      sym_attribute,
    STATE(15046), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679621] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(14052), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(15244), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679647] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17866), 1,
      anon_sym_AMP,
    STATE(14053), 1,
      sym_attribute,
    STATE(14062), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18782), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [679669] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14054), 1,
      sym_attribute,
    STATE(15227), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679695] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18784), 1,
      anon_sym_SEMI,
    ACTIONS(18786), 1,
      anon_sym_GT_RBRACE,
    STATE(14055), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16112), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679721] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18788), 1,
      anon_sym_RPAREN,
    STATE(14056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679747] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18790), 1,
      anon_sym_SEMI,
    ACTIONS(18792), 1,
      anon_sym_GT_RBRACE,
    STATE(14057), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15753), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679773] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13973), 1,
      sym_field_path,
    STATE(14058), 1,
      sym_attribute,
    STATE(16143), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679799] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18794), 1,
      anon_sym_type,
    ACTIONS(18796), 1,
      anon_sym_module,
    STATE(14059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9564), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [679821] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18798), 1,
      anon_sym_SEMI,
    ACTIONS(18800), 1,
      anon_sym_GT_RBRACE,
    STATE(14060), 1,
      sym_attribute,
    STATE(15248), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679847] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10992), 1,
      sym__identifier,
    ACTIONS(18802), 1,
      anon_sym_POUND,
    STATE(9289), 1,
      sym_type_constructor_path,
    STATE(14061), 1,
      sym_attribute,
    STATE(16678), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18804), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14062), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(18215), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [679893] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14063), 1,
      sym_attribute,
    STATE(14958), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679919] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(12039), 1,
      sym__identifier,
    ACTIONS(18807), 1,
      anon_sym_POUND,
    STATE(11574), 1,
      sym_type_constructor_path,
    STATE(14064), 1,
      sym_attribute,
    STATE(16614), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679945] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14065), 1,
      sym_attribute,
    STATE(15594), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679971] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18809), 1,
      anon_sym_RBRACK,
    STATE(14066), 1,
      sym_attribute,
    STATE(15720), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679997] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18811), 1,
      anon_sym_SEMI,
    ACTIONS(18813), 1,
      anon_sym_GT_RBRACE,
    STATE(14067), 1,
      sym_attribute,
    STATE(15267), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680023] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    ACTIONS(17472), 1,
      anon_sym_PIPE,
    ACTIONS(17474), 1,
      anon_sym_as,
    ACTIONS(17476), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18815), 1,
      anon_sym_RPAREN,
    STATE(14068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680049] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18817), 1,
      anon_sym_SEMI,
    ACTIONS(18819), 1,
      anon_sym_GT_RBRACE,
    STATE(14069), 1,
      sym_attribute,
    STATE(15136), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18821), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [680093] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    STATE(14071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18823), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [680115] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18825), 1,
      anon_sym_RPAREN,
    STATE(14072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680141] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14073), 1,
      sym_attribute,
    STATE(15690), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680167] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18827), 1,
      anon_sym_RBRACK,
    STATE(14074), 1,
      sym_attribute,
    STATE(15427), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680193] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14075), 1,
      sym_attribute,
    STATE(15894), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680219] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(14076), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(14837), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18829), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__identifier,
      sym__capitalized_identifier,
  [680263] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18831), 1,
      anon_sym_SEMI,
    ACTIONS(18833), 1,
      anon_sym_GT_RBRACE,
    STATE(14078), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15464), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680289] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    ACTIONS(18835), 1,
      anon_sym_POUND,
    STATE(11739), 1,
      sym_type_constructor_path,
    STATE(14079), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680315] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18837), 1,
      anon_sym_RPAREN,
    STATE(14080), 1,
      sym_attribute,
    STATE(14919), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680341] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(14081), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(14831), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680367] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14082), 1,
      sym_attribute,
    STATE(15847), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680393] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18839), 1,
      anon_sym_RPAREN,
    STATE(14083), 1,
      sym_attribute,
    STATE(15994), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680419] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    STATE(14084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18354), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [680441] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14085), 1,
      sym_attribute,
    STATE(15115), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680467] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18841), 1,
      anon_sym_SEMI,
    ACTIONS(18843), 1,
      anon_sym_GT_RBRACE,
    STATE(14086), 1,
      sym_attribute,
    STATE(14817), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680493] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11992), 1,
      sym__identifier,
    ACTIONS(18845), 1,
      anon_sym_POUND,
    STATE(8878), 1,
      sym_type_constructor_path,
    STATE(14087), 1,
      sym_attribute,
    STATE(16785), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680519] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(14088), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(15376), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680545] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7954), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [680563] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14090), 1,
      sym_attribute,
    STATE(15653), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680589] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18847), 1,
      anon_sym_SEMI,
    ACTIONS(18849), 1,
      anon_sym_GT_RBRACE,
    STATE(14091), 1,
      sym_attribute,
    STATE(15013), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680615] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18851), 1,
      anon_sym_RPAREN,
    STATE(14092), 1,
      sym_attribute,
    STATE(15504), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680641] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10976), 1,
      sym__identifier,
    ACTIONS(18853), 1,
      anon_sym_POUND,
    STATE(10567), 1,
      sym_type_constructor_path,
    STATE(14093), 1,
      sym_attribute,
    STATE(16734), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680667] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17866), 1,
      anon_sym_AMP,
    STATE(14062), 1,
      aux_sym_tag_specification_repeat1,
    STATE(14094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17990), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [680689] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14095), 1,
      sym_attribute,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11696), 2,
      anon_sym_and,
      anon_sym_in,
  [680713] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18855), 1,
      anon_sym_RPAREN,
    STATE(14096), 1,
      sym_attribute,
    STATE(15958), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680739] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16428), 1,
      anon_sym_COMMA,
    ACTIONS(16538), 1,
      anon_sym_PIPE,
    ACTIONS(16542), 1,
      anon_sym_as,
    ACTIONS(18857), 1,
      anon_sym_RPAREN,
    STATE(14097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680765] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18859), 1,
      anon_sym_RPAREN,
    STATE(14098), 1,
      sym_attribute,
    STATE(15909), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680791] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11034), 1,
      sym__identifier,
    ACTIONS(18861), 1,
      anon_sym_POUND,
    STATE(9922), 1,
      sym_type_constructor_path,
    STATE(14099), 1,
      sym_attribute,
    STATE(16754), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680817] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14100), 1,
      sym_attribute,
    STATE(15014), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680843] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18863), 1,
      anon_sym_RPAREN,
    STATE(14101), 1,
      sym_attribute,
    STATE(16179), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680869] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18865), 1,
      anon_sym_SEMI,
    ACTIONS(18867), 1,
      anon_sym_GT_RBRACE,
    STATE(14102), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16138), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680895] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(10970), 1,
      sym__identifier,
    ACTIONS(18869), 1,
      anon_sym_POUND,
    STATE(9211), 1,
      sym_type_constructor_path,
    STATE(14103), 1,
      sym_attribute,
    STATE(16395), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680921] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8264), 1,
      sym__capitalized_identifier,
    ACTIONS(18638), 1,
      anon_sym_LPAREN,
    STATE(9574), 1,
      sym__constructor_name,
    STATE(14104), 1,
      sym_attribute,
    STATE(17176), 1,
      sym_constructor_path,
    STATE(19171), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680947] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18871), 1,
      anon_sym_SEMI,
    ACTIONS(18873), 1,
      anon_sym_GT_RBRACE,
    STATE(14105), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15942), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680973] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18875), 1,
      anon_sym_EQ,
    ACTIONS(18877), 1,
      anon_sym_of,
    ACTIONS(18879), 1,
      anon_sym_COLON2,
    STATE(14106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12350), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [680997] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14107), 1,
      sym_attribute,
    STATE(15456), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681023] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18881), 1,
      anon_sym_SEMI,
    ACTIONS(18883), 1,
      anon_sym_GT_RBRACE,
    STATE(14108), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16052), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681049] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7936), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [681067] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18885), 1,
      anon_sym_RPAREN,
    STATE(14110), 1,
      sym_attribute,
    STATE(15062), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681093] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14111), 1,
      sym_attribute,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13038), 2,
      anon_sym_and,
      anon_sym_in,
  [681117] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14112), 1,
      sym_attribute,
    STATE(15269), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681143] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14113), 1,
      sym_attribute,
    STATE(15829), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681169] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18887), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11873), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14114), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [681191] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18890), 1,
      anon_sym_RPAREN,
    STATE(14115), 1,
      sym_attribute,
    STATE(15353), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681217] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11956), 1,
      sym__identifier,
    ACTIONS(18892), 1,
      anon_sym_POUND,
    STATE(12683), 1,
      sym_type_constructor_path,
    STATE(14116), 1,
      sym_attribute,
    STATE(16798), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681243] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13973), 1,
      sym_field_path,
    STATE(14117), 1,
      sym_attribute,
    STATE(15210), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18894), 1,
      anon_sym_EQ,
    ACTIONS(18896), 1,
      anon_sym_of,
    ACTIONS(18898), 1,
      anon_sym_COLON2,
    STATE(14118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12360), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [681293] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14119), 1,
      sym_attribute,
    STATE(15380), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681319] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18706), 1,
      anon_sym_type,
    ACTIONS(18708), 1,
      anon_sym_module,
    STATE(14120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10903), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [681341] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18900), 1,
      anon_sym_RPAREN,
    STATE(14121), 1,
      sym_attribute,
    STATE(16127), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681367] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14122), 1,
      sym_attribute,
    STATE(15866), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681393] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18730), 1,
      anon_sym_type,
    ACTIONS(18732), 1,
      anon_sym_module,
    STATE(14123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10909), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [681415] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(14124), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16706), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681441] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18902), 1,
      anon_sym_RBRACK,
    STATE(14125), 1,
      sym_attribute,
    STATE(15105), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681467] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18904), 1,
      anon_sym_RPAREN,
    STATE(14126), 1,
      sym_attribute,
    STATE(15078), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681493] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18906), 1,
      anon_sym_SEMI,
    ACTIONS(18908), 1,
      anon_sym_GT_RBRACE,
    STATE(14127), 1,
      sym_attribute,
    STATE(14871), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681519] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18756), 1,
      anon_sym_type,
    ACTIONS(18758), 1,
      anon_sym_module,
    STATE(14128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10342), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [681541] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18910), 1,
      anon_sym_SEMI,
    ACTIONS(18912), 1,
      anon_sym_GT_RBRACE,
    STATE(14129), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16146), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681567] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18794), 1,
      anon_sym_type,
    ACTIONS(18796), 1,
      anon_sym_module,
    STATE(14130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10343), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [681589] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18914), 1,
      anon_sym_SEMI,
    ACTIONS(18916), 1,
      anon_sym_GT_RBRACE,
    STATE(14131), 1,
      sym_attribute,
    STATE(14943), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681615] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18918), 1,
      anon_sym_SEMI,
    ACTIONS(18920), 1,
      anon_sym_GT_RBRACE,
    STATE(14132), 1,
      sym_attribute,
    STATE(14875), 1,
      sym_instance_variable_expression,
    STATE(15368), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681641] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13973), 1,
      sym_field_path,
    STATE(14133), 1,
      sym_attribute,
    STATE(15934), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681667] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18510), 1,
      anon_sym_RBRACK,
    STATE(14134), 1,
      sym_attribute,
    STATE(15719), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681693] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14135), 1,
      sym_attribute,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 2,
      anon_sym_and,
      anon_sym_in,
  [681717] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18712), 1,
      anon_sym_type,
    ACTIONS(18714), 1,
      anon_sym_module,
    STATE(14136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13212), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [681739] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(14137), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(16033), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681765] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14138), 1,
      sym_attribute,
    STATE(15593), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681791] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18922), 1,
      anon_sym_SEMI,
    ACTIONS(18924), 1,
      anon_sym_GT_RBRACE,
    STATE(14139), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(15383), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681817] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18926), 1,
      anon_sym_RPAREN,
    STATE(14140), 1,
      sym_attribute,
    STATE(14908), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681843] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14141), 1,
      sym_attribute,
    STATE(14851), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681869] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14142), 1,
      sym_attribute,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12128), 2,
      anon_sym_and,
      anon_sym_in,
  [681893] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13973), 1,
      sym_field_path,
    STATE(14143), 1,
      sym_attribute,
    STATE(15855), 1,
      sym_field_binding_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681919] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(14144), 1,
      sym_attribute,
    STATE(14150), 1,
      sym_field_path,
    STATE(15223), 1,
      sym_field_pattern,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681945] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18928), 1,
      anon_sym_RBRACK,
    STATE(14145), 1,
      sym_attribute,
    STATE(14822), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681971] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(17052), 1,
      sym__identifier,
    STATE(13937), 1,
      sym_field_path,
    STATE(14146), 1,
      sym_attribute,
    STATE(14982), 1,
      sym_field_expression,
    STATE(19109), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681997] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18191), 1,
      sym__identifier,
    STATE(13939), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(14147), 1,
      sym_attribute,
    STATE(17133), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18195), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [682021] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7868), 1,
      sym__capitalized_identifier,
    ACTIONS(18608), 1,
      anon_sym_LPAREN,
    STATE(7041), 1,
      sym__constructor_name,
    STATE(10459), 1,
      sym_constructor_path,
    STATE(14148), 1,
      sym_attribute,
    STATE(19915), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682047] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18930), 1,
      sym__identifier,
    ACTIONS(18934), 1,
      anon_sym_BANG,
    STATE(14149), 1,
      sym_attribute,
    STATE(14375), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18932), 2,
      anon_sym_private,
      anon_sym_virtual,
  [682071] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    ACTIONS(18936), 1,
      anon_sym_EQ,
    STATE(14150), 1,
      sym_attribute,
    STATE(16191), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18938), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [682095] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18940), 1,
      anon_sym_RBRACK,
    STATE(14151), 1,
      sym_attribute,
    STATE(15683), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682121] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(18942), 1,
      anon_sym_RPAREN,
    STATE(14152), 1,
      sym_attribute,
    STATE(15724), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682147] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(18944), 1,
      sym__identifier,
    STATE(8924), 1,
      sym_class_type_path,
    STATE(14153), 1,
      sym_attribute,
    STATE(16693), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682170] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(18946), 1,
      sym__identifier,
    STATE(8680), 1,
      sym_type_constructor_path,
    STATE(14154), 1,
      sym_attribute,
    STATE(16501), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682193] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18948), 1,
      anon_sym_DOT,
    STATE(14155), 1,
      sym_attribute,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682216] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18950), 1,
      anon_sym_DOT,
    STATE(14156), 1,
      sym_attribute,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682239] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18484), 1,
      sym__identifier,
    STATE(5084), 1,
      sym_class_path,
    STATE(14157), 1,
      sym_attribute,
    STATE(19064), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12193), 1,
      anon_sym_and,
    STATE(14158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12191), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [682281] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(18952), 1,
      anon_sym_COLON_GT,
    ACTIONS(18954), 1,
      anon_sym_RPAREN,
    STATE(14159), 1,
      sym_attribute,
    STATE(17116), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682304] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(18956), 1,
      anon_sym_COLON_GT,
    ACTIONS(18958), 1,
      anon_sym_RPAREN,
    STATE(14160), 1,
      sym_attribute,
    STATE(16511), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682327] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(14161), 1,
      sym_attribute,
    STATE(15268), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682350] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(18960), 1,
      sym__identifier,
    STATE(14162), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    STATE(17184), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682373] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18962), 1,
      anon_sym_DOT,
    STATE(14163), 1,
      sym_attribute,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682396] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_in,
    ACTIONS(18964), 1,
      anon_sym_and,
    ACTIONS(18966), 1,
      sym_let_and_operator,
    STATE(14164), 1,
      sym_attribute,
    STATE(14675), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682419] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(18970), 1,
      anon_sym_RBRACK,
    ACTIONS(18972), 1,
      anon_sym_GT,
    STATE(14165), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682442] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(18970), 1,
      anon_sym_RBRACK,
    STATE(14166), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682465] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11130), 1,
      anon_sym_in,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14167), 1,
      sym_attribute,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(14168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19744), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [682509] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18974), 1,
      anon_sym_GT_RBRACE,
    STATE(14169), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682532] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18976), 1,
      anon_sym_GT_RBRACE,
    STATE(14170), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682555] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(18978), 1,
      sym__identifier,
    STATE(9666), 1,
      sym_class_type_path,
    STATE(14171), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682578] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(18980), 1,
      anon_sym_RBRACK,
    STATE(14172), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682601] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15934), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(14173), 1,
      sym_attribute,
    STATE(17121), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682624] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18982), 1,
      sym__identifier,
    STATE(14174), 1,
      sym_attribute,
    STATE(14338), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18932), 2,
      anon_sym_private,
      anon_sym_virtual,
  [682645] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18984), 1,
      anon_sym_GT_RBRACE,
    STATE(14175), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682668] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(18986), 1,
      anon_sym_RBRACK,
    STATE(14176), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682691] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18988), 1,
      sym__identifier,
    STATE(7215), 1,
      sym_class_path,
    STATE(14177), 1,
      sym_attribute,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682714] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18992), 1,
      anon_sym_of,
    STATE(14178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18990), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [682733] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(18994), 1,
      anon_sym_GT_RBRACE,
    STATE(14179), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12199), 1,
      anon_sym_and,
    STATE(14180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12197), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [682775] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18996), 1,
      anon_sym_DOT,
    STATE(14181), 1,
      sym_attribute,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682798] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18998), 1,
      anon_sym_DOT,
    STATE(14182), 1,
      sym_attribute,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682821] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19000), 1,
      sym__identifier,
    STATE(9798), 1,
      sym_class_type_path,
    STATE(14183), 1,
      sym_attribute,
    STATE(16423), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682844] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18424), 1,
      sym__identifier,
    STATE(5943), 1,
      sym_class_path,
    STATE(14184), 1,
      sym_attribute,
    STATE(18398), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682867] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19002), 1,
      anon_sym_GT_RBRACE,
    STATE(14185), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682890] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19004), 1,
      sym__identifier,
    STATE(10638), 1,
      sym_class_type_path,
    STATE(14186), 1,
      sym_attribute,
    STATE(16526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682913] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18151), 1,
      sym__identifier,
    STATE(3854), 1,
      sym_class_path,
    STATE(14187), 1,
      sym_attribute,
    STATE(17495), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682936] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19004), 1,
      sym__identifier,
    STATE(10623), 1,
      sym_class_type_path,
    STATE(14188), 1,
      sym_attribute,
    STATE(16526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682959] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19004), 1,
      sym__identifier,
    STATE(10398), 1,
      sym_class_type_path,
    STATE(14189), 1,
      sym_attribute,
    STATE(16526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682982] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19006), 1,
      anon_sym_RBRACK,
    STATE(14190), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683005] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18988), 1,
      sym__identifier,
    STATE(7299), 1,
      sym_class_path,
    STATE(14191), 1,
      sym_attribute,
    STATE(17869), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683028] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19008), 1,
      anon_sym_COLON_GT,
    ACTIONS(19010), 1,
      anon_sym_RPAREN,
    STATE(14192), 1,
      sym_attribute,
    STATE(17010), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683051] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13861), 1,
      anon_sym_in,
    ACTIONS(18964), 1,
      anon_sym_and,
    ACTIONS(18966), 1,
      sym_let_and_operator,
    STATE(14193), 1,
      sym_attribute,
    STATE(14683), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683074] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18185), 1,
      sym__identifier,
    STATE(7287), 1,
      sym_class_path,
    STATE(14194), 1,
      sym_attribute,
    STATE(18839), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683097] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18092), 1,
      sym__identifier,
    STATE(8256), 1,
      sym_class_path,
    STATE(14195), 1,
      sym_attribute,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683120] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19000), 1,
      sym__identifier,
    STATE(9651), 1,
      sym_class_type_path,
    STATE(14196), 1,
      sym_attribute,
    STATE(16423), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683143] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18402), 1,
      sym__identifier,
    STATE(4127), 1,
      sym_class_path,
    STATE(14197), 1,
      sym_attribute,
    STATE(19525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683166] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19012), 1,
      sym__identifier,
    STATE(10054), 1,
      sym_class_type_path,
    STATE(14198), 1,
      sym_attribute,
    STATE(16475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683189] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9897), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19014), 1,
      anon_sym_GT,
    STATE(14199), 1,
      sym_attribute,
    STATE(14204), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683212] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19000), 1,
      sym__identifier,
    STATE(9714), 1,
      sym_class_type_path,
    STATE(14200), 1,
      sym_attribute,
    STATE(16423), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19016), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11811), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(14201), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [683254] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19019), 1,
      anon_sym_GT_RBRACE,
    STATE(14202), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683277] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19021), 1,
      anon_sym_RBRACK,
    ACTIONS(19023), 1,
      anon_sym_GT,
    STATE(14203), 1,
      sym_attribute,
    STATE(14212), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683300] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19021), 1,
      anon_sym_RBRACK,
    ACTIONS(19023), 1,
      anon_sym_GT,
    STATE(14204), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683323] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19025), 1,
      sym__identifier,
    STATE(7941), 1,
      sym_type_constructor_path,
    STATE(14205), 1,
      sym_attribute,
    STATE(16528), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683346] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13328), 1,
      anon_sym_in,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14206), 1,
      sym_attribute,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683369] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18086), 1,
      sym__identifier,
    STATE(6886), 1,
      sym_class_path,
    STATE(14207), 1,
      sym_attribute,
    STATE(17440), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683392] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19027), 1,
      anon_sym_COLON_GT,
    ACTIONS(19029), 1,
      anon_sym_RPAREN,
    STATE(14208), 1,
      sym_attribute,
    STATE(17203), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683415] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18070), 1,
      sym__identifier,
    ACTIONS(18072), 1,
      anon_sym_LBRACK,
    ACTIONS(18074), 1,
      anon_sym_virtual,
    STATE(11565), 1,
      sym_class_type_binding,
    STATE(14209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683438] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19031), 1,
      sym__identifier,
    ACTIONS(19033), 1,
      anon_sym_LPAREN,
    STATE(5383), 1,
      sym__value_name,
    STATE(5455), 1,
      sym_parenthesized_operator,
    STATE(14210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683461] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9957), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19035), 1,
      anon_sym_GT,
    STATE(14211), 1,
      sym_attribute,
    STATE(14238), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683484] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19037), 1,
      anon_sym_RBRACK,
    ACTIONS(19039), 1,
      anon_sym_GT,
    STATE(14212), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683507] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19037), 1,
      anon_sym_RBRACK,
    STATE(14213), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683530] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17992), 1,
      sym__identifier,
    ACTIONS(17994), 1,
      anon_sym_LBRACK,
    ACTIONS(17996), 1,
      anon_sym_virtual,
    STATE(12401), 1,
      sym_class_binding,
    STATE(14214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683553] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19041), 1,
      anon_sym_GT_RBRACE,
    STATE(14215), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683576] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(19043), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683599] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    ACTIONS(19045), 1,
      anon_sym_EQ,
    ACTIONS(19047), 1,
      anon_sym_RPAREN,
    STATE(14217), 1,
      sym_attribute,
    STATE(17087), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683622] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19049), 1,
      anon_sym_GT_RBRACE,
    STATE(14218), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683645] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19051), 1,
      sym__identifier,
    STATE(14219), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(19943), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683668] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19053), 1,
      anon_sym_GT_RBRACE,
    STATE(14220), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683691] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19055), 1,
      anon_sym_RBRACK,
    STATE(14221), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14222), 1,
      sym_attribute,
    STATE(17237), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19057), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [683735] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19059), 1,
      sym__identifier,
    STATE(10920), 1,
      sym_class_type_path,
    STATE(14223), 1,
      sym_attribute,
    STATE(16447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683758] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18536), 1,
      sym__identifier,
    STATE(4070), 1,
      sym_class_path,
    STATE(14224), 1,
      sym_attribute,
    STATE(19113), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683781] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19059), 1,
      sym__identifier,
    STATE(10865), 1,
      sym_class_type_path,
    STATE(14225), 1,
      sym_attribute,
    STATE(16447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683804] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18466), 1,
      sym__identifier,
    STATE(3474), 1,
      sym_class_path,
    STATE(14226), 1,
      sym_attribute,
    STATE(18437), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683827] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19061), 1,
      sym__identifier,
    STATE(10629), 1,
      sym_class_type_path,
    STATE(14227), 1,
      sym_attribute,
    STATE(17215), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683850] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19059), 1,
      sym__identifier,
    STATE(10892), 1,
      sym_class_type_path,
    STATE(14228), 1,
      sym_attribute,
    STATE(16447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683873] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19063), 1,
      anon_sym_GT_RBRACE,
    STATE(14229), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683896] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19065), 1,
      anon_sym_RBRACK,
    STATE(14230), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683919] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19067), 1,
      anon_sym_DOT,
    STATE(14231), 1,
      sym_attribute,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683942] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19069), 1,
      anon_sym_DOT,
    STATE(14232), 1,
      sym_attribute,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683965] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9903), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19071), 1,
      anon_sym_GT,
    STATE(14233), 1,
      sym_attribute,
    STATE(14507), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683988] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19073), 1,
      anon_sym_DOT,
    STATE(14234), 1,
      sym_attribute,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684011] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9849), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19075), 1,
      anon_sym_GT,
    STATE(14235), 1,
      sym_attribute,
    STATE(14248), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684034] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19077), 1,
      anon_sym_RBRACK,
    STATE(14236), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684057] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19079), 1,
      anon_sym_COLON_GT,
    ACTIONS(19081), 1,
      anon_sym_RPAREN,
    STATE(14237), 1,
      sym_attribute,
    STATE(16674), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684080] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19083), 1,
      anon_sym_RBRACK,
    ACTIONS(19085), 1,
      anon_sym_GT,
    STATE(14238), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684103] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18261), 1,
      sym__identifier,
    STATE(6118), 1,
      sym_class_path,
    STATE(14239), 1,
      sym_attribute,
    STATE(18115), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684126] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_in,
    ACTIONS(18964), 1,
      anon_sym_and,
    ACTIONS(18966), 1,
      sym_let_and_operator,
    STATE(14240), 1,
      sym_attribute,
    STATE(14683), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684149] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19087), 1,
      anon_sym_COLON_GT,
    ACTIONS(19089), 1,
      anon_sym_RPAREN,
    STATE(14241), 1,
      sym_attribute,
    STATE(17130), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684172] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(19091), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684195] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19093), 1,
      sym__identifier,
    STATE(12982), 1,
      sym_class_type_path,
    STATE(14243), 1,
      sym_attribute,
    STATE(16549), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684218] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18197), 1,
      sym__identifier,
    STATE(7087), 1,
      sym_class_path,
    STATE(14244), 1,
      sym_attribute,
    STATE(17550), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684241] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19093), 1,
      sym__identifier,
    STATE(12946), 1,
      sym_class_type_path,
    STATE(14245), 1,
      sym_attribute,
    STATE(16549), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684264] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19093), 1,
      sym__identifier,
    STATE(12943), 1,
      sym_class_type_path,
    STATE(14246), 1,
      sym_attribute,
    STATE(16549), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684287] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19095), 1,
      anon_sym_RBRACK,
    ACTIONS(19097), 1,
      anon_sym_GT,
    STATE(14247), 1,
      sym_attribute,
    STATE(14276), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684310] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19095), 1,
      anon_sym_RBRACK,
    ACTIONS(19097), 1,
      anon_sym_GT,
    STATE(14248), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684333] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11106), 1,
      sym__identifier,
    STATE(13641), 1,
      sym_type_constructor_path,
    STATE(14249), 1,
      sym_attribute,
    STATE(16227), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684356] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19099), 1,
      sym__identifier,
    ACTIONS(19101), 1,
      anon_sym_RBRACE,
    ACTIONS(19103), 1,
      anon_sym_mutable,
    STATE(14250), 1,
      sym_attribute,
    STATE(17280), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684379] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19105), 1,
      sym__identifier,
    STATE(9160), 1,
      sym_class_type_path,
    STATE(14251), 1,
      sym_attribute,
    STATE(16500), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684402] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9899), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19107), 1,
      anon_sym_GT,
    STATE(14252), 1,
      sym_attribute,
    STATE(14255), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684425] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19109), 1,
      anon_sym_COLON_GT,
    ACTIONS(19111), 1,
      anon_sym_RPAREN,
    STATE(14253), 1,
      sym_attribute,
    STATE(16280), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684448] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19113), 1,
      anon_sym_RBRACK,
    ACTIONS(19115), 1,
      anon_sym_GT,
    STATE(14254), 1,
      sym_attribute,
    STATE(14266), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684471] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19113), 1,
      anon_sym_RBRACK,
    ACTIONS(19115), 1,
      anon_sym_GT,
    STATE(14255), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684494] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    ACTIONS(18750), 1,
      sym__identifier,
    STATE(10099), 1,
      sym_parenthesized_operator,
    STATE(13079), 1,
      sym__value_name,
    STATE(14256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684517] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19117), 1,
      sym__identifier,
    STATE(7383), 1,
      sym_type_constructor_path,
    STATE(14257), 1,
      sym_attribute,
    STATE(16576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684540] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(19119), 1,
      sym__identifier,
    STATE(7231), 1,
      sym_class_path,
    STATE(14258), 1,
      sym_attribute,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684563] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19121), 1,
      sym__identifier,
    STATE(14259), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(19958), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684586] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19123), 1,
      sym__identifier,
    STATE(11926), 1,
      sym_class_type_path,
    STATE(14260), 1,
      sym_attribute,
    STATE(16422), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684609] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19125), 1,
      anon_sym_COLON_GT,
    ACTIONS(19127), 1,
      anon_sym_RPAREN,
    STATE(14261), 1,
      sym_attribute,
    STATE(16261), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684632] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19129), 1,
      anon_sym_GT_RBRACE,
    STATE(14262), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684655] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14263), 1,
      sym_attribute,
    STATE(16245), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19131), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [684676] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19133), 1,
      sym__identifier,
    STATE(11622), 1,
      sym_class_type_path,
    STATE(14264), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684699] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19135), 1,
      anon_sym_DOT,
    ACTIONS(19137), 1,
      aux_sym_type_variable_token1,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14265), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [684720] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19140), 1,
      anon_sym_RBRACK,
    ACTIONS(19142), 1,
      anon_sym_GT,
    STATE(14266), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684743] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19144), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14267), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684766] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19146), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14268), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684789] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19140), 1,
      anon_sym_RBRACK,
    STATE(14269), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684812] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19148), 1,
      anon_sym_GT_RBRACE,
    STATE(14270), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684835] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19150), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14271), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684858] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18070), 1,
      sym__identifier,
    ACTIONS(18072), 1,
      anon_sym_LBRACK,
    ACTIONS(18074), 1,
      anon_sym_virtual,
    STATE(11445), 1,
      sym_class_type_binding,
    STATE(14272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684881] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19123), 1,
      sym__identifier,
    STATE(9666), 1,
      sym_class_type_path,
    STATE(14273), 1,
      sym_attribute,
    STATE(16422), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684904] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19152), 1,
      anon_sym_GT_RBRACE,
    STATE(14274), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684927] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19154), 1,
      anon_sym_RBRACK,
    STATE(14275), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684950] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19156), 1,
      anon_sym_RBRACK,
    ACTIONS(19158), 1,
      anon_sym_GT,
    STATE(14276), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684973] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19156), 1,
      anon_sym_RBRACK,
    STATE(14277), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684996] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19160), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14278), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685019] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19162), 1,
      anon_sym_GT_RBRACE,
    STATE(14279), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685042] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19164), 1,
      anon_sym_RBRACK,
    STATE(14280), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685065] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18092), 1,
      sym__identifier,
    STATE(7651), 1,
      sym_class_path,
    STATE(14281), 1,
      sym_attribute,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685088] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9891), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19166), 1,
      anon_sym_GT,
    STATE(14282), 1,
      sym_attribute,
    STATE(14295), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685111] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19168), 1,
      anon_sym_GT_RBRACE,
    STATE(14283), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685134] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18508), 1,
      sym__identifier,
    STATE(6426), 1,
      sym_class_path,
    STATE(14284), 1,
      sym_attribute,
    STATE(18476), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685157] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19170), 1,
      anon_sym_GT_RBRACE,
    STATE(14285), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685180] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(14286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12924), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [685201] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19172), 1,
      anon_sym_GT_RBRACE,
    STATE(14287), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685224] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19174), 1,
      anon_sym_COLON_GT,
    ACTIONS(19176), 1,
      anon_sym_RPAREN,
    STATE(14288), 1,
      sym_attribute,
    STATE(17201), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685247] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19178), 1,
      sym__identifier,
    STATE(10373), 1,
      sym_class_type_path,
    STATE(14289), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685270] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18251), 1,
      sym__identifier,
    STATE(6120), 1,
      sym_class_path,
    STATE(14290), 1,
      sym_attribute,
    STATE(17605), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685293] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19178), 1,
      sym__identifier,
    STATE(10409), 1,
      sym_class_type_path,
    STATE(14291), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685316] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19178), 1,
      sym__identifier,
    STATE(10439), 1,
      sym_class_type_path,
    STATE(14292), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685339] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17552), 1,
      sym__identifier,
    ACTIONS(17556), 1,
      anon_sym_LBRACK,
    ACTIONS(17558), 1,
      anon_sym_virtual,
    STATE(11503), 1,
      sym_class_binding,
    STATE(14293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685362] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    ACTIONS(19182), 1,
      anon_sym_GT,
    STATE(14294), 1,
      sym_attribute,
    STATE(14341), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685385] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    ACTIONS(19182), 1,
      anon_sym_GT,
    STATE(14295), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685408] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14296), 1,
      sym_attribute,
    STATE(16298), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [685429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19186), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19188), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(14297), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [685448] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19191), 1,
      anon_sym_RBRACK,
    STATE(14298), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685471] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19193), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14299), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685494] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19195), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14300), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685517] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19197), 1,
      anon_sym_GT_RBRACE,
    STATE(14301), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685540] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19199), 1,
      anon_sym_GT_RBRACE,
    STATE(14302), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685563] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19004), 1,
      sym__identifier,
    STATE(10633), 1,
      sym_class_type_path,
    STATE(14303), 1,
      sym_attribute,
    STATE(16526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685586] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19201), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14304), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685609] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9989), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19203), 1,
      anon_sym_GT,
    STATE(14305), 1,
      sym_attribute,
    STATE(14311), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685632] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19205), 1,
      sym__identifier,
    STATE(7848), 1,
      sym_type_constructor_path,
    STATE(14306), 1,
      sym_attribute,
    STATE(16424), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685655] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18092), 1,
      sym__identifier,
    STATE(8248), 1,
      sym_class_path,
    STATE(14307), 1,
      sym_attribute,
    STATE(18331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685678] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19207), 1,
      anon_sym_GT_RBRACE,
    STATE(14308), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685701] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19209), 1,
      anon_sym_RBRACK,
    STATE(14309), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685724] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19211), 1,
      anon_sym_RBRACK,
    ACTIONS(19213), 1,
      anon_sym_GT,
    STATE(14310), 1,
      sym_attribute,
    STATE(14318), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685747] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19211), 1,
      anon_sym_RBRACK,
    ACTIONS(19213), 1,
      anon_sym_GT,
    STATE(14311), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685770] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19215), 1,
      sym__identifier,
    STATE(5510), 1,
      sym_type_constructor_path,
    STATE(14312), 1,
      sym_attribute,
    STATE(16598), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685793] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19217), 1,
      anon_sym_GT_RBRACE,
    STATE(14313), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685816] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19219), 1,
      anon_sym_COLON_GT,
    ACTIONS(19221), 1,
      anon_sym_RPAREN,
    STATE(14314), 1,
      sym_attribute,
    STATE(16331), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685839] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19123), 1,
      sym__identifier,
    STATE(9623), 1,
      sym_class_type_path,
    STATE(14315), 1,
      sym_attribute,
    STATE(16422), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685862] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19099), 1,
      sym__identifier,
    ACTIONS(19103), 1,
      anon_sym_mutable,
    ACTIONS(19223), 1,
      anon_sym_RBRACE,
    STATE(14316), 1,
      sym_attribute,
    STATE(17280), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685885] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18082), 1,
      sym__identifier,
    STATE(6045), 1,
      sym_class_path,
    STATE(14317), 1,
      sym_attribute,
    STATE(18515), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685908] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19225), 1,
      anon_sym_RBRACK,
    ACTIONS(19227), 1,
      anon_sym_GT,
    STATE(14318), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685931] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19225), 1,
      anon_sym_RBRACK,
    STATE(14319), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685954] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19229), 1,
      anon_sym_COLON_GT,
    ACTIONS(19231), 1,
      anon_sym_RPAREN,
    STATE(14320), 1,
      sym_attribute,
    STATE(16260), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685977] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(14321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12774), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [685998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14322), 1,
      sym_attribute,
    STATE(16337), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19233), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [686019] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17686), 1,
      sym__identifier,
    ACTIONS(17688), 1,
      anon_sym_LBRACK,
    ACTIONS(17690), 1,
      anon_sym_virtual,
    STATE(12004), 1,
      sym_class_binding,
    STATE(14323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686042] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19235), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14324), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686065] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19237), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14325), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19239), 1,
      sym__identifier,
    STATE(14326), 1,
      sym_attribute,
    STATE(14338), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18932), 2,
      anon_sym_private,
      anon_sym_virtual,
  [686109] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19241), 1,
      anon_sym_COLON_GT,
    ACTIONS(19243), 1,
      anon_sym_RPAREN,
    STATE(14327), 1,
      sym_attribute,
    STATE(17286), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686132] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19245), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14328), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686155] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19247), 1,
      sym__identifier,
    STATE(10674), 1,
      sym_class_type_path,
    STATE(14329), 1,
      sym_attribute,
    STATE(16360), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686178] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19249), 1,
      anon_sym_GT_RBRACE,
    STATE(14330), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686201] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19251), 1,
      anon_sym_RBRACK,
    STATE(14331), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686224] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18189), 1,
      sym__identifier,
    STATE(3331), 1,
      sym_class_path,
    STATE(14332), 1,
      sym_attribute,
    STATE(18238), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686247] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(18978), 1,
      sym__identifier,
    STATE(9623), 1,
      sym_class_type_path,
    STATE(14333), 1,
      sym_attribute,
    STATE(16226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686270] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19253), 1,
      anon_sym_GT_RBRACE,
    STATE(14334), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686293] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19255), 1,
      anon_sym_RBRACK,
    STATE(14335), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686316] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9819), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19257), 1,
      anon_sym_GT,
    STATE(14336), 1,
      sym_attribute,
    STATE(14448), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686339] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    ACTIONS(19259), 1,
      anon_sym_EQ,
    ACTIONS(19261), 1,
      anon_sym_RPAREN,
    STATE(14337), 1,
      sym_attribute,
    STATE(16399), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19263), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19265), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(14338), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [686381] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19268), 1,
      anon_sym_GT_RBRACE,
    STATE(14339), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686404] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19270), 1,
      anon_sym_GT_RBRACE,
    STATE(14340), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686427] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19272), 1,
      anon_sym_RBRACK,
    ACTIONS(19274), 1,
      anon_sym_GT,
    STATE(14341), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686450] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19276), 1,
      anon_sym_RBRACK,
    STATE(14342), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686473] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19278), 1,
      sym__identifier,
    STATE(10504), 1,
      sym_class_type_path,
    STATE(14343), 1,
      sym_attribute,
    STATE(16574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686496] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18298), 1,
      sym__identifier,
    STATE(5692), 1,
      sym_class_path,
    STATE(14344), 1,
      sym_attribute,
    STATE(17715), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686519] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19278), 1,
      sym__identifier,
    STATE(10566), 1,
      sym_class_type_path,
    STATE(14345), 1,
      sym_attribute,
    STATE(16574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686542] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19278), 1,
      sym__identifier,
    STATE(10575), 1,
      sym_class_type_path,
    STATE(14346), 1,
      sym_attribute,
    STATE(16574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686565] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14347), 1,
      sym_attribute,
    STATE(16373), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19280), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [686586] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19272), 1,
      anon_sym_RBRACK,
    STATE(14348), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686609] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19282), 1,
      anon_sym_GT_RBRACE,
    STATE(14349), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686632] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19284), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14350), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686655] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19286), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14351), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686678] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19288), 1,
      anon_sym_GT_RBRACE,
    STATE(14352), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686701] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19290), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14353), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686724] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14354), 1,
      sym_attribute,
    STATE(14479), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686747] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    ACTIONS(19292), 1,
      anon_sym_EQ,
    ACTIONS(19294), 1,
      anon_sym_RPAREN,
    STATE(14355), 1,
      sym_attribute,
    STATE(16567), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686770] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19296), 1,
      anon_sym_RBRACK,
    STATE(14356), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686793] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19093), 1,
      sym__identifier,
    STATE(12951), 1,
      sym_class_type_path,
    STATE(14357), 1,
      sym_attribute,
    STATE(16549), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686816] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9725), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19298), 1,
      anon_sym_GT,
    STATE(14358), 1,
      sym_attribute,
    STATE(14366), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686839] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19300), 1,
      anon_sym_GT_RBRACE,
    STATE(14359), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686862] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19302), 1,
      sym__identifier,
    STATE(14326), 1,
      aux_sym_method_specification_repeat1,
    STATE(14360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18932), 2,
      anon_sym_private,
      anon_sym_virtual,
  [686883] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19304), 1,
      anon_sym_COLON_GT,
    ACTIONS(19306), 1,
      anon_sym_RPAREN,
    STATE(14361), 1,
      sym_attribute,
    STATE(17144), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686906] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18492), 1,
      sym__identifier,
    STATE(9722), 1,
      sym_class_path,
    STATE(14362), 1,
      sym_attribute,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686929] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19061), 1,
      sym__identifier,
    STATE(10360), 1,
      sym_class_type_path,
    STATE(14363), 1,
      sym_attribute,
    STATE(17215), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686952] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19308), 1,
      anon_sym_RBRACK,
    ACTIONS(19310), 1,
      anon_sym_GT,
    STATE(14364), 1,
      sym_attribute,
    STATE(14373), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686975] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18102), 1,
      sym__identifier,
    STATE(5644), 1,
      sym_class_path,
    STATE(14365), 1,
      sym_attribute,
    STATE(18553), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686998] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19308), 1,
      anon_sym_RBRACK,
    ACTIONS(19310), 1,
      anon_sym_GT,
    STATE(14366), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687021] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14367), 1,
      sym_attribute,
    STATE(16405), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19312), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [687042] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19314), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14368), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687065] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19316), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14369), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687088] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19318), 1,
      anon_sym_COLON_GT,
    ACTIONS(19320), 1,
      anon_sym_RPAREN,
    STATE(14370), 1,
      sym_attribute,
    STATE(16420), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687111] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19322), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14371), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687134] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18350), 1,
      sym__identifier,
    STATE(3513), 1,
      sym_class_path,
    STATE(14372), 1,
      sym_attribute,
    STATE(18156), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687157] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19324), 1,
      anon_sym_RBRACK,
    ACTIONS(19326), 1,
      anon_sym_GT,
    STATE(14373), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687180] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19324), 1,
      anon_sym_RBRACK,
    STATE(14374), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687203] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19302), 1,
      sym__identifier,
    STATE(14338), 1,
      aux_sym_method_specification_repeat1,
    STATE(14375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18932), 2,
      anon_sym_private,
      anon_sym_virtual,
  [687224] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(19119), 1,
      sym__identifier,
    STATE(7245), 1,
      sym_class_path,
    STATE(14376), 1,
      sym_attribute,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687247] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18492), 1,
      sym__identifier,
    STATE(9786), 1,
      sym_class_path,
    STATE(14377), 1,
      sym_attribute,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687270] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19328), 1,
      anon_sym_GT_RBRACE,
    STATE(14378), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687293] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14379), 1,
      sym_attribute,
    STATE(16434), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19330), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [687314] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    STATE(14380), 1,
      sym_attribute,
    STATE(17169), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19332), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [687335] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19334), 1,
      anon_sym_COLON_GT,
    ACTIONS(19336), 1,
      anon_sym_RPAREN,
    STATE(14381), 1,
      sym_attribute,
    STATE(16273), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687358] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19338), 1,
      anon_sym_RBRACK,
    STATE(14382), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687381] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19340), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14383), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687404] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19342), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14384), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687427] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19344), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14385), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687450] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19346), 1,
      anon_sym_GT_RBRACE,
    STATE(14386), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687473] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19348), 1,
      anon_sym_RBRACK,
    STATE(14387), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687496] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19350), 1,
      sym__identifier,
    ACTIONS(19352), 1,
      anon_sym_LPAREN,
    STATE(14388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13758), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [687517] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19354), 1,
      anon_sym_COLON_GT,
    ACTIONS(19356), 1,
      anon_sym_RPAREN,
    STATE(14389), 1,
      sym_attribute,
    STATE(16696), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14390), 1,
      sym_attribute,
    STATE(16461), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19358), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [687561] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19360), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14391), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687584] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19362), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14392), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687607] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15934), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(14393), 1,
      sym_attribute,
    STATE(16716), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687630] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19364), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14394), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687653] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19366), 1,
      anon_sym_GT_RBRACE,
    STATE(14395), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687676] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19368), 1,
      sym__identifier,
    STATE(9612), 1,
      sym_class_type_path,
    STATE(14396), 1,
      sym_attribute,
    STATE(16597), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687699] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18346), 1,
      sym__identifier,
    STATE(4938), 1,
      sym_class_path,
    STATE(14397), 1,
      sym_attribute,
    STATE(17770), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687722] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19368), 1,
      sym__identifier,
    STATE(9316), 1,
      sym_class_type_path,
    STATE(14398), 1,
      sym_attribute,
    STATE(16597), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687745] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19368), 1,
      sym__identifier,
    STATE(9323), 1,
      sym_class_type_path,
    STATE(14399), 1,
      sym_attribute,
    STATE(16597), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687768] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19099), 1,
      sym__identifier,
    ACTIONS(19103), 1,
      anon_sym_mutable,
    ACTIONS(19370), 1,
      anon_sym_RBRACE,
    STATE(14400), 1,
      sym_attribute,
    STATE(17280), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687791] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19352), 1,
      anon_sym_LPAREN,
    ACTIONS(19372), 1,
      sym__identifier,
    STATE(13822), 1,
      sym__value_name,
    STATE(13881), 1,
      sym_parenthesized_operator,
    STATE(14401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687814] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19374), 1,
      anon_sym_GT_RBRACE,
    STATE(14402), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687837] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19376), 1,
      anon_sym_GT_RBRACE,
    STATE(14403), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687860] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19123), 1,
      sym__identifier,
    STATE(11932), 1,
      sym_class_type_path,
    STATE(14404), 1,
      sym_attribute,
    STATE(16422), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687883] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(18690), 1,
      anon_sym_BANG,
    ACTIONS(18692), 1,
      anon_sym__,
    STATE(14020), 1,
      sym_type_variable,
    STATE(14405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687906] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19378), 1,
      anon_sym_GT_RBRACE,
    STATE(14406), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687929] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14407), 1,
      sym_attribute,
    STATE(16492), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19380), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [687950] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19247), 1,
      sym__identifier,
    STATE(10792), 1,
      sym_class_type_path,
    STATE(14408), 1,
      sym_attribute,
    STATE(16360), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687973] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19382), 1,
      anon_sym_RBRACK,
    STATE(14409), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687996] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19178), 1,
      sym__identifier,
    STATE(10353), 1,
      sym_class_type_path,
    STATE(14410), 1,
      sym_attribute,
    STATE(16564), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688019] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19384), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14411), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688042] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19386), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14412), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688065] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19388), 1,
      anon_sym_RBRACK,
    STATE(14413), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688088] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18370), 1,
      sym__identifier,
    STATE(6712), 1,
      sym_class_path,
    STATE(14414), 1,
      sym_attribute,
    STATE(18110), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688111] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9855), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19390), 1,
      anon_sym_GT,
    STATE(14415), 1,
      sym_attribute,
    STATE(14422), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688134] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19392), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14416), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688157] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19247), 1,
      sym__identifier,
    STATE(10852), 1,
      sym_class_type_path,
    STATE(14417), 1,
      sym_attribute,
    STATE(16360), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688180] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18018), 1,
      sym__identifier,
    ACTIONS(18020), 1,
      anon_sym_LBRACK,
    ACTIONS(18022), 1,
      anon_sym_virtual,
    STATE(12486), 1,
      sym_class_binding,
    STATE(14418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688203] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18153), 1,
      sym__identifier,
    STATE(5088), 1,
      sym_class_path,
    STATE(14419), 1,
      sym_attribute,
    STATE(18591), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688226] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19247), 1,
      sym__identifier,
    STATE(10841), 1,
      sym_class_type_path,
    STATE(14420), 1,
      sym_attribute,
    STATE(16360), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688249] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19394), 1,
      anon_sym_RBRACK,
    ACTIONS(19396), 1,
      anon_sym_GT,
    STATE(14421), 1,
      sym_attribute,
    STATE(14430), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688272] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19394), 1,
      anon_sym_RBRACK,
    ACTIONS(19396), 1,
      anon_sym_GT,
    STATE(14422), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688295] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14423), 1,
      sym_attribute,
    STATE(16512), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19398), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [688316] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18245), 1,
      sym__identifier,
    STATE(6819), 1,
      sym_class_path,
    STATE(14424), 1,
      sym_attribute,
    STATE(19292), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688339] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19400), 1,
      anon_sym_COLON_GT,
    ACTIONS(19402), 1,
      anon_sym_RPAREN,
    STATE(14425), 1,
      sym_attribute,
    STATE(16534), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688362] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19404), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14426), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688385] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19406), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14427), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688408] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18460), 1,
      sym__identifier,
    STATE(7218), 1,
      sym_class_path,
    STATE(14428), 1,
      sym_attribute,
    STATE(19839), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688431] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19408), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14429), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688454] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19410), 1,
      anon_sym_RBRACK,
    ACTIONS(19412), 1,
      anon_sym_GT,
    STATE(14430), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688477] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19410), 1,
      anon_sym_RBRACK,
    STATE(14431), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688500] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19414), 1,
      anon_sym_COLON_GT,
    ACTIONS(19416), 1,
      anon_sym_RPAREN,
    STATE(14432), 1,
      sym_attribute,
    STATE(16319), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688523] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14433), 1,
      sym_attribute,
    STATE(16539), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19418), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [688544] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(14434), 1,
      sym_attribute,
    STATE(14986), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688567] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19420), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14435), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688590] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19422), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14436), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688613] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(18960), 1,
      sym__identifier,
    STATE(14437), 1,
      sym_attribute,
    STATE(16377), 1,
      sym_module_type_path,
    STATE(16442), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688636] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19424), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14438), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688659] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19426), 1,
      anon_sym_RBRACK,
    ACTIONS(19428), 1,
      anon_sym_GT,
    STATE(14439), 1,
      sym_attribute,
    STATE(14532), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688682] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19430), 1,
      anon_sym_GT_RBRACE,
    STATE(14440), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688705] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19432), 1,
      anon_sym_GT_RBRACE,
    STATE(14441), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688728] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19434), 1,
      anon_sym_RBRACK,
    STATE(14442), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688751] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19436), 1,
      anon_sym_RBRACK,
    STATE(14443), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19438), 1,
      sym__identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19441), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(14444), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [688793] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19443), 1,
      anon_sym_GT_RBRACE,
    STATE(14445), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688816] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19445), 1,
      anon_sym_GT_RBRACE,
    STATE(14446), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688839] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19447), 1,
      anon_sym_RBRACK,
    STATE(14447), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688862] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19426), 1,
      anon_sym_RBRACK,
    ACTIONS(19428), 1,
      anon_sym_GT,
    STATE(14448), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688885] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19449), 1,
      anon_sym_GT_RBRACE,
    STATE(14449), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688908] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19061), 1,
      sym__identifier,
    STATE(10468), 1,
      sym_class_type_path,
    STATE(14450), 1,
      sym_attribute,
    STATE(17215), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688931] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19451), 1,
      sym__identifier,
    STATE(9910), 1,
      sym_class_type_path,
    STATE(14451), 1,
      sym_attribute,
    STATE(16613), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688954] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18408), 1,
      sym__identifier,
    STATE(5302), 1,
      sym_class_path,
    STATE(14452), 1,
      sym_attribute,
    STATE(17825), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688977] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19451), 1,
      sym__identifier,
    STATE(9921), 1,
      sym_class_type_path,
    STATE(14453), 1,
      sym_attribute,
    STATE(16613), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689000] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19451), 1,
      sym__identifier,
    STATE(9927), 1,
      sym_class_type_path,
    STATE(14454), 1,
      sym_attribute,
    STATE(16613), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689023] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19453), 1,
      sym__identifier,
    STATE(14455), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(18966), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689046] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19455), 1,
      sym__identifier,
    STATE(13384), 1,
      sym_class_type_path,
    STATE(14456), 1,
      sym_attribute,
    STATE(16285), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689069] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9821), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19457), 1,
      anon_sym_GT,
    STATE(14457), 1,
      sym_attribute,
    STATE(14475), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689092] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19459), 1,
      anon_sym_GT_RBRACE,
    STATE(14458), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689115] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18187), 1,
      sym__identifier,
    STATE(3103), 1,
      sym_class_path,
    STATE(14459), 1,
      sym_attribute,
    STATE(18629), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689138] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19461), 1,
      anon_sym_RBRACK,
    STATE(14460), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689161] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19463), 1,
      anon_sym_RBRACK,
    STATE(14461), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689184] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19465), 1,
      anon_sym_GT_RBRACE,
    STATE(14462), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689207] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19278), 1,
      sym__identifier,
    STATE(10489), 1,
      sym_class_type_path,
    STATE(14463), 1,
      sym_attribute,
    STATE(16574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689230] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9907), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19467), 1,
      anon_sym_GT,
    STATE(14464), 1,
      sym_attribute,
    STATE(14472), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689253] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13262), 1,
      anon_sym_in,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14465), 1,
      sym_attribute,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689276] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19469), 1,
      anon_sym_COLON_GT,
    ACTIONS(19471), 1,
      anon_sym_RPAREN,
    STATE(14466), 1,
      sym_attribute,
    STATE(16378), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689299] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19473), 1,
      sym__identifier,
    STATE(5570), 1,
      sym_type_constructor_path,
    STATE(14467), 1,
      sym_attribute,
    STATE(16361), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689322] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13262), 1,
      anon_sym_in,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14468), 1,
      sym_attribute,
    STATE(14779), 1,
      aux_sym_expression_item_repeat1,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689345] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18253), 1,
      sym__identifier,
    STATE(3819), 1,
      sym_class_path,
    STATE(14469), 1,
      sym_attribute,
    STATE(18279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689368] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19475), 1,
      anon_sym_GT_RBRACE,
    STATE(14470), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689391] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19477), 1,
      anon_sym_RBRACK,
    ACTIONS(19479), 1,
      anon_sym_GT,
    STATE(14471), 1,
      sym_attribute,
    STATE(14477), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689414] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19477), 1,
      anon_sym_RBRACK,
    ACTIONS(19479), 1,
      anon_sym_GT,
    STATE(14472), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689437] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19481), 1,
      anon_sym_COLON_GT,
    ACTIONS(19483), 1,
      anon_sym_RPAREN,
    STATE(14473), 1,
      sym_attribute,
    STATE(16646), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689460] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19485), 1,
      anon_sym_RBRACK,
    ACTIONS(19487), 1,
      anon_sym_GT,
    STATE(14474), 1,
      sym_attribute,
    STATE(14508), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689483] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19485), 1,
      anon_sym_RBRACK,
    ACTIONS(19487), 1,
      anon_sym_GT,
    STATE(14475), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689506] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19489), 1,
      anon_sym_GT_RBRACE,
    STATE(14476), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689529] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19491), 1,
      anon_sym_RBRACK,
    ACTIONS(19493), 1,
      anon_sym_GT,
    STATE(14477), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689552] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19491), 1,
      anon_sym_RBRACK,
    STATE(14478), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689575] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(19495), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689598] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19497), 1,
      sym__identifier,
    STATE(8738), 1,
      sym_type_constructor_path,
    STATE(14480), 1,
      sym_attribute,
    STATE(16286), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689621] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19499), 1,
      sym__identifier,
    ACTIONS(19501), 1,
      anon_sym_LPAREN,
    STATE(5415), 1,
      sym__value_name,
    STATE(5453), 1,
      sym_parenthesized_operator,
    STATE(14481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689644] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19503), 1,
      anon_sym_GT_RBRACE,
    STATE(14482), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689667] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19505), 1,
      anon_sym_GT_RBRACE,
    STATE(14483), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689690] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19507), 1,
      anon_sym_RBRACK,
    STATE(14484), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689713] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19509), 1,
      anon_sym_COLON_GT,
    ACTIONS(19511), 1,
      anon_sym_RPAREN,
    STATE(14485), 1,
      sym_attribute,
    STATE(16346), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689736] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19513), 1,
      anon_sym_GT_RBRACE,
    STATE(14486), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689759] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18207), 1,
      sym__identifier,
    STATE(2842), 1,
      sym_class_path,
    STATE(14487), 1,
      sym_attribute,
    STATE(18666), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689782] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19515), 1,
      anon_sym_RBRACK,
    STATE(14488), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689805] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19517), 1,
      anon_sym_COLON_GT,
    ACTIONS(19519), 1,
      anon_sym_RPAREN,
    STATE(14489), 1,
      sym_attribute,
    STATE(16252), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689828] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    ACTIONS(19521), 1,
      sym__identifier,
    STATE(13079), 1,
      sym__value_name,
    STATE(13565), 1,
      sym_parenthesized_operator,
    STATE(14490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689851] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19523), 1,
      anon_sym_COLON_GT,
    ACTIONS(19525), 1,
      anon_sym_RPAREN,
    STATE(14491), 1,
      sym_attribute,
    STATE(16761), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689874] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19527), 1,
      sym__identifier,
    STATE(12414), 1,
      sym_class_type_path,
    STATE(14492), 1,
      sym_attribute,
    STATE(16631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12179), 1,
      anon_sym_and,
    STATE(14493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12177), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [689916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19529), 1,
      anon_sym_rec,
    STATE(11920), 1,
      sym_module_binding,
    STATE(14494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17514), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [689937] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18456), 1,
      sym__identifier,
    STATE(5806), 1,
      sym_class_path,
    STATE(14495), 1,
      sym_attribute,
    STATE(17910), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689960] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19527), 1,
      sym__identifier,
    STATE(12558), 1,
      sym_class_type_path,
    STATE(14496), 1,
      sym_attribute,
    STATE(16631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689983] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19527), 1,
      sym__identifier,
    STATE(12402), 1,
      sym_class_type_path,
    STATE(14497), 1,
      sym_attribute,
    STATE(16631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690006] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19531), 1,
      anon_sym_COLON_GT,
    ACTIONS(19533), 1,
      anon_sym_RPAREN,
    STATE(14498), 1,
      sym_attribute,
    STATE(16444), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690029] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18018), 1,
      sym__identifier,
    ACTIONS(18020), 1,
      anon_sym_LBRACK,
    ACTIONS(18022), 1,
      anon_sym_virtual,
    STATE(11503), 1,
      sym_class_binding,
    STATE(14499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690052] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(14500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12839), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [690073] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19535), 1,
      anon_sym_RBRACK,
    ACTIONS(19537), 1,
      anon_sym_GT,
    STATE(14501), 1,
      sym_attribute,
    STATE(14792), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690096] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19455), 1,
      sym__identifier,
    STATE(13436), 1,
      sym_class_type_path,
    STATE(14502), 1,
      sym_attribute,
    STATE(16285), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690119] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19539), 1,
      anon_sym_COLON_GT,
    ACTIONS(19541), 1,
      anon_sym_RPAREN,
    STATE(14503), 1,
      sym_attribute,
    STATE(17060), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690142] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19543), 1,
      sym__identifier,
    ACTIONS(19545), 1,
      anon_sym_LPAREN,
    STATE(5527), 1,
      sym__value_name,
    STATE(5671), 1,
      sym_parenthesized_operator,
    STATE(14504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690165] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19368), 1,
      sym__identifier,
    STATE(9565), 1,
      sym_class_type_path,
    STATE(14505), 1,
      sym_attribute,
    STATE(16597), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690188] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10025), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19547), 1,
      anon_sym_GT,
    STATE(14506), 1,
      sym_attribute,
    STATE(14514), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690211] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19535), 1,
      anon_sym_RBRACK,
    ACTIONS(19537), 1,
      anon_sym_GT,
    STATE(14507), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690234] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19549), 1,
      anon_sym_RBRACK,
    ACTIONS(19551), 1,
      anon_sym_GT,
    STATE(14508), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690257] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19549), 1,
      anon_sym_RBRACK,
    STATE(14509), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690280] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19553), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14510), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690303] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19555), 1,
      anon_sym_GT_RBRACE,
    STATE(14511), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690326] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11096), 1,
      anon_sym_in,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14512), 1,
      sym_attribute,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690349] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19557), 1,
      anon_sym_RBRACK,
    ACTIONS(19559), 1,
      anon_sym_GT,
    STATE(14513), 1,
      sym_attribute,
    STATE(14524), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690372] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19557), 1,
      anon_sym_RBRACK,
    ACTIONS(19559), 1,
      anon_sym_GT,
    STATE(14514), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690395] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19012), 1,
      sym__identifier,
    STATE(10066), 1,
      sym_class_type_path,
    STATE(14515), 1,
      sym_attribute,
    STATE(16475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690418] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18396), 1,
      sym__identifier,
    STATE(4918), 1,
      sym_class_path,
    STATE(14516), 1,
      sym_attribute,
    STATE(17319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690441] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19561), 1,
      anon_sym_GT_RBRACE,
    STATE(14517), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690464] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19012), 1,
      sym__identifier,
    STATE(10085), 1,
      sym_class_type_path,
    STATE(14518), 1,
      sym_attribute,
    STATE(16475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690487] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19012), 1,
      sym__identifier,
    STATE(10091), 1,
      sym_class_type_path,
    STATE(14519), 1,
      sym_attribute,
    STATE(16475), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690510] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19563), 1,
      anon_sym_COLON_GT,
    ACTIONS(19565), 1,
      anon_sym_RPAREN,
    STATE(14520), 1,
      sym_attribute,
    STATE(16760), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690533] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19567), 1,
      anon_sym_GT_RBRACE,
    STATE(14521), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690556] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17992), 1,
      sym__identifier,
    ACTIONS(17994), 1,
      anon_sym_LBRACK,
    ACTIONS(17996), 1,
      anon_sym_virtual,
    STATE(11503), 1,
      sym_class_binding,
    STATE(14522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690579] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18241), 1,
      sym__identifier,
    STATE(3192), 1,
      sym_class_path,
    STATE(14523), 1,
      sym_attribute,
    STATE(18690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690602] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19569), 1,
      anon_sym_RBRACK,
    ACTIONS(19571), 1,
      anon_sym_GT,
    STATE(14524), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690625] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    STATE(14525), 1,
      sym_attribute,
    STATE(16823), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19573), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [690646] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19123), 1,
      sym__identifier,
    STATE(12014), 1,
      sym_class_type_path,
    STATE(14526), 1,
      sym_attribute,
    STATE(16422), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690669] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19575), 1,
      anon_sym_GT_RBRACE,
    STATE(14527), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690692] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17552), 1,
      sym__identifier,
    ACTIONS(17556), 1,
      anon_sym_LBRACK,
    ACTIONS(17558), 1,
      anon_sym_virtual,
    STATE(11969), 1,
      sym_class_binding,
    STATE(14528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690715] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19577), 1,
      anon_sym_COLON_GT,
    ACTIONS(19579), 1,
      anon_sym_RPAREN,
    STATE(14529), 1,
      sym_attribute,
    STATE(16516), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690738] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19581), 1,
      anon_sym_GT_RBRACE,
    STATE(14530), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690761] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19583), 1,
      anon_sym_RBRACK,
    STATE(14531), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690784] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19585), 1,
      anon_sym_RBRACK,
    ACTIONS(19587), 1,
      anon_sym_GT,
    STATE(14532), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690807] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19585), 1,
      anon_sym_RBRACK,
    STATE(14533), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690830] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17686), 1,
      sym__identifier,
    ACTIONS(17688), 1,
      anon_sym_LBRACK,
    ACTIONS(17690), 1,
      anon_sym_virtual,
    STATE(11503), 1,
      sym_class_binding,
    STATE(14534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690853] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19589), 1,
      anon_sym_GT_RBRACE,
    STATE(14535), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690876] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19591), 1,
      anon_sym_RBRACK,
    STATE(14536), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690899] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18342), 1,
      sym__identifier,
    STATE(7593), 1,
      sym_class_path,
    STATE(14537), 1,
      sym_attribute,
    STATE(17660), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690922] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19000), 1,
      sym__identifier,
    STATE(9770), 1,
      sym_class_type_path,
    STATE(14538), 1,
      sym_attribute,
    STATE(16423), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690945] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19593), 1,
      anon_sym_GT_RBRACE,
    STATE(14539), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690968] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19595), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18823), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14540), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [690987] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19598), 1,
      sym__identifier,
    STATE(9478), 1,
      sym_class_type_path,
    STATE(14541), 1,
      sym_attribute,
    STATE(16647), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691010] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18492), 1,
      sym__identifier,
    STATE(9079), 1,
      sym_class_path,
    STATE(14542), 1,
      sym_attribute,
    STATE(19928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691033] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19598), 1,
      sym__identifier,
    STATE(9614), 1,
      sym_class_type_path,
    STATE(14543), 1,
      sym_attribute,
    STATE(16647), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691056] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19598), 1,
      sym__identifier,
    STATE(9513), 1,
      sym_class_type_path,
    STATE(14544), 1,
      sym_attribute,
    STATE(16647), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691079] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8078), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    STATE(14545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 2,
      anon_sym_with,
      sym_hash_operator,
  [691100] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18300), 1,
      sym__identifier,
    STATE(4723), 1,
      sym_class_path,
    STATE(14546), 1,
      sym_attribute,
    STATE(18319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19604), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19602), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14547), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [691142] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19607), 1,
      anon_sym_GT_RBRACE,
    STATE(14548), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691165] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9993), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19609), 1,
      anon_sym_GT,
    STATE(14549), 1,
      sym_attribute,
    STATE(14559), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691188] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19611), 1,
      anon_sym_RBRACK,
    STATE(14550), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691211] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19613), 1,
      anon_sym_GT_RBRACE,
    STATE(14551), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691234] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19451), 1,
      sym__identifier,
    STATE(9906), 1,
      sym_class_type_path,
    STATE(14552), 1,
      sym_attribute,
    STATE(16613), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691257] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9857), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19615), 1,
      anon_sym_GT,
    STATE(14553), 1,
      sym_attribute,
    STATE(14557), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691280] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19617), 1,
      anon_sym_GT_RBRACE,
    STATE(14554), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691303] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19619), 1,
      anon_sym_RBRACK,
    ACTIONS(19621), 1,
      anon_sym_GT,
    STATE(14555), 1,
      sym_attribute,
    STATE(14564), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691326] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19623), 1,
      anon_sym_COLON_GT,
    ACTIONS(19625), 1,
      anon_sym_RPAREN,
    STATE(14556), 1,
      sym_attribute,
    STATE(16578), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691349] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19619), 1,
      anon_sym_RBRACK,
    ACTIONS(19621), 1,
      anon_sym_GT,
    STATE(14557), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691372] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19627), 1,
      anon_sym_RBRACK,
    ACTIONS(19629), 1,
      anon_sym_GT,
    STATE(14558), 1,
      sym_attribute,
    STATE(14591), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691395] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19627), 1,
      anon_sym_RBRACK,
    ACTIONS(19629), 1,
      anon_sym_GT,
    STATE(14559), 1,
      sym_attribute,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691418] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19631), 1,
      anon_sym_COLON_GT,
    ACTIONS(19633), 1,
      anon_sym_RPAREN,
    STATE(14560), 1,
      sym_attribute,
    STATE(16867), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19635), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19638), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(14561), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [691460] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19640), 1,
      sym__identifier,
    STATE(5393), 1,
      sym_type_constructor_path,
    STATE(14562), 1,
      sym_attribute,
    STATE(16477), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691483] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19642), 1,
      anon_sym_GT_RBRACE,
    STATE(14563), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691506] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19644), 1,
      anon_sym_RBRACK,
    ACTIONS(19646), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691529] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19644), 1,
      anon_sym_RBRACK,
    STATE(14565), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691552] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19648), 1,
      anon_sym_RBRACK,
    ACTIONS(19650), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691575] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19648), 1,
      anon_sym_RBRACK,
    STATE(14567), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691598] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(19652), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691621] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19061), 1,
      sym__identifier,
    STATE(10519), 1,
      sym_class_type_path,
    STATE(14569), 1,
      sym_attribute,
    STATE(17215), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691644] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19654), 1,
      aux_sym_attribute_id_token1,
    STATE(14570), 1,
      sym_attribute,
    STATE(14622), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8798), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [691665] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19656), 1,
      anon_sym_GT_RBRACE,
    STATE(14571), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691688] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    ACTIONS(19658), 1,
      anon_sym_EQ,
    ACTIONS(19660), 1,
      anon_sym_RPAREN,
    STATE(14572), 1,
      sym_attribute,
    STATE(17011), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691711] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19662), 1,
      anon_sym_GT_RBRACE,
    STATE(14573), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691734] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19664), 1,
      anon_sym_COLON_GT,
    ACTIONS(19666), 1,
      anon_sym_RPAREN,
    STATE(14574), 1,
      sym_attribute,
    STATE(16379), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691757] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19668), 1,
      anon_sym_RBRACK,
    STATE(14575), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691780] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19670), 1,
      anon_sym_COLON_GT,
    ACTIONS(19672), 1,
      anon_sym_RPAREN,
    STATE(14576), 1,
      sym_attribute,
    STATE(16682), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691803] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19674), 1,
      sym__identifier,
    STATE(9634), 1,
      sym_class_type_path,
    STATE(14577), 1,
      sym_attribute,
    STATE(16325), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691826] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19676), 1,
      anon_sym_GT_RBRACE,
    STATE(14578), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691849] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19678), 1,
      anon_sym_GT_RBRACE,
    STATE(14579), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691872] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19099), 1,
      sym__identifier,
    ACTIONS(19103), 1,
      anon_sym_mutable,
    ACTIONS(19680), 1,
      anon_sym_RBRACE,
    STATE(14580), 1,
      sym_attribute,
    STATE(17280), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691895] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19682), 1,
      anon_sym_RBRACK,
    STATE(14581), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691918] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19684), 1,
      anon_sym_GT_RBRACE,
    STATE(14582), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691941] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18494), 1,
      sym__identifier,
    STATE(6670), 1,
      sym_class_path,
    STATE(14583), 1,
      sym_attribute,
    STATE(17624), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691964] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19686), 1,
      anon_sym_RBRACK,
    STATE(14584), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691987] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19688), 1,
      anon_sym_COLON_GT,
    ACTIONS(19690), 1,
      anon_sym_RPAREN,
    STATE(14585), 1,
      sym_attribute,
    STATE(16649), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692010] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19692), 1,
      sym__identifier,
    STATE(8869), 1,
      sym_class_type_path,
    STATE(14586), 1,
      sym_attribute,
    STATE(16663), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692033] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18512), 1,
      sym__identifier,
    STATE(6326), 1,
      sym_class_path,
    STATE(14587), 1,
      sym_attribute,
    STATE(17951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692056] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19692), 1,
      sym__identifier,
    STATE(8877), 1,
      sym_class_type_path,
    STATE(14588), 1,
      sym_attribute,
    STATE(16663), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692079] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19692), 1,
      sym__identifier,
    STATE(8884), 1,
      sym_class_type_path,
    STATE(14589), 1,
      sym_attribute,
    STATE(16663), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692102] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19694), 1,
      anon_sym_COLON_GT,
    ACTIONS(19696), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_attribute,
    STATE(17069), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692125] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19698), 1,
      anon_sym_RBRACK,
    ACTIONS(19700), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692148] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19698), 1,
      anon_sym_RBRACK,
    STATE(14592), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692171] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19702), 1,
      anon_sym_GT_RBRACE,
    STATE(14593), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19704), 1,
      sym__identifier,
    STATE(14174), 1,
      aux_sym_method_specification_repeat1,
    STATE(14594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18932), 2,
      anon_sym_private,
      anon_sym_virtual,
  [692215] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19706), 1,
      anon_sym_GT_RBRACE,
    STATE(14595), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692238] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19708), 1,
      sym__identifier,
    STATE(9269), 1,
      sym_class_type_path,
    STATE(14596), 1,
      sym_attribute,
    STATE(17017), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692261] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19710), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14597), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692284] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19712), 1,
      anon_sym_with,
    ACTIONS(19714), 1,
      sym_hash_operator,
    STATE(14598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692307] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19716), 1,
      anon_sym_GT_RBRACE,
    STATE(14599), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692330] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19527), 1,
      sym__identifier,
    STATE(12521), 1,
      sym_class_type_path,
    STATE(14600), 1,
      sym_attribute,
    STATE(16631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692353] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9687), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19718), 1,
      anon_sym_GT,
    STATE(14601), 1,
      sym_attribute,
    STATE(14609), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692376] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19455), 1,
      sym__identifier,
    STATE(13527), 1,
      sym_class_type_path,
    STATE(14602), 1,
      sym_attribute,
    STATE(16285), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692399] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15934), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(6754), 1,
      sym_parenthesized_operator,
    STATE(14603), 1,
      sym_attribute,
    STATE(17089), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692422] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(19720), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692445] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19722), 1,
      anon_sym_COLON_GT,
    ACTIONS(19724), 1,
      anon_sym_RPAREN,
    STATE(14605), 1,
      sym_attribute,
    STATE(16723), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692468] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19674), 1,
      sym__identifier,
    STATE(9755), 1,
      sym_class_type_path,
    STATE(14606), 1,
      sym_attribute,
    STATE(16325), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692491] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18086), 1,
      sym__identifier,
    STATE(7605), 1,
      sym_class_path,
    STATE(14607), 1,
      sym_attribute,
    STATE(17440), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692514] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19726), 1,
      anon_sym_RBRACK,
    ACTIONS(19728), 1,
      anon_sym_GT,
    STATE(14608), 1,
      sym_attribute,
    STATE(14616), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692537] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19726), 1,
      anon_sym_RBRACK,
    ACTIONS(19728), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692560] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18434), 1,
      sym__identifier,
    STATE(7368), 1,
      sym_class_path,
    STATE(14610), 1,
      sym_attribute,
    STATE(18197), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692583] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    STATE(14611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12885), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [692604] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(14612), 1,
      sym_attribute,
    STATE(14844), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692627] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18342), 1,
      sym__identifier,
    STATE(7579), 1,
      sym_class_path,
    STATE(14613), 1,
      sym_attribute,
    STATE(17660), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692650] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19730), 1,
      anon_sym_GT_RBRACE,
    STATE(14614), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692673] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19732), 1,
      anon_sym_COLON_GT,
    ACTIONS(19734), 1,
      anon_sym_RPAREN,
    STATE(14615), 1,
      sym_attribute,
    STATE(17034), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692696] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    ACTIONS(19738), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692719] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    STATE(14617), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692742] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19740), 1,
      anon_sym_GT_RBRACE,
    STATE(14618), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692765] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19742), 1,
      anon_sym_GT_RBRACE,
    STATE(14619), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692788] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19744), 1,
      anon_sym_GT_RBRACE,
    STATE(14620), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692811] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19746), 1,
      anon_sym_with,
    STATE(14621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692834] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19654), 1,
      aux_sym_attribute_id_token1,
    STATE(14622), 1,
      sym_attribute,
    STATE(14653), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8786), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [692855] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19748), 1,
      anon_sym_RBRACK,
    STATE(14623), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692878] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18086), 1,
      sym__identifier,
    STATE(7609), 1,
      sym_class_path,
    STATE(14624), 1,
      sym_attribute,
    STATE(17440), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692901] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19750), 1,
      anon_sym_GT_RBRACE,
    STATE(14625), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692924] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19752), 1,
      anon_sym_RBRACK,
    STATE(14626), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692947] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(14627), 1,
      sym_attribute,
    STATE(16174), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692970] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19754), 1,
      anon_sym_GT_RBRACE,
    STATE(14628), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692993] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19756), 1,
      anon_sym_GT_RBRACE,
    STATE(14629), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693016] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19758), 1,
      anon_sym_RBRACK,
    STATE(14630), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693039] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19760), 1,
      anon_sym_with,
    STATE(14631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693062] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19762), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14632), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693085] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19764), 1,
      sym__identifier,
    STATE(12701), 1,
      sym_class_type_path,
    STATE(14633), 1,
      sym_attribute,
    STATE(16677), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693108] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18304), 1,
      sym__identifier,
    STATE(6403), 1,
      sym_class_path,
    STATE(14634), 1,
      sym_attribute,
    STATE(17992), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693131] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19764), 1,
      sym__identifier,
    STATE(12682), 1,
      sym_class_type_path,
    STATE(14635), 1,
      sym_attribute,
    STATE(16677), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693154] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19764), 1,
      sym__identifier,
    STATE(12667), 1,
      sym_class_type_path,
    STATE(14636), 1,
      sym_attribute,
    STATE(16677), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693177] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19083), 1,
      anon_sym_RBRACK,
    ACTIONS(19085), 1,
      anon_sym_GT,
    STATE(14566), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693200] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(14638), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693223] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19766), 1,
      anon_sym_RBRACK,
    STATE(14639), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693246] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18342), 1,
      sym__identifier,
    STATE(6647), 1,
      sym_class_path,
    STATE(14640), 1,
      sym_attribute,
    STATE(17660), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693269] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19708), 1,
      sym__identifier,
    STATE(9203), 1,
      sym_class_type_path,
    STATE(14641), 1,
      sym_attribute,
    STATE(17017), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693292] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19768), 1,
      sym__identifier,
    ACTIONS(19770), 1,
      anon_sym_LPAREN,
    STATE(8703), 1,
      sym__value_name,
    STATE(8736), 1,
      sym_parenthesized_operator,
    STATE(14642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693315] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19772), 1,
      anon_sym_with,
    STATE(14643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693338] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19598), 1,
      sym__identifier,
    STATE(9463), 1,
      sym_class_type_path,
    STATE(14644), 1,
      sym_attribute,
    STATE(16647), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693361] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14645), 1,
      sym_attribute,
    STATE(16530), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19774), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [693382] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19776), 1,
      anon_sym_with,
    STATE(14646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693405] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9773), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19778), 1,
      anon_sym_GT,
    STATE(14647), 1,
      sym_attribute,
    STATE(14657), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693428] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19674), 1,
      sym__identifier,
    STATE(9827), 1,
      sym_class_type_path,
    STATE(14648), 1,
      sym_attribute,
    STATE(16325), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693451] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19780), 1,
      anon_sym_GT_RBRACE,
    STATE(14649), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693474] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19782), 1,
      anon_sym_RBRACK,
    STATE(14650), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693497] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(14651), 1,
      sym_attribute,
    STATE(15429), 1,
      sym_type_constructor_path,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693520] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19708), 1,
      sym__identifier,
    STATE(9210), 1,
      sym_class_type_path,
    STATE(14652), 1,
      sym_attribute,
    STATE(17017), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19784), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8687), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(14653), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [693562] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(11628), 1,
      sym__identifier,
    STATE(12879), 1,
      sym_type_constructor_path,
    STATE(14654), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693585] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19787), 1,
      anon_sym_RBRACK,
    ACTIONS(19789), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693608] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19791), 1,
      anon_sym_RBRACK,
    ACTIONS(19793), 1,
      anon_sym_GT,
    STATE(14656), 1,
      sym_attribute,
    STATE(14670), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693631] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19791), 1,
      anon_sym_RBRACK,
    ACTIONS(19793), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693654] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19795), 1,
      anon_sym_with,
    STATE(14658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693677] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19455), 1,
      sym__identifier,
    STATE(13516), 1,
      sym_class_type_path,
    STATE(14659), 1,
      sym_attribute,
    STATE(16285), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693700] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13550), 1,
      anon_sym_in,
    ACTIONS(18964), 1,
      anon_sym_and,
    ACTIONS(18966), 1,
      sym_let_and_operator,
    STATE(14240), 1,
      aux_sym_value_definition_repeat1,
    STATE(14660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693723] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19787), 1,
      anon_sym_RBRACK,
    STATE(14661), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693746] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19797), 1,
      anon_sym_COLON_GT,
    ACTIONS(19799), 1,
      anon_sym_RPAREN,
    STATE(14662), 1,
      sym_attribute,
    STATE(17113), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693769] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19133), 1,
      sym__identifier,
    STATE(11597), 1,
      sym_class_type_path,
    STATE(14663), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693792] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19801), 1,
      anon_sym_with,
    STATE(14664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693815] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18394), 1,
      sym__identifier,
    STATE(6759), 1,
      sym_class_path,
    STATE(14665), 1,
      sym_attribute,
    STATE(18516), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693838] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19133), 1,
      sym__identifier,
    STATE(11572), 1,
      sym_class_type_path,
    STATE(14666), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693861] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19803), 1,
      anon_sym_COLON_GT,
    ACTIONS(19805), 1,
      anon_sym_RPAREN,
    STATE(14667), 1,
      sym_attribute,
    STATE(16341), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693884] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19807), 1,
      anon_sym_COLON_GT,
    ACTIONS(19809), 1,
      anon_sym_RPAREN,
    STATE(14668), 1,
      sym_attribute,
    STATE(16536), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693907] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19811), 1,
      anon_sym_with,
    STATE(14669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693930] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19813), 1,
      anon_sym_RBRACK,
    ACTIONS(19815), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693953] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19813), 1,
      anon_sym_RBRACK,
    STATE(14671), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693976] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19133), 1,
      sym__identifier,
    STATE(11643), 1,
      sym_class_type_path,
    STATE(14672), 1,
      sym_attribute,
    STATE(16394), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693999] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19817), 1,
      anon_sym_with,
    STATE(14673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694022] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19819), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14674), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694045] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13831), 1,
      anon_sym_in,
    ACTIONS(18964), 1,
      anon_sym_and,
    ACTIONS(18966), 1,
      sym_let_and_operator,
    STATE(14675), 1,
      sym_attribute,
    STATE(14683), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694068] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19821), 1,
      anon_sym_with,
    STATE(14676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694091] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19823), 1,
      anon_sym_GT_RBRACE,
    STATE(14677), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694114] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19825), 1,
      anon_sym_with,
    STATE(14678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694137] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19123), 1,
      sym__identifier,
    STATE(11692), 1,
      sym_class_type_path,
    STATE(14679), 1,
      sym_attribute,
    STATE(16422), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694160] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19827), 1,
      anon_sym_RBRACK,
    STATE(14680), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694183] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19829), 1,
      anon_sym_with,
    STATE(14681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694206] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19708), 1,
      sym__identifier,
    STATE(9191), 1,
      sym_class_type_path,
    STATE(14682), 1,
      sym_attribute,
    STATE(17017), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694229] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14056), 1,
      anon_sym_in,
    ACTIONS(19831), 1,
      anon_sym_and,
    ACTIONS(19834), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14683), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [694250] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17020), 1,
      anon_sym_STAR,
    STATE(14201), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(14684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12762), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [694271] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19837), 1,
      anon_sym_with,
    STATE(14685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694294] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19839), 1,
      anon_sym_GT_RBRACE,
    STATE(14686), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694317] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19841), 1,
      anon_sym_with,
    STATE(14687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694340] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19843), 1,
      anon_sym_RBRACK,
    STATE(14688), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694363] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19845), 1,
      anon_sym_with,
    STATE(14689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694386] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19847), 1,
      anon_sym_RBRACK,
    STATE(14690), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694409] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19849), 1,
      anon_sym_with,
    STATE(14691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694432] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9843), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19851), 1,
      anon_sym_GT,
    STATE(14692), 1,
      sym_attribute,
    STATE(14753), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694455] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19853), 1,
      anon_sym_with,
    STATE(14693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694478] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(18944), 1,
      sym__identifier,
    STATE(8938), 1,
      sym_class_type_path,
    STATE(14694), 1,
      sym_attribute,
    STATE(16693), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694501] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18306), 1,
      sym__identifier,
    STATE(9397), 1,
      sym_class_path,
    STATE(14695), 1,
      sym_attribute,
    STATE(18033), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694524] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(18944), 1,
      sym__identifier,
    STATE(8961), 1,
      sym_class_type_path,
    STATE(14696), 1,
      sym_attribute,
    STATE(16693), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694547] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(18944), 1,
      sym__identifier,
    STATE(8968), 1,
      sym_class_type_path,
    STATE(14697), 1,
      sym_attribute,
    STATE(16693), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694570] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19855), 1,
      anon_sym_with,
    STATE(14698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694593] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19105), 1,
      sym__identifier,
    STATE(9154), 1,
      sym_class_type_path,
    STATE(14699), 1,
      sym_attribute,
    STATE(16500), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694616] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19857), 1,
      anon_sym_with,
    STATE(14700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694639] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18478), 1,
      sym__identifier,
    STATE(3462), 1,
      sym_class_path,
    STATE(14701), 1,
      sym_attribute,
    STATE(17385), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694662] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19105), 1,
      sym__identifier,
    STATE(9254), 1,
      sym_class_type_path,
    STATE(14702), 1,
      sym_attribute,
    STATE(16500), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694685] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13831), 1,
      anon_sym_in,
    ACTIONS(18964), 1,
      anon_sym_and,
    ACTIONS(18966), 1,
      sym_let_and_operator,
    STATE(14193), 1,
      aux_sym_value_definition_repeat1,
    STATE(14703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694708] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19105), 1,
      sym__identifier,
    STATE(9167), 1,
      sym_class_type_path,
    STATE(14704), 1,
      sym_attribute,
    STATE(16500), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694731] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19859), 1,
      anon_sym_RBRACK,
    STATE(14705), 1,
      sym_attribute,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694754] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19861), 1,
      anon_sym_with,
    STATE(14706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694777] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19674), 1,
      sym__identifier,
    STATE(9746), 1,
      sym_class_type_path,
    STATE(14707), 1,
      sym_attribute,
    STATE(16325), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694800] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19863), 1,
      anon_sym_GT_RBRACE,
    STATE(14708), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694823] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19865), 1,
      anon_sym_with,
    STATE(14709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694846] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9705), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19867), 1,
      anon_sym_GT,
    STATE(14710), 1,
      sym_attribute,
    STATE(14738), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694869] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19692), 1,
      sym__identifier,
    STATE(8865), 1,
      sym_class_type_path,
    STATE(14711), 1,
      sym_attribute,
    STATE(16663), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694892] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19869), 1,
      anon_sym_with,
    STATE(14712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694915] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    ACTIONS(19871), 1,
      anon_sym_EQ,
    ACTIONS(19873), 1,
      anon_sym_RPAREN,
    STATE(14713), 1,
      sym_attribute,
    STATE(17146), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694938] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9835), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19875), 1,
      anon_sym_GT,
    STATE(14714), 1,
      sym_attribute,
    STATE(14722), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694961] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19877), 1,
      anon_sym_with,
    STATE(14715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694984] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19879), 1,
      sym__identifier,
    STATE(5352), 1,
      sym_type_constructor_path,
    STATE(14716), 1,
      sym_attribute,
    STATE(17018), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695007] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      anon_sym_RBRACK,
    ACTIONS(19883), 1,
      aux_sym_tag_token1,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14717), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [695028] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19886), 1,
      anon_sym_with,
    STATE(14718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695051] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    ACTIONS(19888), 1,
      anon_sym_EQ,
    ACTIONS(19890), 1,
      anon_sym_RPAREN,
    STATE(14719), 1,
      sym_attribute,
    STATE(16748), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695074] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19892), 1,
      anon_sym_with,
    STATE(14720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695097] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19894), 1,
      anon_sym_RBRACK,
    ACTIONS(19896), 1,
      anon_sym_GT,
    STATE(14721), 1,
      sym_attribute,
    STATE(14733), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695120] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19894), 1,
      anon_sym_RBRACK,
    ACTIONS(19896), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695143] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19898), 1,
      anon_sym_with,
    STATE(14723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695166] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19900), 1,
      anon_sym_with,
    STATE(14724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695189] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19902), 1,
      anon_sym_GT_RBRACE,
    STATE(14725), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695212] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19904), 1,
      anon_sym_COLON_GT,
    ACTIONS(19906), 1,
      anon_sym_RPAREN,
    STATE(14726), 1,
      sym_attribute,
    STATE(17191), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695235] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19908), 1,
      anon_sym_with,
    STATE(14727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695258] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13336), 1,
      anon_sym_in,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14465), 1,
      aux_sym_expression_item_repeat1,
    STATE(14728), 1,
      sym_attribute,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695281] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(17726), 1,
      anon_sym_DASH_GT,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14568), 1,
      aux_sym_module_binding_repeat1,
    STATE(14729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695304] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19910), 1,
      sym__identifier,
    ACTIONS(19912), 1,
      anon_sym_LPAREN,
    STATE(5602), 1,
      sym_parenthesized_operator,
    STATE(5646), 1,
      sym__value_name,
    STATE(14730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695327] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19914), 1,
      anon_sym_with,
    STATE(14731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695350] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19916), 1,
      anon_sym_with,
    STATE(14732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695373] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19918), 1,
      anon_sym_RBRACK,
    ACTIONS(19920), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695396] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19922), 1,
      anon_sym_with,
    STATE(14734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695419] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19918), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14735), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695442] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19924), 1,
      anon_sym_with,
    STATE(14736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695465] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19926), 1,
      anon_sym_RBRACK,
    ACTIONS(19928), 1,
      anon_sym_GT,
    STATE(14737), 1,
      sym_attribute,
    STATE(14772), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695488] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19926), 1,
      anon_sym_RBRACK,
    ACTIONS(19928), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695511] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19930), 1,
      anon_sym_with,
    STATE(14739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695534] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19932), 1,
      anon_sym_with,
    STATE(14740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695557] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19934), 1,
      anon_sym_GT_RBRACE,
    STATE(14741), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695580] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19936), 1,
      anon_sym_with,
    STATE(14742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695603] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19938), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14743), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695626] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19940), 1,
      anon_sym_with,
    STATE(14744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695649] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19942), 1,
      sym__identifier,
    STATE(7435), 1,
      sym_type_constructor_path,
    STATE(14745), 1,
      sym_attribute,
    STATE(16326), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695672] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19944), 1,
      anon_sym_RBRACK,
    ACTIONS(19946), 1,
      anon_sym_GT,
    STATE(14655), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695695] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19948), 1,
      anon_sym_with,
    STATE(14747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695718] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19950), 1,
      anon_sym_GT_RBRACE,
    STATE(14748), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695741] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19952), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14749), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695764] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19954), 1,
      anon_sym_with,
    STATE(14750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695787] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19956), 1,
      anon_sym_with,
    STATE(14751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695810] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19958), 1,
      anon_sym_with,
    STATE(14752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695833] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19944), 1,
      anon_sym_RBRACK,
    ACTIONS(19946), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695856] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19059), 1,
      sym__identifier,
    STATE(10869), 1,
      sym_class_type_path,
    STATE(14754), 1,
      sym_attribute,
    STATE(16447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695879] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18080), 1,
      sym__identifier,
    STATE(6520), 1,
      sym_class_path,
    STATE(14755), 1,
      sym_attribute,
    STATE(18074), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695902] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19960), 1,
      anon_sym_with,
    STATE(14756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695925] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19962), 1,
      anon_sym_COLON_GT,
    ACTIONS(19964), 1,
      anon_sym_RPAREN,
    STATE(14757), 1,
      sym_attribute,
    STATE(17270), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695948] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_POUND,
    ACTIONS(19600), 1,
      anon_sym_DOT,
    ACTIONS(19714), 1,
      sym_hash_operator,
    ACTIONS(19966), 1,
      anon_sym_with,
    STATE(14758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695971] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(19968), 1,
      anon_sym_GT_RBRACE,
    STATE(14759), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695994] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19970), 1,
      sym__identifier,
    STATE(10023), 1,
      sym_type_constructor_path,
    STATE(14760), 1,
      sym_attribute,
    STATE(17217), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696017] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(14094), 1,
      anon_sym_DASH_GT,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14761), 1,
      sym_attribute,
    STATE(14762), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696040] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(19972), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696063] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(18392), 1,
      sym__identifier,
    STATE(2886), 1,
      sym_class_path,
    STATE(14763), 1,
      sym_attribute,
    STATE(18359), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696086] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(19974), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696109] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19764), 1,
      sym__identifier,
    STATE(12647), 1,
      sym_class_type_path,
    STATE(14765), 1,
      sym_attribute,
    STATE(16677), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696132] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19976), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14766), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696155] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9885), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19978), 1,
      anon_sym_GT,
    STATE(14767), 1,
      sym_attribute,
    STATE(14774), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696178] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    ACTIONS(19980), 1,
      sym__identifier,
    STATE(14768), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_extended_module_path,
    STATE(19926), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696201] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(19982), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696224] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10023), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19984), 1,
      anon_sym_GT,
    STATE(14770), 1,
      sym_attribute,
    STATE(14808), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696247] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19986), 1,
      anon_sym_rec,
    STATE(14771), 1,
      sym_attribute,
    STATE(15041), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18316), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [696268] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19988), 1,
      anon_sym_RBRACK,
    ACTIONS(19990), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696291] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19992), 1,
      anon_sym_RBRACK,
    ACTIONS(19994), 1,
      anon_sym_GT,
    STATE(14773), 1,
      sym_attribute,
    STATE(14783), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696314] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19992), 1,
      anon_sym_RBRACK,
    ACTIONS(19994), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696337] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19988), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14775), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696360] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19996), 1,
      anon_sym_DOT,
    STATE(14265), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(14776), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696383] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(19998), 1,
      anon_sym_COLON_GT,
    ACTIONS(20000), 1,
      anon_sym_RPAREN,
    STATE(14777), 1,
      sym_attribute,
    STATE(17265), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696406] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(18960), 1,
      sym__identifier,
    STATE(14778), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    STATE(17247), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696429] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13340), 1,
      anon_sym_in,
    ACTIONS(16212), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14114), 1,
      aux_sym_expression_item_repeat1,
    STATE(14779), 1,
      sym_attribute,
    STATE(14825), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(14780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20041), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [696473] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(14242), 1,
      anon_sym_DASH_GT,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14781), 1,
      sym_attribute,
    STATE(14782), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696496] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(20002), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696519] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20004), 1,
      anon_sym_RBRACK,
    ACTIONS(20006), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13131), 1,
      anon_sym_PERCENT,
    STATE(14784), 1,
      sym_attribute,
    STATE(17075), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20008), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [696563] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(14785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20052), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [696584] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(20004), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14786), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696607] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20010), 1,
      sym__identifier,
    STATE(14444), 1,
      aux_sym__abstract_type_repeat1,
    STATE(14787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20012), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [696628] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(12889), 1,
      anon_sym_DASH_GT,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14788), 1,
      sym_attribute,
    STATE(14789), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696651] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(20014), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696674] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(20016), 1,
      anon_sym_GT_RBRACE,
    STATE(14790), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696697] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    ACTIONS(18068), 1,
      anon_sym_LPAREN,
    STATE(14791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20059), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [696718] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20018), 1,
      anon_sym_RBRACK,
    ACTIONS(20020), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696741] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      anon_sym_COLON2,
    ACTIONS(20022), 1,
      anon_sym_COLON_GT,
    ACTIONS(20024), 1,
      anon_sym_RPAREN,
    STATE(14793), 1,
      sym_attribute,
    STATE(16708), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696764] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(13105), 1,
      anon_sym_DASH_GT,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14794), 1,
      sym_attribute,
    STATE(14795), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696787] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    ACTIONS(20026), 1,
      anon_sym_DASH_GT,
    STATE(9202), 1,
      aux_sym_module_binding_repeat1,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696810] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20028), 1,
      anon_sym_rec,
    STATE(12607), 1,
      sym_module_binding,
    STATE(14796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18062), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [696831] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(18960), 1,
      sym__identifier,
    STATE(14797), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    STATE(17272), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696854] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(20030), 1,
      anon_sym_GT_RBRACE,
    STATE(14798), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696877] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20032), 1,
      anon_sym_rec,
    STATE(12399), 1,
      sym_module_binding,
    STATE(14799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17666), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [696898] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(20034), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14800), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696921] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(18960), 1,
      sym__identifier,
    STATE(14801), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    STATE(17278), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696944] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20036), 1,
      anon_sym_rec,
    STATE(11684), 1,
      sym_module_binding,
    STATE(14802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18044), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [696965] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20038), 1,
      anon_sym_RBRACK,
    ACTIONS(20040), 1,
      anon_sym_GT,
    STATE(14165), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696988] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13133), 1,
      sym__capitalized_identifier,
    ACTIONS(18960), 1,
      sym__identifier,
    STATE(14804), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_extended_module_path,
    STATE(17284), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697011] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(20018), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14805), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697034] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    STATE(14806), 1,
      sym_attribute,
    STATE(17287), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20042), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [697055] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(20044), 1,
      anon_sym_GT_RBRACE,
    STATE(14807), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697078] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20038), 1,
      anon_sym_RBRACK,
    ACTIONS(20040), 1,
      anon_sym_GT,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697101] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14653), 1,
      anon_sym_PERCENT,
    STATE(14809), 1,
      sym_attribute,
    STATE(17289), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20046), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [697122] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    ACTIONS(20048), 1,
      anon_sym_GT_RBRACE,
    STATE(14810), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697145] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    ACTIONS(19569), 1,
      anon_sym_RBRACK,
    STATE(14717), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14811), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20050), 1,
      anon_sym_RPAREN,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(14812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697188] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20054), 1,
      aux_sym_quoted_extension_token1,
    STATE(14813), 1,
      sym_attribute,
    STATE(19624), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697208] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20056), 1,
      anon_sym_RPAREN,
    STATE(14814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16161), 1,
      sym__capitalized_identifier,
    ACTIONS(18638), 1,
      anon_sym_LPAREN,
    STATE(9589), 1,
      sym__constructor_name,
    STATE(14815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18171), 1,
      anon_sym_RBRACE,
    ACTIONS(20058), 1,
      anon_sym_SEMI,
    STATE(14816), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697268] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20060), 1,
      anon_sym_SEMI,
    ACTIONS(20062), 1,
      anon_sym_GT_RBRACE,
    STATE(14817), 1,
      sym_attribute,
    STATE(14846), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(14818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [697306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14213), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14819), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697326] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18133), 1,
      anon_sym_RBRACE,
    ACTIONS(20066), 1,
      anon_sym_SEMI,
    STATE(14820), 1,
      sym_attribute,
    STATE(14995), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14221), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14821), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20068), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697386] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19382), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697406] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3789), 1,
      anon_sym_RBRACK,
    ACTIONS(20070), 1,
      anon_sym_SEMI,
    STATE(14824), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697426] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12177), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [697442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14230), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14826), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20072), 1,
      anon_sym_EQ,
    STATE(14827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20074), 1,
      anon_sym_SEMI,
    ACTIONS(20076), 1,
      anon_sym_RBRACE,
    STATE(14828), 1,
      sym_attribute,
    STATE(15068), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20078), 1,
      anon_sym_RPAREN,
    STATE(14829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18486), 1,
      anon_sym_RBRACE,
    ACTIONS(20080), 1,
      anon_sym_SEMI,
    STATE(14830), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20082), 1,
      anon_sym_SEMI,
    ACTIONS(20084), 1,
      anon_sym_RBRACE,
    STATE(14831), 1,
      sym_attribute,
    STATE(15338), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697562] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18288), 1,
      anon_sym_RBRACE,
    ACTIONS(20086), 1,
      anon_sym_SEMI,
    STATE(14832), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3673), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20088), 1,
      anon_sym_SEMI,
    STATE(14833), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3793), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20090), 1,
      anon_sym_SEMI,
    STATE(14834), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697622] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18376), 1,
      anon_sym_RBRACE,
    ACTIONS(20092), 1,
      anon_sym_SEMI,
    STATE(14835), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20094), 1,
      anon_sym_SEMI,
    ACTIONS(20097), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14836), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [697660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20099), 1,
      anon_sym_SEMI,
    ACTIONS(20101), 1,
      anon_sym_RBRACE,
    STATE(14837), 1,
      sym_attribute,
    STATE(15865), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20103), 1,
      anon_sym_SEMI,
    ACTIONS(20105), 1,
      anon_sym_RBRACE,
    STATE(14838), 1,
      sym_attribute,
    STATE(14902), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697700] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12191), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [697716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10822), 1,
      anon_sym_DOT,
    STATE(14840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20107), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [697734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18280), 1,
      anon_sym_RBRACE,
    ACTIONS(20109), 1,
      anon_sym_SEMI,
    STATE(14841), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3715), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20111), 1,
      anon_sym_SEMI,
    STATE(14842), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20113), 1,
      anon_sym_RPAREN,
    STATE(14843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10335), 1,
      sym__type_equation,
    STATE(14844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20115), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [697812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(14845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [697830] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19374), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20117), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(14846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697850] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20119), 1,
      aux_sym_quoted_extension_token1,
    STATE(14847), 1,
      sym_attribute,
    STATE(18863), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19099), 1,
      sym__identifier,
    ACTIONS(19103), 1,
      anon_sym_mutable,
    STATE(14848), 1,
      sym_attribute,
    STATE(17280), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20121), 1,
      anon_sym_RPAREN,
    STATE(14849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20123), 1,
      anon_sym_RPAREN,
    STATE(14850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18488), 1,
      anon_sym_RBRACE,
    ACTIONS(20125), 1,
      anon_sym_SEMI,
    STATE(14851), 1,
      sym_attribute,
    STATE(14866), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14269), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14852), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12936), 1,
      sym_attribute_id,
    STATE(14853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20127), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [697988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19376), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20129), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(14854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20131), 1,
      anon_sym_RPAREN,
    STATE(14855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3527), 1,
      anon_sym_RBRACK,
    ACTIONS(20133), 1,
      anon_sym_SEMI,
    STATE(14856), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20135), 1,
      anon_sym_RPAREN,
    STATE(14857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698068] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20137), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20139), 1,
      sym__identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    STATE(14859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698108] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14275), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14860), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698128] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19095), 1,
      anon_sym_RBRACK,
    STATE(14861), 1,
      sym_attribute,
    STATE(15172), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698148] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19095), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20143), 1,
      anon_sym_RPAREN,
    STATE(14863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20145), 1,
      anon_sym_EQ,
    STATE(14864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698208] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20147), 1,
      anon_sym_EQ,
    STATE(14865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20149), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [698226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18490), 1,
      anon_sym_RBRACE,
    ACTIONS(20151), 1,
      anon_sym_SEMI,
    STATE(14866), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19388), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14280), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14868), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11430), 1,
      anon_sym_GT,
    ACTIONS(20153), 1,
      anon_sym_SEMI,
    STATE(14869), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8554), 1,
      anon_sym_RBRACK,
    ACTIONS(20155), 1,
      anon_sym_SEMI,
    STATE(14870), 1,
      sym_attribute,
    STATE(15004), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698326] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20157), 1,
      anon_sym_SEMI,
    ACTIONS(20159), 1,
      anon_sym_GT_RBRACE,
    STATE(14871), 1,
      sym_attribute,
    STATE(15449), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18284), 1,
      anon_sym_RBRACE,
    ACTIONS(20161), 1,
      anon_sym_SEMI,
    STATE(14872), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9855), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(14873), 1,
      sym_attribute,
    STATE(14888), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14319), 1,
      anon_sym_in,
    ACTIONS(20163), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14874), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [698404] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20166), 1,
      anon_sym_SEMI,
    ACTIONS(20168), 1,
      anon_sym_GT_RBRACE,
    STATE(14875), 1,
      sym_attribute,
    STATE(14990), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18390), 1,
      anon_sym_RBRACE,
    ACTIONS(20170), 1,
      anon_sym_SEMI,
    STATE(14876), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698444] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17280), 1,
      anon_sym_SEMI,
    ACTIONS(17282), 1,
      anon_sym_GT,
    STATE(14877), 1,
      sym_attribute,
    STATE(14893), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698464] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20172), 1,
      anon_sym_RPAREN,
    STATE(14878), 1,
      sym_attribute,
    STATE(17895), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698484] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9899), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(14879), 1,
      sym_attribute,
    STATE(14921), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698504] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20174), 1,
      sym__identifier,
    STATE(14880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10882), 1,
      sym_attribute_id,
    STATE(14881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20176), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [698542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20178), 1,
      anon_sym_SEMI,
    ACTIONS(20180), 1,
      anon_sym_GT_RBRACE,
    STATE(14882), 1,
      sym_attribute,
    STATE(15240), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698562] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17349), 1,
      anon_sym_SEMI,
    ACTIONS(17351), 1,
      anon_sym_GT,
    STATE(14883), 1,
      sym_attribute,
    STATE(14939), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20182), 1,
      anon_sym_RPAREN,
    STATE(14884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(14885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [698620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20184), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19394), 1,
      anon_sym_RBRACK,
    STATE(14887), 1,
      sym_attribute,
    STATE(14916), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19394), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698680] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20186), 1,
      aux_sym_quoted_extension_token1,
    STATE(14889), 1,
      sym_attribute,
    STATE(17418), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18131), 1,
      anon_sym_RBRACE,
    ACTIONS(20188), 1,
      anon_sym_SEMI,
    STATE(14890), 1,
      sym_attribute,
    STATE(15731), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3711), 1,
      anon_sym_RBRACK,
    ACTIONS(20190), 1,
      anon_sym_SEMI,
    STATE(14891), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698740] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
    ACTIONS(20192), 1,
      anon_sym_SEMI,
    STATE(14892), 1,
      sym_attribute,
    STATE(15004), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698760] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11464), 1,
      anon_sym_GT,
    ACTIONS(20194), 1,
      anon_sym_SEMI,
    STATE(14893), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698780] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20196), 1,
      anon_sym_RPAREN,
    STATE(14894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698800] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14319), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14895), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698820] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17500), 1,
      anon_sym_RBRACE,
    ACTIONS(20198), 1,
      anon_sym_SEMI,
    STATE(14896), 1,
      sym_attribute,
    STATE(15019), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698840] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14331), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14897), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20200), 1,
      anon_sym_SEMI,
    ACTIONS(20203), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14898), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [698878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20205), 1,
      sym__identifier,
    STATE(14899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17329), 1,
      anon_sym_SEMI,
    ACTIONS(17331), 1,
      anon_sym_GT,
    STATE(14900), 1,
      sym_attribute,
    STATE(15221), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698918] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8558), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20207), 1,
      anon_sym_SEMI,
    STATE(14901), 1,
      sym_attribute,
    STATE(15035), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18364), 1,
      anon_sym_RBRACE,
    ACTIONS(20209), 1,
      anon_sym_SEMI,
    STATE(14902), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20211), 1,
      anon_sym_SEMI,
    ACTIONS(20213), 1,
      anon_sym_RBRACE,
    STATE(14903), 1,
      sym_attribute,
    STATE(14932), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14335), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14904), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20215), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      sym__identifier,
    STATE(14906), 1,
      sym_attribute,
    STATE(15368), 1,
      sym__instance_variable_name,
    STATE(16470), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11811), 1,
      anon_sym_DASH_GT,
    ACTIONS(20217), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14907), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [699056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20220), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20222), 1,
      anon_sym_RPAREN,
    STATE(14909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699096] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20224), 1,
      anon_sym_RPAREN,
    STATE(14910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699116] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3529), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20226), 1,
      anon_sym_SEMI,
    STATE(14911), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699136] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20228), 1,
      anon_sym_SEMI,
    ACTIONS(20230), 1,
      anon_sym_GT_RBRACE,
    STATE(14912), 1,
      sym_attribute,
    STATE(14948), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699156] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19426), 1,
      anon_sym_RBRACK,
    STATE(14913), 1,
      sym_attribute,
    STATE(15241), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(14914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [699194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20232), 1,
      anon_sym_RPAREN,
    STATE(14915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19410), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20234), 1,
      aux_sym_quoted_extension_token1,
    STATE(14917), 1,
      sym_attribute,
    STATE(18494), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699254] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19410), 1,
      anon_sym_RBRACK,
    STATE(14918), 1,
      sym_attribute,
    STATE(14951), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699274] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20236), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(14919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699294] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19113), 1,
      anon_sym_RBRACK,
    STATE(14920), 1,
      sym_attribute,
    STATE(15030), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699314] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19113), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699334] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8346), 1,
      anon_sym_RBRACK,
    ACTIONS(20238), 1,
      anon_sym_SEMI,
    STATE(14922), 1,
      sym_attribute,
    STATE(15159), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699354] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14374), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14923), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699374] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20240), 1,
      anon_sym_RPAREN,
    STATE(14924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699394] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20242), 1,
      anon_sym_RPAREN,
    STATE(14925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699414] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14382), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14926), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699434] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20244), 1,
      ts_builtin_sym_end,
    STATE(14927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699454] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3563), 1,
      anon_sym_RBRACK,
    ACTIONS(20246), 1,
      anon_sym_SEMI,
    STATE(14928), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699474] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20248), 1,
      anon_sym_SEMI,
    ACTIONS(20250), 1,
      anon_sym_RBRACE,
    STATE(14929), 1,
      sym_attribute,
    STATE(14957), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19426), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699514] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17508), 1,
      anon_sym_RBRACE,
    ACTIONS(20252), 1,
      anon_sym_SEMI,
    STATE(14931), 1,
      sym_attribute,
    STATE(15191), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699534] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18209), 1,
      anon_sym_RBRACE,
    ACTIONS(20254), 1,
      anon_sym_SEMI,
    STATE(14932), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699554] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(18970), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13272), 1,
      sym__type_equation,
    STATE(14934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20256), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [699592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14387), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14935), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(14936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [699630] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14937), 1,
      sym_attribute,
    STATE(15293), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [699648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8362), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20260), 1,
      anon_sym_SEMI,
    STATE(14938), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11358), 1,
      anon_sym_GT,
    ACTIONS(20262), 1,
      anon_sym_SEMI,
    STATE(14939), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20264), 1,
      anon_sym_SEMI,
    STATE(14940), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10822), 1,
      anon_sym_DOT,
    STATE(14941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20266), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [699726] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20268), 1,
      aux_sym_quoted_extension_token1,
    STATE(14942), 1,
      sym_attribute,
    STATE(17688), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699746] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20270), 1,
      anon_sym_SEMI,
    ACTIONS(20272), 1,
      anon_sym_GT_RBRACE,
    STATE(14943), 1,
      sym_attribute,
    STATE(14974), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699766] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20274), 1,
      anon_sym_RPAREN,
    STATE(14944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(14945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [699804] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(14946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [699822] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20276), 1,
      aux_sym_quoted_extension_token1,
    STATE(14947), 1,
      sym_attribute,
    STATE(19865), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699842] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19430), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20278), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(14948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699862] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14509), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14949), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699882] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3825), 1,
      anon_sym_RBRACK,
    ACTIONS(20280), 1,
      anon_sym_SEMI,
    STATE(14950), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699902] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699922] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14431), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14952), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699942] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20282), 1,
      anon_sym_SEMI,
    STATE(14953), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699962] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19432), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20284), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(14954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699982] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20286), 1,
      anon_sym_RPAREN,
    STATE(14955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700002] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14442), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14956), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700022] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18524), 1,
      anon_sym_RBRACE,
    ACTIONS(20288), 1,
      anon_sym_SEMI,
    STATE(14957), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700042] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18217), 1,
      anon_sym_RBRACE,
    ACTIONS(20290), 1,
      anon_sym_SEMI,
    STATE(14958), 1,
      sym_attribute,
    STATE(14976), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700062] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20292), 1,
      anon_sym_RPAREN,
    STATE(14959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20296), 1,
      anon_sym_LBRACK,
    STATE(14960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20294), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [700100] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20298), 1,
      anon_sym_SEMI,
    STATE(14961), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700120] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_RBRACK,
    ACTIONS(20300), 1,
      anon_sym_SEMI,
    STATE(14962), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700140] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14447), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14963), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700160] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20302), 1,
      anon_sym_SEMI,
    ACTIONS(20304), 1,
      anon_sym_RBRACE,
    STATE(14964), 1,
      sym_attribute,
    STATE(15298), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14965), 1,
      sym_attribute,
    STATE(15750), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [700198] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18526), 1,
      anon_sym_RBRACE,
    ACTIONS(20306), 1,
      anon_sym_SEMI,
    STATE(14966), 1,
      sym_attribute,
    STATE(15061), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700218] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20308), 1,
      anon_sym_RPAREN,
    STATE(14967), 1,
      sym_attribute,
    STATE(19596), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700238] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(18970), 1,
      anon_sym_RBRACK,
    STATE(14968), 1,
      sym_attribute,
    STATE(15601), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700258] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20310), 1,
      sym__identifier,
    STATE(14969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(14970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [700296] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9957), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(14971), 1,
      sym_attribute,
    STATE(15654), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700316] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20312), 1,
      aux_sym_quoted_extension_token1,
    STATE(14972), 1,
      sym_attribute,
    STATE(17602), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700336] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20314), 1,
      anon_sym_RPAREN,
    STATE(14973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700356] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19443), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20316), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(14974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700376] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19099), 1,
      sym__identifier,
    ACTIONS(19103), 1,
      anon_sym_mutable,
    STATE(14975), 1,
      sym_attribute,
    STATE(16106), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700396] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18221), 1,
      anon_sym_RBRACE,
    ACTIONS(20318), 1,
      anon_sym_SEMI,
    STATE(14976), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700416] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19083), 1,
      anon_sym_RBRACK,
    STATE(14977), 1,
      sym_attribute,
    STATE(15310), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700436] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14478), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14978), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700456] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19463), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(14979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700476] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14484), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14980), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700496] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_RPAREN,
    STATE(14981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700516] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18534), 1,
      anon_sym_RBRACE,
    ACTIONS(20322), 1,
      anon_sym_SEMI,
    STATE(14982), 1,
      sym_attribute,
    STATE(15003), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11582), 1,
      anon_sym_GT,
    ACTIONS(20324), 1,
      anon_sym_SEMI,
    STATE(14983), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700556] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20326), 1,
      anon_sym_RPAREN,
    STATE(14984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700576] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14488), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14985), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13225), 1,
      sym__type_equation,
    STATE(14986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20256), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [700614] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20328), 1,
      anon_sym_RPAREN,
    STATE(14987), 1,
      sym_attribute,
    STATE(19303), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700634] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20330), 1,
      anon_sym_SEMI,
    ACTIONS(20332), 1,
      anon_sym_RBRACE,
    STATE(14988), 1,
      sym_attribute,
    STATE(15110), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_RPAREN,
    STATE(14989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20336), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [700672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19129), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20338), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(14990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20340), 1,
      sym__identifier,
    STATE(14991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(14992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [700730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(14993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [700748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14550), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(14994), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18181), 1,
      anon_sym_RBRACE,
    ACTIONS(20342), 1,
      anon_sym_SEMI,
    STATE(14995), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20344), 1,
      aux_sym_quoted_extension_token1,
    STATE(14996), 1,
      sym_attribute,
    STATE(17983), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20346), 1,
      sym__identifier,
    ACTIONS(20348), 1,
      anon_sym_LPAREN,
    STATE(7844), 1,
      sym__simple_value_pattern,
    STATE(14997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3497), 1,
      anon_sym_RBRACK,
    ACTIONS(20350), 1,
      anon_sym_SEMI,
    STATE(14998), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20352), 1,
      anon_sym_RPAREN,
    STATE(14999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_RBRACE,
    ACTIONS(20354), 1,
      anon_sym_SEMI,
    STATE(15000), 1,
      sym_attribute,
    STATE(15026), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20356), 1,
      anon_sym_SEMI,
    ACTIONS(20358), 1,
      anon_sym_RBRACE,
    STATE(15001), 1,
      sym_attribute,
    STATE(15187), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14811), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15002), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18076), 1,
      anon_sym_RBRACE,
    ACTIONS(20360), 1,
      anon_sym_SEMI,
    STATE(15003), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18229), 1,
      anon_sym_RBRACK,
    ACTIONS(20362), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15004), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [700966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14531), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15005), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700986] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9821), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15006), 1,
      sym_attribute,
    STATE(15065), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701006] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20365), 1,
      anon_sym_RPAREN,
    STATE(15007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701026] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(20367), 1,
      anon_sym_RBRACK,
    STATE(15008), 1,
      sym_attribute,
    STATE(15050), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701046] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8416), 1,
      anon_sym_RBRACK,
    ACTIONS(20369), 1,
      anon_sym_SEMI,
    STATE(15009), 1,
      sym_attribute,
    STATE(15159), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701066] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20371), 1,
      sym__identifier,
    STATE(15010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701086] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17299), 1,
      anon_sym_SEMI,
    ACTIONS(17301), 1,
      anon_sym_GT,
    STATE(15011), 1,
      sym_attribute,
    STATE(15072), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14536), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15012), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701126] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20373), 1,
      anon_sym_SEMI,
    ACTIONS(20375), 1,
      anon_sym_GT_RBRACE,
    STATE(15013), 1,
      sym_attribute,
    STATE(15145), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18384), 1,
      anon_sym_RBRACE,
    ACTIONS(20377), 1,
      anon_sym_SEMI,
    STATE(15014), 1,
      sym_attribute,
    STATE(15146), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20379), 1,
      anon_sym_RPAREN,
    STATE(15015), 1,
      sym_attribute,
    STATE(18410), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20381), 1,
      anon_sym_RPAREN,
    STATE(15016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(15017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [701224] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14584), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15018), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20383), 1,
      anon_sym_SEMI,
    ACTIONS(20386), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15019), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [701262] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20388), 1,
      sym__identifier,
    STATE(15020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701282] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20390), 1,
      aux_sym_quoted_extension_token1,
    STATE(15021), 1,
      sym_attribute,
    STATE(18389), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701302] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20392), 1,
      anon_sym_EQ,
    STATE(15022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701322] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20394), 1,
      anon_sym_RPAREN,
    STATE(15023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701342] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20396), 1,
      anon_sym_RPAREN,
    STATE(15024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14565), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15025), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18406), 1,
      anon_sym_RBRACE,
    ACTIONS(20398), 1,
      anon_sym_SEMI,
    STATE(15026), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701402] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9907), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15027), 1,
      sym_attribute,
    STATE(15049), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701422] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20400), 1,
      anon_sym_RPAREN,
    STATE(15028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14575), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15029), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19140), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17311), 1,
      anon_sym_SEMI,
    ACTIONS(17313), 1,
      anon_sym_GT,
    STATE(15031), 1,
      sym_attribute,
    STATE(15055), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20402), 1,
      anon_sym_EQ,
    STATE(15032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19140), 1,
      anon_sym_RBRACK,
    STATE(15033), 1,
      sym_attribute,
    STATE(15147), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20404), 1,
      anon_sym_SEMI,
    ACTIONS(20406), 1,
      anon_sym_RBRACE,
    STATE(15034), 1,
      sym_attribute,
    STATE(15058), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18229), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20408), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15035), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [701580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20411), 1,
      anon_sym_RPAREN,
    STATE(15036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14581), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15037), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20413), 1,
      anon_sym_RPAREN,
    STATE(15038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20415), 1,
      anon_sym_SEMI,
    ACTIONS(20417), 1,
      anon_sym_GT_RBRACE,
    STATE(15039), 1,
      sym_attribute,
    STATE(15085), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20419), 1,
      anon_sym_RPAREN,
    STATE(15040), 1,
      sym_attribute,
    STATE(18282), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14489), 1,
      anon_sym_in,
    ACTIONS(20421), 1,
      anon_sym_and,
    STATE(15041), 1,
      sym_attribute,
    STATE(16147), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14483), 1,
      anon_sym_in,
    ACTIONS(20421), 1,
      anon_sym_and,
    STATE(15042), 1,
      sym_attribute,
    STATE(15270), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20423), 1,
      anon_sym_SEMI,
    ACTIONS(20425), 1,
      anon_sym_GT_RBRACE,
    STATE(15043), 1,
      sym_attribute,
    STATE(15259), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(15044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [701758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20427), 1,
      anon_sym_RPAREN,
    STATE(15045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701778] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20429), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20431), 1,
      aux_sym_quoted_extension_token1,
    STATE(15047), 1,
      sym_attribute,
    STATE(18964), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701818] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19477), 1,
      anon_sym_RBRACK,
    STATE(15048), 1,
      sym_attribute,
    STATE(15082), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19477), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701858] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(20433), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(15050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3847), 1,
      anon_sym_RBRACK,
    ACTIONS(20435), 1,
      anon_sym_SEMI,
    STATE(15051), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(20433), 1,
      anon_sym_RBRACK,
    STATE(15052), 1,
      sym_attribute,
    STATE(15098), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701918] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13002), 1,
      sym_attribute_id,
    STATE(15053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20437), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [701936] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14617), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15054), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11492), 1,
      anon_sym_GT,
    ACTIONS(20439), 1,
      anon_sym_SEMI,
    STATE(15055), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14626), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15056), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701996] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11286), 1,
      anon_sym_GT,
    ACTIONS(20441), 1,
      anon_sym_SEMI,
    STATE(15057), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18090), 1,
      anon_sym_RBRACE,
    ACTIONS(20443), 1,
      anon_sym_SEMI,
    STATE(15058), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20445), 1,
      anon_sym_RPAREN,
    STATE(15059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14630), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15060), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18088), 1,
      anon_sym_RBRACE,
    ACTIONS(20447), 1,
      anon_sym_SEMI,
    STATE(15061), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702096] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20449), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702116] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19485), 1,
      anon_sym_RBRACK,
    STATE(15063), 1,
      sym_attribute,
    STATE(15170), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702136] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20451), 1,
      anon_sym_RPAREN,
    STATE(15064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702156] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19485), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702176] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20453), 1,
      anon_sym_SEMI,
    ACTIONS(20455), 1,
      anon_sym_RBRACE,
    STATE(15066), 1,
      sym_attribute,
    STATE(15094), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(15067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [702214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18312), 1,
      anon_sym_RBRACE,
    ACTIONS(20457), 1,
      anon_sym_SEMI,
    STATE(15068), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15680), 1,
      anon_sym_RBRACK,
    ACTIONS(20459), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15069), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [702252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19475), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20462), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702272] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20464), 1,
      aux_sym_quoted_extension_token1,
    STATE(15071), 1,
      sym_attribute,
    STATE(19209), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11480), 1,
      anon_sym_GT,
    ACTIONS(20466), 1,
      anon_sym_SEMI,
    STATE(15072), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8496), 1,
      anon_sym_RBRACK,
    ACTIONS(20468), 1,
      anon_sym_SEMI,
    STATE(15004), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3849), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20470), 1,
      anon_sym_SEMI,
    STATE(15074), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14671), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15075), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20472), 1,
      anon_sym_SEMI,
    ACTIONS(20474), 1,
      anon_sym_GT_RBRACE,
    STATE(15076), 1,
      sym_attribute,
    STATE(15107), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14680), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15077), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20476), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702432] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19535), 1,
      anon_sym_RBRACK,
    STATE(15079), 1,
      sym_attribute,
    STATE(16121), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20478), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702472] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20480), 1,
      anon_sym_RPAREN,
    STATE(15081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702492] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19491), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702512] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14688), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15083), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702532] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19491), 1,
      anon_sym_RBRACK,
    STATE(15084), 1,
      sym_attribute,
    STATE(15109), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19489), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20482), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702572] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9884), 1,
      sym__type_equation,
    STATE(15086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20484), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [702590] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20486), 1,
      anon_sym_EQ,
    STATE(15087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702610] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20488), 1,
      anon_sym_RPAREN,
    STATE(15088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702630] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(15089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [702648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18111), 1,
      anon_sym_RBRACE,
    ACTIONS(20490), 1,
      anon_sym_SEMI,
    STATE(15090), 1,
      sym_attribute,
    STATE(15156), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3759), 1,
      anon_sym_RBRACK,
    ACTIONS(20492), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702688] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20494), 1,
      aux_sym_quoted_extension_token1,
    STATE(15092), 1,
      sym_attribute,
    STATE(19564), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19535), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18265), 1,
      anon_sym_RBRACE,
    ACTIONS(20496), 1,
      anon_sym_SEMI,
    STATE(15094), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8376), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20498), 1,
      anon_sym_SEMI,
    STATE(15095), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20500), 1,
      anon_sym_EQ,
    STATE(15096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702788] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14735), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15097), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(15098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3767), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20504), 1,
      anon_sym_SEMI,
    STATE(15099), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17964), 1,
      anon_sym_RBRACE,
    ACTIONS(20506), 1,
      anon_sym_SEMI,
    STATE(15019), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20508), 1,
      anon_sym_RPAREN,
    STATE(15101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14743), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15102), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18094), 1,
      anon_sym_RBRACE,
    ACTIONS(20510), 1,
      anon_sym_SEMI,
    STATE(15103), 1,
      sym_attribute,
    STATE(15118), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_RBRACK,
    ACTIONS(20512), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20514), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702968] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14749), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15106), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19503), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20516), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20518), 1,
      sym__identifier,
    STATE(15108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19507), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18514), 1,
      anon_sym_RBRACE,
    ACTIONS(20520), 1,
      anon_sym_SEMI,
    STATE(15110), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(15111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [703086] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20522), 1,
      anon_sym_RPAREN,
    STATE(15112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20524), 1,
      sym__identifier,
    STATE(15113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703126] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20526), 1,
      aux_sym_quoted_extension_token1,
    STATE(15114), 1,
      sym_attribute,
    STATE(19977), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18269), 1,
      anon_sym_RBRACE,
    ACTIONS(20528), 1,
      anon_sym_SEMI,
    STATE(15115), 1,
      sym_attribute,
    STATE(15131), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20530), 1,
      anon_sym_RPAREN,
    STATE(15116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9885), 1,
      sym__type_equation,
    STATE(15117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20484), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [703204] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18096), 1,
      anon_sym_RBRACE,
    ACTIONS(20532), 1,
      anon_sym_SEMI,
    STATE(15118), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703224] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14786), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15119), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703244] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8498), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20534), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703264] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20536), 1,
      anon_sym_EQ,
    STATE(15121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703284] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14800), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15122), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703304] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20538), 1,
      sym__identifier,
    STATE(15123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20540), 1,
      anon_sym_RPAREN,
    STATE(15124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15125), 1,
      sym_attribute,
    STATE(17095), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18316), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [703362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9903), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15093), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14690), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15127), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703402] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(20542), 1,
      anon_sym_RBRACK,
    STATE(15128), 1,
      sym_attribute,
    STATE(15629), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703422] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20544), 1,
      anon_sym_RPAREN,
    STATE(15129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14489), 1,
      anon_sym_in,
    ACTIONS(20421), 1,
      anon_sym_and,
    STATE(14874), 1,
      aux_sym_module_definition_repeat1,
    STATE(15130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18274), 1,
      anon_sym_RBRACE,
    ACTIONS(20546), 1,
      anon_sym_SEMI,
    STATE(15131), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15042), 1,
      sym_module_binding,
    STATE(15132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18316), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [703500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(15133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [703518] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20548), 1,
      aux_sym_quoted_extension_token1,
    STATE(15134), 1,
      sym_attribute,
    STATE(20056), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18354), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [703554] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20550), 1,
      anon_sym_SEMI,
    ACTIONS(20552), 1,
      anon_sym_GT_RBRACE,
    STATE(15136), 1,
      sym_attribute,
    STATE(15434), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703574] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20554), 1,
      anon_sym_SEMI,
    ACTIONS(20556), 1,
      anon_sym_RBRACE,
    STATE(15137), 1,
      sym_attribute,
    STATE(15454), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703594] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14805), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15138), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703614] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20558), 1,
      anon_sym_SEMI,
    ACTIONS(20560), 1,
      anon_sym_RBRACE,
    STATE(15139), 1,
      sym_attribute,
    STATE(15256), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703634] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20562), 1,
      anon_sym_SEMI,
    ACTIONS(20564), 1,
      anon_sym_RBRACE,
    STATE(15140), 1,
      sym_attribute,
    STATE(15180), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703654] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14236), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15141), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703674] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3607), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20566), 1,
      anon_sym_SEMI,
    STATE(15142), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703694] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17904), 1,
      anon_sym_RBRACE,
    ACTIONS(20568), 1,
      anon_sym_SEMI,
    STATE(15019), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3681), 1,
      anon_sym_RBRACK,
    ACTIONS(20570), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19152), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20572), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18386), 1,
      anon_sym_RBRACE,
    ACTIONS(20574), 1,
      anon_sym_SEMI,
    STATE(15146), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19154), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703794] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14298), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15148), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703814] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20576), 1,
      anon_sym_SEMI,
    ACTIONS(20578), 1,
      anon_sym_GT_RBRACE,
    STATE(15149), 1,
      sym_attribute,
    STATE(15457), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20580), 1,
      sym__identifier,
    ACTIONS(20582), 1,
      anon_sym_LPAREN,
    STATE(7471), 1,
      sym__simple_value_pattern,
    STATE(15150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20584), 1,
      sym__identifier,
    ACTIONS(20586), 1,
      anon_sym_LPAREN,
    STATE(8399), 1,
      sym__simple_value_pattern,
    STATE(15151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703874] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      anon_sym_SEMI,
    ACTIONS(20590), 1,
      anon_sym_RBRACE,
    STATE(15152), 1,
      sym_attribute,
    STATE(15176), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(15153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [703912] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20592), 1,
      aux_sym_quoted_extension_token1,
    STATE(15154), 1,
      sym_attribute,
    STATE(17648), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703932] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20594), 1,
      anon_sym_RPAREN,
    STATE(15155), 1,
      sym_attribute,
    STATE(18454), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703952] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18348), 1,
      anon_sym_RBRACE,
    ACTIONS(20596), 1,
      anon_sym_SEMI,
    STATE(15156), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8324), 1,
      anon_sym_RBRACK,
    ACTIONS(20598), 1,
      anon_sym_SEMI,
    STATE(15157), 1,
      sym_attribute,
    STATE(15159), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703992] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20600), 1,
      anon_sym_RPAREN,
    STATE(15158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18282), 1,
      anon_sym_RBRACK,
    ACTIONS(20602), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15159), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [704030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20605), 1,
      anon_sym_RPAREN,
    STATE(15160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20607), 1,
      anon_sym_RPAREN,
    STATE(15161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20609), 1,
      anon_sym_SEMI,
    ACTIONS(20611), 1,
      anon_sym_GT_RBRACE,
    STATE(15162), 1,
      sym_attribute,
    STATE(15193), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704090] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20613), 1,
      anon_sym_SEMI,
    ACTIONS(20615), 1,
      anon_sym_GT_RBRACE,
    STATE(15163), 1,
      sym_attribute,
    STATE(15309), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704110] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20617), 1,
      anon_sym_SEMI,
    ACTIONS(20619), 1,
      anon_sym_GT_RBRACE,
    STATE(15164), 1,
      sym_attribute,
    STATE(15214), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704130] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18518), 1,
      anon_sym_RBRACE,
    ACTIONS(20621), 1,
      anon_sym_SEMI,
    STATE(15165), 1,
      sym_attribute,
    STATE(15207), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(15166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [704168] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20623), 1,
      aux_sym_quoted_extension_token1,
    STATE(15167), 1,
      sym_attribute,
    STATE(18239), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20625), 1,
      anon_sym_SEMI,
    ACTIONS(20627), 1,
      anon_sym_RBRACE,
    STATE(15168), 1,
      sym_attribute,
    STATE(15335), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704208] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20629), 1,
      anon_sym_RPAREN,
    STATE(15169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19549), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9891), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15171), 1,
      sym_attribute,
    STATE(15311), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704268] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19156), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704288] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3869), 1,
      anon_sym_RBRACK,
    ACTIONS(20631), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704308] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19549), 1,
      anon_sym_RBRACK,
    STATE(15174), 1,
      sym_attribute,
    STATE(15314), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_RBRACK,
    ACTIONS(20633), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704348] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18123), 1,
      anon_sym_RBRACE,
    ACTIONS(20635), 1,
      anon_sym_SEMI,
    STATE(15176), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704368] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10025), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15177), 1,
      sym_attribute,
    STATE(15198), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704388] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19156), 1,
      anon_sym_RBRACK,
    STATE(15178), 1,
      sym_attribute,
    STATE(15458), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704408] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18115), 1,
      anon_sym_RBRACE,
    ACTIONS(20637), 1,
      anon_sym_SEMI,
    STATE(15179), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704428] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18458), 1,
      anon_sym_RBRACE,
    ACTIONS(20639), 1,
      anon_sym_SEMI,
    STATE(15180), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17382), 1,
      anon_sym_SEMI,
    ACTIONS(17384), 1,
      anon_sym_GT,
    STATE(15181), 1,
      sym_attribute,
    STATE(15203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9897), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15182), 1,
      sym_attribute,
    STATE(15334), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20641), 1,
      anon_sym_RPAREN,
    STATE(15183), 1,
      sym_attribute,
    STATE(18963), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_RBRACK,
    ACTIONS(20643), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(15185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [704546] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20645), 1,
      aux_sym_quoted_extension_token1,
    STATE(15186), 1,
      sym_attribute,
    STATE(17398), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704566] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18308), 1,
      anon_sym_RBRACE,
    ACTIONS(20647), 1,
      anon_sym_SEMI,
    STATE(15187), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704586] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3871), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20649), 1,
      anon_sym_SEMI,
    STATE(15188), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704606] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3567), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20651), 1,
      anon_sym_SEMI,
    STATE(15189), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704626] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20653), 1,
      sym__identifier,
    STATE(15190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20655), 1,
      anon_sym_SEMI,
    ACTIONS(20658), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15191), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [704664] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20660), 1,
      anon_sym_RPAREN,
    STATE(15192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19555), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20662), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704704] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20664), 1,
      anon_sym_SEMI,
    ACTIONS(20666), 1,
      anon_sym_GT_RBRACE,
    STATE(15194), 1,
      sym_attribute,
    STATE(15672), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704724] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20668), 1,
      anon_sym_RPAREN,
    STATE(15195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704744] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20670), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704764] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19557), 1,
      anon_sym_RBRACK,
    STATE(15197), 1,
      sym_attribute,
    STATE(15233), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704784] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19557), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704804] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17268), 1,
      anon_sym_SEMI,
    ACTIONS(17270), 1,
      anon_sym_GT,
    STATE(15199), 1,
      sym_attribute,
    STATE(15369), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704824] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20672), 1,
      anon_sym_RPAREN,
    STATE(15200), 1,
      sym_attribute,
    STATE(18712), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704844] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20674), 1,
      anon_sym_RPAREN,
    STATE(15201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704864] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3499), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20676), 1,
      anon_sym_SEMI,
    STATE(15202), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704884] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_GT,
    ACTIONS(20678), 1,
      anon_sym_SEMI,
    STATE(15203), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(15204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [704922] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20680), 1,
      aux_sym_quoted_extension_token1,
    STATE(15205), 1,
      sym_attribute,
    STATE(19186), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704942] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20682), 1,
      anon_sym_RPAREN,
    STATE(15206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704962] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18522), 1,
      anon_sym_RBRACE,
    ACTIONS(20684), 1,
      anon_sym_SEMI,
    STATE(15207), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704982] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18135), 1,
      anon_sym_RBRACE,
    ACTIONS(20686), 1,
      anon_sym_SEMI,
    STATE(15208), 1,
      sym_attribute,
    STATE(15222), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705002] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3919), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20688), 1,
      anon_sym_SEMI,
    STATE(15209), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705022] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20690), 1,
      anon_sym_SEMI,
    ACTIONS(20692), 1,
      anon_sym_RBRACE,
    STATE(15210), 1,
      sym_attribute,
    STATE(15323), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705042] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20694), 1,
      anon_sym_RPAREN,
    STATE(15211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705062] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11168), 1,
      anon_sym_STAR,
    ACTIONS(12762), 1,
      anon_sym_DASH_GT,
    STATE(14907), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(15212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3649), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20696), 1,
      anon_sym_SEMI,
    STATE(15213), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19561), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20698), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705122] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20700), 1,
      anon_sym_SEMI,
    ACTIONS(20702), 1,
      anon_sym_RBRACE,
    STATE(15215), 1,
      sym_attribute,
    STATE(15246), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705142] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(15216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [705160] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20704), 1,
      aux_sym_quoted_extension_token1,
    STATE(15217), 1,
      sym_attribute,
    STATE(20108), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705180] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20706), 1,
      anon_sym_SEMI,
    ACTIONS(20708), 1,
      anon_sym_RBRACE,
    STATE(15218), 1,
      sym_attribute,
    STATE(15589), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705200] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20710), 1,
      sym__identifier,
    STATE(15219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705220] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20712), 1,
      anon_sym_RPAREN,
    STATE(15220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705240] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11172), 1,
      anon_sym_GT,
    ACTIONS(20714), 1,
      anon_sym_SEMI,
    STATE(15221), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705260] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18137), 1,
      anon_sym_RBRACE,
    ACTIONS(20716), 1,
      anon_sym_SEMI,
    STATE(15222), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20718), 1,
      anon_sym_SEMI,
    ACTIONS(20720), 1,
      anon_sym_RBRACE,
    STATE(15223), 1,
      sym_attribute,
    STATE(15344), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20722), 1,
      anon_sym_SEMI,
    ACTIONS(20724), 1,
      anon_sym_GT_RBRACE,
    STATE(15224), 1,
      sym_attribute,
    STATE(15260), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705320] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_SEMI,
    ACTIONS(17361), 1,
      anon_sym_GT,
    STATE(15225), 1,
      sym_attribute,
    STATE(15386), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20726), 1,
      anon_sym_RPAREN,
    STATE(15226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705360] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18474), 1,
      anon_sym_RBRACE,
    ACTIONS(20728), 1,
      anon_sym_SEMI,
    STATE(15227), 1,
      sym_attribute,
    STATE(15261), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20730), 1,
      anon_sym_SEMI,
    ACTIONS(20732), 1,
      anon_sym_GT_RBRACE,
    STATE(15070), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20734), 1,
      anon_sym_RPAREN,
    STATE(15229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705420] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20736), 1,
      anon_sym_RPAREN,
    STATE(15230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(15231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [705458] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20738), 1,
      aux_sym_quoted_extension_token1,
    STATE(15232), 1,
      sym_attribute,
    STATE(17642), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19569), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705498] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19569), 1,
      anon_sym_RBRACK,
    STATE(15234), 1,
      sym_attribute,
    STATE(15262), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705518] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3533), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20740), 1,
      anon_sym_SEMI,
    STATE(15235), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705538] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8364), 1,
      anon_sym_RBRACK,
    ACTIONS(20742), 1,
      anon_sym_SEMI,
    STATE(15159), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705558] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18360), 1,
      anon_sym_RBRACE,
    ACTIONS(20744), 1,
      anon_sym_SEMI,
    STATE(15237), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20746), 1,
      anon_sym_RPAREN,
    STATE(15238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20748), 1,
      anon_sym_RPAREN,
    STATE(15239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705618] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19170), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20750), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19585), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705658] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19585), 1,
      anon_sym_RBRACK,
    STATE(15242), 1,
      sym_attribute,
    STATE(15682), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705678] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3509), 1,
      anon_sym_RBRACK,
    ACTIONS(20752), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705698] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20754), 1,
      anon_sym_SEMI,
    ACTIONS(20756), 1,
      anon_sym_RBRACE,
    STATE(15244), 1,
      sym_attribute,
    STATE(15678), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705718] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20758), 1,
      sym__identifier,
    STATE(15245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705738] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_RBRACE,
    ACTIONS(20760), 1,
      anon_sym_SEMI,
    STATE(15246), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20762), 1,
      anon_sym_RPAREN,
    STATE(15247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705778] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20764), 1,
      anon_sym_SEMI,
    ACTIONS(20766), 1,
      anon_sym_GT_RBRACE,
    STATE(15248), 1,
      sym_attribute,
    STATE(15347), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(15249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [705816] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20768), 1,
      aux_sym_quoted_extension_token1,
    STATE(15250), 1,
      sym_attribute,
    STATE(19501), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(11346), 1,
      anon_sym_DOT,
    ACTIONS(20770), 1,
      anon_sym_RPAREN,
    STATE(15251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3539), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20772), 1,
      anon_sym_SEMI,
    STATE(15252), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705876] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_RBRACK,
    ACTIONS(20774), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RBRACK,
    ACTIONS(20776), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20778), 1,
      anon_sym_RPAREN,
    STATE(15255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705936] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18322), 1,
      anon_sym_RBRACE,
    ACTIONS(20780), 1,
      anon_sym_SEMI,
    STATE(15256), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20782), 1,
      anon_sym_EQ,
    STATE(15257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20784), 1,
      anon_sym_SEMI,
    ACTIONS(20786), 1,
      anon_sym_RBRACE,
    STATE(15258), 1,
      sym_attribute,
    STATE(15279), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705996] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19019), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20788), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19581), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20790), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_RBRACE,
    ACTIONS(20792), 1,
      anon_sym_SEMI,
    STATE(15261), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19583), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18328), 1,
      anon_sym_RBRACE,
    ACTIONS(20794), 1,
      anon_sym_SEMI,
    STATE(15263), 1,
      sym_attribute,
    STATE(15679), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(15264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [706114] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20796), 1,
      aux_sym_quoted_extension_token1,
    STATE(15265), 1,
      sym_attribute,
    STATE(17717), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706134] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20798), 1,
      anon_sym_RPAREN,
    STATE(15266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706154] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20800), 1,
      anon_sym_SEMI,
    ACTIONS(20802), 1,
      anon_sym_GT_RBRACE,
    STATE(15267), 1,
      sym_attribute,
    STATE(15294), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12993), 1,
      sym__type_equation,
    STATE(15268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20804), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [706192] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18324), 1,
      anon_sym_RBRACE,
    ACTIONS(20806), 1,
      anon_sym_SEMI,
    STATE(15269), 1,
      sym_attribute,
    STATE(15282), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706212] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14705), 1,
      anon_sym_in,
    ACTIONS(20421), 1,
      anon_sym_and,
    STATE(14874), 1,
      aux_sym_module_definition_repeat1,
    STATE(15270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(15271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [706250] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3895), 1,
      anon_sym_RBRACK,
    ACTIONS(20808), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706270] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3811), 1,
      anon_sym_RBRACK,
    ACTIONS(20810), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706290] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17954), 1,
      anon_sym_RBRACE,
    ACTIONS(20812), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706310] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20814), 1,
      sym__identifier,
    STATE(15275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(15276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [706348] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20816), 1,
      aux_sym_quoted_extension_token1,
    STATE(15277), 1,
      sym_attribute,
    STATE(18426), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11502), 1,
      sym_module_binding,
    STATE(15278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17514), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [706386] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18165), 1,
      anon_sym_RBRACE,
    ACTIONS(20818), 1,
      anon_sym_SEMI,
    STATE(15279), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706406] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20820), 1,
      anon_sym_RPAREN,
    STATE(15280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706426] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20822), 1,
      anon_sym_RPAREN,
    STATE(15281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706446] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18326), 1,
      anon_sym_RBRACE,
    ACTIONS(20824), 1,
      anon_sym_SEMI,
    STATE(15282), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706466] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20826), 1,
      anon_sym_RPAREN,
    STATE(15283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706486] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20828), 1,
      aux_sym_quoted_extension_token1,
    STATE(15284), 1,
      sym_attribute,
    STATE(19684), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706506] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3897), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20830), 1,
      anon_sym_SEMI,
    STATE(15285), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706526] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20832), 1,
      anon_sym_RPAREN,
    STATE(15286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706546] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3823), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20834), 1,
      anon_sym_SEMI,
    STATE(15287), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706566] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12185), 1,
      anon_sym_DQUOTE,
    STATE(10090), 1,
      aux_sym_external_repeat1,
    STATE(11171), 1,
      sym_string,
    STATE(15288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706586] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3675), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20836), 1,
      anon_sym_SEMI,
    STATE(15289), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(15290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [706624] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20838), 1,
      aux_sym_quoted_extension_token1,
    STATE(15291), 1,
      sym_attribute,
    STATE(19235), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706644] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20840), 1,
      anon_sym_SEMI,
    ACTIONS(20842), 1,
      anon_sym_RBRACE,
    STATE(15292), 1,
      sym_attribute,
    STATE(15375), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706664] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20844), 1,
      aux_sym_quoted_extension_token1,
    STATE(15293), 1,
      sym_attribute,
    STATE(18960), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19593), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20846), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706704] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20848), 1,
      anon_sym_RPAREN,
    STATE(15295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19602), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [706740] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20850), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706760] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18084), 1,
      anon_sym_RBRACE,
    ACTIONS(20852), 1,
      anon_sym_SEMI,
    STATE(15298), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706780] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9993), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15299), 1,
      sym_attribute,
    STATE(15365), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706800] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18175), 1,
      anon_sym_RBRACE,
    ACTIONS(20854), 1,
      anon_sym_SEMI,
    STATE(15300), 1,
      sym_attribute,
    STATE(15330), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10690), 1,
      sym_attribute_id,
    STATE(15301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20856), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [706838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20858), 1,
      anon_sym_RPAREN,
    STATE(15302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706858] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20860), 1,
      anon_sym_RPAREN,
    STATE(15303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14775), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15304), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20862), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706918] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    STATE(15306), 1,
      sym_attribute,
    STATE(15805), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706938] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(15307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [706956] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20864), 1,
      aux_sym_quoted_extension_token1,
    STATE(15308), 1,
      sym_attribute,
    STATE(19577), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19607), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20866), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706996] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19648), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19180), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19648), 1,
      anon_sym_RBRACK,
    STATE(15312), 1,
      sym_attribute,
    STATE(15848), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20870), 1,
      anon_sym_LBRACK,
    STATE(15313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20868), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [707074] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19611), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20872), 1,
      anon_sym_SEMI,
    ACTIONS(20874), 1,
      anon_sym_GT_RBRACE,
    STATE(15315), 1,
      sym_attribute,
    STATE(15431), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(20876), 1,
      anon_sym_RPAREN,
    STATE(15316), 1,
      sym_attribute,
    STATE(18638), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707134] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3271), 1,
      anon_sym_RBRACK,
    ACTIONS(20878), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707154] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17378), 1,
      anon_sym_SEMI,
    ACTIONS(17380), 1,
      anon_sym_GT,
    STATE(15318), 1,
      sym_attribute,
    STATE(15377), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20880), 1,
      anon_sym_LPAREN,
    ACTIONS(20882), 1,
      anon_sym_LBRACK,
    ACTIONS(20884), 1,
      anon_sym_LBRACE,
    STATE(15319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8574), 1,
      anon_sym_RBRACK,
    ACTIONS(20886), 1,
      anon_sym_SEMI,
    STATE(15004), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20888), 1,
      sym__identifier,
    STATE(15321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707234] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(20890), 1,
      sym__identifier,
    STATE(15322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707254] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17836), 1,
      anon_sym_RBRACE,
    ACTIONS(20892), 1,
      anon_sym_SEMI,
    STATE(15019), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707274] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8522), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20894), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707294] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(15325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [707312] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20896), 1,
      aux_sym_quoted_extension_token1,
    STATE(15326), 1,
      sym_attribute,
    STATE(20067), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19021), 1,
      anon_sym_RBRACK,
    STATE(15327), 1,
      sym_attribute,
    STATE(15587), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20898), 1,
      anon_sym_RPAREN,
    STATE(15328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15041), 1,
      sym_module_binding,
    STATE(15329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18316), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [707390] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18179), 1,
      anon_sym_RBRACE,
    ACTIONS(20900), 1,
      anon_sym_SEMI,
    STATE(15330), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707410] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9857), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15331), 1,
      sym_attribute,
    STATE(15355), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707430] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20902), 1,
      anon_sym_LPAREN,
    ACTIONS(20904), 1,
      anon_sym_LBRACK,
    ACTIONS(20906), 1,
      anon_sym_LBRACE,
    STATE(15332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707450] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20908), 1,
      anon_sym_SEMI,
    ACTIONS(20910), 1,
      anon_sym_RBRACE,
    STATE(15333), 1,
      sym_attribute,
    STATE(15707), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707470] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19021), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707490] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18450), 1,
      anon_sym_RBRACE,
    ACTIONS(20912), 1,
      anon_sym_SEMI,
    STATE(15335), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707510] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17228), 1,
      anon_sym_SEMI,
    ACTIONS(17230), 1,
      anon_sym_GT,
    STATE(15336), 1,
      sym_attribute,
    STATE(15360), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707530] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20914), 1,
      anon_sym_RPAREN,
    STATE(15337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707550] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17454), 1,
      anon_sym_RBRACE,
    ACTIONS(20916), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707570] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20918), 1,
      anon_sym_SEMI,
    ACTIONS(20920), 1,
      anon_sym_RBRACE,
    STATE(15339), 1,
      sym_attribute,
    STATE(15446), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707590] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      anon_sym_RBRACK,
    ACTIONS(20922), 1,
      anon_sym_SEMI,
    STATE(15159), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(15341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [707628] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20924), 1,
      aux_sym_quoted_extension_token1,
    STATE(15342), 1,
      sym_attribute,
    STATE(17752), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20926), 1,
      anon_sym_RPAREN,
    STATE(15343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20928), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [707666] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17852), 1,
      anon_sym_RBRACE,
    ACTIONS(20930), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707686] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3273), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20932), 1,
      anon_sym_SEMI,
    STATE(15345), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707706] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20934), 1,
      anon_sym_EQ,
    STATE(15346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707726] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19617), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(20936), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(15348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [707764] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8390), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20938), 1,
      anon_sym_SEMI,
    STATE(15349), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707784] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20940), 1,
      anon_sym_RPAREN,
    STATE(15350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707804] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20942), 1,
      anon_sym_RPAREN,
    STATE(15351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707824] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(20944), 1,
      anon_sym_RPAREN,
    STATE(15352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707844] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20946), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707864] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19619), 1,
      anon_sym_RBRACK,
    STATE(15354), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707884] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19619), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707904] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14409), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15356), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707924] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18362), 1,
      anon_sym_RBRACE,
    ACTIONS(20948), 1,
      anon_sym_SEMI,
    STATE(15357), 1,
      sym_attribute,
    STATE(15638), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707944] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3737), 1,
      anon_sym_RBRACK,
    ACTIONS(20950), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707964] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(20952), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707984] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11522), 1,
      anon_sym_GT,
    ACTIONS(20954), 1,
      anon_sym_SEMI,
    STATE(15360), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(15361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [708022] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20956), 1,
      aux_sym_quoted_extension_token1,
    STATE(15362), 1,
      sym_attribute,
    STATE(17331), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708042] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20958), 1,
      anon_sym_SEMI,
    ACTIONS(20960), 1,
      anon_sym_RBRACE,
    STATE(15363), 1,
      sym_attribute,
    STATE(15382), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708062] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19627), 1,
      anon_sym_RBRACK,
    STATE(15364), 1,
      sym_attribute,
    STATE(15467), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19627), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3905), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(20962), 1,
      anon_sym_SEMI,
    STATE(15366), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708122] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(20964), 1,
      anon_sym_RPAREN,
    STATE(15367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708142] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20966), 1,
      anon_sym_EQ,
    STATE(15368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20968), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [708160] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11306), 1,
      anon_sym_GT,
    ACTIONS(20970), 1,
      anon_sym_SEMI,
    STATE(15369), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19638), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [708196] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20972), 1,
      anon_sym_SEMI,
    ACTIONS(20974), 1,
      anon_sym_RBRACE,
    STATE(15371), 1,
      sym_attribute,
    STATE(15402), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(15372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [708234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(20976), 1,
      aux_sym_quoted_extension_token1,
    STATE(15373), 1,
      sym_attribute,
    STATE(17928), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708254] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20978), 1,
      anon_sym_SEMI,
    ACTIONS(20980), 1,
      anon_sym_GT_RBRACE,
    STATE(15374), 1,
      sym_attribute,
    STATE(15391), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708274] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18404), 1,
      anon_sym_RBRACE,
    ACTIONS(20982), 1,
      anon_sym_SEMI,
    STATE(15375), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708294] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20984), 1,
      anon_sym_SEMI,
    ACTIONS(20986), 1,
      anon_sym_RBRACE,
    STATE(15376), 1,
      sym_attribute,
    STATE(15771), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708314] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11330), 1,
      anon_sym_GT,
    ACTIONS(20988), 1,
      anon_sym_SEMI,
    STATE(15377), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708334] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14705), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15378), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708354] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3275), 1,
      anon_sym_RBRACK,
    ACTIONS(20990), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708374] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18358), 1,
      anon_sym_RBRACE,
    ACTIONS(20992), 1,
      anon_sym_SEMI,
    STATE(15380), 1,
      sym_attribute,
    STATE(15565), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708394] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18454), 1,
      anon_sym_RBRACE,
    ACTIONS(20994), 1,
      anon_sym_SEMI,
    STATE(15381), 1,
      sym_attribute,
    STATE(15478), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708414] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18199), 1,
      anon_sym_RBRACE,
    ACTIONS(20996), 1,
      anon_sym_SEMI,
    STATE(15382), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708434] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20998), 1,
      anon_sym_SEMI,
    ACTIONS(21000), 1,
      anon_sym_GT_RBRACE,
    STATE(15383), 1,
      sym_attribute,
    STATE(15416), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708454] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21002), 1,
      anon_sym_RPAREN,
    ACTIONS(21004), 1,
      anon_sym_COLON2,
    STATE(15384), 1,
      sym_attribute,
    STATE(18036), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708474] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3277), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21006), 1,
      anon_sym_SEMI,
    STATE(15385), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11410), 1,
      anon_sym_GT,
    ACTIONS(21008), 1,
      anon_sym_SEMI,
    STATE(15386), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708514] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(15387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [708532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21010), 1,
      aux_sym_quoted_extension_token1,
    STATE(15388), 1,
      sym_attribute,
    STATE(18771), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21012), 1,
      anon_sym_RPAREN,
    STATE(15389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708572] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19644), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19642), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21014), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19644), 1,
      anon_sym_RBRACK,
    STATE(15392), 1,
      sym_attribute,
    STATE(15420), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708632] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14356), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15393), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708652] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21016), 1,
      anon_sym_EQ,
    STATE(15394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21018), 1,
      anon_sym_EQ,
    STATE(15395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21020), 1,
      anon_sym_RPAREN,
    STATE(15396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708712] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12185), 1,
      anon_sym_DQUOTE,
    STATE(10025), 1,
      aux_sym_external_repeat1,
    STATE(11171), 1,
      sym_string,
    STATE(15397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708732] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21022), 1,
      anon_sym_RPAREN,
    STATE(15398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708752] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18201), 1,
      anon_sym_RBRACE,
    ACTIONS(21024), 1,
      anon_sym_SEMI,
    STATE(15399), 1,
      sym_attribute,
    STATE(15422), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708772] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3677), 1,
      anon_sym_RBRACK,
    ACTIONS(21026), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708792] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8426), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21028), 1,
      anon_sym_SEMI,
    STATE(15401), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708812] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_RBRACE,
    ACTIONS(21030), 1,
      anon_sym_SEMI,
    STATE(15402), 1,
      sym_attribute,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708832] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3311), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21032), 1,
      anon_sym_SEMI,
    STATE(15403), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708852] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(15404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [708870] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21034), 1,
      aux_sym_quoted_extension_token1,
    STATE(15405), 1,
      sym_attribute,
    STATE(19686), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14190), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15406), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3679), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21036), 1,
      anon_sym_SEMI,
    STATE(15407), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21038), 1,
      anon_sym_SEMI,
    STATE(15408), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21004), 1,
      anon_sym_COLON2,
    ACTIONS(21040), 1,
      anon_sym_RPAREN,
    STATE(15409), 1,
      sym_attribute,
    STATE(18940), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708970] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21042), 1,
      anon_sym_RBRACK,
    STATE(15410), 1,
      sym_attribute,
    STATE(15730), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708990] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21044), 1,
      anon_sym_SEMI,
    ACTIONS(21047), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15411), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [709008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21049), 1,
      sym__identifier,
    STATE(15412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21051), 1,
      anon_sym_EQ,
    STATE(15413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9888), 1,
      sym__type_equation,
    STATE(15414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21053), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [709066] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21055), 1,
      anon_sym_RPAREN,
    STATE(15415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709086] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19662), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21057), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21059), 1,
      anon_sym_EQ,
    STATE(15417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(15418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [709144] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21061), 1,
      aux_sym_quoted_extension_token1,
    STATE(15419), 1,
      sym_attribute,
    STATE(17417), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709164] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19668), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709184] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21063), 1,
      anon_sym_SEMI,
    ACTIONS(21065), 1,
      anon_sym_RBRACE,
    STATE(15421), 1,
      sym_attribute,
    STATE(15676), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709204] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18203), 1,
      anon_sym_RBRACE,
    ACTIONS(21067), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709224] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21069), 1,
      anon_sym_RPAREN,
    STATE(15423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709244] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18374), 1,
      anon_sym_RBRACE,
    ACTIONS(21071), 1,
      anon_sym_SEMI,
    STATE(15424), 1,
      sym_attribute,
    STATE(15441), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709264] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21073), 1,
      anon_sym_RPAREN,
    STATE(15425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709284] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8366), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21075), 1,
      anon_sym_SEMI,
    STATE(15426), 1,
      sym_attribute,
    STATE(15570), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709304] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(21077), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21079), 1,
      anon_sym_SEMI,
    ACTIONS(21081), 1,
      anon_sym_RBRACE,
    STATE(15428), 1,
      sym_attribute,
    STATE(15573), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9889), 1,
      sym__type_equation,
    STATE(15429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21053), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [709362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21083), 1,
      anon_sym_EQ,
    STATE(15430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19197), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21085), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(15432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [709420] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21087), 1,
      aux_sym_quoted_extension_token1,
    STATE(15433), 1,
      sym_attribute,
    STATE(17633), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709440] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19199), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21089), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709460] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21091), 1,
      sym__identifier,
    STATE(15435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709480] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9989), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15436), 1,
      sym_attribute,
    STATE(15567), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21093), 1,
      anon_sym_RPAREN,
    STATE(15437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21095), 1,
      anon_sym_SEMI,
    ACTIONS(21097), 1,
      anon_sym_RBRACE,
    STATE(15438), 1,
      sym_attribute,
    STATE(15513), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11884), 1,
      sym_module_binding,
    STATE(15439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17514), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [709558] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21099), 1,
      anon_sym_EQ,
    STATE(15440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21101), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [709576] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18380), 1,
      anon_sym_RBRACE,
    ACTIONS(21103), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709596] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
    ACTIONS(21105), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(15443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [709634] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21107), 1,
      aux_sym_quoted_extension_token1,
    STATE(15444), 1,
      sym_attribute,
    STATE(17865), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709654] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21109), 1,
      sym__identifier,
    STATE(15445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709674] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19680), 1,
      anon_sym_RBRACE,
    ACTIONS(21111), 1,
      anon_sym_SEMI,
    STATE(14898), 1,
      aux_sym_record_declaration_repeat1,
    STATE(15446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709694] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21113), 1,
      sym__identifier,
    STATE(15447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17444), 1,
      anon_sym_SEMI,
    ACTIONS(17446), 1,
      anon_sym_GT,
    STATE(15448), 1,
      sym_attribute,
    STATE(15575), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18976), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21115), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21117), 1,
      anon_sym_SEMI,
    ACTIONS(21119), 1,
      anon_sym_RBRACE,
    STATE(15450), 1,
      sym_attribute,
    STATE(15465), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21121), 1,
      anon_sym_SEMI,
    ACTIONS(21123), 1,
      anon_sym_GT_RBRACE,
    STATE(15451), 1,
      sym_attribute,
    STATE(15614), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709794] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21125), 1,
      anon_sym_RPAREN,
    STATE(15452), 1,
      sym_attribute,
    STATE(18988), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709814] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_SEMI,
    ACTIONS(21129), 1,
      anon_sym_GT_RBRACE,
    STATE(15453), 1,
      sym_attribute,
    STATE(15475), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18113), 1,
      anon_sym_RBRACE,
    ACTIONS(21131), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21133), 1,
      anon_sym_RPAREN,
    STATE(15455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709874] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18410), 1,
      anon_sym_RBRACE,
    ACTIONS(21135), 1,
      anon_sym_SEMI,
    STATE(15456), 1,
      sym_attribute,
    STATE(15603), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18974), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21137), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19209), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(15459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [709952] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21139), 1,
      aux_sym_quoted_extension_token1,
    STATE(15460), 1,
      sym_attribute,
    STATE(18093), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21141), 1,
      anon_sym_RPAREN,
    STATE(15461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709992] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21143), 1,
      anon_sym_RPAREN,
    STATE(15462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710012] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3307), 1,
      anon_sym_RBRACK,
    ACTIONS(21145), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710032] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21147), 1,
      anon_sym_SEMI,
    ACTIONS(21149), 1,
      anon_sym_GT_RBRACE,
    STATE(15464), 1,
      sym_attribute,
    STATE(15576), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710052] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18219), 1,
      anon_sym_RBRACE,
    ACTIONS(21151), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710072] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21153), 1,
      anon_sym_RPAREN,
    STATE(15466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710092] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19698), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(15468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710130] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21155), 1,
      aux_sym_quoted_extension_token1,
    STATE(15469), 1,
      sym_attribute,
    STATE(18227), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710150] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19698), 1,
      anon_sym_RBRACK,
    STATE(15470), 1,
      sym_attribute,
    STATE(15631), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3309), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21157), 1,
      anon_sym_SEMI,
    STATE(15471), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710190] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21159), 1,
      sym__identifier,
    STATE(15472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710210] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21161), 1,
      anon_sym_SEMI,
    ACTIONS(21163), 1,
      anon_sym_GT_RBRACE,
    STATE(15473), 1,
      sym_attribute,
    STATE(15812), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21165), 1,
      anon_sym_RPAREN,
    STATE(15474), 1,
      sym_attribute,
    STATE(18082), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710250] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19702), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21167), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(15476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710288] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21169), 1,
      aux_sym_quoted_extension_token1,
    STATE(15477), 1,
      sym_attribute,
    STATE(18321), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710308] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18462), 1,
      anon_sym_RBRACE,
    ACTIONS(21171), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21173), 1,
      anon_sym_RPAREN,
    STATE(15479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(15480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21175), 1,
      aux_sym_quoted_extension_token1,
    STATE(15481), 1,
      sym_attribute,
    STATE(18350), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710386] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21177), 1,
      anon_sym_RPAREN,
    STATE(15482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710406] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21179), 1,
      anon_sym_RPAREN,
    STATE(15483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(15484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710444] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21181), 1,
      aux_sym_quoted_extension_token1,
    STATE(15485), 1,
      sym_attribute,
    STATE(18380), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710464] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18223), 1,
      anon_sym_RBRACE,
    ACTIONS(21183), 1,
      anon_sym_SEMI,
    STATE(15486), 1,
      sym_attribute,
    STATE(15561), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(15487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710502] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21185), 1,
      aux_sym_quoted_extension_token1,
    STATE(15488), 1,
      sym_attribute,
    STATE(18428), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21187), 1,
      anon_sym_RPAREN,
    STATE(15489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(15490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21189), 1,
      aux_sym_quoted_extension_token1,
    STATE(15491), 1,
      sym_attribute,
    STATE(18467), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21191), 1,
      anon_sym_RPAREN,
    STATE(15492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(15493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710618] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21193), 1,
      aux_sym_quoted_extension_token1,
    STATE(15494), 1,
      sym_attribute,
    STATE(18504), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_RBRACK,
    ACTIONS(21195), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(15496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710676] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21197), 1,
      aux_sym_quoted_extension_token1,
    STATE(15497), 1,
      sym_attribute,
    STATE(18543), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710696] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21199), 1,
      anon_sym_SEMI,
    ACTIONS(21201), 1,
      anon_sym_RBRACE,
    STATE(15498), 1,
      sym_attribute,
    STATE(15667), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(15499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710734] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21203), 1,
      aux_sym_quoted_extension_token1,
    STATE(15500), 1,
      sym_attribute,
    STATE(18586), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21205), 1,
      anon_sym_SEMI,
    ACTIONS(21207), 1,
      anon_sym_RBRACE,
    STATE(15179), 1,
      aux_sym_record_expression_repeat1,
    STATE(15501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(15502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710792] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21209), 1,
      aux_sym_quoted_extension_token1,
    STATE(15503), 1,
      sym_attribute,
    STATE(18634), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710812] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(21211), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(15505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710850] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21213), 1,
      aux_sym_quoted_extension_token1,
    STATE(15506), 1,
      sym_attribute,
    STATE(18667), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21215), 1,
      sym__identifier,
    STATE(15507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(15508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710908] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21217), 1,
      aux_sym_quoted_extension_token1,
    STATE(15509), 1,
      sym_attribute,
    STATE(18716), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21219), 1,
      anon_sym_RPAREN,
    STATE(15510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(15511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [710966] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21221), 1,
      aux_sym_quoted_extension_token1,
    STATE(15512), 1,
      sym_attribute,
    STATE(18760), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710986] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18129), 1,
      anon_sym_RBRACE,
    ACTIONS(21223), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(15514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711024] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21225), 1,
      aux_sym_quoted_extension_token1,
    STATE(15515), 1,
      sym_attribute,
    STATE(18809), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(15516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711062] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21227), 1,
      aux_sym_quoted_extension_token1,
    STATE(15517), 1,
      sym_attribute,
    STATE(18829), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(15518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711100] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21229), 1,
      aux_sym_quoted_extension_token1,
    STATE(15519), 1,
      sym_attribute,
    STATE(18835), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(15520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711138] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21231), 1,
      aux_sym_quoted_extension_token1,
    STATE(15521), 1,
      sym_attribute,
    STATE(18841), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(15522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711176] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21233), 1,
      aux_sym_quoted_extension_token1,
    STATE(15523), 1,
      sym_attribute,
    STATE(18847), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(15524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711214] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21235), 1,
      aux_sym_quoted_extension_token1,
    STATE(15525), 1,
      sym_attribute,
    STATE(18853), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(15526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711252] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21237), 1,
      aux_sym_quoted_extension_token1,
    STATE(15527), 1,
      sym_attribute,
    STATE(18859), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(15528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711290] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21239), 1,
      aux_sym_quoted_extension_token1,
    STATE(15529), 1,
      sym_attribute,
    STATE(18865), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(15530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711328] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21241), 1,
      aux_sym_quoted_extension_token1,
    STATE(15531), 1,
      sym_attribute,
    STATE(18871), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(15532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21243), 1,
      aux_sym_quoted_extension_token1,
    STATE(15533), 1,
      sym_attribute,
    STATE(18877), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(15534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711404] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21245), 1,
      aux_sym_quoted_extension_token1,
    STATE(15535), 1,
      sym_attribute,
    STATE(18883), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(15536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711442] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21247), 1,
      aux_sym_quoted_extension_token1,
    STATE(15537), 1,
      sym_attribute,
    STATE(18889), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(15538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711480] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21249), 1,
      aux_sym_quoted_extension_token1,
    STATE(15539), 1,
      sym_attribute,
    STATE(18895), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(15540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711518] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21251), 1,
      aux_sym_quoted_extension_token1,
    STATE(15541), 1,
      sym_attribute,
    STATE(18901), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(15542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711556] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21253), 1,
      aux_sym_quoted_extension_token1,
    STATE(15543), 1,
      sym_attribute,
    STATE(18906), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(15544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711594] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21255), 1,
      aux_sym_quoted_extension_token1,
    STATE(15545), 1,
      sym_attribute,
    STATE(18914), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(15546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711632] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21257), 1,
      aux_sym_quoted_extension_token1,
    STATE(15547), 1,
      sym_attribute,
    STATE(18919), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(15548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711670] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21259), 1,
      aux_sym_quoted_extension_token1,
    STATE(15549), 1,
      sym_attribute,
    STATE(18926), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(15550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711708] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21261), 1,
      aux_sym_quoted_extension_token1,
    STATE(15551), 1,
      sym_attribute,
    STATE(18931), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(15552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711746] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21263), 1,
      aux_sym_quoted_extension_token1,
    STATE(15553), 1,
      sym_attribute,
    STATE(18935), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711766] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(15554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711784] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21265), 1,
      aux_sym_quoted_extension_token1,
    STATE(15555), 1,
      sym_attribute,
    STATE(18939), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711804] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(15556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711822] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21267), 1,
      aux_sym_quoted_extension_token1,
    STATE(15557), 1,
      sym_attribute,
    STATE(18946), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(15558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711860] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21269), 1,
      aux_sym_quoted_extension_token1,
    STATE(15559), 1,
      sym_attribute,
    STATE(18952), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15560), 1,
      sym_attribute,
    STATE(16016), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [711898] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18231), 1,
      anon_sym_RBRACE,
    ACTIONS(21271), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711918] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    ACTIONS(21273), 1,
      anon_sym_SEMI,
    STATE(15004), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19211), 1,
      anon_sym_RBRACK,
    STATE(15563), 1,
      sym_attribute,
    STATE(15624), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21275), 1,
      anon_sym_EQ,
    STATE(15564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18398), 1,
      anon_sym_RBRACE,
    ACTIONS(21277), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(15566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [712016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19211), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3595), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21279), 1,
      anon_sym_SEMI,
    STATE(15568), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21281), 1,
      sym__identifier,
    ACTIONS(21283), 1,
      anon_sym_LPAREN,
    STATE(7440), 1,
      sym__simple_value_pattern,
    STATE(15569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18282), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21285), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15570), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [712094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_RBRACK,
    ACTIONS(21288), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3559), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21290), 1,
      anon_sym_SEMI,
    STATE(15572), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712134] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18239), 1,
      anon_sym_RBRACE,
    ACTIONS(21292), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10334), 1,
      sym__type_equation,
    STATE(15574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20115), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [712172] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11398), 1,
      anon_sym_GT,
    ACTIONS(21294), 1,
      anon_sym_SEMI,
    STATE(15575), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712192] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19716), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21296), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712212] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21298), 1,
      aux_sym_quoted_extension_token1,
    STATE(15577), 1,
      sym_attribute,
    STATE(19128), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712232] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21300), 1,
      anon_sym_LPAREN,
    ACTIONS(21302), 1,
      anon_sym_LBRACK,
    ACTIONS(21304), 1,
      anon_sym_LBRACE,
    STATE(15578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21306), 1,
      anon_sym_RPAREN,
    STATE(15579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9687), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15580), 1,
      sym_attribute,
    STATE(15600), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21308), 1,
      anon_sym_RPAREN,
    STATE(15581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21310), 1,
      anon_sym_RPAREN,
    STATE(15582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8526), 1,
      anon_sym_RBRACK,
    ACTIONS(21312), 1,
      anon_sym_SEMI,
    STATE(15004), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17317), 1,
      anon_sym_SEMI,
    ACTIONS(17319), 1,
      anon_sym_GT,
    STATE(15584), 1,
      sym_attribute,
    STATE(15605), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19099), 1,
      sym__identifier,
    ACTIONS(19103), 1,
      anon_sym_mutable,
    STATE(15339), 1,
      sym_field_declaration,
    STATE(15585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21314), 1,
      anon_sym_RPAREN,
    STATE(15586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19037), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712432] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19037), 1,
      anon_sym_RBRACK,
    STATE(15588), 1,
      sym_attribute,
    STATE(15846), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17586), 1,
      anon_sym_RBRACE,
    ACTIONS(21316), 1,
      anon_sym_SEMI,
    STATE(15019), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712472] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21318), 1,
      anon_sym_SEMI,
    ACTIONS(21320), 1,
      anon_sym_RBRACE,
    STATE(15590), 1,
      sym_attribute,
    STATE(15610), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712492] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3791), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21322), 1,
      anon_sym_SEMI,
    STATE(15591), 1,
      sym_attribute,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712512] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21324), 1,
      anon_sym_LPAREN,
    ACTIONS(21326), 1,
      anon_sym_LBRACK,
    ACTIONS(21328), 1,
      anon_sym_LBRACE,
    STATE(15592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712532] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18155), 1,
      anon_sym_RBRACE,
    ACTIONS(21330), 1,
      anon_sym_SEMI,
    STATE(15593), 1,
      sym_attribute,
    STATE(16213), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18147), 1,
      anon_sym_RBRACE,
    ACTIONS(21332), 1,
      anon_sym_SEMI,
    STATE(15594), 1,
      sym_attribute,
    STATE(15663), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712572] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21334), 1,
      anon_sym_SEMI,
    ACTIONS(21336), 1,
      anon_sym_RBRACE,
    STATE(15595), 1,
      sym_attribute,
    STATE(15669), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21338), 1,
      anon_sym_SEMI,
    ACTIONS(21340), 1,
      anon_sym_GT_RBRACE,
    STATE(15596), 1,
      sym_attribute,
    STATE(15628), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21342), 1,
      anon_sym_RPAREN,
    STATE(15597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712632] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(21344), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712652] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19726), 1,
      anon_sym_RBRACK,
    STATE(15599), 1,
      sym_attribute,
    STATE(15618), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19726), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(18980), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712712] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8536), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21346), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712732] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18412), 1,
      anon_sym_RBRACE,
    ACTIONS(21348), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712752] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11442), 1,
      anon_sym_GT,
    ACTIONS(21350), 1,
      anon_sym_SEMI,
    STATE(15604), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712772] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11550), 1,
      anon_sym_GT,
    ACTIONS(21352), 1,
      anon_sym_SEMI,
    STATE(15605), 1,
      sym_attribute,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15680), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21354), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15606), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [712810] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21357), 1,
      sym__identifier,
    STATE(15607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712830] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21359), 1,
      anon_sym_EQ,
    STATE(15608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712850] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21361), 1,
      anon_sym_SEMI,
    ACTIONS(21363), 1,
      anon_sym_GT_RBRACE,
    STATE(15609), 1,
      sym_attribute,
    STATE(15728), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18255), 1,
      anon_sym_RBRACE,
    ACTIONS(21365), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(15611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [712908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21367), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(15612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21369), 1,
      anon_sym_SEMI,
    ACTIONS(21371), 1,
      anon_sym_RBRACE,
    STATE(15613), 1,
      sym_attribute,
    STATE(15632), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19730), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21373), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712968] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3333), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21375), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_SEMI,
    ACTIONS(21379), 1,
      anon_sym_GT_RBRACE,
    STATE(15616), 1,
      sym_attribute,
    STATE(15642), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21381), 1,
      anon_sym_RPAREN,
    STATE(15617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19736), 1,
      anon_sym_RBRACK,
    STATE(15619), 1,
      sym_attribute,
    STATE(15644), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713068] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21383), 1,
      aux_sym_quoted_extension_token1,
    STATE(15620), 1,
      sym_attribute,
    STATE(19638), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15621), 1,
      sym_attribute,
    STATE(15721), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [713106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21385), 1,
      anon_sym_RPAREN,
    STATE(15622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713126] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21387), 1,
      anon_sym_RPAREN,
    STATE(15623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19225), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21389), 1,
      anon_sym_RPAREN,
    STATE(15625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19225), 1,
      anon_sym_RBRACK,
    STATE(15626), 1,
      sym_attribute,
    STATE(15736), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713206] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19223), 1,
      anon_sym_RBRACE,
    ACTIONS(21391), 1,
      anon_sym_SEMI,
    STATE(14898), 1,
      aux_sym_record_declaration_repeat1,
    STATE(15627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19744), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21393), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21395), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(15629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3851), 1,
      anon_sym_RBRACK,
    ACTIONS(21397), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19748), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18422), 1,
      anon_sym_RBRACE,
    ACTIONS(21399), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713326] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21401), 1,
      anon_sym_LPAREN,
    ACTIONS(21403), 1,
      anon_sym_LBRACK,
    ACTIONS(21405), 1,
      anon_sym_LBRACE,
    STATE(15633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21395), 1,
      anon_sym_RBRACK,
    STATE(15634), 1,
      sym_attribute,
    STATE(15858), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21407), 1,
      anon_sym_RPAREN,
    STATE(15635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713386] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3857), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21409), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713406] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21411), 1,
      anon_sym_RPAREN,
    STATE(15637), 1,
      sym_attribute,
    STATE(18192), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713426] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18426), 1,
      anon_sym_RBRACE,
    ACTIONS(21413), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713446] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21415), 1,
      anon_sym_LPAREN,
    ACTIONS(21417), 1,
      anon_sym_LBRACK,
    ACTIONS(21419), 1,
      anon_sym_LBRACE,
    STATE(15639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713466] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14533), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15640), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713486] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21421), 1,
      anon_sym_RPAREN,
    STATE(15641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713506] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19750), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21423), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713526] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18259), 1,
      anon_sym_RBRACE,
    ACTIONS(21425), 1,
      anon_sym_SEMI,
    STATE(15643), 1,
      sym_attribute,
    STATE(15666), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713546] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19752), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713566] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3317), 1,
      anon_sym_RBRACK,
    ACTIONS(21427), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713586] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21429), 1,
      sym__identifier,
    STATE(15646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713606] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21431), 1,
      anon_sym_RPAREN,
    STATE(15647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713626] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21433), 1,
      anon_sym_RPAREN,
    STATE(15648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713646] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8334), 1,
      anon_sym_RBRACK,
    ACTIONS(21435), 1,
      anon_sym_SEMI,
    STATE(15159), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713666] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21437), 1,
      anon_sym_RPAREN,
    STATE(15650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713686] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19787), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713706] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18430), 1,
      anon_sym_RBRACE,
    ACTIONS(21439), 1,
      anon_sym_SEMI,
    STATE(15652), 1,
      sym_attribute,
    STATE(15662), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713726] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18318), 1,
      anon_sym_RBRACE,
    ACTIONS(21441), 1,
      anon_sym_SEMI,
    STATE(15653), 1,
      sym_attribute,
    STATE(15802), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713746] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19083), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713766] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21443), 1,
      sym__identifier,
    STATE(15655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713786] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8420), 1,
      anon_sym_RBRACK,
    ACTIONS(21445), 1,
      anon_sym_SEMI,
    STATE(15159), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713806] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21447), 1,
      sym__identifier,
    STATE(15657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713826] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3843), 1,
      anon_sym_RBRACK,
    ACTIONS(21449), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713846] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21451), 1,
      anon_sym_RPAREN,
    STATE(15659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713866] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21453), 1,
      anon_sym_RPAREN,
    STATE(15660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14942), 1,
      sym_attribute_id,
    STATE(15661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [713904] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18432), 1,
      anon_sym_RBRACE,
    ACTIONS(21455), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713924] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18157), 1,
      anon_sym_RBRACE,
    ACTIONS(21457), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17948), 1,
      anon_sym_GT,
    ACTIONS(21459), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15664), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [713962] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21462), 1,
      anon_sym_RPAREN,
    STATE(15665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713982] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18263), 1,
      anon_sym_RBRACE,
    ACTIONS(21464), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714002] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_RBRACE,
    ACTIONS(21466), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714022] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(17562), 1,
      anon_sym_RBRACK,
    STATE(15668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714042] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18107), 1,
      anon_sym_RBRACE,
    ACTIONS(21468), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714062] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21470), 1,
      anon_sym_LPAREN,
    ACTIONS(21472), 1,
      anon_sym_LBRACK,
    ACTIONS(21474), 1,
      anon_sym_LBRACE,
    STATE(15670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18572), 1,
      anon_sym_LPAREN,
    ACTIONS(21476), 1,
      sym__capitalized_identifier,
    STATE(10584), 1,
      sym__constructor_name,
    STATE(15671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19740), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21478), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714122] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21480), 1,
      anon_sym_RPAREN,
    STATE(15673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14639), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15674), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714162] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21482), 1,
      anon_sym_LPAREN,
    ACTIONS(21484), 1,
      anon_sym_LBRACK,
    ACTIONS(21486), 1,
      anon_sym_LBRACE,
    STATE(15675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18414), 1,
      anon_sym_RBRACE,
    ACTIONS(21488), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21490), 1,
      anon_sym_SEMI,
    ACTIONS(21492), 1,
      anon_sym_RBRACE,
    STATE(15677), 1,
      sym_attribute,
    STATE(16169), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714222] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17592), 1,
      anon_sym_RBRACE,
    ACTIONS(21494), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18336), 1,
      anon_sym_RBRACE,
    ACTIONS(21496), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714262] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8340), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21498), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714282] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19787), 1,
      anon_sym_RBRACK,
    STATE(14979), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714302] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19766), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714322] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(21500), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714342] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21502), 1,
      anon_sym_RPAREN,
    STATE(14812), 1,
      aux_sym__type_params_repeat1,
    STATE(15684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21504), 1,
      anon_sym_RPAREN,
    STATE(15685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14567), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15686), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714402] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21004), 1,
      anon_sym_COLON2,
    ACTIONS(21506), 1,
      anon_sym_RPAREN,
    STATE(15687), 1,
      sym_attribute,
    STATE(19061), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714422] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8414), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21508), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21510), 1,
      anon_sym_RPAREN,
    STATE(15689), 1,
      sym_attribute,
    STATE(17690), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18278), 1,
      anon_sym_RBRACE,
    ACTIONS(21512), 1,
      anon_sym_SEMI,
    STATE(15690), 1,
      sym_attribute,
    STATE(15756), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18344), 1,
      anon_sym_RBRACE,
    ACTIONS(21514), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    ACTIONS(21516), 1,
      anon_sym_SEMI,
    STATE(15004), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21518), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__identifier,
  [714538] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21520), 1,
      anon_sym_RPAREN,
    STATE(15694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714558] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21522), 1,
      anon_sym_EQ,
    STATE(15695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21524), 1,
      anon_sym_RPAREN,
    STATE(15696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14766), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15697), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714618] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(21526), 1,
      anon_sym_type,
    STATE(14941), 1,
      sym_module_path,
    STATE(15698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17810), 1,
      anon_sym_RBRACE,
    ACTIONS(21528), 1,
      anon_sym_SEMI,
    STATE(15019), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714658] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3845), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21530), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714678] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21532), 1,
      anon_sym__,
    STATE(14077), 1,
      sym_type_variable,
    STATE(15701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15284), 1,
      sym_attribute_id,
    STATE(15702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [714716] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21534), 1,
      anon_sym_EQ,
    STATE(15703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714736] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9773), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15704), 1,
      sym_attribute,
    STATE(15727), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21536), 1,
      anon_sym_RPAREN,
    STATE(15705), 1,
      sym_attribute,
    STATE(17457), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_RBRACK,
    ACTIONS(21538), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17712), 1,
      anon_sym_RBRACE,
    ACTIONS(21540), 1,
      anon_sym_SEMI,
    STATE(15019), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17363), 1,
      anon_sym_SEMI,
    ACTIONS(17365), 1,
      anon_sym_GT,
    STATE(15708), 1,
      sym_attribute,
    STATE(15732), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21542), 1,
      anon_sym_LPAREN,
    ACTIONS(21544), 1,
      anon_sym_LBRACK,
    ACTIONS(21546), 1,
      anon_sym_LBRACE,
    STATE(15709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21548), 1,
      anon_sym_SEMI,
    ACTIONS(21550), 1,
      anon_sym_RBRACE,
    STATE(15710), 1,
      sym_attribute,
    STATE(15939), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(15711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [714894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21552), 1,
      sym__identifier,
    STATE(15712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21554), 1,
      anon_sym_LPAREN,
    ACTIONS(21556), 1,
      anon_sym_LBRACK,
    ACTIONS(21558), 1,
      anon_sym_LBRACE,
    STATE(15713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8685), 1,
      aux_sym_attribute_id_token1,
    STATE(15714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8687), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [714952] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21560), 1,
      sym__identifier,
    STATE(15715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21562), 1,
      anon_sym_RPAREN,
    STATE(15716), 1,
      sym_attribute,
    STATE(19408), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714992] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21564), 1,
      anon_sym_RPAREN,
    STATE(15717), 1,
      sym_attribute,
    STATE(18347), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715012] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21566), 1,
      anon_sym_RPAREN,
    STATE(15718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715032] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(21568), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715052] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(21570), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715072] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21572), 1,
      aux_sym_quoted_extension_token1,
    STATE(15721), 1,
      sym_attribute,
    STATE(20122), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715092] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21574), 1,
      anon_sym_RPAREN,
    STATE(15722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715112] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21576), 1,
      anon_sym_RPAREN,
    STATE(15723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715132] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(21578), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715152] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19791), 1,
      anon_sym_RBRACK,
    STATE(15725), 1,
      sym_attribute,
    STATE(15760), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15620), 1,
      sym_attribute_id,
    STATE(15726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [715190] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19791), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715210] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19249), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21580), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21582), 1,
      anon_sym_SEMI,
    ACTIONS(21584), 1,
      anon_sym_RBRACE,
    STATE(15729), 1,
      sym_attribute,
    STATE(15792), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715250] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21586), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(15730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715270] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18143), 1,
      anon_sym_RBRACE,
    ACTIONS(21588), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715290] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11570), 1,
      anon_sym_GT,
    ACTIONS(21590), 1,
      anon_sym_SEMI,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    STATE(15732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715310] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21592), 1,
      anon_sym_LPAREN,
    ACTIONS(21594), 1,
      anon_sym_LBRACK,
    ACTIONS(21596), 1,
      anon_sym_LBRACE,
    STATE(15733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715330] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21598), 1,
      anon_sym_LPAREN,
    ACTIONS(21600), 1,
      anon_sym_LBRACK,
    ACTIONS(21602), 1,
      anon_sym_LBRACE,
    STATE(15734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715350] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21586), 1,
      anon_sym_RBRACK,
    STATE(15735), 1,
      sym_attribute,
    STATE(16144), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715370] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19251), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715390] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3547), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21604), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715410] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21606), 1,
      anon_sym_RPAREN,
    STATE(15738), 1,
      sym_attribute,
    STATE(17900), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15739), 1,
      sym_attribute,
    STATE(15817), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [715448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21608), 1,
      anon_sym_SEMI,
    ACTIONS(21610), 1,
      anon_sym_GT_RBRACE,
    STATE(14854), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21612), 1,
      anon_sym_RPAREN,
    STATE(15741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21614), 1,
      anon_sym_SEMI,
    ACTIONS(21616), 1,
      anon_sym_RBRACE,
    STATE(15742), 1,
      sym_attribute,
    STATE(15775), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18119), 1,
      anon_sym_RBRACE,
    ACTIONS(21618), 1,
      anon_sym_SEMI,
    STATE(15743), 1,
      sym_attribute,
    STATE(15914), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21620), 1,
      anon_sym_RPAREN,
    STATE(15744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18117), 1,
      anon_sym_RBRACE,
    ACTIONS(21622), 1,
      anon_sym_SEMI,
    STATE(15745), 1,
      sym_attribute,
    STATE(15783), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21624), 1,
      anon_sym_LPAREN,
    ACTIONS(21626), 1,
      anon_sym_LBRACK,
    ACTIONS(21628), 1,
      anon_sym_LBRACE,
    STATE(15746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8542), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21630), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21632), 1,
      anon_sym_SEMI,
    ACTIONS(21634), 1,
      anon_sym_GT_RBRACE,
    STATE(15748), 1,
      sym_attribute,
    STATE(15834), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21636), 1,
      anon_sym_LPAREN,
    ACTIONS(21638), 1,
      anon_sym_LBRACK,
    ACTIONS(21640), 1,
      anon_sym_LBRACE,
    STATE(15749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715648] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21642), 1,
      aux_sym_quoted_extension_token1,
    STATE(15750), 1,
      sym_attribute,
    STATE(17848), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9819), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(14930), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21644), 1,
      anon_sym_SEMI,
    ACTIONS(21646), 1,
      anon_sym_RBRACE,
    STATE(14835), 1,
      aux_sym_record_expression_repeat1,
    STATE(15752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21648), 1,
      anon_sym_SEMI,
    ACTIONS(21650), 1,
      anon_sym_GT_RBRACE,
    STATE(15753), 1,
      sym_attribute,
    STATE(15791), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15754), 1,
      sym_attribute,
    STATE(15988), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [715746] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21652), 1,
      sym__identifier,
    STATE(15755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715766] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18292), 1,
      anon_sym_RBRACE,
    ACTIONS(21654), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715786] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21656), 1,
      anon_sym_SEMI,
    ACTIONS(21658), 1,
      anon_sym_RBRACE,
    STATE(15757), 1,
      sym_attribute,
    STATE(15811), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715806] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21660), 1,
      anon_sym_LPAREN,
    ACTIONS(21662), 1,
      anon_sym_LBRACK,
    ACTIONS(21664), 1,
      anon_sym_LBRACE,
    STATE(15758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715826] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21666), 1,
      anon_sym_RPAREN,
    STATE(15759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715846] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19813), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715866] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21668), 1,
      anon_sym_LPAREN,
    ACTIONS(21670), 1,
      anon_sym_LBRACK,
    ACTIONS(21672), 1,
      anon_sym_LBRACE,
    STATE(15761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715886] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19813), 1,
      anon_sym_RBRACK,
    STATE(15762), 1,
      sym_attribute,
    STATE(15795), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715906] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21674), 1,
      anon_sym_RPAREN,
    STATE(15763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715926] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8400), 1,
      anon_sym_RBRACK,
    ACTIONS(21676), 1,
      anon_sym_SEMI,
    STATE(15159), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21678), 1,
      sym__identifier,
    STATE(15765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14277), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15766), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15767), 1,
      sym_attribute,
    STATE(16156), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716004] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21680), 1,
      anon_sym_RPAREN,
    STATE(15768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716024] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21682), 1,
      anon_sym_SEMI,
    ACTIONS(21684), 1,
      anon_sym_RBRACE,
    STATE(15769), 1,
      sym_attribute,
    STATE(15923), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21686), 1,
      anon_sym_RPAREN,
    STATE(15770), 1,
      sym_attribute,
    STATE(17963), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716064] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17740), 1,
      anon_sym_RBRACE,
    ACTIONS(21688), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716084] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3501), 1,
      anon_sym_RBRACK,
    ACTIONS(21690), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(15773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716122] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21692), 1,
      anon_sym_LPAREN,
    ACTIONS(21694), 1,
      anon_sym_LBRACK,
    ACTIONS(21696), 1,
      anon_sym_LBRACE,
    STATE(15774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_RBRACE,
    ACTIONS(21698), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716162] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21700), 1,
      anon_sym_RPAREN,
    STATE(15776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21702), 1,
      anon_sym_LPAREN,
    ACTIONS(21704), 1,
      anon_sym_LBRACK,
    ACTIONS(21706), 1,
      anon_sym_LBRACE,
    STATE(15777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3761), 1,
      anon_sym_RBRACK,
    ACTIONS(21708), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14813), 1,
      sym_attribute_id,
    STATE(15779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716240] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8402), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21710), 1,
      anon_sym_SEMI,
    STATE(15570), 1,
      aux_sym_list_pattern_repeat1,
    STATE(15780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716260] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3507), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21712), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21714), 1,
      anon_sym_SEMI,
    ACTIONS(21716), 1,
      anon_sym_GT_RBRACE,
    STATE(15782), 1,
      sym_attribute,
    STATE(15874), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18121), 1,
      anon_sym_RBRACE,
    ACTIONS(21718), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716320] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21720), 1,
      anon_sym_SEMI,
    ACTIONS(21722), 1,
      anon_sym_GT_RBRACE,
    STATE(15784), 1,
      sym_attribute,
    STATE(16109), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21724), 1,
      anon_sym_SEMI,
    ACTIONS(21726), 1,
      anon_sym_GT_RBRACE,
    STATE(15785), 1,
      sym_attribute,
    STATE(16167), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716360] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21728), 1,
      anon_sym_LPAREN,
    ACTIONS(21730), 1,
      anon_sym_LBRACK,
    ACTIONS(21732), 1,
      anon_sym_LBRACE,
    STATE(15786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3619), 1,
      anon_sym_RBRACK,
    ACTIONS(21734), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21736), 1,
      anon_sym_LPAREN,
    ACTIONS(21738), 1,
      anon_sym_LBRACK,
    ACTIONS(21740), 1,
      anon_sym_LBRACE,
    STATE(15788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14847), 1,
      sym_attribute_id,
    STATE(15789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716438] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21742), 1,
      anon_sym_RPAREN,
    STATE(15790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716458] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19823), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21744), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18440), 1,
      anon_sym_RBRACE,
    ACTIONS(21746), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716498] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3819), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21748), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716518] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21004), 1,
      anon_sym_COLON2,
    ACTIONS(21750), 1,
      anon_sym_RPAREN,
    STATE(15794), 1,
      sym_attribute,
    STATE(18411), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716538] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19827), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716558] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21752), 1,
      anon_sym_LPAREN,
    ACTIONS(21754), 1,
      anon_sym_LBRACK,
    ACTIONS(21756), 1,
      anon_sym_LBRACE,
    STATE(15796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21758), 1,
      anon_sym_RPAREN,
    STATE(15797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21760), 1,
      anon_sym_LPAREN,
    ACTIONS(21762), 1,
      anon_sym_LBRACK,
    ACTIONS(21764), 1,
      anon_sym_LBRACE,
    STATE(15798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14889), 1,
      sym_attribute_id,
    STATE(15799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14058), 1,
      anon_sym_and,
    STATE(15800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14056), 2,
      anon_sym_in,
      sym_let_and_operator,
  [716654] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21766), 1,
      anon_sym_RPAREN,
    STATE(15801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716674] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18332), 1,
      anon_sym_RBRACE,
    ACTIONS(21768), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716694] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3765), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21770), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18468), 1,
      anon_sym_RBRACE,
    ACTIONS(21772), 1,
      anon_sym_SEMI,
    STATE(15804), 1,
      sym_attribute,
    STATE(15824), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19272), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21774), 1,
      anon_sym_LPAREN,
    ACTIONS(21776), 1,
      anon_sym_LBRACK,
    ACTIONS(21778), 1,
      anon_sym_LBRACE,
    STATE(15806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21780), 1,
      anon_sym_LPAREN,
    ACTIONS(21782), 1,
      anon_sym_LBRACK,
    ACTIONS(21784), 1,
      anon_sym_LBRACE,
    STATE(15807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14917), 1,
      sym_attribute_id,
    STATE(15808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(15809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716830] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21786), 1,
      sym__identifier,
    STATE(15810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716850] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18227), 1,
      anon_sym_RBRACE,
    ACTIONS(21788), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19049), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21790), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21792), 1,
      anon_sym_LPAREN,
    ACTIONS(21794), 1,
      anon_sym_LBRACK,
    ACTIONS(21796), 1,
      anon_sym_LBRACE,
    STATE(15813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21798), 1,
      anon_sym_LPAREN,
    ACTIONS(21800), 1,
      anon_sym_LBRACK,
    ACTIONS(21802), 1,
      anon_sym_LBRACE,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14947), 1,
      sym_attribute_id,
    STATE(15815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [716948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21804), 1,
      sym__identifier,
    STATE(15816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716968] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21806), 1,
      aux_sym_quoted_extension_token1,
    STATE(15817), 1,
      sym_attribute,
    STATE(19754), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21808), 1,
      sym__identifier,
    STATE(15818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21810), 1,
      anon_sym_LPAREN,
    ACTIONS(21812), 1,
      anon_sym_LBRACK,
    ACTIONS(21814), 1,
      anon_sym_LBRACE,
    STATE(15819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21816), 1,
      anon_sym_RPAREN,
    STATE(15820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21818), 1,
      anon_sym_LPAREN,
    ACTIONS(21820), 1,
      anon_sym_LBRACK,
    ACTIONS(21822), 1,
      anon_sym_LBRACE,
    STATE(15821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14972), 1,
      sym_attribute_id,
    STATE(15822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717086] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21824), 1,
      sym__identifier,
    ACTIONS(21826), 1,
      anon_sym_LPAREN,
    STATE(10038), 1,
      sym__simple_value_pattern,
    STATE(15823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18470), 1,
      anon_sym_RBRACE,
    ACTIONS(21828), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717126] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19272), 1,
      anon_sym_RBRACK,
    STATE(14867), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21830), 1,
      anon_sym_LPAREN,
    ACTIONS(21832), 1,
      anon_sym_LBRACK,
    ACTIONS(21834), 1,
      anon_sym_LBRACE,
    STATE(15826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21836), 1,
      anon_sym_LPAREN,
    ACTIONS(21838), 1,
      anon_sym_LBRACK,
    ACTIONS(21840), 1,
      anon_sym_LBRACE,
    STATE(15827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14996), 1,
      sym_attribute_id,
    STATE(15828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717204] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_RBRACE,
    ACTIONS(21842), 1,
      anon_sym_SEMI,
    STATE(15829), 1,
      sym_attribute,
    STATE(16025), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717224] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14348), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15830), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717244] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21844), 1,
      anon_sym_RPAREN,
    STATE(15831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717264] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9843), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15832), 1,
      sym_attribute,
    STATE(16004), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717284] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21846), 1,
      anon_sym_LPAREN,
    ACTIONS(21848), 1,
      anon_sym_LBRACK,
    ACTIONS(21850), 1,
      anon_sym_LBRACE,
    STATE(15833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717304] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19270), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21852), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21854), 1,
      anon_sym_LPAREN,
    ACTIONS(21856), 1,
      anon_sym_LBRACK,
    ACTIONS(21858), 1,
      anon_sym_LBRACE,
    STATE(15835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15021), 1,
      sym_attribute_id,
    STATE(15836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3621), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21860), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717382] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12197), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [717398] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14216), 1,
      aux_sym_module_binding_repeat1,
    STATE(15839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717418] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17398), 1,
      anon_sym_SEMI,
    ACTIONS(17400), 1,
      anon_sym_GT,
    STATE(15840), 1,
      sym_attribute,
    STATE(16034), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717438] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21862), 1,
      anon_sym_RPAREN,
    STATE(15841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717458] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21864), 1,
      anon_sym_LPAREN,
    ACTIONS(21866), 1,
      anon_sym_LBRACK,
    ACTIONS(21868), 1,
      anon_sym_LBRACE,
    STATE(15842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21870), 1,
      anon_sym_RPAREN,
    STATE(15843), 1,
      sym_attribute,
    STATE(18708), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717498] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21872), 1,
      anon_sym_LPAREN,
    ACTIONS(21874), 1,
      anon_sym_LBRACK,
    ACTIONS(21876), 1,
      anon_sym_LBRACE,
    STATE(15844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15047), 1,
      sym_attribute_id,
    STATE(15845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19055), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717556] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18286), 1,
      anon_sym_RBRACE,
    ACTIONS(21878), 1,
      anon_sym_SEMI,
    STATE(14832), 1,
      aux_sym_record_expression_repeat1,
    STATE(15847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717576] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19859), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717596] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(21880), 1,
      anon_sym_RPAREN,
    STATE(15849), 1,
      sym_attribute,
    STATE(19927), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717616] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21004), 1,
      anon_sym_COLON2,
    ACTIONS(21882), 1,
      anon_sym_RPAREN,
    STATE(15850), 1,
      sym_attribute,
    STATE(19381), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717636] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21884), 1,
      anon_sym_LPAREN,
    ACTIONS(21886), 1,
      anon_sym_LBRACK,
    ACTIONS(21888), 1,
      anon_sym_LBRACE,
    STATE(15851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717656] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18233), 1,
      anon_sym_RBRACE,
    ACTIONS(21890), 1,
      anon_sym_SEMI,
    STATE(14872), 1,
      aux_sym_record_expression_repeat1,
    STATE(15852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21892), 1,
      anon_sym_LPAREN,
    ACTIONS(21894), 1,
      anon_sym_LBRACK,
    ACTIONS(21896), 1,
      anon_sym_LBRACE,
    STATE(15853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15071), 1,
      sym_attribute_id,
    STATE(15854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21898), 1,
      anon_sym_SEMI,
    ACTIONS(21900), 1,
      anon_sym_RBRACE,
    STATE(15143), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21902), 1,
      anon_sym_RPAREN,
    STATE(15856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717754] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14413), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15857), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21904), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(15858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(15859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717812] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14309), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15860), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717832] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21906), 1,
      anon_sym_LPAREN,
    ACTIONS(21908), 1,
      anon_sym_LBRACK,
    ACTIONS(21910), 1,
      anon_sym_LBRACE,
    STATE(15861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717852] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21912), 1,
      anon_sym_RPAREN,
    STATE(15862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717872] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21914), 1,
      anon_sym_LPAREN,
    ACTIONS(21916), 1,
      anon_sym_LBRACK,
    ACTIONS(21918), 1,
      anon_sym_LBRACE,
    STATE(15863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15092), 1,
      sym_attribute_id,
    STATE(15864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [717910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17974), 1,
      anon_sym_RBRACE,
    ACTIONS(21920), 1,
      anon_sym_SEMI,
    STATE(15191), 1,
      aux_sym_record_pattern_repeat1,
    STATE(15865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18442), 1,
      anon_sym_RBRACE,
    ACTIONS(21922), 1,
      anon_sym_SEMI,
    STATE(15866), 1,
      sym_attribute,
    STATE(15930), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14443), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15867), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717970] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21924), 1,
      sym__identifier,
    STATE(15868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717990] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21926), 1,
      anon_sym_RPAREN,
    STATE(15869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718010] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21928), 1,
      anon_sym_LPAREN,
    ACTIONS(21930), 1,
      anon_sym_LBRACK,
    ACTIONS(21932), 1,
      anon_sym_LBRACE,
    STATE(15870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17371), 1,
      anon_sym_SEMI,
    ACTIONS(17373), 1,
      anon_sym_GT,
    STATE(14983), 1,
      aux_sym_object_type_repeat1,
    STATE(15871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21934), 1,
      anon_sym_LPAREN,
    ACTIONS(21936), 1,
      anon_sym_LBRACK,
    ACTIONS(21938), 1,
      anon_sym_LBRACE,
    STATE(15872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15114), 1,
      sym_attribute_id,
    STATE(15873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19863), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21940), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718108] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14460), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15875), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718128] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9705), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15876), 1,
      sym_attribute,
    STATE(15965), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718148] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21942), 1,
      anon_sym_EQ,
    STATE(15877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21944), 1,
      anon_sym_LPAREN,
    ACTIONS(21946), 1,
      anon_sym_LBRACK,
    ACTIONS(21948), 1,
      anon_sym_LBRACE,
    STATE(15878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21950), 1,
      anon_sym_EQ,
    STATE(15879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718208] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21952), 1,
      anon_sym_LPAREN,
    ACTIONS(21954), 1,
      anon_sym_LBRACK,
    ACTIONS(21956), 1,
      anon_sym_LBRACE,
    STATE(15880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15134), 1,
      sym_attribute_id,
    STATE(15881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3347), 1,
      anon_sym_RBRACK,
    ACTIONS(21958), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21960), 1,
      anon_sym_RPAREN,
    STATE(15883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18438), 1,
      anon_sym_RBRACE,
    ACTIONS(21962), 1,
      anon_sym_SEMI,
    STATE(15884), 1,
      sym_attribute,
    STATE(16164), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9835), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15885), 1,
      sym_attribute,
    STATE(15912), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718326] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21964), 1,
      anon_sym_LPAREN,
    ACTIONS(21966), 1,
      anon_sym_LBRACK,
    ACTIONS(21968), 1,
      anon_sym_LBRACE,
    STATE(15886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21970), 1,
      anon_sym_SEMI,
    ACTIONS(21972), 1,
      anon_sym_RBRACE,
    STATE(15237), 1,
      aux_sym_record_expression_repeat1,
    STATE(15887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21974), 1,
      anon_sym_LPAREN,
    ACTIONS(21976), 1,
      anon_sym_LBRACK,
    ACTIONS(21978), 1,
      anon_sym_LBRACE,
    STATE(15888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15154), 1,
      sym_attribute_id,
    STATE(15889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718404] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(21980), 1,
      anon_sym_RPAREN,
    STATE(15890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17414), 1,
      anon_sym_SEMI,
    ACTIONS(17416), 1,
      anon_sym_GT,
    STATE(15891), 1,
      sym_attribute,
    STATE(15918), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718444] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(21982), 1,
      sym__identifier,
    STATE(15892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718464] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17410), 1,
      anon_sym_SEMI,
    ACTIONS(17412), 1,
      anon_sym_GT,
    STATE(15893), 1,
      sym_attribute,
    STATE(15977), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718484] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18237), 1,
      anon_sym_RBRACE,
    ACTIONS(21984), 1,
      anon_sym_SEMI,
    STATE(15894), 1,
      sym_attribute,
    STATE(15999), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718504] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8524), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21986), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(15895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718524] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21988), 1,
      anon_sym_LPAREN,
    ACTIONS(21990), 1,
      anon_sym_LBRACK,
    ACTIONS(21992), 1,
      anon_sym_LBRACE,
    STATE(15896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718544] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(21994), 1,
      anon_sym_RPAREN,
    STATE(15897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718564] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21996), 1,
      anon_sym_LPAREN,
    ACTIONS(21998), 1,
      anon_sym_LBRACK,
    ACTIONS(22000), 1,
      anon_sym_LBRACE,
    STATE(15898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15167), 1,
      sym_attribute_id,
    STATE(15899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22002), 1,
      anon_sym_RPAREN,
    STATE(15900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718622] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21004), 1,
      anon_sym_COLON2,
    ACTIONS(22004), 1,
      anon_sym_RPAREN,
    STATE(15901), 1,
      sym_attribute,
    STATE(18019), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718642] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(21367), 1,
      anon_sym_RBRACK,
    STATE(15902), 1,
      sym_attribute,
    STATE(16160), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718662] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(22006), 1,
      sym__identifier,
    STATE(15903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22008), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__identifier,
  [718698] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22010), 1,
      anon_sym_LPAREN,
    ACTIONS(22012), 1,
      anon_sym_LBRACK,
    ACTIONS(22014), 1,
      anon_sym_LBRACE,
    STATE(15905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718718] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22016), 1,
      anon_sym_LPAREN,
    ACTIONS(22018), 1,
      anon_sym_LBRACK,
    ACTIONS(22020), 1,
      anon_sym_LBRACE,
    STATE(15906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15186), 1,
      sym_attribute_id,
    STATE(15907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22022), 1,
      anon_sym_RPAREN,
    STATE(15908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(22024), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19894), 1,
      anon_sym_RBRACK,
    STATE(15910), 1,
      sym_attribute,
    STATE(15953), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12621), 1,
      sym_attribute_id,
    STATE(15911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22026), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19894), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22028), 1,
      anon_sym_RPAREN,
    STATE(15913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718874] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18141), 1,
      anon_sym_RBRACE,
    ACTIONS(22030), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22032), 1,
      anon_sym_LPAREN,
    ACTIONS(22034), 1,
      anon_sym_LBRACK,
    ACTIONS(22036), 1,
      anon_sym_LBRACE,
    STATE(15915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22038), 1,
      anon_sym_LPAREN,
    ACTIONS(22040), 1,
      anon_sym_LBRACK,
    ACTIONS(22042), 1,
      anon_sym_LBRACE,
    STATE(15916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15205), 1,
      sym_attribute_id,
    STATE(15917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [718952] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11334), 1,
      anon_sym_GT,
    ACTIONS(22044), 1,
      anon_sym_SEMI,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    STATE(15918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15940), 1,
      sym__capitalized_identifier,
    ACTIONS(18608), 1,
      anon_sym_LPAREN,
    STATE(6703), 1,
      sym__constructor_name,
    STATE(15919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718992] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22046), 1,
      anon_sym_LPAREN,
    ACTIONS(22048), 1,
      anon_sym_LBRACK,
    ACTIONS(22050), 1,
      anon_sym_LBRACE,
    STATE(15920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719012] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22052), 1,
      anon_sym_LPAREN,
    ACTIONS(22054), 1,
      anon_sym_LBRACK,
    ACTIONS(22056), 1,
      anon_sym_LBRACE,
    STATE(15921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719032] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15217), 1,
      sym_attribute_id,
    STATE(15922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18109), 1,
      anon_sym_RBRACE,
    ACTIONS(22058), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(22060), 1,
      anon_sym_RBRACK,
    STATE(15924), 1,
      sym_attribute,
    STATE(16051), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719090] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17214), 1,
      anon_sym_SEMI,
    ACTIONS(17216), 1,
      anon_sym_GT,
    STATE(15057), 1,
      aux_sym_object_type_repeat1,
    STATE(15925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719110] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(22062), 1,
      sym__identifier,
    STATE(15926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719130] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22064), 1,
      anon_sym_LPAREN,
    ACTIONS(22066), 1,
      anon_sym_LBRACK,
    ACTIONS(22068), 1,
      anon_sym_LBRACE,
    STATE(15927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719150] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22070), 1,
      anon_sym_LPAREN,
    ACTIONS(22072), 1,
      anon_sym_LBRACK,
    ACTIONS(22074), 1,
      anon_sym_LBRACE,
    STATE(15928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15232), 1,
      sym_attribute_id,
    STATE(15929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18446), 1,
      anon_sym_RBRACE,
    ACTIONS(22076), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719208] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22078), 1,
      anon_sym_RPAREN,
    STATE(15931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22080), 1,
      anon_sym_SEMI,
    ACTIONS(22082), 1,
      anon_sym_RBRACE,
    STATE(15932), 1,
      sym_attribute,
    STATE(15969), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22084), 1,
      anon_sym_RPAREN,
    STATE(15933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719268] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22086), 1,
      anon_sym_SEMI,
    ACTIONS(22088), 1,
      anon_sym_RBRACE,
    STATE(14896), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(15934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719288] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22090), 1,
      anon_sym_LPAREN,
    ACTIONS(22092), 1,
      anon_sym_LBRACK,
    ACTIONS(22094), 1,
      anon_sym_LBRACE,
    STATE(15935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719308] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9725), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(15936), 1,
      sym_attribute,
    STATE(16007), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22096), 1,
      anon_sym_LPAREN,
    ACTIONS(22098), 1,
      anon_sym_LBRACK,
    ACTIONS(22100), 1,
      anon_sym_LBRACE,
    STATE(15937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15250), 1,
      sym_attribute_id,
    STATE(15938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18257), 1,
      anon_sym_RBRACE,
    ACTIONS(22102), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719386] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(22104), 1,
      anon_sym_RPAREN,
    STATE(15940), 1,
      sym_attribute,
    STATE(19442), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8148), 1,
      sym_attribute_id,
    STATE(15941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22106), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22108), 1,
      anon_sym_SEMI,
    ACTIONS(22110), 1,
      anon_sym_GT_RBRACE,
    STATE(15942), 1,
      sym_attribute,
    STATE(15984), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719444] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22112), 1,
      anon_sym_LPAREN,
    ACTIONS(22114), 1,
      anon_sym_LBRACK,
    ACTIONS(22116), 1,
      anon_sym_LBRACE,
    STATE(15943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719464] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22118), 1,
      anon_sym_LPAREN,
    ACTIONS(22120), 1,
      anon_sym_LBRACK,
    ACTIONS(22122), 1,
      anon_sym_LBRACE,
    STATE(15944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15265), 1,
      sym_attribute_id,
    STATE(15945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17240), 1,
      anon_sym_SEMI,
    ACTIONS(17242), 1,
      anon_sym_GT,
    STATE(15946), 1,
      sym_attribute,
    STATE(16026), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(15947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22124), 1,
      anon_sym_RPAREN,
    STATE(15948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22126), 1,
      anon_sym_LPAREN,
    ACTIONS(22128), 1,
      anon_sym_LBRACK,
    ACTIONS(22130), 1,
      anon_sym_LBRACE,
    STATE(15949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22132), 1,
      anon_sym_RPAREN,
    STATE(15950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22134), 1,
      anon_sym_LPAREN,
    ACTIONS(22136), 1,
      anon_sym_LBRACK,
    ACTIONS(22138), 1,
      anon_sym_LBRACE,
    STATE(15951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15277), 1,
      sym_attribute_id,
    STATE(15952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19918), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719658] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19918), 1,
      anon_sym_RBRACK,
    STATE(15954), 1,
      sym_attribute,
    STATE(15989), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719678] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(22140), 1,
      anon_sym_RPAREN,
    STATE(15955), 1,
      sym_attribute,
    STATE(19409), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719698] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(22142), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(15957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719736] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(22144), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22146), 1,
      anon_sym_LPAREN,
    ACTIONS(22148), 1,
      anon_sym_LBRACK,
    ACTIONS(22150), 1,
      anon_sym_LBRACE,
    STATE(15959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22152), 1,
      anon_sym_LPAREN,
    ACTIONS(22154), 1,
      anon_sym_LBRACK,
    ACTIONS(22156), 1,
      anon_sym_LBRACE,
    STATE(15960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15291), 1,
      sym_attribute_id,
    STATE(15961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [719814] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22158), 1,
      anon_sym_RPAREN,
    STATE(15962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19926), 1,
      anon_sym_RBRACK,
    STATE(15963), 1,
      sym_attribute,
    STATE(16120), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22160), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__identifier,
  [719870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19926), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3615), 1,
      anon_sym_RBRACK,
    ACTIONS(22162), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(15966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22164), 1,
      anon_sym_RPAREN,
    STATE(15967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22166), 1,
      anon_sym_LPAREN,
    ACTIONS(22168), 1,
      anon_sym_LBRACK,
    ACTIONS(22170), 1,
      anon_sym_LBRACE,
    STATE(15968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18498), 1,
      anon_sym_RBRACE,
    ACTIONS(22172), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719970] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22174), 1,
      anon_sym_LPAREN,
    ACTIONS(22176), 1,
      anon_sym_LBRACK,
    ACTIONS(22178), 1,
      anon_sym_LBRACE,
    STATE(15970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719990] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15308), 1,
      sym_attribute_id,
    STATE(15971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22180), 1,
      anon_sym_RPAREN,
    STATE(15972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19300), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22182), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(15974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10637), 1,
      sym_attribute_id,
    STATE(15975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22184), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720084] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22186), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(15976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720104] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11546), 1,
      anon_sym_GT,
    ACTIONS(22188), 1,
      anon_sym_SEMI,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    STATE(15977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720124] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22190), 1,
      anon_sym_LPAREN,
    ACTIONS(22192), 1,
      anon_sym_LBRACK,
    ACTIONS(22194), 1,
      anon_sym_LBRACE,
    STATE(15978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720144] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22196), 1,
      anon_sym_LPAREN,
    ACTIONS(22198), 1,
      anon_sym_LBRACK,
    ACTIONS(22200), 1,
      anon_sym_LBRACE,
    STATE(15979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15326), 1,
      sym_attribute_id,
    STATE(15980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14342), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15981), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22202), 1,
      anon_sym_EQ,
    STATE(15982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720222] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22204), 1,
      anon_sym_LPAREN,
    ACTIONS(22206), 1,
      anon_sym_LBRACK,
    ACTIONS(22208), 1,
      anon_sym_LBRACE,
    STATE(15983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19934), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22210), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(15984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720262] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22212), 1,
      anon_sym_LPAREN,
    ACTIONS(22214), 1,
      anon_sym_LBRACK,
    ACTIONS(22216), 1,
      anon_sym_LBRACE,
    STATE(15985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15342), 1,
      sym_attribute_id,
    STATE(15986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22218), 1,
      anon_sym_RPAREN,
    STATE(15987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720320] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22220), 1,
      aux_sym_quoted_extension_token1,
    STATE(15988), 1,
      sym_attribute,
    STATE(17496), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19938), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720360] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(22222), 1,
      sym__identifier,
    STATE(15990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22224), 1,
      anon_sym_LPAREN,
    ACTIONS(22226), 1,
      anon_sym_LBRACK,
    ACTIONS(22228), 1,
      anon_sym_LBRACE,
    STATE(15991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22230), 1,
      anon_sym_LPAREN,
    ACTIONS(22232), 1,
      anon_sym_LBRACK,
    ACTIONS(22234), 1,
      anon_sym_LBRACE,
    STATE(15992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15362), 1,
      sym_attribute_id,
    STATE(15993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720438] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(22236), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720458] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22238), 1,
      anon_sym_RPAREN,
    STATE(15995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19944), 1,
      anon_sym_RBRACK,
    STATE(15651), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720498] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22240), 1,
      anon_sym_RPAREN,
    STATE(15997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720518] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18500), 1,
      anon_sym_RBRACE,
    ACTIONS(22242), 1,
      anon_sym_SEMI,
    STATE(15998), 1,
      sym_attribute,
    STATE(16019), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720538] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18243), 1,
      anon_sym_RBRACE,
    ACTIONS(22244), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(15999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720558] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(22246), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22248), 1,
      anon_sym_LPAREN,
    ACTIONS(22250), 1,
      anon_sym_LBRACK,
    ACTIONS(22252), 1,
      anon_sym_LBRACE,
    STATE(16001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22254), 1,
      anon_sym_LPAREN,
    ACTIONS(22256), 1,
      anon_sym_LBRACK,
    ACTIONS(22258), 1,
      anon_sym_LBRACE,
    STATE(16002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15373), 1,
      sym_attribute_id,
    STATE(16003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720636] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19944), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720656] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22260), 1,
      anon_sym_SEMI,
    ACTIONS(22262), 1,
      anon_sym_RBRACE,
    STATE(14876), 1,
      aux_sym_record_expression_repeat1,
    STATE(16005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19308), 1,
      anon_sym_RBRACK,
    STATE(16006), 1,
      sym_attribute,
    STATE(16117), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720696] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19308), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720716] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22264), 1,
      anon_sym_LPAREN,
    ACTIONS(22266), 1,
      anon_sym_LBRACK,
    ACTIONS(22268), 1,
      anon_sym_LBRACE,
    STATE(16008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720736] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22270), 1,
      anon_sym_LPAREN,
    ACTIONS(22272), 1,
      anon_sym_LBRACK,
    ACTIONS(22274), 1,
      anon_sym_LBRACE,
    STATE(16009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15388), 1,
      sym_attribute_id,
    STATE(16010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720774] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(22276), 1,
      sym__identifier,
    STATE(16011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720794] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14592), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16012), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720814] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22278), 1,
      anon_sym_EQ,
    STATE(16013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720834] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22280), 1,
      anon_sym_RPAREN,
    STATE(16014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22282), 1,
      anon_sym_LPAREN,
    ACTIONS(22284), 1,
      anon_sym_LBRACK,
    ACTIONS(22286), 1,
      anon_sym_LBRACE,
    STATE(16015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720874] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22288), 1,
      aux_sym_quoted_extension_token1,
    STATE(16016), 1,
      sym_attribute,
    STATE(19801), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22290), 1,
      anon_sym_LPAREN,
    ACTIONS(22292), 1,
      anon_sym_LBRACK,
    ACTIONS(22294), 1,
      anon_sym_LBRACE,
    STATE(16017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15405), 1,
      sym_attribute_id,
    STATE(16018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [720932] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18502), 1,
      anon_sym_RBRACE,
    ACTIONS(22296), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(16019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720952] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(22298), 1,
      anon_sym_type,
    STATE(14840), 1,
      sym_module_path,
    STATE(16020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22300), 1,
      anon_sym_LPAREN,
    ACTIONS(22302), 1,
      anon_sym_LBRACK,
    ACTIONS(22304), 1,
      anon_sym_LBRACE,
    STATE(16021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720992] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22306), 1,
      anon_sym_LPAREN,
    ACTIONS(22308), 1,
      anon_sym_LBRACK,
    ACTIONS(22310), 1,
      anon_sym_LBRACE,
    STATE(16022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15419), 1,
      sym_attribute_id,
    STATE(16023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22312), 1,
      anon_sym_RPAREN,
    STATE(16024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18372), 1,
      anon_sym_RBRACE,
    ACTIONS(22314), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(16025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11446), 1,
      anon_sym_GT,
    ACTIONS(22316), 1,
      anon_sym_SEMI,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    STATE(16026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721090] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22318), 1,
      anon_sym_LPAREN,
    ACTIONS(22320), 1,
      anon_sym_LBRACK,
    ACTIONS(22322), 1,
      anon_sym_LBRACE,
    STATE(16027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721110] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22324), 1,
      anon_sym_LPAREN,
    ACTIONS(22326), 1,
      anon_sym_LBRACK,
    ACTIONS(22328), 1,
      anon_sym_LBRACE,
    STATE(16028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15433), 1,
      sym_attribute_id,
    STATE(16029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721148] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3349), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22330), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(16030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14623), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16031), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3647), 1,
      anon_sym_RBRACK,
    ACTIONS(22332), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(16032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721208] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22334), 1,
      anon_sym_SEMI,
    ACTIONS(22336), 1,
      anon_sym_RBRACE,
    STATE(14931), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11302), 1,
      anon_sym_GT,
    ACTIONS(22338), 1,
      anon_sym_SEMI,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    STATE(16034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22340), 1,
      anon_sym_LPAREN,
    ACTIONS(22342), 1,
      anon_sym_LBRACK,
    ACTIONS(22344), 1,
      anon_sym_LBRACE,
    STATE(16035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721268] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22346), 1,
      anon_sym_LPAREN,
    ACTIONS(22348), 1,
      anon_sym_LBRACK,
    ACTIONS(22350), 1,
      anon_sym_LBRACE,
    STATE(16036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15444), 1,
      sym_attribute_id,
    STATE(16037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11920), 1,
      sym_module_binding,
    STATE(16038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17514), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [721324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14650), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16039), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721344] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22352), 1,
      anon_sym_SEMI,
    ACTIONS(22354), 1,
      anon_sym_RBRACE,
    STATE(16040), 1,
      sym_attribute,
    STATE(16201), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721364] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22356), 1,
      anon_sym_LPAREN,
    ACTIONS(22358), 1,
      anon_sym_LBRACK,
    ACTIONS(22360), 1,
      anon_sym_LBRACE,
    STATE(16041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721384] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22362), 1,
      anon_sym_LPAREN,
    ACTIONS(22364), 1,
      anon_sym_LBRACK,
    ACTIONS(22366), 1,
      anon_sym_LBRACE,
    STATE(16042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15460), 1,
      sym_attribute_id,
    STATE(16043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721422] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(11346), 1,
      anon_sym_DOT,
    ACTIONS(22368), 1,
      anon_sym_RPAREN,
    STATE(16044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22370), 1,
      sym__identifier,
    ACTIONS(22372), 1,
      anon_sym_LPAREN,
    STATE(7925), 1,
      sym__simple_value_pattern,
    STATE(16045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14661), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16046), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14766), 1,
      anon_sym_in,
    ACTIONS(20421), 1,
      anon_sym_and,
    STATE(15130), 1,
      aux_sym_module_definition_repeat1,
    STATE(16047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22374), 1,
      anon_sym_LPAREN,
    ACTIONS(22376), 1,
      anon_sym_LBRACK,
    ACTIONS(22378), 1,
      anon_sym_LBRACE,
    STATE(16048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22380), 1,
      anon_sym_EQ,
    STATE(16049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15469), 1,
      sym_attribute_id,
    STATE(16050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(22382), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(16051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22384), 1,
      anon_sym_SEMI,
    ACTIONS(22386), 1,
      anon_sym_GT_RBRACE,
    STATE(16052), 1,
      sym_attribute,
    STATE(16113), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22388), 1,
      anon_sym_LPAREN,
    ACTIONS(22390), 1,
      anon_sym_LBRACK,
    ACTIONS(22392), 1,
      anon_sym_LBRACE,
    STATE(16053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15477), 1,
      sym_attribute_id,
    STATE(16054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22394), 1,
      anon_sym_LPAREN,
    ACTIONS(22396), 1,
      anon_sym_LBRACK,
    ACTIONS(22398), 1,
      anon_sym_LBRACE,
    STATE(16055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15481), 1,
      sym_attribute_id,
    STATE(16056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22400), 1,
      anon_sym_LPAREN,
    ACTIONS(22402), 1,
      anon_sym_LBRACK,
    ACTIONS(22404), 1,
      anon_sym_LBRACE,
    STATE(16057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15485), 1,
      sym_attribute_id,
    STATE(16058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22406), 1,
      anon_sym_LPAREN,
    ACTIONS(22408), 1,
      anon_sym_LBRACK,
    ACTIONS(22410), 1,
      anon_sym_LBRACE,
    STATE(16059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15488), 1,
      sym_attribute_id,
    STATE(16060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721752] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22412), 1,
      anon_sym_LPAREN,
    ACTIONS(22414), 1,
      anon_sym_LBRACK,
    ACTIONS(22416), 1,
      anon_sym_LBRACE,
    STATE(16061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721772] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15491), 1,
      sym_attribute_id,
    STATE(16062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721790] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22418), 1,
      anon_sym_LPAREN,
    ACTIONS(22420), 1,
      anon_sym_LBRACK,
    ACTIONS(22422), 1,
      anon_sym_LBRACE,
    STATE(16063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15494), 1,
      sym_attribute_id,
    STATE(16064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22424), 1,
      anon_sym_LPAREN,
    ACTIONS(22426), 1,
      anon_sym_LBRACK,
    ACTIONS(22428), 1,
      anon_sym_LBRACE,
    STATE(16065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15497), 1,
      sym_attribute_id,
    STATE(16066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721866] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22430), 1,
      anon_sym_LPAREN,
    ACTIONS(22432), 1,
      anon_sym_LBRACK,
    ACTIONS(22434), 1,
      anon_sym_LBRACE,
    STATE(16067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15500), 1,
      sym_attribute_id,
    STATE(16068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721904] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22436), 1,
      anon_sym_LPAREN,
    ACTIONS(22438), 1,
      anon_sym_LBRACK,
    ACTIONS(22440), 1,
      anon_sym_LBRACE,
    STATE(16069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721924] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15503), 1,
      sym_attribute_id,
    STATE(16070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721942] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22442), 1,
      anon_sym_LPAREN,
    ACTIONS(22444), 1,
      anon_sym_LBRACK,
    ACTIONS(22446), 1,
      anon_sym_LBRACE,
    STATE(16071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15506), 1,
      sym_attribute_id,
    STATE(16072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [721980] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22448), 1,
      anon_sym_LPAREN,
    ACTIONS(22450), 1,
      anon_sym_LBRACK,
    ACTIONS(22452), 1,
      anon_sym_LBRACE,
    STATE(16073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722000] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15509), 1,
      sym_attribute_id,
    STATE(16074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22454), 1,
      anon_sym_LPAREN,
    ACTIONS(22456), 1,
      anon_sym_LBRACK,
    ACTIONS(22458), 1,
      anon_sym_LBRACE,
    STATE(16075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15512), 1,
      sym_attribute_id,
    STATE(16076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22460), 1,
      anon_sym_LPAREN,
    ACTIONS(22462), 1,
      anon_sym_LBRACK,
    ACTIONS(22464), 1,
      anon_sym_LBRACE,
    STATE(16077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15515), 1,
      sym_attribute_id,
    STATE(16078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722094] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15517), 1,
      sym_attribute_id,
    STATE(16079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15519), 1,
      sym_attribute_id,
    STATE(16080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15521), 1,
      sym_attribute_id,
    STATE(16081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15523), 1,
      sym_attribute_id,
    STATE(16082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15525), 1,
      sym_attribute_id,
    STATE(16083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15527), 1,
      sym_attribute_id,
    STATE(16084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15529), 1,
      sym_attribute_id,
    STATE(16085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15531), 1,
      sym_attribute_id,
    STATE(16086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15533), 1,
      sym_attribute_id,
    STATE(16087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15535), 1,
      sym_attribute_id,
    STATE(16088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15537), 1,
      sym_attribute_id,
    STATE(16089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15539), 1,
      sym_attribute_id,
    STATE(16090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15541), 1,
      sym_attribute_id,
    STATE(16091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15543), 1,
      sym_attribute_id,
    STATE(16092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15545), 1,
      sym_attribute_id,
    STATE(16093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15547), 1,
      sym_attribute_id,
    STATE(16094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722382] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15549), 1,
      sym_attribute_id,
    STATE(16095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722400] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15551), 1,
      sym_attribute_id,
    STATE(16096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15553), 1,
      sym_attribute_id,
    STATE(16097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15555), 1,
      sym_attribute_id,
    STATE(16098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722454] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15557), 1,
      sym_attribute_id,
    STATE(16099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15559), 1,
      sym_attribute_id,
    STATE(16100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722490] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15577), 1,
      sym_attribute_id,
    STATE(16101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20258), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [722508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(22382), 1,
      anon_sym_RBRACK,
    STATE(16102), 1,
      sym_attribute,
    STATE(16162), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14604), 1,
      aux_sym_module_binding_repeat1,
    STATE(16103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8566), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22466), 1,
      anon_sym_SEMI,
    STATE(15035), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(22468), 1,
      anon_sym_RPAREN,
    STATE(16105), 1,
      sym_attribute,
    STATE(20062), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22470), 1,
      anon_sym_SEMI,
    ACTIONS(22472), 1,
      anon_sym_RBRACE,
    STATE(15627), 1,
      aux_sym_record_declaration_repeat1,
    STATE(16106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22474), 1,
      anon_sym_SEMI,
    ACTIONS(22476), 1,
      anon_sym_RBRACE,
    STATE(16107), 1,
      sym_attribute,
    STATE(16148), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(22478), 1,
      sym__identifier,
    STATE(16108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19053), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22480), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9885), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(16110), 1,
      sym_attribute,
    STATE(16129), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22482), 1,
      anon_sym_RPAREN,
    STATE(16111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22484), 1,
      anon_sym_SEMI,
    ACTIONS(22486), 1,
      anon_sym_GT_RBRACE,
    STATE(16112), 1,
      sym_attribute,
    STATE(16165), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19282), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22488), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10023), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(16114), 1,
      sym_attribute,
    STATE(16200), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17434), 1,
      anon_sym_SEMI,
    ACTIONS(17436), 1,
      anon_sym_GT,
    STATE(16115), 1,
      sym_attribute,
    STATE(16134), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722788] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22490), 1,
      anon_sym_RPAREN,
    STATE(16116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19324), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(22492), 1,
      anon_sym_RPAREN,
    STATE(16118), 1,
      sym_attribute,
    STATE(18194), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22494), 1,
      anon_sym_RPAREN,
    STATE(16119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19988), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20018), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17426), 1,
      anon_sym_SEMI,
    ACTIONS(17428), 1,
      anon_sym_GT,
    STATE(15604), 1,
      aux_sym_object_type_repeat1,
    STATE(16122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14242), 1,
      aux_sym_module_binding_repeat1,
    STATE(16123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19988), 1,
      anon_sym_RBRACK,
    STATE(14823), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722968] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19324), 1,
      anon_sym_RBRACK,
    STATE(16125), 1,
      sym_attribute,
    STATE(16173), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22496), 1,
      anon_sym_RPAREN,
    STATE(16126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(22498), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19992), 1,
      anon_sym_RBRACK,
    STATE(16128), 1,
      sym_attribute,
    STATE(16153), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19992), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723068] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22500), 1,
      anon_sym_RPAREN,
    STATE(16130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20018), 1,
      anon_sym_RBRACK,
    STATE(16131), 1,
      sym_attribute,
    STATE(16203), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10338), 1,
      sym__type_equation,
    STATE(16132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22502), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [723126] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22504), 1,
      anon_sym_RPAREN,
    STATE(16133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11530), 1,
      anon_sym_GT,
    ACTIONS(22506), 1,
      anon_sym_SEMI,
    STATE(15664), 1,
      aux_sym_object_type_repeat1,
    STATE(16134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22508), 1,
      anon_sym_EQ,
    STATE(16135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14764), 1,
      aux_sym_module_binding_repeat1,
    STATE(16136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723206] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3727), 1,
      anon_sym_RBRACK,
    ACTIONS(22510), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(16137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22512), 1,
      anon_sym_SEMI,
    ACTIONS(22514), 1,
      anon_sym_GT_RBRACE,
    STATE(15973), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22516), 1,
      anon_sym_SEMI,
    ACTIONS(22518), 1,
      anon_sym_RBRACE,
    STATE(16139), 1,
      sym_attribute,
    STATE(16170), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    STATE(9737), 1,
      sym_module_parameter,
    STATE(14769), 1,
      aux_sym_module_binding_repeat1,
    STATE(16140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22520), 1,
      anon_sym_RPAREN,
    STATE(16141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(16142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [723324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22522), 1,
      anon_sym_SEMI,
    ACTIONS(22524), 1,
      anon_sym_RBRACE,
    STATE(15100), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723344] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(22526), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(16144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723364] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22528), 1,
      anon_sym_SEMI,
    ACTIONS(22530), 1,
      anon_sym_RBRACE,
    STATE(15699), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723384] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22532), 1,
      anon_sym_SEMI,
    ACTIONS(22534), 1,
      anon_sym_GT_RBRACE,
    STATE(16146), 1,
      sym_attribute,
    STATE(16186), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723404] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14483), 1,
      anon_sym_in,
    ACTIONS(20421), 1,
      anon_sym_and,
    STATE(14874), 1,
      aux_sym_module_definition_repeat1,
    STATE(16147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18161), 1,
      anon_sym_RBRACE,
    ACTIONS(22536), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(16148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(16149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [723462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(22538), 1,
      anon_sym_type,
    STATE(14941), 1,
      sym_module_path,
    STATE(16150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14461), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16151), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22540), 1,
      anon_sym_RPAREN,
    STATE(16152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723522] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20004), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20004), 1,
      anon_sym_RBRACK,
    STATE(16154), 1,
      sym_attribute,
    STATE(16189), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13021), 1,
      sym__type_equation,
    STATE(16155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20804), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [723580] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22542), 1,
      aux_sym_quoted_extension_token1,
    STATE(16156), 1,
      sym_attribute,
    STATE(19139), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_RBRACK,
    ACTIONS(22544), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(16157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14166), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16158), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22546), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(16159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(22548), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(16160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22550), 1,
      anon_sym_RPAREN,
    STATE(16161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(22552), 1,
      anon_sym_RBRACK,
    STATE(14547), 1,
      aux_sym__type_params_repeat1,
    STATE(16162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14172), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16163), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723740] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18444), 1,
      anon_sym_RBRACE,
    ACTIONS(22554), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(16164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723760] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19328), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22556), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723780] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(22558), 1,
      anon_sym_RBRACK,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723800] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20016), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22560), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723820] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3723), 1,
      anon_sym_RBRACK,
    ACTIONS(22562), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(16168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723840] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18476), 1,
      anon_sym_RBRACE,
    ACTIONS(22564), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(16169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723860] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18520), 1,
      anon_sym_RBRACE,
    ACTIONS(22566), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(16170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723880] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9849), 1,
      anon_sym_RBRACK,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    STATE(14862), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723900] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18734), 1,
      anon_sym_DASH_GT,
    ACTIONS(18736), 1,
      anon_sym_with,
    ACTIONS(22568), 1,
      anon_sym_RPAREN,
    STATE(16172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723920] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19338), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723940] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10339), 1,
      sym__type_equation,
    STATE(16174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22502), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [723958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22570), 1,
      anon_sym_SEMI,
    ACTIONS(22572), 1,
      anon_sym_RBRACE,
    STATE(15274), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7870), 1,
      aux_sym_tag_token1,
    STATE(14176), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16176), 1,
      sym_attribute,
    STATE(16866), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3725), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22574), 1,
      anon_sym_SEMI,
    STATE(15606), 1,
      aux_sym_list_expression_repeat1,
    STATE(16177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724018] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11502), 1,
      sym_module_binding,
    STATE(16178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18062), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18352), 1,
      anon_sym_COMMA,
    ACTIONS(22576), 1,
      anon_sym_RPAREN,
    STATE(14540), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12595), 1,
      sym_module_binding,
    STATE(16180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18062), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724074] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22578), 1,
      anon_sym_SEMI,
    ACTIONS(22580), 1,
      anon_sym_RBRACE,
    STATE(14841), 1,
      aux_sym_record_expression_repeat1,
    STATE(16181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(22582), 1,
      anon_sym_RPAREN,
    STATE(16182), 1,
      sym_attribute,
    STATE(19040), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(22584), 1,
      anon_sym_type,
    STATE(14941), 1,
      sym_module_path,
    STATE(16183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724134] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22586), 1,
      anon_sym_EQ,
    STATE(16184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724154] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22588), 1,
      anon_sym_EQ,
    STATE(16185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20030), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22590), 1,
      anon_sym_SEMI,
    STATE(14836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11502), 1,
      sym_module_binding,
    STATE(16187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17666), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12600), 1,
      sym_module_binding,
    STATE(16188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17666), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20034), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724250] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(22592), 1,
      sym__identifier,
    STATE(16190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22594), 1,
      anon_sym_EQ,
    STATE(16191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22596), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [724288] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(22598), 1,
      anon_sym_type,
    STATE(14941), 1,
      sym_module_path,
    STATE(16192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724308] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3797), 1,
      anon_sym_RBRACK,
    ACTIONS(22600), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(16193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22602), 1,
      anon_sym_RPAREN,
    STATE(16194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724348] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22604), 1,
      anon_sym_RPAREN,
    STATE(16195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11502), 1,
      sym_module_binding,
    STATE(16196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18044), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724386] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20038), 1,
      anon_sym_RBRACK,
    STATE(14933), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12016), 1,
      sym_module_binding,
    STATE(16198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18044), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18532), 1,
      anon_sym_RBRACE,
    ACTIONS(22606), 1,
      anon_sym_SEMI,
    STATE(15691), 1,
      aux_sym_record_expression_repeat1,
    STATE(16199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724444] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(20038), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724464] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18530), 1,
      anon_sym_RBRACE,
    ACTIONS(22608), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(16201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724484] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    ACTIONS(22610), 1,
      anon_sym_RBRACK,
    STATE(15612), 1,
      aux_sym__type_params_repeat1,
    STATE(16202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724504] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18968), 1,
      anon_sym_PIPE,
    ACTIONS(19077), 1,
      anon_sym_RBRACK,
    STATE(14561), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724524] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22612), 1,
      anon_sym_SEMI,
    ACTIONS(22614), 1,
      anon_sym_RBRACE,
    STATE(14830), 1,
      aux_sym_record_expression_repeat1,
    STATE(16204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724544] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      sym__capitalized_identifier,
    ACTIONS(22616), 1,
      anon_sym_type,
    STATE(14941), 1,
      sym_module_path,
    STATE(16205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724564] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18169), 1,
      anon_sym_RBRACE,
    ACTIONS(22618), 1,
      anon_sym_SEMI,
    STATE(14816), 1,
      aux_sym_record_expression_repeat1,
    STATE(16206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12607), 1,
      sym_module_binding,
    STATE(16207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18062), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22620), 1,
      anon_sym_SEMI,
    ACTIONS(22622), 1,
      anon_sym_GT_RBRACE,
    STATE(14954), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724622] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(22624), 1,
      anon_sym_EQ,
    STATE(16209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724642] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17307), 1,
      anon_sym_SEMI,
    ACTIONS(17309), 1,
      anon_sym_GT,
    STATE(14869), 1,
      aux_sym_object_type_repeat1,
    STATE(16210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724662] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(22626), 1,
      sym__identifier,
    STATE(16211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12399), 1,
      sym_module_binding,
    STATE(16212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17666), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18340), 1,
      anon_sym_RBRACE,
    ACTIONS(22628), 1,
      anon_sym_SEMI,
    STATE(15411), 1,
      aux_sym_record_expression_repeat1,
    STATE(16213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(16214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20064), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [724738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11684), 1,
      sym_module_binding,
    STATE(16215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18044), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [724756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    ACTIONS(22630), 1,
      anon_sym_RPAREN,
    STATE(16216), 1,
      sym_attribute,
    STATE(19130), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(20141), 1,
      sym_indexing_operator,
    ACTIONS(22632), 1,
      sym__identifier,
    STATE(16217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3329), 1,
      anon_sym_RBRACK,
    ACTIONS(22634), 1,
      anon_sym_SEMI,
    STATE(15069), 1,
      aux_sym_list_expression_repeat1,
    STATE(16218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22636), 1,
      anon_sym_RPAREN,
    ACTIONS(22638), 1,
      anon_sym_LT_DASH,
    STATE(16219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22640), 1,
      anon_sym_then,
    STATE(11627), 1,
      sym_then_clause,
    STATE(16220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22642), 1,
      sym__identifier,
    ACTIONS(22644), 1,
      sym__capitalized_identifier,
    STATE(16221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22646), 1,
      sym__identifier,
    STATE(16222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724884] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22648), 1,
      anon_sym_then,
    STATE(11802), 1,
      sym_then_clause,
    STATE(16223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22650), 1,
      anon_sym_DOT,
    STATE(16224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724918] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(22652), 1,
      sym__identifier,
    STATE(16225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22654), 1,
      anon_sym_DOT,
    STATE(16226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724952] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22656), 1,
      anon_sym_DOT,
    STATE(16227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(22658), 1,
      sym__identifier,
    STATE(16228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22660), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16230), 1,
      sym_attribute,
    STATE(17952), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22662), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22664), 1,
      anon_sym_then,
    STATE(11715), 1,
      sym_then_clause,
    STATE(16232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17355), 1,
      sym__identifier,
    STATE(16233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22666), 1,
      sym__identifier,
    ACTIONS(22668), 1,
      anon_sym_LBRACK,
    STATE(16234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22670), 1,
      anon_sym_then,
    STATE(8361), 1,
      sym_then_clause,
    STATE(16235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16236), 1,
      sym_attribute,
    STATE(17486), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725118] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22672), 1,
      anon_sym_RPAREN,
    ACTIONS(22674), 1,
      anon_sym_LT_DASH,
    STATE(16237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8586), 1,
      anon_sym_COLON_GT,
    ACTIONS(8588), 1,
      anon_sym_EQ,
    STATE(16238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725152] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22676), 1,
      anon_sym_DOT,
    STATE(16239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22678), 1,
      anon_sym_then,
    STATE(10167), 1,
      sym_then_clause,
    STATE(16240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22680), 1,
      sym__identifier,
    ACTIONS(22682), 1,
      anon_sym_LBRACK,
    STATE(16241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22684), 1,
      sym__identifier,
    ACTIONS(22686), 1,
      anon_sym_LPAREN,
    STATE(16242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    STATE(14572), 1,
      sym__simple_value_pattern,
    STATE(16243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22688), 1,
      sym__identifier,
    ACTIONS(22690), 1,
      anon_sym_LPAREN,
    STATE(16244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22692), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [725269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20392), 1,
      anon_sym_EQ,
    ACTIONS(22694), 1,
      anon_sym_COLON_GT,
    STATE(16246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725286] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22696), 1,
      anon_sym_RPAREN,
    ACTIONS(22698), 1,
      anon_sym_SEMI,
    STATE(16247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22696), 1,
      anon_sym_RBRACK,
    ACTIONS(22700), 1,
      anon_sym_SEMI,
    STATE(16248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22696), 1,
      anon_sym_RBRACE,
    ACTIONS(22702), 1,
      anon_sym_SEMI,
    STATE(16249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22704), 1,
      anon_sym_RPAREN,
    ACTIONS(22706), 1,
      anon_sym_LT_DASH,
    STATE(16250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22708), 1,
      anon_sym_RPAREN,
    ACTIONS(22710), 1,
      anon_sym_LT_DASH,
    STATE(16251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22712), 1,
      anon_sym_COLON_GT,
    ACTIONS(22714), 1,
      anon_sym_RPAREN,
    STATE(16252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22716), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [725403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22718), 1,
      anon_sym_DOT,
    STATE(16254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22720), 1,
      anon_sym_then,
    STATE(12314), 1,
      sym_then_clause,
    STATE(16255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22722), 1,
      anon_sym_then,
    STATE(12046), 1,
      sym_then_clause,
    STATE(16256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725454] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16257), 1,
      sym_attribute,
    STATE(18976), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22724), 1,
      anon_sym_do,
    STATE(10232), 1,
      sym_do_clause,
    STATE(16258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(22726), 1,
      anon_sym_DASH_GT,
    STATE(16259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22728), 1,
      anon_sym_COLON_GT,
    ACTIONS(22730), 1,
      anon_sym_RPAREN,
    STATE(16260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22732), 1,
      anon_sym_COLON_GT,
    ACTIONS(22734), 1,
      anon_sym_RPAREN,
    STATE(16261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11626), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [725554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8594), 1,
      anon_sym_COLON_GT,
    ACTIONS(8596), 1,
      anon_sym_EQ,
    STATE(16263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22670), 1,
      anon_sym_then,
    STATE(8310), 1,
      sym_then_clause,
    STATE(16264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22736), 1,
      sym__identifier,
    ACTIONS(22738), 1,
      anon_sym_LPAREN,
    STATE(16265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22740), 1,
      anon_sym_then,
    STATE(8118), 1,
      sym_then_clause,
    STATE(16266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22742), 1,
      sym__identifier,
    STATE(16267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_do,
    STATE(7826), 1,
      sym_do_clause,
    STATE(16268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22746), 1,
      sym__identifier,
    STATE(16269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725673] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22748), 1,
      sym__identifier,
    ACTIONS(22750), 1,
      anon_sym_LPAREN,
    STATE(16270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17248), 1,
      sym__identifier,
    STATE(16271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22752), 1,
      anon_sym_RPAREN,
    ACTIONS(22754), 1,
      anon_sym_LT_DASH,
    STATE(16272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22756), 1,
      anon_sym_COLON_GT,
    ACTIONS(22758), 1,
      anon_sym_RPAREN,
    STATE(16273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22760), 1,
      sym__identifier,
    ACTIONS(22762), 1,
      anon_sym_LPAREN,
    STATE(16274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22720), 1,
      anon_sym_then,
    STATE(12342), 1,
      sym_then_clause,
    STATE(16275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22764), 1,
      anon_sym_RPAREN,
    ACTIONS(22766), 1,
      anon_sym_LT_DASH,
    STATE(16276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_then,
    STATE(10976), 1,
      sym_then_clause,
    STATE(16277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22770), 1,
      anon_sym_RPAREN,
    ACTIONS(22772), 1,
      anon_sym_LT_DASH,
    STATE(16278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22774), 1,
      sym__identifier,
    STATE(16279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22776), 1,
      anon_sym_COLON_GT,
    ACTIONS(22778), 1,
      anon_sym_RPAREN,
    STATE(16280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_then,
    STATE(11722), 1,
      sym_then_clause,
    STATE(16281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22782), 1,
      anon_sym_DOT,
    STATE(16282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22784), 1,
      sym__identifier,
    STATE(16283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(22786), 1,
      anon_sym_DASH_GT,
    STATE(16284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22788), 1,
      anon_sym_DOT,
    STATE(16285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22790), 1,
      anon_sym_DOT,
    STATE(16286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16287), 1,
      sym_attribute,
    STATE(20049), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22792), 1,
      anon_sym_RPAREN,
    ACTIONS(22794), 1,
      anon_sym_LT_DASH,
    STATE(16288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      anon_sym_then,
    STATE(8143), 1,
      sym_then_clause,
    STATE(16289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16290), 1,
      sym_attribute,
    STATE(18704), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22798), 1,
      anon_sym_RPAREN,
    ACTIONS(22800), 1,
      anon_sym_LT_DASH,
    STATE(16291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8590), 1,
      anon_sym_COLON_GT,
    ACTIONS(8592), 1,
      anon_sym_EQ,
    STATE(16292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726064] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_then,
    STATE(11938), 1,
      sym_then_clause,
    STATE(16293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    STATE(14217), 1,
      sym__simple_value_pattern,
    STATE(16294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726098] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12427), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [726113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22724), 1,
      anon_sym_do,
    STATE(10300), 1,
      sym_do_clause,
    STATE(16296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22804), 1,
      anon_sym_EQ,
    ACTIONS(22806), 1,
      anon_sym_RPAREN,
    STATE(16297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22808), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [726162] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21016), 1,
      anon_sym_EQ,
    ACTIONS(22810), 1,
      anon_sym_COLON_GT,
    STATE(16299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22812), 1,
      anon_sym_RPAREN,
    ACTIONS(22814), 1,
      anon_sym_SEMI,
    STATE(16300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726196] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22812), 1,
      anon_sym_RBRACK,
    ACTIONS(22816), 1,
      anon_sym_SEMI,
    STATE(16301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726213] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22812), 1,
      anon_sym_RBRACE,
    ACTIONS(22818), 1,
      anon_sym_SEMI,
    STATE(16302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726230] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22820), 1,
      anon_sym_RPAREN,
    ACTIONS(22822), 1,
      anon_sym_LT_DASH,
    STATE(16303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726247] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22824), 1,
      anon_sym_DOT,
    STATE(16304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726264] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16305), 1,
      sym_attribute,
    STATE(19282), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726281] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22826), 1,
      sym__identifier,
    STATE(16306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22828), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22830), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22832), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9989), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726360] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(22834), 1,
      anon_sym_DASH_GT,
    STATE(16311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22836), 1,
      anon_sym_RPAREN,
    ACTIONS(22838), 1,
      anon_sym_LT_DASH,
    STATE(16312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726394] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22840), 1,
      anon_sym_then,
    STATE(11845), 1,
      sym_then_clause,
    STATE(16313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(22842), 1,
      sym__identifier,
    STATE(16314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(22844), 1,
      sym__identifier,
    STATE(16315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22846), 1,
      anon_sym_EQ,
    ACTIONS(22848), 1,
      anon_sym_RPAREN,
    STATE(16316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22850), 1,
      sym__identifier,
    ACTIONS(22852), 1,
      anon_sym_LPAREN,
    STATE(16317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22854), 1,
      anon_sym_then,
    STATE(10026), 1,
      sym_then_clause,
    STATE(16318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22856), 1,
      anon_sym_COLON_GT,
    ACTIONS(22858), 1,
      anon_sym_RPAREN,
    STATE(16319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22860), 1,
      anon_sym_then,
    STATE(11800), 1,
      sym_then_clause,
    STATE(16320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_do,
    STATE(7837), 1,
      sym_do_clause,
    STATE(16321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22862), 1,
      anon_sym_DOT,
    STATE(16322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22864), 1,
      sym__identifier,
    ACTIONS(22866), 1,
      anon_sym_LPAREN,
    STATE(16323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22868), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [726596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22870), 1,
      anon_sym_DOT,
    STATE(16325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22872), 1,
      anon_sym_DOT,
    STATE(16326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726630] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22874), 1,
      sym__identifier,
    ACTIONS(22876), 1,
      anon_sym_LPAREN,
    STATE(16327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22854), 1,
      anon_sym_then,
    STATE(10043), 1,
      sym_then_clause,
    STATE(16328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16329), 1,
      sym_attribute,
    STATE(17379), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22878), 1,
      sym__identifier,
    STATE(16330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22880), 1,
      anon_sym_COLON_GT,
    ACTIONS(22882), 1,
      anon_sym_RPAREN,
    STATE(16331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22740), 1,
      anon_sym_then,
    STATE(8011), 1,
      sym_then_clause,
    STATE(16332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726732] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22884), 1,
      anon_sym_DOT,
    STATE(16333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726749] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16334), 1,
      sym_attribute,
    STATE(18987), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726766] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17232), 1,
      sym__identifier,
    STATE(16335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    STATE(14719), 1,
      sym__simple_value_pattern,
    STATE(16336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22886), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [726815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22888), 1,
      anon_sym_RPAREN,
    ACTIONS(22890), 1,
      anon_sym_SEMI,
    STATE(16338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22888), 1,
      anon_sym_RBRACK,
    ACTIONS(22892), 1,
      anon_sym_SEMI,
    STATE(16339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22888), 1,
      anon_sym_RBRACE,
    ACTIONS(22894), 1,
      anon_sym_SEMI,
    STATE(16340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22896), 1,
      anon_sym_COLON_GT,
    ACTIONS(22898), 1,
      anon_sym_RPAREN,
    STATE(16341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22900), 1,
      anon_sym_RPAREN,
    ACTIONS(22902), 1,
      anon_sym_LT_DASH,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16343), 1,
      sym_attribute,
    STATE(18111), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22840), 1,
      anon_sym_then,
    STATE(11861), 1,
      sym_then_clause,
    STATE(16344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(22904), 1,
      anon_sym_DASH_GT,
    STATE(16345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22906), 1,
      anon_sym_COLON_GT,
    ACTIONS(22908), 1,
      anon_sym_RPAREN,
    STATE(16346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726968] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22910), 1,
      sym__identifier,
    STATE(16347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22912), 1,
      anon_sym_RPAREN,
    ACTIONS(22914), 1,
      anon_sym_LT_DASH,
    STATE(16348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22916), 1,
      sym__identifier,
    ACTIONS(22918), 1,
      anon_sym_LPAREN,
    STATE(16349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22920), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727034] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12392), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [727049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22922), 1,
      anon_sym_RPAREN,
    ACTIONS(22924), 1,
      anon_sym_LT_DASH,
    STATE(16352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_RBRACE,
    ACTIONS(22926), 1,
      anon_sym_SEMI,
    STATE(16353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(22928), 1,
      anon_sym_DASH_GT,
    STATE(16354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727100] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22720), 1,
      anon_sym_then,
    STATE(12246), 1,
      sym_then_clause,
    STATE(16355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22930), 1,
      anon_sym_COLON2,
    STATE(12947), 1,
      sym__typed,
    STATE(16356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22932), 1,
      anon_sym_then,
    STATE(9195), 1,
      sym_then_clause,
    STATE(16357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727151] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22934), 1,
      anon_sym_RPAREN,
    ACTIONS(22936), 1,
      anon_sym_LT_DASH,
    STATE(16358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727168] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22938), 1,
      anon_sym_DOT,
    STATE(16359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727185] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22940), 1,
      anon_sym_DOT,
    STATE(16360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(22942), 1,
      anon_sym_DOT,
    STATE(16361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17572), 1,
      anon_sym_RBRACE,
    ACTIONS(22944), 1,
      anon_sym_SEMI,
    STATE(16362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16363), 1,
      sym_attribute,
    STATE(17378), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22946), 1,
      sym__identifier,
    ACTIONS(22948), 1,
      anon_sym_LPAREN,
    STATE(16364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22950), 1,
      anon_sym_COLON2,
    STATE(12967), 1,
      sym__polymorphic_typed,
    STATE(16365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22952), 1,
      anon_sym_RPAREN,
    ACTIONS(22954), 1,
      anon_sym_LT_DASH,
    STATE(16366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22956), 1,
      anon_sym_then,
    STATE(8371), 1,
      sym_then_clause,
    STATE(16367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22958), 1,
      anon_sym_RPAREN,
    ACTIONS(22960), 1,
      anon_sym_LT_DASH,
    STATE(16368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17604), 1,
      anon_sym_RBRACE,
    ACTIONS(22962), 1,
      anon_sym_SEMI,
    STATE(16369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16370), 1,
      sym_attribute,
    STATE(20048), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22964), 1,
      sym__identifier,
    ACTIONS(22966), 1,
      anon_sym_LPAREN,
    STATE(16371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17610), 1,
      anon_sym_RBRACE,
    ACTIONS(22968), 1,
      anon_sym_SEMI,
    STATE(16372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22970), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [727421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22972), 1,
      anon_sym_RPAREN,
    ACTIONS(22974), 1,
      anon_sym_SEMI,
    STATE(16374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22972), 1,
      anon_sym_RBRACK,
    ACTIONS(22976), 1,
      anon_sym_SEMI,
    STATE(16375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22972), 1,
      anon_sym_RBRACE,
    ACTIONS(22978), 1,
      anon_sym_SEMI,
    STATE(16376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22980), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [727487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22982), 1,
      anon_sym_COLON_GT,
    ACTIONS(22984), 1,
      anon_sym_RPAREN,
    STATE(16378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727504] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22986), 1,
      anon_sym_COLON_GT,
    ACTIONS(22988), 1,
      anon_sym_RPAREN,
    STATE(16379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(22990), 1,
      sym__identifier,
    STATE(16380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16381), 1,
      sym_attribute,
    STATE(18372), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22992), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727570] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22994), 1,
      anon_sym_RPAREN,
    ACTIONS(22996), 1,
      anon_sym_LT_DASH,
    STATE(16383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    STATE(8947), 1,
      sym_extended_module_path,
    STATE(16384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727604] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22664), 1,
      anon_sym_then,
    STATE(11789), 1,
      sym_then_clause,
    STATE(16385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22998), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23000), 1,
      sym__identifier,
    STATE(16387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727653] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22956), 1,
      anon_sym_then,
    STATE(8286), 1,
      sym_then_clause,
    STATE(16388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23002), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23004), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [727700] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9725), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23006), 1,
      sym__identifier,
    STATE(16392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23008), 1,
      anon_sym_DOT,
    STATE(16393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23010), 1,
      anon_sym_DOT,
    STATE(16394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23012), 1,
      anon_sym_DOT,
    STATE(16395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23014), 1,
      anon_sym_RPAREN,
    ACTIONS(23016), 1,
      anon_sym_LT_DASH,
    STATE(16396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16397), 1,
      sym_attribute,
    STATE(17751), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(12198), 1,
      sym_then_clause,
    STATE(16398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23020), 1,
      anon_sym_EQ,
    ACTIONS(23022), 1,
      anon_sym_RPAREN,
    STATE(16399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23024), 1,
      anon_sym_SEMI,
    ACTIONS(23026), 1,
      anon_sym_RBRACE,
    STATE(16400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23028), 1,
      sym__identifier,
    STATE(16401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23030), 1,
      anon_sym_then,
    STATE(8045), 1,
      sym_then_clause,
    STATE(16402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23032), 1,
      sym__identifier,
    STATE(16403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16404), 1,
      sym_attribute,
    STATE(19287), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23034), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [727953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23036), 1,
      anon_sym_RPAREN,
    ACTIONS(23038), 1,
      anon_sym_SEMI,
    STATE(16406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23036), 1,
      anon_sym_RBRACK,
    ACTIONS(23040), 1,
      anon_sym_SEMI,
    STATE(16407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23036), 1,
      anon_sym_RBRACE,
    ACTIONS(23042), 1,
      anon_sym_SEMI,
    STATE(16408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23044), 1,
      anon_sym_SEMI,
    ACTIONS(23046), 1,
      anon_sym_RBRACE,
    STATE(16409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23048), 1,
      anon_sym_RPAREN,
    ACTIONS(23050), 1,
      anon_sym_LT_DASH,
    STATE(16410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16411), 1,
      sym_attribute,
    STATE(18296), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23052), 1,
      anon_sym_SEMI,
    ACTIONS(23054), 1,
      anon_sym_RBRACE,
    STATE(16412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_then,
    STATE(11805), 1,
      sym_then_clause,
    STATE(16413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23056), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [728104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9903), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23058), 1,
      sym__identifier,
    ACTIONS(23060), 1,
      anon_sym_LPAREN,
    STATE(16416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23062), 1,
      sym__identifier,
    STATE(16417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23064), 1,
      anon_sym_RPAREN,
    ACTIONS(23066), 1,
      anon_sym_LT_DASH,
    STATE(16418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23068), 1,
      anon_sym_SEMI,
    ACTIONS(23070), 1,
      anon_sym_RBRACE,
    STATE(16419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23072), 1,
      anon_sym_COLON_GT,
    ACTIONS(23074), 1,
      anon_sym_RPAREN,
    STATE(16420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23076), 1,
      anon_sym_DOT,
    STATE(16421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728223] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23078), 1,
      anon_sym_DOT,
    STATE(16422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728240] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23080), 1,
      anon_sym_DOT,
    STATE(16423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23082), 1,
      anon_sym_DOT,
    STATE(16424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728274] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(23084), 1,
      anon_sym_DASH_GT,
    STATE(16425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16426), 1,
      sym_attribute,
    STATE(19288), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23086), 1,
      anon_sym_RPAREN,
    ACTIONS(23088), 1,
      anon_sym_LT_DASH,
    STATE(16427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23090), 2,
      anon_sym_to,
      anon_sym_downto,
  [728340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22640), 1,
      anon_sym_then,
    STATE(11491), 1,
      sym_then_clause,
    STATE(16429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728357] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23092), 1,
      anon_sym_then,
    STATE(8162), 1,
      sym_then_clause,
    STATE(16430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23094), 1,
      sym__identifier,
    STATE(16431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728391] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22724), 1,
      anon_sym_do,
    STATE(10219), 1,
      sym_do_clause,
    STATE(16432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23096), 1,
      anon_sym_RPAREN,
    ACTIONS(23098), 1,
      anon_sym_LT_DASH,
    STATE(16433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23100), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [728440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23102), 1,
      anon_sym_RPAREN,
    ACTIONS(23104), 1,
      anon_sym_SEMI,
    STATE(16435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23102), 1,
      anon_sym_RBRACK,
    ACTIONS(23106), 1,
      anon_sym_SEMI,
    STATE(16436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23102), 1,
      anon_sym_RBRACE,
    ACTIONS(23108), 1,
      anon_sym_SEMI,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16438), 1,
      sym_attribute,
    STATE(19437), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23110), 1,
      sym__identifier,
    ACTIONS(23112), 1,
      anon_sym_LPAREN,
    STATE(16439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_RPAREN,
    ACTIONS(23116), 1,
      anon_sym_LT_DASH,
    STATE(16440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    STATE(14355), 1,
      sym__simple_value_pattern,
    STATE(16441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23118), 1,
      anon_sym_DOT,
    STATE(16442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23120), 1,
      anon_sym_RPAREN,
    ACTIONS(23122), 1,
      anon_sym_LT_DASH,
    STATE(16443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23124), 1,
      anon_sym_COLON_GT,
    ACTIONS(23126), 1,
      anon_sym_RPAREN,
    STATE(16444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23128), 1,
      anon_sym_DOT,
    STATE(16445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23130), 1,
      anon_sym_RPAREN,
    ACTIONS(23132), 1,
      anon_sym_LT_DASH,
    STATE(16446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23134), 1,
      anon_sym_DOT,
    STATE(16447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23136), 1,
      anon_sym_DOT,
    STATE(16448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(23138), 1,
      anon_sym_DASH_GT,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22648), 1,
      anon_sym_then,
    STATE(11792), 1,
      sym_then_clause,
    STATE(16450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16451), 1,
      sym_attribute,
    STATE(19702), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23140), 1,
      anon_sym_EQ,
    ACTIONS(23142), 1,
      anon_sym_RPAREN,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22724), 1,
      anon_sym_do,
    STATE(10265), 1,
      sym_do_clause,
    STATE(16453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23144), 1,
      sym__identifier,
    STATE(16454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      anon_sym_then,
    STATE(8157), 1,
      sym_then_clause,
    STATE(16455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23146), 1,
      sym__identifier,
    ACTIONS(23148), 1,
      anon_sym_LBRACK,
    STATE(16456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23150), 1,
      sym__identifier,
    STATE(16457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23152), 1,
      anon_sym_RPAREN,
    ACTIONS(23154), 1,
      anon_sym_LT_DASH,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23156), 1,
      anon_sym_then,
    STATE(12128), 1,
      sym_then_clause,
    STATE(16459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23158), 1,
      anon_sym_DOT,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23160), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [728897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23162), 1,
      anon_sym_RPAREN,
    ACTIONS(23164), 1,
      anon_sym_SEMI,
    STATE(16462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23162), 1,
      anon_sym_RBRACK,
    ACTIONS(23166), 1,
      anon_sym_SEMI,
    STATE(16463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23162), 1,
      anon_sym_RBRACE,
    ACTIONS(23168), 1,
      anon_sym_SEMI,
    STATE(16464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16465), 1,
      sym_attribute,
    STATE(20054), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728965] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17982), 1,
      anon_sym_RBRACE,
    ACTIONS(23170), 1,
      anon_sym_SEMI,
    STATE(16466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23172), 1,
      anon_sym_EQ,
    ACTIONS(23174), 1,
      anon_sym_RPAREN,
    STATE(16467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23176), 1,
      anon_sym_do,
    STATE(8058), 1,
      sym_do_clause,
    STATE(16468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23178), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20097), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [729046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COLON2,
    STATE(16471), 1,
      sym_attribute,
    STATE(17938), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23180), 1,
      anon_sym_RPAREN,
    ACTIONS(23182), 1,
      anon_sym_LT_DASH,
    STATE(16472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23184), 1,
      anon_sym_DOT,
    STATE(16473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23186), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23188), 1,
      anon_sym_DOT,
    STATE(16475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_then,
    STATE(9526), 1,
      sym_then_clause,
    STATE(16476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23192), 1,
      anon_sym_DOT,
    STATE(16477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23194), 1,
      anon_sym_RPAREN,
    ACTIONS(23196), 1,
      anon_sym_LT_DASH,
    STATE(16478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22670), 1,
      anon_sym_then,
    STATE(8354), 1,
      sym_then_clause,
    STATE(16479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16480), 1,
      sym_attribute,
    STATE(18216), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16481), 1,
      sym_attribute,
    STATE(17566), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16482), 1,
      sym_attribute,
    STATE(19964), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22740), 1,
      anon_sym_then,
    STATE(8009), 1,
      sym_then_clause,
    STATE(16483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23176), 1,
      anon_sym_do,
    STATE(7946), 1,
      sym_do_clause,
    STATE(16484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23198), 1,
      anon_sym_RPAREN,
    ACTIONS(23200), 1,
      anon_sym_LT_DASH,
    STATE(16485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23202), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [729314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23204), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17321), 1,
      sym__identifier,
    STATE(16488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23206), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23208), 1,
      anon_sym_SEMI,
    ACTIONS(23210), 1,
      anon_sym_RBRACE,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23212), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23214), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [729408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RPAREN,
    ACTIONS(23218), 1,
      anon_sym_SEMI,
    STATE(16493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RBRACK,
    ACTIONS(23220), 1,
      anon_sym_SEMI,
    STATE(16494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_RBRACE,
    ACTIONS(23222), 1,
      anon_sym_SEMI,
    STATE(16495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9855), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16497), 1,
      sym_attribute,
    STATE(18649), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23224), 1,
      anon_sym_RPAREN,
    ACTIONS(23226), 1,
      anon_sym_LT_DASH,
    STATE(16498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23228), 1,
      anon_sym_DOT,
    STATE(16499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23230), 1,
      anon_sym_DOT,
    STATE(16500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23232), 1,
      anon_sym_DOT,
    STATE(16501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23234), 1,
      anon_sym_RPAREN,
    ACTIONS(23236), 1,
      anon_sym_SEMI,
    STATE(16502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23234), 1,
      anon_sym_RBRACK,
    ACTIONS(23238), 1,
      anon_sym_SEMI,
    STATE(16503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23234), 1,
      anon_sym_RBRACE,
    ACTIONS(23240), 1,
      anon_sym_SEMI,
    STATE(16504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23242), 1,
      sym__identifier,
    STATE(16505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16506), 1,
      sym_attribute,
    STATE(17595), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17422), 1,
      sym__identifier,
    STATE(16507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23092), 1,
      anon_sym_then,
    STATE(8189), 1,
      sym_then_clause,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729680] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17550), 1,
      anon_sym_RBRACE,
    ACTIONS(23244), 1,
      anon_sym_SEMI,
    STATE(16509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23246), 1,
      anon_sym_SEMI,
    ACTIONS(23248), 1,
      anon_sym_RBRACE,
    STATE(16510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729714] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23250), 1,
      anon_sym_COLON_GT,
    ACTIONS(23252), 1,
      anon_sym_RPAREN,
    STATE(16511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23254), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [729746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23256), 1,
      anon_sym_RPAREN,
    ACTIONS(23258), 1,
      anon_sym_SEMI,
    STATE(16513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23256), 1,
      anon_sym_RBRACK,
    ACTIONS(23260), 1,
      anon_sym_SEMI,
    STATE(16514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23256), 1,
      anon_sym_RBRACE,
    ACTIONS(23262), 1,
      anon_sym_SEMI,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23264), 1,
      anon_sym_COLON_GT,
    ACTIONS(23266), 1,
      anon_sym_RPAREN,
    STATE(16516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23268), 1,
      anon_sym_RPAREN,
    STATE(16517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23270), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16519), 1,
      sym_attribute,
    STATE(17941), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(23272), 1,
      anon_sym_DASH_GT,
    STATE(16520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22722), 1,
      anon_sym_then,
    STATE(12067), 1,
      sym_then_clause,
    STATE(16521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23274), 1,
      sym__identifier,
    ACTIONS(23276), 1,
      anon_sym_LPAREN,
    STATE(16522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23278), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [729929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23280), 1,
      anon_sym_DOT,
    STATE(16524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_then,
    STATE(11919), 1,
      sym_then_clause,
    STATE(16525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23282), 1,
      anon_sym_DOT,
    STATE(16526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23284), 1,
      sym__identifier,
    ACTIONS(23286), 1,
      anon_sym_LPAREN,
    STATE(16527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729997] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23288), 1,
      anon_sym_DOT,
    STATE(16528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730014] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23290), 1,
      sym__identifier,
    STATE(16529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23292), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [730046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23294), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9993), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16533), 1,
      sym_attribute,
    STATE(18753), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23296), 1,
      anon_sym_COLON_GT,
    ACTIONS(23298), 1,
      anon_sym_RPAREN,
    STATE(16534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(23300), 1,
      anon_sym_DASH_GT,
    STATE(16535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23302), 1,
      anon_sym_COLON_GT,
    ACTIONS(23304), 1,
      anon_sym_RPAREN,
    STATE(16536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23306), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23308), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23310), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [730191] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23312), 1,
      anon_sym_RPAREN,
    ACTIONS(23314), 1,
      anon_sym_SEMI,
    STATE(16540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730208] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23312), 1,
      anon_sym_RBRACK,
    ACTIONS(23316), 1,
      anon_sym_SEMI,
    STATE(16541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23312), 1,
      anon_sym_RBRACE,
    ACTIONS(23318), 1,
      anon_sym_SEMI,
    STATE(16542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16543), 1,
      sym_attribute,
    STATE(19103), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23320), 1,
      anon_sym_RPAREN,
    ACTIONS(23322), 1,
      anon_sym_LT_DASH,
    STATE(16544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730276] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23324), 1,
      anon_sym_RPAREN,
    ACTIONS(23326), 1,
      anon_sym_LT_DASH,
    STATE(16545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_then,
    STATE(10995), 1,
      sym_then_clause,
    STATE(16546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23328), 1,
      anon_sym_DOT,
    STATE(16547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23330), 1,
      sym__identifier,
    STATE(16548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23332), 1,
      anon_sym_DOT,
    STATE(16549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_then,
    STATE(9607), 1,
      sym_then_clause,
    STATE(16550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23334), 1,
      anon_sym_DOT,
    STATE(16551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16552), 1,
      sym_attribute,
    STATE(17313), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23336), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23338), 1,
      anon_sym_RPAREN,
    ACTIONS(23340), 1,
      anon_sym_LT_DASH,
    STATE(16554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23342), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23344), 1,
      anon_sym_RPAREN,
    ACTIONS(23346), 1,
      anon_sym_SEMI,
    STATE(16556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23344), 1,
      anon_sym_RBRACK,
    ACTIONS(23348), 1,
      anon_sym_SEMI,
    STATE(16557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23344), 1,
      anon_sym_RBRACE,
    ACTIONS(23350), 1,
      anon_sym_SEMI,
    STATE(16558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23352), 1,
      sym__identifier,
    STATE(16559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17284), 1,
      sym__identifier,
    STATE(16560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16561), 1,
      sym_attribute,
    STATE(17435), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23354), 1,
      anon_sym_DOT,
    STATE(16562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23356), 1,
      anon_sym_RPAREN,
    ACTIONS(23358), 1,
      anon_sym_LT_DASH,
    STATE(16563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23360), 1,
      anon_sym_DOT,
    STATE(16564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23362), 1,
      anon_sym_DOT,
    STATE(16565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16566), 1,
      sym_attribute,
    STATE(17689), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23364), 1,
      anon_sym_EQ,
    ACTIONS(23366), 1,
      anon_sym_RPAREN,
    STATE(16567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23368), 1,
      anon_sym_RPAREN,
    ACTIONS(23370), 1,
      anon_sym_LT_DASH,
    STATE(16568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730680] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23372), 1,
      anon_sym_RPAREN,
    ACTIONS(23374), 1,
      anon_sym_SEMI,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23372), 1,
      anon_sym_RBRACK,
    ACTIONS(23376), 1,
      anon_sym_SEMI,
    STATE(16570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730714] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23372), 1,
      anon_sym_RBRACE,
    ACTIONS(23378), 1,
      anon_sym_SEMI,
    STATE(16571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16572), 1,
      sym_attribute,
    STATE(17800), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730748] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23380), 1,
      anon_sym_DOT,
    STATE(16573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23382), 1,
      anon_sym_DOT,
    STATE(16574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23384), 1,
      sym__identifier,
    ACTIONS(23386), 1,
      anon_sym_LPAREN,
    STATE(16575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23388), 1,
      anon_sym_DOT,
    STATE(16576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23390), 1,
      sym__identifier,
    STATE(16577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23392), 1,
      anon_sym_COLON_GT,
    ACTIONS(23394), 1,
      anon_sym_RPAREN,
    STATE(16578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23396), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16580), 1,
      sym_attribute,
    STATE(18075), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23398), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [730897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9821), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17402), 1,
      sym__identifier,
    STATE(16583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22860), 1,
      anon_sym_then,
    STATE(11759), 1,
      sym_then_clause,
    STATE(16584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23400), 1,
      sym__identifier,
    STATE(16585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730965] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23402), 1,
      anon_sym_RPAREN,
    ACTIONS(23404), 1,
      anon_sym_SEMI,
    STATE(16586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23402), 1,
      anon_sym_RBRACK,
    ACTIONS(23406), 1,
      anon_sym_SEMI,
    STATE(16587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23402), 1,
      anon_sym_RBRACE,
    ACTIONS(23408), 1,
      anon_sym_SEMI,
    STATE(16588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17694), 1,
      anon_sym_RBRACE,
    ACTIONS(23410), 1,
      anon_sym_SEMI,
    STATE(16589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16590), 1,
      sym_attribute,
    STATE(18200), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23412), 1,
      aux_sym_type_variable_token1,
    STATE(13119), 1,
      sym_type_variable,
    STATE(16591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23414), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23416), 1,
      sym__identifier,
    STATE(16593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20386), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [731114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23418), 1,
      anon_sym_DOT,
    STATE(16595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23420), 1,
      anon_sym_RPAREN,
    ACTIONS(23422), 1,
      anon_sym_LT_DASH,
    STATE(16596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23424), 1,
      anon_sym_DOT,
    STATE(16597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23426), 1,
      anon_sym_DOT,
    STATE(16598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23428), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23430), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23432), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16602), 1,
      sym_attribute,
    STATE(18479), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9907), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23434), 1,
      sym__identifier,
    STATE(16604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23436), 1,
      anon_sym_RPAREN,
    ACTIONS(23438), 1,
      anon_sym_LT_DASH,
    STATE(16605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23440), 1,
      anon_sym_RPAREN,
    ACTIONS(23442), 1,
      anon_sym_SEMI,
    STATE(16606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23440), 1,
      anon_sym_RBRACK,
    ACTIONS(23444), 1,
      anon_sym_SEMI,
    STATE(16607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23440), 1,
      anon_sym_RBRACE,
    ACTIONS(23446), 1,
      anon_sym_SEMI,
    STATE(16608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16609), 1,
      sym_attribute,
    STATE(18609), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23448), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23450), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23452), 1,
      anon_sym_DOT,
    STATE(16612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23454), 1,
      anon_sym_DOT,
    STATE(16613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23456), 1,
      anon_sym_DOT,
    STATE(16614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23458), 1,
      anon_sym_RPAREN,
    ACTIONS(23460), 1,
      anon_sym_LT_DASH,
    STATE(16615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COLON2,
    STATE(16616), 1,
      sym_attribute,
    STATE(17277), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23462), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16618), 1,
      sym_attribute,
    STATE(19016), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16619), 1,
      sym_attribute,
    STATE(19135), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23464), 1,
      sym__identifier,
    STATE(16620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17406), 1,
      sym__identifier,
    STATE(16621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23466), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [731576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23468), 1,
      anon_sym_RPAREN,
    ACTIONS(23470), 1,
      anon_sym_LT_DASH,
    STATE(16623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23472), 1,
      anon_sym_RPAREN,
    ACTIONS(23474), 1,
      anon_sym_SEMI,
    STATE(16624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23472), 1,
      anon_sym_RBRACK,
    ACTIONS(23476), 1,
      anon_sym_SEMI,
    STATE(16625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23472), 1,
      anon_sym_RBRACE,
    ACTIONS(23478), 1,
      anon_sym_SEMI,
    STATE(16626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22640), 1,
      anon_sym_then,
    STATE(11537), 1,
      sym_then_clause,
    STATE(16627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16628), 1,
      sym_attribute,
    STATE(19091), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23480), 1,
      anon_sym_DOT,
    STATE(16629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22840), 1,
      anon_sym_then,
    STATE(11858), 1,
      sym_then_clause,
    STATE(16630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23482), 1,
      anon_sym_DOT,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23484), 1,
      anon_sym_DOT,
    STATE(16632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22664), 1,
      anon_sym_then,
    STATE(11711), 1,
      sym_then_clause,
    STATE(16633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23486), 1,
      sym__identifier,
    STATE(16634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16635), 1,
      sym_attribute,
    STATE(19279), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23488), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [731812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23490), 1,
      sym__identifier,
    ACTIONS(23492), 1,
      anon_sym_LPAREN,
    STATE(16637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23494), 1,
      sym__identifier,
    ACTIONS(23496), 1,
      anon_sym_LPAREN,
    STATE(16638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23498), 1,
      anon_sym_RPAREN,
    ACTIONS(23500), 1,
      anon_sym_SEMI,
    STATE(16639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23498), 1,
      anon_sym_RBRACK,
    ACTIONS(23502), 1,
      anon_sym_SEMI,
    STATE(16640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23498), 1,
      anon_sym_RBRACE,
    ACTIONS(23504), 1,
      anon_sym_SEMI,
    STATE(16641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17333), 1,
      sym__identifier,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16643), 1,
      sym_attribute,
    STATE(19394), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17303), 1,
      sym__identifier,
    STATE(16644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23506), 1,
      anon_sym_DOT,
    STATE(16645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731965] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23508), 1,
      anon_sym_COLON_GT,
    ACTIONS(23510), 1,
      anon_sym_RPAREN,
    STATE(16646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23512), 1,
      anon_sym_DOT,
    STATE(16647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23514), 1,
      anon_sym_DOT,
    STATE(16648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23516), 1,
      anon_sym_COLON_GT,
    ACTIONS(23518), 1,
      anon_sym_RPAREN,
    STATE(16649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21275), 1,
      anon_sym_EQ,
    ACTIONS(23520), 1,
      anon_sym_COLON_GT,
    STATE(16650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17806), 1,
      anon_sym_RBRACE,
    ACTIONS(23522), 1,
      anon_sym_SEMI,
    STATE(16651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16652), 1,
      sym_attribute,
    STATE(19643), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22678), 1,
      anon_sym_then,
    STATE(10199), 1,
      sym_then_clause,
    STATE(16653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22932), 1,
      anon_sym_then,
    STATE(9158), 1,
      sym_then_clause,
    STATE(16654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732118] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17367), 1,
      sym__identifier,
    STATE(16655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23524), 1,
      sym__identifier,
    STATE(16656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732152] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23526), 1,
      sym__identifier,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23528), 1,
      anon_sym_RPAREN,
    ACTIONS(23530), 1,
      anon_sym_SEMI,
    STATE(16658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23528), 1,
      anon_sym_RBRACK,
    ACTIONS(23532), 1,
      anon_sym_SEMI,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23528), 1,
      anon_sym_RBRACE,
    ACTIONS(23534), 1,
      anon_sym_SEMI,
    STATE(16660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16661), 1,
      sym_attribute,
    STATE(19759), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23536), 1,
      anon_sym_DOT,
    STATE(16662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23538), 1,
      anon_sym_DOT,
    STATE(16663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23540), 1,
      anon_sym_DOT,
    STATE(16664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23542), 1,
      sym__identifier,
    ACTIONS(23544), 1,
      anon_sym_LPAREN,
    STATE(16665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16666), 1,
      sym_attribute,
    STATE(20085), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17830), 1,
      anon_sym_RBRACE,
    ACTIONS(23546), 1,
      anon_sym_SEMI,
    STATE(16667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732339] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23548), 1,
      anon_sym_RPAREN,
    ACTIONS(23550), 1,
      anon_sym_LT_DASH,
    STATE(16668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23552), 1,
      anon_sym_RPAREN,
    ACTIONS(23554), 1,
      anon_sym_SEMI,
    STATE(16669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23552), 1,
      anon_sym_RBRACK,
    ACTIONS(23556), 1,
      anon_sym_SEMI,
    STATE(16670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23552), 1,
      anon_sym_RBRACE,
    ACTIONS(23558), 1,
      anon_sym_SEMI,
    STATE(16671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16672), 1,
      sym_attribute,
    STATE(19967), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23560), 1,
      anon_sym_RPAREN,
    ACTIONS(23562), 1,
      anon_sym_LT_DASH,
    STATE(16673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23564), 1,
      anon_sym_COLON_GT,
    ACTIONS(23566), 1,
      anon_sym_RPAREN,
    STATE(16674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23568), 1,
      anon_sym_RPAREN,
    ACTIONS(23570), 1,
      anon_sym_LT_DASH,
    STATE(16675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23572), 1,
      anon_sym_DOT,
    STATE(16676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23574), 1,
      anon_sym_DOT,
    STATE(16677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23576), 1,
      anon_sym_DOT,
    STATE(16678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23578), 1,
      anon_sym_RPAREN,
    ACTIONS(23580), 1,
      anon_sym_LT_DASH,
    STATE(16679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16680), 1,
      sym_attribute,
    STATE(18954), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23582), 1,
      sym__identifier,
    ACTIONS(23584), 1,
      anon_sym_LBRACK,
    STATE(16681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23586), 1,
      anon_sym_COLON_GT,
    ACTIONS(23588), 1,
      anon_sym_RPAREN,
    STATE(16682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732594] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9357), 1,
      sym_type_variable,
    STATE(16683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23590), 1,
      anon_sym_RPAREN,
    ACTIONS(23592), 1,
      anon_sym_LT_DASH,
    STATE(16684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23594), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [732643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23596), 1,
      anon_sym_RPAREN,
    ACTIONS(23598), 1,
      anon_sym_SEMI,
    STATE(16686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732660] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23596), 1,
      anon_sym_RBRACK,
    ACTIONS(23600), 1,
      anon_sym_SEMI,
    STATE(16687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23596), 1,
      anon_sym_RBRACE,
    ACTIONS(23602), 1,
      anon_sym_SEMI,
    STATE(16688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732694] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23604), 1,
      sym__identifier,
    ACTIONS(23606), 1,
      anon_sym_LPAREN,
    STATE(16689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16690), 1,
      sym_attribute,
    STATE(18374), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16691), 1,
      sym_attribute,
    STATE(19383), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    STATE(15251), 1,
      sym_extended_module_path,
    STATE(16692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23608), 1,
      anon_sym_DOT,
    STATE(16693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23610), 1,
      sym__identifier,
    ACTIONS(23612), 1,
      anon_sym_LPAREN,
    STATE(16694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23614), 1,
      anon_sym_DOT,
    STATE(16695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23616), 1,
      anon_sym_COLON_GT,
    ACTIONS(23618), 1,
      anon_sym_RPAREN,
    STATE(16696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23156), 1,
      anon_sym_then,
    STATE(12395), 1,
      sym_then_clause,
    STATE(16697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23620), 1,
      anon_sym_do,
    STATE(8047), 1,
      sym_do_clause,
    STATE(16698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16699), 1,
      sym_attribute,
    STATE(19054), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17752), 1,
      anon_sym_RBRACE,
    ACTIONS(23622), 1,
      anon_sym_SEMI,
    STATE(16700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23624), 1,
      anon_sym_RPAREN,
    ACTIONS(23626), 1,
      anon_sym_SEMI,
    STATE(16701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23624), 1,
      anon_sym_RBRACK,
    ACTIONS(23628), 1,
      anon_sym_SEMI,
    STATE(16702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732932] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23624), 1,
      anon_sym_RBRACE,
    ACTIONS(23630), 1,
      anon_sym_SEMI,
    STATE(16703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16704), 1,
      sym_attribute,
    STATE(19772), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23632), 1,
      sym__identifier,
    ACTIONS(23634), 1,
      anon_sym_LPAREN,
    STATE(16705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20658), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [732998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23636), 1,
      anon_sym_DOT,
    STATE(16707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23638), 1,
      anon_sym_COLON_GT,
    ACTIONS(23640), 1,
      anon_sym_RPAREN,
    STATE(16708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733032] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23642), 1,
      sym__identifier,
    STATE(16709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16710), 1,
      sym_attribute,
    STATE(17598), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23644), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(21808), 1,
      sym__identifier,
    STATE(16712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23646), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10025), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22956), 1,
      anon_sym_then,
    STATE(8319), 1,
      sym_then_clause,
    STATE(16715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COLON2,
    STATE(16716), 1,
      sym_attribute,
    STATE(17468), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22860), 1,
      anon_sym_then,
    STATE(11741), 1,
      sym_then_clause,
    STATE(16717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23648), 1,
      anon_sym_RPAREN,
    ACTIONS(23650), 1,
      anon_sym_SEMI,
    STATE(16718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733198] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23648), 1,
      anon_sym_RBRACK,
    ACTIONS(23652), 1,
      anon_sym_SEMI,
    STATE(16719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23648), 1,
      anon_sym_RBRACE,
    ACTIONS(23654), 1,
      anon_sym_SEMI,
    STATE(16720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16721), 1,
      sym_attribute,
    STATE(19289), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23656), 1,
      anon_sym_DOT,
    STATE(16722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733266] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23658), 1,
      anon_sym_COLON_GT,
    ACTIONS(23660), 1,
      anon_sym_RPAREN,
    STATE(16723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733283] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23662), 1,
      sym__identifier,
    STATE(16724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16725), 1,
      sym_attribute,
    STATE(17783), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22932), 1,
      anon_sym_then,
    STATE(9246), 1,
      sym_then_clause,
    STATE(16726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RPAREN,
    ACTIONS(23666), 1,
      anon_sym_SEMI,
    STATE(16727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RBRACK,
    ACTIONS(23668), 1,
      anon_sym_SEMI,
    STATE(16728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23664), 1,
      anon_sym_RBRACE,
    ACTIONS(23670), 1,
      anon_sym_SEMI,
    STATE(16729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23672), 1,
      sym__identifier,
    STATE(16730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23674), 1,
      sym__identifier,
    STATE(16731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733419] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16732), 1,
      sym_attribute,
    STATE(18955), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23676), 1,
      sym__identifier,
    STATE(16733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23678), 1,
      anon_sym_DOT,
    STATE(16734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23680), 1,
      sym__identifier,
    STATE(16735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16736), 1,
      sym_attribute,
    STATE(19399), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733504] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23682), 1,
      sym__identifier,
    STATE(16737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23684), 1,
      anon_sym_RPAREN,
    ACTIONS(23686), 1,
      anon_sym_SEMI,
    STATE(16738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23684), 1,
      anon_sym_RBRACK,
    ACTIONS(23688), 1,
      anon_sym_SEMI,
    STATE(16739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23684), 1,
      anon_sym_RBRACE,
    ACTIONS(23690), 1,
      anon_sym_SEMI,
    STATE(16740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733572] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16741), 1,
      sym_attribute,
    STATE(19784), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23692), 1,
      anon_sym_DOT,
    STATE(16742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23694), 1,
      sym__identifier,
    ACTIONS(23696), 1,
      sym__capitalized_identifier,
    STATE(16743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16744), 1,
      sym_attribute,
    STATE(17404), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23156), 1,
      anon_sym_then,
    STATE(12228), 1,
      sym_then_clause,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23698), 1,
      anon_sym_RPAREN,
    ACTIONS(23700), 1,
      anon_sym_LT_DASH,
    STATE(16746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23702), 1,
      sym__identifier,
    ACTIONS(23704), 1,
      anon_sym_LBRACK,
    STATE(16747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23706), 1,
      anon_sym_EQ,
    ACTIONS(23708), 1,
      anon_sym_RPAREN,
    STATE(16748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23710), 1,
      anon_sym_RPAREN,
    ACTIONS(23712), 1,
      anon_sym_SEMI,
    STATE(16749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23710), 1,
      anon_sym_RBRACK,
    ACTIONS(23714), 1,
      anon_sym_SEMI,
    STATE(16750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23710), 1,
      anon_sym_RBRACE,
    ACTIONS(23716), 1,
      anon_sym_SEMI,
    STATE(16751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23718), 1,
      sym__identifier,
    ACTIONS(23720), 1,
      anon_sym_LPAREN,
    STATE(16752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16753), 1,
      sym_attribute,
    STATE(20074), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23722), 1,
      anon_sym_DOT,
    STATE(16754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22678), 1,
      anon_sym_then,
    STATE(10109), 1,
      sym_then_clause,
    STATE(16755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23724), 1,
      anon_sym_RPAREN,
    ACTIONS(23726), 1,
      anon_sym_LT_DASH,
    STATE(16756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16757), 1,
      sym_attribute,
    STATE(18169), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23728), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [733876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23730), 1,
      anon_sym_RPAREN,
    ACTIONS(23732), 1,
      anon_sym_LT_DASH,
    STATE(16759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23734), 1,
      anon_sym_COLON_GT,
    ACTIONS(23736), 1,
      anon_sym_RPAREN,
    STATE(16760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23738), 1,
      anon_sym_COLON_GT,
    ACTIONS(23740), 1,
      anon_sym_RPAREN,
    STATE(16761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23742), 1,
      anon_sym_RPAREN,
    ACTIONS(23744), 1,
      anon_sym_SEMI,
    STATE(16762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23742), 1,
      anon_sym_RBRACK,
    ACTIONS(23746), 1,
      anon_sym_SEMI,
    STATE(16763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23742), 1,
      anon_sym_RBRACE,
    ACTIONS(23748), 1,
      anon_sym_SEMI,
    STATE(16764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16765), 1,
      sym_attribute,
    STATE(19036), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23750), 1,
      anon_sym_DOT,
    STATE(16766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23752), 1,
      anon_sym_RPAREN,
    ACTIONS(23754), 1,
      anon_sym_LT_DASH,
    STATE(16767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22932), 1,
      anon_sym_then,
    STATE(9161), 1,
      sym_then_clause,
    STATE(16768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16769), 1,
      sym_attribute,
    STATE(17322), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22854), 1,
      anon_sym_then,
    STATE(10061), 1,
      sym_then_clause,
    STATE(16770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23756), 1,
      sym__identifier,
    STATE(16771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23758), 1,
      anon_sym_RPAREN,
    ACTIONS(23760), 1,
      anon_sym_SEMI,
    STATE(16772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23758), 1,
      anon_sym_RBRACK,
    ACTIONS(23762), 1,
      anon_sym_SEMI,
    STATE(16773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23758), 1,
      anon_sym_RBRACE,
    ACTIONS(23764), 1,
      anon_sym_SEMI,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16775), 1,
      sym_attribute,
    STATE(17563), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23766), 1,
      anon_sym_DOT,
    STATE(16776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_do,
    STATE(7926), 1,
      sym_do_clause,
    STATE(16777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16778), 1,
      sym_attribute,
    STATE(17877), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23768), 1,
      sym__identifier,
    STATE(16779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23770), 1,
      anon_sym_RPAREN,
    ACTIONS(23772), 1,
      anon_sym_SEMI,
    STATE(16780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23770), 1,
      anon_sym_RBRACK,
    ACTIONS(23774), 1,
      anon_sym_SEMI,
    STATE(16781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23770), 1,
      anon_sym_RBRACE,
    ACTIONS(23776), 1,
      anon_sym_SEMI,
    STATE(16782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16783), 1,
      sym_attribute,
    STATE(18119), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23778), 1,
      anon_sym_RPAREN,
    ACTIONS(23780), 1,
      anon_sym_LT_DASH,
    STATE(16784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23782), 1,
      anon_sym_DOT,
    STATE(16785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23784), 1,
      anon_sym_RPAREN,
    ACTIONS(23786), 1,
      anon_sym_LT_DASH,
    STATE(16786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23788), 1,
      anon_sym_RPAREN,
    ACTIONS(23790), 1,
      anon_sym_LT_DASH,
    STATE(16787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16788), 1,
      sym_attribute,
    STATE(18933), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23792), 1,
      anon_sym_RPAREN,
    ACTIONS(23794), 1,
      anon_sym_LT_DASH,
    STATE(16789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17780), 1,
      anon_sym_RBRACE,
    ACTIONS(23796), 1,
      anon_sym_SEMI,
    STATE(16790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23798), 1,
      anon_sym_RPAREN,
    ACTIONS(23800), 1,
      anon_sym_SEMI,
    STATE(16791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23798), 1,
      anon_sym_RBRACK,
    ACTIONS(23802), 1,
      anon_sym_SEMI,
    STATE(16792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734454] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23798), 1,
      anon_sym_RBRACE,
    ACTIONS(23804), 1,
      anon_sym_SEMI,
    STATE(16793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16794), 1,
      sym_attribute,
    STATE(19122), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23806), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23808), 1,
      anon_sym_SEMI,
    ACTIONS(23810), 1,
      anon_sym_RBRACE,
    STATE(16796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23812), 1,
      anon_sym_RPAREN,
    ACTIONS(23814), 1,
      anon_sym_LT_DASH,
    STATE(16797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23816), 1,
      anon_sym_DOT,
    STATE(16798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16799), 1,
      sym_attribute,
    STATE(19342), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22722), 1,
      anon_sym_then,
    STATE(12346), 1,
      sym_then_clause,
    STATE(16800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23620), 1,
      anon_sym_do,
    STATE(8054), 1,
      sym_do_clause,
    STATE(16801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23818), 1,
      anon_sym_RPAREN,
    ACTIONS(23820), 1,
      anon_sym_LT_DASH,
    STATE(16802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23822), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23824), 1,
      anon_sym_SEMI,
    ACTIONS(23826), 1,
      anon_sym_RBRACE,
    STATE(16804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23828), 1,
      anon_sym_RPAREN,
    ACTIONS(23830), 1,
      anon_sym_SEMI,
    STATE(16805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23828), 1,
      anon_sym_RBRACK,
    ACTIONS(23832), 1,
      anon_sym_SEMI,
    STATE(16806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734688] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23828), 1,
      anon_sym_RBRACE,
    ACTIONS(23834), 1,
      anon_sym_SEMI,
    STATE(16807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23836), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16809), 1,
      sym_attribute,
    STATE(19499), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23838), 1,
      sym__identifier,
    STATE(16810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(23840), 1,
      anon_sym_DOT,
    STATE(16811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16812), 1,
      sym_attribute,
    STATE(19694), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23842), 1,
      sym__identifier,
    STATE(16813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734805] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23844), 1,
      anon_sym_RPAREN,
    ACTIONS(23846), 1,
      anon_sym_LT_DASH,
    STATE(16814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23848), 1,
      anon_sym_RPAREN,
    ACTIONS(23850), 1,
      anon_sym_SEMI,
    STATE(16815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23848), 1,
      anon_sym_RBRACK,
    ACTIONS(23852), 1,
      anon_sym_SEMI,
    STATE(16816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734856] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23848), 1,
      anon_sym_RBRACE,
    ACTIONS(23854), 1,
      anon_sym_SEMI,
    STATE(16817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23856), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16819), 1,
      sym_attribute,
    STATE(19897), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23858), 1,
      anon_sym_RPAREN,
    ACTIONS(23860), 1,
      anon_sym_LT_DASH,
    STATE(16820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23862), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17560), 1,
      anon_sym_COLON2,
    STATE(16622), 1,
      sym__polymorphic_typed,
    STATE(16822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23864), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23866), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23868), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [734999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9857), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(16826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23870), 1,
      anon_sym_RPAREN,
    ACTIONS(23872), 1,
      anon_sym_SEMI,
    STATE(16827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23870), 1,
      anon_sym_RBRACK,
    ACTIONS(23874), 1,
      anon_sym_SEMI,
    STATE(16828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23870), 1,
      anon_sym_RBRACE,
    ACTIONS(23876), 1,
      anon_sym_SEMI,
    STATE(16829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23878), 1,
      anon_sym_RPAREN,
    ACTIONS(23880), 1,
      anon_sym_LT_DASH,
    STATE(16830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16831), 1,
      sym_attribute,
    STATE(19162), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23882), 1,
      anon_sym_RPAREN,
    ACTIONS(23884), 1,
      anon_sym_LT_DASH,
    STATE(16832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23886), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16834), 1,
      sym_attribute,
    STATE(18463), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23888), 1,
      anon_sym_RPAREN,
    ACTIONS(23890), 1,
      anon_sym_LT_DASH,
    STATE(16835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23892), 1,
      anon_sym_RPAREN,
    ACTIONS(23894), 1,
      anon_sym_LT_DASH,
    STATE(16836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23896), 1,
      anon_sym_RPAREN,
    ACTIONS(23898), 1,
      anon_sym_SEMI,
    STATE(16837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23896), 1,
      anon_sym_RBRACK,
    ACTIONS(23900), 1,
      anon_sym_SEMI,
    STATE(16838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23896), 1,
      anon_sym_RBRACE,
    ACTIONS(23902), 1,
      anon_sym_SEMI,
    STATE(16839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23904), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23906), 1,
      anon_sym_SEMI,
    ACTIONS(23908), 1,
      anon_sym_RBRACE,
    STATE(16841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16842), 1,
      sym_attribute,
    STATE(19376), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23910), 1,
      sym__identifier,
    STATE(16843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16844), 1,
      sym_attribute,
    STATE(17508), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(23912), 1,
      sym__identifier,
    STATE(16845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23914), 1,
      anon_sym_RPAREN,
    ACTIONS(23916), 1,
      anon_sym_LT_DASH,
    STATE(16846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23918), 1,
      anon_sym_RPAREN,
    ACTIONS(23920), 1,
      anon_sym_SEMI,
    STATE(16847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23918), 1,
      anon_sym_RBRACK,
    ACTIONS(23922), 1,
      anon_sym_SEMI,
    STATE(16848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23918), 1,
      anon_sym_RBRACE,
    ACTIONS(23924), 1,
      anon_sym_SEMI,
    STATE(16849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16850), 1,
      sym_attribute,
    STATE(17826), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23926), 1,
      anon_sym_RPAREN,
    ACTIONS(23928), 1,
      anon_sym_LT_DASH,
    STATE(16851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23930), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16853), 1,
      sym_attribute,
    STATE(18187), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22648), 1,
      anon_sym_then,
    STATE(11842), 1,
      sym_then_clause,
    STATE(16854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23932), 1,
      anon_sym_RPAREN,
    ACTIONS(23934), 1,
      anon_sym_LT_DASH,
    STATE(16855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23936), 1,
      anon_sym_RPAREN,
    ACTIONS(23938), 1,
      anon_sym_SEMI,
    STATE(16856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23936), 1,
      anon_sym_RBRACK,
    ACTIONS(23940), 1,
      anon_sym_SEMI,
    STATE(16857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23936), 1,
      anon_sym_RBRACE,
    ACTIONS(23942), 1,
      anon_sym_SEMI,
    STATE(16858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23944), 1,
      anon_sym_RPAREN,
    ACTIONS(23946), 1,
      anon_sym_LT_DASH,
    STATE(16859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16860), 1,
      sym_attribute,
    STATE(18527), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23948), 1,
      sym__identifier,
    ACTIONS(23950), 1,
      anon_sym_LPAREN,
    STATE(16861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23952), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17418), 1,
      sym__identifier,
    STATE(16863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16864), 1,
      sym_attribute,
    STATE(19000), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23954), 1,
      anon_sym_RPAREN,
    ACTIONS(23956), 1,
      anon_sym_LT_DASH,
    STATE(16865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23958), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [735686] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23960), 1,
      anon_sym_COLON_GT,
    ACTIONS(23962), 1,
      anon_sym_RPAREN,
    STATE(16867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23964), 1,
      anon_sym_RPAREN,
    ACTIONS(23966), 1,
      anon_sym_SEMI,
    STATE(16868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23964), 1,
      anon_sym_RBRACK,
    ACTIONS(23968), 1,
      anon_sym_SEMI,
    STATE(16869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23964), 1,
      anon_sym_RBRACE,
    ACTIONS(23970), 1,
      anon_sym_SEMI,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23972), 1,
      anon_sym_RPAREN,
    ACTIONS(23974), 1,
      anon_sym_LT_DASH,
    STATE(16871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(16872), 1,
      sym_attribute,
    STATE(19413), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23976), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(23978), 1,
      anon_sym_DASH_GT,
    STATE(16874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16875), 1,
      sym_attribute,
    STATE(19978), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20010), 1,
      sym__identifier,
    STATE(14787), 1,
      aux_sym__abstract_type_repeat1,
    STATE(16876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_then,
    STATE(12003), 1,
      sym_then_clause,
    STATE(16877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23980), 1,
      anon_sym_RPAREN,
    ACTIONS(23982), 1,
      anon_sym_LT_DASH,
    STATE(16878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(23984), 1,
      sym__identifier,
    STATE(16879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23986), 1,
      anon_sym_RPAREN,
    ACTIONS(23988), 1,
      anon_sym_SEMI,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23986), 1,
      anon_sym_RBRACK,
    ACTIONS(23990), 1,
      anon_sym_SEMI,
    STATE(16881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23986), 1,
      anon_sym_RBRACE,
    ACTIONS(23992), 1,
      anon_sym_SEMI,
    STATE(16882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23994), 1,
      anon_sym_RPAREN,
    ACTIONS(23996), 1,
      anon_sym_LT_DASH,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23998), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [735988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24000), 1,
      anon_sym_RPAREN,
    ACTIONS(24002), 1,
      anon_sym_LT_DASH,
    STATE(16885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16886), 1,
      sym_attribute,
    STATE(17480), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24004), 1,
      anon_sym_RPAREN,
    ACTIONS(24006), 1,
      anon_sym_LT_DASH,
    STATE(16887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24008), 1,
      anon_sym_RPAREN,
    ACTIONS(24010), 1,
      anon_sym_SEMI,
    STATE(16888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24008), 1,
      anon_sym_RBRACK,
    ACTIONS(24012), 1,
      anon_sym_SEMI,
    STATE(16889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24008), 1,
      anon_sym_RBRACE,
    ACTIONS(24014), 1,
      anon_sym_SEMI,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24016), 1,
      anon_sym_RPAREN,
    ACTIONS(24018), 1,
      anon_sym_LT_DASH,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24020), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [736122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16893), 1,
      sym_attribute,
    STATE(17696), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24022), 1,
      anon_sym_RPAREN,
    ACTIONS(24024), 1,
      anon_sym_LT_DASH,
    STATE(16894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24026), 1,
      anon_sym_RPAREN,
    ACTIONS(24028), 1,
      anon_sym_SEMI,
    STATE(16895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24026), 1,
      anon_sym_RBRACK,
    ACTIONS(24030), 1,
      anon_sym_SEMI,
    STATE(16896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24026), 1,
      anon_sym_RBRACE,
    ACTIONS(24032), 1,
      anon_sym_SEMI,
    STATE(16897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24034), 1,
      anon_sym_RPAREN,
    ACTIONS(24036), 1,
      anon_sym_LT_DASH,
    STATE(16898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24038), 1,
      anon_sym_RPAREN,
    ACTIONS(24040), 1,
      anon_sym_LT_DASH,
    STATE(16899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24042), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [736256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16901), 1,
      sym_attribute,
    STATE(17937), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24044), 1,
      anon_sym_RPAREN,
    ACTIONS(24046), 1,
      anon_sym_LT_DASH,
    STATE(16902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24048), 1,
      anon_sym_RPAREN,
    ACTIONS(24050), 1,
      anon_sym_SEMI,
    STATE(16903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24048), 1,
      anon_sym_RBRACK,
    ACTIONS(24052), 1,
      anon_sym_SEMI,
    STATE(16904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24048), 1,
      anon_sym_RBRACE,
    ACTIONS(24054), 1,
      anon_sym_SEMI,
    STATE(16905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24056), 1,
      anon_sym_RPAREN,
    ACTIONS(24058), 1,
      anon_sym_LT_DASH,
    STATE(16906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736358] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24060), 1,
      anon_sym_RPAREN,
    ACTIONS(24062), 1,
      anon_sym_LT_DASH,
    STATE(16907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17912), 1,
      anon_sym_RBRACE,
    ACTIONS(24064), 1,
      anon_sym_SEMI,
    STATE(16908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24066), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [736407] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16910), 1,
      sym_attribute,
    STATE(18143), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24068), 1,
      anon_sym_RPAREN,
    ACTIONS(24070), 1,
      anon_sym_SEMI,
    STATE(16911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24068), 1,
      anon_sym_RBRACK,
    ACTIONS(24072), 1,
      anon_sym_SEMI,
    STATE(16912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24068), 1,
      anon_sym_RBRACE,
    ACTIONS(24074), 1,
      anon_sym_SEMI,
    STATE(16913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16914), 1,
      sym_attribute,
    STATE(18264), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17924), 1,
      anon_sym_RBRACE,
    ACTIONS(24076), 1,
      anon_sym_SEMI,
    STATE(16915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24078), 1,
      anon_sym_RPAREN,
    ACTIONS(24080), 1,
      anon_sym_LT_DASH,
    STATE(16916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24082), 1,
      anon_sym_RPAREN,
    ACTIONS(24084), 1,
      anon_sym_SEMI,
    STATE(16917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736543] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24082), 1,
      anon_sym_RBRACK,
    ACTIONS(24086), 1,
      anon_sym_SEMI,
    STATE(16918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24082), 1,
      anon_sym_RBRACE,
    ACTIONS(24088), 1,
      anon_sym_SEMI,
    STATE(16919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24090), 1,
      anon_sym_RPAREN,
    ACTIONS(24092), 1,
      anon_sym_LT_DASH,
    STATE(16920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24094), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [736609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24096), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [736624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16923), 1,
      sym_attribute,
    STATE(18334), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24098), 1,
      anon_sym_RPAREN,
    ACTIONS(24100), 1,
      anon_sym_LT_DASH,
    STATE(16924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24102), 1,
      anon_sym_RPAREN,
    ACTIONS(24104), 1,
      anon_sym_SEMI,
    STATE(16925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24102), 1,
      anon_sym_RBRACK,
    ACTIONS(24106), 1,
      anon_sym_SEMI,
    STATE(16926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736692] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24102), 1,
      anon_sym_RBRACE,
    ACTIONS(24108), 1,
      anon_sym_SEMI,
    STATE(16927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16928), 1,
      sym_attribute,
    STATE(18363), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24110), 1,
      anon_sym_RPAREN,
    ACTIONS(24112), 1,
      anon_sym_SEMI,
    STATE(16929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24110), 1,
      anon_sym_RBRACK,
    ACTIONS(24114), 1,
      anon_sym_SEMI,
    STATE(16930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24110), 1,
      anon_sym_RBRACE,
    ACTIONS(24116), 1,
      anon_sym_SEMI,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16932), 1,
      sym_attribute,
    STATE(18407), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24118), 1,
      anon_sym_RPAREN,
    ACTIONS(24120), 1,
      anon_sym_SEMI,
    STATE(16933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24118), 1,
      anon_sym_RBRACK,
    ACTIONS(24122), 1,
      anon_sym_SEMI,
    STATE(16934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24118), 1,
      anon_sym_RBRACE,
    ACTIONS(24124), 1,
      anon_sym_SEMI,
    STATE(16935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24126), 1,
      anon_sym_RPAREN,
    ACTIONS(24128), 1,
      anon_sym_LT_DASH,
    STATE(16936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24130), 1,
      anon_sym_RPAREN,
    ACTIONS(24132), 1,
      anon_sym_LT_DASH,
    STATE(16937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16938), 1,
      sym_attribute,
    STATE(18441), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RPAREN,
    ACTIONS(24136), 1,
      anon_sym_SEMI,
    STATE(16939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RBRACK,
    ACTIONS(24138), 1,
      anon_sym_SEMI,
    STATE(16940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24134), 1,
      anon_sym_RBRACE,
    ACTIONS(24140), 1,
      anon_sym_SEMI,
    STATE(16941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24142), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [736962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16943), 1,
      sym_attribute,
    STATE(18480), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24144), 1,
      anon_sym_RPAREN,
    ACTIONS(24146), 1,
      anon_sym_SEMI,
    STATE(16944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24144), 1,
      anon_sym_RBRACK,
    ACTIONS(24148), 1,
      anon_sym_SEMI,
    STATE(16945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24144), 1,
      anon_sym_RBRACE,
    ACTIONS(24150), 1,
      anon_sym_SEMI,
    STATE(16946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16947), 1,
      sym_attribute,
    STATE(18519), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24152), 1,
      anon_sym_RPAREN,
    ACTIONS(24154), 1,
      anon_sym_SEMI,
    STATE(16948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737064] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24152), 1,
      anon_sym_RBRACK,
    ACTIONS(24156), 1,
      anon_sym_SEMI,
    STATE(16949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24152), 1,
      anon_sym_RBRACE,
    ACTIONS(24158), 1,
      anon_sym_SEMI,
    STATE(16950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737098] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16951), 1,
      sym_attribute,
    STATE(18558), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24160), 1,
      anon_sym_RPAREN,
    ACTIONS(24162), 1,
      anon_sym_SEMI,
    STATE(16952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737132] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24160), 1,
      anon_sym_RBRACK,
    ACTIONS(24164), 1,
      anon_sym_SEMI,
    STATE(16953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24160), 1,
      anon_sym_RBRACE,
    ACTIONS(24166), 1,
      anon_sym_SEMI,
    STATE(16954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737166] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16955), 1,
      sym_attribute,
    STATE(18600), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24168), 1,
      anon_sym_RPAREN,
    ACTIONS(24170), 1,
      anon_sym_SEMI,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24168), 1,
      anon_sym_RBRACK,
    ACTIONS(24172), 1,
      anon_sym_SEMI,
    STATE(16957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24168), 1,
      anon_sym_RBRACE,
    ACTIONS(24174), 1,
      anon_sym_SEMI,
    STATE(16958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24176), 1,
      anon_sym_RPAREN,
    ACTIONS(24178), 1,
      anon_sym_LT_DASH,
    STATE(16959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24180), 1,
      anon_sym_RPAREN,
    ACTIONS(24182), 1,
      anon_sym_LT_DASH,
    STATE(16960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737268] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16961), 1,
      sym_attribute,
    STATE(18648), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24184), 1,
      anon_sym_RPAREN,
    ACTIONS(24186), 1,
      anon_sym_SEMI,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737302] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24184), 1,
      anon_sym_RBRACK,
    ACTIONS(24188), 1,
      anon_sym_SEMI,
    STATE(16963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737319] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24184), 1,
      anon_sym_RBRACE,
    ACTIONS(24190), 1,
      anon_sym_SEMI,
    STATE(16964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24192), 1,
      anon_sym_RPAREN,
    ACTIONS(24194), 1,
      anon_sym_LT_DASH,
    STATE(16965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16966), 1,
      sym_attribute,
    STATE(18684), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24196), 1,
      anon_sym_RPAREN,
    ACTIONS(24198), 1,
      anon_sym_SEMI,
    STATE(16967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24196), 1,
      anon_sym_RBRACK,
    ACTIONS(24200), 1,
      anon_sym_SEMI,
    STATE(16968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24196), 1,
      anon_sym_RBRACE,
    ACTIONS(24202), 1,
      anon_sym_SEMI,
    STATE(16969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16970), 1,
      sym_attribute,
    STATE(18730), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24204), 1,
      anon_sym_RPAREN,
    ACTIONS(24206), 1,
      anon_sym_SEMI,
    STATE(16971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24204), 1,
      anon_sym_RBRACK,
    ACTIONS(24208), 1,
      anon_sym_SEMI,
    STATE(16972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24204), 1,
      anon_sym_RBRACE,
    ACTIONS(24210), 1,
      anon_sym_SEMI,
    STATE(16973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16974), 1,
      sym_attribute,
    STATE(18780), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24212), 1,
      anon_sym_RPAREN,
    ACTIONS(24214), 1,
      anon_sym_SEMI,
    STATE(16975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24212), 1,
      anon_sym_RBRACK,
    ACTIONS(24216), 1,
      anon_sym_SEMI,
    STATE(16976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24212), 1,
      anon_sym_RBRACE,
    ACTIONS(24218), 1,
      anon_sym_SEMI,
    STATE(16977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16978), 1,
      sym_attribute,
    STATE(18819), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16979), 1,
      sym_attribute,
    STATE(18831), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16980), 1,
      sym_attribute,
    STATE(18837), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16981), 1,
      sym_attribute,
    STATE(18843), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16982), 1,
      sym_attribute,
    STATE(18849), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24220), 1,
      anon_sym_RPAREN,
    ACTIONS(24222), 1,
      anon_sym_LT_DASH,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16984), 1,
      sym_attribute,
    STATE(18855), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16985), 1,
      sym_attribute,
    STATE(18861), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16986), 1,
      sym_attribute,
    STATE(18867), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16987), 1,
      sym_attribute,
    STATE(18873), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16988), 1,
      sym_attribute,
    STATE(18879), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737744] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16989), 1,
      sym_attribute,
    STATE(18885), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17886), 1,
      anon_sym_RBRACE,
    ACTIONS(24224), 1,
      anon_sym_SEMI,
    STATE(16990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16991), 1,
      sym_attribute,
    STATE(18891), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737795] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16992), 1,
      sym_attribute,
    STATE(18897), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16993), 1,
      sym_attribute,
    STATE(18903), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16994), 1,
      sym_attribute,
    STATE(18909), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16995), 1,
      sym_attribute,
    STATE(18915), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16996), 1,
      sym_attribute,
    STATE(18921), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16997), 1,
      sym_attribute,
    STATE(18927), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16998), 1,
      sym_attribute,
    STATE(18932), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(16999), 1,
      sym_attribute,
    STATE(18936), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17000), 1,
      sym_attribute,
    STATE(18943), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17001), 1,
      sym_attribute,
    STATE(18947), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737965] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17002), 1,
      sym_attribute,
    STATE(18953), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24226), 1,
      sym__identifier,
    ACTIONS(24228), 1,
      anon_sym_LPAREN,
    STATE(17003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24230), 1,
      anon_sym_RPAREN,
    STATE(17004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24232), 1,
      sym__identifier,
    ACTIONS(24234), 1,
      anon_sym_LPAREN,
    STATE(17005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24236), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24238), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9687), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17009), 1,
      sym_attribute,
    STATE(19198), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24240), 1,
      anon_sym_COLON_GT,
    ACTIONS(24242), 1,
      anon_sym_RPAREN,
    STATE(17010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24244), 1,
      anon_sym_EQ,
    ACTIONS(24246), 1,
      anon_sym_RPAREN,
    STATE(17011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24248), 1,
      anon_sym_EQ,
    ACTIONS(24250), 1,
      anon_sym_RPAREN,
    STATE(17012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24252), 1,
      anon_sym_DOT,
    STATE(17013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24254), 1,
      sym__identifier,
    STATE(17014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24256), 2,
      anon_sym_to,
      anon_sym_downto,
  [738197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17394), 1,
      sym__identifier,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24258), 1,
      anon_sym_DOT,
    STATE(17017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24260), 1,
      anon_sym_DOT,
    STATE(17018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__capitalized_identifier,
    STATE(16044), 1,
      sym_extended_module_path,
    STATE(17019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24262), 2,
      anon_sym_to,
      anon_sym_downto,
  [738280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22670), 1,
      anon_sym_then,
    STATE(8326), 1,
      sym_then_clause,
    STATE(17021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24264), 1,
      anon_sym_SEMI,
    ACTIONS(24266), 1,
      anon_sym_RBRACE,
    STATE(17022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738314] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(12201), 1,
      sym_then_clause,
    STATE(17023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738331] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11364), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [738346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24268), 1,
      sym__identifier,
    ACTIONS(24270), 1,
      anon_sym_LPAREN,
    STATE(17025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24272), 1,
      anon_sym_SEMI,
    ACTIONS(24274), 1,
      anon_sym_RBRACE,
    STATE(17026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738380] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11166), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [738395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22740), 1,
      anon_sym_then,
    STATE(7998), 1,
      sym_then_clause,
    STATE(17028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23092), 1,
      anon_sym_then,
    STATE(8178), 1,
      sym_then_clause,
    STATE(17029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23030), 1,
      anon_sym_then,
    STATE(8002), 1,
      sym_then_clause,
    STATE(17030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24276), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24278), 1,
      anon_sym_DOT,
    STATE(17032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17033), 1,
      sym_attribute,
    STATE(17599), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_COLON_GT,
    ACTIONS(24282), 1,
      anon_sym_RPAREN,
    STATE(17034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24284), 1,
      anon_sym_RPAREN,
    STATE(17035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24286), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10023), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24288), 1,
      sym__identifier,
    STATE(17038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17948), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [738593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22722), 1,
      anon_sym_then,
    STATE(12205), 1,
      sym_then_clause,
    STATE(17040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(24290), 1,
      anon_sym_DASH_GT,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24292), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24294), 1,
      anon_sym_RPAREN,
    ACTIONS(24296), 1,
      anon_sym_LT_DASH,
    STATE(17043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24298), 1,
      sym__identifier,
    STATE(17044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22956), 1,
      anon_sym_then,
    STATE(8281), 1,
      sym_then_clause,
    STATE(17045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24300), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24302), 2,
      anon_sym_to,
      anon_sym_downto,
  [738723] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11368), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [738738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23620), 1,
      anon_sym_do,
    STATE(7993), 1,
      sym_do_clause,
    STATE(17049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24304), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738770] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17920), 1,
      anon_sym_RBRACE,
    ACTIONS(24306), 1,
      anon_sym_SEMI,
    STATE(17051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24308), 2,
      anon_sym_to,
      anon_sym_downto,
  [738802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24310), 1,
      anon_sym_RPAREN,
    ACTIONS(24312), 1,
      anon_sym_LT_DASH,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17054), 1,
      sym_attribute,
    STATE(17535), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9819), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24314), 1,
      sym__identifier,
    STATE(17056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24316), 1,
      anon_sym_RPAREN,
    ACTIONS(24318), 1,
      anon_sym_LT_DASH,
    STATE(17057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8578), 1,
      anon_sym_COLON_GT,
    ACTIONS(8580), 1,
      anon_sym_EQ,
    STATE(17058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24320), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [738919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24322), 1,
      anon_sym_COLON_GT,
    ACTIONS(24324), 1,
      anon_sym_RPAREN,
    STATE(17060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24326), 1,
      anon_sym_RPAREN,
    STATE(17061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24328), 1,
      anon_sym_COLON2,
    STATE(11924), 1,
      sym__polymorphic_typed,
    STATE(17062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24330), 1,
      anon_sym_RPAREN,
    ACTIONS(24332), 1,
      anon_sym_COLON_COLON,
    STATE(17063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24334), 1,
      anon_sym_RPAREN,
    ACTIONS(24336), 1,
      anon_sym_LT_DASH,
    STATE(17064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24338), 1,
      anon_sym_RPAREN,
    ACTIONS(24340), 1,
      anon_sym_LT_DASH,
    STATE(17065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(24342), 1,
      anon_sym_DASH_GT,
    STATE(17066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24344), 1,
      anon_sym_EQ,
    ACTIONS(24346), 1,
      anon_sym_RPAREN,
    STATE(17067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23620), 1,
      anon_sym_do,
    STATE(8027), 1,
      sym_do_clause,
    STATE(17068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24348), 1,
      anon_sym_COLON_GT,
    ACTIONS(24350), 1,
      anon_sym_RPAREN,
    STATE(17069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24352), 1,
      anon_sym_RPAREN,
    ACTIONS(24354), 1,
      anon_sym_LT_DASH,
    STATE(17070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    STATE(14713), 1,
      sym__simple_value_pattern,
    STATE(17071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24356), 2,
      anon_sym_to,
      anon_sym_downto,
  [739138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24358), 1,
      sym__identifier,
    STATE(17073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    STATE(17074), 1,
      sym_attribute,
    STATE(18011), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24360), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [739187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24362), 2,
      anon_sym_to,
      anon_sym_downto,
  [739202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16297), 1,
      anon_sym_COLON2,
    STATE(17077), 1,
      sym_attribute,
    STATE(17320), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21051), 1,
      anon_sym_EQ,
    ACTIONS(24364), 1,
      anon_sym_COLON_GT,
    STATE(17078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24366), 1,
      anon_sym_RPAREN,
    ACTIONS(24368), 1,
      anon_sym_SEMI,
    STATE(17079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24366), 1,
      anon_sym_RBRACK,
    ACTIONS(24370), 1,
      anon_sym_SEMI,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24366), 1,
      anon_sym_RBRACE,
    ACTIONS(24372), 1,
      anon_sym_SEMI,
    STATE(17081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24374), 1,
      sym__identifier,
    STATE(17082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24376), 1,
      anon_sym_COLON_GT,
    ACTIONS(24378), 1,
      anon_sym_RPAREN,
    STATE(17083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24380), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [739336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24382), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [739351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9773), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24384), 1,
      anon_sym_EQ,
    ACTIONS(24386), 1,
      anon_sym_RPAREN,
    STATE(17087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24388), 1,
      anon_sym_RPAREN,
    STATE(17088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24328), 1,
      anon_sym_COLON2,
    STATE(11770), 1,
      sym__polymorphic_typed,
    STATE(17089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739419] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    ACTIONS(24390), 1,
      aux_sym_number_token1,
    STATE(17090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24392), 1,
      anon_sym_RPAREN,
    ACTIONS(24394), 1,
      anon_sym_LT_DASH,
    STATE(17091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24396), 1,
      anon_sym_open,
    STATE(17092), 1,
      sym_attribute,
    STATE(19297), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24398), 1,
      anon_sym_DOT,
    STATE(17093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17325), 1,
      sym__identifier,
    STATE(17094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14319), 2,
      anon_sym_and,
      anon_sym_in,
  [739519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(17096), 1,
      sym_attribute,
    STATE(19535), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24400), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [739551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9644), 1,
      anon_sym_RPAREN,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    STATE(17098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24402), 1,
      sym__identifier,
    STATE(17099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17390), 1,
      sym__identifier,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24404), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [739617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24406), 2,
      anon_sym_to,
      anon_sym_downto,
  [739632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24408), 1,
      anon_sym_RPAREN,
    STATE(17103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22640), 1,
      anon_sym_then,
    STATE(11562), 1,
      sym_then_clause,
    STATE(17104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739666] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17438), 1,
      sym__identifier,
    STATE(17105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_then,
    STATE(11922), 1,
      sym_then_clause,
    STATE(17106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739700] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24410), 1,
      sym__identifier,
    ACTIONS(24412), 1,
      anon_sym_LPAREN,
    STATE(17107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24414), 1,
      anon_sym_RPAREN,
    STATE(17108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24416), 1,
      anon_sym_RPAREN,
    ACTIONS(24418), 1,
      anon_sym_LT_DASH,
    STATE(17109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24420), 1,
      sym__identifier,
    ACTIONS(24422), 1,
      anon_sym_LPAREN,
    STATE(17110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24424), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [739783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_then,
    STATE(11737), 1,
      sym_then_clause,
    STATE(17112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739800] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24426), 1,
      anon_sym_COLON_GT,
    ACTIONS(24428), 1,
      anon_sym_RPAREN,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    STATE(17114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739834] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24430), 1,
      anon_sym_COLON_GT,
    ACTIONS(24432), 1,
      anon_sym_RPAREN,
    STATE(17115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739851] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24434), 1,
      anon_sym_COLON_GT,
    ACTIONS(24436), 1,
      anon_sym_RPAREN,
    STATE(17116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_then,
    STATE(11003), 1,
      sym_then_clause,
    STATE(17117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23176), 1,
      anon_sym_do,
    STATE(8095), 1,
      sym_do_clause,
    STATE(17118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(24438), 1,
      anon_sym_RPAREN,
    STATE(17119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22664), 1,
      anon_sym_then,
    STATE(11718), 1,
      sym_then_clause,
    STATE(17120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24440), 1,
      anon_sym_COLON2,
    STATE(11770), 1,
      sym__polymorphic_typed,
    STATE(17121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24442), 1,
      sym__identifier,
    STATE(17122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24444), 1,
      sym__identifier,
    STATE(17123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9624), 1,
      anon_sym_RPAREN,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    STATE(17124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_then,
    STATE(9421), 1,
      sym_then_clause,
    STATE(17125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21047), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [740036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24446), 1,
      sym__identifier,
    ACTIONS(24448), 1,
      anon_sym_LPAREN,
    STATE(17127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24450), 1,
      sym__identifier,
    STATE(17128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9596), 1,
      anon_sym_RPAREN,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    STATE(17129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24452), 1,
      anon_sym_COLON_GT,
    ACTIONS(24454), 1,
      anon_sym_RPAREN,
    STATE(17130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17448), 1,
      anon_sym_as,
    ACTIONS(24456), 1,
      anon_sym_DASH_GT,
    STATE(17131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24458), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740136] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22930), 1,
      anon_sym_COLON2,
    STATE(12985), 1,
      sym__typed,
    STATE(17133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24460), 1,
      sym__identifier,
    ACTIONS(24462), 1,
      anon_sym_LPAREN,
    STATE(17134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23092), 1,
      anon_sym_then,
    STATE(8124), 1,
      sym_then_clause,
    STATE(17135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22950), 1,
      anon_sym_COLON2,
    STATE(12937), 1,
      sym__polymorphic_typed,
    STATE(17136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740204] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24464), 1,
      anon_sym_RPAREN,
    ACTIONS(24466), 1,
      anon_sym_LT_DASH,
    STATE(17137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24440), 1,
      anon_sym_COLON2,
    STATE(11924), 1,
      sym__polymorphic_typed,
    STATE(17138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24468), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9843), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24470), 1,
      sym__identifier,
    STATE(17141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24472), 1,
      anon_sym_RPAREN,
    ACTIONS(24474), 1,
      anon_sym_LT_DASH,
    STATE(17142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24476), 1,
      anon_sym_RPAREN,
    ACTIONS(24478), 1,
      anon_sym_LT_DASH,
    STATE(17143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24480), 1,
      anon_sym_COLON_GT,
    ACTIONS(24482), 1,
      anon_sym_RPAREN,
    STATE(17144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(24484), 1,
      anon_sym_DASH_GT,
    STATE(17145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24486), 1,
      anon_sym_EQ,
    ACTIONS(24488), 1,
      anon_sym_RPAREN,
    STATE(17146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9957), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24490), 1,
      aux_sym_type_variable_token1,
    STATE(9558), 1,
      sym_type_variable,
    STATE(17148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24492), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24494), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22678), 1,
      anon_sym_then,
    STATE(10143), 1,
      sym_then_clause,
    STATE(17151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24496), 1,
      anon_sym_SEMI,
    ACTIONS(24498), 1,
      anon_sym_RBRACE,
    STATE(17152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24500), 1,
      anon_sym_RPAREN,
    ACTIONS(24502), 1,
      anon_sym_LT_DASH,
    STATE(17153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24504), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740502] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9891), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24506), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(24508), 1,
      anon_sym_DASH_GT,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24510), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740566] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9705), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24512), 1,
      anon_sym_RPAREN,
    ACTIONS(24514), 1,
      anon_sym_LT_DASH,
    STATE(17160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      anon_sym_then,
    STATE(8185), 1,
      sym_then_clause,
    STATE(17161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24516), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24518), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9835), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24520), 1,
      anon_sym_SEMI,
    ACTIONS(24522), 1,
      anon_sym_RBRACE,
    STATE(17165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24524), 1,
      sym__identifier,
    STATE(17166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24526), 1,
      anon_sym_RPAREN,
    ACTIONS(24528), 1,
      anon_sym_LT_DASH,
    STATE(17167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_do,
    STATE(7686), 1,
      sym_do_clause,
    STATE(17168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24530), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24532), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24534), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24536), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24538), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24540), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9897), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740839] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11376), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740854] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(12065), 1,
      sym_then_clause,
    STATE(17177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24542), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [740886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24544), 1,
      sym__identifier,
    STATE(17179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24546), 1,
      sym__identifier,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17430), 1,
      sym__identifier,
    STATE(17181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17337), 1,
      sym__identifier,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24548), 1,
      anon_sym_RPAREN,
    ACTIONS(24550), 1,
      anon_sym_LT_DASH,
    STATE(17183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24552), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [740986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22720), 1,
      anon_sym_then,
    STATE(12150), 1,
      sym_then_clause,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22802), 1,
      anon_sym_then,
    STATE(11872), 1,
      sym_then_clause,
    STATE(17186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741020] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24554), 1,
      sym__identifier,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24556), 1,
      sym__identifier,
    ACTIONS(24558), 1,
      anon_sym_LPAREN,
    STATE(17188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741054] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17208), 1,
      sym__identifier,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    STATE(17189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24560), 1,
      sym__identifier,
    STATE(17190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24562), 1,
      anon_sym_COLON_GT,
    ACTIONS(24564), 1,
      anon_sym_RPAREN,
    STATE(17191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_then,
    STATE(10939), 1,
      sym_then_clause,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24566), 1,
      sym__identifier,
    ACTIONS(24568), 1,
      anon_sym_LPAREN,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24570), 1,
      sym__identifier,
    ACTIONS(24572), 1,
      anon_sym_LPAREN,
    STATE(17194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23156), 1,
      anon_sym_then,
    STATE(12160), 1,
      sym_then_clause,
    STATE(17195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24574), 1,
      anon_sym_then,
    STATE(10811), 1,
      sym_then_clause,
    STATE(17196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741190] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24576), 1,
      sym__identifier,
    STATE(17197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24578), 1,
      sym__identifier,
    STATE(17198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22854), 1,
      anon_sym_then,
    STATE(9962), 1,
      sym_then_clause,
    STATE(17199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741241] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24580), 1,
      sym__identifier,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24582), 1,
      anon_sym_COLON_GT,
    ACTIONS(24584), 1,
      anon_sym_RPAREN,
    STATE(17201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23176), 1,
      anon_sym_do,
    STATE(7973), 1,
      sym_do_clause,
    STATE(17202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24586), 1,
      anon_sym_COLON_GT,
    ACTIONS(24588), 1,
      anon_sym_RPAREN,
    STATE(17203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24590), 1,
      anon_sym_RPAREN,
    ACTIONS(24592), 1,
      anon_sym_LT_DASH,
    STATE(17204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741326] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24594), 1,
      sym__identifier,
    STATE(17205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24574), 1,
      anon_sym_then,
    STATE(10697), 1,
      sym_then_clause,
    STATE(17206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741360] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24574), 1,
      anon_sym_then,
    STATE(10900), 1,
      sym_then_clause,
    STATE(17207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22796), 1,
      anon_sym_then,
    STATE(8177), 1,
      sym_then_clause,
    STATE(17208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741394] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24574), 1,
      anon_sym_then,
    STATE(10764), 1,
      sym_then_clause,
    STATE(17209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24596), 1,
      anon_sym_RPAREN,
    ACTIONS(24598), 1,
      anon_sym_LT_DASH,
    STATE(17210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24600), 1,
      sym__identifier,
    STATE(17211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22840), 1,
      anon_sym_then,
    STATE(11790), 1,
      sym_then_clause,
    STATE(17212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24602), 1,
      anon_sym_DOT,
    STATE(17213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24604), 1,
      sym__identifier,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24606), 1,
      anon_sym_DOT,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24608), 1,
      sym__identifier,
    STATE(17216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24610), 1,
      anon_sym_DOT,
    STATE(17217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24612), 1,
      anon_sym_RPAREN,
    ACTIONS(24614), 1,
      anon_sym_LT_DASH,
    STATE(17218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23030), 1,
      anon_sym_then,
    STATE(8039), 1,
      sym_then_clause,
    STATE(17219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24616), 1,
      anon_sym_SEMI,
    ACTIONS(24618), 1,
      anon_sym_RBRACE,
    STATE(17220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741598] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17221), 1,
      sym_attribute,
    STATE(18603), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24396), 1,
      anon_sym_open,
    STATE(17222), 1,
      sym_attribute,
    STATE(19536), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24620), 1,
      sym__identifier,
    STATE(17223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24622), 1,
      sym__identifier,
    STATE(17224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741666] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24624), 1,
      sym__identifier,
    STATE(17225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23018), 1,
      anon_sym_then,
    STATE(12211), 1,
      sym_then_clause,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741700] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23030), 1,
      anon_sym_then,
    STATE(8042), 1,
      sym_then_clause,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24626), 1,
      sym__identifier,
    ACTIONS(24628), 1,
      anon_sym_LPAREN,
    STATE(17228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17229), 1,
      sym_attribute,
    STATE(17606), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8582), 1,
      anon_sym_COLON_GT,
    ACTIONS(8584), 1,
      anon_sym_EQ,
    STATE(17230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24630), 1,
      sym__capitalized_identifier,
    STATE(13107), 1,
      sym_extended_module_path,
    STATE(17231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24632), 1,
      anon_sym_RPAREN,
    ACTIONS(24634), 1,
      anon_sym_LT_DASH,
    STATE(17232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24636), 1,
      anon_sym_RPAREN,
    ACTIONS(24638), 1,
      anon_sym_LT_DASH,
    STATE(17233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24640), 1,
      anon_sym_SEMI,
    ACTIONS(24642), 1,
      anon_sym_RBRACE,
    STATE(17234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18066), 1,
      sym__identifier,
    STATE(14337), 1,
      sym__simple_value_pattern,
    STATE(17235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24644), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [741868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24646), 2,
      anon_sym__,
      sym__capitalized_identifier,
  [741883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22202), 1,
      anon_sym_EQ,
    ACTIONS(24648), 1,
      anon_sym_COLON_GT,
    STATE(17238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24650), 1,
      anon_sym_RPAREN,
    ACTIONS(24652), 1,
      anon_sym_SEMI,
    STATE(17239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24650), 1,
      anon_sym_RBRACK,
    ACTIONS(24654), 1,
      anon_sym_SEMI,
    STATE(17240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24650), 1,
      anon_sym_RBRACE,
    ACTIONS(24656), 1,
      anon_sym_SEMI,
    STATE(17241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24658), 1,
      anon_sym_RPAREN,
    ACTIONS(24660), 1,
      anon_sym_LT_DASH,
    STATE(17242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741968] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11344), 1,
      anon_sym_LPAREN,
    ACTIONS(24662), 1,
      anon_sym_DOT,
    STATE(17243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24664), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24666), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9885), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24668), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [742047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24670), 1,
      anon_sym_RPAREN,
    ACTIONS(24672), 1,
      anon_sym_LT_DASH,
    STATE(17248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742064] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18562), 1,
      anon_sym_COLON2,
    STATE(17249), 1,
      sym_attribute,
    STATE(18573), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24674), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24676), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24678), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9849), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17294), 1,
      sym__identifier,
    STATE(17254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24680), 1,
      sym__identifier,
    STATE(17255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17274), 1,
      sym__identifier,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24682), 1,
      sym__identifier,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24396), 1,
      anon_sym_open,
    STATE(17258), 1,
      sym_attribute,
    STATE(19934), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22860), 1,
      anon_sym_then,
    STATE(11967), 1,
      sym_then_clause,
    STATE(17259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24684), 1,
      sym__identifier,
    ACTIONS(24686), 1,
      anon_sym_LPAREN,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24490), 1,
      aux_sym_type_variable_token1,
    STATE(9357), 1,
      sym_type_variable,
    STATE(17261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24688), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742294] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24690), 1,
      anon_sym_RPAREN,
    ACTIONS(24692), 1,
      anon_sym_LT_DASH,
    STATE(17263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_then,
    STATE(9350), 1,
      sym_then_clause,
    STATE(17264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24694), 1,
      anon_sym_COLON_GT,
    ACTIONS(24696), 1,
      anon_sym_RPAREN,
    STATE(17265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24698), 1,
      anon_sym_RPAREN,
    ACTIONS(24700), 1,
      anon_sym_LT_DASH,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(24702), 1,
      anon_sym_DASH_GT,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24704), 1,
      anon_sym_RPAREN,
    ACTIONS(24706), 1,
      anon_sym_LT_DASH,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742396] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22648), 1,
      anon_sym_then,
    STATE(11733), 1,
      sym_then_clause,
    STATE(17269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24708), 1,
      anon_sym_COLON_GT,
    ACTIONS(24710), 1,
      anon_sym_RPAREN,
    STATE(17270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    ACTIONS(24712), 1,
      sym__identifier,
    STATE(17271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24714), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [742462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24716), 1,
      sym__identifier,
    ACTIONS(24718), 1,
      anon_sym_LPAREN,
    STATE(17273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24720), 1,
      sym__identifier,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(24722), 1,
      sym__identifier,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    ACTIONS(17386), 1,
      sym__identifier,
    STATE(17276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24724), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [742545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24726), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [742560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16222), 1,
      anon_sym_STAR,
    ACTIONS(24728), 1,
      anon_sym_DASH_GT,
    STATE(17279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20203), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [742592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24730), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24732), 1,
      sym__identifier,
    ACTIONS(24734), 1,
      anon_sym_LPAREN,
    STATE(17282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24736), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24738), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [742654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9899), 1,
      anon_sym_RBRACK,
    ACTIONS(18354), 1,
      anon_sym_PIPE,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24740), 1,
      anon_sym_COLON_GT,
    ACTIONS(24742), 1,
      anon_sym_RPAREN,
    STATE(17286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24744), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742703] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12672), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [742718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24746), 2,
      sym__identifier,
      sym__capitalized_identifier,
  [742733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7872), 1,
      sym__left_quoted_string_delimiter,
    STATE(17290), 1,
      sym_attribute,
    STATE(20140), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24748), 1,
      anon_sym_RPAREN,
    STATE(17291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24750), 1,
      anon_sym_DQUOTE,
    STATE(17292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12720), 1,
      anon_sym_DASH_GT,
    STATE(17293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24752), 1,
      anon_sym_RPAREN,
    STATE(17294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24754), 1,
      sym__identifier,
    STATE(17295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24756), 1,
      anon_sym_DQUOTE,
    STATE(17296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24758), 1,
      anon_sym_RPAREN,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19495), 1,
      anon_sym_DASH_GT,
    STATE(17298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24760), 1,
      anon_sym_RPAREN,
    STATE(17299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13016), 1,
      anon_sym_DASH_GT,
    STATE(17300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24760), 1,
      anon_sym_RBRACK,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24760), 1,
      anon_sym_RBRACE,
    STATE(17302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24762), 1,
      anon_sym_DASH_GT,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24764), 1,
      anon_sym_DASH_GT,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_RPAREN,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24766), 1,
      sym__identifier,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24768), 1,
      anon_sym_end,
    STATE(17307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24770), 1,
      anon_sym_DOT,
    STATE(17308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11476), 1,
      anon_sym_GT,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24772), 1,
      anon_sym_RBRACE,
    STATE(17310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24774), 1,
      anon_sym_DASH_GT,
    STATE(17311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24776), 1,
      sym__identifier,
    STATE(17312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24778), 1,
      anon_sym_RBRACE,
    STATE(17313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16640), 1,
      anon_sym_RPAREN,
    STATE(17314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16558), 1,
      anon_sym_RPAREN,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24780), 1,
      anon_sym_in,
    STATE(17316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24782), 1,
      anon_sym_with,
    STATE(17317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24784), 1,
      anon_sym_with,
    STATE(17318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24786), 1,
      anon_sym_DOT,
    STATE(17319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24788), 1,
      anon_sym_RPAREN,
    STATE(17320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24790), 1,
      anon_sym_LT_DASH,
    STATE(17321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24792), 1,
      anon_sym_RBRACE,
    STATE(17322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_RBRACK,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24794), 1,
      anon_sym_RBRACK,
    STATE(17324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16454), 1,
      anon_sym_RPAREN,
    STATE(17325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24796), 1,
      anon_sym_DASH_GT,
    STATE(17326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24798), 1,
      anon_sym_with,
    STATE(17327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24800), 1,
      anon_sym_with,
    STATE(17328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17380), 1,
      anon_sym_GT,
    STATE(17329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17446), 1,
      anon_sym_GT,
    STATE(17330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24802), 1,
      anon_sym_RBRACE,
    STATE(17331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24804), 1,
      anon_sym_DOT,
    STATE(17332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24806), 1,
      anon_sym_DASH_GT,
    STATE(17333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24808), 1,
      anon_sym_in,
    STATE(17334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24810), 1,
      anon_sym_end,
    STATE(17335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24812), 1,
      anon_sym_in,
    STATE(17336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24814), 1,
      anon_sym_in,
    STATE(17337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8816), 1,
      anon_sym_DASH_GT,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24816), 1,
      anon_sym_DASH_GT,
    STATE(17339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24818), 1,
      anon_sym_RPAREN,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24820), 1,
      anon_sym_DASH_GT,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24822), 1,
      anon_sym_RBRACK,
    STATE(17342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    STATE(17343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24824), 1,
      anon_sym_RBRACE,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24826), 1,
      anon_sym_RPAREN,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11354), 1,
      anon_sym_GT,
    STATE(17346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24828), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3223), 1,
      anon_sym_RPAREN,
    STATE(17348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24830), 1,
      anon_sym_DASH_GT,
    STATE(17349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24832), 1,
      anon_sym_RPAREN,
    STATE(17350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24834), 1,
      anon_sym_RPAREN,
    STATE(17351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24836), 1,
      anon_sym_RPAREN,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24836), 1,
      anon_sym_RBRACK,
    STATE(17353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24836), 1,
      anon_sym_RBRACE,
    STATE(17354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24838), 1,
      anon_sym_DASH_GT,
    STATE(17355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24840), 1,
      anon_sym_DASH_GT,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24842), 1,
      anon_sym_DASH_GT,
    STATE(17357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22806), 1,
      anon_sym_RPAREN,
    STATE(17358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24844), 1,
      anon_sym_RPAREN,
    STATE(17359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8762), 1,
      anon_sym_DASH_GT,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24846), 1,
      anon_sym_DASH_GT,
    STATE(17361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24848), 1,
      anon_sym_RPAREN,
    STATE(17362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24850), 1,
      anon_sym_RBRACE,
    STATE(17363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24852), 1,
      anon_sym_DASH_GT,
    STATE(17364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24854), 1,
      anon_sym_in,
    STATE(17365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19696), 1,
      anon_sym_end,
    STATE(17366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24856), 1,
      anon_sym_GT,
    STATE(17367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24858), 1,
      anon_sym_RPAREN,
    STATE(17368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24860), 1,
      anon_sym_LT_DASH,
    STATE(17369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24862), 1,
      anon_sym_RPAREN,
    STATE(17370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24864), 1,
      anon_sym_end,
    STATE(17371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24866), 1,
      anon_sym_of,
    STATE(17372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24868), 1,
      anon_sym_RBRACK,
    STATE(17373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24870), 1,
      anon_sym_DOT,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24872), 1,
      anon_sym_RBRACE,
    STATE(17375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24874), 1,
      anon_sym_RPAREN,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24876), 1,
      anon_sym_LT_DASH,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24878), 1,
      anon_sym_RBRACE,
    STATE(17378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24880), 1,
      anon_sym_RBRACE,
    STATE(17379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24882), 1,
      anon_sym_GT,
    STATE(17380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16388), 1,
      anon_sym_RPAREN,
    STATE(17381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24884), 1,
      anon_sym_RBRACK,
    STATE(17382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24886), 1,
      anon_sym_with,
    STATE(17383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24888), 1,
      anon_sym_with,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24890), 1,
      anon_sym_DOT,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24892), 1,
      anon_sym_RBRACE,
    STATE(17386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24894), 1,
      anon_sym_RPAREN,
    STATE(17387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24896), 1,
      anon_sym_RPAREN,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24898), 1,
      anon_sym_RPAREN,
    STATE(17389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24900), 1,
      anon_sym_RPAREN,
    STATE(17390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24900), 1,
      anon_sym_RBRACK,
    STATE(17391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24902), 1,
      anon_sym_with,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24904), 1,
      anon_sym_with,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24900), 1,
      anon_sym_RBRACE,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24906), 1,
      anon_sym_DASH_GT,
    STATE(17395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24908), 1,
      anon_sym_DASH_GT,
    STATE(17396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24910), 1,
      anon_sym_DOT,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24912), 1,
      anon_sym_RBRACE,
    STATE(17398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24914), 1,
      anon_sym_DASH_GT,
    STATE(17399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24916), 1,
      anon_sym_RPAREN,
    STATE(17400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24918), 1,
      anon_sym_RPAREN,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24920), 1,
      anon_sym_DASH_GT,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17660), 1,
      anon_sym_RPAREN,
    STATE(17403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24922), 1,
      anon_sym_RBRACE,
    STATE(17404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24924), 1,
      anon_sym_RBRACK,
    STATE(17405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24926), 1,
      anon_sym_in,
    STATE(17406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24928), 1,
      anon_sym_end,
    STATE(17407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24930), 1,
      anon_sym_LT_DASH,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24932), 1,
      anon_sym_RPAREN,
    STATE(17409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24934), 1,
      anon_sym_RPAREN,
    STATE(17410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24934), 1,
      anon_sym_RBRACK,
    STATE(17411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24934), 1,
      anon_sym_RBRACE,
    STATE(17412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24936), 1,
      anon_sym_RPAREN,
    STATE(17413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24938), 1,
      anon_sym_RBRACK,
    STATE(17414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24940), 1,
      anon_sym_RBRACE,
    STATE(17415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24942), 1,
      anon_sym_RBRACK,
    STATE(17416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24944), 1,
      anon_sym_RBRACE,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24946), 1,
      anon_sym_RBRACE,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24948), 1,
      anon_sym_RPAREN,
    STATE(17419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24950), 1,
      anon_sym_in,
    STATE(17420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24952), 1,
      anon_sym_DASH_GT,
    STATE(17421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24954), 1,
      anon_sym_RPAREN,
    STATE(17422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24956), 1,
      anon_sym_in,
    STATE(17423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5315), 1,
      anon_sym_end,
    STATE(17424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24958), 1,
      anon_sym_RPAREN,
    STATE(17425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_in,
    STATE(17426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24962), 1,
      anon_sym_RPAREN,
    STATE(17427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24964), 1,
      anon_sym_in,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24966), 1,
      anon_sym_DOT,
    STATE(17429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RPAREN,
    STATE(17430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24968), 1,
      anon_sym_LT_DASH,
    STATE(17431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24970), 1,
      anon_sym_RBRACK,
    STATE(17432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24972), 1,
      aux_sym_number_token1,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24974), 1,
      anon_sym_in,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24976), 1,
      anon_sym_RPAREN,
    STATE(17435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24978), 1,
      anon_sym_RPAREN,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24980), 1,
      anon_sym_RBRACK,
    STATE(17437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24982), 1,
      anon_sym_with,
    STATE(17438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24984), 1,
      anon_sym_with,
    STATE(17439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24986), 1,
      anon_sym_DOT,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24988), 1,
      anon_sym_RBRACE,
    STATE(17441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16512), 1,
      anon_sym_RPAREN,
    STATE(17442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24990), 1,
      anon_sym_RPAREN,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24992), 1,
      anon_sym_in,
    STATE(17444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24994), 1,
      anon_sym_RPAREN,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24996), 1,
      anon_sym_RBRACE,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24998), 1,
      anon_sym_with,
    STATE(17447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25000), 1,
      anon_sym_with,
    STATE(17448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25002), 1,
      anon_sym_with,
    STATE(17449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25004), 1,
      anon_sym_in,
    STATE(17450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25006), 1,
      anon_sym_in,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25008), 1,
      anon_sym_DOT,
    STATE(17452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25010), 1,
      anon_sym_SQUOTE2,
    STATE(17453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25012), 1,
      anon_sym_in,
    STATE(17454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25014), 1,
      anon_sym_RPAREN,
    STATE(17455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20272), 1,
      anon_sym_GT_RBRACE,
    STATE(17456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25016), 1,
      anon_sym_RPAREN,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17672), 1,
      anon_sym_RPAREN,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    STATE(17459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25018), 1,
      anon_sym_RPAREN,
    STATE(17460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25020), 1,
      anon_sym_RPAREN,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25022), 1,
      anon_sym_DQUOTE,
    STATE(17462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25024), 1,
      anon_sym_end,
    STATE(17463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25026), 1,
      anon_sym_RPAREN,
    STATE(17464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25028), 1,
      anon_sym_RPAREN,
    STATE(17465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25028), 1,
      anon_sym_RBRACK,
    STATE(17466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25028), 1,
      anon_sym_RBRACE,
    STATE(17467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25030), 1,
      anon_sym_EQ,
    STATE(17468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20980), 1,
      anon_sym_GT_RBRACE,
    STATE(17469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25032), 1,
      anon_sym_DASH_GT,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19625), 1,
      anon_sym_end,
    STATE(17471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25034), 1,
      anon_sym_SQUOTE2,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11324), 1,
      anon_sym_GT,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25036), 1,
      anon_sym_DQUOTE,
    STATE(17474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25038), 1,
      anon_sym_DASH_GT,
    STATE(17475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25040), 1,
      sym__identifier,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19416), 1,
      anon_sym_end,
    STATE(17477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25042), 1,
      anon_sym_in,
    STATE(17478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25044), 1,
      anon_sym_SQUOTE2,
    STATE(17479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25046), 1,
      anon_sym_RBRACE,
    STATE(17480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25048), 1,
      anon_sym_DQUOTE,
    STATE(17481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23174), 1,
      anon_sym_RPAREN,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25050), 1,
      anon_sym_RBRACK,
    STATE(17483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25052), 1,
      anon_sym_DOT,
    STATE(17484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25054), 1,
      anon_sym_in,
    STATE(17485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25056), 1,
      anon_sym_RBRACE,
    STATE(17486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25058), 1,
      anon_sym_RBRACE,
    STATE(17487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21726), 1,
      anon_sym_GT_RBRACE,
    STATE(17488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15027), 1,
      anon_sym_DASH_GT,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25060), 1,
      anon_sym_RPAREN,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25062), 1,
      sym__identifier,
    STATE(17491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3171), 1,
      anon_sym_RPAREN,
    STATE(17492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25064), 1,
      anon_sym_with,
    STATE(17493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25066), 1,
      anon_sym_with,
    STATE(17494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25068), 1,
      anon_sym_DOT,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25070), 1,
      anon_sym_RBRACE,
    STATE(17496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5515), 1,
      anon_sym_RPAREN,
    STATE(17497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8696), 1,
      anon_sym_DASH_GT,
    STATE(17498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25072), 1,
      anon_sym_RBRACK,
    STATE(17499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25074), 1,
      anon_sym_RBRACE,
    STATE(17500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25076), 1,
      anon_sym_DOT,
    STATE(17501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25078), 1,
      anon_sym_with,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25080), 1,
      anon_sym_with,
    STATE(17503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17301), 1,
      anon_sym_GT,
    STATE(17504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6691), 1,
      anon_sym_end,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25082), 1,
      aux_sym_number_token1,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25084), 1,
      anon_sym_DOT,
    STATE(17507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25086), 1,
      anon_sym_RBRACE,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16590), 1,
      anon_sym_RPAREN,
    STATE(17509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21363), 1,
      anon_sym_GT_RBRACE,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25088), 1,
      anon_sym_DASH_GT,
    STATE(17511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25090), 1,
      anon_sym_DOT,
    STATE(17512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17680), 1,
      anon_sym_RPAREN,
    STATE(17513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25092), 1,
      anon_sym_RPAREN,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19221), 1,
      anon_sym_end,
    STATE(17515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25094), 1,
      anon_sym_SQUOTE2,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25096), 1,
      anon_sym_RPAREN,
    STATE(17517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25098), 1,
      anon_sym_DQUOTE,
    STATE(17518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25100), 1,
      anon_sym_RPAREN,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25102), 1,
      anon_sym_RPAREN,
    STATE(17520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25102), 1,
      anon_sym_RBRACK,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25102), 1,
      anon_sym_RBRACE,
    STATE(17522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11362), 1,
      anon_sym_GT,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17502), 1,
      anon_sym_RPAREN,
    STATE(17524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25104), 1,
      anon_sym_end,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25106), 1,
      anon_sym_in,
    STATE(17526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25108), 1,
      anon_sym_in,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25110), 1,
      anon_sym_in,
    STATE(17528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16305), 1,
      anon_sym_RPAREN,
    STATE(17529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25112), 1,
      anon_sym_in,
    STATE(17530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25114), 1,
      anon_sym_in,
    STATE(17531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25116), 1,
      sym__identifier,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25118), 1,
      anon_sym_RPAREN,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25120), 1,
      anon_sym_RPAREN,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25122), 1,
      anon_sym_RBRACE,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19805), 1,
      anon_sym_end,
    STATE(17536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12138), 1,
      anon_sym_DASH_GT,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25124), 1,
      anon_sym_RBRACE,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25126), 1,
      anon_sym_DOT,
    STATE(17539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16347), 1,
      anon_sym_RPAREN,
    STATE(17540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25128), 1,
      anon_sym_SQUOTE2,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25130), 1,
      anon_sym_DASH_GT,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25132), 1,
      anon_sym_DQUOTE,
    STATE(17543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25134), 1,
      anon_sym_RPAREN,
    STATE(17544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25136), 1,
      anon_sym_RPAREN,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25138), 1,
      anon_sym_LT_DASH,
    STATE(17546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_RPAREN,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25140), 1,
      anon_sym_with,
    STATE(17548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25142), 1,
      anon_sym_with,
    STATE(17549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25144), 1,
      anon_sym_DOT,
    STATE(17550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17313), 1,
      anon_sym_GT,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25146), 1,
      anon_sym_DASH_GT,
    STATE(17552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25148), 1,
      anon_sym_RPAREN,
    STATE(17553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25150), 1,
      anon_sym_RBRACK,
    STATE(17554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25152), 1,
      anon_sym_RBRACE,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8661), 1,
      anon_sym_DASH_GT,
    STATE(17556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25154), 1,
      anon_sym_with,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25156), 1,
      anon_sym_with,
    STATE(17558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25158), 1,
      anon_sym_RPAREN,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25160), 1,
      anon_sym_RPAREN,
    STATE(17560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25162), 1,
      anon_sym_RPAREN,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25164), 1,
      anon_sym_DOT,
    STATE(17562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25166), 1,
      anon_sym_RPAREN,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25168), 1,
      anon_sym_DOT,
    STATE(17564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25170), 1,
      anon_sym_RPAREN,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25172), 1,
      anon_sym_RBRACE,
    STATE(17566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25174), 1,
      anon_sym_RPAREN,
    STATE(17567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17702), 1,
      anon_sym_RPAREN,
    STATE(17568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25176), 1,
      anon_sym_RBRACK,
    STATE(17569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25178), 1,
      sym__identifier,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25180), 1,
      anon_sym_RPAREN,
    STATE(17571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25182), 1,
      anon_sym_RBRACE,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_in,
    STATE(17573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25186), 1,
      anon_sym_RPAREN,
    STATE(17574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25188), 1,
      anon_sym_RPAREN,
    STATE(17575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25188), 1,
      anon_sym_RBRACK,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25188), 1,
      anon_sym_RBRACE,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25190), 1,
      anon_sym_RPAREN,
    STATE(17578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11406), 1,
      anon_sym_GT,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25192), 1,
      anon_sym_RBRACK,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25194), 1,
      anon_sym_LT_DASH,
    STATE(17581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25196), 1,
      anon_sym_RBRACE,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_DOT,
    STATE(17583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25200), 1,
      anon_sym_LT_DASH,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25202), 1,
      anon_sym_RPAREN,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25204), 1,
      anon_sym_RPAREN,
    STATE(17586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25206), 1,
      anon_sym_DOT,
    STATE(17587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25208), 1,
      anon_sym_in,
    STATE(17588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25210), 1,
      anon_sym_RBRACK,
    STATE(17589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25212), 1,
      anon_sym_RBRACK,
    STATE(17590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25214), 1,
      anon_sym_DOT,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25216), 1,
      anon_sym_RPAREN,
    STATE(17592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25218), 1,
      anon_sym_RPAREN,
    STATE(17593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_DOT,
    STATE(17594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25222), 1,
      anon_sym_RBRACE,
    STATE(17595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25224), 1,
      anon_sym_done,
    STATE(17596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_RBRACE,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25228), 1,
      anon_sym_RBRACE,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25230), 1,
      anon_sym_RBRACE,
    STATE(17599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25232), 1,
      anon_sym_RPAREN,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25234), 1,
      anon_sym_RBRACK,
    STATE(17601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25236), 1,
      anon_sym_RBRACE,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25238), 1,
      anon_sym_with,
    STATE(17603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25240), 1,
      anon_sym_with,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25242), 1,
      anon_sym_DOT,
    STATE(17605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25244), 1,
      anon_sym_RBRACE,
    STATE(17606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25246), 1,
      anon_sym_end,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25248), 1,
      anon_sym_in,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25250), 1,
      anon_sym_in,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_with,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_end,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25256), 1,
      anon_sym_with,
    STATE(17612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_with,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25260), 1,
      anon_sym_in,
    STATE(17614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_RPAREN,
    STATE(17615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_RPAREN,
    STATE(17616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_DOT,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25268), 1,
      anon_sym_RPAREN,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_LT_DASH,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16610), 1,
      anon_sym_RPAREN,
    STATE(17620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25272), 1,
      anon_sym_with,
    STATE(17621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    STATE(17622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17706), 1,
      anon_sym_RPAREN,
    STATE(17623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25274), 1,
      anon_sym_DOT,
    STATE(17624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16516), 1,
      anon_sym_RPAREN,
    STATE(17625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25276), 1,
      anon_sym_LT_DASH,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_RBRACK,
    STATE(17627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25280), 1,
      anon_sym_in,
    STATE(17628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25282), 1,
      anon_sym_RPAREN,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25284), 1,
      anon_sym_RPAREN,
    STATE(17630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25284), 1,
      anon_sym_RBRACK,
    STATE(17631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25284), 1,
      anon_sym_RBRACE,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25286), 1,
      anon_sym_RBRACE,
    STATE(17633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25288), 1,
      anon_sym_in,
    STATE(17634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25290), 1,
      anon_sym_in,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25292), 1,
      anon_sym_RBRACE,
    STATE(17636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25294), 1,
      anon_sym_in,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25296), 1,
      anon_sym_DASH_GT,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_RPAREN,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25300), 1,
      anon_sym_RBRACK,
    STATE(17640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3233), 1,
      anon_sym_RPAREN,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      anon_sym_RBRACE,
    STATE(17642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25304), 1,
      anon_sym_RBRACK,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_RPAREN,
    STATE(17644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25308), 1,
      anon_sym_RBRACE,
    STATE(17645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_in,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25312), 1,
      anon_sym_in,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25314), 1,
      anon_sym_RBRACE,
    STATE(17648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25316), 1,
      anon_sym_DOT,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25318), 1,
      anon_sym_in,
    STATE(17650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20474), 1,
      anon_sym_GT_RBRACE,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21123), 1,
      anon_sym_GT_RBRACE,
    STATE(17652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25320), 1,
      anon_sym_DASH_GT,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_DASH_GT,
    STATE(17654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19483), 1,
      anon_sym_end,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25324), 1,
      anon_sym_SQUOTE2,
    STATE(17656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25326), 1,
      anon_sym_DQUOTE,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25328), 1,
      anon_sym_with,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25330), 1,
      anon_sym_with,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25332), 1,
      anon_sym_DOT,
    STATE(17660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25334), 1,
      anon_sym_in,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25336), 1,
      anon_sym_RBRACE,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25338), 1,
      anon_sym_RPAREN,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25340), 1,
      sym__identifier,
    STATE(17664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19672), 1,
      anon_sym_end,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25342), 1,
      anon_sym_SQUOTE2,
    STATE(17666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25344), 1,
      anon_sym_with,
    STATE(17667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25346), 1,
      anon_sym_with,
    STATE(17668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25348), 1,
      anon_sym_RBRACK,
    STATE(17669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25350), 1,
      anon_sym_DQUOTE,
    STATE(17670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25352), 1,
      anon_sym_in,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25354), 1,
      anon_sym_DOT,
    STATE(17672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21129), 1,
      anon_sym_GT_RBRACE,
    STATE(17673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11426), 1,
      anon_sym_GT,
    STATE(17674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25356), 1,
      anon_sym_with,
    STATE(17675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25358), 1,
      anon_sym_in,
    STATE(17676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25360), 1,
      anon_sym_with,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17716), 1,
      anon_sym_RPAREN,
    STATE(17678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19690), 1,
      anon_sym_end,
    STATE(17679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25362), 1,
      anon_sym_RPAREN,
    STATE(17680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25364), 1,
      anon_sym_SQUOTE2,
    STATE(17681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25366), 1,
      anon_sym_DQUOTE,
    STATE(17682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11496), 1,
      anon_sym_GT,
    STATE(17683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25368), 1,
      anon_sym_RPAREN,
    STATE(17684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_RPAREN,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_RBRACK,
    STATE(17686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25370), 1,
      anon_sym_RBRACE,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25372), 1,
      anon_sym_RBRACE,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25374), 1,
      anon_sym_RBRACE,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25376), 1,
      anon_sym_RPAREN,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8714), 1,
      anon_sym_DASH_GT,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25378), 1,
      sym__identifier,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16616), 1,
      anon_sym_RPAREN,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25380), 1,
      anon_sym_DOT,
    STATE(17694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20180), 1,
      anon_sym_GT_RBRACE,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25382), 1,
      anon_sym_RBRACE,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25384), 1,
      anon_sym_RPAREN,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25386), 1,
      sym__identifier,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_DQUOTE,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25390), 1,
      anon_sym_in,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8738), 1,
      anon_sym_DASH_GT,
    STATE(17701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25392), 1,
      anon_sym_end,
    STATE(17702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_in,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25396), 1,
      anon_sym_DOT,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19081), 1,
      anon_sym_end,
    STATE(17705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8671), 1,
      anon_sym_DASH_GT,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25398), 1,
      anon_sym_RPAREN,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25400), 1,
      anon_sym_RPAREN,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25402), 1,
      anon_sym_SQUOTE2,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_LT_DASH,
    STATE(17710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8700), 1,
      anon_sym_DASH_GT,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25406), 1,
      anon_sym_RBRACK,
    STATE(17712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25408), 1,
      anon_sym_with,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25410), 1,
      anon_sym_with,
    STATE(17714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25412), 1,
      anon_sym_DOT,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25414), 1,
      anon_sym_RBRACK,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25416), 1,
      anon_sym_RBRACE,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14111), 1,
      anon_sym_end,
    STATE(17718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25418), 1,
      anon_sym_DASH_GT,
    STATE(17719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25420), 1,
      anon_sym_DASH_GT,
    STATE(17720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25422), 1,
      anon_sym_RBRACE,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25424), 1,
      anon_sym_with,
    STATE(17722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25426), 1,
      anon_sym_with,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25428), 1,
      aux_sym_number_token1,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_DASH_GT,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25432), 1,
      anon_sym_in,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25434), 1,
      anon_sym_DOT,
    STATE(17727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25436), 1,
      anon_sym_LT_DASH,
    STATE(17728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17596), 1,
      anon_sym_RPAREN,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25438), 1,
      anon_sym_in,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_RPAREN,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25442), 1,
      anon_sym_in,
    STATE(17732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17720), 1,
      anon_sym_RPAREN,
    STATE(17733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25444), 1,
      anon_sym_in,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25446), 1,
      anon_sym_RBRACK,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25448), 1,
      anon_sym_end,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25450), 1,
      anon_sym_in,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_in,
    STATE(17738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25454), 1,
      anon_sym_RPAREN,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25456), 1,
      anon_sym_RPAREN,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25456), 1,
      anon_sym_RBRACK,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25456), 1,
      anon_sym_RBRACE,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25458), 1,
      anon_sym_end,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11338), 1,
      anon_sym_GT,
    STATE(17744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25460), 1,
      anon_sym_GT,
    STATE(17745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16560), 1,
      anon_sym_RPAREN,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25462), 1,
      anon_sym_RPAREN,
    STATE(17747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_RPAREN,
    STATE(17748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25466), 1,
      anon_sym_in,
    STATE(17749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16554), 1,
      anon_sym_RPAREN,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25468), 1,
      anon_sym_RBRACE,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25470), 1,
      anon_sym_RBRACE,
    STATE(17752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25472), 1,
      anon_sym_DQUOTE,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25474), 1,
      anon_sym_in,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    STATE(17756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25476), 1,
      anon_sym_in,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25478), 1,
      anon_sym_in,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_DOT,
    STATE(17759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25482), 1,
      anon_sym_DASH_GT,
    STATE(17760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25484), 1,
      anon_sym_RPAREN,
    STATE(17761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25486), 1,
      anon_sym_DASH_GT,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25488), 1,
      anon_sym_RPAREN,
    STATE(17763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25490), 1,
      sym__identifier,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25492), 1,
      anon_sym_DASH_GT,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25494), 1,
      anon_sym_RPAREN,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25496), 1,
      anon_sym_with,
    STATE(17768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25498), 1,
      anon_sym_with,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25500), 1,
      anon_sym_DOT,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25502), 1,
      anon_sym_RBRACK,
    STATE(17771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      sym__capitalized_identifier,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_RBRACE,
    STATE(17773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_RBRACE,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25510), 1,
      anon_sym_RPAREN,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25512), 1,
      anon_sym_RBRACK,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25514), 1,
      anon_sym_with,
    STATE(17777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25516), 1,
      anon_sym_with,
    STATE(17778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25518), 1,
      anon_sym_RPAREN,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_RBRACE,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25522), 1,
      anon_sym_RBRACK,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25524), 1,
      anon_sym_DOT,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_RBRACE,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25488), 1,
      anon_sym_RBRACK,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25528), 1,
      anon_sym_RPAREN,
    STATE(17785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25530), 1,
      anon_sym_DASH_GT,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25532), 1,
      anon_sym_RPAREN,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17724), 1,
      anon_sym_RPAREN,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25534), 1,
      anon_sym_RPAREN,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25536), 1,
      anon_sym_RPAREN,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25536), 1,
      anon_sym_RBRACK,
    STATE(17791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25538), 1,
      anon_sym_RPAREN,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25540), 1,
      anon_sym_in,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25542), 1,
      anon_sym_RPAREN,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25544), 1,
      anon_sym_RPAREN,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25544), 1,
      anon_sym_RBRACK,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25544), 1,
      anon_sym_RBRACE,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25536), 1,
      anon_sym_RBRACE,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25546), 1,
      anon_sym_RBRACK,
    STATE(17799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25548), 1,
      anon_sym_RPAREN,
    STATE(17800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_RPAREN,
    STATE(17801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25552), 1,
      anon_sym_DASH_GT,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25554), 1,
      anon_sym_DASH_GT,
    STATE(17803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25556), 1,
      anon_sym_RBRACK,
    STATE(17804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_RBRACE,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25560), 1,
      anon_sym_RPAREN,
    STATE(17806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25562), 1,
      anon_sym_in,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25564), 1,
      anon_sym_RPAREN,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25566), 1,
      anon_sym_DASH_GT,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25568), 1,
      anon_sym_RPAREN,
    STATE(17810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25570), 1,
      anon_sym_in,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25572), 1,
      anon_sym_RPAREN,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25574), 1,
      anon_sym_RBRACK,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25576), 1,
      anon_sym_DOT,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25488), 1,
      anon_sym_RBRACE,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25578), 1,
      anon_sym_PLUS_EQ,
    STATE(17816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25580), 1,
      anon_sym_RBRACE,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      anon_sym_RPAREN,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25584), 1,
      anon_sym_RPAREN,
    STATE(17819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25586), 1,
      anon_sym_RPAREN,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20578), 1,
      anon_sym_GT_RBRACE,
    STATE(17821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25588), 1,
      anon_sym_RBRACE,
    STATE(17822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25590), 1,
      anon_sym_with,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25592), 1,
      anon_sym_with,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_DOT,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25596), 1,
      anon_sym_RPAREN,
    STATE(17826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25598), 1,
      anon_sym_end,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25600), 1,
      anon_sym_RBRACK,
    STATE(17828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25602), 1,
      anon_sym_RPAREN,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25604), 1,
      anon_sym_RBRACK,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25606), 1,
      sym__identifier,
    STATE(17831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25608), 1,
      anon_sym_with,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25610), 1,
      anon_sym_with,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25612), 1,
      anon_sym_RPAREN,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_RBRACE,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20024), 1,
      anon_sym_end,
    STATE(17836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25616), 1,
      anon_sym_DOT,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25618), 1,
      anon_sym_SQUOTE2,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25620), 1,
      anon_sym_RPAREN,
    STATE(17839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25622), 1,
      anon_sym_GT,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25624), 1,
      anon_sym_RBRACK,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25626), 1,
      anon_sym_DQUOTE,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17736), 1,
      anon_sym_RPAREN,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16329), 1,
      anon_sym_RPAREN,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25628), 1,
      anon_sym_RBRACK,
    STATE(17845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25630), 1,
      anon_sym_RBRACE,
    STATE(17846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25632), 1,
      anon_sym_DASH_GT,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25634), 1,
      anon_sym_RBRACE,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25636), 1,
      anon_sym_RPAREN,
    STATE(17849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_RPAREN,
    STATE(17850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_RBRACK,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25638), 1,
      anon_sym_RBRACE,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25640), 1,
      anon_sym_RPAREN,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      sym__identifier,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_RPAREN,
    STATE(17855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      anon_sym_RPAREN,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_RPAREN,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25650), 1,
      anon_sym_RBRACK,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25652), 1,
      anon_sym_DASH_GT,
    STATE(17859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25654), 1,
      anon_sym_DASH_GT,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_LT_DASH,
    STATE(17861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25658), 1,
      anon_sym_DOT,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25660), 1,
      anon_sym_in,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25662), 1,
      anon_sym_RBRACK,
    STATE(17864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25664), 1,
      anon_sym_RBRACE,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25666), 1,
      anon_sym_in,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25668), 1,
      anon_sym_with,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25670), 1,
      anon_sym_with,
    STATE(17868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25672), 1,
      anon_sym_DOT,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25674), 1,
      sym__identifier,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25676), 1,
      anon_sym_in,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20615), 1,
      anon_sym_GT_RBRACE,
    STATE(17872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25678), 1,
      anon_sym_in,
    STATE(17873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25680), 1,
      anon_sym_RPAREN,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25682), 1,
      anon_sym_with,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25684), 1,
      anon_sym_with,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25686), 1,
      anon_sym_RBRACE,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19525), 1,
      anon_sym_end,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25688), 1,
      anon_sym_SQUOTE2,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_DOT,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_in,
    STATE(17881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25694), 1,
      anon_sym_RBRACE,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25696), 1,
      anon_sym_RPAREN,
    STATE(17883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25698), 1,
      anon_sym_DQUOTE,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17746), 1,
      anon_sym_RPAREN,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3235), 1,
      anon_sym_RPAREN,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25700), 1,
      anon_sym_RBRACK,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_RBRACE,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25704), 1,
      sym__capitalized_identifier,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25706), 1,
      sym__identifier,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25708), 1,
      anon_sym_RPAREN,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25710), 1,
      anon_sym_RPAREN,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25710), 1,
      anon_sym_RBRACK,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25710), 1,
      anon_sym_RBRACE,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25712), 1,
      anon_sym_RPAREN,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25714), 1,
      anon_sym_in,
    STATE(17897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_RPAREN,
    STATE(17898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25718), 1,
      anon_sym_RBRACE,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25720), 1,
      anon_sym_RPAREN,
    STATE(17900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25722), 1,
      anon_sym_RPAREN,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25724), 1,
      anon_sym_RBRACE,
    STATE(17902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25726), 1,
      anon_sym_DOT,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25728), 1,
      anon_sym_in,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8692), 1,
      anon_sym_DASH_GT,
    STATE(17905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25730), 1,
      anon_sym_RPAREN,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25732), 1,
      anon_sym_RPAREN,
    STATE(17907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25734), 1,
      anon_sym_with,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25736), 1,
      anon_sym_with,
    STATE(17909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25738), 1,
      anon_sym_DOT,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20666), 1,
      anon_sym_GT_RBRACE,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8792), 1,
      anon_sym_DASH_GT,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25740), 1,
      anon_sym_RBRACE,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25742), 1,
      anon_sym_DASH_GT,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25744), 1,
      anon_sym_in,
    STATE(17915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_with,
    STATE(17916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25748), 1,
      anon_sym_with,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21340), 1,
      anon_sym_GT_RBRACE,
    STATE(17918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_RPAREN,
    STATE(17919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17384), 1,
      anon_sym_GT,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25752), 1,
      anon_sym_DOT,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20552), 1,
      anon_sym_GT_RBRACE,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25754), 1,
      anon_sym_LT_DASH,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25756), 1,
      anon_sym_RBRACK,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19724), 1,
      anon_sym_end,
    STATE(17925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17756), 1,
      anon_sym_RPAREN,
    STATE(17926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25758), 1,
      anon_sym_SQUOTE2,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_RBRACE,
    STATE(17928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25762), 1,
      anon_sym_DQUOTE,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8782), 1,
      anon_sym_DASH_GT,
    STATE(17930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25764), 1,
      sym__identifier,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_RPAREN,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25768), 1,
      anon_sym_RPAREN,
    STATE(17933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25768), 1,
      anon_sym_RBRACK,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25768), 1,
      anon_sym_RBRACE,
    STATE(17935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25770), 1,
      anon_sym_DASH_GT,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25772), 1,
      anon_sym_RBRACE,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25774), 1,
      anon_sym_EQ,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25776), 1,
      anon_sym_in,
    STATE(17939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25778), 1,
      anon_sym_DOT,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25780), 1,
      anon_sym_RPAREN,
    STATE(17941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11484), 1,
      anon_sym_GT,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25782), 1,
      anon_sym_RPAREN,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25784), 1,
      anon_sym_DOT,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25786), 1,
      anon_sym_RBRACK,
    STATE(17945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8850), 1,
      anon_sym_DASH_GT,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25788), 1,
      anon_sym_RPAREN,
    STATE(17947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25790), 1,
      anon_sym_RBRACE,
    STATE(17948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25792), 1,
      anon_sym_with,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25794), 1,
      anon_sym_with,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25796), 1,
      anon_sym_DOT,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25798), 1,
      anon_sym_RBRACE,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25800), 1,
      anon_sym_RPAREN,
    STATE(17953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25802), 1,
      anon_sym_LT_DASH,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25804), 1,
      anon_sym_RBRACK,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8704), 1,
      anon_sym_DASH_GT,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25806), 1,
      anon_sym_with,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25808), 1,
      anon_sym_with,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25810), 1,
      anon_sym_end,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25812), 1,
      anon_sym_DASH_GT,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25814), 1,
      anon_sym_RBRACE,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_DOT,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_RPAREN,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25820), 1,
      anon_sym_RPAREN,
    STATE(17964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25822), 1,
      anon_sym_in,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25824), 1,
      anon_sym_DASH_GT,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17762), 1,
      anon_sym_RPAREN,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3221), 1,
      anon_sym_RPAREN,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8832), 1,
      anon_sym_DASH_GT,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25826), 1,
      anon_sym_DASH_GT,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25828), 1,
      sym__identifier,
    STATE(17971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25830), 1,
      anon_sym_end,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25832), 1,
      anon_sym_RPAREN,
    STATE(17973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25834), 1,
      anon_sym_RPAREN,
    STATE(17974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25834), 1,
      anon_sym_RBRACK,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25834), 1,
      anon_sym_RBRACE,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25836), 1,
      anon_sym_end,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25838), 1,
      anon_sym_done,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16378), 1,
      anon_sym_RPAREN,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25840), 1,
      sym__identifier,
    STATE(17980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19111), 1,
      anon_sym_end,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25842), 1,
      anon_sym_RBRACK,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25844), 1,
      anon_sym_RBRACE,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25846), 1,
      anon_sym_GT,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25848), 1,
      anon_sym_DOT,
    STATE(17985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_in,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25852), 1,
      anon_sym_LT_DASH,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25854), 1,
      anon_sym_in,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_in,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25858), 1,
      anon_sym_with,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25860), 1,
      anon_sym_with,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25862), 1,
      anon_sym_DOT,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25864), 1,
      anon_sym_in,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25866), 1,
      anon_sym_RPAREN,
    STATE(17994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25868), 1,
      anon_sym_RBRACK,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16474), 1,
      anon_sym_RPAREN,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25870), 1,
      anon_sym_RPAREN,
    STATE(17997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25872), 1,
      anon_sym_with,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      anon_sym_with,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25876), 1,
      anon_sym_RPAREN,
    STATE(18000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6691), 1,
      anon_sym_RPAREN,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24250), 1,
      anon_sym_RPAREN,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25878), 1,
      anon_sym_DOT,
    STATE(18003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25880), 1,
      anon_sym_RPAREN,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21149), 1,
      anon_sym_GT_RBRACE,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25882), 1,
      anon_sym_RPAREN,
    STATE(18006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25884), 1,
      anon_sym_in,
    STATE(18007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17776), 1,
      anon_sym_RPAREN,
    STATE(18008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_DASH_GT,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25888), 1,
      anon_sym_SQUOTE2,
    STATE(18010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25890), 1,
      anon_sym_RPAREN,
    STATE(18011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25892), 1,
      anon_sym_RBRACE,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25894), 1,
      anon_sym_end,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25896), 1,
      anon_sym_RPAREN,
    STATE(18014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_RPAREN,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_RBRACK,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_RBRACE,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25900), 1,
      anon_sym_RBRACE,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25902), 1,
      anon_sym_RPAREN,
    STATE(18019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25904), 1,
      anon_sym_RPAREN,
    STATE(18020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_RPAREN,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25906), 1,
      anon_sym_in,
    STATE(18022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25908), 1,
      anon_sym_RBRACK,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25910), 1,
      anon_sym_RBRACE,
    STATE(18024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25912), 1,
      anon_sym_DASH_GT,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25914), 1,
      anon_sym_DOT,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25916), 1,
      anon_sym_RPAREN,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25918), 1,
      anon_sym_RPAREN,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25920), 1,
      anon_sym_RBRACK,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25922), 1,
      anon_sym_RBRACE,
    STATE(18030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25924), 1,
      anon_sym_with,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      anon_sym_with,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25928), 1,
      anon_sym_DOT,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25930), 1,
      anon_sym_RPAREN,
    STATE(18034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20724), 1,
      anon_sym_GT_RBRACE,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25932), 1,
      anon_sym_RPAREN,
    STATE(18036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25934), 1,
      anon_sym_in,
    STATE(18037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25936), 1,
      anon_sym_DQUOTE,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25938), 1,
      anon_sym_with,
    STATE(18039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25940), 1,
      anon_sym_with,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19565), 1,
      anon_sym_end,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25942), 1,
      anon_sym_SQUOTE2,
    STATE(18042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25944), 1,
      anon_sym_DQUOTE,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25946), 1,
      anon_sym_DOT,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_DOT,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25950), 1,
      anon_sym_RBRACK,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25952), 1,
      anon_sym_in,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19666), 1,
      anon_sym_end,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17790), 1,
      anon_sym_RPAREN,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16386), 1,
      anon_sym_RPAREN,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25954), 1,
      anon_sym_RBRACE,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25956), 1,
      anon_sym_RPAREN,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25958), 1,
      sym__identifier,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      anon_sym_RPAREN,
    STATE(18054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25962), 1,
      anon_sym_RPAREN,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25964), 1,
      anon_sym_RPAREN,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25964), 1,
      anon_sym_RBRACK,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25964), 1,
      anon_sym_RBRACE,
    STATE(18058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25966), 1,
      anon_sym_RBRACK,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_RBRACE,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25970), 1,
      anon_sym_RPAREN,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25972), 1,
      anon_sym_RPAREN,
    STATE(18062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_RBRACK,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25976), 1,
      anon_sym_RBRACE,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25978), 1,
      anon_sym_SQUOTE2,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25980), 1,
      anon_sym_DOT,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25982), 1,
      anon_sym_DOT,
    STATE(18067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25984), 1,
      anon_sym_DQUOTE,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25986), 1,
      anon_sym_RPAREN,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11514), 1,
      anon_sym_GT,
    STATE(18070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25988), 1,
      anon_sym_RPAREN,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25990), 1,
      anon_sym_with,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25992), 1,
      anon_sym_with,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25994), 1,
      anon_sym_DOT,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      anon_sym_RBRACE,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25998), 1,
      anon_sym_DOT,
    STATE(18076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      anon_sym_RPAREN,
    STATE(18077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26000), 1,
      anon_sym_RBRACE,
    STATE(18078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26002), 1,
      anon_sym_RPAREN,
    STATE(18079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      anon_sym_with,
    STATE(18080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26006), 1,
      anon_sym_with,
    STATE(18081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26008), 1,
      anon_sym_RPAREN,
    STATE(18082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26010), 1,
      anon_sym_DASH_GT,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26012), 1,
      anon_sym_GT,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26014), 1,
      anon_sym_DOT,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26016), 1,
      anon_sym_RPAREN,
    STATE(18086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26018), 1,
      anon_sym_with,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26020), 1,
      anon_sym_in,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26022), 1,
      anon_sym_RPAREN,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17798), 1,
      anon_sym_RPAREN,
    STATE(18090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_RBRACK,
    STATE(18091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26026), 1,
      anon_sym_RBRACK,
    STATE(18092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26028), 1,
      anon_sym_RBRACE,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26030), 1,
      anon_sym_in,
    STATE(18094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26032), 1,
      anon_sym_in,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26034), 1,
      anon_sym_RPAREN,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26036), 1,
      anon_sym_RPAREN,
    STATE(18097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26036), 1,
      anon_sym_RBRACK,
    STATE(18098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26036), 1,
      anon_sym_RBRACE,
    STATE(18099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8720), 1,
      anon_sym_DASH_GT,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26038), 1,
      anon_sym_in,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26040), 1,
      anon_sym_RPAREN,
    STATE(18102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26042), 1,
      anon_sym_with,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19652), 1,
      anon_sym_DASH_GT,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    STATE(18105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_RPAREN,
    STATE(18106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26046), 1,
      sym__identifier,
    STATE(18107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26048), 1,
      anon_sym_DOT,
    STATE(18108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26050), 1,
      anon_sym_with,
    STATE(18109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26052), 1,
      anon_sym_DOT,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26054), 1,
      anon_sym_RPAREN,
    STATE(18111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26056), 1,
      anon_sym_in,
    STATE(18112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26058), 1,
      anon_sym_with,
    STATE(18113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26060), 1,
      anon_sym_with,
    STATE(18114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26062), 1,
      anon_sym_DOT,
    STATE(18115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26064), 1,
      anon_sym_DASH_GT,
    STATE(18116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26066), 1,
      anon_sym_RBRACE,
    STATE(18117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_end,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26070), 1,
      anon_sym_RPAREN,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26072), 1,
      anon_sym_RPAREN,
    STATE(18120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26074), 1,
      anon_sym_with,
    STATE(18121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26076), 1,
      anon_sym_with,
    STATE(18122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26078), 1,
      anon_sym_RBRACK,
    STATE(18123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26080), 1,
      anon_sym_DASH_GT,
    STATE(18124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26082), 1,
      anon_sym_end,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26084), 1,
      anon_sym_DOT,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26086), 1,
      sym__identifier,
    STATE(18127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20417), 1,
      anon_sym_GT_RBRACE,
    STATE(18128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16361), 1,
      anon_sym_RPAREN,
    STATE(18129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26088), 1,
      anon_sym_DOT_DOT,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17802), 1,
      anon_sym_RPAREN,
    STATE(18131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26090), 1,
      anon_sym_SQUOTE2,
    STATE(18132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19471), 1,
      anon_sym_end,
    STATE(18133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26092), 1,
      anon_sym_DOT_DOT,
    STATE(18134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26094), 1,
      anon_sym_DQUOTE,
    STATE(18135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26096), 1,
      anon_sym_RBRACE,
    STATE(18136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26098), 1,
      anon_sym_RPAREN,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26100), 1,
      anon_sym_RPAREN,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26100), 1,
      anon_sym_RBRACK,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26100), 1,
      anon_sym_RBRACE,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26102), 1,
      anon_sym_GT,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26104), 1,
      anon_sym_RPAREN,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26106), 1,
      anon_sym_RBRACE,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26108), 1,
      anon_sym_SQUOTE2,
    STATE(18144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16662), 1,
      anon_sym_RPAREN,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26110), 1,
      anon_sym_DOT_DOT,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26112), 1,
      anon_sym_DQUOTE,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26114), 1,
      anon_sym_RPAREN,
    STATE(18148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26116), 1,
      anon_sym_DOT,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26118), 1,
      anon_sym_DOT,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8708), 1,
      anon_sym_DASH_GT,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26120), 1,
      anon_sym_RBRACK,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26122), 1,
      anon_sym_RPAREN,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26124), 1,
      anon_sym_with,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26126), 1,
      anon_sym_with,
    STATE(18155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26128), 1,
      anon_sym_DOT,
    STATE(18156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26130), 1,
      anon_sym_RPAREN,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26132), 1,
      anon_sym_DASH_GT,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26134), 1,
      anon_sym_RPAREN,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19511), 1,
      anon_sym_end,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26136), 1,
      anon_sym_RBRACK,
    STATE(18161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26138), 1,
      anon_sym_with,
    STATE(18162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26140), 1,
      anon_sym_with,
    STATE(18163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26142), 1,
      sym__identifier,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26144), 1,
      anon_sym_RPAREN,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26146), 1,
      anon_sym_RBRACE,
    STATE(18166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26148), 1,
      anon_sym_DOT,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26150), 1,
      anon_sym_with,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26152), 1,
      anon_sym_RBRACE,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26154), 1,
      anon_sym_with,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26156), 1,
      anon_sym_RPAREN,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_RPAREN,
    STATE(18172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26158), 1,
      anon_sym_DASH_GT,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26160), 1,
      sym__identifier,
    STATE(18174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26162), 1,
      anon_sym_RBRACK,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26164), 1,
      anon_sym_RBRACE,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_DASH_GT,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26168), 1,
      anon_sym_RPAREN,
    STATE(18178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26170), 1,
      anon_sym_RPAREN,
    STATE(18179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26170), 1,
      anon_sym_RBRACK,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26170), 1,
      anon_sym_RBRACE,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26172), 1,
      anon_sym_RPAREN,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26174), 1,
      anon_sym_RPAREN,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26176), 1,
      anon_sym_RBRACE,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26178), 1,
      anon_sym_DASH_GT,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26180), 1,
      anon_sym_DOT,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26182), 1,
      anon_sym_RBRACE,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26184), 1,
      anon_sym_RPAREN,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26186), 1,
      anon_sym_RPAREN,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26188), 1,
      anon_sym_DOT,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26190), 1,
      anon_sym_RBRACE,
    STATE(18191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26192), 1,
      anon_sym_RPAREN,
    STATE(18192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26194), 1,
      anon_sym_RPAREN,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26196), 1,
      anon_sym_RPAREN,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26198), 1,
      anon_sym_with,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26200), 1,
      anon_sym_with,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26202), 1,
      anon_sym_DOT,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26204), 1,
      anon_sym_DASH_GT,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8667), 1,
      anon_sym_DASH_GT,
    STATE(18199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26206), 1,
      anon_sym_RPAREN,
    STATE(18200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26208), 1,
      anon_sym_GT,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26210), 1,
      anon_sym_RPAREN,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26212), 1,
      anon_sym_with,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26214), 1,
      anon_sym_with,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26216), 1,
      anon_sym_RPAREN,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26218), 1,
      anon_sym_RBRACK,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26220), 1,
      anon_sym_RBRACE,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26222), 1,
      anon_sym_DOT,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16604), 1,
      anon_sym_RPAREN,
    STATE(18209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26224), 1,
      anon_sym_SQUOTE2,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26226), 1,
      anon_sym_RBRACK,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26228), 1,
      anon_sym_RPAREN,
    STATE(18212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17818), 1,
      anon_sym_RPAREN,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RPAREN,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26232), 1,
      anon_sym_DASH_GT,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26234), 1,
      anon_sym_RBRACE,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23810), 1,
      anon_sym_RBRACE,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26236), 1,
      anon_sym_DASH_GT,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26238), 1,
      anon_sym_RPAREN,
    STATE(18219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26240), 1,
      anon_sym_RPAREN,
    STATE(18220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26240), 1,
      anon_sym_RBRACK,
    STATE(18221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26240), 1,
      anon_sym_RBRACE,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26242), 1,
      anon_sym_RPAREN,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23826), 1,
      anon_sym_RBRACE,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26244), 1,
      anon_sym_RBRACK,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_RPAREN,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26246), 1,
      anon_sym_RBRACE,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26248), 1,
      anon_sym_RPAREN,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26250), 1,
      anon_sym_in,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26252), 1,
      anon_sym_in,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26254), 1,
      anon_sym_DOT,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26256), 1,
      anon_sym_RPAREN,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26258), 1,
      anon_sym_in,
    STATE(18233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20062), 1,
      anon_sym_GT_RBRACE,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26260), 1,
      anon_sym_RPAREN,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26262), 1,
      anon_sym_with,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26264), 1,
      anon_sym_with,
    STATE(18237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26266), 1,
      anon_sym_DOT,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26268), 1,
      anon_sym_RBRACE,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    STATE(18240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26270), 1,
      anon_sym_in,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26272), 1,
      anon_sym_RBRACE,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19336), 1,
      anon_sym_end,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26274), 1,
      anon_sym_with,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26276), 1,
      anon_sym_with,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26278), 1,
      anon_sym_RPAREN,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26280), 1,
      anon_sym_RPAREN,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26282), 1,
      anon_sym_DASH_GT,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26284), 1,
      anon_sym_DOT,
    STATE(18249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26286), 1,
      anon_sym_RBRACE,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26288), 1,
      anon_sym_RPAREN,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26290), 1,
      anon_sym_RPAREN,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26290), 1,
      anon_sym_RBRACK,
    STATE(18253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17826), 1,
      anon_sym_RPAREN,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26292), 1,
      anon_sym_SQUOTE2,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26290), 1,
      anon_sym_RBRACE,
    STATE(18256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26294), 1,
      anon_sym_DASH_GT,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26296), 1,
      anon_sym_DQUOTE,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26298), 1,
      anon_sym_DASH_GT,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26300), 1,
      anon_sym_RPAREN,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26302), 1,
      anon_sym_RPAREN,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26302), 1,
      anon_sym_RBRACK,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26302), 1,
      anon_sym_RBRACE,
    STATE(18263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26304), 1,
      anon_sym_RBRACE,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26306), 1,
      anon_sym_RPAREN,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23142), 1,
      anon_sym_RPAREN,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26308), 1,
      anon_sym_DASH_GT,
    STATE(18267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8712), 1,
      anon_sym_DASH_GT,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26310), 1,
      anon_sym_end,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11176), 1,
      anon_sym_GT,
    STATE(18270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20766), 1,
      anon_sym_GT_RBRACE,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26312), 1,
      anon_sym_DOT,
    STATE(18272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26314), 1,
      anon_sym_DASH_GT,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26316), 1,
      anon_sym_SQUOTE2,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26318), 1,
      anon_sym_end,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26320), 1,
      anon_sym_DASH_GT,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26322), 1,
      anon_sym_with,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26324), 1,
      anon_sym_with,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26326), 1,
      anon_sym_DOT,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26328), 1,
      anon_sym_RPAREN,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26330), 1,
      anon_sym_GT,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_RPAREN,
    STATE(18282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8665), 1,
      anon_sym_DASH_GT,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26334), 1,
      anon_sym_RBRACK,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26336), 1,
      anon_sym_with,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26338), 1,
      anon_sym_with,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26340), 1,
      anon_sym_RPAREN,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26342), 1,
      anon_sym_LT_DASH,
    STATE(18288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26344), 1,
      anon_sym_RPAREN,
    STATE(18289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26346), 1,
      anon_sym_DOT,
    STATE(18290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26348), 1,
      anon_sym_end,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26350), 1,
      anon_sym_RPAREN,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26352), 1,
      anon_sym_DASH_GT,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8750), 1,
      anon_sym_DASH_GT,
    STATE(18294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17838), 1,
      anon_sym_RPAREN,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26354), 1,
      anon_sym_RPAREN,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26356), 1,
      anon_sym_DQUOTE,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26358), 1,
      anon_sym_in,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26360), 1,
      anon_sym_DOT,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26362), 1,
      anon_sym_RPAREN,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26364), 1,
      anon_sym_RPAREN,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26366), 1,
      anon_sym_RPAREN,
    STATE(18302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26366), 1,
      anon_sym_RBRACK,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26366), 1,
      anon_sym_RBRACE,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26368), 1,
      sym__identifier,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26370), 1,
      anon_sym_RPAREN,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26372), 1,
      anon_sym_DOT,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6729), 1,
      anon_sym_RPAREN,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26374), 1,
      anon_sym_RBRACE,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26376), 1,
      anon_sym_RBRACK,
    STATE(18310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26378), 1,
      anon_sym_RBRACE,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26380), 1,
      anon_sym_DOT,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26382), 1,
      anon_sym_DASH_GT,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26384), 1,
      anon_sym_with,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26386), 1,
      anon_sym_RBRACK,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26388), 1,
      sym__identifier,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26390), 1,
      anon_sym_with,
    STATE(18317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26392), 1,
      anon_sym_with,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26394), 1,
      anon_sym_DOT,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26396), 1,
      anon_sym_end,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26398), 1,
      anon_sym_RBRACE,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26400), 1,
      anon_sym_RPAREN,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3241), 1,
      anon_sym_RPAREN,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26402), 1,
      anon_sym_RBRACE,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26404), 1,
      anon_sym_with,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_with,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26408), 1,
      anon_sym_SQUOTE2,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17230), 1,
      anon_sym_GT,
    STATE(18328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26410), 1,
      anon_sym_DQUOTE,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26412), 1,
      anon_sym_DOT,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26414), 1,
      anon_sym_DOT,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_DASH_GT,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8802), 1,
      anon_sym_DASH_GT,
    STATE(18333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26416), 1,
      anon_sym_RBRACE,
    STATE(18334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17848), 1,
      anon_sym_RPAREN,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26418), 1,
      anon_sym_RPAREN,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26420), 1,
      anon_sym_RBRACK,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22848), 1,
      anon_sym_RPAREN,
    STATE(18338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26422), 1,
      anon_sym_RPAREN,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26424), 1,
      sym_indexing_operator,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26426), 1,
      anon_sym_RPAREN,
    STATE(18341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26428), 1,
      anon_sym_RPAREN,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26428), 1,
      anon_sym_RBRACK,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26428), 1,
      anon_sym_RBRACE,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26430), 1,
      anon_sym_RPAREN,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16638), 1,
      anon_sym_RPAREN,
    STATE(18346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26432), 1,
      anon_sym_RPAREN,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23908), 1,
      anon_sym_RBRACE,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26434), 1,
      anon_sym_RBRACK,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26436), 1,
      anon_sym_RBRACE,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26438), 1,
      anon_sym_RPAREN,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26440), 1,
      anon_sym_DOT,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16343), 1,
      anon_sym_RPAREN,
    STATE(18353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26442), 1,
      anon_sym_RBRACE,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26444), 1,
      anon_sym_SQUOTE2,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26446), 1,
      anon_sym_with,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26448), 1,
      anon_sym_with,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26450), 1,
      anon_sym_DOT,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26452), 1,
      ts_builtin_sym_end,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26454), 1,
      anon_sym_LT_DASH,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26456), 1,
      anon_sym_DQUOTE,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26458), 1,
      anon_sym_RBRACE,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17242), 1,
      anon_sym_GT,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26460), 1,
      anon_sym_with,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26462), 1,
      anon_sym_with,
    STATE(18366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26464), 1,
      anon_sym_RPAREN,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26466), 1,
      anon_sym_DASH_GT,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26468), 1,
      anon_sym_RPAREN,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26470), 1,
      anon_sym_DOT,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26472), 1,
      anon_sym_RBRACE,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26474), 1,
      anon_sym_RPAREN,
    STATE(18372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      anon_sym_RBRACE,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26478), 1,
      anon_sym_RPAREN,
    STATE(18374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17860), 1,
      anon_sym_RPAREN,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26480), 1,
      anon_sym_RPAREN,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26482), 1,
      anon_sym_RPAREN,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26484), 1,
      anon_sym_RPAREN,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26486), 1,
      anon_sym_RBRACK,
    STATE(18379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26488), 1,
      anon_sym_RBRACE,
    STATE(18380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26490), 1,
      anon_sym_RPAREN,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26492), 1,
      anon_sym_RPAREN,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26492), 1,
      anon_sym_RBRACK,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26492), 1,
      anon_sym_RBRACE,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26494), 1,
      anon_sym_DASH_GT,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26496), 1,
      anon_sym_RPAREN,
    STATE(18386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3245), 1,
      anon_sym_RPAREN,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26498), 1,
      anon_sym_RBRACK,
    STATE(18388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26500), 1,
      anon_sym_RBRACE,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26502), 1,
      anon_sym_RBRACE,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26504), 1,
      anon_sym_DOT,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26506), 1,
      anon_sym_RBRACK,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26508), 1,
      anon_sym_RBRACE,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26510), 1,
      anon_sym_in,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26512), 1,
      anon_sym_in,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26514), 1,
      anon_sym_with,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26516), 1,
      anon_sym_with,
    STATE(18397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26518), 1,
      anon_sym_DOT,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26520), 1,
      anon_sym_in,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26522), 1,
      anon_sym_RPAREN,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16490), 1,
      anon_sym_RPAREN,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26524), 1,
      anon_sym_SQUOTE2,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26526), 1,
      anon_sym_DQUOTE,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26528), 1,
      anon_sym_with,
    STATE(18404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26530), 1,
      anon_sym_with,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26532), 1,
      anon_sym_RBRACE,
    STATE(18407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      sym__identifier,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26536), 1,
      anon_sym_DOT,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26538), 1,
      anon_sym_RPAREN,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26540), 1,
      anon_sym_RPAREN,
    STATE(18411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      anon_sym_RPAREN,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26544), 1,
      anon_sym_in,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17868), 1,
      anon_sym_RPAREN,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26546), 1,
      anon_sym_RPAREN,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26548), 1,
      anon_sym_RPAREN,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26550), 1,
      anon_sym_RPAREN,
    STATE(18417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26552), 1,
      anon_sym_RPAREN,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26554), 1,
      anon_sym_RBRACE,
    STATE(18419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26556), 1,
      anon_sym_RPAREN,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26558), 1,
      anon_sym_RPAREN,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26558), 1,
      anon_sym_RBRACK,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26558), 1,
      anon_sym_RBRACE,
    STATE(18423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26560), 1,
      anon_sym_RBRACE,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26562), 1,
      anon_sym_RBRACK,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26564), 1,
      anon_sym_RBRACE,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26566), 1,
      anon_sym_RBRACK,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26568), 1,
      anon_sym_RBRACE,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26570), 1,
      anon_sym_RPAREN,
    STATE(18429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26572), 1,
      anon_sym_DOT,
    STATE(18430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26574), 1,
      anon_sym_RBRACK,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26576), 1,
      anon_sym_RBRACE,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26578), 1,
      anon_sym_LT_DASH,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26580), 1,
      anon_sym_with,
    STATE(18435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26582), 1,
      anon_sym_with,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26584), 1,
      anon_sym_DOT,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26586), 1,
      anon_sym_SQUOTE2,
    STATE(18438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26588), 1,
      anon_sym_DQUOTE,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21000), 1,
      anon_sym_GT_RBRACE,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26590), 1,
      anon_sym_RBRACE,
    STATE(18441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26592), 1,
      anon_sym_RBRACE,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26594), 1,
      anon_sym_with,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26596), 1,
      anon_sym_with,
    STATE(18444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26598), 1,
      anon_sym_RPAREN,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19633), 1,
      anon_sym_end,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26600), 1,
      anon_sym_SQUOTE2,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26602), 1,
      anon_sym_DOT,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26604), 1,
      anon_sym_end,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26606), 1,
      anon_sym_RPAREN,
    STATE(18450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26608), 1,
      anon_sym_DOT,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26610), 1,
      anon_sym_DQUOTE,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17874), 1,
      anon_sym_RPAREN,
    STATE(18453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26612), 1,
      anon_sym_RPAREN,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26614), 1,
      anon_sym_RPAREN,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26616), 1,
      anon_sym_RBRACK,
    STATE(18456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26618), 1,
      anon_sym_RPAREN,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26620), 1,
      sym__identifier,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26622), 1,
      anon_sym_RPAREN,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26624), 1,
      anon_sym_RPAREN,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26624), 1,
      anon_sym_RBRACK,
    STATE(18461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26624), 1,
      anon_sym_RBRACE,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26626), 1,
      anon_sym_RBRACE,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26628), 1,
      anon_sym_RBRACE,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26630), 1,
      anon_sym_in,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26632), 1,
      anon_sym_RBRACK,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26634), 1,
      anon_sym_RBRACE,
    STATE(18467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26636), 1,
      anon_sym_RPAREN,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26638), 1,
      anon_sym_DOT,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16570), 1,
      anon_sym_RPAREN,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    STATE(18471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26640), 1,
      anon_sym_RBRACE,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26642), 1,
      anon_sym_SQUOTE2,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26644), 1,
      anon_sym_with,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26646), 1,
      anon_sym_with,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26648), 1,
      anon_sym_DOT,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11526), 1,
      anon_sym_GT,
    STATE(18477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26650), 1,
      anon_sym_DQUOTE,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26652), 1,
      anon_sym_RBRACE,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26654), 1,
      anon_sym_RBRACE,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26656), 1,
      anon_sym_DOT,
    STATE(18481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26658), 1,
      anon_sym_with,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26660), 1,
      anon_sym_with,
    STATE(18483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26662), 1,
      anon_sym_in,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23026), 1,
      anon_sym_RBRACE,
    STATE(18485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26664), 1,
      anon_sym_RPAREN,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26666), 1,
      anon_sym_DOT,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8824), 1,
      anon_sym_DASH_GT,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20619), 1,
      anon_sym_GT_RBRACE,
    STATE(18489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26668), 1,
      anon_sym_RBRACK,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26670), 1,
      sym__identifier,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17882), 1,
      anon_sym_RPAREN,
    STATE(18492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26672), 1,
      anon_sym_RPAREN,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26674), 1,
      anon_sym_RBRACE,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26676), 1,
      anon_sym_RPAREN,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26678), 1,
      anon_sym_with,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26680), 1,
      anon_sym_in,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26682), 1,
      anon_sym_RPAREN,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26684), 1,
      anon_sym_RPAREN,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26684), 1,
      anon_sym_RBRACK,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26684), 1,
      anon_sym_RBRACE,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26686), 1,
      anon_sym_in,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_RBRACK,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26690), 1,
      anon_sym_RBRACE,
    STATE(18504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11434), 1,
      anon_sym_GT,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8764), 1,
      anon_sym_DASH_GT,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26692), 1,
      anon_sym_RPAREN,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26694), 1,
      anon_sym_DOT,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5275), 1,
      anon_sym_end,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26696), 1,
      anon_sym_with,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3119), 1,
      anon_sym_RPAREN,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26698), 1,
      anon_sym_RBRACE,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26700), 1,
      anon_sym_with,
    STATE(18513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26702), 1,
      anon_sym_with,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26704), 1,
      anon_sym_DOT,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26706), 1,
      anon_sym_DOT,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26708), 1,
      anon_sym_SQUOTE2,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26710), 1,
      anon_sym_DQUOTE,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26712), 1,
      anon_sym_RBRACE,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26714), 1,
      aux_sym_number_token1,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26716), 1,
      anon_sym_with,
    STATE(18521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26718), 1,
      anon_sym_with,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26720), 1,
      anon_sym_DASH_GT,
    STATE(18523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26722), 1,
      anon_sym_RPAREN,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      anon_sym_end,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26726), 1,
      anon_sym_DOT,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26728), 1,
      anon_sym_RPAREN,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26730), 1,
      anon_sym_RPAREN,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26732), 1,
      anon_sym_in,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26734), 1,
      anon_sym_in,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17890), 1,
      anon_sym_RPAREN,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26736), 1,
      anon_sym_RPAREN,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26738), 1,
      anon_sym_RBRACK,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26740), 1,
      anon_sym_end,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26742), 1,
      anon_sym_RBRACE,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26744), 1,
      anon_sym_RPAREN,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26746), 1,
      anon_sym_RPAREN,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26746), 1,
      anon_sym_RBRACK,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26746), 1,
      anon_sym_RBRACE,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26748), 1,
      anon_sym_DASH_GT,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26750), 1,
      anon_sym_in,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26752), 1,
      anon_sym_RBRACK,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26754), 1,
      anon_sym_RBRACE,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26756), 1,
      anon_sym_RPAREN,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    STATE(18545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26758), 1,
      anon_sym_DOT,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26760), 1,
      anon_sym_RBRACE,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26762), 1,
      anon_sym_GT,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16634), 1,
      anon_sym_RPAREN,
    STATE(18549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26764), 1,
      anon_sym_COLON2,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26766), 1,
      anon_sym_with,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26768), 1,
      anon_sym_with,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26770), 1,
      anon_sym_DOT,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26772), 1,
      anon_sym_RBRACE,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26774), 1,
      anon_sym_done,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26776), 1,
      anon_sym_SQUOTE2,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26778), 1,
      anon_sym_DQUOTE,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26780), 1,
      anon_sym_RBRACE,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26782), 1,
      anon_sym_with,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26784), 1,
      anon_sym_with,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26786), 1,
      anon_sym_with,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26788), 1,
      anon_sym_RPAREN,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26790), 1,
      anon_sym_DASH_GT,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26792), 1,
      anon_sym_DOT,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26794), 1,
      anon_sym_RPAREN,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_with,
    STATE(18566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8900), 1,
      anon_sym_DASH_GT,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26798), 1,
      anon_sym_DOT,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17894), 1,
      anon_sym_RPAREN,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26800), 1,
      anon_sym_RPAREN,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26802), 1,
      anon_sym_RPAREN,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26804), 1,
      anon_sym_RPAREN,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26806), 1,
      anon_sym_RPAREN,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26808), 1,
      anon_sym_RPAREN,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26810), 1,
      anon_sym_RPAREN,
    STATE(18575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26810), 1,
      anon_sym_RBRACK,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26810), 1,
      anon_sym_RBRACE,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26812), 1,
      anon_sym_RPAREN,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26814), 1,
      anon_sym_RPAREN,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26816), 1,
      anon_sym_RBRACE,
    STATE(18580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26818), 1,
      anon_sym_RBRACK,
    STATE(18581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26820), 1,
      anon_sym_RBRACE,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26822), 1,
      anon_sym_RBRACK,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26824), 1,
      anon_sym_DOT,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26826), 1,
      anon_sym_DOT,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26828), 1,
      anon_sym_RBRACE,
    STATE(18586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26830), 1,
      anon_sym_RPAREN,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26832), 1,
      anon_sym_RPAREN,
    STATE(18588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26834), 1,
      anon_sym_with,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26836), 1,
      anon_sym_with,
    STATE(18590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26838), 1,
      anon_sym_DOT,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26840), 1,
      anon_sym_RPAREN,
    STATE(18592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26842), 1,
      anon_sym_RPAREN,
    STATE(18593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26844), 1,
      anon_sym_RBRACE,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26846), 1,
      anon_sym_SQUOTE2,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26848), 1,
      anon_sym_with,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26850), 1,
      anon_sym_with,
    STATE(18598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26852), 1,
      anon_sym_DQUOTE,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26854), 1,
      anon_sym_RBRACE,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26856), 1,
      anon_sym_RBRACK,
    STATE(18601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26858), 1,
      anon_sym_DOT,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26860), 1,
      anon_sym_RBRACE,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_DQUOTE,
    STATE(18604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26864), 1,
      anon_sym_in,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26866), 1,
      anon_sym_RBRACE,
    STATE(18606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17900), 1,
      anon_sym_RPAREN,
    STATE(18607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16341), 1,
      anon_sym_RPAREN,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26868), 1,
      anon_sym_RPAREN,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26870), 1,
      anon_sym_RPAREN,
    STATE(18610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26872), 1,
      anon_sym_RBRACK,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26874), 1,
      anon_sym_RPAREN,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26876), 1,
      anon_sym_RPAREN,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26876), 1,
      anon_sym_RBRACK,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26876), 1,
      anon_sym_RBRACE,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26878), 1,
      anon_sym_RBRACE,
    STATE(18616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26880), 1,
      anon_sym_RPAREN,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26882), 1,
      anon_sym_RPAREN,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26884), 1,
      anon_sym_RPAREN,
    STATE(18619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26886), 1,
      anon_sym_RPAREN,
    STATE(18620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26888), 1,
      anon_sym_RBRACE,
    STATE(18621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26890), 1,
      anon_sym_DOT,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26892), 1,
      anon_sym_DASH_GT,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26894), 1,
      anon_sym_RPAREN,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26896), 1,
      anon_sym_RBRACK,
    STATE(18625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23046), 1,
      anon_sym_RBRACE,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26898), 1,
      anon_sym_with,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26900), 1,
      anon_sym_with,
    STATE(18628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26902), 1,
      anon_sym_DOT,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26904), 1,
      anon_sym_RPAREN,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26906), 1,
      anon_sym_RPAREN,
    STATE(18631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26908), 1,
      anon_sym_RPAREN,
    STATE(18632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26910), 1,
      anon_sym_RBRACK,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26912), 1,
      anon_sym_RBRACE,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26914), 1,
      anon_sym_with,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26916), 1,
      anon_sym_with,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26918), 1,
      anon_sym_RPAREN,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_RPAREN,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26922), 1,
      anon_sym_DOT,
    STATE(18640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26924), 1,
      anon_sym_DASH_GT,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26926), 1,
      anon_sym_RBRACE,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17618), 1,
      anon_sym_RPAREN,
    STATE(18643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26928), 1,
      anon_sym_RBRACE,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17908), 1,
      anon_sym_RPAREN,
    STATE(18645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26930), 1,
      anon_sym_SQUOTE2,
    STATE(18646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26932), 1,
      anon_sym_DQUOTE,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26934), 1,
      anon_sym_RBRACE,
    STATE(18648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26936), 1,
      anon_sym_RPAREN,
    STATE(18649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26938), 1,
      anon_sym_RPAREN,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26940), 1,
      anon_sym_RPAREN,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26940), 1,
      anon_sym_RBRACK,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26940), 1,
      anon_sym_RBRACE,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26942), 1,
      anon_sym_RPAREN,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26944), 1,
      anon_sym_RPAREN,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26946), 1,
      anon_sym_RPAREN,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26948), 1,
      anon_sym_in,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26950), 1,
      anon_sym_RPAREN,
    STATE(18658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6709), 1,
      anon_sym_RPAREN,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26952), 1,
      anon_sym_DOT,
    STATE(18660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26954), 1,
      anon_sym_RBRACK,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26956), 1,
      anon_sym_RPAREN,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26958), 1,
      anon_sym_RBRACK,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26960), 1,
      anon_sym_with,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26962), 1,
      anon_sym_with,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26964), 1,
      anon_sym_DOT,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26966), 1,
      anon_sym_RBRACE,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26968), 1,
      anon_sym_with,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26970), 1,
      anon_sym_with,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26972), 1,
      anon_sym_DOT,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26974), 1,
      anon_sym_DASH_GT,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26976), 1,
      anon_sym_RPAREN,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26978), 1,
      anon_sym_RPAREN,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17916), 1,
      anon_sym_RPAREN,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26980), 1,
      anon_sym_RPAREN,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26982), 1,
      anon_sym_RPAREN,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26984), 1,
      anon_sym_RPAREN,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26984), 1,
      anon_sym_RBRACK,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26984), 1,
      anon_sym_RBRACE,
    STATE(18679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26986), 1,
      anon_sym_RBRACE,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26988), 1,
      anon_sym_SQUOTE2,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26990), 1,
      anon_sym_DQUOTE,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26992), 1,
      anon_sym_RBRACE,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26994), 1,
      anon_sym_RPAREN,
    STATE(18685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26994), 1,
      anon_sym_RBRACK,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26994), 1,
      anon_sym_RBRACE,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26996), 1,
      anon_sym_with,
    STATE(18688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26998), 1,
      anon_sym_with,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27000), 1,
      anon_sym_DOT,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27002), 1,
      anon_sym_RPAREN,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27004), 1,
      anon_sym_with,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27006), 1,
      anon_sym_with,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27008), 1,
      anon_sym_DASH_GT,
    STATE(18694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27010), 1,
      anon_sym_DASH_GT,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27012), 1,
      anon_sym_DASH_GT,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17928), 1,
      anon_sym_RPAREN,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27014), 1,
      anon_sym_RPAREN,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27016), 1,
      anon_sym_RPAREN,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_RPAREN,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_RBRACK,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27018), 1,
      anon_sym_RBRACE,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27020), 1,
      anon_sym_RPAREN,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27022), 1,
      anon_sym_RBRACE,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27024), 1,
      anon_sym_RBRACE,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27026), 1,
      anon_sym_DASH_GT,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27028), 1,
      anon_sym_RBRACK,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27030), 1,
      anon_sym_RPAREN,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23054), 1,
      anon_sym_RBRACE,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27032), 1,
      anon_sym_RBRACK,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27034), 1,
      anon_sym_RBRACE,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27036), 1,
      anon_sym_RPAREN,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27038), 1,
      anon_sym_RPAREN,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27038), 1,
      anon_sym_RBRACK,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27038), 1,
      anon_sym_RBRACE,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27040), 1,
      anon_sym_RBRACE,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27042), 1,
      anon_sym_RPAREN,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27044), 1,
      anon_sym_RPAREN,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27046), 1,
      anon_sym_DASH_GT,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27048), 1,
      anon_sym_RBRACE,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22486), 1,
      anon_sym_GT_RBRACE,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27050), 1,
      anon_sym_RPAREN,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19320), 1,
      anon_sym_end,
    STATE(18724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27052), 1,
      anon_sym_RPAREN,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27052), 1,
      anon_sym_RBRACK,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27052), 1,
      anon_sym_RBRACE,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27054), 1,
      anon_sym_SQUOTE2,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27056), 1,
      anon_sym_DQUOTE,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27058), 1,
      anon_sym_RBRACE,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27060), 1,
      anon_sym_SQUOTE2,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27062), 1,
      anon_sym_DQUOTE,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8657), 1,
      anon_sym_DASH_GT,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27064), 1,
      anon_sym_RPAREN,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27066), 1,
      anon_sym_RPAREN,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27066), 1,
      anon_sym_RBRACK,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27066), 1,
      anon_sym_RBRACE,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27068), 1,
      sym__identifier,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27070), 1,
      anon_sym_RPAREN,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23070), 1,
      anon_sym_RBRACE,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27072), 1,
      anon_sym_DASH_GT,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27074), 1,
      anon_sym_DASH_GT,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16416), 1,
      anon_sym_RPAREN,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27076), 1,
      anon_sym_RPAREN,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27078), 1,
      anon_sym_RPAREN,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27078), 1,
      anon_sym_RBRACK,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27078), 1,
      anon_sym_RBRACE,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27080), 1,
      anon_sym_RPAREN,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27082), 1,
      anon_sym_DASH_GT,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27084), 1,
      anon_sym_in,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11454), 1,
      anon_sym_GT,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17612), 1,
      anon_sym_RPAREN,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27086), 1,
      anon_sym_RBRACE,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27088), 1,
      anon_sym_RBRACE,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RPAREN,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RBRACK,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RBRACE,
    STATE(18757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19541), 1,
      anon_sym_end,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27092), 1,
      anon_sym_RBRACK,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27094), 1,
      anon_sym_RBRACE,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27096), 1,
      anon_sym_RPAREN,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27098), 1,
      anon_sym_in,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27100), 1,
      anon_sym_LT_DASH,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27102), 1,
      anon_sym_RBRACK,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27104), 1,
      anon_sym_RPAREN,
    STATE(18765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27104), 1,
      anon_sym_RBRACK,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27104), 1,
      anon_sym_RBRACE,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27106), 1,
      anon_sym_RPAREN,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27108), 1,
      anon_sym_RBRACE,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27110), 1,
      anon_sym_RBRACE,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27112), 1,
      anon_sym_in,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27114), 1,
      anon_sym_RBRACE,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27116), 1,
      anon_sym_in,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27118), 1,
      anon_sym_RPAREN,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27118), 1,
      anon_sym_RBRACK,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27118), 1,
      anon_sym_RBRACE,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27120), 1,
      anon_sym_SQUOTE2,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27122), 1,
      anon_sym_DQUOTE,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27124), 1,
      anon_sym_RBRACE,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27126), 1,
      anon_sym_in,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_LT_DASH,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27130), 1,
      anon_sym_RBRACK,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27132), 1,
      anon_sym_RPAREN,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27134), 1,
      anon_sym_RPAREN,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27134), 1,
      anon_sym_RBRACK,
    STATE(18786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27134), 1,
      anon_sym_RBRACE,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27136), 1,
      anon_sym_in,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27138), 1,
      anon_sym_RPAREN,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27140), 1,
      anon_sym_done,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27142), 1,
      sym__identifier,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27144), 1,
      anon_sym_RPAREN,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27146), 1,
      anon_sym_RBRACE,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RPAREN,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RBRACK,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27148), 1,
      anon_sym_RBRACE,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27150), 1,
      anon_sym_RPAREN,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27152), 1,
      anon_sym_RPAREN,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27154), 1,
      anon_sym_DOT,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8766), 1,
      anon_sym_DASH_GT,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27156), 1,
      anon_sym_RPAREN,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3227), 1,
      anon_sym_RPAREN,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27158), 1,
      anon_sym_RPAREN,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_RPAREN,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_RBRACK,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_RBRACE,
    STATE(18807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RBRACK,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27164), 1,
      anon_sym_RBRACE,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27166), 1,
      anon_sym_RPAREN,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27168), 1,
      sym__identifier,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17216), 1,
      anon_sym_GT,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27170), 1,
      anon_sym_GT,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27172), 1,
      anon_sym_RPAREN,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27174), 1,
      anon_sym_RPAREN,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27174), 1,
      anon_sym_RBRACK,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27174), 1,
      anon_sym_RBRACE,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27176), 1,
      anon_sym_DQUOTE,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27178), 1,
      anon_sym_RBRACE,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27180), 1,
      anon_sym_RBRACE,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_in,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27184), 1,
      anon_sym_DASH_GT,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27186), 1,
      anon_sym_with,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RPAREN,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RBRACK,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27188), 1,
      anon_sym_RBRACE,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27190), 1,
      anon_sym_RBRACK,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27192), 1,
      anon_sym_RBRACE,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27194), 1,
      anon_sym_RPAREN,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27196), 1,
      anon_sym_RBRACE,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27198), 1,
      anon_sym_RBRACE,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      sym__identifier,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27202), 1,
      anon_sym_RBRACK,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27204), 1,
      anon_sym_RBRACE,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27206), 1,
      anon_sym_with,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27208), 1,
      anon_sym_RBRACE,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27210), 1,
      anon_sym_RBRACE,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27212), 1,
      anon_sym_DOT,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27214), 1,
      anon_sym_RBRACK,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27216), 1,
      anon_sym_RBRACE,
    STATE(18841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27218), 1,
      anon_sym_in,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27220), 1,
      anon_sym_RBRACE,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27222), 1,
      anon_sym_RPAREN,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27224), 1,
      anon_sym_RBRACK,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27226), 1,
      anon_sym_RBRACK,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27228), 1,
      anon_sym_RBRACE,
    STATE(18847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27230), 1,
      anon_sym_RBRACE,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27232), 1,
      anon_sym_RBRACE,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27234), 1,
      anon_sym_RPAREN,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27236), 1,
      anon_sym_end,
    STATE(18851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27238), 1,
      anon_sym_RBRACK,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27240), 1,
      anon_sym_RBRACE,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27242), 1,
      anon_sym_RBRACE,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27244), 1,
      anon_sym_RBRACE,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27246), 1,
      anon_sym_SQUOTE2,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27248), 1,
      anon_sym_RBRACK,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27250), 1,
      anon_sym_RBRACK,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27252), 1,
      anon_sym_RBRACE,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27254), 1,
      anon_sym_RPAREN,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RBRACE,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27258), 1,
      anon_sym_with,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27260), 1,
      anon_sym_RBRACE,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27262), 1,
      anon_sym_RBRACK,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27264), 1,
      anon_sym_RBRACE,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27266), 1,
      anon_sym_with,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27268), 1,
      anon_sym_RBRACE,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7621), 1,
      anon_sym_RBRACK,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27270), 1,
      anon_sym_RPAREN,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27272), 1,
      anon_sym_RBRACK,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27274), 1,
      anon_sym_RBRACE,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27276), 1,
      anon_sym_end,
    STATE(18872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27278), 1,
      anon_sym_RBRACE,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20425), 1,
      anon_sym_GT_RBRACE,
    STATE(18874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27280), 1,
      anon_sym_GT,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27282), 1,
      anon_sym_RBRACK,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27284), 1,
      anon_sym_RBRACE,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27286), 1,
      anon_sym_DOT,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27288), 1,
      anon_sym_RBRACE,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_DQUOTE,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27292), 1,
      anon_sym_RPAREN,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27294), 1,
      anon_sym_RBRACK,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27296), 1,
      anon_sym_RBRACE,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27298), 1,
      anon_sym_DASH_GT,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27300), 1,
      anon_sym_RBRACE,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27302), 1,
      anon_sym_DASH_GT,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27304), 1,
      anon_sym_RBRACK,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27306), 1,
      anon_sym_RBRACK,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27308), 1,
      anon_sym_RBRACE,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16566), 1,
      anon_sym_RPAREN,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27310), 1,
      anon_sym_RBRACE,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19010), 1,
      anon_sym_end,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19519), 1,
      anon_sym_end,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27312), 1,
      anon_sym_RBRACK,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27314), 1,
      anon_sym_RBRACE,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20611), 1,
      anon_sym_GT_RBRACE,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27316), 1,
      anon_sym_RBRACE,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27318), 1,
      anon_sym_PIPE,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27320), 1,
      anon_sym_SQUOTE2,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27322), 1,
      anon_sym_RBRACK,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27324), 1,
      anon_sym_RBRACE,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17562), 1,
      anon_sym_RBRACK,
    STATE(18902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27326), 1,
      anon_sym_RBRACE,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      anon_sym_DQUOTE,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27330), 1,
      anon_sym_RBRACK,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27332), 1,
      anon_sym_RBRACE,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27334), 1,
      anon_sym_in,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11414), 1,
      anon_sym_GT,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27336), 1,
      anon_sym_RBRACE,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27338), 1,
      anon_sym_RBRACE,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27340), 1,
      anon_sym_RBRACK,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27342), 1,
      anon_sym_DASH_GT,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24230), 1,
      anon_sym_RBRACK,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27344), 1,
      anon_sym_RBRACE,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27346), 1,
      anon_sym_RBRACE,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27348), 1,
      sym__identifier,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19533), 1,
      anon_sym_end,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27350), 1,
      anon_sym_RBRACK,
    STATE(18918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27352), 1,
      anon_sym_RBRACE,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27354), 1,
      anon_sym_DASH_GT,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27356), 1,
      anon_sym_RBRACE,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27358), 1,
      sym__identifier,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27360), 1,
      anon_sym_RPAREN,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17624), 1,
      anon_sym_RPAREN,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27362), 1,
      anon_sym_RBRACK,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27364), 1,
      anon_sym_RBRACE,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27366), 1,
      anon_sym_RBRACE,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27368), 1,
      anon_sym_DASH_GT,
    STATE(18928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17319), 1,
      anon_sym_GT,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27370), 1,
      anon_sym_RBRACK,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27372), 1,
      anon_sym_RBRACE,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27374), 1,
      anon_sym_RBRACE,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27376), 1,
      anon_sym_RBRACE,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27378), 1,
      anon_sym_RBRACK,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27380), 1,
      anon_sym_RBRACE,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27382), 1,
      anon_sym_RBRACE,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27384), 1,
      anon_sym_RPAREN,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27386), 1,
      anon_sym_RBRACK,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27388), 1,
      anon_sym_RBRACE,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27390), 1,
      anon_sym_RPAREN,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27392), 1,
      anon_sym_DQUOTE,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27394), 1,
      sym__identifier,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27396), 1,
      anon_sym_RBRACE,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27398), 1,
      anon_sym_DASH_GT,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27400), 1,
      anon_sym_RBRACK,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27402), 1,
      anon_sym_RBRACE,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27404), 1,
      anon_sym_RBRACE,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16478), 1,
      anon_sym_RPAREN,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27406), 1,
      anon_sym_LT_DASH,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27408), 1,
      anon_sym_RBRACE,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27410), 1,
      anon_sym_RBRACK,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27412), 1,
      anon_sym_RBRACE,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27414), 1,
      anon_sym_RBRACE,
    STATE(18953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27416), 1,
      anon_sym_RBRACE,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27418), 1,
      anon_sym_RPAREN,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27420), 1,
      anon_sym_PIPE,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RPAREN,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27424), 1,
      anon_sym_RPAREN,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27426), 1,
      anon_sym_RPAREN,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27428), 1,
      anon_sym_RBRACE,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27430), 1,
      anon_sym_DASH_GT,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27432), 1,
      anon_sym_RBRACK,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27434), 1,
      anon_sym_RPAREN,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27436), 1,
      anon_sym_RBRACE,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27438), 1,
      anon_sym_RPAREN,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27440), 1,
      anon_sym_PLUS_EQ,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27442), 1,
      anon_sym_RPAREN,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27444), 1,
      anon_sym_in,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27446), 1,
      anon_sym_in,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27448), 1,
      anon_sym_DOT_DOT,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27450), 1,
      anon_sym_DOT_DOT,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27452), 1,
      anon_sym_DOT_DOT,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27454), 1,
      anon_sym_in,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27456), 1,
      anon_sym_RPAREN,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8804), 1,
      anon_sym_DASH_GT,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27458), 1,
      anon_sym_RPAREN,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27460), 1,
      anon_sym_RPAREN,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27462), 1,
      anon_sym_RPAREN,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27464), 1,
      anon_sym_RBRACK,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27466), 1,
      anon_sym_in,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27442), 1,
      anon_sym_RBRACK,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27442), 1,
      anon_sym_RBRACE,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27468), 1,
      anon_sym_COLON2,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27470), 1,
      anon_sym_DASH_GT,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27472), 1,
      anon_sym_RBRACE,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27474), 1,
      anon_sym_DASH_GT,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27476), 1,
      anon_sym_RBRACE,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27478), 1,
      anon_sym_RPAREN,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24266), 1,
      anon_sym_RBRACE,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27480), 1,
      anon_sym_DASH_GT,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27482), 1,
      anon_sym_EQ,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27484), 1,
      sym__identifier,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27486), 1,
      anon_sym_RPAREN,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24274), 1,
      anon_sym_RBRACE,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21379), 1,
      anon_sym_GT_RBRACE,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27488), 1,
      anon_sym_RPAREN,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19734), 1,
      anon_sym_end,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27490), 1,
      anon_sym_SQUOTE2,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_DQUOTE,
    STATE(18999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27494), 1,
      anon_sym_RBRACE,
    STATE(19000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27496), 1,
      anon_sym_RBRACE,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27498), 1,
      sym__identifier,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27500), 1,
      anon_sym_RPAREN,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27502), 1,
      anon_sym_SQUOTE2,
    STATE(19004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27504), 1,
      anon_sym_RBRACK,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20375), 1,
      anon_sym_GT_RBRACE,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27506), 1,
      anon_sym_DASH_GT,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27508), 1,
      anon_sym_DOT,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27510), 1,
      anon_sym_DASH_GT,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27512), 1,
      anon_sym_type,
    STATE(19010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27514), 1,
      anon_sym_PIPE,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27516), 1,
      anon_sym_in,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27518), 1,
      anon_sym_RPAREN,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11554), 1,
      anon_sym_GT,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17668), 1,
      anon_sym_DASH_GT,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27520), 1,
      anon_sym_RBRACE,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27522), 1,
      anon_sym_RPAREN,
    STATE(19017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27524), 1,
      anon_sym_DQUOTE,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27526), 1,
      anon_sym_RPAREN,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27528), 1,
      anon_sym_RBRACE,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27530), 1,
      anon_sym_RBRACK,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24284), 1,
      anon_sym_RBRACK,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27532), 1,
      anon_sym_DASH_GT,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27534), 1,
      anon_sym_DOT,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27536), 1,
      anon_sym_RPAREN,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27538), 1,
      anon_sym_DOT,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27540), 1,
      anon_sym_RBRACE,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27542), 1,
      anon_sym_RPAREN,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27544), 1,
      sym__identifier,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8774), 1,
      anon_sym_DASH_GT,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27546), 1,
      sym__identifier,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27548), 1,
      anon_sym_of,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27550), 1,
      anon_sym_end,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_end,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27554), 1,
      anon_sym_RPAREN,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27556), 1,
      anon_sym_DOT,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17428), 1,
      anon_sym_GT,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27558), 1,
      sym__identifier,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27560), 1,
      anon_sym_RPAREN,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27562), 1,
      anon_sym_DASH_GT,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27564), 1,
      anon_sym_RPAREN,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27566), 1,
      anon_sym_DASH_GT,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16654), 1,
      anon_sym_RPAREN,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27568), 1,
      sym__identifier,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27570), 1,
      anon_sym_end,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      anon_sym_DASH_GT,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27572), 1,
      anon_sym_RPAREN,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27574), 1,
      anon_sym_RPAREN,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27576), 1,
      anon_sym_end,
    STATE(19050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_RBRACK,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27580), 1,
      anon_sym_GT,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RPAREN,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27584), 1,
      anon_sym_RBRACE,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27586), 1,
      anon_sym_with,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16496), 1,
      anon_sym_RPAREN,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27588), 1,
      anon_sym_RPAREN,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27590), 1,
      anon_sym_DOT_DOT,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27592), 1,
      anon_sym_DOT_DOT,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27594), 1,
      anon_sym_DOT_DOT,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27596), 1,
      anon_sym_RPAREN,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27598), 1,
      anon_sym_RBRACE,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27600), 1,
      anon_sym_with,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27602), 1,
      anon_sym_DOT,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27604), 1,
      anon_sym_RPAREN,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27606), 1,
      anon_sym_RBRACE,
    STATE(19066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27608), 1,
      anon_sym_DASH_GT,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8675), 1,
      anon_sym_DASH_GT,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27610), 1,
      anon_sym_DASH_GT,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27612), 1,
      anon_sym_RBRACE,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27614), 1,
      anon_sym_COLON2,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27616), 1,
      anon_sym_RPAREN,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27618), 1,
      anon_sym_DOT,
    STATE(19073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27620), 1,
      anon_sym_DOT,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27622), 1,
      anon_sym_RPAREN,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27624), 1,
      anon_sym_RBRACK,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27626), 1,
      anon_sym_RBRACE,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27628), 1,
      anon_sym_RPAREN,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27630), 1,
      anon_sym_RPAREN,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27632), 1,
      anon_sym_in,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27634), 1,
      anon_sym_RPAREN,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      anon_sym_RPAREN,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27638), 1,
      anon_sym_RPAREN,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27640), 1,
      anon_sym_RPAREN,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27642), 1,
      anon_sym_RBRACE,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27644), 1,
      anon_sym_PIPE,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6709), 1,
      anon_sym_end,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27646), 1,
      anon_sym_RPAREN,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RBRACK,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27650), 1,
      anon_sym_DASH_GT,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27652), 1,
      anon_sym_RPAREN,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27654), 1,
      anon_sym_RPAREN,
    STATE(19092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27656), 1,
      anon_sym_RBRACK,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27658), 1,
      anon_sym_RBRACE,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27660), 1,
      anon_sym_LT_DASH,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27662), 1,
      anon_sym_RPAREN,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24326), 1,
      anon_sym_RBRACK,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27664), 1,
      anon_sym_RBRACK,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27666), 1,
      anon_sym_RPAREN,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27668), 1,
      anon_sym_RBRACE,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27670), 1,
      anon_sym_RBRACE,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27672), 1,
      anon_sym_RPAREN,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27674), 1,
      anon_sym_RPAREN,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27676), 1,
      anon_sym_with,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27678), 1,
      anon_sym_RPAREN,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_RPAREN,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27682), 1,
      anon_sym_RPAREN,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17373), 1,
      anon_sym_GT,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27684), 1,
      anon_sym_DOT,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_RPAREN,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27688), 1,
      anon_sym_RBRACK,
    STATE(19111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27690), 1,
      anon_sym_with,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27692), 1,
      anon_sym_DOT,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27694), 1,
      sym__identifier,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27696), 1,
      anon_sym_RBRACE,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27698), 1,
      anon_sym_RPAREN,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27700), 1,
      anon_sym_in,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27702), 1,
      anon_sym_DOT,
    STATE(19118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27704), 1,
      anon_sym_RPAREN,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27706), 1,
      anon_sym_with,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27708), 1,
      anon_sym_RBRACE,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_RPAREN,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27712), 1,
      anon_sym_with,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27714), 1,
      anon_sym_RPAREN,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27716), 1,
      sym__right_quoted_string_delimiter,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27718), 1,
      anon_sym_RBRACK,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27720), 1,
      anon_sym_RBRACK,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27722), 1,
      anon_sym_RBRACE,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27724), 1,
      anon_sym_RPAREN,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27726), 1,
      anon_sym_RPAREN,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27728), 1,
      anon_sym_RPAREN,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27730), 1,
      anon_sym_DOT_DOT,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27732), 1,
      anon_sym_DOT_DOT,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27734), 1,
      anon_sym_DOT_DOT,
    STATE(19134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27736), 1,
      anon_sym_RBRACE,
    STATE(19135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27738), 1,
      anon_sym_RBRACK,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27740), 1,
      anon_sym_DOT,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27742), 1,
      anon_sym_RPAREN,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27744), 1,
      anon_sym_RBRACE,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27746), 1,
      anon_sym_RBRACK,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27748), 1,
      anon_sym_RBRACE,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27750), 1,
      anon_sym_DOT,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_RPAREN,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_COLON2,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27756), 1,
      anon_sym_RPAREN,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17212), 1,
      sym__capitalized_identifier,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27758), 1,
      anon_sym_end,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27760), 1,
      anon_sym_with,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27762), 1,
      anon_sym_EQ,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27764), 1,
      anon_sym_with,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8844), 1,
      anon_sym_DASH_GT,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27766), 1,
      anon_sym_RPAREN,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24330), 1,
      anon_sym_RBRACK,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27768), 1,
      anon_sym_RPAREN,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5525), 1,
      anon_sym_end,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27770), 1,
      anon_sym_DOT,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27772), 1,
      aux_sym_number_token1,
    STATE(19157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27774), 1,
      anon_sym_end,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27776), 1,
      anon_sym_PIPE,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27778), 1,
      anon_sym_RPAREN,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27780), 1,
      sym__identifier,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27782), 1,
      anon_sym_RPAREN,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27784), 1,
      anon_sym_in,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_in,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27788), 1,
      anon_sym_RPAREN,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24388), 1,
      anon_sym_RBRACK,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19127), 1,
      anon_sym_end,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17365), 1,
      anon_sym_GT,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_in,
    STATE(19169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24332), 1,
      anon_sym_COLON_COLON,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27792), 1,
      anon_sym_DOT,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27794), 1,
      anon_sym_RPAREN,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27796), 1,
      anon_sym_DASH_GT,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27798), 1,
      anon_sym_RPAREN,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27800), 1,
      anon_sym_DASH_GT,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27802), 1,
      sym__identifier,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27804), 1,
      sym__identifier,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8746), 1,
      anon_sym_DASH_GT,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27806), 1,
      anon_sym_RPAREN,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27808), 1,
      anon_sym_RPAREN,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27810), 1,
      anon_sym_LT_DASH,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27812), 1,
      anon_sym_RBRACK,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27814), 1,
      anon_sym_DASH_GT,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3201), 1,
      anon_sym_RPAREN,
    STATE(19184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16568), 1,
      anon_sym_RPAREN,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27816), 1,
      anon_sym_RBRACE,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27818), 1,
      anon_sym_DOT_DOT,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27820), 1,
      anon_sym_DOT_DOT,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27822), 1,
      anon_sym_DOT_DOT,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17934), 1,
      anon_sym_RPAREN,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27824), 1,
      anon_sym_LT_DASH,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27826), 1,
      anon_sym_COLON2,
    STATE(19192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27828), 1,
      anon_sym_in,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27830), 1,
      anon_sym_DASH_GT,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22514), 1,
      anon_sym_GT_RBRACE,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27832), 1,
      anon_sym_in,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27834), 1,
      anon_sym_PIPE,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27836), 1,
      anon_sym_RBRACE,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_RPAREN,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27838), 1,
      anon_sym_in,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27840), 1,
      anon_sym_GT,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27842), 1,
      anon_sym_in,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27844), 1,
      anon_sym_RBRACE,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9644), 1,
      anon_sym_RBRACK,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27846), 1,
      anon_sym_in,
    STATE(19205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27848), 1,
      anon_sym_with,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27850), 1,
      anon_sym_RBRACK,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27852), 1,
      anon_sym_RPAREN,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27854), 1,
      anon_sym_RBRACE,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27856), 1,
      anon_sym_RPAREN,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_in,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27860), 1,
      anon_sym_in,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27862), 1,
      anon_sym_in,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27864), 1,
      sym__identifier,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_RPAREN,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27868), 1,
      anon_sym_RPAREN,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_RPAREN,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27870), 1,
      anon_sym_DOT_DOT,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27872), 1,
      anon_sym_DOT_DOT,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27874), 1,
      anon_sym_DOT_DOT,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_LT_DASH,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27878), 1,
      anon_sym_RBRACE,
    STATE(19223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27880), 1,
      anon_sym_DASH_GT,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27882), 1,
      anon_sym_end,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27884), 1,
      anon_sym_PIPE,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_in,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27888), 1,
      anon_sym_in,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27890), 1,
      anon_sym_DASH_GT,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27892), 1,
      anon_sym_LT_DASH,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27894), 1,
      anon_sym_RBRACK,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27896), 1,
      anon_sym_RPAREN,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24408), 1,
      anon_sym_RBRACK,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27898), 1,
      anon_sym_RBRACE,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27900), 1,
      anon_sym_RBRACE,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      anon_sym_RPAREN,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_RPAREN,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27906), 1,
      anon_sym_RPAREN,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27908), 1,
      anon_sym_in,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27910), 1,
      sym__identifier,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27912), 1,
      anon_sym_in,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_RBRACK,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27914), 1,
      anon_sym_in,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27916), 1,
      anon_sym_DOT_DOT,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27918), 1,
      anon_sym_DOT_DOT,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27920), 1,
      anon_sym_DOT_DOT,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27922), 1,
      anon_sym_RPAREN,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_RPAREN,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21650), 1,
      anon_sym_GT_RBRACE,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_RBRACK,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_RBRACE,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27926), 1,
      anon_sym_PIPE,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19799), 1,
      anon_sym_end,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27928), 1,
      anon_sym_SQUOTE2,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27930), 1,
      anon_sym_DQUOTE,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_RBRACE,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27932), 1,
      anon_sym_DASH_GT,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27934), 1,
      anon_sym_DASH_GT,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24414), 1,
      anon_sym_RBRACK,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27936), 1,
      anon_sym_DASH_GT,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27938), 1,
      sym__identifier,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20159), 1,
      anon_sym_GT_RBRACE,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27940), 1,
      anon_sym_DASH_GT,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18954), 1,
      anon_sym_end,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_SQUOTE2,
    STATE(19265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27944), 1,
      sym__identifier,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27946), 1,
      anon_sym_DQUOTE,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27948), 1,
      anon_sym_DASH_GT,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27950), 1,
      anon_sym_DASH_GT,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27952), 1,
      anon_sym_DOT_DOT,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27954), 1,
      anon_sym_DOT_DOT,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27956), 1,
      anon_sym_DOT_DOT,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27958), 1,
      anon_sym_RPAREN,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27960), 1,
      sym__identifier,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_GT,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27962), 1,
      anon_sym_RPAREN,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27964), 1,
      anon_sym_in,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27966), 1,
      anon_sym_PIPE,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27968), 1,
      anon_sym_RBRACE,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27970), 1,
      anon_sym_in,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27972), 1,
      anon_sym_RBRACE,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RPAREN,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27976), 1,
      anon_sym_with,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9660), 1,
      anon_sym_RBRACK,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27978), 1,
      anon_sym_RPAREN,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11534), 1,
      anon_sym_GT,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27980), 1,
      anon_sym_RBRACE,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27982), 1,
      anon_sym_RBRACE,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27984), 1,
      anon_sym_RPAREN,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27986), 1,
      sym__identifier,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      sym__identifier,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27990), 1,
      anon_sym_DOT,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27992), 1,
      anon_sym_DASH_GT,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27994), 1,
      anon_sym_DOT_DOT,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      anon_sym_DOT_DOT,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27998), 1,
      anon_sym_DOT_DOT,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28000), 1,
      anon_sym_in,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28002), 1,
      anon_sym_PIPE,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8808), 1,
      anon_sym_DASH_GT,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28004), 1,
      anon_sym_RBRACK,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28006), 1,
      anon_sym_DASH_GT,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20168), 1,
      anon_sym_GT_RBRACE,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28008), 1,
      anon_sym_RPAREN,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28010), 1,
      anon_sym_RPAREN,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24438), 1,
      anon_sym_RBRACK,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28012), 1,
      anon_sym_RBRACK,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28014), 1,
      aux_sym_number_token1,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28016), 1,
      anon_sym_RBRACE,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28018), 1,
      anon_sym_RPAREN,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28020), 1,
      anon_sym_DASH_GT,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19089), 1,
      anon_sym_end,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28022), 1,
      sym__identifier,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28024), 1,
      sym__identifier,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28026), 1,
      anon_sym_DOT_DOT,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28028), 1,
      anon_sym_DOT_DOT,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28030), 1,
      anon_sym_DOT_DOT,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8822), 1,
      anon_sym_DASH_GT,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28032), 1,
      anon_sym_PIPE,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28034), 1,
      anon_sym_RBRACK,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28036), 1,
      anon_sym_SQUOTE2,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28038), 1,
      anon_sym_DQUOTE,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_end,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_EQ,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8776), 1,
      anon_sym_DASH_GT,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9624), 1,
      anon_sym_RBRACK,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28044), 1,
      anon_sym_RBRACE,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28046), 1,
      anon_sym_RPAREN,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28048), 1,
      anon_sym_RPAREN,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28050), 1,
      anon_sym_DASH_GT,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28052), 1,
      anon_sym_RPAREN,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28054), 1,
      sym__identifier,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28056), 1,
      anon_sym_in,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28058), 1,
      anon_sym_DOT_DOT,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28060), 1,
      anon_sym_DOT_DOT,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28062), 1,
      anon_sym_DOT_DOT,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      sym__identifier,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28066), 1,
      anon_sym_PIPE,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28068), 1,
      anon_sym_GT,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16321), 1,
      anon_sym_RPAREN,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22622), 1,
      anon_sym_GT_RBRACE,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28070), 1,
      anon_sym_end,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28072), 1,
      anon_sym_RBRACE,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28074), 1,
      anon_sym_RPAREN,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28076), 1,
      anon_sym_RPAREN,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28078), 1,
      anon_sym_RPAREN,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28080), 1,
      anon_sym_RPAREN,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_GT,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5505), 1,
      anon_sym_end,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28084), 1,
      sym__identifier,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28086), 1,
      anon_sym_GT,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28088), 1,
      anon_sym_DOT_DOT,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28090), 1,
      anon_sym_DOT_DOT,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28092), 1,
      anon_sym_DOT_DOT,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16442), 1,
      anon_sym_RPAREN,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28094), 1,
      anon_sym_PIPE,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28096), 1,
      anon_sym_DASH_GT,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19306), 1,
      anon_sym_end,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12821), 1,
      anon_sym_DASH_GT,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28098), 1,
      anon_sym_SQUOTE2,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28100), 1,
      anon_sym_DQUOTE,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28102), 1,
      anon_sym_with,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28104), 1,
      anon_sym_RPAREN,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_RPAREN,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28108), 1,
      anon_sym_RBRACK,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28110), 1,
      sym__identifier,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8812), 1,
      anon_sym_DASH_GT,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28112), 1,
      anon_sym_DOT_DOT,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28114), 1,
      anon_sym_DOT_DOT,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28116), 1,
      anon_sym_DOT_DOT,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28118), 1,
      anon_sym_end,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28120), 1,
      anon_sym_PIPE,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28122), 1,
      anon_sym_RBRACE,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28124), 1,
      sym__identifier,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28126), 1,
      anon_sym_RPAREN,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28128), 1,
      anon_sym_RPAREN,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28130), 1,
      anon_sym_RPAREN,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28132), 1,
      anon_sym_RBRACK,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28134), 1,
      anon_sym_RPAREN,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28136), 1,
      anon_sym_DASH_GT,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28138), 1,
      anon_sym_RPAREN,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28140), 1,
      sym__identifier,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28142), 1,
      anon_sym_RBRACE,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28144), 1,
      anon_sym_DOT_DOT,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28146), 1,
      anon_sym_DOT_DOT,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28148), 1,
      anon_sym_DOT_DOT,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      anon_sym_RBRACE,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28152), 1,
      anon_sym_PIPE,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28154), 1,
      anon_sym_DASH_GT,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28156), 1,
      anon_sym_RPAREN,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28158), 1,
      anon_sym_in,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28160), 1,
      anon_sym_RBRACK,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18958), 1,
      anon_sym_end,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28162), 1,
      anon_sym_RPAREN,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28164), 1,
      anon_sym_RPAREN,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28166), 1,
      anon_sym_RBRACE,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28168), 1,
      anon_sym_RBRACK,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28170), 1,
      sym__identifier,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28172), 1,
      anon_sym_RBRACE,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28174), 1,
      anon_sym_DOT_DOT,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28176), 1,
      anon_sym_DOT_DOT,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_DOT_DOT,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28180), 1,
      anon_sym_RPAREN,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28182), 1,
      anon_sym_PIPE,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28184), 1,
      anon_sym_RBRACE,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28186), 1,
      anon_sym_RPAREN,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28188), 1,
      anon_sym_DOT,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28190), 1,
      anon_sym_RPAREN,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28192), 1,
      anon_sym_RPAREN,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6719), 1,
      anon_sym_RPAREN,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28194), 1,
      anon_sym_RBRACK,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28196), 1,
      anon_sym_RPAREN,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28198), 1,
      anon_sym_RPAREN,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28200), 1,
      sym__identifier,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28202), 1,
      anon_sym_RBRACE,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28204), 1,
      anon_sym_DOT_DOT,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28206), 1,
      anon_sym_DOT_DOT,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28208), 1,
      anon_sym_DOT_DOT,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28210), 1,
      anon_sym_with,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28212), 1,
      anon_sym_PIPE,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28214), 1,
      anon_sym_RPAREN,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_end,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17400), 1,
      anon_sym_GT,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28218), 1,
      anon_sym_RPAREN,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28220), 1,
      anon_sym_RBRACK,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28222), 1,
      anon_sym_DOT,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28224), 1,
      anon_sym_LT_DASH,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16396), 1,
      anon_sym_RPAREN,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28226), 1,
      sym__identifier,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16482), 1,
      anon_sym_RPAREN,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28228), 1,
      anon_sym_DOT_DOT,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28230), 1,
      anon_sym_DOT_DOT,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28232), 1,
      anon_sym_DOT_DOT,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28234), 1,
      anon_sym_DASH_GT,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28236), 1,
      anon_sym_PIPE,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28238), 1,
      anon_sym_RPAREN,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28240), 1,
      anon_sym_RPAREN,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28242), 1,
      anon_sym_RBRACK,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28244), 1,
      anon_sym_RBRACE,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28246), 1,
      anon_sym_RBRACE,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_RPAREN,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28250), 1,
      anon_sym_RPAREN,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28252), 1,
      anon_sym_RPAREN,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28254), 1,
      anon_sym_in,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28256), 1,
      sym__identifier,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24498), 1,
      anon_sym_RBRACE,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28258), 1,
      anon_sym_DOT_DOT,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      anon_sym_DOT_DOT,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28262), 1,
      anon_sym_DOT_DOT,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      anon_sym_SQUOTE2,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28266), 1,
      anon_sym_PIPE,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28268), 1,
      anon_sym_in,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28270), 1,
      sym__identifier,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28272), 1,
      anon_sym_with,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14917), 1,
      anon_sym_DASH_GT,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_with,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28276), 1,
      anon_sym_DASH_GT,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8740), 1,
      anon_sym_DASH_GT,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28278), 1,
      anon_sym_in,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28280), 1,
      anon_sym_RPAREN,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28282), 1,
      sym__identifier,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      anon_sym_DASH_GT,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28286), 1,
      anon_sym_DOT_DOT,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28288), 1,
      anon_sym_DOT_DOT,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28290), 1,
      anon_sym_DOT_DOT,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28292), 1,
      anon_sym_LT_DASH,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28294), 1,
      anon_sym_PIPE,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28296), 1,
      anon_sym_RBRACK,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8726), 1,
      anon_sym_DASH_GT,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28298), 1,
      anon_sym_RPAREN,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28300), 1,
      anon_sym_RBRACK,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28302), 1,
      anon_sym_in,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28304), 1,
      anon_sym_with,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15908), 1,
      anon_sym_DASH_GT,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28306), 1,
      anon_sym_RBRACE,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28308), 1,
      anon_sym_DOT,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28310), 1,
      sym__identifier,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28312), 1,
      anon_sym_with,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28314), 1,
      anon_sym_DOT_DOT,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28316), 1,
      anon_sym_DOT_DOT,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28318), 1,
      anon_sym_DOT_DOT,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28320), 1,
      anon_sym_RPAREN,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28322), 1,
      anon_sym_PIPE,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23210), 1,
      anon_sym_RBRACE,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28324), 1,
      anon_sym_with,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      anon_sym_DQUOTE,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28328), 1,
      anon_sym_RPAREN,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28330), 1,
      anon_sym_RPAREN,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28332), 1,
      anon_sym_RPAREN,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17412), 1,
      anon_sym_GT,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28334), 1,
      anon_sym_DASH_GT,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24522), 1,
      anon_sym_RBRACE,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      sym__identifier,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28338), 1,
      anon_sym_DASH_GT,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28340), 1,
      anon_sym_DOT_DOT,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28342), 1,
      anon_sym_DOT_DOT,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28344), 1,
      anon_sym_DOT_DOT,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_RPAREN,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28348), 1,
      anon_sym_PIPE,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28350), 1,
      anon_sym_RBRACE,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28352), 1,
      anon_sym_RPAREN,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28354), 1,
      anon_sym_with,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28356), 1,
      anon_sym_RBRACK,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28358), 1,
      anon_sym_end,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28360), 1,
      anon_sym_RBRACE,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28362), 1,
      anon_sym_RPAREN,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28364), 1,
      anon_sym_in,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28366), 1,
      anon_sym_with,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28368), 1,
      sym__identifier,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17361), 1,
      anon_sym_GT,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28370), 1,
      anon_sym_DOT_DOT,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28372), 1,
      anon_sym_DOT_DOT,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28374), 1,
      anon_sym_DOT_DOT,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28376), 1,
      anon_sym_RPAREN,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17416), 1,
      anon_sym_GT,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28378), 1,
      anon_sym_RPAREN,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28380), 1,
      anon_sym_RPAREN,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28382), 1,
      anon_sym_with,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28384), 1,
      anon_sym_end,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28386), 1,
      anon_sym_RPAREN,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_RBRACK,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      anon_sym_RBRACK,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28392), 1,
      sym__identifier,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28394), 1,
      anon_sym_DOT,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28396), 1,
      anon_sym_DOT_DOT,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28398), 1,
      anon_sym_DOT_DOT,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_DOT_DOT,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17016), 1,
      anon_sym_DASH_GT,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28402), 1,
      anon_sym_RPAREN,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28404), 1,
      anon_sym_DOT,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28406), 1,
      anon_sym_RPAREN,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28408), 1,
      anon_sym_DOT,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16596), 1,
      anon_sym_RPAREN,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28410), 1,
      anon_sym_RPAREN,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28412), 1,
      anon_sym_in,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      anon_sym_in,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28416), 1,
      anon_sym_LT_DASH,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28418), 1,
      sym__identifier,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12871), 1,
      anon_sym_DASH_GT,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28420), 1,
      anon_sym_DOT_DOT,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28422), 1,
      anon_sym_DOT_DOT,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28424), 1,
      anon_sym_DOT_DOT,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28426), 1,
      anon_sym_RPAREN,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28428), 1,
      anon_sym_GT,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28430), 1,
      anon_sym_DOT,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28432), 1,
      anon_sym_RPAREN,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28434), 1,
      anon_sym_RBRACK,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28436), 1,
      anon_sym_RBRACE,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17270), 1,
      anon_sym_GT,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28438), 1,
      anon_sym_RBRACE,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28440), 1,
      anon_sym_RBRACK,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28442), 1,
      anon_sym_DOT,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28444), 1,
      sym__identifier,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20732), 1,
      anon_sym_GT_RBRACE,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28446), 1,
      anon_sym_DOT_DOT,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28448), 1,
      anon_sym_DOT_DOT,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28450), 1,
      anon_sym_DOT_DOT,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_DASH_GT,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16267), 1,
      anon_sym_DASH_GT,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28454), 1,
      anon_sym_in,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28456), 1,
      anon_sym_RBRACK,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_RPAREN,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28460), 1,
      anon_sym_RBRACE,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28462), 1,
      anon_sym_DASH_GT,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28464), 1,
      anon_sym_in,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28466), 1,
      anon_sym_LT_DASH,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_in,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28470), 1,
      sym__identifier,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28472), 1,
      anon_sym_DOT,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28474), 1,
      anon_sym_DOT_DOT,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28476), 1,
      anon_sym_DOT_DOT,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28478), 1,
      anon_sym_DOT_DOT,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RBRACK,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28482), 1,
      anon_sym_in,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28484), 1,
      anon_sym_RPAREN,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28486), 1,
      anon_sym_RBRACE,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28488), 1,
      anon_sym_RPAREN,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28490), 1,
      anon_sym_RPAREN,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28492), 1,
      anon_sym_in,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28494), 1,
      anon_sym_in,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28496), 1,
      anon_sym_in,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28498), 1,
      anon_sym_in,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28500), 1,
      sym__identifier,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28502), 1,
      anon_sym_LT_DASH,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28504), 1,
      anon_sym_DOT_DOT,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28506), 1,
      anon_sym_DOT_DOT,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28508), 1,
      anon_sym_DOT_DOT,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28510), 1,
      anon_sym_RPAREN,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28512), 1,
      anon_sym_RPAREN,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28514), 1,
      anon_sym_LT_DASH,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28516), 1,
      anon_sym_RBRACE,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28518), 1,
      anon_sym_LT_DASH,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28520), 1,
      anon_sym_RPAREN,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28522), 1,
      anon_sym_in,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_in,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28526), 1,
      sym__identifier,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28528), 1,
      anon_sym_in,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28530), 1,
      anon_sym_DOT_DOT,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28532), 1,
      anon_sym_DOT_DOT,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28534), 1,
      anon_sym_DOT_DOT,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28536), 1,
      anon_sym_in,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_LT_DASH,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28540), 1,
      anon_sym_RBRACE,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28542), 1,
      anon_sym_RBRACK,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28544), 1,
      anon_sym_LT_DASH,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22110), 1,
      anon_sym_GT_RBRACE,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28546), 1,
      anon_sym_DASH_GT,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8730), 1,
      anon_sym_DASH_GT,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19906), 1,
      anon_sym_end,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28548), 1,
      sym__identifier,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      aux_sym_number_token1,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28552), 1,
      anon_sym_DOT_DOT,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28554), 1,
      anon_sym_DOT_DOT,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28556), 1,
      anon_sym_DOT_DOT,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28558), 1,
      anon_sym_DASH_GT,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28560), 1,
      anon_sym_SQUOTE2,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28562), 1,
      anon_sym_DQUOTE,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28564), 1,
      anon_sym_LT_DASH,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28566), 1,
      anon_sym_RBRACK,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28568), 1,
      anon_sym_RBRACE,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28570), 1,
      sym__identifier,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28572), 1,
      anon_sym_DASH_GT,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28574), 1,
      anon_sym_RBRACE,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6719), 1,
      anon_sym_end,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28576), 1,
      sym__identifier,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28578), 1,
      aux_sym_number_token1,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28580), 1,
      anon_sym_DOT_DOT,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28582), 1,
      anon_sym_DOT_DOT,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28584), 1,
      anon_sym_DOT_DOT,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28586), 1,
      anon_sym_in,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_in,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28590), 1,
      anon_sym_in,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28592), 1,
      anon_sym_RPAREN,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28594), 1,
      anon_sym_RBRACE,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11146), 1,
      anon_sym_GT,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28596), 1,
      anon_sym_RBRACK,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28598), 1,
      anon_sym_RPAREN,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28600), 1,
      anon_sym_RBRACE,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      sym__identifier,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28604), 1,
      anon_sym_in,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28606), 1,
      anon_sym_DOT_DOT,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28608), 1,
      anon_sym_DOT_DOT,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28610), 1,
      anon_sym_DOT_DOT,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28612), 1,
      anon_sym_RPAREN,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_EQ,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28616), 1,
      anon_sym_RPAREN,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28618), 1,
      anon_sym_RPAREN,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28620), 1,
      anon_sym_RBRACE,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28622), 1,
      anon_sym_RPAREN,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20874), 1,
      anon_sym_GT_RBRACE,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28624), 1,
      anon_sym_RBRACK,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19176), 1,
      anon_sym_end,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      anon_sym_RPAREN,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28628), 1,
      sym__identifier,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28630), 1,
      anon_sym_SQUOTE2,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28632), 1,
      anon_sym_DOT_DOT,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28634), 1,
      anon_sym_DOT_DOT,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28636), 1,
      anon_sym_DOT_DOT,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19356), 1,
      anon_sym_end,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21163), 1,
      anon_sym_GT_RBRACE,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28638), 1,
      anon_sym_DQUOTE,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8826), 1,
      anon_sym_DASH_GT,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776028] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19029), 1,
      anon_sym_end,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776042] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28640), 1,
      anon_sym_SQUOTE2,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776056] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28642), 1,
      anon_sym_DQUOTE,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776070] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      anon_sym_RBRACK,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      anon_sym_RBRACE,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776098] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28644), 1,
      anon_sym_DASH_GT,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776112] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28646), 1,
      sym__identifier,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776126] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28648), 1,
      sym__identifier,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28650), 1,
      anon_sym_DOT_DOT,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776154] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28652), 1,
      anon_sym_DOT_DOT,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776168] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28654), 1,
      anon_sym_DOT_DOT,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776182] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28656), 1,
      anon_sym_DASH_GT,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776196] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      anon_sym_DASH_GT,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28660), 1,
      anon_sym_RBRACK,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776224] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28662), 1,
      anon_sym_DASH_GT,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776238] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28664), 1,
      anon_sym_RBRACE,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776252] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28666), 1,
      anon_sym_RBRACE,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776266] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17282), 1,
      anon_sym_GT,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776280] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28668), 1,
      anon_sym_RBRACE,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776294] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28670), 1,
      anon_sym_LT_DASH,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776308] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28672), 1,
      sym__identifier,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776322] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      sym__identifier,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776336] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28676), 1,
      anon_sym_RPAREN,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776350] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28678), 1,
      anon_sym_DOT_DOT,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776364] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28680), 1,
      anon_sym_DOT_DOT,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776378] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28682), 1,
      anon_sym_DOT_DOT,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776392] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28684), 1,
      anon_sym_RBRACE,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28686), 1,
      anon_sym_end,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776420] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28688), 1,
      anon_sym_in,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776434] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28690), 1,
      anon_sym_RPAREN,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776448] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28692), 1,
      anon_sym_RPAREN,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776462] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11316), 1,
      anon_sym_GT,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776476] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28694), 1,
      anon_sym_in,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776490] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_GT,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28698), 1,
      anon_sym_RBRACE,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776518] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16460), 1,
      anon_sym_RPAREN,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776532] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28700), 1,
      sym__identifier,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776546] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24618), 1,
      anon_sym_RBRACE,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776560] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28702), 1,
      anon_sym_DOT_DOT,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28704), 1,
      anon_sym_DOT_DOT,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776588] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28706), 1,
      anon_sym_DOT_DOT,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776602] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28708), 1,
      sym__identifier,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776616] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28710), 1,
      anon_sym_in,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776630] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28712), 1,
      anon_sym_RBRACK,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776644] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28714), 1,
      anon_sym_RPAREN,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776658] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28716), 1,
      anon_sym_DASH_GT,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776672] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8770), 1,
      anon_sym_DASH_GT,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776686] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28718), 1,
      anon_sym_LT_DASH,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776700] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28720), 1,
      anon_sym_in,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28722), 1,
      anon_sym_in,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776728] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28724), 1,
      anon_sym_DASH_GT,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776742] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28726), 1,
      sym__identifier,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776756] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28728), 1,
      anon_sym_in,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776770] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_DOT_DOT,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776784] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28732), 1,
      anon_sym_DOT_DOT,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776798] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28734), 1,
      anon_sym_DOT_DOT,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776812] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28736), 1,
      anon_sym_in,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776826] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_RBRACE,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776840] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8834), 1,
      anon_sym_DASH_GT,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5515), 1,
      anon_sym_end,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776868] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8734), 1,
      anon_sym_DASH_GT,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28740), 1,
      anon_sym_RPAREN,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776896] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28742), 1,
      anon_sym_RPAREN,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776910] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_RBRACK,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776924] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28746), 1,
      anon_sym_DASH_GT,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776938] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28748), 1,
      anon_sym_RBRACE,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776952] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28750), 1,
      sym__identifier,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776966] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24346), 1,
      anon_sym_RPAREN,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28752), 1,
      anon_sym_DOT_DOT,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776994] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28754), 1,
      anon_sym_DOT_DOT,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777008] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28756), 1,
      anon_sym_DOT_DOT,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3229), 1,
      anon_sym_RPAREN,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777036] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28758), 1,
      anon_sym_LT_DASH,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777050] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28760), 1,
      anon_sym_RPAREN,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777064] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28762), 1,
      anon_sym_in,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28764), 1,
      anon_sym_RBRACK,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777092] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28766), 1,
      anon_sym_EQ,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777106] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28768), 1,
      anon_sym_RPAREN,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777120] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28770), 1,
      anon_sym_DOT,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777134] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28772), 1,
      anon_sym_EQ,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777148] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28774), 1,
      anon_sym_LT_DASH,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777162] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28776), 1,
      sym__identifier,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777176] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17331), 1,
      anon_sym_GT,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777190] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28778), 1,
      anon_sym_DOT_DOT,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28780), 1,
      anon_sym_DOT_DOT,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777218] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28782), 1,
      anon_sym_DOT_DOT,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777232] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28784), 1,
      anon_sym_RBRACE,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28786), 1,
      anon_sym_in,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777260] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      aux_sym_number_token1,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28790), 1,
      anon_sym_in,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777288] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8752), 1,
      anon_sym_DASH_GT,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777302] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28792), 1,
      anon_sym_RPAREN,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777316] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28794), 1,
      anon_sym_RPAREN,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28796), 1,
      anon_sym_RBRACK,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28798), 1,
      anon_sym_DASH_GT,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777358] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RBRACE,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777372] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28802), 1,
      sym__identifier,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777386] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28804), 1,
      anon_sym_DOT_DOT,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777400] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_DOT_DOT,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777414] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_DOT_DOT,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777428] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28810), 1,
      anon_sym_RPAREN,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777442] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28812), 1,
      anon_sym_RPAREN,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777456] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28814), 1,
      anon_sym_GT,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28816), 1,
      anon_sym_in,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777484] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28818), 1,
      anon_sym_RPAREN,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777498] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28820), 1,
      anon_sym_in,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777512] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28822), 1,
      anon_sym_RBRACE,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777526] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28824), 1,
      anon_sym_end,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777540] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28826), 1,
      anon_sym_in,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777554] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28828), 1,
      anon_sym_RPAREN,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777568] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28830), 1,
      anon_sym_end,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777582] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_DOT_DOT,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777596] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28834), 1,
      anon_sym_DOT_DOT,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777610] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28836), 1,
      anon_sym_DOT_DOT,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777624] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28838), 1,
      anon_sym_RBRACE,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777638] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28840), 1,
      anon_sym_DOT,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777652] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28842), 1,
      anon_sym_RPAREN,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777666] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28844), 1,
      anon_sym_DASH_GT,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777680] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777694] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28846), 1,
      anon_sym_RPAREN,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777708] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28848), 1,
      anon_sym_DASH_GT,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777722] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28850), 1,
      anon_sym_RPAREN,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777736] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28852), 1,
      anon_sym_RPAREN,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777750] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28854), 1,
      anon_sym_DASH_GT,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28856), 1,
      anon_sym_RPAREN,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777778] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28858), 1,
      anon_sym_DOT_DOT,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28860), 1,
      anon_sym_DOT_DOT,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777806] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28862), 1,
      anon_sym_DOT_DOT,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777820] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_DOT,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777834] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_RBRACK,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777848] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_in,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777862] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28870), 1,
      anon_sym_RBRACK,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777876] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28872), 1,
      anon_sym_DOT,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777890] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28874), 1,
      anon_sym_RBRACE,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777904] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_RPAREN,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777918] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28878), 1,
      anon_sym_RBRACE,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777932] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24642), 1,
      anon_sym_RBRACE,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777946] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23248), 1,
      anon_sym_RBRACE,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777960] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28880), 1,
      anon_sym_RBRACE,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777974] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28882), 1,
      anon_sym_DOT_DOT,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777988] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28884), 1,
      anon_sym_DOT_DOT,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778002] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28886), 1,
      anon_sym_DOT_DOT,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778016] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28888), 1,
      anon_sym_RPAREN,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778030] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28890), 1,
      anon_sym_end,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778044] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5325), 1,
      anon_sym_end,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778058] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28892), 1,
      anon_sym_DASH_GT,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778072] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28894), 1,
      anon_sym_COLON2,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778086] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28896), 1,
      anon_sym_RBRACE,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778100] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28898), 1,
      anon_sym_SQUOTE2,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778114] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28900), 1,
      aux_sym_number_token1,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28902), 1,
      anon_sym_DOT,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778142] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28904), 1,
      anon_sym_DOT_DOT,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778156] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28906), 1,
      anon_sym_DOT_DOT,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778170] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28908), 1,
      anon_sym_DOT_DOT,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28910), 1,
      anon_sym_in,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778198] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28912), 1,
      anon_sym_GT,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22386), 1,
      anon_sym_GT_RBRACE,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778226] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28914), 1,
      anon_sym_with,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778240] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19964), 1,
      anon_sym_end,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778254] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28916), 1,
      anon_sym_SQUOTE2,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778268] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28918), 1,
      anon_sym_DQUOTE,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778282] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_in,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778296] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2325), 1,
      anon_sym_RPAREN,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778310] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28922), 1,
      anon_sym_DOT_DOT,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778324] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28924), 1,
      anon_sym_DOT_DOT,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28926), 1,
      anon_sym_DOT_DOT,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778352] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16390), 1,
      anon_sym_RPAREN,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778366] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28928), 1,
      anon_sym_with,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_DOT_DOT,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778394] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28932), 1,
      anon_sym_DOT_DOT,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778408] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28934), 1,
      anon_sym_DOT_DOT,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778422] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28936), 1,
      anon_sym_DOT,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778436] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28938), 1,
      anon_sym_RPAREN,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778450] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_DOT_DOT,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778464] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_DOT_DOT,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778478] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28944), 1,
      anon_sym_DOT_DOT,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778492] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28946), 1,
      anon_sym_RPAREN,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778506] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28948), 1,
      anon_sym_RBRACK,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778520] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28950), 1,
      anon_sym_DOT_DOT,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778534] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28952), 1,
      anon_sym_DOT_DOT,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778548] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28954), 1,
      anon_sym_DOT_DOT,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778562] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28956), 1,
      anon_sym_RBRACK,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28958), 1,
      anon_sym_RBRACE,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778590] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28960), 1,
      anon_sym_DOT_DOT,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778604] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28962), 1,
      anon_sym_DOT_DOT,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28964), 1,
      anon_sym_DOT_DOT,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778632] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20802), 1,
      anon_sym_GT_RBRACE,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778646] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28966), 1,
      anon_sym_RBRACK,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778660] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28968), 1,
      anon_sym_DOT_DOT,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28970), 1,
      anon_sym_DOT_DOT,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778688] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28972), 1,
      anon_sym_DOT_DOT,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778702] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28974), 1,
      sym__identifier,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778716] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17576), 1,
      anon_sym_RPAREN,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778730] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28976), 1,
      anon_sym_DOT_DOT,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778744] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28978), 1,
      anon_sym_DOT_DOT,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778758] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28980), 1,
      anon_sym_DOT_DOT,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28982), 1,
      anon_sym_RPAREN,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778786] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28984), 1,
      anon_sym_RBRACE,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778800] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28986), 1,
      anon_sym_DOT_DOT,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778814] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28988), 1,
      anon_sym_DOT_DOT,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778828] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28990), 1,
      anon_sym_DOT_DOT,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778842] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28992), 1,
      anon_sym_RPAREN,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778856] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      anon_sym_RPAREN,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778870] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28996), 1,
      anon_sym_DOT_DOT,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778884] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28998), 1,
      anon_sym_DOT_DOT,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29000), 1,
      anon_sym_DOT_DOT,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778912] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29002), 1,
      anon_sym_in,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778926] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6729), 1,
      anon_sym_end,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778940] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29004), 1,
      anon_sym_DOT_DOT,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778954] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29006), 1,
      anon_sym_DOT_DOT,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778968] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_DOT_DOT,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778982] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_in,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778996] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_end,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29012), 1,
      anon_sym_DOT_DOT,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779024] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      anon_sym_DOT_DOT,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779038] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29016), 1,
      anon_sym_DOT_DOT,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779052] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29018), 1,
      anon_sym_DASH_GT,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779066] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29020), 1,
      anon_sym_in,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779080] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29022), 1,
      anon_sym_DOT_DOT,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779094] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29024), 1,
      anon_sym_DOT_DOT,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779108] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29026), 1,
      anon_sym_DOT_DOT,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779122] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29028), 1,
      anon_sym_in,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779136] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29030), 1,
      anon_sym_with,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779150] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29032), 1,
      anon_sym_DOT_DOT,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779164] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29034), 1,
      anon_sym_DOT_DOT,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779178] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29036), 1,
      anon_sym_DOT_DOT,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779192] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29038), 1,
      anon_sym_in,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29040), 1,
      anon_sym_with,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779220] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13772), 1,
      anon_sym_DASH_GT,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779234] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29042), 1,
      anon_sym_RPAREN,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779248] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29044), 1,
      anon_sym_RPAREN,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779262] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29046), 1,
      anon_sym_DOT,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29048), 1,
      anon_sym_RBRACK,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779290] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29050), 1,
      anon_sym_RBRACE,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779304] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      anon_sym_RBRACE,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779318] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29054), 1,
      anon_sym_in,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779332] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29056), 1,
      anon_sym_with,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779346] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29058), 1,
      anon_sym_RPAREN,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779360] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29060), 1,
      anon_sym_type,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779374] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29062), 1,
      anon_sym_RPAREN,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779388] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_RBRACK,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779402] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29066), 1,
      anon_sym_RBRACE,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29068), 1,
      anon_sym_RPAREN,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779430] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29070), 1,
      anon_sym_RPAREN,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779444] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29072), 1,
      anon_sym_RPAREN,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_RPAREN,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779472] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2331), 1,
      anon_sym_COLON_COLON,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779486] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29076), 1,
      anon_sym_DOT,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779500] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_DASH_GT,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779514] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29080), 1,
      anon_sym_RPAREN,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779528] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29082), 1,
      anon_sym_DASH_GT,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779542] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29084), 1,
      sym_indexing_operator,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779556] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29086), 1,
      anon_sym_PLUS_EQ,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779570] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29088), 1,
      anon_sym_with,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779584] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19972), 1,
      anon_sym_DASH_GT,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29090), 1,
      anon_sym_of,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779612] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29092), 1,
      aux_sym_number_token1,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779626] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29094), 1,
      anon_sym_RPAREN,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29096), 1,
      anon_sym_PLUS_EQ,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779654] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29098), 1,
      anon_sym_RPAREN,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29100), 1,
      anon_sym_DOT,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779696] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779710] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29102), 1,
      sym__identifier,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779724] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19579), 1,
      anon_sym_end,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779738] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29104), 1,
      anon_sym_SQUOTE2,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779752] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29106), 1,
      anon_sym_in,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779766] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18002), 1,
      anon_sym_RPAREN,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779780] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29108), 1,
      anon_sym_DQUOTE,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779794] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29110), 1,
      anon_sym_in,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779808] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29112), 1,
      anon_sym_RBRACE,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779822] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17436), 1,
      anon_sym_GT,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779836] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29114), 1,
      sym_indexing_operator,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779850] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29116), 1,
      anon_sym_PLUS_EQ,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779864] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      anon_sym_with,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29120), 1,
      anon_sym_PLUS_EQ,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779892] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29122), 1,
      anon_sym_in,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21722), 1,
      anon_sym_GT_RBRACE,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779920] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29124), 1,
      anon_sym_RPAREN,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779934] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29126), 1,
      sym__identifier,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779948] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29128), 1,
      sym__identifier,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779962] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29130), 1,
      anon_sym_in,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779976] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29132), 1,
      anon_sym_in,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779990] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29134), 1,
      anon_sym_in,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780004] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29136), 1,
      sym__identifier,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_in,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780032] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29140), 1,
      anon_sym_DASH_GT,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780046] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      sym_indexing_operator,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780060] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29144), 1,
      anon_sym_PLUS_EQ,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29146), 1,
      anon_sym_with,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29148), 1,
      anon_sym_PLUS_EQ,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780102] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29150), 1,
      anon_sym_RPAREN,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780116] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29152), 1,
      anon_sym_RBRACE,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780130] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29154), 1,
      anon_sym_RPAREN,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29156), 1,
      sym__identifier,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780158] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29158), 1,
      anon_sym_LT_DASH,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29160), 1,
      anon_sym_RPAREN,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780186] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29162), 1,
      anon_sym_RPAREN,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780200] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8916), 1,
      anon_sym_DASH_GT,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780214] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29164), 1,
      anon_sym_RPAREN,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780228] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29166), 1,
      anon_sym_RPAREN,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780242] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29168), 1,
      sym_indexing_operator,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780256] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29170), 1,
      anon_sym_with,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780270] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_RPAREN,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_RBRACK,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780298] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      sym__identifier,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_RBRACE,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780326] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8904), 1,
      anon_sym_DASH_GT,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780340] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29176), 1,
      anon_sym_RBRACK,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780354] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29178), 1,
      anon_sym_RBRACE,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780368] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29180), 1,
      anon_sym_RBRACE,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780382] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29182), 1,
      sym_indexing_operator,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780396] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29184), 1,
      anon_sym_in,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_in,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780424] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29188), 1,
      sym_indexing_operator,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780438] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29190), 1,
      anon_sym_in,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29192), 1,
      anon_sym_RPAREN,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780466] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29194), 1,
      sym_indexing_operator,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29196), 1,
      anon_sym_DOT,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780494] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_RPAREN,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780508] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      sym_indexing_operator,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780522] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29202), 1,
      sym_indexing_operator,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780536] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29204), 1,
      sym_indexing_operator,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780550] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29206), 1,
      sym_indexing_operator,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780564] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      sym_indexing_operator,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780578] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29210), 1,
      sym_indexing_operator,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780592] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29212), 1,
      sym_indexing_operator,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780606] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29214), 1,
      sym_indexing_operator,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780620] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29216), 1,
      sym_indexing_operator,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780634] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29218), 1,
      sym_indexing_operator,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780648] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29220), 1,
      sym_indexing_operator,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780662] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29222), 1,
      sym_indexing_operator,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29224), 1,
      sym_indexing_operator,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780690] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29226), 1,
      sym_indexing_operator,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780704] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29228), 1,
      sym_indexing_operator,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780718] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29230), 1,
      sym_indexing_operator,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780732] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29232), 1,
      sym_indexing_operator,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780746] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29234), 1,
      sym_indexing_operator,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780760] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      sym_indexing_operator,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780774] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29238), 1,
      sym_indexing_operator,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780788] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29240), 1,
      sym_indexing_operator,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780802] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29242), 1,
      sym_indexing_operator,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780816] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29244), 1,
      sym_indexing_operator,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780830] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29246), 1,
      sym_indexing_operator,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780844] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29248), 1,
      sym_indexing_operator,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780858] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29250), 1,
      sym_indexing_operator,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780872] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29252), 1,
      sym_indexing_operator,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780886] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29254), 1,
      sym_indexing_operator,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29256), 1,
      sym_indexing_operator,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780914] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      sym_indexing_operator,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780928] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      sym_indexing_operator,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780942] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29262), 1,
      sym_indexing_operator,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780956] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29264), 1,
      sym_indexing_operator,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780970] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29266), 1,
      sym_indexing_operator,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780984] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29268), 1,
      sym_indexing_operator,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780998] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29270), 1,
      sym_indexing_operator,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781012] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29272), 1,
      sym_indexing_operator,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781026] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29274), 1,
      sym_indexing_operator,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781040] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29276), 1,
      sym_indexing_operator,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781054] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29278), 1,
      sym_indexing_operator,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781068] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29280), 1,
      sym_indexing_operator,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781082] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29282), 1,
      sym_indexing_operator,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29284), 1,
      sym_indexing_operator,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781110] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29286), 1,
      sym_indexing_operator,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781124] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29288), 1,
      sym_indexing_operator,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781138] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29290), 1,
      sym_indexing_operator,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29292), 1,
      sym_indexing_operator,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29294), 1,
      sym_indexing_operator,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781180] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29296), 1,
      anon_sym_DASH_GT,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781194] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29298), 1,
      anon_sym_type,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781208] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      anon_sym_DASH_GT,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781222] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29302), 1,
      anon_sym_EQ,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781236] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_GT,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781250] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29304), 1,
      anon_sym_EQ,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781264] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29306), 1,
      anon_sym_in,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781278] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29308), 1,
      anon_sym_RBRACE,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781292] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29310), 1,
      anon_sym_DOT,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17309), 1,
      anon_sym_GT,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2325), 1,
      anon_sym_end,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781334] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29312), 1,
      anon_sym_LT_DASH,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781348] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29314), 1,
      anon_sym_RBRACE,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781362] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29316), 1,
      anon_sym_RBRACE,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781376] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      anon_sym_RBRACK,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781390] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29320), 1,
      anon_sym_EQ,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781404] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      anon_sym_EQ,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781418] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29324), 1,
      anon_sym_DASH_GT,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781432] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29326), 1,
      anon_sym_RPAREN,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781446] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29328), 1,
      anon_sym_RPAREN,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781460] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29330), 1,
      anon_sym_RBRACE,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781474] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29332), 1,
      anon_sym_RBRACK,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781488] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29334), 1,
      anon_sym_EQ,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781502] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29336), 1,
      anon_sym_EQ,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781516] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29338), 1,
      anon_sym_RBRACE,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781530] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22534), 1,
      anon_sym_GT_RBRACE,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29340), 1,
      anon_sym_RPAREN,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781558] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20000), 1,
      anon_sym_end,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781572] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29342), 1,
      anon_sym_SQUOTE2,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781586] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29344), 1,
      anon_sym_RPAREN,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      anon_sym_DQUOTE,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781614] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29348), 1,
      anon_sym_RBRACE,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781628] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29350), 1,
      sym__identifier,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781642] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29352), 1,
      anon_sym_SQUOTE2,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781656] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29354), 1,
      sym__identifier,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781670] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29356), 1,
      anon_sym_EQ,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781684] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29358), 1,
      anon_sym_in,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781698] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29360), 1,
      anon_sym_RPAREN,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781712] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29362), 1,
      anon_sym_RPAREN,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781726] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16281), 1,
      anon_sym_SQUOTE2,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781740] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_SQUOTE2,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20002), 1,
      anon_sym_DASH_GT,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781768] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29366), 1,
      anon_sym_in,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781782] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_RPAREN,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781796] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29370), 1,
      anon_sym_in,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781810] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29372), 1,
      anon_sym_RBRACE,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781824] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29374), 1,
      anon_sym_RPAREN,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781838] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11154), 1,
      anon_sym_GT,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781852] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24390), 1,
      aux_sym_number_token1,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781866] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29376), 1,
      anon_sym_RBRACE,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781880] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781894] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RPAREN,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781908] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29378), 1,
      anon_sym_end,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781922] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20014), 1,
      anon_sym_DASH_GT,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781936] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      anon_sym_RPAREN,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781950] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29382), 1,
      anon_sym_DASH_GT,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781964] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29384), 1,
      anon_sym_in,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781978] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      anon_sym_DASH_GT,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29388), 1,
      anon_sym_DASH_GT,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29390), 1,
      anon_sym_RPAREN,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782020] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29392), 1,
      anon_sym_RBRACE,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782034] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29394), 1,
      anon_sym_LT_DASH,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782048] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      sym__capitalized_identifier,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782062] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21610), 1,
      anon_sym_GT_RBRACE,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782076] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29396), 1,
      anon_sym_RBRACK,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782090] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20026), 1,
      anon_sym_DASH_GT,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782104] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29398), 1,
      anon_sym_RBRACK,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782118] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8842), 1,
      anon_sym_DASH_GT,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782132] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29400), 1,
      anon_sym_LT_DASH,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19231), 1,
      anon_sym_end,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782160] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29402), 1,
      anon_sym_SQUOTE2,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782174] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21634), 1,
      anon_sym_GT_RBRACE,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782188] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29404), 1,
      anon_sym_RBRACE,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782202] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19243), 1,
      anon_sym_end,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17648), 1,
      anon_sym_RPAREN,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782230] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29406), 1,
      anon_sym_SQUOTE2,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782244] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29408), 1,
      anon_sym_in,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782258] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29410), 1,
      anon_sym_DASH_GT,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782272] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21716), 1,
      anon_sym_GT_RBRACE,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782286] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29412), 1,
      anon_sym_RPAREN,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782300] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29414), 1,
      anon_sym_RBRACK,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782314] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29416), 1,
      anon_sym_DQUOTE,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782328] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29418), 1,
      anon_sym_LT_DASH,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782342] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29420), 1,
      anon_sym_RBRACE,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782356] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29422), 1,
      anon_sym_DQUOTE,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782370] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29424), 1,
      anon_sym_RBRACK,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782384] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      anon_sym_RBRACE,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29428), 1,
      anon_sym_end,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782412] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29430), 1,
      anon_sym_DASH_GT,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782426] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29432), 1,
      anon_sym_in,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782440] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29434), 1,
      anon_sym_in,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782454] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19809), 1,
      anon_sym_end,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782468] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29436), 1,
      anon_sym_RPAREN,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782482] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29438), 1,
      anon_sym_GT,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782496] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16504), 1,
      anon_sym_RPAREN,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      anon_sym_RPAREN,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782524] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      anon_sym_RBRACK,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782538] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29442), 1,
      sym__identifier,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782552] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      anon_sym_RBRACE,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782566] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      anon_sym_DQUOTE,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782580] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5485), 1,
      anon_sym_end,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782594] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29446), 1,
      aux_sym_number_token1,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29448), 1,
      anon_sym_in,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782622] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      anon_sym_in,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782636] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29452), 1,
      anon_sym_RBRACE,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29454), 1,
      anon_sym_DASH_GT,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16277), 1,
      anon_sym_DASH_GT,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782678] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29456), 1,
      anon_sym_DASH_GT,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782692] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29458), 1,
      anon_sym_DASH_GT,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782706] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29460), 1,
      anon_sym_DASH_GT,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782720] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29462), 1,
      anon_sym_RPAREN,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782734] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29464), 1,
      anon_sym_SQUOTE2,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782748] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29466), 1,
      anon_sym_in,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782762] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29468), 1,
      anon_sym_RPAREN,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782776] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29470), 1,
      anon_sym_in,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782790] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17351), 1,
      anon_sym_GT,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29472), 1,
      anon_sym_in,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782818] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29474), 1,
      anon_sym_in,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782832] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20230), 1,
      anon_sym_GT_RBRACE,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782846] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8683), 1,
      anon_sym_DASH_GT,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782860] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29476), 1,
      anon_sym_RPAREN,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782874] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29478), 1,
      sym__identifier,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782888] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29480), 1,
      anon_sym_RPAREN,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782902] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29482), 1,
      anon_sym_RBRACK,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782916] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      anon_sym_end,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782930] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29484), 1,
      anon_sym_RPAREN,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29486), 1,
      sym__identifier,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782958] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782972] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_RBRACE,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782986] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8848), 1,
      anon_sym_DASH_GT,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783000] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29490), 1,
      anon_sym_SQUOTE2,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783014] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29492), 1,
      anon_sym_SQUOTE2,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783028] = 1,
    ACTIONS(29494), 1,
      ts_builtin_sym_end,
  [783032] = 1,
    ACTIONS(29496), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2625)] = 0,
  [SMALL_STATE(2626)] = 77,
  [SMALL_STATE(2627)] = 214,
  [SMALL_STATE(2628)] = 351,
  [SMALL_STATE(2629)] = 488,
  [SMALL_STATE(2630)] = 625,
  [SMALL_STATE(2631)] = 762,
  [SMALL_STATE(2632)] = 899,
  [SMALL_STATE(2633)] = 1036,
  [SMALL_STATE(2634)] = 1173,
  [SMALL_STATE(2635)] = 1248,
  [SMALL_STATE(2636)] = 1385,
  [SMALL_STATE(2637)] = 1460,
  [SMALL_STATE(2638)] = 1597,
  [SMALL_STATE(2639)] = 1734,
  [SMALL_STATE(2640)] = 1871,
  [SMALL_STATE(2641)] = 2008,
  [SMALL_STATE(2642)] = 2145,
  [SMALL_STATE(2643)] = 2282,
  [SMALL_STATE(2644)] = 2419,
  [SMALL_STATE(2645)] = 2556,
  [SMALL_STATE(2646)] = 2693,
  [SMALL_STATE(2647)] = 2830,
  [SMALL_STATE(2648)] = 2967,
  [SMALL_STATE(2649)] = 3104,
  [SMALL_STATE(2650)] = 3241,
  [SMALL_STATE(2651)] = 3378,
  [SMALL_STATE(2652)] = 3515,
  [SMALL_STATE(2653)] = 3652,
  [SMALL_STATE(2654)] = 3789,
  [SMALL_STATE(2655)] = 3926,
  [SMALL_STATE(2656)] = 4063,
  [SMALL_STATE(2657)] = 4200,
  [SMALL_STATE(2658)] = 4275,
  [SMALL_STATE(2659)] = 4412,
  [SMALL_STATE(2660)] = 4549,
  [SMALL_STATE(2661)] = 4686,
  [SMALL_STATE(2662)] = 4823,
  [SMALL_STATE(2663)] = 4960,
  [SMALL_STATE(2664)] = 5097,
  [SMALL_STATE(2665)] = 5172,
  [SMALL_STATE(2666)] = 5247,
  [SMALL_STATE(2667)] = 5384,
  [SMALL_STATE(2668)] = 5459,
  [SMALL_STATE(2669)] = 5596,
  [SMALL_STATE(2670)] = 5671,
  [SMALL_STATE(2671)] = 5748,
  [SMALL_STATE(2672)] = 5823,
  [SMALL_STATE(2673)] = 5946,
  [SMALL_STATE(2674)] = 6023,
  [SMALL_STATE(2675)] = 6160,
  [SMALL_STATE(2676)] = 6297,
  [SMALL_STATE(2677)] = 6372,
  [SMALL_STATE(2678)] = 6447,
  [SMALL_STATE(2679)] = 6522,
  [SMALL_STATE(2680)] = 6659,
  [SMALL_STATE(2681)] = 6736,
  [SMALL_STATE(2682)] = 6873,
  [SMALL_STATE(2683)] = 6948,
  [SMALL_STATE(2684)] = 7023,
  [SMALL_STATE(2685)] = 7098,
  [SMALL_STATE(2686)] = 7173,
  [SMALL_STATE(2687)] = 7310,
  [SMALL_STATE(2688)] = 7385,
  [SMALL_STATE(2689)] = 7460,
  [SMALL_STATE(2690)] = 7535,
  [SMALL_STATE(2691)] = 7672,
  [SMALL_STATE(2692)] = 7809,
  [SMALL_STATE(2693)] = 7883,
  [SMALL_STATE(2694)] = 7957,
  [SMALL_STATE(2695)] = 8031,
  [SMALL_STATE(2696)] = 8111,
  [SMALL_STATE(2697)] = 8185,
  [SMALL_STATE(2698)] = 8259,
  [SMALL_STATE(2699)] = 8333,
  [SMALL_STATE(2700)] = 8407,
  [SMALL_STATE(2701)] = 8481,
  [SMALL_STATE(2702)] = 8555,
  [SMALL_STATE(2703)] = 8685,
  [SMALL_STATE(2704)] = 8759,
  [SMALL_STATE(2705)] = 8833,
  [SMALL_STATE(2706)] = 8907,
  [SMALL_STATE(2707)] = 9037,
  [SMALL_STATE(2708)] = 9111,
  [SMALL_STATE(2709)] = 9185,
  [SMALL_STATE(2710)] = 9261,
  [SMALL_STATE(2711)] = 9391,
  [SMALL_STATE(2712)] = 9465,
  [SMALL_STATE(2713)] = 9539,
  [SMALL_STATE(2714)] = 9669,
  [SMALL_STATE(2715)] = 9743,
  [SMALL_STATE(2716)] = 9817,
  [SMALL_STATE(2717)] = 9947,
  [SMALL_STATE(2718)] = 10077,
  [SMALL_STATE(2719)] = 10151,
  [SMALL_STATE(2720)] = 10225,
  [SMALL_STATE(2721)] = 10355,
  [SMALL_STATE(2722)] = 10429,
  [SMALL_STATE(2723)] = 10503,
  [SMALL_STATE(2724)] = 10577,
  [SMALL_STATE(2725)] = 10707,
  [SMALL_STATE(2726)] = 10781,
  [SMALL_STATE(2727)] = 10855,
  [SMALL_STATE(2728)] = 10985,
  [SMALL_STATE(2729)] = 11059,
  [SMALL_STATE(2730)] = 11189,
  [SMALL_STATE(2731)] = 11319,
  [SMALL_STATE(2732)] = 11393,
  [SMALL_STATE(2733)] = 11467,
  [SMALL_STATE(2734)] = 11541,
  [SMALL_STATE(2735)] = 11621,
  [SMALL_STATE(2736)] = 11751,
  [SMALL_STATE(2737)] = 11825,
  [SMALL_STATE(2738)] = 11899,
  [SMALL_STATE(2739)] = 11973,
  [SMALL_STATE(2740)] = 12103,
  [SMALL_STATE(2741)] = 12177,
  [SMALL_STATE(2742)] = 12251,
  [SMALL_STATE(2743)] = 12325,
  [SMALL_STATE(2744)] = 12399,
  [SMALL_STATE(2745)] = 12473,
  [SMALL_STATE(2746)] = 12547,
  [SMALL_STATE(2747)] = 12677,
  [SMALL_STATE(2748)] = 12751,
  [SMALL_STATE(2749)] = 12825,
  [SMALL_STATE(2750)] = 12901,
  [SMALL_STATE(2751)] = 12975,
  [SMALL_STATE(2752)] = 13049,
  [SMALL_STATE(2753)] = 13123,
  [SMALL_STATE(2754)] = 13197,
  [SMALL_STATE(2755)] = 13327,
  [SMALL_STATE(2756)] = 13457,
  [SMALL_STATE(2757)] = 13531,
  [SMALL_STATE(2758)] = 13605,
  [SMALL_STATE(2759)] = 13679,
  [SMALL_STATE(2760)] = 13809,
  [SMALL_STATE(2761)] = 13883,
  [SMALL_STATE(2762)] = 14013,
  [SMALL_STATE(2763)] = 14087,
  [SMALL_STATE(2764)] = 14161,
  [SMALL_STATE(2765)] = 14291,
  [SMALL_STATE(2766)] = 14365,
  [SMALL_STATE(2767)] = 14495,
  [SMALL_STATE(2768)] = 14569,
  [SMALL_STATE(2769)] = 14643,
  [SMALL_STATE(2770)] = 14773,
  [SMALL_STATE(2771)] = 14847,
  [SMALL_STATE(2772)] = 14921,
  [SMALL_STATE(2773)] = 14995,
  [SMALL_STATE(2774)] = 15125,
  [SMALL_STATE(2775)] = 15255,
  [SMALL_STATE(2776)] = 15329,
  [SMALL_STATE(2777)] = 15403,
  [SMALL_STATE(2778)] = 15479,
  [SMALL_STATE(2779)] = 15553,
  [SMALL_STATE(2780)] = 15627,
  [SMALL_STATE(2781)] = 15701,
  [SMALL_STATE(2782)] = 15831,
  [SMALL_STATE(2783)] = 15905,
  [SMALL_STATE(2784)] = 15979,
  [SMALL_STATE(2785)] = 16053,
  [SMALL_STATE(2786)] = 16127,
  [SMALL_STATE(2787)] = 16201,
  [SMALL_STATE(2788)] = 16275,
  [SMALL_STATE(2789)] = 16351,
  [SMALL_STATE(2790)] = 16425,
  [SMALL_STATE(2791)] = 16499,
  [SMALL_STATE(2792)] = 16573,
  [SMALL_STATE(2793)] = 16703,
  [SMALL_STATE(2794)] = 16777,
  [SMALL_STATE(2795)] = 16851,
  [SMALL_STATE(2796)] = 16925,
  [SMALL_STATE(2797)] = 16999,
  [SMALL_STATE(2798)] = 17073,
  [SMALL_STATE(2799)] = 17147,
  [SMALL_STATE(2800)] = 17221,
  [SMALL_STATE(2801)] = 17295,
  [SMALL_STATE(2802)] = 17425,
  [SMALL_STATE(2803)] = 17499,
  [SMALL_STATE(2804)] = 17573,
  [SMALL_STATE(2805)] = 17703,
  [SMALL_STATE(2806)] = 17779,
  [SMALL_STATE(2807)] = 17909,
  [SMALL_STATE(2808)] = 18039,
  [SMALL_STATE(2809)] = 18169,
  [SMALL_STATE(2810)] = 18243,
  [SMALL_STATE(2811)] = 18373,
  [SMALL_STATE(2812)] = 18447,
  [SMALL_STATE(2813)] = 18577,
  [SMALL_STATE(2814)] = 18651,
  [SMALL_STATE(2815)] = 18725,
  [SMALL_STATE(2816)] = 18801,
  [SMALL_STATE(2817)] = 18881,
  [SMALL_STATE(2818)] = 19011,
  [SMALL_STATE(2819)] = 19085,
  [SMALL_STATE(2820)] = 19159,
  [SMALL_STATE(2821)] = 19233,
  [SMALL_STATE(2822)] = 19307,
  [SMALL_STATE(2823)] = 19381,
  [SMALL_STATE(2824)] = 19455,
  [SMALL_STATE(2825)] = 19529,
  [SMALL_STATE(2826)] = 19659,
  [SMALL_STATE(2827)] = 19733,
  [SMALL_STATE(2828)] = 19809,
  [SMALL_STATE(2829)] = 19883,
  [SMALL_STATE(2830)] = 19957,
  [SMALL_STATE(2831)] = 20031,
  [SMALL_STATE(2832)] = 20105,
  [SMALL_STATE(2833)] = 20179,
  [SMALL_STATE(2834)] = 20253,
  [SMALL_STATE(2835)] = 20383,
  [SMALL_STATE(2836)] = 20457,
  [SMALL_STATE(2837)] = 20531,
  [SMALL_STATE(2838)] = 20605,
  [SMALL_STATE(2839)] = 20735,
  [SMALL_STATE(2840)] = 20809,
  [SMALL_STATE(2841)] = 20883,
  [SMALL_STATE(2842)] = 21013,
  [SMALL_STATE(2843)] = 21087,
  [SMALL_STATE(2844)] = 21161,
  [SMALL_STATE(2845)] = 21235,
  [SMALL_STATE(2846)] = 21309,
  [SMALL_STATE(2847)] = 21383,
  [SMALL_STATE(2848)] = 21457,
  [SMALL_STATE(2849)] = 21531,
  [SMALL_STATE(2850)] = 21605,
  [SMALL_STATE(2851)] = 21679,
  [SMALL_STATE(2852)] = 21753,
  [SMALL_STATE(2853)] = 21827,
  [SMALL_STATE(2854)] = 21901,
  [SMALL_STATE(2855)] = 21975,
  [SMALL_STATE(2856)] = 22105,
  [SMALL_STATE(2857)] = 22181,
  [SMALL_STATE(2858)] = 22255,
  [SMALL_STATE(2859)] = 22329,
  [SMALL_STATE(2860)] = 22405,
  [SMALL_STATE(2861)] = 22479,
  [SMALL_STATE(2862)] = 22553,
  [SMALL_STATE(2863)] = 22629,
  [SMALL_STATE(2864)] = 22705,
  [SMALL_STATE(2865)] = 22779,
  [SMALL_STATE(2866)] = 22853,
  [SMALL_STATE(2867)] = 22929,
  [SMALL_STATE(2868)] = 23003,
  [SMALL_STATE(2869)] = 23077,
  [SMALL_STATE(2870)] = 23209,
  [SMALL_STATE(2871)] = 23341,
  [SMALL_STATE(2872)] = 23415,
  [SMALL_STATE(2873)] = 23489,
  [SMALL_STATE(2874)] = 23563,
  [SMALL_STATE(2875)] = 23637,
  [SMALL_STATE(2876)] = 23711,
  [SMALL_STATE(2877)] = 23785,
  [SMALL_STATE(2878)] = 23865,
  [SMALL_STATE(2879)] = 23939,
  [SMALL_STATE(2880)] = 24013,
  [SMALL_STATE(2881)] = 24087,
  [SMALL_STATE(2882)] = 24161,
  [SMALL_STATE(2883)] = 24235,
  [SMALL_STATE(2884)] = 24309,
  [SMALL_STATE(2885)] = 24439,
  [SMALL_STATE(2886)] = 24513,
  [SMALL_STATE(2887)] = 24587,
  [SMALL_STATE(2888)] = 24661,
  [SMALL_STATE(2889)] = 24791,
  [SMALL_STATE(2890)] = 24865,
  [SMALL_STATE(2891)] = 24941,
  [SMALL_STATE(2892)] = 25015,
  [SMALL_STATE(2893)] = 25091,
  [SMALL_STATE(2894)] = 25165,
  [SMALL_STATE(2895)] = 25239,
  [SMALL_STATE(2896)] = 25313,
  [SMALL_STATE(2897)] = 25387,
  [SMALL_STATE(2898)] = 25461,
  [SMALL_STATE(2899)] = 25535,
  [SMALL_STATE(2900)] = 25609,
  [SMALL_STATE(2901)] = 25739,
  [SMALL_STATE(2902)] = 25813,
  [SMALL_STATE(2903)] = 25887,
  [SMALL_STATE(2904)] = 25961,
  [SMALL_STATE(2905)] = 26035,
  [SMALL_STATE(2906)] = 26109,
  [SMALL_STATE(2907)] = 26183,
  [SMALL_STATE(2908)] = 26257,
  [SMALL_STATE(2909)] = 26331,
  [SMALL_STATE(2910)] = 26405,
  [SMALL_STATE(2911)] = 26479,
  [SMALL_STATE(2912)] = 26553,
  [SMALL_STATE(2913)] = 26627,
  [SMALL_STATE(2914)] = 26701,
  [SMALL_STATE(2915)] = 26775,
  [SMALL_STATE(2916)] = 26849,
  [SMALL_STATE(2917)] = 26923,
  [SMALL_STATE(2918)] = 26997,
  [SMALL_STATE(2919)] = 27071,
  [SMALL_STATE(2920)] = 27145,
  [SMALL_STATE(2921)] = 27275,
  [SMALL_STATE(2922)] = 27349,
  [SMALL_STATE(2923)] = 27479,
  [SMALL_STATE(2924)] = 27553,
  [SMALL_STATE(2925)] = 27627,
  [SMALL_STATE(2926)] = 27768,
  [SMALL_STATE(2927)] = 27899,
  [SMALL_STATE(2928)] = 28030,
  [SMALL_STATE(2929)] = 28161,
  [SMALL_STATE(2930)] = 28234,
  [SMALL_STATE(2931)] = 28365,
  [SMALL_STATE(2932)] = 28496,
  [SMALL_STATE(2933)] = 28627,
  [SMALL_STATE(2934)] = 28758,
  [SMALL_STATE(2935)] = 28889,
  [SMALL_STATE(2936)] = 29020,
  [SMALL_STATE(2937)] = 29151,
  [SMALL_STATE(2938)] = 29282,
  [SMALL_STATE(2939)] = 29361,
  [SMALL_STATE(2940)] = 29492,
  [SMALL_STATE(2941)] = 29623,
  [SMALL_STATE(2942)] = 29754,
  [SMALL_STATE(2943)] = 29885,
  [SMALL_STATE(2944)] = 30016,
  [SMALL_STATE(2945)] = 30147,
  [SMALL_STATE(2946)] = 30278,
  [SMALL_STATE(2947)] = 30351,
  [SMALL_STATE(2948)] = 30482,
  [SMALL_STATE(2949)] = 30613,
  [SMALL_STATE(2950)] = 30744,
  [SMALL_STATE(2951)] = 30817,
  [SMALL_STATE(2952)] = 30948,
  [SMALL_STATE(2953)] = 31079,
  [SMALL_STATE(2954)] = 31210,
  [SMALL_STATE(2955)] = 31283,
  [SMALL_STATE(2956)] = 31414,
  [SMALL_STATE(2957)] = 31545,
  [SMALL_STATE(2958)] = 31676,
  [SMALL_STATE(2959)] = 31749,
  [SMALL_STATE(2960)] = 31822,
  [SMALL_STATE(2961)] = 31895,
  [SMALL_STATE(2962)] = 31968,
  [SMALL_STATE(2963)] = 32099,
  [SMALL_STATE(2964)] = 32230,
  [SMALL_STATE(2965)] = 32361,
  [SMALL_STATE(2966)] = 32492,
  [SMALL_STATE(2967)] = 32623,
  [SMALL_STATE(2968)] = 32696,
  [SMALL_STATE(2969)] = 32827,
  [SMALL_STATE(2970)] = 32958,
  [SMALL_STATE(2971)] = 33089,
  [SMALL_STATE(2972)] = 33220,
  [SMALL_STATE(2973)] = 33293,
  [SMALL_STATE(2974)] = 33424,
  [SMALL_STATE(2975)] = 33555,
  [SMALL_STATE(2976)] = 33686,
  [SMALL_STATE(2977)] = 33817,
  [SMALL_STATE(2978)] = 33948,
  [SMALL_STATE(2979)] = 34079,
  [SMALL_STATE(2980)] = 34210,
  [SMALL_STATE(2981)] = 34341,
  [SMALL_STATE(2982)] = 34472,
  [SMALL_STATE(2983)] = 34603,
  [SMALL_STATE(2984)] = 34734,
  [SMALL_STATE(2985)] = 34807,
  [SMALL_STATE(2986)] = 34938,
  [SMALL_STATE(2987)] = 35069,
  [SMALL_STATE(2988)] = 35200,
  [SMALL_STATE(2989)] = 35273,
  [SMALL_STATE(2990)] = 35404,
  [SMALL_STATE(2991)] = 35535,
  [SMALL_STATE(2992)] = 35608,
  [SMALL_STATE(2993)] = 35739,
  [SMALL_STATE(2994)] = 35870,
  [SMALL_STATE(2995)] = 36001,
  [SMALL_STATE(2996)] = 36132,
  [SMALL_STATE(2997)] = 36263,
  [SMALL_STATE(2998)] = 36336,
  [SMALL_STATE(2999)] = 36467,
  [SMALL_STATE(3000)] = 36598,
  [SMALL_STATE(3001)] = 36729,
  [SMALL_STATE(3002)] = 36860,
  [SMALL_STATE(3003)] = 36991,
  [SMALL_STATE(3004)] = 37122,
  [SMALL_STATE(3005)] = 37253,
  [SMALL_STATE(3006)] = 37384,
  [SMALL_STATE(3007)] = 37515,
  [SMALL_STATE(3008)] = 37646,
  [SMALL_STATE(3009)] = 37777,
  [SMALL_STATE(3010)] = 37908,
  [SMALL_STATE(3011)] = 38039,
  [SMALL_STATE(3012)] = 38170,
  [SMALL_STATE(3013)] = 38243,
  [SMALL_STATE(3014)] = 38316,
  [SMALL_STATE(3015)] = 38447,
  [SMALL_STATE(3016)] = 38578,
  [SMALL_STATE(3017)] = 38709,
  [SMALL_STATE(3018)] = 38840,
  [SMALL_STATE(3019)] = 38971,
  [SMALL_STATE(3020)] = 39102,
  [SMALL_STATE(3021)] = 39233,
  [SMALL_STATE(3022)] = 39364,
  [SMALL_STATE(3023)] = 39495,
  [SMALL_STATE(3024)] = 39626,
  [SMALL_STATE(3025)] = 39757,
  [SMALL_STATE(3026)] = 39888,
  [SMALL_STATE(3027)] = 40019,
  [SMALL_STATE(3028)] = 40150,
  [SMALL_STATE(3029)] = 40281,
  [SMALL_STATE(3030)] = 40412,
  [SMALL_STATE(3031)] = 40485,
  [SMALL_STATE(3032)] = 40558,
  [SMALL_STATE(3033)] = 40631,
  [SMALL_STATE(3034)] = 40704,
  [SMALL_STATE(3035)] = 40835,
  [SMALL_STATE(3036)] = 40908,
  [SMALL_STATE(3037)] = 41039,
  [SMALL_STATE(3038)] = 41170,
  [SMALL_STATE(3039)] = 41301,
  [SMALL_STATE(3040)] = 41432,
  [SMALL_STATE(3041)] = 41505,
  [SMALL_STATE(3042)] = 41636,
  [SMALL_STATE(3043)] = 41711,
  [SMALL_STATE(3044)] = 41784,
  [SMALL_STATE(3045)] = 41915,
  [SMALL_STATE(3046)] = 42046,
  [SMALL_STATE(3047)] = 42119,
  [SMALL_STATE(3048)] = 42250,
  [SMALL_STATE(3049)] = 42381,
  [SMALL_STATE(3050)] = 42512,
  [SMALL_STATE(3051)] = 42587,
  [SMALL_STATE(3052)] = 42660,
  [SMALL_STATE(3053)] = 42791,
  [SMALL_STATE(3054)] = 42864,
  [SMALL_STATE(3055)] = 42937,
  [SMALL_STATE(3056)] = 43010,
  [SMALL_STATE(3057)] = 43141,
  [SMALL_STATE(3058)] = 43214,
  [SMALL_STATE(3059)] = 43287,
  [SMALL_STATE(3060)] = 43360,
  [SMALL_STATE(3061)] = 43491,
  [SMALL_STATE(3062)] = 43564,
  [SMALL_STATE(3063)] = 43637,
  [SMALL_STATE(3064)] = 43710,
  [SMALL_STATE(3065)] = 43783,
  [SMALL_STATE(3066)] = 43856,
  [SMALL_STATE(3067)] = 43987,
  [SMALL_STATE(3068)] = 44118,
  [SMALL_STATE(3069)] = 44191,
  [SMALL_STATE(3070)] = 44322,
  [SMALL_STATE(3071)] = 44453,
  [SMALL_STATE(3072)] = 44584,
  [SMALL_STATE(3073)] = 44715,
  [SMALL_STATE(3074)] = 44846,
  [SMALL_STATE(3075)] = 44977,
  [SMALL_STATE(3076)] = 45050,
  [SMALL_STATE(3077)] = 45123,
  [SMALL_STATE(3078)] = 45196,
  [SMALL_STATE(3079)] = 45327,
  [SMALL_STATE(3080)] = 45458,
  [SMALL_STATE(3081)] = 45531,
  [SMALL_STATE(3082)] = 45604,
  [SMALL_STATE(3083)] = 45677,
  [SMALL_STATE(3084)] = 45750,
  [SMALL_STATE(3085)] = 45823,
  [SMALL_STATE(3086)] = 45896,
  [SMALL_STATE(3087)] = 45969,
  [SMALL_STATE(3088)] = 46100,
  [SMALL_STATE(3089)] = 46173,
  [SMALL_STATE(3090)] = 46246,
  [SMALL_STATE(3091)] = 46319,
  [SMALL_STATE(3092)] = 46392,
  [SMALL_STATE(3093)] = 46465,
  [SMALL_STATE(3094)] = 46538,
  [SMALL_STATE(3095)] = 46611,
  [SMALL_STATE(3096)] = 46684,
  [SMALL_STATE(3097)] = 46757,
  [SMALL_STATE(3098)] = 46836,
  [SMALL_STATE(3099)] = 46909,
  [SMALL_STATE(3100)] = 46982,
  [SMALL_STATE(3101)] = 47055,
  [SMALL_STATE(3102)] = 47128,
  [SMALL_STATE(3103)] = 47201,
  [SMALL_STATE(3104)] = 47274,
  [SMALL_STATE(3105)] = 47347,
  [SMALL_STATE(3106)] = 47420,
  [SMALL_STATE(3107)] = 47493,
  [SMALL_STATE(3108)] = 47568,
  [SMALL_STATE(3109)] = 47641,
  [SMALL_STATE(3110)] = 47716,
  [SMALL_STATE(3111)] = 47789,
  [SMALL_STATE(3112)] = 47862,
  [SMALL_STATE(3113)] = 47937,
  [SMALL_STATE(3114)] = 48010,
  [SMALL_STATE(3115)] = 48083,
  [SMALL_STATE(3116)] = 48156,
  [SMALL_STATE(3117)] = 48229,
  [SMALL_STATE(3118)] = 48302,
  [SMALL_STATE(3119)] = 48375,
  [SMALL_STATE(3120)] = 48448,
  [SMALL_STATE(3121)] = 48521,
  [SMALL_STATE(3122)] = 48594,
  [SMALL_STATE(3123)] = 48667,
  [SMALL_STATE(3124)] = 48798,
  [SMALL_STATE(3125)] = 48929,
  [SMALL_STATE(3126)] = 49060,
  [SMALL_STATE(3127)] = 49133,
  [SMALL_STATE(3128)] = 49264,
  [SMALL_STATE(3129)] = 49337,
  [SMALL_STATE(3130)] = 49410,
  [SMALL_STATE(3131)] = 49483,
  [SMALL_STATE(3132)] = 49556,
  [SMALL_STATE(3133)] = 49629,
  [SMALL_STATE(3134)] = 49708,
  [SMALL_STATE(3135)] = 49839,
  [SMALL_STATE(3136)] = 49912,
  [SMALL_STATE(3137)] = 49985,
  [SMALL_STATE(3138)] = 50116,
  [SMALL_STATE(3139)] = 50189,
  [SMALL_STATE(3140)] = 50262,
  [SMALL_STATE(3141)] = 50335,
  [SMALL_STATE(3142)] = 50408,
  [SMALL_STATE(3143)] = 50539,
  [SMALL_STATE(3144)] = 50670,
  [SMALL_STATE(3145)] = 50743,
  [SMALL_STATE(3146)] = 50874,
  [SMALL_STATE(3147)] = 50947,
  [SMALL_STATE(3148)] = 51078,
  [SMALL_STATE(3149)] = 51151,
  [SMALL_STATE(3150)] = 51282,
  [SMALL_STATE(3151)] = 51413,
  [SMALL_STATE(3152)] = 51486,
  [SMALL_STATE(3153)] = 51617,
  [SMALL_STATE(3154)] = 51690,
  [SMALL_STATE(3155)] = 51821,
  [SMALL_STATE(3156)] = 51952,
  [SMALL_STATE(3157)] = 52025,
  [SMALL_STATE(3158)] = 52098,
  [SMALL_STATE(3159)] = 52229,
  [SMALL_STATE(3160)] = 52302,
  [SMALL_STATE(3161)] = 52433,
  [SMALL_STATE(3162)] = 52564,
  [SMALL_STATE(3163)] = 52695,
  [SMALL_STATE(3164)] = 52826,
  [SMALL_STATE(3165)] = 52957,
  [SMALL_STATE(3166)] = 53088,
  [SMALL_STATE(3167)] = 53219,
  [SMALL_STATE(3168)] = 53350,
  [SMALL_STATE(3169)] = 53481,
  [SMALL_STATE(3170)] = 53554,
  [SMALL_STATE(3171)] = 53685,
  [SMALL_STATE(3172)] = 53758,
  [SMALL_STATE(3173)] = 53831,
  [SMALL_STATE(3174)] = 53904,
  [SMALL_STATE(3175)] = 54035,
  [SMALL_STATE(3176)] = 54108,
  [SMALL_STATE(3177)] = 54181,
  [SMALL_STATE(3178)] = 54254,
  [SMALL_STATE(3179)] = 54327,
  [SMALL_STATE(3180)] = 54400,
  [SMALL_STATE(3181)] = 54473,
  [SMALL_STATE(3182)] = 54546,
  [SMALL_STATE(3183)] = 54619,
  [SMALL_STATE(3184)] = 54698,
  [SMALL_STATE(3185)] = 54771,
  [SMALL_STATE(3186)] = 54902,
  [SMALL_STATE(3187)] = 54975,
  [SMALL_STATE(3188)] = 55106,
  [SMALL_STATE(3189)] = 55179,
  [SMALL_STATE(3190)] = 55252,
  [SMALL_STATE(3191)] = 55325,
  [SMALL_STATE(3192)] = 55398,
  [SMALL_STATE(3193)] = 55471,
  [SMALL_STATE(3194)] = 55544,
  [SMALL_STATE(3195)] = 55617,
  [SMALL_STATE(3196)] = 55692,
  [SMALL_STATE(3197)] = 55765,
  [SMALL_STATE(3198)] = 55896,
  [SMALL_STATE(3199)] = 55969,
  [SMALL_STATE(3200)] = 56042,
  [SMALL_STATE(3201)] = 56173,
  [SMALL_STATE(3202)] = 56246,
  [SMALL_STATE(3203)] = 56319,
  [SMALL_STATE(3204)] = 56392,
  [SMALL_STATE(3205)] = 56465,
  [SMALL_STATE(3206)] = 56538,
  [SMALL_STATE(3207)] = 56611,
  [SMALL_STATE(3208)] = 56684,
  [SMALL_STATE(3209)] = 56757,
  [SMALL_STATE(3210)] = 56830,
  [SMALL_STATE(3211)] = 56903,
  [SMALL_STATE(3212)] = 56976,
  [SMALL_STATE(3213)] = 57049,
  [SMALL_STATE(3214)] = 57122,
  [SMALL_STATE(3215)] = 57195,
  [SMALL_STATE(3216)] = 57268,
  [SMALL_STATE(3217)] = 57347,
  [SMALL_STATE(3218)] = 57420,
  [SMALL_STATE(3219)] = 57493,
  [SMALL_STATE(3220)] = 57566,
  [SMALL_STATE(3221)] = 57639,
  [SMALL_STATE(3222)] = 57712,
  [SMALL_STATE(3223)] = 57785,
  [SMALL_STATE(3224)] = 57858,
  [SMALL_STATE(3225)] = 57931,
  [SMALL_STATE(3226)] = 58004,
  [SMALL_STATE(3227)] = 58077,
  [SMALL_STATE(3228)] = 58208,
  [SMALL_STATE(3229)] = 58339,
  [SMALL_STATE(3230)] = 58470,
  [SMALL_STATE(3231)] = 58543,
  [SMALL_STATE(3232)] = 58674,
  [SMALL_STATE(3233)] = 58805,
  [SMALL_STATE(3234)] = 58878,
  [SMALL_STATE(3235)] = 58951,
  [SMALL_STATE(3236)] = 59026,
  [SMALL_STATE(3237)] = 59099,
  [SMALL_STATE(3238)] = 59172,
  [SMALL_STATE(3239)] = 59245,
  [SMALL_STATE(3240)] = 59318,
  [SMALL_STATE(3241)] = 59391,
  [SMALL_STATE(3242)] = 59522,
  [SMALL_STATE(3243)] = 59595,
  [SMALL_STATE(3244)] = 59668,
  [SMALL_STATE(3245)] = 59741,
  [SMALL_STATE(3246)] = 59814,
  [SMALL_STATE(3247)] = 59887,
  [SMALL_STATE(3248)] = 59962,
  [SMALL_STATE(3249)] = 60035,
  [SMALL_STATE(3250)] = 60108,
  [SMALL_STATE(3251)] = 60181,
  [SMALL_STATE(3252)] = 60312,
  [SMALL_STATE(3253)] = 60385,
  [SMALL_STATE(3254)] = 60458,
  [SMALL_STATE(3255)] = 60531,
  [SMALL_STATE(3256)] = 60604,
  [SMALL_STATE(3257)] = 60677,
  [SMALL_STATE(3258)] = 60750,
  [SMALL_STATE(3259)] = 60823,
  [SMALL_STATE(3260)] = 60896,
  [SMALL_STATE(3261)] = 61027,
  [SMALL_STATE(3262)] = 61100,
  [SMALL_STATE(3263)] = 61173,
  [SMALL_STATE(3264)] = 61246,
  [SMALL_STATE(3265)] = 61319,
  [SMALL_STATE(3266)] = 61392,
  [SMALL_STATE(3267)] = 61465,
  [SMALL_STATE(3268)] = 61596,
  [SMALL_STATE(3269)] = 61727,
  [SMALL_STATE(3270)] = 61800,
  [SMALL_STATE(3271)] = 61873,
  [SMALL_STATE(3272)] = 61946,
  [SMALL_STATE(3273)] = 62019,
  [SMALL_STATE(3274)] = 62150,
  [SMALL_STATE(3275)] = 62223,
  [SMALL_STATE(3276)] = 62296,
  [SMALL_STATE(3277)] = 62427,
  [SMALL_STATE(3278)] = 62558,
  [SMALL_STATE(3279)] = 62631,
  [SMALL_STATE(3280)] = 62762,
  [SMALL_STATE(3281)] = 62893,
  [SMALL_STATE(3282)] = 62968,
  [SMALL_STATE(3283)] = 63043,
  [SMALL_STATE(3284)] = 63174,
  [SMALL_STATE(3285)] = 63305,
  [SMALL_STATE(3286)] = 63436,
  [SMALL_STATE(3287)] = 63509,
  [SMALL_STATE(3288)] = 63582,
  [SMALL_STATE(3289)] = 63655,
  [SMALL_STATE(3290)] = 63786,
  [SMALL_STATE(3291)] = 63917,
  [SMALL_STATE(3292)] = 63992,
  [SMALL_STATE(3293)] = 64065,
  [SMALL_STATE(3294)] = 64138,
  [SMALL_STATE(3295)] = 64211,
  [SMALL_STATE(3296)] = 64284,
  [SMALL_STATE(3297)] = 64357,
  [SMALL_STATE(3298)] = 64430,
  [SMALL_STATE(3299)] = 64503,
  [SMALL_STATE(3300)] = 64576,
  [SMALL_STATE(3301)] = 64651,
  [SMALL_STATE(3302)] = 64724,
  [SMALL_STATE(3303)] = 64797,
  [SMALL_STATE(3304)] = 64870,
  [SMALL_STATE(3305)] = 64943,
  [SMALL_STATE(3306)] = 65016,
  [SMALL_STATE(3307)] = 65089,
  [SMALL_STATE(3308)] = 65162,
  [SMALL_STATE(3309)] = 65235,
  [SMALL_STATE(3310)] = 65308,
  [SMALL_STATE(3311)] = 65439,
  [SMALL_STATE(3312)] = 65512,
  [SMALL_STATE(3313)] = 65585,
  [SMALL_STATE(3314)] = 65658,
  [SMALL_STATE(3315)] = 65731,
  [SMALL_STATE(3316)] = 65862,
  [SMALL_STATE(3317)] = 65993,
  [SMALL_STATE(3318)] = 66066,
  [SMALL_STATE(3319)] = 66139,
  [SMALL_STATE(3320)] = 66270,
  [SMALL_STATE(3321)] = 66401,
  [SMALL_STATE(3322)] = 66474,
  [SMALL_STATE(3323)] = 66547,
  [SMALL_STATE(3324)] = 66620,
  [SMALL_STATE(3325)] = 66693,
  [SMALL_STATE(3326)] = 66766,
  [SMALL_STATE(3327)] = 66841,
  [SMALL_STATE(3328)] = 66914,
  [SMALL_STATE(3329)] = 66987,
  [SMALL_STATE(3330)] = 67060,
  [SMALL_STATE(3331)] = 67133,
  [SMALL_STATE(3332)] = 67206,
  [SMALL_STATE(3333)] = 67279,
  [SMALL_STATE(3334)] = 67352,
  [SMALL_STATE(3335)] = 67425,
  [SMALL_STATE(3336)] = 67498,
  [SMALL_STATE(3337)] = 67571,
  [SMALL_STATE(3338)] = 67702,
  [SMALL_STATE(3339)] = 67777,
  [SMALL_STATE(3340)] = 67850,
  [SMALL_STATE(3341)] = 67923,
  [SMALL_STATE(3342)] = 67996,
  [SMALL_STATE(3343)] = 68069,
  [SMALL_STATE(3344)] = 68200,
  [SMALL_STATE(3345)] = 68273,
  [SMALL_STATE(3346)] = 68346,
  [SMALL_STATE(3347)] = 68419,
  [SMALL_STATE(3348)] = 68492,
  [SMALL_STATE(3349)] = 68565,
  [SMALL_STATE(3350)] = 68638,
  [SMALL_STATE(3351)] = 68711,
  [SMALL_STATE(3352)] = 68852,
  [SMALL_STATE(3353)] = 68983,
  [SMALL_STATE(3354)] = 69056,
  [SMALL_STATE(3355)] = 69129,
  [SMALL_STATE(3356)] = 69202,
  [SMALL_STATE(3357)] = 69343,
  [SMALL_STATE(3358)] = 69418,
  [SMALL_STATE(3359)] = 69491,
  [SMALL_STATE(3360)] = 69632,
  [SMALL_STATE(3361)] = 69705,
  [SMALL_STATE(3362)] = 69778,
  [SMALL_STATE(3363)] = 69851,
  [SMALL_STATE(3364)] = 69924,
  [SMALL_STATE(3365)] = 70055,
  [SMALL_STATE(3366)] = 70186,
  [SMALL_STATE(3367)] = 70327,
  [SMALL_STATE(3368)] = 70400,
  [SMALL_STATE(3369)] = 70473,
  [SMALL_STATE(3370)] = 70546,
  [SMALL_STATE(3371)] = 70619,
  [SMALL_STATE(3372)] = 70692,
  [SMALL_STATE(3373)] = 70765,
  [SMALL_STATE(3374)] = 70906,
  [SMALL_STATE(3375)] = 70979,
  [SMALL_STATE(3376)] = 71052,
  [SMALL_STATE(3377)] = 71183,
  [SMALL_STATE(3378)] = 71256,
  [SMALL_STATE(3379)] = 71329,
  [SMALL_STATE(3380)] = 71402,
  [SMALL_STATE(3381)] = 71475,
  [SMALL_STATE(3382)] = 71548,
  [SMALL_STATE(3383)] = 71679,
  [SMALL_STATE(3384)] = 71810,
  [SMALL_STATE(3385)] = 71889,
  [SMALL_STATE(3386)] = 72020,
  [SMALL_STATE(3387)] = 72093,
  [SMALL_STATE(3388)] = 72224,
  [SMALL_STATE(3389)] = 72297,
  [SMALL_STATE(3390)] = 72428,
  [SMALL_STATE(3391)] = 72559,
  [SMALL_STATE(3392)] = 72690,
  [SMALL_STATE(3393)] = 72821,
  [SMALL_STATE(3394)] = 72952,
  [SMALL_STATE(3395)] = 73025,
  [SMALL_STATE(3396)] = 73156,
  [SMALL_STATE(3397)] = 73287,
  [SMALL_STATE(3398)] = 73360,
  [SMALL_STATE(3399)] = 73433,
  [SMALL_STATE(3400)] = 73564,
  [SMALL_STATE(3401)] = 73695,
  [SMALL_STATE(3402)] = 73768,
  [SMALL_STATE(3403)] = 73841,
  [SMALL_STATE(3404)] = 73914,
  [SMALL_STATE(3405)] = 73987,
  [SMALL_STATE(3406)] = 74060,
  [SMALL_STATE(3407)] = 74191,
  [SMALL_STATE(3408)] = 74322,
  [SMALL_STATE(3409)] = 74395,
  [SMALL_STATE(3410)] = 74526,
  [SMALL_STATE(3411)] = 74657,
  [SMALL_STATE(3412)] = 74788,
  [SMALL_STATE(3413)] = 74919,
  [SMALL_STATE(3414)] = 75050,
  [SMALL_STATE(3415)] = 75181,
  [SMALL_STATE(3416)] = 75254,
  [SMALL_STATE(3417)] = 75327,
  [SMALL_STATE(3418)] = 75400,
  [SMALL_STATE(3419)] = 75531,
  [SMALL_STATE(3420)] = 75662,
  [SMALL_STATE(3421)] = 75735,
  [SMALL_STATE(3422)] = 75866,
  [SMALL_STATE(3423)] = 75939,
  [SMALL_STATE(3424)] = 76018,
  [SMALL_STATE(3425)] = 76149,
  [SMALL_STATE(3426)] = 76280,
  [SMALL_STATE(3427)] = 76411,
  [SMALL_STATE(3428)] = 76484,
  [SMALL_STATE(3429)] = 76557,
  [SMALL_STATE(3430)] = 76688,
  [SMALL_STATE(3431)] = 76761,
  [SMALL_STATE(3432)] = 76892,
  [SMALL_STATE(3433)] = 77023,
  [SMALL_STATE(3434)] = 77154,
  [SMALL_STATE(3435)] = 77285,
  [SMALL_STATE(3436)] = 77416,
  [SMALL_STATE(3437)] = 77547,
  [SMALL_STATE(3438)] = 77678,
  [SMALL_STATE(3439)] = 77809,
  [SMALL_STATE(3440)] = 77940,
  [SMALL_STATE(3441)] = 78013,
  [SMALL_STATE(3442)] = 78144,
  [SMALL_STATE(3443)] = 78217,
  [SMALL_STATE(3444)] = 78290,
  [SMALL_STATE(3445)] = 78363,
  [SMALL_STATE(3446)] = 78494,
  [SMALL_STATE(3447)] = 78625,
  [SMALL_STATE(3448)] = 78756,
  [SMALL_STATE(3449)] = 78829,
  [SMALL_STATE(3450)] = 78908,
  [SMALL_STATE(3451)] = 79039,
  [SMALL_STATE(3452)] = 79170,
  [SMALL_STATE(3453)] = 79301,
  [SMALL_STATE(3454)] = 79432,
  [SMALL_STATE(3455)] = 79563,
  [SMALL_STATE(3456)] = 79636,
  [SMALL_STATE(3457)] = 79767,
  [SMALL_STATE(3458)] = 79898,
  [SMALL_STATE(3459)] = 80029,
  [SMALL_STATE(3460)] = 80102,
  [SMALL_STATE(3461)] = 80233,
  [SMALL_STATE(3462)] = 80306,
  [SMALL_STATE(3463)] = 80379,
  [SMALL_STATE(3464)] = 80452,
  [SMALL_STATE(3465)] = 80527,
  [SMALL_STATE(3466)] = 80599,
  [SMALL_STATE(3467)] = 80671,
  [SMALL_STATE(3468)] = 80743,
  [SMALL_STATE(3469)] = 80815,
  [SMALL_STATE(3470)] = 80887,
  [SMALL_STATE(3471)] = 80959,
  [SMALL_STATE(3472)] = 81031,
  [SMALL_STATE(3473)] = 81105,
  [SMALL_STATE(3474)] = 81177,
  [SMALL_STATE(3475)] = 81249,
  [SMALL_STATE(3476)] = 81321,
  [SMALL_STATE(3477)] = 81393,
  [SMALL_STATE(3478)] = 81465,
  [SMALL_STATE(3479)] = 81537,
  [SMALL_STATE(3480)] = 81609,
  [SMALL_STATE(3481)] = 81683,
  [SMALL_STATE(3482)] = 81755,
  [SMALL_STATE(3483)] = 81827,
  [SMALL_STATE(3484)] = 81899,
  [SMALL_STATE(3485)] = 81971,
  [SMALL_STATE(3486)] = 82043,
  [SMALL_STATE(3487)] = 82115,
  [SMALL_STATE(3488)] = 82187,
  [SMALL_STATE(3489)] = 82259,
  [SMALL_STATE(3490)] = 82383,
  [SMALL_STATE(3491)] = 82455,
  [SMALL_STATE(3492)] = 82527,
  [SMALL_STATE(3493)] = 82651,
  [SMALL_STATE(3494)] = 82723,
  [SMALL_STATE(3495)] = 82847,
  [SMALL_STATE(3496)] = 82919,
  [SMALL_STATE(3497)] = 82991,
  [SMALL_STATE(3498)] = 83065,
  [SMALL_STATE(3499)] = 83193,
  [SMALL_STATE(3500)] = 83265,
  [SMALL_STATE(3501)] = 83389,
  [SMALL_STATE(3502)] = 83461,
  [SMALL_STATE(3503)] = 83533,
  [SMALL_STATE(3504)] = 83605,
  [SMALL_STATE(3505)] = 83677,
  [SMALL_STATE(3506)] = 83749,
  [SMALL_STATE(3507)] = 83821,
  [SMALL_STATE(3508)] = 83893,
  [SMALL_STATE(3509)] = 83965,
  [SMALL_STATE(3510)] = 84037,
  [SMALL_STATE(3511)] = 84109,
  [SMALL_STATE(3512)] = 84181,
  [SMALL_STATE(3513)] = 84253,
  [SMALL_STATE(3514)] = 84325,
  [SMALL_STATE(3515)] = 84397,
  [SMALL_STATE(3516)] = 84471,
  [SMALL_STATE(3517)] = 84543,
  [SMALL_STATE(3518)] = 84617,
  [SMALL_STATE(3519)] = 84689,
  [SMALL_STATE(3520)] = 84763,
  [SMALL_STATE(3521)] = 84835,
  [SMALL_STATE(3522)] = 84959,
  [SMALL_STATE(3523)] = 85031,
  [SMALL_STATE(3524)] = 85103,
  [SMALL_STATE(3525)] = 85175,
  [SMALL_STATE(3526)] = 85247,
  [SMALL_STATE(3527)] = 85319,
  [SMALL_STATE(3528)] = 85391,
  [SMALL_STATE(3529)] = 85519,
  [SMALL_STATE(3530)] = 85591,
  [SMALL_STATE(3531)] = 85663,
  [SMALL_STATE(3532)] = 85787,
  [SMALL_STATE(3533)] = 85859,
  [SMALL_STATE(3534)] = 85931,
  [SMALL_STATE(3535)] = 86003,
  [SMALL_STATE(3536)] = 86075,
  [SMALL_STATE(3537)] = 86147,
  [SMALL_STATE(3538)] = 86271,
  [SMALL_STATE(3539)] = 86343,
  [SMALL_STATE(3540)] = 86415,
  [SMALL_STATE(3541)] = 86487,
  [SMALL_STATE(3542)] = 86565,
  [SMALL_STATE(3543)] = 86637,
  [SMALL_STATE(3544)] = 86709,
  [SMALL_STATE(3545)] = 86781,
  [SMALL_STATE(3546)] = 86853,
  [SMALL_STATE(3547)] = 86925,
  [SMALL_STATE(3548)] = 86997,
  [SMALL_STATE(3549)] = 87069,
  [SMALL_STATE(3550)] = 87141,
  [SMALL_STATE(3551)] = 87213,
  [SMALL_STATE(3552)] = 87337,
  [SMALL_STATE(3553)] = 87409,
  [SMALL_STATE(3554)] = 87481,
  [SMALL_STATE(3555)] = 87605,
  [SMALL_STATE(3556)] = 87677,
  [SMALL_STATE(3557)] = 87801,
  [SMALL_STATE(3558)] = 87925,
  [SMALL_STATE(3559)] = 87997,
  [SMALL_STATE(3560)] = 88069,
  [SMALL_STATE(3561)] = 88193,
  [SMALL_STATE(3562)] = 88267,
  [SMALL_STATE(3563)] = 88339,
  [SMALL_STATE(3564)] = 88411,
  [SMALL_STATE(3565)] = 88483,
  [SMALL_STATE(3566)] = 88555,
  [SMALL_STATE(3567)] = 88627,
  [SMALL_STATE(3568)] = 88751,
  [SMALL_STATE(3569)] = 88823,
  [SMALL_STATE(3570)] = 88895,
  [SMALL_STATE(3571)] = 88967,
  [SMALL_STATE(3572)] = 89039,
  [SMALL_STATE(3573)] = 89111,
  [SMALL_STATE(3574)] = 89189,
  [SMALL_STATE(3575)] = 89263,
  [SMALL_STATE(3576)] = 89335,
  [SMALL_STATE(3577)] = 89407,
  [SMALL_STATE(3578)] = 89479,
  [SMALL_STATE(3579)] = 89551,
  [SMALL_STATE(3580)] = 89623,
  [SMALL_STATE(3581)] = 89695,
  [SMALL_STATE(3582)] = 89767,
  [SMALL_STATE(3583)] = 89839,
  [SMALL_STATE(3584)] = 89913,
  [SMALL_STATE(3585)] = 89985,
  [SMALL_STATE(3586)] = 90057,
  [SMALL_STATE(3587)] = 90129,
  [SMALL_STATE(3588)] = 90201,
  [SMALL_STATE(3589)] = 90325,
  [SMALL_STATE(3590)] = 90397,
  [SMALL_STATE(3591)] = 90469,
  [SMALL_STATE(3592)] = 90593,
  [SMALL_STATE(3593)] = 90665,
  [SMALL_STATE(3594)] = 90737,
  [SMALL_STATE(3595)] = 90809,
  [SMALL_STATE(3596)] = 90881,
  [SMALL_STATE(3597)] = 90953,
  [SMALL_STATE(3598)] = 91025,
  [SMALL_STATE(3599)] = 91097,
  [SMALL_STATE(3600)] = 91169,
  [SMALL_STATE(3601)] = 91293,
  [SMALL_STATE(3602)] = 91421,
  [SMALL_STATE(3603)] = 91493,
  [SMALL_STATE(3604)] = 91571,
  [SMALL_STATE(3605)] = 91695,
  [SMALL_STATE(3606)] = 91767,
  [SMALL_STATE(3607)] = 91839,
  [SMALL_STATE(3608)] = 91911,
  [SMALL_STATE(3609)] = 91983,
  [SMALL_STATE(3610)] = 92055,
  [SMALL_STATE(3611)] = 92127,
  [SMALL_STATE(3612)] = 92199,
  [SMALL_STATE(3613)] = 92323,
  [SMALL_STATE(3614)] = 92447,
  [SMALL_STATE(3615)] = 92571,
  [SMALL_STATE(3616)] = 92643,
  [SMALL_STATE(3617)] = 92767,
  [SMALL_STATE(3618)] = 92839,
  [SMALL_STATE(3619)] = 92967,
  [SMALL_STATE(3620)] = 93041,
  [SMALL_STATE(3621)] = 93165,
  [SMALL_STATE(3622)] = 93289,
  [SMALL_STATE(3623)] = 93413,
  [SMALL_STATE(3624)] = 93485,
  [SMALL_STATE(3625)] = 93557,
  [SMALL_STATE(3626)] = 93629,
  [SMALL_STATE(3627)] = 93701,
  [SMALL_STATE(3628)] = 93773,
  [SMALL_STATE(3629)] = 93897,
  [SMALL_STATE(3630)] = 93969,
  [SMALL_STATE(3631)] = 94093,
  [SMALL_STATE(3632)] = 94165,
  [SMALL_STATE(3633)] = 94289,
  [SMALL_STATE(3634)] = 94361,
  [SMALL_STATE(3635)] = 94485,
  [SMALL_STATE(3636)] = 94609,
  [SMALL_STATE(3637)] = 94733,
  [SMALL_STATE(3638)] = 94857,
  [SMALL_STATE(3639)] = 94929,
  [SMALL_STATE(3640)] = 95053,
  [SMALL_STATE(3641)] = 95125,
  [SMALL_STATE(3642)] = 95249,
  [SMALL_STATE(3643)] = 95377,
  [SMALL_STATE(3644)] = 95449,
  [SMALL_STATE(3645)] = 95573,
  [SMALL_STATE(3646)] = 95701,
  [SMALL_STATE(3647)] = 95825,
  [SMALL_STATE(3648)] = 95897,
  [SMALL_STATE(3649)] = 95969,
  [SMALL_STATE(3650)] = 96041,
  [SMALL_STATE(3651)] = 96165,
  [SMALL_STATE(3652)] = 96289,
  [SMALL_STATE(3653)] = 96413,
  [SMALL_STATE(3654)] = 96541,
  [SMALL_STATE(3655)] = 96613,
  [SMALL_STATE(3656)] = 96737,
  [SMALL_STATE(3657)] = 96809,
  [SMALL_STATE(3658)] = 96881,
  [SMALL_STATE(3659)] = 96953,
  [SMALL_STATE(3660)] = 97077,
  [SMALL_STATE(3661)] = 97149,
  [SMALL_STATE(3662)] = 97273,
  [SMALL_STATE(3663)] = 97345,
  [SMALL_STATE(3664)] = 97469,
  [SMALL_STATE(3665)] = 97541,
  [SMALL_STATE(3666)] = 97665,
  [SMALL_STATE(3667)] = 97739,
  [SMALL_STATE(3668)] = 97813,
  [SMALL_STATE(3669)] = 97885,
  [SMALL_STATE(3670)] = 97957,
  [SMALL_STATE(3671)] = 98029,
  [SMALL_STATE(3672)] = 98101,
  [SMALL_STATE(3673)] = 98225,
  [SMALL_STATE(3674)] = 98349,
  [SMALL_STATE(3675)] = 98473,
  [SMALL_STATE(3676)] = 98545,
  [SMALL_STATE(3677)] = 98673,
  [SMALL_STATE(3678)] = 98797,
  [SMALL_STATE(3679)] = 98869,
  [SMALL_STATE(3680)] = 98941,
  [SMALL_STATE(3681)] = 99013,
  [SMALL_STATE(3682)] = 99085,
  [SMALL_STATE(3683)] = 99213,
  [SMALL_STATE(3684)] = 99341,
  [SMALL_STATE(3685)] = 99469,
  [SMALL_STATE(3686)] = 99593,
  [SMALL_STATE(3687)] = 99717,
  [SMALL_STATE(3688)] = 99795,
  [SMALL_STATE(3689)] = 99867,
  [SMALL_STATE(3690)] = 99995,
  [SMALL_STATE(3691)] = 100067,
  [SMALL_STATE(3692)] = 100191,
  [SMALL_STATE(3693)] = 100263,
  [SMALL_STATE(3694)] = 100335,
  [SMALL_STATE(3695)] = 100407,
  [SMALL_STATE(3696)] = 100480,
  [SMALL_STATE(3697)] = 100551,
  [SMALL_STATE(3698)] = 100622,
  [SMALL_STATE(3699)] = 100747,
  [SMALL_STATE(3700)] = 100868,
  [SMALL_STATE(3701)] = 100939,
  [SMALL_STATE(3702)] = 101010,
  [SMALL_STATE(3703)] = 101081,
  [SMALL_STATE(3704)] = 101206,
  [SMALL_STATE(3705)] = 101331,
  [SMALL_STATE(3706)] = 101456,
  [SMALL_STATE(3707)] = 101527,
  [SMALL_STATE(3708)] = 101598,
  [SMALL_STATE(3709)] = 101669,
  [SMALL_STATE(3710)] = 101740,
  [SMALL_STATE(3711)] = 101811,
  [SMALL_STATE(3712)] = 101932,
  [SMALL_STATE(3713)] = 102057,
  [SMALL_STATE(3714)] = 102128,
  [SMALL_STATE(3715)] = 102249,
  [SMALL_STATE(3716)] = 102370,
  [SMALL_STATE(3717)] = 102491,
  [SMALL_STATE(3718)] = 102612,
  [SMALL_STATE(3719)] = 102733,
  [SMALL_STATE(3720)] = 102804,
  [SMALL_STATE(3721)] = 102875,
  [SMALL_STATE(3722)] = 102996,
  [SMALL_STATE(3723)] = 103121,
  [SMALL_STATE(3724)] = 103246,
  [SMALL_STATE(3725)] = 103317,
  [SMALL_STATE(3726)] = 103442,
  [SMALL_STATE(3727)] = 103513,
  [SMALL_STATE(3728)] = 103584,
  [SMALL_STATE(3729)] = 103655,
  [SMALL_STATE(3730)] = 103726,
  [SMALL_STATE(3731)] = 103797,
  [SMALL_STATE(3732)] = 103918,
  [SMALL_STATE(3733)] = 103989,
  [SMALL_STATE(3734)] = 104114,
  [SMALL_STATE(3735)] = 104239,
  [SMALL_STATE(3736)] = 104310,
  [SMALL_STATE(3737)] = 104381,
  [SMALL_STATE(3738)] = 104506,
  [SMALL_STATE(3739)] = 104577,
  [SMALL_STATE(3740)] = 104702,
  [SMALL_STATE(3741)] = 104773,
  [SMALL_STATE(3742)] = 104894,
  [SMALL_STATE(3743)] = 105015,
  [SMALL_STATE(3744)] = 105150,
  [SMALL_STATE(3745)] = 105223,
  [SMALL_STATE(3746)] = 105294,
  [SMALL_STATE(3747)] = 105365,
  [SMALL_STATE(3748)] = 105490,
  [SMALL_STATE(3749)] = 105561,
  [SMALL_STATE(3750)] = 105686,
  [SMALL_STATE(3751)] = 105757,
  [SMALL_STATE(3752)] = 105878,
  [SMALL_STATE(3753)] = 106003,
  [SMALL_STATE(3754)] = 106128,
  [SMALL_STATE(3755)] = 106201,
  [SMALL_STATE(3756)] = 106322,
  [SMALL_STATE(3757)] = 106447,
  [SMALL_STATE(3758)] = 106572,
  [SMALL_STATE(3759)] = 106697,
  [SMALL_STATE(3760)] = 106768,
  [SMALL_STATE(3761)] = 106839,
  [SMALL_STATE(3762)] = 106910,
  [SMALL_STATE(3763)] = 107035,
  [SMALL_STATE(3764)] = 107106,
  [SMALL_STATE(3765)] = 107227,
  [SMALL_STATE(3766)] = 107352,
  [SMALL_STATE(3767)] = 107423,
  [SMALL_STATE(3768)] = 107494,
  [SMALL_STATE(3769)] = 107565,
  [SMALL_STATE(3770)] = 107690,
  [SMALL_STATE(3771)] = 107811,
  [SMALL_STATE(3772)] = 107882,
  [SMALL_STATE(3773)] = 107953,
  [SMALL_STATE(3774)] = 108074,
  [SMALL_STATE(3775)] = 108195,
  [SMALL_STATE(3776)] = 108266,
  [SMALL_STATE(3777)] = 108387,
  [SMALL_STATE(3778)] = 108458,
  [SMALL_STATE(3779)] = 108529,
  [SMALL_STATE(3780)] = 108654,
  [SMALL_STATE(3781)] = 108725,
  [SMALL_STATE(3782)] = 108850,
  [SMALL_STATE(3783)] = 108923,
  [SMALL_STATE(3784)] = 109048,
  [SMALL_STATE(3785)] = 109119,
  [SMALL_STATE(3786)] = 109244,
  [SMALL_STATE(3787)] = 109315,
  [SMALL_STATE(3788)] = 109440,
  [SMALL_STATE(3789)] = 109511,
  [SMALL_STATE(3790)] = 109636,
  [SMALL_STATE(3791)] = 109761,
  [SMALL_STATE(3792)] = 109832,
  [SMALL_STATE(3793)] = 109953,
  [SMALL_STATE(3794)] = 110074,
  [SMALL_STATE(3795)] = 110199,
  [SMALL_STATE(3796)] = 110270,
  [SMALL_STATE(3797)] = 110341,
  [SMALL_STATE(3798)] = 110412,
  [SMALL_STATE(3799)] = 110483,
  [SMALL_STATE(3800)] = 110554,
  [SMALL_STATE(3801)] = 110625,
  [SMALL_STATE(3802)] = 110696,
  [SMALL_STATE(3803)] = 110817,
  [SMALL_STATE(3804)] = 110938,
  [SMALL_STATE(3805)] = 111009,
  [SMALL_STATE(3806)] = 111082,
  [SMALL_STATE(3807)] = 111153,
  [SMALL_STATE(3808)] = 111224,
  [SMALL_STATE(3809)] = 111295,
  [SMALL_STATE(3810)] = 111420,
  [SMALL_STATE(3811)] = 111491,
  [SMALL_STATE(3812)] = 111616,
  [SMALL_STATE(3813)] = 111687,
  [SMALL_STATE(3814)] = 111812,
  [SMALL_STATE(3815)] = 111883,
  [SMALL_STATE(3816)] = 112008,
  [SMALL_STATE(3817)] = 112079,
  [SMALL_STATE(3818)] = 112150,
  [SMALL_STATE(3819)] = 112227,
  [SMALL_STATE(3820)] = 112298,
  [SMALL_STATE(3821)] = 112423,
  [SMALL_STATE(3822)] = 112548,
  [SMALL_STATE(3823)] = 112619,
  [SMALL_STATE(3824)] = 112690,
  [SMALL_STATE(3825)] = 112815,
  [SMALL_STATE(3826)] = 112886,
  [SMALL_STATE(3827)] = 112957,
  [SMALL_STATE(3828)] = 113028,
  [SMALL_STATE(3829)] = 113153,
  [SMALL_STATE(3830)] = 113224,
  [SMALL_STATE(3831)] = 113295,
  [SMALL_STATE(3832)] = 113366,
  [SMALL_STATE(3833)] = 113491,
  [SMALL_STATE(3834)] = 113562,
  [SMALL_STATE(3835)] = 113683,
  [SMALL_STATE(3836)] = 113808,
  [SMALL_STATE(3837)] = 113933,
  [SMALL_STATE(3838)] = 114054,
  [SMALL_STATE(3839)] = 114125,
  [SMALL_STATE(3840)] = 114250,
  [SMALL_STATE(3841)] = 114321,
  [SMALL_STATE(3842)] = 114446,
  [SMALL_STATE(3843)] = 114517,
  [SMALL_STATE(3844)] = 114652,
  [SMALL_STATE(3845)] = 114725,
  [SMALL_STATE(3846)] = 114796,
  [SMALL_STATE(3847)] = 114921,
  [SMALL_STATE(3848)] = 114992,
  [SMALL_STATE(3849)] = 115063,
  [SMALL_STATE(3850)] = 115184,
  [SMALL_STATE(3851)] = 115309,
  [SMALL_STATE(3852)] = 115434,
  [SMALL_STATE(3853)] = 115505,
  [SMALL_STATE(3854)] = 115576,
  [SMALL_STATE(3855)] = 115647,
  [SMALL_STATE(3856)] = 115718,
  [SMALL_STATE(3857)] = 115789,
  [SMALL_STATE(3858)] = 115914,
  [SMALL_STATE(3859)] = 116039,
  [SMALL_STATE(3860)] = 116164,
  [SMALL_STATE(3861)] = 116235,
  [SMALL_STATE(3862)] = 116360,
  [SMALL_STATE(3863)] = 116431,
  [SMALL_STATE(3864)] = 116502,
  [SMALL_STATE(3865)] = 116627,
  [SMALL_STATE(3866)] = 116698,
  [SMALL_STATE(3867)] = 116823,
  [SMALL_STATE(3868)] = 116948,
  [SMALL_STATE(3869)] = 117019,
  [SMALL_STATE(3870)] = 117090,
  [SMALL_STATE(3871)] = 117161,
  [SMALL_STATE(3872)] = 117286,
  [SMALL_STATE(3873)] = 117407,
  [SMALL_STATE(3874)] = 117532,
  [SMALL_STATE(3875)] = 117603,
  [SMALL_STATE(3876)] = 117674,
  [SMALL_STATE(3877)] = 117745,
  [SMALL_STATE(3878)] = 117816,
  [SMALL_STATE(3879)] = 117937,
  [SMALL_STATE(3880)] = 118062,
  [SMALL_STATE(3881)] = 118133,
  [SMALL_STATE(3882)] = 118258,
  [SMALL_STATE(3883)] = 118379,
  [SMALL_STATE(3884)] = 118450,
  [SMALL_STATE(3885)] = 118521,
  [SMALL_STATE(3886)] = 118592,
  [SMALL_STATE(3887)] = 118663,
  [SMALL_STATE(3888)] = 118734,
  [SMALL_STATE(3889)] = 118855,
  [SMALL_STATE(3890)] = 118926,
  [SMALL_STATE(3891)] = 118997,
  [SMALL_STATE(3892)] = 119068,
  [SMALL_STATE(3893)] = 119139,
  [SMALL_STATE(3894)] = 119210,
  [SMALL_STATE(3895)] = 119335,
  [SMALL_STATE(3896)] = 119406,
  [SMALL_STATE(3897)] = 119527,
  [SMALL_STATE(3898)] = 119598,
  [SMALL_STATE(3899)] = 119723,
  [SMALL_STATE(3900)] = 119848,
  [SMALL_STATE(3901)] = 119973,
  [SMALL_STATE(3902)] = 120098,
  [SMALL_STATE(3903)] = 120169,
  [SMALL_STATE(3904)] = 120240,
  [SMALL_STATE(3905)] = 120311,
  [SMALL_STATE(3906)] = 120382,
  [SMALL_STATE(3907)] = 120455,
  [SMALL_STATE(3908)] = 120526,
  [SMALL_STATE(3909)] = 120597,
  [SMALL_STATE(3910)] = 120722,
  [SMALL_STATE(3911)] = 120847,
  [SMALL_STATE(3912)] = 120918,
  [SMALL_STATE(3913)] = 121043,
  [SMALL_STATE(3914)] = 121168,
  [SMALL_STATE(3915)] = 121239,
  [SMALL_STATE(3916)] = 121312,
  [SMALL_STATE(3917)] = 121383,
  [SMALL_STATE(3918)] = 121504,
  [SMALL_STATE(3919)] = 121575,
  [SMALL_STATE(3920)] = 121700,
  [SMALL_STATE(3921)] = 121771,
  [SMALL_STATE(3922)] = 121896,
  [SMALL_STATE(3923)] = 122021,
  [SMALL_STATE(3924)] = 122142,
  [SMALL_STATE(3925)] = 122215,
  [SMALL_STATE(3926)] = 122340,
  [SMALL_STATE(3927)] = 122411,
  [SMALL_STATE(3928)] = 122532,
  [SMALL_STATE(3929)] = 122603,
  [SMALL_STATE(3930)] = 122728,
  [SMALL_STATE(3931)] = 122853,
  [SMALL_STATE(3932)] = 122978,
  [SMALL_STATE(3933)] = 123049,
  [SMALL_STATE(3934)] = 123120,
  [SMALL_STATE(3935)] = 123245,
  [SMALL_STATE(3936)] = 123316,
  [SMALL_STATE(3937)] = 123387,
  [SMALL_STATE(3938)] = 123458,
  [SMALL_STATE(3939)] = 123529,
  [SMALL_STATE(3940)] = 123654,
  [SMALL_STATE(3941)] = 123779,
  [SMALL_STATE(3942)] = 123850,
  [SMALL_STATE(3943)] = 123975,
  [SMALL_STATE(3944)] = 124048,
  [SMALL_STATE(3945)] = 124169,
  [SMALL_STATE(3946)] = 124240,
  [SMALL_STATE(3947)] = 124361,
  [SMALL_STATE(3948)] = 124438,
  [SMALL_STATE(3949)] = 124509,
  [SMALL_STATE(3950)] = 124634,
  [SMALL_STATE(3951)] = 124759,
  [SMALL_STATE(3952)] = 124884,
  [SMALL_STATE(3953)] = 124955,
  [SMALL_STATE(3954)] = 125080,
  [SMALL_STATE(3955)] = 125205,
  [SMALL_STATE(3956)] = 125326,
  [SMALL_STATE(3957)] = 125451,
  [SMALL_STATE(3958)] = 125576,
  [SMALL_STATE(3959)] = 125647,
  [SMALL_STATE(3960)] = 125768,
  [SMALL_STATE(3961)] = 125839,
  [SMALL_STATE(3962)] = 125910,
  [SMALL_STATE(3963)] = 126035,
  [SMALL_STATE(3964)] = 126156,
  [SMALL_STATE(3965)] = 126227,
  [SMALL_STATE(3966)] = 126298,
  [SMALL_STATE(3967)] = 126369,
  [SMALL_STATE(3968)] = 126494,
  [SMALL_STATE(3969)] = 126619,
  [SMALL_STATE(3970)] = 126690,
  [SMALL_STATE(3971)] = 126815,
  [SMALL_STATE(3972)] = 126886,
  [SMALL_STATE(3973)] = 127007,
  [SMALL_STATE(3974)] = 127078,
  [SMALL_STATE(3975)] = 127203,
  [SMALL_STATE(3976)] = 127328,
  [SMALL_STATE(3977)] = 127453,
  [SMALL_STATE(3978)] = 127578,
  [SMALL_STATE(3979)] = 127703,
  [SMALL_STATE(3980)] = 127774,
  [SMALL_STATE(3981)] = 127899,
  [SMALL_STATE(3982)] = 127970,
  [SMALL_STATE(3983)] = 128095,
  [SMALL_STATE(3984)] = 128220,
  [SMALL_STATE(3985)] = 128291,
  [SMALL_STATE(3986)] = 128416,
  [SMALL_STATE(3987)] = 128541,
  [SMALL_STATE(3988)] = 128612,
  [SMALL_STATE(3989)] = 128683,
  [SMALL_STATE(3990)] = 128754,
  [SMALL_STATE(3991)] = 128825,
  [SMALL_STATE(3992)] = 128950,
  [SMALL_STATE(3993)] = 129075,
  [SMALL_STATE(3994)] = 129152,
  [SMALL_STATE(3995)] = 129223,
  [SMALL_STATE(3996)] = 129344,
  [SMALL_STATE(3997)] = 129469,
  [SMALL_STATE(3998)] = 129540,
  [SMALL_STATE(3999)] = 129661,
  [SMALL_STATE(4000)] = 129732,
  [SMALL_STATE(4001)] = 129803,
  [SMALL_STATE(4002)] = 129924,
  [SMALL_STATE(4003)] = 130045,
  [SMALL_STATE(4004)] = 130170,
  [SMALL_STATE(4005)] = 130243,
  [SMALL_STATE(4006)] = 130368,
  [SMALL_STATE(4007)] = 130493,
  [SMALL_STATE(4008)] = 130618,
  [SMALL_STATE(4009)] = 130689,
  [SMALL_STATE(4010)] = 130762,
  [SMALL_STATE(4011)] = 130839,
  [SMALL_STATE(4012)] = 130964,
  [SMALL_STATE(4013)] = 131089,
  [SMALL_STATE(4014)] = 131160,
  [SMALL_STATE(4015)] = 131285,
  [SMALL_STATE(4016)] = 131356,
  [SMALL_STATE(4017)] = 131427,
  [SMALL_STATE(4018)] = 131552,
  [SMALL_STATE(4019)] = 131677,
  [SMALL_STATE(4020)] = 131802,
  [SMALL_STATE(4021)] = 131873,
  [SMALL_STATE(4022)] = 131944,
  [SMALL_STATE(4023)] = 132069,
  [SMALL_STATE(4024)] = 132142,
  [SMALL_STATE(4025)] = 132215,
  [SMALL_STATE(4026)] = 132286,
  [SMALL_STATE(4027)] = 132408,
  [SMALL_STATE(4028)] = 132530,
  [SMALL_STATE(4029)] = 132600,
  [SMALL_STATE(4030)] = 132722,
  [SMALL_STATE(4031)] = 132792,
  [SMALL_STATE(4032)] = 132910,
  [SMALL_STATE(4033)] = 133032,
  [SMALL_STATE(4034)] = 133154,
  [SMALL_STATE(4035)] = 133276,
  [SMALL_STATE(4036)] = 133346,
  [SMALL_STATE(4037)] = 133416,
  [SMALL_STATE(4038)] = 133534,
  [SMALL_STATE(4039)] = 133610,
  [SMALL_STATE(4040)] = 133732,
  [SMALL_STATE(4041)] = 133802,
  [SMALL_STATE(4042)] = 133924,
  [SMALL_STATE(4043)] = 133994,
  [SMALL_STATE(4044)] = 134064,
  [SMALL_STATE(4045)] = 134134,
  [SMALL_STATE(4046)] = 134204,
  [SMALL_STATE(4047)] = 134274,
  [SMALL_STATE(4048)] = 134344,
  [SMALL_STATE(4049)] = 134414,
  [SMALL_STATE(4050)] = 134484,
  [SMALL_STATE(4051)] = 134554,
  [SMALL_STATE(4052)] = 134630,
  [SMALL_STATE(4053)] = 134700,
  [SMALL_STATE(4054)] = 134818,
  [SMALL_STATE(4055)] = 134888,
  [SMALL_STATE(4056)] = 134958,
  [SMALL_STATE(4057)] = 135028,
  [SMALL_STATE(4058)] = 135098,
  [SMALL_STATE(4059)] = 135168,
  [SMALL_STATE(4060)] = 135238,
  [SMALL_STATE(4061)] = 135308,
  [SMALL_STATE(4062)] = 135378,
  [SMALL_STATE(4063)] = 135496,
  [SMALL_STATE(4064)] = 135614,
  [SMALL_STATE(4065)] = 135684,
  [SMALL_STATE(4066)] = 135754,
  [SMALL_STATE(4067)] = 135824,
  [SMALL_STATE(4068)] = 135894,
  [SMALL_STATE(4069)] = 135964,
  [SMALL_STATE(4070)] = 136034,
  [SMALL_STATE(4071)] = 136104,
  [SMALL_STATE(4072)] = 136174,
  [SMALL_STATE(4073)] = 136244,
  [SMALL_STATE(4074)] = 136314,
  [SMALL_STATE(4075)] = 136386,
  [SMALL_STATE(4076)] = 136456,
  [SMALL_STATE(4077)] = 136526,
  [SMALL_STATE(4078)] = 136596,
  [SMALL_STATE(4079)] = 136666,
  [SMALL_STATE(4080)] = 136736,
  [SMALL_STATE(4081)] = 136806,
  [SMALL_STATE(4082)] = 136876,
  [SMALL_STATE(4083)] = 136946,
  [SMALL_STATE(4084)] = 137016,
  [SMALL_STATE(4085)] = 137086,
  [SMALL_STATE(4086)] = 137156,
  [SMALL_STATE(4087)] = 137274,
  [SMALL_STATE(4088)] = 137392,
  [SMALL_STATE(4089)] = 137462,
  [SMALL_STATE(4090)] = 137532,
  [SMALL_STATE(4091)] = 137602,
  [SMALL_STATE(4092)] = 137672,
  [SMALL_STATE(4093)] = 137742,
  [SMALL_STATE(4094)] = 137812,
  [SMALL_STATE(4095)] = 137882,
  [SMALL_STATE(4096)] = 138000,
  [SMALL_STATE(4097)] = 138070,
  [SMALL_STATE(4098)] = 138140,
  [SMALL_STATE(4099)] = 138210,
  [SMALL_STATE(4100)] = 138280,
  [SMALL_STATE(4101)] = 138350,
  [SMALL_STATE(4102)] = 138420,
  [SMALL_STATE(4103)] = 138490,
  [SMALL_STATE(4104)] = 138560,
  [SMALL_STATE(4105)] = 138678,
  [SMALL_STATE(4106)] = 138800,
  [SMALL_STATE(4107)] = 138870,
  [SMALL_STATE(4108)] = 138940,
  [SMALL_STATE(4109)] = 139058,
  [SMALL_STATE(4110)] = 139128,
  [SMALL_STATE(4111)] = 139246,
  [SMALL_STATE(4112)] = 139316,
  [SMALL_STATE(4113)] = 139434,
  [SMALL_STATE(4114)] = 139504,
  [SMALL_STATE(4115)] = 139574,
  [SMALL_STATE(4116)] = 139644,
  [SMALL_STATE(4117)] = 139762,
  [SMALL_STATE(4118)] = 139880,
  [SMALL_STATE(4119)] = 139998,
  [SMALL_STATE(4120)] = 140070,
  [SMALL_STATE(4121)] = 140140,
  [SMALL_STATE(4122)] = 140210,
  [SMALL_STATE(4123)] = 140332,
  [SMALL_STATE(4124)] = 140450,
  [SMALL_STATE(4125)] = 140520,
  [SMALL_STATE(4126)] = 140590,
  [SMALL_STATE(4127)] = 140660,
  [SMALL_STATE(4128)] = 140730,
  [SMALL_STATE(4129)] = 140800,
  [SMALL_STATE(4130)] = 140870,
  [SMALL_STATE(4131)] = 140992,
  [SMALL_STATE(4132)] = 141114,
  [SMALL_STATE(4133)] = 141236,
  [SMALL_STATE(4134)] = 141358,
  [SMALL_STATE(4135)] = 141480,
  [SMALL_STATE(4136)] = 141602,
  [SMALL_STATE(4137)] = 141720,
  [SMALL_STATE(4138)] = 141838,
  [SMALL_STATE(4139)] = 141908,
  [SMALL_STATE(4140)] = 141978,
  [SMALL_STATE(4141)] = 142096,
  [SMALL_STATE(4142)] = 142214,
  [SMALL_STATE(4143)] = 142332,
  [SMALL_STATE(4144)] = 142402,
  [SMALL_STATE(4145)] = 142472,
  [SMALL_STATE(4146)] = 142590,
  [SMALL_STATE(4147)] = 142708,
  [SMALL_STATE(4148)] = 142826,
  [SMALL_STATE(4149)] = 142896,
  [SMALL_STATE(4150)] = 142966,
  [SMALL_STATE(4151)] = 143084,
  [SMALL_STATE(4152)] = 143156,
  [SMALL_STATE(4153)] = 143274,
  [SMALL_STATE(4154)] = 143392,
  [SMALL_STATE(4155)] = 143510,
  [SMALL_STATE(4156)] = 143580,
  [SMALL_STATE(4157)] = 143698,
  [SMALL_STATE(4158)] = 143768,
  [SMALL_STATE(4159)] = 143886,
  [SMALL_STATE(4160)] = 144004,
  [SMALL_STATE(4161)] = 144122,
  [SMALL_STATE(4162)] = 144192,
  [SMALL_STATE(4163)] = 144264,
  [SMALL_STATE(4164)] = 144386,
  [SMALL_STATE(4165)] = 144456,
  [SMALL_STATE(4166)] = 144526,
  [SMALL_STATE(4167)] = 144644,
  [SMALL_STATE(4168)] = 144762,
  [SMALL_STATE(4169)] = 144880,
  [SMALL_STATE(4170)] = 144950,
  [SMALL_STATE(4171)] = 145068,
  [SMALL_STATE(4172)] = 145138,
  [SMALL_STATE(4173)] = 145210,
  [SMALL_STATE(4174)] = 145328,
  [SMALL_STATE(4175)] = 145446,
  [SMALL_STATE(4176)] = 145564,
  [SMALL_STATE(4177)] = 145634,
  [SMALL_STATE(4178)] = 145752,
  [SMALL_STATE(4179)] = 145870,
  [SMALL_STATE(4180)] = 145988,
  [SMALL_STATE(4181)] = 146106,
  [SMALL_STATE(4182)] = 146178,
  [SMALL_STATE(4183)] = 146248,
  [SMALL_STATE(4184)] = 146318,
  [SMALL_STATE(4185)] = 146388,
  [SMALL_STATE(4186)] = 146510,
  [SMALL_STATE(4187)] = 146628,
  [SMALL_STATE(4188)] = 146746,
  [SMALL_STATE(4189)] = 146864,
  [SMALL_STATE(4190)] = 146934,
  [SMALL_STATE(4191)] = 147004,
  [SMALL_STATE(4192)] = 147074,
  [SMALL_STATE(4193)] = 147144,
  [SMALL_STATE(4194)] = 147214,
  [SMALL_STATE(4195)] = 147284,
  [SMALL_STATE(4196)] = 147402,
  [SMALL_STATE(4197)] = 147472,
  [SMALL_STATE(4198)] = 147542,
  [SMALL_STATE(4199)] = 147612,
  [SMALL_STATE(4200)] = 147682,
  [SMALL_STATE(4201)] = 147800,
  [SMALL_STATE(4202)] = 147918,
  [SMALL_STATE(4203)] = 148036,
  [SMALL_STATE(4204)] = 148106,
  [SMALL_STATE(4205)] = 148176,
  [SMALL_STATE(4206)] = 148246,
  [SMALL_STATE(4207)] = 148316,
  [SMALL_STATE(4208)] = 148386,
  [SMALL_STATE(4209)] = 148456,
  [SMALL_STATE(4210)] = 148526,
  [SMALL_STATE(4211)] = 148644,
  [SMALL_STATE(4212)] = 148762,
  [SMALL_STATE(4213)] = 148880,
  [SMALL_STATE(4214)] = 148950,
  [SMALL_STATE(4215)] = 149020,
  [SMALL_STATE(4216)] = 149090,
  [SMALL_STATE(4217)] = 149160,
  [SMALL_STATE(4218)] = 149230,
  [SMALL_STATE(4219)] = 149300,
  [SMALL_STATE(4220)] = 149418,
  [SMALL_STATE(4221)] = 149536,
  [SMALL_STATE(4222)] = 149654,
  [SMALL_STATE(4223)] = 149772,
  [SMALL_STATE(4224)] = 149842,
  [SMALL_STATE(4225)] = 149912,
  [SMALL_STATE(4226)] = 150030,
  [SMALL_STATE(4227)] = 150148,
  [SMALL_STATE(4228)] = 150266,
  [SMALL_STATE(4229)] = 150384,
  [SMALL_STATE(4230)] = 150502,
  [SMALL_STATE(4231)] = 150620,
  [SMALL_STATE(4232)] = 150738,
  [SMALL_STATE(4233)] = 150808,
  [SMALL_STATE(4234)] = 150926,
  [SMALL_STATE(4235)] = 151044,
  [SMALL_STATE(4236)] = 151162,
  [SMALL_STATE(4237)] = 151280,
  [SMALL_STATE(4238)] = 151398,
  [SMALL_STATE(4239)] = 151516,
  [SMALL_STATE(4240)] = 151634,
  [SMALL_STATE(4241)] = 151752,
  [SMALL_STATE(4242)] = 151870,
  [SMALL_STATE(4243)] = 151988,
  [SMALL_STATE(4244)] = 152106,
  [SMALL_STATE(4245)] = 152176,
  [SMALL_STATE(4246)] = 152294,
  [SMALL_STATE(4247)] = 152412,
  [SMALL_STATE(4248)] = 152530,
  [SMALL_STATE(4249)] = 152600,
  [SMALL_STATE(4250)] = 152718,
  [SMALL_STATE(4251)] = 152836,
  [SMALL_STATE(4252)] = 152954,
  [SMALL_STATE(4253)] = 153024,
  [SMALL_STATE(4254)] = 153142,
  [SMALL_STATE(4255)] = 153260,
  [SMALL_STATE(4256)] = 153378,
  [SMALL_STATE(4257)] = 153496,
  [SMALL_STATE(4258)] = 153614,
  [SMALL_STATE(4259)] = 153732,
  [SMALL_STATE(4260)] = 153850,
  [SMALL_STATE(4261)] = 153920,
  [SMALL_STATE(4262)] = 154038,
  [SMALL_STATE(4263)] = 154156,
  [SMALL_STATE(4264)] = 154274,
  [SMALL_STATE(4265)] = 154392,
  [SMALL_STATE(4266)] = 154510,
  [SMALL_STATE(4267)] = 154628,
  [SMALL_STATE(4268)] = 154746,
  [SMALL_STATE(4269)] = 154864,
  [SMALL_STATE(4270)] = 154982,
  [SMALL_STATE(4271)] = 155100,
  [SMALL_STATE(4272)] = 155218,
  [SMALL_STATE(4273)] = 155336,
  [SMALL_STATE(4274)] = 155406,
  [SMALL_STATE(4275)] = 155524,
  [SMALL_STATE(4276)] = 155642,
  [SMALL_STATE(4277)] = 155760,
  [SMALL_STATE(4278)] = 155878,
  [SMALL_STATE(4279)] = 155996,
  [SMALL_STATE(4280)] = 156114,
  [SMALL_STATE(4281)] = 156232,
  [SMALL_STATE(4282)] = 156350,
  [SMALL_STATE(4283)] = 156468,
  [SMALL_STATE(4284)] = 156586,
  [SMALL_STATE(4285)] = 156704,
  [SMALL_STATE(4286)] = 156822,
  [SMALL_STATE(4287)] = 156940,
  [SMALL_STATE(4288)] = 157058,
  [SMALL_STATE(4289)] = 157176,
  [SMALL_STATE(4290)] = 157294,
  [SMALL_STATE(4291)] = 157412,
  [SMALL_STATE(4292)] = 157530,
  [SMALL_STATE(4293)] = 157648,
  [SMALL_STATE(4294)] = 157766,
  [SMALL_STATE(4295)] = 157884,
  [SMALL_STATE(4296)] = 158002,
  [SMALL_STATE(4297)] = 158120,
  [SMALL_STATE(4298)] = 158238,
  [SMALL_STATE(4299)] = 158356,
  [SMALL_STATE(4300)] = 158474,
  [SMALL_STATE(4301)] = 158544,
  [SMALL_STATE(4302)] = 158614,
  [SMALL_STATE(4303)] = 158684,
  [SMALL_STATE(4304)] = 158760,
  [SMALL_STATE(4305)] = 158878,
  [SMALL_STATE(4306)] = 158950,
  [SMALL_STATE(4307)] = 159020,
  [SMALL_STATE(4308)] = 159090,
  [SMALL_STATE(4309)] = 159212,
  [SMALL_STATE(4310)] = 159282,
  [SMALL_STATE(4311)] = 159404,
  [SMALL_STATE(4312)] = 159474,
  [SMALL_STATE(4313)] = 159592,
  [SMALL_STATE(4314)] = 159662,
  [SMALL_STATE(4315)] = 159732,
  [SMALL_STATE(4316)] = 159802,
  [SMALL_STATE(4317)] = 159920,
  [SMALL_STATE(4318)] = 159990,
  [SMALL_STATE(4319)] = 160060,
  [SMALL_STATE(4320)] = 160130,
  [SMALL_STATE(4321)] = 160206,
  [SMALL_STATE(4322)] = 160278,
  [SMALL_STATE(4323)] = 160396,
  [SMALL_STATE(4324)] = 160466,
  [SMALL_STATE(4325)] = 160588,
  [SMALL_STATE(4326)] = 160710,
  [SMALL_STATE(4327)] = 160832,
  [SMALL_STATE(4328)] = 160954,
  [SMALL_STATE(4329)] = 161076,
  [SMALL_STATE(4330)] = 161198,
  [SMALL_STATE(4331)] = 161320,
  [SMALL_STATE(4332)] = 161442,
  [SMALL_STATE(4333)] = 161564,
  [SMALL_STATE(4334)] = 161686,
  [SMALL_STATE(4335)] = 161808,
  [SMALL_STATE(4336)] = 161930,
  [SMALL_STATE(4337)] = 162052,
  [SMALL_STATE(4338)] = 162174,
  [SMALL_STATE(4339)] = 162296,
  [SMALL_STATE(4340)] = 162418,
  [SMALL_STATE(4341)] = 162540,
  [SMALL_STATE(4342)] = 162662,
  [SMALL_STATE(4343)] = 162784,
  [SMALL_STATE(4344)] = 162906,
  [SMALL_STATE(4345)] = 163028,
  [SMALL_STATE(4346)] = 163150,
  [SMALL_STATE(4347)] = 163272,
  [SMALL_STATE(4348)] = 163394,
  [SMALL_STATE(4349)] = 163516,
  [SMALL_STATE(4350)] = 163638,
  [SMALL_STATE(4351)] = 163756,
  [SMALL_STATE(4352)] = 163878,
  [SMALL_STATE(4353)] = 164000,
  [SMALL_STATE(4354)] = 164122,
  [SMALL_STATE(4355)] = 164244,
  [SMALL_STATE(4356)] = 164366,
  [SMALL_STATE(4357)] = 164488,
  [SMALL_STATE(4358)] = 164610,
  [SMALL_STATE(4359)] = 164732,
  [SMALL_STATE(4360)] = 164854,
  [SMALL_STATE(4361)] = 164976,
  [SMALL_STATE(4362)] = 165098,
  [SMALL_STATE(4363)] = 165220,
  [SMALL_STATE(4364)] = 165342,
  [SMALL_STATE(4365)] = 165464,
  [SMALL_STATE(4366)] = 165586,
  [SMALL_STATE(4367)] = 165708,
  [SMALL_STATE(4368)] = 165830,
  [SMALL_STATE(4369)] = 165952,
  [SMALL_STATE(4370)] = 166022,
  [SMALL_STATE(4371)] = 166144,
  [SMALL_STATE(4372)] = 166266,
  [SMALL_STATE(4373)] = 166336,
  [SMALL_STATE(4374)] = 166458,
  [SMALL_STATE(4375)] = 166580,
  [SMALL_STATE(4376)] = 166702,
  [SMALL_STATE(4377)] = 166824,
  [SMALL_STATE(4378)] = 166946,
  [SMALL_STATE(4379)] = 167016,
  [SMALL_STATE(4380)] = 167138,
  [SMALL_STATE(4381)] = 167260,
  [SMALL_STATE(4382)] = 167382,
  [SMALL_STATE(4383)] = 167452,
  [SMALL_STATE(4384)] = 167574,
  [SMALL_STATE(4385)] = 167696,
  [SMALL_STATE(4386)] = 167818,
  [SMALL_STATE(4387)] = 167940,
  [SMALL_STATE(4388)] = 168062,
  [SMALL_STATE(4389)] = 168184,
  [SMALL_STATE(4390)] = 168306,
  [SMALL_STATE(4391)] = 168428,
  [SMALL_STATE(4392)] = 168550,
  [SMALL_STATE(4393)] = 168672,
  [SMALL_STATE(4394)] = 168742,
  [SMALL_STATE(4395)] = 168812,
  [SMALL_STATE(4396)] = 168934,
  [SMALL_STATE(4397)] = 169056,
  [SMALL_STATE(4398)] = 169178,
  [SMALL_STATE(4399)] = 169300,
  [SMALL_STATE(4400)] = 169422,
  [SMALL_STATE(4401)] = 169544,
  [SMALL_STATE(4402)] = 169666,
  [SMALL_STATE(4403)] = 169788,
  [SMALL_STATE(4404)] = 169910,
  [SMALL_STATE(4405)] = 170032,
  [SMALL_STATE(4406)] = 170154,
  [SMALL_STATE(4407)] = 170276,
  [SMALL_STATE(4408)] = 170398,
  [SMALL_STATE(4409)] = 170520,
  [SMALL_STATE(4410)] = 170642,
  [SMALL_STATE(4411)] = 170764,
  [SMALL_STATE(4412)] = 170886,
  [SMALL_STATE(4413)] = 171008,
  [SMALL_STATE(4414)] = 171130,
  [SMALL_STATE(4415)] = 171252,
  [SMALL_STATE(4416)] = 171374,
  [SMALL_STATE(4417)] = 171492,
  [SMALL_STATE(4418)] = 171621,
  [SMALL_STATE(4419)] = 171750,
  [SMALL_STATE(4420)] = 171879,
  [SMALL_STATE(4421)] = 172008,
  [SMALL_STATE(4422)] = 172137,
  [SMALL_STATE(4423)] = 172266,
  [SMALL_STATE(4424)] = 172395,
  [SMALL_STATE(4425)] = 172524,
  [SMALL_STATE(4426)] = 172653,
  [SMALL_STATE(4427)] = 172782,
  [SMALL_STATE(4428)] = 172911,
  [SMALL_STATE(4429)] = 173040,
  [SMALL_STATE(4430)] = 173169,
  [SMALL_STATE(4431)] = 173298,
  [SMALL_STATE(4432)] = 173427,
  [SMALL_STATE(4433)] = 173556,
  [SMALL_STATE(4434)] = 173685,
  [SMALL_STATE(4435)] = 173814,
  [SMALL_STATE(4436)] = 173943,
  [SMALL_STATE(4437)] = 174072,
  [SMALL_STATE(4438)] = 174201,
  [SMALL_STATE(4439)] = 174330,
  [SMALL_STATE(4440)] = 174459,
  [SMALL_STATE(4441)] = 174588,
  [SMALL_STATE(4442)] = 174717,
  [SMALL_STATE(4443)] = 174846,
  [SMALL_STATE(4444)] = 174975,
  [SMALL_STATE(4445)] = 175104,
  [SMALL_STATE(4446)] = 175233,
  [SMALL_STATE(4447)] = 175362,
  [SMALL_STATE(4448)] = 175491,
  [SMALL_STATE(4449)] = 175620,
  [SMALL_STATE(4450)] = 175749,
  [SMALL_STATE(4451)] = 175878,
  [SMALL_STATE(4452)] = 176007,
  [SMALL_STATE(4453)] = 176136,
  [SMALL_STATE(4454)] = 176265,
  [SMALL_STATE(4455)] = 176394,
  [SMALL_STATE(4456)] = 176523,
  [SMALL_STATE(4457)] = 176592,
  [SMALL_STATE(4458)] = 176721,
  [SMALL_STATE(4459)] = 176850,
  [SMALL_STATE(4460)] = 176979,
  [SMALL_STATE(4461)] = 177108,
  [SMALL_STATE(4462)] = 177177,
  [SMALL_STATE(4463)] = 177306,
  [SMALL_STATE(4464)] = 177435,
  [SMALL_STATE(4465)] = 177564,
  [SMALL_STATE(4466)] = 177693,
  [SMALL_STATE(4467)] = 177822,
  [SMALL_STATE(4468)] = 177951,
  [SMALL_STATE(4469)] = 178080,
  [SMALL_STATE(4470)] = 178151,
  [SMALL_STATE(4471)] = 178220,
  [SMALL_STATE(4472)] = 178289,
  [SMALL_STATE(4473)] = 178418,
  [SMALL_STATE(4474)] = 178547,
  [SMALL_STATE(4475)] = 178676,
  [SMALL_STATE(4476)] = 178805,
  [SMALL_STATE(4477)] = 178934,
  [SMALL_STATE(4478)] = 179063,
  [SMALL_STATE(4479)] = 179192,
  [SMALL_STATE(4480)] = 179321,
  [SMALL_STATE(4481)] = 179450,
  [SMALL_STATE(4482)] = 179579,
  [SMALL_STATE(4483)] = 179650,
  [SMALL_STATE(4484)] = 179779,
  [SMALL_STATE(4485)] = 179908,
  [SMALL_STATE(4486)] = 180037,
  [SMALL_STATE(4487)] = 180163,
  [SMALL_STATE(4488)] = 180289,
  [SMALL_STATE(4489)] = 180415,
  [SMALL_STATE(4490)] = 180541,
  [SMALL_STATE(4491)] = 180611,
  [SMALL_STATE(4492)] = 180737,
  [SMALL_STATE(4493)] = 180863,
  [SMALL_STATE(4494)] = 180989,
  [SMALL_STATE(4495)] = 181115,
  [SMALL_STATE(4496)] = 181241,
  [SMALL_STATE(4497)] = 181367,
  [SMALL_STATE(4498)] = 181493,
  [SMALL_STATE(4499)] = 181619,
  [SMALL_STATE(4500)] = 181745,
  [SMALL_STATE(4501)] = 181871,
  [SMALL_STATE(4502)] = 181997,
  [SMALL_STATE(4503)] = 182123,
  [SMALL_STATE(4504)] = 182193,
  [SMALL_STATE(4505)] = 182319,
  [SMALL_STATE(4506)] = 182445,
  [SMALL_STATE(4507)] = 182571,
  [SMALL_STATE(4508)] = 182697,
  [SMALL_STATE(4509)] = 182823,
  [SMALL_STATE(4510)] = 182891,
  [SMALL_STATE(4511)] = 183017,
  [SMALL_STATE(4512)] = 183085,
  [SMALL_STATE(4513)] = 183211,
  [SMALL_STATE(4514)] = 183337,
  [SMALL_STATE(4515)] = 183463,
  [SMALL_STATE(4516)] = 183589,
  [SMALL_STATE(4517)] = 183715,
  [SMALL_STATE(4518)] = 183841,
  [SMALL_STATE(4519)] = 183967,
  [SMALL_STATE(4520)] = 184093,
  [SMALL_STATE(4521)] = 184219,
  [SMALL_STATE(4522)] = 184345,
  [SMALL_STATE(4523)] = 184471,
  [SMALL_STATE(4524)] = 184597,
  [SMALL_STATE(4525)] = 184723,
  [SMALL_STATE(4526)] = 184849,
  [SMALL_STATE(4527)] = 184975,
  [SMALL_STATE(4528)] = 185101,
  [SMALL_STATE(4529)] = 185227,
  [SMALL_STATE(4530)] = 185353,
  [SMALL_STATE(4531)] = 185479,
  [SMALL_STATE(4532)] = 185605,
  [SMALL_STATE(4533)] = 185731,
  [SMALL_STATE(4534)] = 185857,
  [SMALL_STATE(4535)] = 185983,
  [SMALL_STATE(4536)] = 186109,
  [SMALL_STATE(4537)] = 186235,
  [SMALL_STATE(4538)] = 186361,
  [SMALL_STATE(4539)] = 186487,
  [SMALL_STATE(4540)] = 186613,
  [SMALL_STATE(4541)] = 186739,
  [SMALL_STATE(4542)] = 186865,
  [SMALL_STATE(4543)] = 186991,
  [SMALL_STATE(4544)] = 187117,
  [SMALL_STATE(4545)] = 187243,
  [SMALL_STATE(4546)] = 187369,
  [SMALL_STATE(4547)] = 187495,
  [SMALL_STATE(4548)] = 187621,
  [SMALL_STATE(4549)] = 187689,
  [SMALL_STATE(4550)] = 187815,
  [SMALL_STATE(4551)] = 187941,
  [SMALL_STATE(4552)] = 188009,
  [SMALL_STATE(4553)] = 188135,
  [SMALL_STATE(4554)] = 188261,
  [SMALL_STATE(4555)] = 188384,
  [SMALL_STATE(4556)] = 188507,
  [SMALL_STATE(4557)] = 188630,
  [SMALL_STATE(4558)] = 188753,
  [SMALL_STATE(4559)] = 188876,
  [SMALL_STATE(4560)] = 188999,
  [SMALL_STATE(4561)] = 189122,
  [SMALL_STATE(4562)] = 189245,
  [SMALL_STATE(4563)] = 189312,
  [SMALL_STATE(4564)] = 189379,
  [SMALL_STATE(4565)] = 189502,
  [SMALL_STATE(4566)] = 189625,
  [SMALL_STATE(4567)] = 189746,
  [SMALL_STATE(4568)] = 189869,
  [SMALL_STATE(4569)] = 189990,
  [SMALL_STATE(4570)] = 190113,
  [SMALL_STATE(4571)] = 190234,
  [SMALL_STATE(4572)] = 190357,
  [SMALL_STATE(4573)] = 190480,
  [SMALL_STATE(4574)] = 190601,
  [SMALL_STATE(4575)] = 190722,
  [SMALL_STATE(4576)] = 190845,
  [SMALL_STATE(4577)] = 190968,
  [SMALL_STATE(4578)] = 191091,
  [SMALL_STATE(4579)] = 191214,
  [SMALL_STATE(4580)] = 191337,
  [SMALL_STATE(4581)] = 191404,
  [SMALL_STATE(4582)] = 191527,
  [SMALL_STATE(4583)] = 191650,
  [SMALL_STATE(4584)] = 191773,
  [SMALL_STATE(4585)] = 191896,
  [SMALL_STATE(4586)] = 192019,
  [SMALL_STATE(4587)] = 192142,
  [SMALL_STATE(4588)] = 192265,
  [SMALL_STATE(4589)] = 192388,
  [SMALL_STATE(4590)] = 192511,
  [SMALL_STATE(4591)] = 192634,
  [SMALL_STATE(4592)] = 192757,
  [SMALL_STATE(4593)] = 192880,
  [SMALL_STATE(4594)] = 193003,
  [SMALL_STATE(4595)] = 193126,
  [SMALL_STATE(4596)] = 193249,
  [SMALL_STATE(4597)] = 193372,
  [SMALL_STATE(4598)] = 193439,
  [SMALL_STATE(4599)] = 193554,
  [SMALL_STATE(4600)] = 193677,
  [SMALL_STATE(4601)] = 193795,
  [SMALL_STATE(4602)] = 193913,
  [SMALL_STATE(4603)] = 194031,
  [SMALL_STATE(4604)] = 194149,
  [SMALL_STATE(4605)] = 194267,
  [SMALL_STATE(4606)] = 194385,
  [SMALL_STATE(4607)] = 194503,
  [SMALL_STATE(4608)] = 194621,
  [SMALL_STATE(4609)] = 194739,
  [SMALL_STATE(4610)] = 194857,
  [SMALL_STATE(4611)] = 194975,
  [SMALL_STATE(4612)] = 195093,
  [SMALL_STATE(4613)] = 195211,
  [SMALL_STATE(4614)] = 195329,
  [SMALL_STATE(4615)] = 195447,
  [SMALL_STATE(4616)] = 195565,
  [SMALL_STATE(4617)] = 195633,
  [SMALL_STATE(4618)] = 195751,
  [SMALL_STATE(4619)] = 195869,
  [SMALL_STATE(4620)] = 195987,
  [SMALL_STATE(4621)] = 196105,
  [SMALL_STATE(4622)] = 196223,
  [SMALL_STATE(4623)] = 196341,
  [SMALL_STATE(4624)] = 196459,
  [SMALL_STATE(4625)] = 196577,
  [SMALL_STATE(4626)] = 196695,
  [SMALL_STATE(4627)] = 196813,
  [SMALL_STATE(4628)] = 196931,
  [SMALL_STATE(4629)] = 197049,
  [SMALL_STATE(4630)] = 197167,
  [SMALL_STATE(4631)] = 197285,
  [SMALL_STATE(4632)] = 197403,
  [SMALL_STATE(4633)] = 197471,
  [SMALL_STATE(4634)] = 197589,
  [SMALL_STATE(4635)] = 197707,
  [SMALL_STATE(4636)] = 197825,
  [SMALL_STATE(4637)] = 197943,
  [SMALL_STATE(4638)] = 198061,
  [SMALL_STATE(4639)] = 198179,
  [SMALL_STATE(4640)] = 198297,
  [SMALL_STATE(4641)] = 198415,
  [SMALL_STATE(4642)] = 198533,
  [SMALL_STATE(4643)] = 198651,
  [SMALL_STATE(4644)] = 198769,
  [SMALL_STATE(4645)] = 198887,
  [SMALL_STATE(4646)] = 198953,
  [SMALL_STATE(4647)] = 199019,
  [SMALL_STATE(4648)] = 199085,
  [SMALL_STATE(4649)] = 199151,
  [SMALL_STATE(4650)] = 199269,
  [SMALL_STATE(4651)] = 199335,
  [SMALL_STATE(4652)] = 199401,
  [SMALL_STATE(4653)] = 199467,
  [SMALL_STATE(4654)] = 199533,
  [SMALL_STATE(4655)] = 199651,
  [SMALL_STATE(4656)] = 199769,
  [SMALL_STATE(4657)] = 199887,
  [SMALL_STATE(4658)] = 200005,
  [SMALL_STATE(4659)] = 200123,
  [SMALL_STATE(4660)] = 200241,
  [SMALL_STATE(4661)] = 200359,
  [SMALL_STATE(4662)] = 200477,
  [SMALL_STATE(4663)] = 200595,
  [SMALL_STATE(4664)] = 200713,
  [SMALL_STATE(4665)] = 200831,
  [SMALL_STATE(4666)] = 200949,
  [SMALL_STATE(4667)] = 201067,
  [SMALL_STATE(4668)] = 201185,
  [SMALL_STATE(4669)] = 201303,
  [SMALL_STATE(4670)] = 201421,
  [SMALL_STATE(4671)] = 201539,
  [SMALL_STATE(4672)] = 201609,
  [SMALL_STATE(4673)] = 201727,
  [SMALL_STATE(4674)] = 201845,
  [SMALL_STATE(4675)] = 201963,
  [SMALL_STATE(4676)] = 202033,
  [SMALL_STATE(4677)] = 202151,
  [SMALL_STATE(4678)] = 202269,
  [SMALL_STATE(4679)] = 202387,
  [SMALL_STATE(4680)] = 202505,
  [SMALL_STATE(4681)] = 202623,
  [SMALL_STATE(4682)] = 202691,
  [SMALL_STATE(4683)] = 202809,
  [SMALL_STATE(4684)] = 202927,
  [SMALL_STATE(4685)] = 203045,
  [SMALL_STATE(4686)] = 203163,
  [SMALL_STATE(4687)] = 203281,
  [SMALL_STATE(4688)] = 203399,
  [SMALL_STATE(4689)] = 203517,
  [SMALL_STATE(4690)] = 203635,
  [SMALL_STATE(4691)] = 203753,
  [SMALL_STATE(4692)] = 203871,
  [SMALL_STATE(4693)] = 203989,
  [SMALL_STATE(4694)] = 204107,
  [SMALL_STATE(4695)] = 204225,
  [SMALL_STATE(4696)] = 204343,
  [SMALL_STATE(4697)] = 204461,
  [SMALL_STATE(4698)] = 204579,
  [SMALL_STATE(4699)] = 204697,
  [SMALL_STATE(4700)] = 204815,
  [SMALL_STATE(4701)] = 204933,
  [SMALL_STATE(4702)] = 205051,
  [SMALL_STATE(4703)] = 205169,
  [SMALL_STATE(4704)] = 205287,
  [SMALL_STATE(4705)] = 205405,
  [SMALL_STATE(4706)] = 205471,
  [SMALL_STATE(4707)] = 205536,
  [SMALL_STATE(4708)] = 205601,
  [SMALL_STATE(4709)] = 205666,
  [SMALL_STATE(4710)] = 205781,
  [SMALL_STATE(4711)] = 205846,
  [SMALL_STATE(4712)] = 205911,
  [SMALL_STATE(4713)] = 206026,
  [SMALL_STATE(4714)] = 206091,
  [SMALL_STATE(4715)] = 206156,
  [SMALL_STATE(4716)] = 206221,
  [SMALL_STATE(4717)] = 206286,
  [SMALL_STATE(4718)] = 206351,
  [SMALL_STATE(4719)] = 206466,
  [SMALL_STATE(4720)] = 206531,
  [SMALL_STATE(4721)] = 206596,
  [SMALL_STATE(4722)] = 206661,
  [SMALL_STATE(4723)] = 206726,
  [SMALL_STATE(4724)] = 206791,
  [SMALL_STATE(4725)] = 206856,
  [SMALL_STATE(4726)] = 206921,
  [SMALL_STATE(4727)] = 206988,
  [SMALL_STATE(4728)] = 207103,
  [SMALL_STATE(4729)] = 207168,
  [SMALL_STATE(4730)] = 207233,
  [SMALL_STATE(4731)] = 207298,
  [SMALL_STATE(4732)] = 207363,
  [SMALL_STATE(4733)] = 207428,
  [SMALL_STATE(4734)] = 207493,
  [SMALL_STATE(4735)] = 207558,
  [SMALL_STATE(4736)] = 207623,
  [SMALL_STATE(4737)] = 207688,
  [SMALL_STATE(4738)] = 207803,
  [SMALL_STATE(4739)] = 207868,
  [SMALL_STATE(4740)] = 207933,
  [SMALL_STATE(4741)] = 207998,
  [SMALL_STATE(4742)] = 208063,
  [SMALL_STATE(4743)] = 208128,
  [SMALL_STATE(4744)] = 208193,
  [SMALL_STATE(4745)] = 208258,
  [SMALL_STATE(4746)] = 208323,
  [SMALL_STATE(4747)] = 208438,
  [SMALL_STATE(4748)] = 208503,
  [SMALL_STATE(4749)] = 208568,
  [SMALL_STATE(4750)] = 208633,
  [SMALL_STATE(4751)] = 208698,
  [SMALL_STATE(4752)] = 208763,
  [SMALL_STATE(4753)] = 208878,
  [SMALL_STATE(4754)] = 208943,
  [SMALL_STATE(4755)] = 209058,
  [SMALL_STATE(4756)] = 209173,
  [SMALL_STATE(4757)] = 209288,
  [SMALL_STATE(4758)] = 209353,
  [SMALL_STATE(4759)] = 209468,
  [SMALL_STATE(4760)] = 209583,
  [SMALL_STATE(4761)] = 209698,
  [SMALL_STATE(4762)] = 209813,
  [SMALL_STATE(4763)] = 209928,
  [SMALL_STATE(4764)] = 210043,
  [SMALL_STATE(4765)] = 210114,
  [SMALL_STATE(4766)] = 210179,
  [SMALL_STATE(4767)] = 210294,
  [SMALL_STATE(4768)] = 210409,
  [SMALL_STATE(4769)] = 210524,
  [SMALL_STATE(4770)] = 210589,
  [SMALL_STATE(4771)] = 210704,
  [SMALL_STATE(4772)] = 210775,
  [SMALL_STATE(4773)] = 210890,
  [SMALL_STATE(4774)] = 211005,
  [SMALL_STATE(4775)] = 211120,
  [SMALL_STATE(4776)] = 211185,
  [SMALL_STATE(4777)] = 211250,
  [SMALL_STATE(4778)] = 211365,
  [SMALL_STATE(4779)] = 211480,
  [SMALL_STATE(4780)] = 211545,
  [SMALL_STATE(4781)] = 211660,
  [SMALL_STATE(4782)] = 211775,
  [SMALL_STATE(4783)] = 211840,
  [SMALL_STATE(4784)] = 211905,
  [SMALL_STATE(4785)] = 212020,
  [SMALL_STATE(4786)] = 212085,
  [SMALL_STATE(4787)] = 212200,
  [SMALL_STATE(4788)] = 212265,
  [SMALL_STATE(4789)] = 212380,
  [SMALL_STATE(4790)] = 212445,
  [SMALL_STATE(4791)] = 212510,
  [SMALL_STATE(4792)] = 212625,
  [SMALL_STATE(4793)] = 212690,
  [SMALL_STATE(4794)] = 212805,
  [SMALL_STATE(4795)] = 212920,
  [SMALL_STATE(4796)] = 213035,
  [SMALL_STATE(4797)] = 213150,
  [SMALL_STATE(4798)] = 213215,
  [SMALL_STATE(4799)] = 213280,
  [SMALL_STATE(4800)] = 213395,
  [SMALL_STATE(4801)] = 213510,
  [SMALL_STATE(4802)] = 213625,
  [SMALL_STATE(4803)] = 213740,
  [SMALL_STATE(4804)] = 213855,
  [SMALL_STATE(4805)] = 213970,
  [SMALL_STATE(4806)] = 214035,
  [SMALL_STATE(4807)] = 214102,
  [SMALL_STATE(4808)] = 214167,
  [SMALL_STATE(4809)] = 214232,
  [SMALL_STATE(4810)] = 214297,
  [SMALL_STATE(4811)] = 214362,
  [SMALL_STATE(4812)] = 214429,
  [SMALL_STATE(4813)] = 214494,
  [SMALL_STATE(4814)] = 214559,
  [SMALL_STATE(4815)] = 214624,
  [SMALL_STATE(4816)] = 214689,
  [SMALL_STATE(4817)] = 214754,
  [SMALL_STATE(4818)] = 214819,
  [SMALL_STATE(4819)] = 214884,
  [SMALL_STATE(4820)] = 214949,
  [SMALL_STATE(4821)] = 215014,
  [SMALL_STATE(4822)] = 215129,
  [SMALL_STATE(4823)] = 215196,
  [SMALL_STATE(4824)] = 215261,
  [SMALL_STATE(4825)] = 215326,
  [SMALL_STATE(4826)] = 215393,
  [SMALL_STATE(4827)] = 215460,
  [SMALL_STATE(4828)] = 215525,
  [SMALL_STATE(4829)] = 215590,
  [SMALL_STATE(4830)] = 215655,
  [SMALL_STATE(4831)] = 215770,
  [SMALL_STATE(4832)] = 215835,
  [SMALL_STATE(4833)] = 215900,
  [SMALL_STATE(4834)] = 216015,
  [SMALL_STATE(4835)] = 216130,
  [SMALL_STATE(4836)] = 216195,
  [SMALL_STATE(4837)] = 216310,
  [SMALL_STATE(4838)] = 216374,
  [SMALL_STATE(4839)] = 216438,
  [SMALL_STATE(4840)] = 216502,
  [SMALL_STATE(4841)] = 216566,
  [SMALL_STATE(4842)] = 216632,
  [SMALL_STATE(4843)] = 216696,
  [SMALL_STATE(4844)] = 216808,
  [SMALL_STATE(4845)] = 216872,
  [SMALL_STATE(4846)] = 216936,
  [SMALL_STATE(4847)] = 217000,
  [SMALL_STATE(4848)] = 217064,
  [SMALL_STATE(4849)] = 217128,
  [SMALL_STATE(4850)] = 217192,
  [SMALL_STATE(4851)] = 217256,
  [SMALL_STATE(4852)] = 217320,
  [SMALL_STATE(4853)] = 217384,
  [SMALL_STATE(4854)] = 217448,
  [SMALL_STATE(4855)] = 217512,
  [SMALL_STATE(4856)] = 217576,
  [SMALL_STATE(4857)] = 217640,
  [SMALL_STATE(4858)] = 217704,
  [SMALL_STATE(4859)] = 217768,
  [SMALL_STATE(4860)] = 217832,
  [SMALL_STATE(4861)] = 217896,
  [SMALL_STATE(4862)] = 217960,
  [SMALL_STATE(4863)] = 218024,
  [SMALL_STATE(4864)] = 218088,
  [SMALL_STATE(4865)] = 218152,
  [SMALL_STATE(4866)] = 218216,
  [SMALL_STATE(4867)] = 218328,
  [SMALL_STATE(4868)] = 218392,
  [SMALL_STATE(4869)] = 218456,
  [SMALL_STATE(4870)] = 218520,
  [SMALL_STATE(4871)] = 218632,
  [SMALL_STATE(4872)] = 218702,
  [SMALL_STATE(4873)] = 218766,
  [SMALL_STATE(4874)] = 218830,
  [SMALL_STATE(4875)] = 218942,
  [SMALL_STATE(4876)] = 219006,
  [SMALL_STATE(4877)] = 219070,
  [SMALL_STATE(4878)] = 219134,
  [SMALL_STATE(4879)] = 219198,
  [SMALL_STATE(4880)] = 219262,
  [SMALL_STATE(4881)] = 219326,
  [SMALL_STATE(4882)] = 219438,
  [SMALL_STATE(4883)] = 219502,
  [SMALL_STATE(4884)] = 219566,
  [SMALL_STATE(4885)] = 219630,
  [SMALL_STATE(4886)] = 219694,
  [SMALL_STATE(4887)] = 219758,
  [SMALL_STATE(4888)] = 219824,
  [SMALL_STATE(4889)] = 219888,
  [SMALL_STATE(4890)] = 219952,
  [SMALL_STATE(4891)] = 220016,
  [SMALL_STATE(4892)] = 220080,
  [SMALL_STATE(4893)] = 220144,
  [SMALL_STATE(4894)] = 220208,
  [SMALL_STATE(4895)] = 220272,
  [SMALL_STATE(4896)] = 220336,
  [SMALL_STATE(4897)] = 220400,
  [SMALL_STATE(4898)] = 220464,
  [SMALL_STATE(4899)] = 220528,
  [SMALL_STATE(4900)] = 220592,
  [SMALL_STATE(4901)] = 220656,
  [SMALL_STATE(4902)] = 220720,
  [SMALL_STATE(4903)] = 220784,
  [SMALL_STATE(4904)] = 220854,
  [SMALL_STATE(4905)] = 220918,
  [SMALL_STATE(4906)] = 220982,
  [SMALL_STATE(4907)] = 221046,
  [SMALL_STATE(4908)] = 221110,
  [SMALL_STATE(4909)] = 221174,
  [SMALL_STATE(4910)] = 221238,
  [SMALL_STATE(4911)] = 221302,
  [SMALL_STATE(4912)] = 221366,
  [SMALL_STATE(4913)] = 221430,
  [SMALL_STATE(4914)] = 221542,
  [SMALL_STATE(4915)] = 221606,
  [SMALL_STATE(4916)] = 221670,
  [SMALL_STATE(4917)] = 221734,
  [SMALL_STATE(4918)] = 221798,
  [SMALL_STATE(4919)] = 221862,
  [SMALL_STATE(4920)] = 221926,
  [SMALL_STATE(4921)] = 221992,
  [SMALL_STATE(4922)] = 222056,
  [SMALL_STATE(4923)] = 222122,
  [SMALL_STATE(4924)] = 222188,
  [SMALL_STATE(4925)] = 222252,
  [SMALL_STATE(4926)] = 222316,
  [SMALL_STATE(4927)] = 222425,
  [SMALL_STATE(4928)] = 222488,
  [SMALL_STATE(4929)] = 222551,
  [SMALL_STATE(4930)] = 222614,
  [SMALL_STATE(4931)] = 222677,
  [SMALL_STATE(4932)] = 222740,
  [SMALL_STATE(4933)] = 222803,
  [SMALL_STATE(4934)] = 222866,
  [SMALL_STATE(4935)] = 222929,
  [SMALL_STATE(4936)] = 222992,
  [SMALL_STATE(4937)] = 223055,
  [SMALL_STATE(4938)] = 223118,
  [SMALL_STATE(4939)] = 223181,
  [SMALL_STATE(4940)] = 223244,
  [SMALL_STATE(4941)] = 223307,
  [SMALL_STATE(4942)] = 223372,
  [SMALL_STATE(4943)] = 223435,
  [SMALL_STATE(4944)] = 223498,
  [SMALL_STATE(4945)] = 223561,
  [SMALL_STATE(4946)] = 223624,
  [SMALL_STATE(4947)] = 223687,
  [SMALL_STATE(4948)] = 223750,
  [SMALL_STATE(4949)] = 223813,
  [SMALL_STATE(4950)] = 223876,
  [SMALL_STATE(4951)] = 223939,
  [SMALL_STATE(4952)] = 224002,
  [SMALL_STATE(4953)] = 224065,
  [SMALL_STATE(4954)] = 224128,
  [SMALL_STATE(4955)] = 224191,
  [SMALL_STATE(4956)] = 224254,
  [SMALL_STATE(4957)] = 224317,
  [SMALL_STATE(4958)] = 224380,
  [SMALL_STATE(4959)] = 224443,
  [SMALL_STATE(4960)] = 224506,
  [SMALL_STATE(4961)] = 224569,
  [SMALL_STATE(4962)] = 224632,
  [SMALL_STATE(4963)] = 224695,
  [SMALL_STATE(4964)] = 224758,
  [SMALL_STATE(4965)] = 224827,
  [SMALL_STATE(4966)] = 224890,
  [SMALL_STATE(4967)] = 224959,
  [SMALL_STATE(4968)] = 225022,
  [SMALL_STATE(4969)] = 225085,
  [SMALL_STATE(4970)] = 225148,
  [SMALL_STATE(4971)] = 225211,
  [SMALL_STATE(4972)] = 225274,
  [SMALL_STATE(4973)] = 225337,
  [SMALL_STATE(4974)] = 225400,
  [SMALL_STATE(4975)] = 225463,
  [SMALL_STATE(4976)] = 225526,
  [SMALL_STATE(4977)] = 225589,
  [SMALL_STATE(4978)] = 225652,
  [SMALL_STATE(4979)] = 225715,
  [SMALL_STATE(4980)] = 225778,
  [SMALL_STATE(4981)] = 225841,
  [SMALL_STATE(4982)] = 225904,
  [SMALL_STATE(4983)] = 225967,
  [SMALL_STATE(4984)] = 226030,
  [SMALL_STATE(4985)] = 226093,
  [SMALL_STATE(4986)] = 226156,
  [SMALL_STATE(4987)] = 226265,
  [SMALL_STATE(4988)] = 226328,
  [SMALL_STATE(4989)] = 226393,
  [SMALL_STATE(4990)] = 226502,
  [SMALL_STATE(4991)] = 226611,
  [SMALL_STATE(4992)] = 226720,
  [SMALL_STATE(4993)] = 226829,
  [SMALL_STATE(4994)] = 226938,
  [SMALL_STATE(4995)] = 227003,
  [SMALL_STATE(4996)] = 227066,
  [SMALL_STATE(4997)] = 227129,
  [SMALL_STATE(4998)] = 227192,
  [SMALL_STATE(4999)] = 227301,
  [SMALL_STATE(5000)] = 227410,
  [SMALL_STATE(5001)] = 227473,
  [SMALL_STATE(5002)] = 227536,
  [SMALL_STATE(5003)] = 227599,
  [SMALL_STATE(5004)] = 227708,
  [SMALL_STATE(5005)] = 227817,
  [SMALL_STATE(5006)] = 227880,
  [SMALL_STATE(5007)] = 227943,
  [SMALL_STATE(5008)] = 228008,
  [SMALL_STATE(5009)] = 228117,
  [SMALL_STATE(5010)] = 228180,
  [SMALL_STATE(5011)] = 228243,
  [SMALL_STATE(5012)] = 228306,
  [SMALL_STATE(5013)] = 228415,
  [SMALL_STATE(5014)] = 228478,
  [SMALL_STATE(5015)] = 228541,
  [SMALL_STATE(5016)] = 228604,
  [SMALL_STATE(5017)] = 228713,
  [SMALL_STATE(5018)] = 228776,
  [SMALL_STATE(5019)] = 228839,
  [SMALL_STATE(5020)] = 228902,
  [SMALL_STATE(5021)] = 228967,
  [SMALL_STATE(5022)] = 229076,
  [SMALL_STATE(5023)] = 229141,
  [SMALL_STATE(5024)] = 229204,
  [SMALL_STATE(5025)] = 229313,
  [SMALL_STATE(5026)] = 229422,
  [SMALL_STATE(5027)] = 229485,
  [SMALL_STATE(5028)] = 229594,
  [SMALL_STATE(5029)] = 229657,
  [SMALL_STATE(5030)] = 229720,
  [SMALL_STATE(5031)] = 229829,
  [SMALL_STATE(5032)] = 229892,
  [SMALL_STATE(5033)] = 230001,
  [SMALL_STATE(5034)] = 230064,
  [SMALL_STATE(5035)] = 230173,
  [SMALL_STATE(5036)] = 230282,
  [SMALL_STATE(5037)] = 230391,
  [SMALL_STATE(5038)] = 230500,
  [SMALL_STATE(5039)] = 230609,
  [SMALL_STATE(5040)] = 230718,
  [SMALL_STATE(5041)] = 230827,
  [SMALL_STATE(5042)] = 230936,
  [SMALL_STATE(5043)] = 231045,
  [SMALL_STATE(5044)] = 231154,
  [SMALL_STATE(5045)] = 231263,
  [SMALL_STATE(5046)] = 231372,
  [SMALL_STATE(5047)] = 231481,
  [SMALL_STATE(5048)] = 231590,
  [SMALL_STATE(5049)] = 231699,
  [SMALL_STATE(5050)] = 231808,
  [SMALL_STATE(5051)] = 231917,
  [SMALL_STATE(5052)] = 232026,
  [SMALL_STATE(5053)] = 232135,
  [SMALL_STATE(5054)] = 232244,
  [SMALL_STATE(5055)] = 232353,
  [SMALL_STATE(5056)] = 232462,
  [SMALL_STATE(5057)] = 232571,
  [SMALL_STATE(5058)] = 232680,
  [SMALL_STATE(5059)] = 232745,
  [SMALL_STATE(5060)] = 232810,
  [SMALL_STATE(5061)] = 232919,
  [SMALL_STATE(5062)] = 233028,
  [SMALL_STATE(5063)] = 233093,
  [SMALL_STATE(5064)] = 233156,
  [SMALL_STATE(5065)] = 233265,
  [SMALL_STATE(5066)] = 233374,
  [SMALL_STATE(5067)] = 233483,
  [SMALL_STATE(5068)] = 233592,
  [SMALL_STATE(5069)] = 233701,
  [SMALL_STATE(5070)] = 233810,
  [SMALL_STATE(5071)] = 233873,
  [SMALL_STATE(5072)] = 233936,
  [SMALL_STATE(5073)] = 233999,
  [SMALL_STATE(5074)] = 234062,
  [SMALL_STATE(5075)] = 234124,
  [SMALL_STATE(5076)] = 234186,
  [SMALL_STATE(5077)] = 234248,
  [SMALL_STATE(5078)] = 234310,
  [SMALL_STATE(5079)] = 234372,
  [SMALL_STATE(5080)] = 234434,
  [SMALL_STATE(5081)] = 234496,
  [SMALL_STATE(5082)] = 234558,
  [SMALL_STATE(5083)] = 234620,
  [SMALL_STATE(5084)] = 234682,
  [SMALL_STATE(5085)] = 234744,
  [SMALL_STATE(5086)] = 234806,
  [SMALL_STATE(5087)] = 234868,
  [SMALL_STATE(5088)] = 234932,
  [SMALL_STATE(5089)] = 234994,
  [SMALL_STATE(5090)] = 235058,
  [SMALL_STATE(5091)] = 235120,
  [SMALL_STATE(5092)] = 235182,
  [SMALL_STATE(5093)] = 235244,
  [SMALL_STATE(5094)] = 235306,
  [SMALL_STATE(5095)] = 235368,
  [SMALL_STATE(5096)] = 235430,
  [SMALL_STATE(5097)] = 235492,
  [SMALL_STATE(5098)] = 235554,
  [SMALL_STATE(5099)] = 235616,
  [SMALL_STATE(5100)] = 235678,
  [SMALL_STATE(5101)] = 235740,
  [SMALL_STATE(5102)] = 235802,
  [SMALL_STATE(5103)] = 235864,
  [SMALL_STATE(5104)] = 235926,
  [SMALL_STATE(5105)] = 235988,
  [SMALL_STATE(5106)] = 236050,
  [SMALL_STATE(5107)] = 236114,
  [SMALL_STATE(5108)] = 236176,
  [SMALL_STATE(5109)] = 236238,
  [SMALL_STATE(5110)] = 236300,
  [SMALL_STATE(5111)] = 236362,
  [SMALL_STATE(5112)] = 236424,
  [SMALL_STATE(5113)] = 236486,
  [SMALL_STATE(5114)] = 236548,
  [SMALL_STATE(5115)] = 236610,
  [SMALL_STATE(5116)] = 236672,
  [SMALL_STATE(5117)] = 236736,
  [SMALL_STATE(5118)] = 236798,
  [SMALL_STATE(5119)] = 236860,
  [SMALL_STATE(5120)] = 236922,
  [SMALL_STATE(5121)] = 236984,
  [SMALL_STATE(5122)] = 237046,
  [SMALL_STATE(5123)] = 237108,
  [SMALL_STATE(5124)] = 237170,
  [SMALL_STATE(5125)] = 237232,
  [SMALL_STATE(5126)] = 237294,
  [SMALL_STATE(5127)] = 237356,
  [SMALL_STATE(5128)] = 237418,
  [SMALL_STATE(5129)] = 237480,
  [SMALL_STATE(5130)] = 237542,
  [SMALL_STATE(5131)] = 237606,
  [SMALL_STATE(5132)] = 237668,
  [SMALL_STATE(5133)] = 237730,
  [SMALL_STATE(5134)] = 237792,
  [SMALL_STATE(5135)] = 237854,
  [SMALL_STATE(5136)] = 237916,
  [SMALL_STATE(5137)] = 237984,
  [SMALL_STATE(5138)] = 238048,
  [SMALL_STATE(5139)] = 238110,
  [SMALL_STATE(5140)] = 238172,
  [SMALL_STATE(5141)] = 238234,
  [SMALL_STATE(5142)] = 238296,
  [SMALL_STATE(5143)] = 238358,
  [SMALL_STATE(5144)] = 238420,
  [SMALL_STATE(5145)] = 238482,
  [SMALL_STATE(5146)] = 238546,
  [SMALL_STATE(5147)] = 238608,
  [SMALL_STATE(5148)] = 238670,
  [SMALL_STATE(5149)] = 238732,
  [SMALL_STATE(5150)] = 238794,
  [SMALL_STATE(5151)] = 238856,
  [SMALL_STATE(5152)] = 238918,
  [SMALL_STATE(5153)] = 238980,
  [SMALL_STATE(5154)] = 239042,
  [SMALL_STATE(5155)] = 239104,
  [SMALL_STATE(5156)] = 239166,
  [SMALL_STATE(5157)] = 239228,
  [SMALL_STATE(5158)] = 239290,
  [SMALL_STATE(5159)] = 239352,
  [SMALL_STATE(5160)] = 239414,
  [SMALL_STATE(5161)] = 239476,
  [SMALL_STATE(5162)] = 239538,
  [SMALL_STATE(5163)] = 239600,
  [SMALL_STATE(5164)] = 239662,
  [SMALL_STATE(5165)] = 239724,
  [SMALL_STATE(5166)] = 239786,
  [SMALL_STATE(5167)] = 239848,
  [SMALL_STATE(5168)] = 239910,
  [SMALL_STATE(5169)] = 239972,
  [SMALL_STATE(5170)] = 240034,
  [SMALL_STATE(5171)] = 240096,
  [SMALL_STATE(5172)] = 240158,
  [SMALL_STATE(5173)] = 240220,
  [SMALL_STATE(5174)] = 240282,
  [SMALL_STATE(5175)] = 240344,
  [SMALL_STATE(5176)] = 240406,
  [SMALL_STATE(5177)] = 240468,
  [SMALL_STATE(5178)] = 240530,
  [SMALL_STATE(5179)] = 240592,
  [SMALL_STATE(5180)] = 240654,
  [SMALL_STATE(5181)] = 240716,
  [SMALL_STATE(5182)] = 240778,
  [SMALL_STATE(5183)] = 240840,
  [SMALL_STATE(5184)] = 240902,
  [SMALL_STATE(5185)] = 240964,
  [SMALL_STATE(5186)] = 241026,
  [SMALL_STATE(5187)] = 241094,
  [SMALL_STATE(5188)] = 241156,
  [SMALL_STATE(5189)] = 241218,
  [SMALL_STATE(5190)] = 241280,
  [SMALL_STATE(5191)] = 241342,
  [SMALL_STATE(5192)] = 241404,
  [SMALL_STATE(5193)] = 241466,
  [SMALL_STATE(5194)] = 241528,
  [SMALL_STATE(5195)] = 241590,
  [SMALL_STATE(5196)] = 241652,
  [SMALL_STATE(5197)] = 241714,
  [SMALL_STATE(5198)] = 241778,
  [SMALL_STATE(5199)] = 241840,
  [SMALL_STATE(5200)] = 241902,
  [SMALL_STATE(5201)] = 241964,
  [SMALL_STATE(5202)] = 242026,
  [SMALL_STATE(5203)] = 242088,
  [SMALL_STATE(5204)] = 242150,
  [SMALL_STATE(5205)] = 242212,
  [SMALL_STATE(5206)] = 242276,
  [SMALL_STATE(5207)] = 242338,
  [SMALL_STATE(5208)] = 242400,
  [SMALL_STATE(5209)] = 242462,
  [SMALL_STATE(5210)] = 242524,
  [SMALL_STATE(5211)] = 242586,
  [SMALL_STATE(5212)] = 242648,
  [SMALL_STATE(5213)] = 242710,
  [SMALL_STATE(5214)] = 242774,
  [SMALL_STATE(5215)] = 242838,
  [SMALL_STATE(5216)] = 242902,
  [SMALL_STATE(5217)] = 242970,
  [SMALL_STATE(5218)] = 243032,
  [SMALL_STATE(5219)] = 243094,
  [SMALL_STATE(5220)] = 243158,
  [SMALL_STATE(5221)] = 243222,
  [SMALL_STATE(5222)] = 243284,
  [SMALL_STATE(5223)] = 243346,
  [SMALL_STATE(5224)] = 243408,
  [SMALL_STATE(5225)] = 243470,
  [SMALL_STATE(5226)] = 243532,
  [SMALL_STATE(5227)] = 243594,
  [SMALL_STATE(5228)] = 243662,
  [SMALL_STATE(5229)] = 243724,
  [SMALL_STATE(5230)] = 243786,
  [SMALL_STATE(5231)] = 243848,
  [SMALL_STATE(5232)] = 243910,
  [SMALL_STATE(5233)] = 243972,
  [SMALL_STATE(5234)] = 244034,
  [SMALL_STATE(5235)] = 244096,
  [SMALL_STATE(5236)] = 244158,
  [SMALL_STATE(5237)] = 244220,
  [SMALL_STATE(5238)] = 244282,
  [SMALL_STATE(5239)] = 244344,
  [SMALL_STATE(5240)] = 244407,
  [SMALL_STATE(5241)] = 244468,
  [SMALL_STATE(5242)] = 244535,
  [SMALL_STATE(5243)] = 244596,
  [SMALL_STATE(5244)] = 244657,
  [SMALL_STATE(5245)] = 244718,
  [SMALL_STATE(5246)] = 244779,
  [SMALL_STATE(5247)] = 244840,
  [SMALL_STATE(5248)] = 244901,
  [SMALL_STATE(5249)] = 244962,
  [SMALL_STATE(5250)] = 245023,
  [SMALL_STATE(5251)] = 245084,
  [SMALL_STATE(5252)] = 245145,
  [SMALL_STATE(5253)] = 245206,
  [SMALL_STATE(5254)] = 245267,
  [SMALL_STATE(5255)] = 245328,
  [SMALL_STATE(5256)] = 245389,
  [SMALL_STATE(5257)] = 245450,
  [SMALL_STATE(5258)] = 245513,
  [SMALL_STATE(5259)] = 245574,
  [SMALL_STATE(5260)] = 245635,
  [SMALL_STATE(5261)] = 245696,
  [SMALL_STATE(5262)] = 245757,
  [SMALL_STATE(5263)] = 245818,
  [SMALL_STATE(5264)] = 245879,
  [SMALL_STATE(5265)] = 245940,
  [SMALL_STATE(5266)] = 246001,
  [SMALL_STATE(5267)] = 246062,
  [SMALL_STATE(5268)] = 246125,
  [SMALL_STATE(5269)] = 246186,
  [SMALL_STATE(5270)] = 246249,
  [SMALL_STATE(5271)] = 246310,
  [SMALL_STATE(5272)] = 246373,
  [SMALL_STATE(5273)] = 246434,
  [SMALL_STATE(5274)] = 246495,
  [SMALL_STATE(5275)] = 246556,
  [SMALL_STATE(5276)] = 246617,
  [SMALL_STATE(5277)] = 246678,
  [SMALL_STATE(5278)] = 246739,
  [SMALL_STATE(5279)] = 246800,
  [SMALL_STATE(5280)] = 246861,
  [SMALL_STATE(5281)] = 246922,
  [SMALL_STATE(5282)] = 246983,
  [SMALL_STATE(5283)] = 247044,
  [SMALL_STATE(5284)] = 247105,
  [SMALL_STATE(5285)] = 247166,
  [SMALL_STATE(5286)] = 247227,
  [SMALL_STATE(5287)] = 247288,
  [SMALL_STATE(5288)] = 247349,
  [SMALL_STATE(5289)] = 247410,
  [SMALL_STATE(5290)] = 247471,
  [SMALL_STATE(5291)] = 247534,
  [SMALL_STATE(5292)] = 247595,
  [SMALL_STATE(5293)] = 247656,
  [SMALL_STATE(5294)] = 247717,
  [SMALL_STATE(5295)] = 247778,
  [SMALL_STATE(5296)] = 247839,
  [SMALL_STATE(5297)] = 247900,
  [SMALL_STATE(5298)] = 247961,
  [SMALL_STATE(5299)] = 248022,
  [SMALL_STATE(5300)] = 248083,
  [SMALL_STATE(5301)] = 248146,
  [SMALL_STATE(5302)] = 248207,
  [SMALL_STATE(5303)] = 248268,
  [SMALL_STATE(5304)] = 248329,
  [SMALL_STATE(5305)] = 248390,
  [SMALL_STATE(5306)] = 248451,
  [SMALL_STATE(5307)] = 248514,
  [SMALL_STATE(5308)] = 248577,
  [SMALL_STATE(5309)] = 248638,
  [SMALL_STATE(5310)] = 248699,
  [SMALL_STATE(5311)] = 248760,
  [SMALL_STATE(5312)] = 248823,
  [SMALL_STATE(5313)] = 248884,
  [SMALL_STATE(5314)] = 248945,
  [SMALL_STATE(5315)] = 249006,
  [SMALL_STATE(5316)] = 249067,
  [SMALL_STATE(5317)] = 249128,
  [SMALL_STATE(5318)] = 249189,
  [SMALL_STATE(5319)] = 249250,
  [SMALL_STATE(5320)] = 249311,
  [SMALL_STATE(5321)] = 249372,
  [SMALL_STATE(5322)] = 249433,
  [SMALL_STATE(5323)] = 249494,
  [SMALL_STATE(5324)] = 249555,
  [SMALL_STATE(5325)] = 249616,
  [SMALL_STATE(5326)] = 249677,
  [SMALL_STATE(5327)] = 249738,
  [SMALL_STATE(5328)] = 249799,
  [SMALL_STATE(5329)] = 249860,
  [SMALL_STATE(5330)] = 249921,
  [SMALL_STATE(5331)] = 249982,
  [SMALL_STATE(5332)] = 250049,
  [SMALL_STATE(5333)] = 250110,
  [SMALL_STATE(5334)] = 250171,
  [SMALL_STATE(5335)] = 250232,
  [SMALL_STATE(5336)] = 250293,
  [SMALL_STATE(5337)] = 250354,
  [SMALL_STATE(5338)] = 250415,
  [SMALL_STATE(5339)] = 250476,
  [SMALL_STATE(5340)] = 250537,
  [SMALL_STATE(5341)] = 250598,
  [SMALL_STATE(5342)] = 250659,
  [SMALL_STATE(5343)] = 250720,
  [SMALL_STATE(5344)] = 250781,
  [SMALL_STATE(5345)] = 250842,
  [SMALL_STATE(5346)] = 250903,
  [SMALL_STATE(5347)] = 250964,
  [SMALL_STATE(5348)] = 251025,
  [SMALL_STATE(5349)] = 251088,
  [SMALL_STATE(5350)] = 251149,
  [SMALL_STATE(5351)] = 251210,
  [SMALL_STATE(5352)] = 251271,
  [SMALL_STATE(5353)] = 251331,
  [SMALL_STATE(5354)] = 251391,
  [SMALL_STATE(5355)] = 251451,
  [SMALL_STATE(5356)] = 251511,
  [SMALL_STATE(5357)] = 251571,
  [SMALL_STATE(5358)] = 251631,
  [SMALL_STATE(5359)] = 251691,
  [SMALL_STATE(5360)] = 251751,
  [SMALL_STATE(5361)] = 251811,
  [SMALL_STATE(5362)] = 251873,
  [SMALL_STATE(5363)] = 251933,
  [SMALL_STATE(5364)] = 251993,
  [SMALL_STATE(5365)] = 252053,
  [SMALL_STATE(5366)] = 252113,
  [SMALL_STATE(5367)] = 252173,
  [SMALL_STATE(5368)] = 252233,
  [SMALL_STATE(5369)] = 252293,
  [SMALL_STATE(5370)] = 252353,
  [SMALL_STATE(5371)] = 252413,
  [SMALL_STATE(5372)] = 252473,
  [SMALL_STATE(5373)] = 252533,
  [SMALL_STATE(5374)] = 252593,
  [SMALL_STATE(5375)] = 252653,
  [SMALL_STATE(5376)] = 252713,
  [SMALL_STATE(5377)] = 252773,
  [SMALL_STATE(5378)] = 252835,
  [SMALL_STATE(5379)] = 252895,
  [SMALL_STATE(5380)] = 252955,
  [SMALL_STATE(5381)] = 253015,
  [SMALL_STATE(5382)] = 253075,
  [SMALL_STATE(5383)] = 253139,
  [SMALL_STATE(5384)] = 253199,
  [SMALL_STATE(5385)] = 253259,
  [SMALL_STATE(5386)] = 253319,
  [SMALL_STATE(5387)] = 253379,
  [SMALL_STATE(5388)] = 253441,
  [SMALL_STATE(5389)] = 253501,
  [SMALL_STATE(5390)] = 253561,
  [SMALL_STATE(5391)] = 253621,
  [SMALL_STATE(5392)] = 253681,
  [SMALL_STATE(5393)] = 253741,
  [SMALL_STATE(5394)] = 253801,
  [SMALL_STATE(5395)] = 253861,
  [SMALL_STATE(5396)] = 253921,
  [SMALL_STATE(5397)] = 253981,
  [SMALL_STATE(5398)] = 254041,
  [SMALL_STATE(5399)] = 254101,
  [SMALL_STATE(5400)] = 254161,
  [SMALL_STATE(5401)] = 254221,
  [SMALL_STATE(5402)] = 254281,
  [SMALL_STATE(5403)] = 254341,
  [SMALL_STATE(5404)] = 254401,
  [SMALL_STATE(5405)] = 254461,
  [SMALL_STATE(5406)] = 254521,
  [SMALL_STATE(5407)] = 254581,
  [SMALL_STATE(5408)] = 254641,
  [SMALL_STATE(5409)] = 254701,
  [SMALL_STATE(5410)] = 254761,
  [SMALL_STATE(5411)] = 254821,
  [SMALL_STATE(5412)] = 254881,
  [SMALL_STATE(5413)] = 254943,
  [SMALL_STATE(5414)] = 255007,
  [SMALL_STATE(5415)] = 255067,
  [SMALL_STATE(5416)] = 255127,
  [SMALL_STATE(5417)] = 255187,
  [SMALL_STATE(5418)] = 255247,
  [SMALL_STATE(5419)] = 255307,
  [SMALL_STATE(5420)] = 255367,
  [SMALL_STATE(5421)] = 255427,
  [SMALL_STATE(5422)] = 255487,
  [SMALL_STATE(5423)] = 255549,
  [SMALL_STATE(5424)] = 255609,
  [SMALL_STATE(5425)] = 255669,
  [SMALL_STATE(5426)] = 255729,
  [SMALL_STATE(5427)] = 255789,
  [SMALL_STATE(5428)] = 255849,
  [SMALL_STATE(5429)] = 255909,
  [SMALL_STATE(5430)] = 255969,
  [SMALL_STATE(5431)] = 256029,
  [SMALL_STATE(5432)] = 256089,
  [SMALL_STATE(5433)] = 256149,
  [SMALL_STATE(5434)] = 256211,
  [SMALL_STATE(5435)] = 256271,
  [SMALL_STATE(5436)] = 256331,
  [SMALL_STATE(5437)] = 256391,
  [SMALL_STATE(5438)] = 256451,
  [SMALL_STATE(5439)] = 256511,
  [SMALL_STATE(5440)] = 256571,
  [SMALL_STATE(5441)] = 256631,
  [SMALL_STATE(5442)] = 256691,
  [SMALL_STATE(5443)] = 256751,
  [SMALL_STATE(5444)] = 256811,
  [SMALL_STATE(5445)] = 256871,
  [SMALL_STATE(5446)] = 256931,
  [SMALL_STATE(5447)] = 256991,
  [SMALL_STATE(5448)] = 257051,
  [SMALL_STATE(5449)] = 257111,
  [SMALL_STATE(5450)] = 257171,
  [SMALL_STATE(5451)] = 257231,
  [SMALL_STATE(5452)] = 257291,
  [SMALL_STATE(5453)] = 257351,
  [SMALL_STATE(5454)] = 257411,
  [SMALL_STATE(5455)] = 257471,
  [SMALL_STATE(5456)] = 257531,
  [SMALL_STATE(5457)] = 257593,
  [SMALL_STATE(5458)] = 257653,
  [SMALL_STATE(5459)] = 257715,
  [SMALL_STATE(5460)] = 257775,
  [SMALL_STATE(5461)] = 257835,
  [SMALL_STATE(5462)] = 257895,
  [SMALL_STATE(5463)] = 257955,
  [SMALL_STATE(5464)] = 258015,
  [SMALL_STATE(5465)] = 258075,
  [SMALL_STATE(5466)] = 258135,
  [SMALL_STATE(5467)] = 258195,
  [SMALL_STATE(5468)] = 258257,
  [SMALL_STATE(5469)] = 258317,
  [SMALL_STATE(5470)] = 258377,
  [SMALL_STATE(5471)] = 258437,
  [SMALL_STATE(5472)] = 258497,
  [SMALL_STATE(5473)] = 258557,
  [SMALL_STATE(5474)] = 258617,
  [SMALL_STATE(5475)] = 258677,
  [SMALL_STATE(5476)] = 258737,
  [SMALL_STATE(5477)] = 258797,
  [SMALL_STATE(5478)] = 258857,
  [SMALL_STATE(5479)] = 258917,
  [SMALL_STATE(5480)] = 258977,
  [SMALL_STATE(5481)] = 259037,
  [SMALL_STATE(5482)] = 259099,
  [SMALL_STATE(5483)] = 259159,
  [SMALL_STATE(5484)] = 259219,
  [SMALL_STATE(5485)] = 259279,
  [SMALL_STATE(5486)] = 259339,
  [SMALL_STATE(5487)] = 259399,
  [SMALL_STATE(5488)] = 259459,
  [SMALL_STATE(5489)] = 259519,
  [SMALL_STATE(5490)] = 259579,
  [SMALL_STATE(5491)] = 259639,
  [SMALL_STATE(5492)] = 259699,
  [SMALL_STATE(5493)] = 259759,
  [SMALL_STATE(5494)] = 259819,
  [SMALL_STATE(5495)] = 259879,
  [SMALL_STATE(5496)] = 259938,
  [SMALL_STATE(5497)] = 259997,
  [SMALL_STATE(5498)] = 260056,
  [SMALL_STATE(5499)] = 260115,
  [SMALL_STATE(5500)] = 260174,
  [SMALL_STATE(5501)] = 260233,
  [SMALL_STATE(5502)] = 260292,
  [SMALL_STATE(5503)] = 260351,
  [SMALL_STATE(5504)] = 260410,
  [SMALL_STATE(5505)] = 260469,
  [SMALL_STATE(5506)] = 260530,
  [SMALL_STATE(5507)] = 260589,
  [SMALL_STATE(5508)] = 260648,
  [SMALL_STATE(5509)] = 260707,
  [SMALL_STATE(5510)] = 260766,
  [SMALL_STATE(5511)] = 260825,
  [SMALL_STATE(5512)] = 260884,
  [SMALL_STATE(5513)] = 260943,
  [SMALL_STATE(5514)] = 261002,
  [SMALL_STATE(5515)] = 261061,
  [SMALL_STATE(5516)] = 261120,
  [SMALL_STATE(5517)] = 261179,
  [SMALL_STATE(5518)] = 261238,
  [SMALL_STATE(5519)] = 261299,
  [SMALL_STATE(5520)] = 261358,
  [SMALL_STATE(5521)] = 261417,
  [SMALL_STATE(5522)] = 261476,
  [SMALL_STATE(5523)] = 261535,
  [SMALL_STATE(5524)] = 261594,
  [SMALL_STATE(5525)] = 261653,
  [SMALL_STATE(5526)] = 261712,
  [SMALL_STATE(5527)] = 261771,
  [SMALL_STATE(5528)] = 261830,
  [SMALL_STATE(5529)] = 261889,
  [SMALL_STATE(5530)] = 261948,
  [SMALL_STATE(5531)] = 262007,
  [SMALL_STATE(5532)] = 262066,
  [SMALL_STATE(5533)] = 262125,
  [SMALL_STATE(5534)] = 262184,
  [SMALL_STATE(5535)] = 262243,
  [SMALL_STATE(5536)] = 262302,
  [SMALL_STATE(5537)] = 262361,
  [SMALL_STATE(5538)] = 262420,
  [SMALL_STATE(5539)] = 262479,
  [SMALL_STATE(5540)] = 262538,
  [SMALL_STATE(5541)] = 262597,
  [SMALL_STATE(5542)] = 262656,
  [SMALL_STATE(5543)] = 262715,
  [SMALL_STATE(5544)] = 262774,
  [SMALL_STATE(5545)] = 262833,
  [SMALL_STATE(5546)] = 262892,
  [SMALL_STATE(5547)] = 262951,
  [SMALL_STATE(5548)] = 263010,
  [SMALL_STATE(5549)] = 263069,
  [SMALL_STATE(5550)] = 263128,
  [SMALL_STATE(5551)] = 263187,
  [SMALL_STATE(5552)] = 263246,
  [SMALL_STATE(5553)] = 263305,
  [SMALL_STATE(5554)] = 263364,
  [SMALL_STATE(5555)] = 263423,
  [SMALL_STATE(5556)] = 263482,
  [SMALL_STATE(5557)] = 263541,
  [SMALL_STATE(5558)] = 263600,
  [SMALL_STATE(5559)] = 263659,
  [SMALL_STATE(5560)] = 263718,
  [SMALL_STATE(5561)] = 263777,
  [SMALL_STATE(5562)] = 263836,
  [SMALL_STATE(5563)] = 263897,
  [SMALL_STATE(5564)] = 263956,
  [SMALL_STATE(5565)] = 264015,
  [SMALL_STATE(5566)] = 264074,
  [SMALL_STATE(5567)] = 264133,
  [SMALL_STATE(5568)] = 264192,
  [SMALL_STATE(5569)] = 264251,
  [SMALL_STATE(5570)] = 264310,
  [SMALL_STATE(5571)] = 264369,
  [SMALL_STATE(5572)] = 264428,
  [SMALL_STATE(5573)] = 264487,
  [SMALL_STATE(5574)] = 264546,
  [SMALL_STATE(5575)] = 264605,
  [SMALL_STATE(5576)] = 264664,
  [SMALL_STATE(5577)] = 264723,
  [SMALL_STATE(5578)] = 264782,
  [SMALL_STATE(5579)] = 264841,
  [SMALL_STATE(5580)] = 264902,
  [SMALL_STATE(5581)] = 264961,
  [SMALL_STATE(5582)] = 265020,
  [SMALL_STATE(5583)] = 265079,
  [SMALL_STATE(5584)] = 265138,
  [SMALL_STATE(5585)] = 265199,
  [SMALL_STATE(5586)] = 265258,
  [SMALL_STATE(5587)] = 265317,
  [SMALL_STATE(5588)] = 265376,
  [SMALL_STATE(5589)] = 265435,
  [SMALL_STATE(5590)] = 265494,
  [SMALL_STATE(5591)] = 265553,
  [SMALL_STATE(5592)] = 265612,
  [SMALL_STATE(5593)] = 265671,
  [SMALL_STATE(5594)] = 265730,
  [SMALL_STATE(5595)] = 265789,
  [SMALL_STATE(5596)] = 265848,
  [SMALL_STATE(5597)] = 265907,
  [SMALL_STATE(5598)] = 265966,
  [SMALL_STATE(5599)] = 266025,
  [SMALL_STATE(5600)] = 266084,
  [SMALL_STATE(5601)] = 266143,
  [SMALL_STATE(5602)] = 266202,
  [SMALL_STATE(5603)] = 266261,
  [SMALL_STATE(5604)] = 266320,
  [SMALL_STATE(5605)] = 266379,
  [SMALL_STATE(5606)] = 266438,
  [SMALL_STATE(5607)] = 266499,
  [SMALL_STATE(5608)] = 266558,
  [SMALL_STATE(5609)] = 266617,
  [SMALL_STATE(5610)] = 266676,
  [SMALL_STATE(5611)] = 266735,
  [SMALL_STATE(5612)] = 266794,
  [SMALL_STATE(5613)] = 266853,
  [SMALL_STATE(5614)] = 266912,
  [SMALL_STATE(5615)] = 266971,
  [SMALL_STATE(5616)] = 267030,
  [SMALL_STATE(5617)] = 267089,
  [SMALL_STATE(5618)] = 267148,
  [SMALL_STATE(5619)] = 267207,
  [SMALL_STATE(5620)] = 267266,
  [SMALL_STATE(5621)] = 267325,
  [SMALL_STATE(5622)] = 267384,
  [SMALL_STATE(5623)] = 267443,
  [SMALL_STATE(5624)] = 267502,
  [SMALL_STATE(5625)] = 267561,
  [SMALL_STATE(5626)] = 267620,
  [SMALL_STATE(5627)] = 267681,
  [SMALL_STATE(5628)] = 267740,
  [SMALL_STATE(5629)] = 267799,
  [SMALL_STATE(5630)] = 267858,
  [SMALL_STATE(5631)] = 267917,
  [SMALL_STATE(5632)] = 267976,
  [SMALL_STATE(5633)] = 268035,
  [SMALL_STATE(5634)] = 268094,
  [SMALL_STATE(5635)] = 268153,
  [SMALL_STATE(5636)] = 268218,
  [SMALL_STATE(5637)] = 268277,
  [SMALL_STATE(5638)] = 268336,
  [SMALL_STATE(5639)] = 268397,
  [SMALL_STATE(5640)] = 268460,
  [SMALL_STATE(5641)] = 268519,
  [SMALL_STATE(5642)] = 268578,
  [SMALL_STATE(5643)] = 268637,
  [SMALL_STATE(5644)] = 268696,
  [SMALL_STATE(5645)] = 268755,
  [SMALL_STATE(5646)] = 268814,
  [SMALL_STATE(5647)] = 268873,
  [SMALL_STATE(5648)] = 268934,
  [SMALL_STATE(5649)] = 268993,
  [SMALL_STATE(5650)] = 269054,
  [SMALL_STATE(5651)] = 269113,
  [SMALL_STATE(5652)] = 269172,
  [SMALL_STATE(5653)] = 269231,
  [SMALL_STATE(5654)] = 269290,
  [SMALL_STATE(5655)] = 269349,
  [SMALL_STATE(5656)] = 269408,
  [SMALL_STATE(5657)] = 269467,
  [SMALL_STATE(5658)] = 269526,
  [SMALL_STATE(5659)] = 269585,
  [SMALL_STATE(5660)] = 269644,
  [SMALL_STATE(5661)] = 269703,
  [SMALL_STATE(5662)] = 269762,
  [SMALL_STATE(5663)] = 269823,
  [SMALL_STATE(5664)] = 269882,
  [SMALL_STATE(5665)] = 269941,
  [SMALL_STATE(5666)] = 270000,
  [SMALL_STATE(5667)] = 270059,
  [SMALL_STATE(5668)] = 270118,
  [SMALL_STATE(5669)] = 270183,
  [SMALL_STATE(5670)] = 270242,
  [SMALL_STATE(5671)] = 270301,
  [SMALL_STATE(5672)] = 270360,
  [SMALL_STATE(5673)] = 270419,
  [SMALL_STATE(5674)] = 270478,
  [SMALL_STATE(5675)] = 270537,
  [SMALL_STATE(5676)] = 270596,
  [SMALL_STATE(5677)] = 270659,
  [SMALL_STATE(5678)] = 270718,
  [SMALL_STATE(5679)] = 270777,
  [SMALL_STATE(5680)] = 270836,
  [SMALL_STATE(5681)] = 270895,
  [SMALL_STATE(5682)] = 270954,
  [SMALL_STATE(5683)] = 271014,
  [SMALL_STATE(5684)] = 271112,
  [SMALL_STATE(5685)] = 271170,
  [SMALL_STATE(5686)] = 271228,
  [SMALL_STATE(5687)] = 271286,
  [SMALL_STATE(5688)] = 271344,
  [SMALL_STATE(5689)] = 271402,
  [SMALL_STATE(5690)] = 271462,
  [SMALL_STATE(5691)] = 271520,
  [SMALL_STATE(5692)] = 271578,
  [SMALL_STATE(5693)] = 271636,
  [SMALL_STATE(5694)] = 271694,
  [SMALL_STATE(5695)] = 271752,
  [SMALL_STATE(5696)] = 271810,
  [SMALL_STATE(5697)] = 271868,
  [SMALL_STATE(5698)] = 271928,
  [SMALL_STATE(5699)] = 271986,
  [SMALL_STATE(5700)] = 272050,
  [SMALL_STATE(5701)] = 272108,
  [SMALL_STATE(5702)] = 272166,
  [SMALL_STATE(5703)] = 272224,
  [SMALL_STATE(5704)] = 272282,
  [SMALL_STATE(5705)] = 272340,
  [SMALL_STATE(5706)] = 272398,
  [SMALL_STATE(5707)] = 272456,
  [SMALL_STATE(5708)] = 272514,
  [SMALL_STATE(5709)] = 272572,
  [SMALL_STATE(5710)] = 272670,
  [SMALL_STATE(5711)] = 272728,
  [SMALL_STATE(5712)] = 272786,
  [SMALL_STATE(5713)] = 272844,
  [SMALL_STATE(5714)] = 272902,
  [SMALL_STATE(5715)] = 272960,
  [SMALL_STATE(5716)] = 273018,
  [SMALL_STATE(5717)] = 273116,
  [SMALL_STATE(5718)] = 273174,
  [SMALL_STATE(5719)] = 273232,
  [SMALL_STATE(5720)] = 273290,
  [SMALL_STATE(5721)] = 273348,
  [SMALL_STATE(5722)] = 273406,
  [SMALL_STATE(5723)] = 273464,
  [SMALL_STATE(5724)] = 273522,
  [SMALL_STATE(5725)] = 273580,
  [SMALL_STATE(5726)] = 273638,
  [SMALL_STATE(5727)] = 273736,
  [SMALL_STATE(5728)] = 273834,
  [SMALL_STATE(5729)] = 273892,
  [SMALL_STATE(5730)] = 273950,
  [SMALL_STATE(5731)] = 274008,
  [SMALL_STATE(5732)] = 274066,
  [SMALL_STATE(5733)] = 274124,
  [SMALL_STATE(5734)] = 274182,
  [SMALL_STATE(5735)] = 274240,
  [SMALL_STATE(5736)] = 274298,
  [SMALL_STATE(5737)] = 274396,
  [SMALL_STATE(5738)] = 274456,
  [SMALL_STATE(5739)] = 274514,
  [SMALL_STATE(5740)] = 274572,
  [SMALL_STATE(5741)] = 274630,
  [SMALL_STATE(5742)] = 274688,
  [SMALL_STATE(5743)] = 274746,
  [SMALL_STATE(5744)] = 274804,
  [SMALL_STATE(5745)] = 274862,
  [SMALL_STATE(5746)] = 274920,
  [SMALL_STATE(5747)] = 274980,
  [SMALL_STATE(5748)] = 275038,
  [SMALL_STATE(5749)] = 275096,
  [SMALL_STATE(5750)] = 275156,
  [SMALL_STATE(5751)] = 275214,
  [SMALL_STATE(5752)] = 275272,
  [SMALL_STATE(5753)] = 275330,
  [SMALL_STATE(5754)] = 275388,
  [SMALL_STATE(5755)] = 275446,
  [SMALL_STATE(5756)] = 275504,
  [SMALL_STATE(5757)] = 275562,
  [SMALL_STATE(5758)] = 275620,
  [SMALL_STATE(5759)] = 275678,
  [SMALL_STATE(5760)] = 275742,
  [SMALL_STATE(5761)] = 275800,
  [SMALL_STATE(5762)] = 275858,
  [SMALL_STATE(5763)] = 275916,
  [SMALL_STATE(5764)] = 275974,
  [SMALL_STATE(5765)] = 276032,
  [SMALL_STATE(5766)] = 276090,
  [SMALL_STATE(5767)] = 276148,
  [SMALL_STATE(5768)] = 276206,
  [SMALL_STATE(5769)] = 276264,
  [SMALL_STATE(5770)] = 276322,
  [SMALL_STATE(5771)] = 276380,
  [SMALL_STATE(5772)] = 276438,
  [SMALL_STATE(5773)] = 276496,
  [SMALL_STATE(5774)] = 276554,
  [SMALL_STATE(5775)] = 276613,
  [SMALL_STATE(5776)] = 276670,
  [SMALL_STATE(5777)] = 276727,
  [SMALL_STATE(5778)] = 276784,
  [SMALL_STATE(5779)] = 276841,
  [SMALL_STATE(5780)] = 276898,
  [SMALL_STATE(5781)] = 276955,
  [SMALL_STATE(5782)] = 277012,
  [SMALL_STATE(5783)] = 277069,
  [SMALL_STATE(5784)] = 277128,
  [SMALL_STATE(5785)] = 277185,
  [SMALL_STATE(5786)] = 277242,
  [SMALL_STATE(5787)] = 277301,
  [SMALL_STATE(5788)] = 277358,
  [SMALL_STATE(5789)] = 277415,
  [SMALL_STATE(5790)] = 277472,
  [SMALL_STATE(5791)] = 277529,
  [SMALL_STATE(5792)] = 277586,
  [SMALL_STATE(5793)] = 277643,
  [SMALL_STATE(5794)] = 277700,
  [SMALL_STATE(5795)] = 277757,
  [SMALL_STATE(5796)] = 277814,
  [SMALL_STATE(5797)] = 277871,
  [SMALL_STATE(5798)] = 277928,
  [SMALL_STATE(5799)] = 277985,
  [SMALL_STATE(5800)] = 278042,
  [SMALL_STATE(5801)] = 278099,
  [SMALL_STATE(5802)] = 278156,
  [SMALL_STATE(5803)] = 278213,
  [SMALL_STATE(5804)] = 278270,
  [SMALL_STATE(5805)] = 278327,
  [SMALL_STATE(5806)] = 278384,
  [SMALL_STATE(5807)] = 278441,
  [SMALL_STATE(5808)] = 278498,
  [SMALL_STATE(5809)] = 278555,
  [SMALL_STATE(5810)] = 278612,
  [SMALL_STATE(5811)] = 278671,
  [SMALL_STATE(5812)] = 278728,
  [SMALL_STATE(5813)] = 278785,
  [SMALL_STATE(5814)] = 278842,
  [SMALL_STATE(5815)] = 278899,
  [SMALL_STATE(5816)] = 278956,
  [SMALL_STATE(5817)] = 279013,
  [SMALL_STATE(5818)] = 279070,
  [SMALL_STATE(5819)] = 279127,
  [SMALL_STATE(5820)] = 279184,
  [SMALL_STATE(5821)] = 279241,
  [SMALL_STATE(5822)] = 279298,
  [SMALL_STATE(5823)] = 279355,
  [SMALL_STATE(5824)] = 279412,
  [SMALL_STATE(5825)] = 279469,
  [SMALL_STATE(5826)] = 279526,
  [SMALL_STATE(5827)] = 279583,
  [SMALL_STATE(5828)] = 279640,
  [SMALL_STATE(5829)] = 279697,
  [SMALL_STATE(5830)] = 279754,
  [SMALL_STATE(5831)] = 279811,
  [SMALL_STATE(5832)] = 279868,
  [SMALL_STATE(5833)] = 279925,
  [SMALL_STATE(5834)] = 279982,
  [SMALL_STATE(5835)] = 280039,
  [SMALL_STATE(5836)] = 280096,
  [SMALL_STATE(5837)] = 280153,
  [SMALL_STATE(5838)] = 280212,
  [SMALL_STATE(5839)] = 280269,
  [SMALL_STATE(5840)] = 280326,
  [SMALL_STATE(5841)] = 280383,
  [SMALL_STATE(5842)] = 280440,
  [SMALL_STATE(5843)] = 280497,
  [SMALL_STATE(5844)] = 280554,
  [SMALL_STATE(5845)] = 280611,
  [SMALL_STATE(5846)] = 280668,
  [SMALL_STATE(5847)] = 280725,
  [SMALL_STATE(5848)] = 280782,
  [SMALL_STATE(5849)] = 280839,
  [SMALL_STATE(5850)] = 280896,
  [SMALL_STATE(5851)] = 280953,
  [SMALL_STATE(5852)] = 281010,
  [SMALL_STATE(5853)] = 281067,
  [SMALL_STATE(5854)] = 281124,
  [SMALL_STATE(5855)] = 281181,
  [SMALL_STATE(5856)] = 281238,
  [SMALL_STATE(5857)] = 281295,
  [SMALL_STATE(5858)] = 281352,
  [SMALL_STATE(5859)] = 281409,
  [SMALL_STATE(5860)] = 281466,
  [SMALL_STATE(5861)] = 281523,
  [SMALL_STATE(5862)] = 281580,
  [SMALL_STATE(5863)] = 281637,
  [SMALL_STATE(5864)] = 281694,
  [SMALL_STATE(5865)] = 281751,
  [SMALL_STATE(5866)] = 281808,
  [SMALL_STATE(5867)] = 281865,
  [SMALL_STATE(5868)] = 281922,
  [SMALL_STATE(5869)] = 281979,
  [SMALL_STATE(5870)] = 282036,
  [SMALL_STATE(5871)] = 282093,
  [SMALL_STATE(5872)] = 282150,
  [SMALL_STATE(5873)] = 282207,
  [SMALL_STATE(5874)] = 282264,
  [SMALL_STATE(5875)] = 282321,
  [SMALL_STATE(5876)] = 282378,
  [SMALL_STATE(5877)] = 282435,
  [SMALL_STATE(5878)] = 282492,
  [SMALL_STATE(5879)] = 282549,
  [SMALL_STATE(5880)] = 282606,
  [SMALL_STATE(5881)] = 282663,
  [SMALL_STATE(5882)] = 282720,
  [SMALL_STATE(5883)] = 282777,
  [SMALL_STATE(5884)] = 282834,
  [SMALL_STATE(5885)] = 282891,
  [SMALL_STATE(5886)] = 282948,
  [SMALL_STATE(5887)] = 283005,
  [SMALL_STATE(5888)] = 283062,
  [SMALL_STATE(5889)] = 283119,
  [SMALL_STATE(5890)] = 283176,
  [SMALL_STATE(5891)] = 283233,
  [SMALL_STATE(5892)] = 283290,
  [SMALL_STATE(5893)] = 283347,
  [SMALL_STATE(5894)] = 283404,
  [SMALL_STATE(5895)] = 283461,
  [SMALL_STATE(5896)] = 283518,
  [SMALL_STATE(5897)] = 283575,
  [SMALL_STATE(5898)] = 283632,
  [SMALL_STATE(5899)] = 283689,
  [SMALL_STATE(5900)] = 283746,
  [SMALL_STATE(5901)] = 283805,
  [SMALL_STATE(5902)] = 283864,
  [SMALL_STATE(5903)] = 283923,
  [SMALL_STATE(5904)] = 283982,
  [SMALL_STATE(5905)] = 284041,
  [SMALL_STATE(5906)] = 284100,
  [SMALL_STATE(5907)] = 284157,
  [SMALL_STATE(5908)] = 284214,
  [SMALL_STATE(5909)] = 284277,
  [SMALL_STATE(5910)] = 284334,
  [SMALL_STATE(5911)] = 284391,
  [SMALL_STATE(5912)] = 284454,
  [SMALL_STATE(5913)] = 284517,
  [SMALL_STATE(5914)] = 284574,
  [SMALL_STATE(5915)] = 284631,
  [SMALL_STATE(5916)] = 284690,
  [SMALL_STATE(5917)] = 284747,
  [SMALL_STATE(5918)] = 284804,
  [SMALL_STATE(5919)] = 284861,
  [SMALL_STATE(5920)] = 284918,
  [SMALL_STATE(5921)] = 284975,
  [SMALL_STATE(5922)] = 285032,
  [SMALL_STATE(5923)] = 285089,
  [SMALL_STATE(5924)] = 285148,
  [SMALL_STATE(5925)] = 285205,
  [SMALL_STATE(5926)] = 285262,
  [SMALL_STATE(5927)] = 285319,
  [SMALL_STATE(5928)] = 285376,
  [SMALL_STATE(5929)] = 285433,
  [SMALL_STATE(5930)] = 285490,
  [SMALL_STATE(5931)] = 285547,
  [SMALL_STATE(5932)] = 285604,
  [SMALL_STATE(5933)] = 285667,
  [SMALL_STATE(5934)] = 285724,
  [SMALL_STATE(5935)] = 285781,
  [SMALL_STATE(5936)] = 285838,
  [SMALL_STATE(5937)] = 285895,
  [SMALL_STATE(5938)] = 285952,
  [SMALL_STATE(5939)] = 286009,
  [SMALL_STATE(5940)] = 286066,
  [SMALL_STATE(5941)] = 286123,
  [SMALL_STATE(5942)] = 286180,
  [SMALL_STATE(5943)] = 286237,
  [SMALL_STATE(5944)] = 286294,
  [SMALL_STATE(5945)] = 286351,
  [SMALL_STATE(5946)] = 286408,
  [SMALL_STATE(5947)] = 286465,
  [SMALL_STATE(5948)] = 286524,
  [SMALL_STATE(5949)] = 286581,
  [SMALL_STATE(5950)] = 286638,
  [SMALL_STATE(5951)] = 286695,
  [SMALL_STATE(5952)] = 286752,
  [SMALL_STATE(5953)] = 286809,
  [SMALL_STATE(5954)] = 286866,
  [SMALL_STATE(5955)] = 286923,
  [SMALL_STATE(5956)] = 286980,
  [SMALL_STATE(5957)] = 287037,
  [SMALL_STATE(5958)] = 287094,
  [SMALL_STATE(5959)] = 287151,
  [SMALL_STATE(5960)] = 287208,
  [SMALL_STATE(5961)] = 287265,
  [SMALL_STATE(5962)] = 287322,
  [SMALL_STATE(5963)] = 287381,
  [SMALL_STATE(5964)] = 287438,
  [SMALL_STATE(5965)] = 287495,
  [SMALL_STATE(5966)] = 287552,
  [SMALL_STATE(5967)] = 287609,
  [SMALL_STATE(5968)] = 287666,
  [SMALL_STATE(5969)] = 287723,
  [SMALL_STATE(5970)] = 287782,
  [SMALL_STATE(5971)] = 287839,
  [SMALL_STATE(5972)] = 287896,
  [SMALL_STATE(5973)] = 287953,
  [SMALL_STATE(5974)] = 288010,
  [SMALL_STATE(5975)] = 288067,
  [SMALL_STATE(5976)] = 288124,
  [SMALL_STATE(5977)] = 288181,
  [SMALL_STATE(5978)] = 288238,
  [SMALL_STATE(5979)] = 288295,
  [SMALL_STATE(5980)] = 288354,
  [SMALL_STATE(5981)] = 288411,
  [SMALL_STATE(5982)] = 288468,
  [SMALL_STATE(5983)] = 288525,
  [SMALL_STATE(5984)] = 288582,
  [SMALL_STATE(5985)] = 288639,
  [SMALL_STATE(5986)] = 288696,
  [SMALL_STATE(5987)] = 288753,
  [SMALL_STATE(5988)] = 288810,
  [SMALL_STATE(5989)] = 288869,
  [SMALL_STATE(5990)] = 288926,
  [SMALL_STATE(5991)] = 288983,
  [SMALL_STATE(5992)] = 289040,
  [SMALL_STATE(5993)] = 289097,
  [SMALL_STATE(5994)] = 289154,
  [SMALL_STATE(5995)] = 289211,
  [SMALL_STATE(5996)] = 289268,
  [SMALL_STATE(5997)] = 289325,
  [SMALL_STATE(5998)] = 289382,
  [SMALL_STATE(5999)] = 289441,
  [SMALL_STATE(6000)] = 289498,
  [SMALL_STATE(6001)] = 289555,
  [SMALL_STATE(6002)] = 289612,
  [SMALL_STATE(6003)] = 289669,
  [SMALL_STATE(6004)] = 289728,
  [SMALL_STATE(6005)] = 289785,
  [SMALL_STATE(6006)] = 289842,
  [SMALL_STATE(6007)] = 289899,
  [SMALL_STATE(6008)] = 289956,
  [SMALL_STATE(6009)] = 290013,
  [SMALL_STATE(6010)] = 290070,
  [SMALL_STATE(6011)] = 290127,
  [SMALL_STATE(6012)] = 290184,
  [SMALL_STATE(6013)] = 290241,
  [SMALL_STATE(6014)] = 290298,
  [SMALL_STATE(6015)] = 290355,
  [SMALL_STATE(6016)] = 290412,
  [SMALL_STATE(6017)] = 290469,
  [SMALL_STATE(6018)] = 290526,
  [SMALL_STATE(6019)] = 290583,
  [SMALL_STATE(6020)] = 290640,
  [SMALL_STATE(6021)] = 290697,
  [SMALL_STATE(6022)] = 290754,
  [SMALL_STATE(6023)] = 290811,
  [SMALL_STATE(6024)] = 290868,
  [SMALL_STATE(6025)] = 290925,
  [SMALL_STATE(6026)] = 290982,
  [SMALL_STATE(6027)] = 291039,
  [SMALL_STATE(6028)] = 291096,
  [SMALL_STATE(6029)] = 291153,
  [SMALL_STATE(6030)] = 291210,
  [SMALL_STATE(6031)] = 291267,
  [SMALL_STATE(6032)] = 291324,
  [SMALL_STATE(6033)] = 291383,
  [SMALL_STATE(6034)] = 291440,
  [SMALL_STATE(6035)] = 291497,
  [SMALL_STATE(6036)] = 291554,
  [SMALL_STATE(6037)] = 291611,
  [SMALL_STATE(6038)] = 291674,
  [SMALL_STATE(6039)] = 291731,
  [SMALL_STATE(6040)] = 291788,
  [SMALL_STATE(6041)] = 291845,
  [SMALL_STATE(6042)] = 291902,
  [SMALL_STATE(6043)] = 291959,
  [SMALL_STATE(6044)] = 292016,
  [SMALL_STATE(6045)] = 292073,
  [SMALL_STATE(6046)] = 292130,
  [SMALL_STATE(6047)] = 292187,
  [SMALL_STATE(6048)] = 292244,
  [SMALL_STATE(6049)] = 292303,
  [SMALL_STATE(6050)] = 292360,
  [SMALL_STATE(6051)] = 292417,
  [SMALL_STATE(6052)] = 292476,
  [SMALL_STATE(6053)] = 292533,
  [SMALL_STATE(6054)] = 292590,
  [SMALL_STATE(6055)] = 292647,
  [SMALL_STATE(6056)] = 292704,
  [SMALL_STATE(6057)] = 292761,
  [SMALL_STATE(6058)] = 292818,
  [SMALL_STATE(6059)] = 292875,
  [SMALL_STATE(6060)] = 292932,
  [SMALL_STATE(6061)] = 292989,
  [SMALL_STATE(6062)] = 293046,
  [SMALL_STATE(6063)] = 293103,
  [SMALL_STATE(6064)] = 293160,
  [SMALL_STATE(6065)] = 293217,
  [SMALL_STATE(6066)] = 293274,
  [SMALL_STATE(6067)] = 293331,
  [SMALL_STATE(6068)] = 293388,
  [SMALL_STATE(6069)] = 293451,
  [SMALL_STATE(6070)] = 293508,
  [SMALL_STATE(6071)] = 293565,
  [SMALL_STATE(6072)] = 293622,
  [SMALL_STATE(6073)] = 293679,
  [SMALL_STATE(6074)] = 293736,
  [SMALL_STATE(6075)] = 293793,
  [SMALL_STATE(6076)] = 293850,
  [SMALL_STATE(6077)] = 293907,
  [SMALL_STATE(6078)] = 293964,
  [SMALL_STATE(6079)] = 294021,
  [SMALL_STATE(6080)] = 294078,
  [SMALL_STATE(6081)] = 294134,
  [SMALL_STATE(6082)] = 294190,
  [SMALL_STATE(6083)] = 294246,
  [SMALL_STATE(6084)] = 294308,
  [SMALL_STATE(6085)] = 294364,
  [SMALL_STATE(6086)] = 294420,
  [SMALL_STATE(6087)] = 294476,
  [SMALL_STATE(6088)] = 294584,
  [SMALL_STATE(6089)] = 294640,
  [SMALL_STATE(6090)] = 294696,
  [SMALL_STATE(6091)] = 294752,
  [SMALL_STATE(6092)] = 294808,
  [SMALL_STATE(6093)] = 294864,
  [SMALL_STATE(6094)] = 294920,
  [SMALL_STATE(6095)] = 294976,
  [SMALL_STATE(6096)] = 295034,
  [SMALL_STATE(6097)] = 295090,
  [SMALL_STATE(6098)] = 295146,
  [SMALL_STATE(6099)] = 295202,
  [SMALL_STATE(6100)] = 295258,
  [SMALL_STATE(6101)] = 295314,
  [SMALL_STATE(6102)] = 295370,
  [SMALL_STATE(6103)] = 295426,
  [SMALL_STATE(6104)] = 295482,
  [SMALL_STATE(6105)] = 295538,
  [SMALL_STATE(6106)] = 295594,
  [SMALL_STATE(6107)] = 295650,
  [SMALL_STATE(6108)] = 295706,
  [SMALL_STATE(6109)] = 295762,
  [SMALL_STATE(6110)] = 295824,
  [SMALL_STATE(6111)] = 295880,
  [SMALL_STATE(6112)] = 295936,
  [SMALL_STATE(6113)] = 295992,
  [SMALL_STATE(6114)] = 296048,
  [SMALL_STATE(6115)] = 296104,
  [SMALL_STATE(6116)] = 296160,
  [SMALL_STATE(6117)] = 296216,
  [SMALL_STATE(6118)] = 296272,
  [SMALL_STATE(6119)] = 296328,
  [SMALL_STATE(6120)] = 296384,
  [SMALL_STATE(6121)] = 296440,
  [SMALL_STATE(6122)] = 296496,
  [SMALL_STATE(6123)] = 296554,
  [SMALL_STATE(6124)] = 296610,
  [SMALL_STATE(6125)] = 296666,
  [SMALL_STATE(6126)] = 296722,
  [SMALL_STATE(6127)] = 296778,
  [SMALL_STATE(6128)] = 296834,
  [SMALL_STATE(6129)] = 296890,
  [SMALL_STATE(6130)] = 296946,
  [SMALL_STATE(6131)] = 297002,
  [SMALL_STATE(6132)] = 297058,
  [SMALL_STATE(6133)] = 297114,
  [SMALL_STATE(6134)] = 297170,
  [SMALL_STATE(6135)] = 297226,
  [SMALL_STATE(6136)] = 297282,
  [SMALL_STATE(6137)] = 297338,
  [SMALL_STATE(6138)] = 297394,
  [SMALL_STATE(6139)] = 297450,
  [SMALL_STATE(6140)] = 297506,
  [SMALL_STATE(6141)] = 297562,
  [SMALL_STATE(6142)] = 297618,
  [SMALL_STATE(6143)] = 297674,
  [SMALL_STATE(6144)] = 297736,
  [SMALL_STATE(6145)] = 297792,
  [SMALL_STATE(6146)] = 297850,
  [SMALL_STATE(6147)] = 297906,
  [SMALL_STATE(6148)] = 297962,
  [SMALL_STATE(6149)] = 298018,
  [SMALL_STATE(6150)] = 298074,
  [SMALL_STATE(6151)] = 298130,
  [SMALL_STATE(6152)] = 298186,
  [SMALL_STATE(6153)] = 298242,
  [SMALL_STATE(6154)] = 298298,
  [SMALL_STATE(6155)] = 298406,
  [SMALL_STATE(6156)] = 298462,
  [SMALL_STATE(6157)] = 298518,
  [SMALL_STATE(6158)] = 298574,
  [SMALL_STATE(6159)] = 298630,
  [SMALL_STATE(6160)] = 298686,
  [SMALL_STATE(6161)] = 298742,
  [SMALL_STATE(6162)] = 298798,
  [SMALL_STATE(6163)] = 298854,
  [SMALL_STATE(6164)] = 298910,
  [SMALL_STATE(6165)] = 298972,
  [SMALL_STATE(6166)] = 299028,
  [SMALL_STATE(6167)] = 299084,
  [SMALL_STATE(6168)] = 299140,
  [SMALL_STATE(6169)] = 299196,
  [SMALL_STATE(6170)] = 299252,
  [SMALL_STATE(6171)] = 299308,
  [SMALL_STATE(6172)] = 299364,
  [SMALL_STATE(6173)] = 299420,
  [SMALL_STATE(6174)] = 299476,
  [SMALL_STATE(6175)] = 299532,
  [SMALL_STATE(6176)] = 299588,
  [SMALL_STATE(6177)] = 299650,
  [SMALL_STATE(6178)] = 299706,
  [SMALL_STATE(6179)] = 299762,
  [SMALL_STATE(6180)] = 299818,
  [SMALL_STATE(6181)] = 299874,
  [SMALL_STATE(6182)] = 299930,
  [SMALL_STATE(6183)] = 299986,
  [SMALL_STATE(6184)] = 300042,
  [SMALL_STATE(6185)] = 300098,
  [SMALL_STATE(6186)] = 300154,
  [SMALL_STATE(6187)] = 300262,
  [SMALL_STATE(6188)] = 300318,
  [SMALL_STATE(6189)] = 300374,
  [SMALL_STATE(6190)] = 300430,
  [SMALL_STATE(6191)] = 300486,
  [SMALL_STATE(6192)] = 300542,
  [SMALL_STATE(6193)] = 300598,
  [SMALL_STATE(6194)] = 300654,
  [SMALL_STATE(6195)] = 300710,
  [SMALL_STATE(6196)] = 300766,
  [SMALL_STATE(6197)] = 300822,
  [SMALL_STATE(6198)] = 300878,
  [SMALL_STATE(6199)] = 300934,
  [SMALL_STATE(6200)] = 300992,
  [SMALL_STATE(6201)] = 301048,
  [SMALL_STATE(6202)] = 301104,
  [SMALL_STATE(6203)] = 301160,
  [SMALL_STATE(6204)] = 301216,
  [SMALL_STATE(6205)] = 301272,
  [SMALL_STATE(6206)] = 301328,
  [SMALL_STATE(6207)] = 301384,
  [SMALL_STATE(6208)] = 301440,
  [SMALL_STATE(6209)] = 301496,
  [SMALL_STATE(6210)] = 301552,
  [SMALL_STATE(6211)] = 301608,
  [SMALL_STATE(6212)] = 301664,
  [SMALL_STATE(6213)] = 301720,
  [SMALL_STATE(6214)] = 301776,
  [SMALL_STATE(6215)] = 301834,
  [SMALL_STATE(6216)] = 301892,
  [SMALL_STATE(6217)] = 301950,
  [SMALL_STATE(6218)] = 302008,
  [SMALL_STATE(6219)] = 302066,
  [SMALL_STATE(6220)] = 302122,
  [SMALL_STATE(6221)] = 302178,
  [SMALL_STATE(6222)] = 302234,
  [SMALL_STATE(6223)] = 302290,
  [SMALL_STATE(6224)] = 302346,
  [SMALL_STATE(6225)] = 302402,
  [SMALL_STATE(6226)] = 302458,
  [SMALL_STATE(6227)] = 302514,
  [SMALL_STATE(6228)] = 302570,
  [SMALL_STATE(6229)] = 302678,
  [SMALL_STATE(6230)] = 302734,
  [SMALL_STATE(6231)] = 302790,
  [SMALL_STATE(6232)] = 302846,
  [SMALL_STATE(6233)] = 302902,
  [SMALL_STATE(6234)] = 302958,
  [SMALL_STATE(6235)] = 303014,
  [SMALL_STATE(6236)] = 303070,
  [SMALL_STATE(6237)] = 303126,
  [SMALL_STATE(6238)] = 303182,
  [SMALL_STATE(6239)] = 303238,
  [SMALL_STATE(6240)] = 303294,
  [SMALL_STATE(6241)] = 303352,
  [SMALL_STATE(6242)] = 303410,
  [SMALL_STATE(6243)] = 303466,
  [SMALL_STATE(6244)] = 303522,
  [SMALL_STATE(6245)] = 303580,
  [SMALL_STATE(6246)] = 303636,
  [SMALL_STATE(6247)] = 303692,
  [SMALL_STATE(6248)] = 303748,
  [SMALL_STATE(6249)] = 303804,
  [SMALL_STATE(6250)] = 303860,
  [SMALL_STATE(6251)] = 303916,
  [SMALL_STATE(6252)] = 303972,
  [SMALL_STATE(6253)] = 304028,
  [SMALL_STATE(6254)] = 304084,
  [SMALL_STATE(6255)] = 304140,
  [SMALL_STATE(6256)] = 304248,
  [SMALL_STATE(6257)] = 304356,
  [SMALL_STATE(6258)] = 304412,
  [SMALL_STATE(6259)] = 304468,
  [SMALL_STATE(6260)] = 304526,
  [SMALL_STATE(6261)] = 304584,
  [SMALL_STATE(6262)] = 304640,
  [SMALL_STATE(6263)] = 304696,
  [SMALL_STATE(6264)] = 304752,
  [SMALL_STATE(6265)] = 304860,
  [SMALL_STATE(6266)] = 304916,
  [SMALL_STATE(6267)] = 304972,
  [SMALL_STATE(6268)] = 305028,
  [SMALL_STATE(6269)] = 305084,
  [SMALL_STATE(6270)] = 305140,
  [SMALL_STATE(6271)] = 305196,
  [SMALL_STATE(6272)] = 305252,
  [SMALL_STATE(6273)] = 305308,
  [SMALL_STATE(6274)] = 305364,
  [SMALL_STATE(6275)] = 305420,
  [SMALL_STATE(6276)] = 305476,
  [SMALL_STATE(6277)] = 305532,
  [SMALL_STATE(6278)] = 305588,
  [SMALL_STATE(6279)] = 305644,
  [SMALL_STATE(6280)] = 305700,
  [SMALL_STATE(6281)] = 305756,
  [SMALL_STATE(6282)] = 305812,
  [SMALL_STATE(6283)] = 305870,
  [SMALL_STATE(6284)] = 305926,
  [SMALL_STATE(6285)] = 305982,
  [SMALL_STATE(6286)] = 306038,
  [SMALL_STATE(6287)] = 306094,
  [SMALL_STATE(6288)] = 306156,
  [SMALL_STATE(6289)] = 306212,
  [SMALL_STATE(6290)] = 306270,
  [SMALL_STATE(6291)] = 306326,
  [SMALL_STATE(6292)] = 306382,
  [SMALL_STATE(6293)] = 306438,
  [SMALL_STATE(6294)] = 306494,
  [SMALL_STATE(6295)] = 306550,
  [SMALL_STATE(6296)] = 306606,
  [SMALL_STATE(6297)] = 306662,
  [SMALL_STATE(6298)] = 306720,
  [SMALL_STATE(6299)] = 306776,
  [SMALL_STATE(6300)] = 306832,
  [SMALL_STATE(6301)] = 306888,
  [SMALL_STATE(6302)] = 306944,
  [SMALL_STATE(6303)] = 307000,
  [SMALL_STATE(6304)] = 307056,
  [SMALL_STATE(6305)] = 307112,
  [SMALL_STATE(6306)] = 307168,
  [SMALL_STATE(6307)] = 307224,
  [SMALL_STATE(6308)] = 307280,
  [SMALL_STATE(6309)] = 307336,
  [SMALL_STATE(6310)] = 307392,
  [SMALL_STATE(6311)] = 307448,
  [SMALL_STATE(6312)] = 307504,
  [SMALL_STATE(6313)] = 307560,
  [SMALL_STATE(6314)] = 307616,
  [SMALL_STATE(6315)] = 307672,
  [SMALL_STATE(6316)] = 307728,
  [SMALL_STATE(6317)] = 307784,
  [SMALL_STATE(6318)] = 307840,
  [SMALL_STATE(6319)] = 307898,
  [SMALL_STATE(6320)] = 307954,
  [SMALL_STATE(6321)] = 308016,
  [SMALL_STATE(6322)] = 308072,
  [SMALL_STATE(6323)] = 308128,
  [SMALL_STATE(6324)] = 308184,
  [SMALL_STATE(6325)] = 308240,
  [SMALL_STATE(6326)] = 308296,
  [SMALL_STATE(6327)] = 308352,
  [SMALL_STATE(6328)] = 308408,
  [SMALL_STATE(6329)] = 308464,
  [SMALL_STATE(6330)] = 308520,
  [SMALL_STATE(6331)] = 308578,
  [SMALL_STATE(6332)] = 308634,
  [SMALL_STATE(6333)] = 308690,
  [SMALL_STATE(6334)] = 308746,
  [SMALL_STATE(6335)] = 308802,
  [SMALL_STATE(6336)] = 308858,
  [SMALL_STATE(6337)] = 308914,
  [SMALL_STATE(6338)] = 308970,
  [SMALL_STATE(6339)] = 309026,
  [SMALL_STATE(6340)] = 309082,
  [SMALL_STATE(6341)] = 309138,
  [SMALL_STATE(6342)] = 309194,
  [SMALL_STATE(6343)] = 309250,
  [SMALL_STATE(6344)] = 309306,
  [SMALL_STATE(6345)] = 309362,
  [SMALL_STATE(6346)] = 309418,
  [SMALL_STATE(6347)] = 309474,
  [SMALL_STATE(6348)] = 309530,
  [SMALL_STATE(6349)] = 309586,
  [SMALL_STATE(6350)] = 309642,
  [SMALL_STATE(6351)] = 309698,
  [SMALL_STATE(6352)] = 309754,
  [SMALL_STATE(6353)] = 309810,
  [SMALL_STATE(6354)] = 309866,
  [SMALL_STATE(6355)] = 309922,
  [SMALL_STATE(6356)] = 309978,
  [SMALL_STATE(6357)] = 310034,
  [SMALL_STATE(6358)] = 310090,
  [SMALL_STATE(6359)] = 310148,
  [SMALL_STATE(6360)] = 310204,
  [SMALL_STATE(6361)] = 310260,
  [SMALL_STATE(6362)] = 310316,
  [SMALL_STATE(6363)] = 310372,
  [SMALL_STATE(6364)] = 310428,
  [SMALL_STATE(6365)] = 310484,
  [SMALL_STATE(6366)] = 310540,
  [SMALL_STATE(6367)] = 310596,
  [SMALL_STATE(6368)] = 310652,
  [SMALL_STATE(6369)] = 310708,
  [SMALL_STATE(6370)] = 310766,
  [SMALL_STATE(6371)] = 310822,
  [SMALL_STATE(6372)] = 310878,
  [SMALL_STATE(6373)] = 310934,
  [SMALL_STATE(6374)] = 310990,
  [SMALL_STATE(6375)] = 311046,
  [SMALL_STATE(6376)] = 311102,
  [SMALL_STATE(6377)] = 311158,
  [SMALL_STATE(6378)] = 311214,
  [SMALL_STATE(6379)] = 311270,
  [SMALL_STATE(6380)] = 311326,
  [SMALL_STATE(6381)] = 311382,
  [SMALL_STATE(6382)] = 311440,
  [SMALL_STATE(6383)] = 311496,
  [SMALL_STATE(6384)] = 311552,
  [SMALL_STATE(6385)] = 311608,
  [SMALL_STATE(6386)] = 311664,
  [SMALL_STATE(6387)] = 311720,
  [SMALL_STATE(6388)] = 311776,
  [SMALL_STATE(6389)] = 311832,
  [SMALL_STATE(6390)] = 311890,
  [SMALL_STATE(6391)] = 311946,
  [SMALL_STATE(6392)] = 312002,
  [SMALL_STATE(6393)] = 312058,
  [SMALL_STATE(6394)] = 312120,
  [SMALL_STATE(6395)] = 312176,
  [SMALL_STATE(6396)] = 312232,
  [SMALL_STATE(6397)] = 312288,
  [SMALL_STATE(6398)] = 312344,
  [SMALL_STATE(6399)] = 312400,
  [SMALL_STATE(6400)] = 312456,
  [SMALL_STATE(6401)] = 312512,
  [SMALL_STATE(6402)] = 312568,
  [SMALL_STATE(6403)] = 312624,
  [SMALL_STATE(6404)] = 312680,
  [SMALL_STATE(6405)] = 312736,
  [SMALL_STATE(6406)] = 312792,
  [SMALL_STATE(6407)] = 312848,
  [SMALL_STATE(6408)] = 312906,
  [SMALL_STATE(6409)] = 312962,
  [SMALL_STATE(6410)] = 313020,
  [SMALL_STATE(6411)] = 313076,
  [SMALL_STATE(6412)] = 313132,
  [SMALL_STATE(6413)] = 313188,
  [SMALL_STATE(6414)] = 313244,
  [SMALL_STATE(6415)] = 313300,
  [SMALL_STATE(6416)] = 313356,
  [SMALL_STATE(6417)] = 313412,
  [SMALL_STATE(6418)] = 313468,
  [SMALL_STATE(6419)] = 313530,
  [SMALL_STATE(6420)] = 313586,
  [SMALL_STATE(6421)] = 313642,
  [SMALL_STATE(6422)] = 313698,
  [SMALL_STATE(6423)] = 313754,
  [SMALL_STATE(6424)] = 313810,
  [SMALL_STATE(6425)] = 313866,
  [SMALL_STATE(6426)] = 313922,
  [SMALL_STATE(6427)] = 313978,
  [SMALL_STATE(6428)] = 314034,
  [SMALL_STATE(6429)] = 314090,
  [SMALL_STATE(6430)] = 314146,
  [SMALL_STATE(6431)] = 314202,
  [SMALL_STATE(6432)] = 314258,
  [SMALL_STATE(6433)] = 314316,
  [SMALL_STATE(6434)] = 314372,
  [SMALL_STATE(6435)] = 314428,
  [SMALL_STATE(6436)] = 314484,
  [SMALL_STATE(6437)] = 314540,
  [SMALL_STATE(6438)] = 314596,
  [SMALL_STATE(6439)] = 314652,
  [SMALL_STATE(6440)] = 314708,
  [SMALL_STATE(6441)] = 314764,
  [SMALL_STATE(6442)] = 314820,
  [SMALL_STATE(6443)] = 314876,
  [SMALL_STATE(6444)] = 314932,
  [SMALL_STATE(6445)] = 314988,
  [SMALL_STATE(6446)] = 315044,
  [SMALL_STATE(6447)] = 315100,
  [SMALL_STATE(6448)] = 315156,
  [SMALL_STATE(6449)] = 315212,
  [SMALL_STATE(6450)] = 315268,
  [SMALL_STATE(6451)] = 315324,
  [SMALL_STATE(6452)] = 315380,
  [SMALL_STATE(6453)] = 315436,
  [SMALL_STATE(6454)] = 315492,
  [SMALL_STATE(6455)] = 315554,
  [SMALL_STATE(6456)] = 315610,
  [SMALL_STATE(6457)] = 315666,
  [SMALL_STATE(6458)] = 315722,
  [SMALL_STATE(6459)] = 315778,
  [SMALL_STATE(6460)] = 315834,
  [SMALL_STATE(6461)] = 315890,
  [SMALL_STATE(6462)] = 315946,
  [SMALL_STATE(6463)] = 316002,
  [SMALL_STATE(6464)] = 316058,
  [SMALL_STATE(6465)] = 316120,
  [SMALL_STATE(6466)] = 316176,
  [SMALL_STATE(6467)] = 316232,
  [SMALL_STATE(6468)] = 316288,
  [SMALL_STATE(6469)] = 316344,
  [SMALL_STATE(6470)] = 316400,
  [SMALL_STATE(6471)] = 316456,
  [SMALL_STATE(6472)] = 316512,
  [SMALL_STATE(6473)] = 316568,
  [SMALL_STATE(6474)] = 316626,
  [SMALL_STATE(6475)] = 316682,
  [SMALL_STATE(6476)] = 316738,
  [SMALL_STATE(6477)] = 316794,
  [SMALL_STATE(6478)] = 316850,
  [SMALL_STATE(6479)] = 316906,
  [SMALL_STATE(6480)] = 316962,
  [SMALL_STATE(6481)] = 317018,
  [SMALL_STATE(6482)] = 317074,
  [SMALL_STATE(6483)] = 317130,
  [SMALL_STATE(6484)] = 317186,
  [SMALL_STATE(6485)] = 317244,
  [SMALL_STATE(6486)] = 317300,
  [SMALL_STATE(6487)] = 317408,
  [SMALL_STATE(6488)] = 317464,
  [SMALL_STATE(6489)] = 317520,
  [SMALL_STATE(6490)] = 317576,
  [SMALL_STATE(6491)] = 317632,
  [SMALL_STATE(6492)] = 317690,
  [SMALL_STATE(6493)] = 317746,
  [SMALL_STATE(6494)] = 317802,
  [SMALL_STATE(6495)] = 317858,
  [SMALL_STATE(6496)] = 317914,
  [SMALL_STATE(6497)] = 317970,
  [SMALL_STATE(6498)] = 318026,
  [SMALL_STATE(6499)] = 318082,
  [SMALL_STATE(6500)] = 318138,
  [SMALL_STATE(6501)] = 318194,
  [SMALL_STATE(6502)] = 318250,
  [SMALL_STATE(6503)] = 318306,
  [SMALL_STATE(6504)] = 318362,
  [SMALL_STATE(6505)] = 318418,
  [SMALL_STATE(6506)] = 318474,
  [SMALL_STATE(6507)] = 318530,
  [SMALL_STATE(6508)] = 318592,
  [SMALL_STATE(6509)] = 318648,
  [SMALL_STATE(6510)] = 318706,
  [SMALL_STATE(6511)] = 318762,
  [SMALL_STATE(6512)] = 318818,
  [SMALL_STATE(6513)] = 318874,
  [SMALL_STATE(6514)] = 318930,
  [SMALL_STATE(6515)] = 318986,
  [SMALL_STATE(6516)] = 319042,
  [SMALL_STATE(6517)] = 319098,
  [SMALL_STATE(6518)] = 319154,
  [SMALL_STATE(6519)] = 319210,
  [SMALL_STATE(6520)] = 319266,
  [SMALL_STATE(6521)] = 319322,
  [SMALL_STATE(6522)] = 319378,
  [SMALL_STATE(6523)] = 319434,
  [SMALL_STATE(6524)] = 319490,
  [SMALL_STATE(6525)] = 319548,
  [SMALL_STATE(6526)] = 319606,
  [SMALL_STATE(6527)] = 319662,
  [SMALL_STATE(6528)] = 319718,
  [SMALL_STATE(6529)] = 319774,
  [SMALL_STATE(6530)] = 319830,
  [SMALL_STATE(6531)] = 319886,
  [SMALL_STATE(6532)] = 319942,
  [SMALL_STATE(6533)] = 319998,
  [SMALL_STATE(6534)] = 320054,
  [SMALL_STATE(6535)] = 320110,
  [SMALL_STATE(6536)] = 320166,
  [SMALL_STATE(6537)] = 320222,
  [SMALL_STATE(6538)] = 320278,
  [SMALL_STATE(6539)] = 320334,
  [SMALL_STATE(6540)] = 320390,
  [SMALL_STATE(6541)] = 320446,
  [SMALL_STATE(6542)] = 320502,
  [SMALL_STATE(6543)] = 320558,
  [SMALL_STATE(6544)] = 320614,
  [SMALL_STATE(6545)] = 320670,
  [SMALL_STATE(6546)] = 320726,
  [SMALL_STATE(6547)] = 320782,
  [SMALL_STATE(6548)] = 320838,
  [SMALL_STATE(6549)] = 320894,
  [SMALL_STATE(6550)] = 320950,
  [SMALL_STATE(6551)] = 321008,
  [SMALL_STATE(6552)] = 321064,
  [SMALL_STATE(6553)] = 321120,
  [SMALL_STATE(6554)] = 321176,
  [SMALL_STATE(6555)] = 321232,
  [SMALL_STATE(6556)] = 321288,
  [SMALL_STATE(6557)] = 321344,
  [SMALL_STATE(6558)] = 321400,
  [SMALL_STATE(6559)] = 321456,
  [SMALL_STATE(6560)] = 321512,
  [SMALL_STATE(6561)] = 321568,
  [SMALL_STATE(6562)] = 321624,
  [SMALL_STATE(6563)] = 321680,
  [SMALL_STATE(6564)] = 321736,
  [SMALL_STATE(6565)] = 321792,
  [SMALL_STATE(6566)] = 321848,
  [SMALL_STATE(6567)] = 321904,
  [SMALL_STATE(6568)] = 321962,
  [SMALL_STATE(6569)] = 322018,
  [SMALL_STATE(6570)] = 322074,
  [SMALL_STATE(6571)] = 322130,
  [SMALL_STATE(6572)] = 322186,
  [SMALL_STATE(6573)] = 322242,
  [SMALL_STATE(6574)] = 322298,
  [SMALL_STATE(6575)] = 322354,
  [SMALL_STATE(6576)] = 322410,
  [SMALL_STATE(6577)] = 322466,
  [SMALL_STATE(6578)] = 322522,
  [SMALL_STATE(6579)] = 322578,
  [SMALL_STATE(6580)] = 322634,
  [SMALL_STATE(6581)] = 322690,
  [SMALL_STATE(6582)] = 322746,
  [SMALL_STATE(6583)] = 322802,
  [SMALL_STATE(6584)] = 322857,
  [SMALL_STATE(6585)] = 322912,
  [SMALL_STATE(6586)] = 322967,
  [SMALL_STATE(6587)] = 323022,
  [SMALL_STATE(6588)] = 323077,
  [SMALL_STATE(6589)] = 323132,
  [SMALL_STATE(6590)] = 323187,
  [SMALL_STATE(6591)] = 323242,
  [SMALL_STATE(6592)] = 323297,
  [SMALL_STATE(6593)] = 323352,
  [SMALL_STATE(6594)] = 323407,
  [SMALL_STATE(6595)] = 323462,
  [SMALL_STATE(6596)] = 323517,
  [SMALL_STATE(6597)] = 323572,
  [SMALL_STATE(6598)] = 323627,
  [SMALL_STATE(6599)] = 323682,
  [SMALL_STATE(6600)] = 323737,
  [SMALL_STATE(6601)] = 323792,
  [SMALL_STATE(6602)] = 323847,
  [SMALL_STATE(6603)] = 323902,
  [SMALL_STATE(6604)] = 323957,
  [SMALL_STATE(6605)] = 324012,
  [SMALL_STATE(6606)] = 324067,
  [SMALL_STATE(6607)] = 324122,
  [SMALL_STATE(6608)] = 324177,
  [SMALL_STATE(6609)] = 324232,
  [SMALL_STATE(6610)] = 324293,
  [SMALL_STATE(6611)] = 324348,
  [SMALL_STATE(6612)] = 324403,
  [SMALL_STATE(6613)] = 324458,
  [SMALL_STATE(6614)] = 324513,
  [SMALL_STATE(6615)] = 324568,
  [SMALL_STATE(6616)] = 324623,
  [SMALL_STATE(6617)] = 324728,
  [SMALL_STATE(6618)] = 324783,
  [SMALL_STATE(6619)] = 324838,
  [SMALL_STATE(6620)] = 324893,
  [SMALL_STATE(6621)] = 324948,
  [SMALL_STATE(6622)] = 325053,
  [SMALL_STATE(6623)] = 325108,
  [SMALL_STATE(6624)] = 325213,
  [SMALL_STATE(6625)] = 325268,
  [SMALL_STATE(6626)] = 325323,
  [SMALL_STATE(6627)] = 325378,
  [SMALL_STATE(6628)] = 325433,
  [SMALL_STATE(6629)] = 325488,
  [SMALL_STATE(6630)] = 325543,
  [SMALL_STATE(6631)] = 325598,
  [SMALL_STATE(6632)] = 325659,
  [SMALL_STATE(6633)] = 325714,
  [SMALL_STATE(6634)] = 325769,
  [SMALL_STATE(6635)] = 325824,
  [SMALL_STATE(6636)] = 325879,
  [SMALL_STATE(6637)] = 325934,
  [SMALL_STATE(6638)] = 325989,
  [SMALL_STATE(6639)] = 326044,
  [SMALL_STATE(6640)] = 326099,
  [SMALL_STATE(6641)] = 326154,
  [SMALL_STATE(6642)] = 326209,
  [SMALL_STATE(6643)] = 326264,
  [SMALL_STATE(6644)] = 326319,
  [SMALL_STATE(6645)] = 326374,
  [SMALL_STATE(6646)] = 326429,
  [SMALL_STATE(6647)] = 326484,
  [SMALL_STATE(6648)] = 326539,
  [SMALL_STATE(6649)] = 326594,
  [SMALL_STATE(6650)] = 326649,
  [SMALL_STATE(6651)] = 326704,
  [SMALL_STATE(6652)] = 326759,
  [SMALL_STATE(6653)] = 326814,
  [SMALL_STATE(6654)] = 326869,
  [SMALL_STATE(6655)] = 326924,
  [SMALL_STATE(6656)] = 326981,
  [SMALL_STATE(6657)] = 327036,
  [SMALL_STATE(6658)] = 327091,
  [SMALL_STATE(6659)] = 327146,
  [SMALL_STATE(6660)] = 327201,
  [SMALL_STATE(6661)] = 327256,
  [SMALL_STATE(6662)] = 327311,
  [SMALL_STATE(6663)] = 327366,
  [SMALL_STATE(6664)] = 327421,
  [SMALL_STATE(6665)] = 327476,
  [SMALL_STATE(6666)] = 327531,
  [SMALL_STATE(6667)] = 327586,
  [SMALL_STATE(6668)] = 327641,
  [SMALL_STATE(6669)] = 327696,
  [SMALL_STATE(6670)] = 327751,
  [SMALL_STATE(6671)] = 327806,
  [SMALL_STATE(6672)] = 327861,
  [SMALL_STATE(6673)] = 327916,
  [SMALL_STATE(6674)] = 327971,
  [SMALL_STATE(6675)] = 328026,
  [SMALL_STATE(6676)] = 328081,
  [SMALL_STATE(6677)] = 328136,
  [SMALL_STATE(6678)] = 328191,
  [SMALL_STATE(6679)] = 328246,
  [SMALL_STATE(6680)] = 328301,
  [SMALL_STATE(6681)] = 328356,
  [SMALL_STATE(6682)] = 328411,
  [SMALL_STATE(6683)] = 328466,
  [SMALL_STATE(6684)] = 328527,
  [SMALL_STATE(6685)] = 328582,
  [SMALL_STATE(6686)] = 328637,
  [SMALL_STATE(6687)] = 328692,
  [SMALL_STATE(6688)] = 328747,
  [SMALL_STATE(6689)] = 328802,
  [SMALL_STATE(6690)] = 328857,
  [SMALL_STATE(6691)] = 328912,
  [SMALL_STATE(6692)] = 328969,
  [SMALL_STATE(6693)] = 329024,
  [SMALL_STATE(6694)] = 329079,
  [SMALL_STATE(6695)] = 329136,
  [SMALL_STATE(6696)] = 329191,
  [SMALL_STATE(6697)] = 329246,
  [SMALL_STATE(6698)] = 329301,
  [SMALL_STATE(6699)] = 329356,
  [SMALL_STATE(6700)] = 329411,
  [SMALL_STATE(6701)] = 329468,
  [SMALL_STATE(6702)] = 329523,
  [SMALL_STATE(6703)] = 329578,
  [SMALL_STATE(6704)] = 329633,
  [SMALL_STATE(6705)] = 329688,
  [SMALL_STATE(6706)] = 329743,
  [SMALL_STATE(6707)] = 329798,
  [SMALL_STATE(6708)] = 329853,
  [SMALL_STATE(6709)] = 329908,
  [SMALL_STATE(6710)] = 329963,
  [SMALL_STATE(6711)] = 330018,
  [SMALL_STATE(6712)] = 330073,
  [SMALL_STATE(6713)] = 330128,
  [SMALL_STATE(6714)] = 330183,
  [SMALL_STATE(6715)] = 330238,
  [SMALL_STATE(6716)] = 330293,
  [SMALL_STATE(6717)] = 330348,
  [SMALL_STATE(6718)] = 330403,
  [SMALL_STATE(6719)] = 330458,
  [SMALL_STATE(6720)] = 330513,
  [SMALL_STATE(6721)] = 330568,
  [SMALL_STATE(6722)] = 330623,
  [SMALL_STATE(6723)] = 330678,
  [SMALL_STATE(6724)] = 330733,
  [SMALL_STATE(6725)] = 330788,
  [SMALL_STATE(6726)] = 330843,
  [SMALL_STATE(6727)] = 330898,
  [SMALL_STATE(6728)] = 330953,
  [SMALL_STATE(6729)] = 331008,
  [SMALL_STATE(6730)] = 331063,
  [SMALL_STATE(6731)] = 331118,
  [SMALL_STATE(6732)] = 331173,
  [SMALL_STATE(6733)] = 331230,
  [SMALL_STATE(6734)] = 331285,
  [SMALL_STATE(6735)] = 331340,
  [SMALL_STATE(6736)] = 331395,
  [SMALL_STATE(6737)] = 331450,
  [SMALL_STATE(6738)] = 331505,
  [SMALL_STATE(6739)] = 331560,
  [SMALL_STATE(6740)] = 331615,
  [SMALL_STATE(6741)] = 331670,
  [SMALL_STATE(6742)] = 331725,
  [SMALL_STATE(6743)] = 331780,
  [SMALL_STATE(6744)] = 331835,
  [SMALL_STATE(6745)] = 331890,
  [SMALL_STATE(6746)] = 331945,
  [SMALL_STATE(6747)] = 332000,
  [SMALL_STATE(6748)] = 332061,
  [SMALL_STATE(6749)] = 332116,
  [SMALL_STATE(6750)] = 332171,
  [SMALL_STATE(6751)] = 332226,
  [SMALL_STATE(6752)] = 332281,
  [SMALL_STATE(6753)] = 332336,
  [SMALL_STATE(6754)] = 332391,
  [SMALL_STATE(6755)] = 332446,
  [SMALL_STATE(6756)] = 332551,
  [SMALL_STATE(6757)] = 332606,
  [SMALL_STATE(6758)] = 332661,
  [SMALL_STATE(6759)] = 332716,
  [SMALL_STATE(6760)] = 332771,
  [SMALL_STATE(6761)] = 332826,
  [SMALL_STATE(6762)] = 332881,
  [SMALL_STATE(6763)] = 332936,
  [SMALL_STATE(6764)] = 332991,
  [SMALL_STATE(6765)] = 333046,
  [SMALL_STATE(6766)] = 333101,
  [SMALL_STATE(6767)] = 333156,
  [SMALL_STATE(6768)] = 333211,
  [SMALL_STATE(6769)] = 333266,
  [SMALL_STATE(6770)] = 333321,
  [SMALL_STATE(6771)] = 333376,
  [SMALL_STATE(6772)] = 333481,
  [SMALL_STATE(6773)] = 333536,
  [SMALL_STATE(6774)] = 333593,
  [SMALL_STATE(6775)] = 333648,
  [SMALL_STATE(6776)] = 333703,
  [SMALL_STATE(6777)] = 333758,
  [SMALL_STATE(6778)] = 333815,
  [SMALL_STATE(6779)] = 333870,
  [SMALL_STATE(6780)] = 333925,
  [SMALL_STATE(6781)] = 333980,
  [SMALL_STATE(6782)] = 334035,
  [SMALL_STATE(6783)] = 334090,
  [SMALL_STATE(6784)] = 334145,
  [SMALL_STATE(6785)] = 334200,
  [SMALL_STATE(6786)] = 334255,
  [SMALL_STATE(6787)] = 334310,
  [SMALL_STATE(6788)] = 334365,
  [SMALL_STATE(6789)] = 334420,
  [SMALL_STATE(6790)] = 334475,
  [SMALL_STATE(6791)] = 334536,
  [SMALL_STATE(6792)] = 334591,
  [SMALL_STATE(6793)] = 334646,
  [SMALL_STATE(6794)] = 334701,
  [SMALL_STATE(6795)] = 334756,
  [SMALL_STATE(6796)] = 334811,
  [SMALL_STATE(6797)] = 334872,
  [SMALL_STATE(6798)] = 334927,
  [SMALL_STATE(6799)] = 334982,
  [SMALL_STATE(6800)] = 335037,
  [SMALL_STATE(6801)] = 335092,
  [SMALL_STATE(6802)] = 335147,
  [SMALL_STATE(6803)] = 335202,
  [SMALL_STATE(6804)] = 335257,
  [SMALL_STATE(6805)] = 335312,
  [SMALL_STATE(6806)] = 335367,
  [SMALL_STATE(6807)] = 335422,
  [SMALL_STATE(6808)] = 335477,
  [SMALL_STATE(6809)] = 335532,
  [SMALL_STATE(6810)] = 335587,
  [SMALL_STATE(6811)] = 335642,
  [SMALL_STATE(6812)] = 335697,
  [SMALL_STATE(6813)] = 335752,
  [SMALL_STATE(6814)] = 335807,
  [SMALL_STATE(6815)] = 335862,
  [SMALL_STATE(6816)] = 335919,
  [SMALL_STATE(6817)] = 335974,
  [SMALL_STATE(6818)] = 336029,
  [SMALL_STATE(6819)] = 336084,
  [SMALL_STATE(6820)] = 336139,
  [SMALL_STATE(6821)] = 336194,
  [SMALL_STATE(6822)] = 336251,
  [SMALL_STATE(6823)] = 336306,
  [SMALL_STATE(6824)] = 336361,
  [SMALL_STATE(6825)] = 336416,
  [SMALL_STATE(6826)] = 336471,
  [SMALL_STATE(6827)] = 336526,
  [SMALL_STATE(6828)] = 336581,
  [SMALL_STATE(6829)] = 336636,
  [SMALL_STATE(6830)] = 336693,
  [SMALL_STATE(6831)] = 336748,
  [SMALL_STATE(6832)] = 336803,
  [SMALL_STATE(6833)] = 336858,
  [SMALL_STATE(6834)] = 336913,
  [SMALL_STATE(6835)] = 336968,
  [SMALL_STATE(6836)] = 337023,
  [SMALL_STATE(6837)] = 337078,
  [SMALL_STATE(6838)] = 337135,
  [SMALL_STATE(6839)] = 337190,
  [SMALL_STATE(6840)] = 337245,
  [SMALL_STATE(6841)] = 337300,
  [SMALL_STATE(6842)] = 337355,
  [SMALL_STATE(6843)] = 337412,
  [SMALL_STATE(6844)] = 337467,
  [SMALL_STATE(6845)] = 337522,
  [SMALL_STATE(6846)] = 337577,
  [SMALL_STATE(6847)] = 337632,
  [SMALL_STATE(6848)] = 337687,
  [SMALL_STATE(6849)] = 337742,
  [SMALL_STATE(6850)] = 337797,
  [SMALL_STATE(6851)] = 337852,
  [SMALL_STATE(6852)] = 337909,
  [SMALL_STATE(6853)] = 337966,
  [SMALL_STATE(6854)] = 338021,
  [SMALL_STATE(6855)] = 338076,
  [SMALL_STATE(6856)] = 338131,
  [SMALL_STATE(6857)] = 338186,
  [SMALL_STATE(6858)] = 338241,
  [SMALL_STATE(6859)] = 338296,
  [SMALL_STATE(6860)] = 338351,
  [SMALL_STATE(6861)] = 338406,
  [SMALL_STATE(6862)] = 338461,
  [SMALL_STATE(6863)] = 338516,
  [SMALL_STATE(6864)] = 338571,
  [SMALL_STATE(6865)] = 338626,
  [SMALL_STATE(6866)] = 338681,
  [SMALL_STATE(6867)] = 338736,
  [SMALL_STATE(6868)] = 338791,
  [SMALL_STATE(6869)] = 338846,
  [SMALL_STATE(6870)] = 338901,
  [SMALL_STATE(6871)] = 338956,
  [SMALL_STATE(6872)] = 339011,
  [SMALL_STATE(6873)] = 339066,
  [SMALL_STATE(6874)] = 339121,
  [SMALL_STATE(6875)] = 339176,
  [SMALL_STATE(6876)] = 339231,
  [SMALL_STATE(6877)] = 339286,
  [SMALL_STATE(6878)] = 339341,
  [SMALL_STATE(6879)] = 339396,
  [SMALL_STATE(6880)] = 339451,
  [SMALL_STATE(6881)] = 339506,
  [SMALL_STATE(6882)] = 339561,
  [SMALL_STATE(6883)] = 339616,
  [SMALL_STATE(6884)] = 339671,
  [SMALL_STATE(6885)] = 339726,
  [SMALL_STATE(6886)] = 339781,
  [SMALL_STATE(6887)] = 339836,
  [SMALL_STATE(6888)] = 339891,
  [SMALL_STATE(6889)] = 339946,
  [SMALL_STATE(6890)] = 340001,
  [SMALL_STATE(6891)] = 340056,
  [SMALL_STATE(6892)] = 340113,
  [SMALL_STATE(6893)] = 340168,
  [SMALL_STATE(6894)] = 340225,
  [SMALL_STATE(6895)] = 340280,
  [SMALL_STATE(6896)] = 340337,
  [SMALL_STATE(6897)] = 340392,
  [SMALL_STATE(6898)] = 340447,
  [SMALL_STATE(6899)] = 340502,
  [SMALL_STATE(6900)] = 340557,
  [SMALL_STATE(6901)] = 340612,
  [SMALL_STATE(6902)] = 340667,
  [SMALL_STATE(6903)] = 340722,
  [SMALL_STATE(6904)] = 340777,
  [SMALL_STATE(6905)] = 340832,
  [SMALL_STATE(6906)] = 340887,
  [SMALL_STATE(6907)] = 340942,
  [SMALL_STATE(6908)] = 340997,
  [SMALL_STATE(6909)] = 341052,
  [SMALL_STATE(6910)] = 341107,
  [SMALL_STATE(6911)] = 341162,
  [SMALL_STATE(6912)] = 341219,
  [SMALL_STATE(6913)] = 341274,
  [SMALL_STATE(6914)] = 341331,
  [SMALL_STATE(6915)] = 341386,
  [SMALL_STATE(6916)] = 341441,
  [SMALL_STATE(6917)] = 341496,
  [SMALL_STATE(6918)] = 341551,
  [SMALL_STATE(6919)] = 341606,
  [SMALL_STATE(6920)] = 341661,
  [SMALL_STATE(6921)] = 341716,
  [SMALL_STATE(6922)] = 341771,
  [SMALL_STATE(6923)] = 341826,
  [SMALL_STATE(6924)] = 341881,
  [SMALL_STATE(6925)] = 341936,
  [SMALL_STATE(6926)] = 341991,
  [SMALL_STATE(6927)] = 342046,
  [SMALL_STATE(6928)] = 342101,
  [SMALL_STATE(6929)] = 342156,
  [SMALL_STATE(6930)] = 342211,
  [SMALL_STATE(6931)] = 342266,
  [SMALL_STATE(6932)] = 342321,
  [SMALL_STATE(6933)] = 342376,
  [SMALL_STATE(6934)] = 342431,
  [SMALL_STATE(6935)] = 342486,
  [SMALL_STATE(6936)] = 342541,
  [SMALL_STATE(6937)] = 342596,
  [SMALL_STATE(6938)] = 342651,
  [SMALL_STATE(6939)] = 342706,
  [SMALL_STATE(6940)] = 342761,
  [SMALL_STATE(6941)] = 342816,
  [SMALL_STATE(6942)] = 342871,
  [SMALL_STATE(6943)] = 342926,
  [SMALL_STATE(6944)] = 342981,
  [SMALL_STATE(6945)] = 343036,
  [SMALL_STATE(6946)] = 343091,
  [SMALL_STATE(6947)] = 343146,
  [SMALL_STATE(6948)] = 343201,
  [SMALL_STATE(6949)] = 343256,
  [SMALL_STATE(6950)] = 343311,
  [SMALL_STATE(6951)] = 343366,
  [SMALL_STATE(6952)] = 343421,
  [SMALL_STATE(6953)] = 343476,
  [SMALL_STATE(6954)] = 343531,
  [SMALL_STATE(6955)] = 343586,
  [SMALL_STATE(6956)] = 343641,
  [SMALL_STATE(6957)] = 343696,
  [SMALL_STATE(6958)] = 343751,
  [SMALL_STATE(6959)] = 343806,
  [SMALL_STATE(6960)] = 343861,
  [SMALL_STATE(6961)] = 343916,
  [SMALL_STATE(6962)] = 343971,
  [SMALL_STATE(6963)] = 344026,
  [SMALL_STATE(6964)] = 344087,
  [SMALL_STATE(6965)] = 344142,
  [SMALL_STATE(6966)] = 344197,
  [SMALL_STATE(6967)] = 344252,
  [SMALL_STATE(6968)] = 344307,
  [SMALL_STATE(6969)] = 344362,
  [SMALL_STATE(6970)] = 344417,
  [SMALL_STATE(6971)] = 344472,
  [SMALL_STATE(6972)] = 344527,
  [SMALL_STATE(6973)] = 344582,
  [SMALL_STATE(6974)] = 344639,
  [SMALL_STATE(6975)] = 344700,
  [SMALL_STATE(6976)] = 344755,
  [SMALL_STATE(6977)] = 344810,
  [SMALL_STATE(6978)] = 344871,
  [SMALL_STATE(6979)] = 344926,
  [SMALL_STATE(6980)] = 344987,
  [SMALL_STATE(6981)] = 345042,
  [SMALL_STATE(6982)] = 345097,
  [SMALL_STATE(6983)] = 345154,
  [SMALL_STATE(6984)] = 345209,
  [SMALL_STATE(6985)] = 345264,
  [SMALL_STATE(6986)] = 345319,
  [SMALL_STATE(6987)] = 345374,
  [SMALL_STATE(6988)] = 345429,
  [SMALL_STATE(6989)] = 345490,
  [SMALL_STATE(6990)] = 345545,
  [SMALL_STATE(6991)] = 345600,
  [SMALL_STATE(6992)] = 345655,
  [SMALL_STATE(6993)] = 345710,
  [SMALL_STATE(6994)] = 345765,
  [SMALL_STATE(6995)] = 345820,
  [SMALL_STATE(6996)] = 345875,
  [SMALL_STATE(6997)] = 345930,
  [SMALL_STATE(6998)] = 345985,
  [SMALL_STATE(6999)] = 346046,
  [SMALL_STATE(7000)] = 346101,
  [SMALL_STATE(7001)] = 346158,
  [SMALL_STATE(7002)] = 346213,
  [SMALL_STATE(7003)] = 346268,
  [SMALL_STATE(7004)] = 346373,
  [SMALL_STATE(7005)] = 346428,
  [SMALL_STATE(7006)] = 346483,
  [SMALL_STATE(7007)] = 346538,
  [SMALL_STATE(7008)] = 346593,
  [SMALL_STATE(7009)] = 346648,
  [SMALL_STATE(7010)] = 346703,
  [SMALL_STATE(7011)] = 346758,
  [SMALL_STATE(7012)] = 346813,
  [SMALL_STATE(7013)] = 346868,
  [SMALL_STATE(7014)] = 346923,
  [SMALL_STATE(7015)] = 346978,
  [SMALL_STATE(7016)] = 347033,
  [SMALL_STATE(7017)] = 347088,
  [SMALL_STATE(7018)] = 347145,
  [SMALL_STATE(7019)] = 347200,
  [SMALL_STATE(7020)] = 347255,
  [SMALL_STATE(7021)] = 347310,
  [SMALL_STATE(7022)] = 347365,
  [SMALL_STATE(7023)] = 347420,
  [SMALL_STATE(7024)] = 347475,
  [SMALL_STATE(7025)] = 347530,
  [SMALL_STATE(7026)] = 347635,
  [SMALL_STATE(7027)] = 347690,
  [SMALL_STATE(7028)] = 347745,
  [SMALL_STATE(7029)] = 347802,
  [SMALL_STATE(7030)] = 347857,
  [SMALL_STATE(7031)] = 347912,
  [SMALL_STATE(7032)] = 347967,
  [SMALL_STATE(7033)] = 348022,
  [SMALL_STATE(7034)] = 348077,
  [SMALL_STATE(7035)] = 348132,
  [SMALL_STATE(7036)] = 348189,
  [SMALL_STATE(7037)] = 348294,
  [SMALL_STATE(7038)] = 348349,
  [SMALL_STATE(7039)] = 348404,
  [SMALL_STATE(7040)] = 348459,
  [SMALL_STATE(7041)] = 348514,
  [SMALL_STATE(7042)] = 348569,
  [SMALL_STATE(7043)] = 348626,
  [SMALL_STATE(7044)] = 348681,
  [SMALL_STATE(7045)] = 348736,
  [SMALL_STATE(7046)] = 348793,
  [SMALL_STATE(7047)] = 348848,
  [SMALL_STATE(7048)] = 348903,
  [SMALL_STATE(7049)] = 348960,
  [SMALL_STATE(7050)] = 349015,
  [SMALL_STATE(7051)] = 349070,
  [SMALL_STATE(7052)] = 349125,
  [SMALL_STATE(7053)] = 349180,
  [SMALL_STATE(7054)] = 349235,
  [SMALL_STATE(7055)] = 349290,
  [SMALL_STATE(7056)] = 349345,
  [SMALL_STATE(7057)] = 349400,
  [SMALL_STATE(7058)] = 349455,
  [SMALL_STATE(7059)] = 349510,
  [SMALL_STATE(7060)] = 349565,
  [SMALL_STATE(7061)] = 349620,
  [SMALL_STATE(7062)] = 349675,
  [SMALL_STATE(7063)] = 349730,
  [SMALL_STATE(7064)] = 349785,
  [SMALL_STATE(7065)] = 349840,
  [SMALL_STATE(7066)] = 349895,
  [SMALL_STATE(7067)] = 349950,
  [SMALL_STATE(7068)] = 350011,
  [SMALL_STATE(7069)] = 350066,
  [SMALL_STATE(7070)] = 350121,
  [SMALL_STATE(7071)] = 350176,
  [SMALL_STATE(7072)] = 350231,
  [SMALL_STATE(7073)] = 350286,
  [SMALL_STATE(7074)] = 350341,
  [SMALL_STATE(7075)] = 350402,
  [SMALL_STATE(7076)] = 350457,
  [SMALL_STATE(7077)] = 350512,
  [SMALL_STATE(7078)] = 350567,
  [SMALL_STATE(7079)] = 350622,
  [SMALL_STATE(7080)] = 350677,
  [SMALL_STATE(7081)] = 350732,
  [SMALL_STATE(7082)] = 350787,
  [SMALL_STATE(7083)] = 350842,
  [SMALL_STATE(7084)] = 350897,
  [SMALL_STATE(7085)] = 350952,
  [SMALL_STATE(7086)] = 351007,
  [SMALL_STATE(7087)] = 351062,
  [SMALL_STATE(7088)] = 351117,
  [SMALL_STATE(7089)] = 351172,
  [SMALL_STATE(7090)] = 351227,
  [SMALL_STATE(7091)] = 351282,
  [SMALL_STATE(7092)] = 351337,
  [SMALL_STATE(7093)] = 351392,
  [SMALL_STATE(7094)] = 351449,
  [SMALL_STATE(7095)] = 351504,
  [SMALL_STATE(7096)] = 351559,
  [SMALL_STATE(7097)] = 351616,
  [SMALL_STATE(7098)] = 351671,
  [SMALL_STATE(7099)] = 351726,
  [SMALL_STATE(7100)] = 351781,
  [SMALL_STATE(7101)] = 351836,
  [SMALL_STATE(7102)] = 351891,
  [SMALL_STATE(7103)] = 351946,
  [SMALL_STATE(7104)] = 352001,
  [SMALL_STATE(7105)] = 352056,
  [SMALL_STATE(7106)] = 352111,
  [SMALL_STATE(7107)] = 352166,
  [SMALL_STATE(7108)] = 352221,
  [SMALL_STATE(7109)] = 352276,
  [SMALL_STATE(7110)] = 352331,
  [SMALL_STATE(7111)] = 352386,
  [SMALL_STATE(7112)] = 352441,
  [SMALL_STATE(7113)] = 352496,
  [SMALL_STATE(7114)] = 352551,
  [SMALL_STATE(7115)] = 352606,
  [SMALL_STATE(7116)] = 352661,
  [SMALL_STATE(7117)] = 352716,
  [SMALL_STATE(7118)] = 352771,
  [SMALL_STATE(7119)] = 352826,
  [SMALL_STATE(7120)] = 352881,
  [SMALL_STATE(7121)] = 352936,
  [SMALL_STATE(7122)] = 352991,
  [SMALL_STATE(7123)] = 353046,
  [SMALL_STATE(7124)] = 353101,
  [SMALL_STATE(7125)] = 353156,
  [SMALL_STATE(7126)] = 353211,
  [SMALL_STATE(7127)] = 353266,
  [SMALL_STATE(7128)] = 353321,
  [SMALL_STATE(7129)] = 353376,
  [SMALL_STATE(7130)] = 353430,
  [SMALL_STATE(7131)] = 353486,
  [SMALL_STATE(7132)] = 353540,
  [SMALL_STATE(7133)] = 353594,
  [SMALL_STATE(7134)] = 353648,
  [SMALL_STATE(7135)] = 353702,
  [SMALL_STATE(7136)] = 353758,
  [SMALL_STATE(7137)] = 353812,
  [SMALL_STATE(7138)] = 353866,
  [SMALL_STATE(7139)] = 353920,
  [SMALL_STATE(7140)] = 353974,
  [SMALL_STATE(7141)] = 354028,
  [SMALL_STATE(7142)] = 354084,
  [SMALL_STATE(7143)] = 354138,
  [SMALL_STATE(7144)] = 354194,
  [SMALL_STATE(7145)] = 354248,
  [SMALL_STATE(7146)] = 354302,
  [SMALL_STATE(7147)] = 354356,
  [SMALL_STATE(7148)] = 354410,
  [SMALL_STATE(7149)] = 354466,
  [SMALL_STATE(7150)] = 354520,
  [SMALL_STATE(7151)] = 354574,
  [SMALL_STATE(7152)] = 354634,
  [SMALL_STATE(7153)] = 354694,
  [SMALL_STATE(7154)] = 354748,
  [SMALL_STATE(7155)] = 354802,
  [SMALL_STATE(7156)] = 354856,
  [SMALL_STATE(7157)] = 354910,
  [SMALL_STATE(7158)] = 354964,
  [SMALL_STATE(7159)] = 355018,
  [SMALL_STATE(7160)] = 355072,
  [SMALL_STATE(7161)] = 355126,
  [SMALL_STATE(7162)] = 355180,
  [SMALL_STATE(7163)] = 355234,
  [SMALL_STATE(7164)] = 355288,
  [SMALL_STATE(7165)] = 355342,
  [SMALL_STATE(7166)] = 355396,
  [SMALL_STATE(7167)] = 355450,
  [SMALL_STATE(7168)] = 355504,
  [SMALL_STATE(7169)] = 355558,
  [SMALL_STATE(7170)] = 355612,
  [SMALL_STATE(7171)] = 355666,
  [SMALL_STATE(7172)] = 355720,
  [SMALL_STATE(7173)] = 355774,
  [SMALL_STATE(7174)] = 355828,
  [SMALL_STATE(7175)] = 355882,
  [SMALL_STATE(7176)] = 355936,
  [SMALL_STATE(7177)] = 355990,
  [SMALL_STATE(7178)] = 356044,
  [SMALL_STATE(7179)] = 356098,
  [SMALL_STATE(7180)] = 356154,
  [SMALL_STATE(7181)] = 356208,
  [SMALL_STATE(7182)] = 356262,
  [SMALL_STATE(7183)] = 356316,
  [SMALL_STATE(7184)] = 356370,
  [SMALL_STATE(7185)] = 356424,
  [SMALL_STATE(7186)] = 356478,
  [SMALL_STATE(7187)] = 356532,
  [SMALL_STATE(7188)] = 356586,
  [SMALL_STATE(7189)] = 356640,
  [SMALL_STATE(7190)] = 356694,
  [SMALL_STATE(7191)] = 356748,
  [SMALL_STATE(7192)] = 356802,
  [SMALL_STATE(7193)] = 356856,
  [SMALL_STATE(7194)] = 356910,
  [SMALL_STATE(7195)] = 356964,
  [SMALL_STATE(7196)] = 357018,
  [SMALL_STATE(7197)] = 357074,
  [SMALL_STATE(7198)] = 357128,
  [SMALL_STATE(7199)] = 357182,
  [SMALL_STATE(7200)] = 357236,
  [SMALL_STATE(7201)] = 357292,
  [SMALL_STATE(7202)] = 357346,
  [SMALL_STATE(7203)] = 357400,
  [SMALL_STATE(7204)] = 357454,
  [SMALL_STATE(7205)] = 357510,
  [SMALL_STATE(7206)] = 357564,
  [SMALL_STATE(7207)] = 357620,
  [SMALL_STATE(7208)] = 357674,
  [SMALL_STATE(7209)] = 357728,
  [SMALL_STATE(7210)] = 357782,
  [SMALL_STATE(7211)] = 357836,
  [SMALL_STATE(7212)] = 357890,
  [SMALL_STATE(7213)] = 357944,
  [SMALL_STATE(7214)] = 357998,
  [SMALL_STATE(7215)] = 358052,
  [SMALL_STATE(7216)] = 358106,
  [SMALL_STATE(7217)] = 358160,
  [SMALL_STATE(7218)] = 358214,
  [SMALL_STATE(7219)] = 358268,
  [SMALL_STATE(7220)] = 358322,
  [SMALL_STATE(7221)] = 358376,
  [SMALL_STATE(7222)] = 358430,
  [SMALL_STATE(7223)] = 358484,
  [SMALL_STATE(7224)] = 358540,
  [SMALL_STATE(7225)] = 358596,
  [SMALL_STATE(7226)] = 358650,
  [SMALL_STATE(7227)] = 358704,
  [SMALL_STATE(7228)] = 358758,
  [SMALL_STATE(7229)] = 358812,
  [SMALL_STATE(7230)] = 358866,
  [SMALL_STATE(7231)] = 358920,
  [SMALL_STATE(7232)] = 358974,
  [SMALL_STATE(7233)] = 359028,
  [SMALL_STATE(7234)] = 359082,
  [SMALL_STATE(7235)] = 359136,
  [SMALL_STATE(7236)] = 359190,
  [SMALL_STATE(7237)] = 359244,
  [SMALL_STATE(7238)] = 359298,
  [SMALL_STATE(7239)] = 359352,
  [SMALL_STATE(7240)] = 359406,
  [SMALL_STATE(7241)] = 359460,
  [SMALL_STATE(7242)] = 359514,
  [SMALL_STATE(7243)] = 359568,
  [SMALL_STATE(7244)] = 359622,
  [SMALL_STATE(7245)] = 359676,
  [SMALL_STATE(7246)] = 359730,
  [SMALL_STATE(7247)] = 359784,
  [SMALL_STATE(7248)] = 359838,
  [SMALL_STATE(7249)] = 359892,
  [SMALL_STATE(7250)] = 359946,
  [SMALL_STATE(7251)] = 360000,
  [SMALL_STATE(7252)] = 360056,
  [SMALL_STATE(7253)] = 360110,
  [SMALL_STATE(7254)] = 360164,
  [SMALL_STATE(7255)] = 360218,
  [SMALL_STATE(7256)] = 360272,
  [SMALL_STATE(7257)] = 360326,
  [SMALL_STATE(7258)] = 360380,
  [SMALL_STATE(7259)] = 360434,
  [SMALL_STATE(7260)] = 360488,
  [SMALL_STATE(7261)] = 360542,
  [SMALL_STATE(7262)] = 360596,
  [SMALL_STATE(7263)] = 360650,
  [SMALL_STATE(7264)] = 360706,
  [SMALL_STATE(7265)] = 360760,
  [SMALL_STATE(7266)] = 360814,
  [SMALL_STATE(7267)] = 360868,
  [SMALL_STATE(7268)] = 360922,
  [SMALL_STATE(7269)] = 360976,
  [SMALL_STATE(7270)] = 361030,
  [SMALL_STATE(7271)] = 361084,
  [SMALL_STATE(7272)] = 361138,
  [SMALL_STATE(7273)] = 361192,
  [SMALL_STATE(7274)] = 361246,
  [SMALL_STATE(7275)] = 361300,
  [SMALL_STATE(7276)] = 361354,
  [SMALL_STATE(7277)] = 361408,
  [SMALL_STATE(7278)] = 361464,
  [SMALL_STATE(7279)] = 361518,
  [SMALL_STATE(7280)] = 361572,
  [SMALL_STATE(7281)] = 361626,
  [SMALL_STATE(7282)] = 361680,
  [SMALL_STATE(7283)] = 361734,
  [SMALL_STATE(7284)] = 361788,
  [SMALL_STATE(7285)] = 361842,
  [SMALL_STATE(7286)] = 361896,
  [SMALL_STATE(7287)] = 361950,
  [SMALL_STATE(7288)] = 362004,
  [SMALL_STATE(7289)] = 362058,
  [SMALL_STATE(7290)] = 362112,
  [SMALL_STATE(7291)] = 362166,
  [SMALL_STATE(7292)] = 362220,
  [SMALL_STATE(7293)] = 362274,
  [SMALL_STATE(7294)] = 362334,
  [SMALL_STATE(7295)] = 362388,
  [SMALL_STATE(7296)] = 362442,
  [SMALL_STATE(7297)] = 362502,
  [SMALL_STATE(7298)] = 362556,
  [SMALL_STATE(7299)] = 362610,
  [SMALL_STATE(7300)] = 362664,
  [SMALL_STATE(7301)] = 362718,
  [SMALL_STATE(7302)] = 362772,
  [SMALL_STATE(7303)] = 362826,
  [SMALL_STATE(7304)] = 362880,
  [SMALL_STATE(7305)] = 362934,
  [SMALL_STATE(7306)] = 362988,
  [SMALL_STATE(7307)] = 363042,
  [SMALL_STATE(7308)] = 363096,
  [SMALL_STATE(7309)] = 363150,
  [SMALL_STATE(7310)] = 363204,
  [SMALL_STATE(7311)] = 363258,
  [SMALL_STATE(7312)] = 363312,
  [SMALL_STATE(7313)] = 363366,
  [SMALL_STATE(7314)] = 363420,
  [SMALL_STATE(7315)] = 363474,
  [SMALL_STATE(7316)] = 363528,
  [SMALL_STATE(7317)] = 363582,
  [SMALL_STATE(7318)] = 363635,
  [SMALL_STATE(7319)] = 363688,
  [SMALL_STATE(7320)] = 363741,
  [SMALL_STATE(7321)] = 363794,
  [SMALL_STATE(7322)] = 363847,
  [SMALL_STATE(7323)] = 363900,
  [SMALL_STATE(7324)] = 363953,
  [SMALL_STATE(7325)] = 364006,
  [SMALL_STATE(7326)] = 364059,
  [SMALL_STATE(7327)] = 364112,
  [SMALL_STATE(7328)] = 364165,
  [SMALL_STATE(7329)] = 364218,
  [SMALL_STATE(7330)] = 364273,
  [SMALL_STATE(7331)] = 364326,
  [SMALL_STATE(7332)] = 364379,
  [SMALL_STATE(7333)] = 364432,
  [SMALL_STATE(7334)] = 364485,
  [SMALL_STATE(7335)] = 364544,
  [SMALL_STATE(7336)] = 364597,
  [SMALL_STATE(7337)] = 364650,
  [SMALL_STATE(7338)] = 364709,
  [SMALL_STATE(7339)] = 364762,
  [SMALL_STATE(7340)] = 364815,
  [SMALL_STATE(7341)] = 364868,
  [SMALL_STATE(7342)] = 364921,
  [SMALL_STATE(7343)] = 364974,
  [SMALL_STATE(7344)] = 365027,
  [SMALL_STATE(7345)] = 365080,
  [SMALL_STATE(7346)] = 365133,
  [SMALL_STATE(7347)] = 365186,
  [SMALL_STATE(7348)] = 365239,
  [SMALL_STATE(7349)] = 365292,
  [SMALL_STATE(7350)] = 365345,
  [SMALL_STATE(7351)] = 365398,
  [SMALL_STATE(7352)] = 365451,
  [SMALL_STATE(7353)] = 365504,
  [SMALL_STATE(7354)] = 365557,
  [SMALL_STATE(7355)] = 365610,
  [SMALL_STATE(7356)] = 365663,
  [SMALL_STATE(7357)] = 365716,
  [SMALL_STATE(7358)] = 365769,
  [SMALL_STATE(7359)] = 365822,
  [SMALL_STATE(7360)] = 365875,
  [SMALL_STATE(7361)] = 365928,
  [SMALL_STATE(7362)] = 365981,
  [SMALL_STATE(7363)] = 366034,
  [SMALL_STATE(7364)] = 366087,
  [SMALL_STATE(7365)] = 366142,
  [SMALL_STATE(7366)] = 366195,
  [SMALL_STATE(7367)] = 366248,
  [SMALL_STATE(7368)] = 366307,
  [SMALL_STATE(7369)] = 366360,
  [SMALL_STATE(7370)] = 366413,
  [SMALL_STATE(7371)] = 366466,
  [SMALL_STATE(7372)] = 366519,
  [SMALL_STATE(7373)] = 366572,
  [SMALL_STATE(7374)] = 366625,
  [SMALL_STATE(7375)] = 366678,
  [SMALL_STATE(7376)] = 366737,
  [SMALL_STATE(7377)] = 366790,
  [SMALL_STATE(7378)] = 366843,
  [SMALL_STATE(7379)] = 366896,
  [SMALL_STATE(7380)] = 366951,
  [SMALL_STATE(7381)] = 367004,
  [SMALL_STATE(7382)] = 367057,
  [SMALL_STATE(7383)] = 367110,
  [SMALL_STATE(7384)] = 367163,
  [SMALL_STATE(7385)] = 367216,
  [SMALL_STATE(7386)] = 367269,
  [SMALL_STATE(7387)] = 367322,
  [SMALL_STATE(7388)] = 367375,
  [SMALL_STATE(7389)] = 367428,
  [SMALL_STATE(7390)] = 367481,
  [SMALL_STATE(7391)] = 367534,
  [SMALL_STATE(7392)] = 367587,
  [SMALL_STATE(7393)] = 367640,
  [SMALL_STATE(7394)] = 367693,
  [SMALL_STATE(7395)] = 367748,
  [SMALL_STATE(7396)] = 367801,
  [SMALL_STATE(7397)] = 367854,
  [SMALL_STATE(7398)] = 367907,
  [SMALL_STATE(7399)] = 367960,
  [SMALL_STATE(7400)] = 368013,
  [SMALL_STATE(7401)] = 368066,
  [SMALL_STATE(7402)] = 368121,
  [SMALL_STATE(7403)] = 368174,
  [SMALL_STATE(7404)] = 368227,
  [SMALL_STATE(7405)] = 368280,
  [SMALL_STATE(7406)] = 368333,
  [SMALL_STATE(7407)] = 368386,
  [SMALL_STATE(7408)] = 368439,
  [SMALL_STATE(7409)] = 368492,
  [SMALL_STATE(7410)] = 368545,
  [SMALL_STATE(7411)] = 368598,
  [SMALL_STATE(7412)] = 368651,
  [SMALL_STATE(7413)] = 368704,
  [SMALL_STATE(7414)] = 368757,
  [SMALL_STATE(7415)] = 368810,
  [SMALL_STATE(7416)] = 368863,
  [SMALL_STATE(7417)] = 368916,
  [SMALL_STATE(7418)] = 368969,
  [SMALL_STATE(7419)] = 369022,
  [SMALL_STATE(7420)] = 369075,
  [SMALL_STATE(7421)] = 369128,
  [SMALL_STATE(7422)] = 369181,
  [SMALL_STATE(7423)] = 369234,
  [SMALL_STATE(7424)] = 369287,
  [SMALL_STATE(7425)] = 369340,
  [SMALL_STATE(7426)] = 369393,
  [SMALL_STATE(7427)] = 369446,
  [SMALL_STATE(7428)] = 369499,
  [SMALL_STATE(7429)] = 369552,
  [SMALL_STATE(7430)] = 369605,
  [SMALL_STATE(7431)] = 369658,
  [SMALL_STATE(7432)] = 369711,
  [SMALL_STATE(7433)] = 369764,
  [SMALL_STATE(7434)] = 369817,
  [SMALL_STATE(7435)] = 369870,
  [SMALL_STATE(7436)] = 369923,
  [SMALL_STATE(7437)] = 369976,
  [SMALL_STATE(7438)] = 370029,
  [SMALL_STATE(7439)] = 370082,
  [SMALL_STATE(7440)] = 370135,
  [SMALL_STATE(7441)] = 370188,
  [SMALL_STATE(7442)] = 370241,
  [SMALL_STATE(7443)] = 370296,
  [SMALL_STATE(7444)] = 370349,
  [SMALL_STATE(7445)] = 370402,
  [SMALL_STATE(7446)] = 370455,
  [SMALL_STATE(7447)] = 370508,
  [SMALL_STATE(7448)] = 370561,
  [SMALL_STATE(7449)] = 370614,
  [SMALL_STATE(7450)] = 370667,
  [SMALL_STATE(7451)] = 370722,
  [SMALL_STATE(7452)] = 370775,
  [SMALL_STATE(7453)] = 370828,
  [SMALL_STATE(7454)] = 370881,
  [SMALL_STATE(7455)] = 370934,
  [SMALL_STATE(7456)] = 370987,
  [SMALL_STATE(7457)] = 371040,
  [SMALL_STATE(7458)] = 371093,
  [SMALL_STATE(7459)] = 371146,
  [SMALL_STATE(7460)] = 371199,
  [SMALL_STATE(7461)] = 371252,
  [SMALL_STATE(7462)] = 371305,
  [SMALL_STATE(7463)] = 371358,
  [SMALL_STATE(7464)] = 371411,
  [SMALL_STATE(7465)] = 371464,
  [SMALL_STATE(7466)] = 371517,
  [SMALL_STATE(7467)] = 371570,
  [SMALL_STATE(7468)] = 371623,
  [SMALL_STATE(7469)] = 371676,
  [SMALL_STATE(7470)] = 371729,
  [SMALL_STATE(7471)] = 371782,
  [SMALL_STATE(7472)] = 371835,
  [SMALL_STATE(7473)] = 371888,
  [SMALL_STATE(7474)] = 371941,
  [SMALL_STATE(7475)] = 371996,
  [SMALL_STATE(7476)] = 372055,
  [SMALL_STATE(7477)] = 372108,
  [SMALL_STATE(7478)] = 372161,
  [SMALL_STATE(7479)] = 372214,
  [SMALL_STATE(7480)] = 372267,
  [SMALL_STATE(7481)] = 372322,
  [SMALL_STATE(7482)] = 372375,
  [SMALL_STATE(7483)] = 372428,
  [SMALL_STATE(7484)] = 372487,
  [SMALL_STATE(7485)] = 372540,
  [SMALL_STATE(7486)] = 372593,
  [SMALL_STATE(7487)] = 372646,
  [SMALL_STATE(7488)] = 372699,
  [SMALL_STATE(7489)] = 372752,
  [SMALL_STATE(7490)] = 372805,
  [SMALL_STATE(7491)] = 372858,
  [SMALL_STATE(7492)] = 372911,
  [SMALL_STATE(7493)] = 372964,
  [SMALL_STATE(7494)] = 373017,
  [SMALL_STATE(7495)] = 373070,
  [SMALL_STATE(7496)] = 373123,
  [SMALL_STATE(7497)] = 373176,
  [SMALL_STATE(7498)] = 373229,
  [SMALL_STATE(7499)] = 373282,
  [SMALL_STATE(7500)] = 373335,
  [SMALL_STATE(7501)] = 373388,
  [SMALL_STATE(7502)] = 373441,
  [SMALL_STATE(7503)] = 373494,
  [SMALL_STATE(7504)] = 373547,
  [SMALL_STATE(7505)] = 373600,
  [SMALL_STATE(7506)] = 373653,
  [SMALL_STATE(7507)] = 373706,
  [SMALL_STATE(7508)] = 373759,
  [SMALL_STATE(7509)] = 373812,
  [SMALL_STATE(7510)] = 373865,
  [SMALL_STATE(7511)] = 373918,
  [SMALL_STATE(7512)] = 373971,
  [SMALL_STATE(7513)] = 374024,
  [SMALL_STATE(7514)] = 374077,
  [SMALL_STATE(7515)] = 374130,
  [SMALL_STATE(7516)] = 374183,
  [SMALL_STATE(7517)] = 374236,
  [SMALL_STATE(7518)] = 374289,
  [SMALL_STATE(7519)] = 374342,
  [SMALL_STATE(7520)] = 374395,
  [SMALL_STATE(7521)] = 374448,
  [SMALL_STATE(7522)] = 374507,
  [SMALL_STATE(7523)] = 374566,
  [SMALL_STATE(7524)] = 374619,
  [SMALL_STATE(7525)] = 374672,
  [SMALL_STATE(7526)] = 374725,
  [SMALL_STATE(7527)] = 374778,
  [SMALL_STATE(7528)] = 374831,
  [SMALL_STATE(7529)] = 374886,
  [SMALL_STATE(7530)] = 374939,
  [SMALL_STATE(7531)] = 374994,
  [SMALL_STATE(7532)] = 375047,
  [SMALL_STATE(7533)] = 375100,
  [SMALL_STATE(7534)] = 375153,
  [SMALL_STATE(7535)] = 375206,
  [SMALL_STATE(7536)] = 375259,
  [SMALL_STATE(7537)] = 375312,
  [SMALL_STATE(7538)] = 375365,
  [SMALL_STATE(7539)] = 375418,
  [SMALL_STATE(7540)] = 375471,
  [SMALL_STATE(7541)] = 375524,
  [SMALL_STATE(7542)] = 375577,
  [SMALL_STATE(7543)] = 375630,
  [SMALL_STATE(7544)] = 375683,
  [SMALL_STATE(7545)] = 375736,
  [SMALL_STATE(7546)] = 375789,
  [SMALL_STATE(7547)] = 375842,
  [SMALL_STATE(7548)] = 375895,
  [SMALL_STATE(7549)] = 375948,
  [SMALL_STATE(7550)] = 376001,
  [SMALL_STATE(7551)] = 376054,
  [SMALL_STATE(7552)] = 376107,
  [SMALL_STATE(7553)] = 376160,
  [SMALL_STATE(7554)] = 376213,
  [SMALL_STATE(7555)] = 376266,
  [SMALL_STATE(7556)] = 376319,
  [SMALL_STATE(7557)] = 376372,
  [SMALL_STATE(7558)] = 376425,
  [SMALL_STATE(7559)] = 376478,
  [SMALL_STATE(7560)] = 376531,
  [SMALL_STATE(7561)] = 376584,
  [SMALL_STATE(7562)] = 376637,
  [SMALL_STATE(7563)] = 376690,
  [SMALL_STATE(7564)] = 376743,
  [SMALL_STATE(7565)] = 376796,
  [SMALL_STATE(7566)] = 376850,
  [SMALL_STATE(7567)] = 376902,
  [SMALL_STATE(7568)] = 377002,
  [SMALL_STATE(7569)] = 377054,
  [SMALL_STATE(7570)] = 377154,
  [SMALL_STATE(7571)] = 377254,
  [SMALL_STATE(7572)] = 377354,
  [SMALL_STATE(7573)] = 377408,
  [SMALL_STATE(7574)] = 377508,
  [SMALL_STATE(7575)] = 377608,
  [SMALL_STATE(7576)] = 377708,
  [SMALL_STATE(7577)] = 377760,
  [SMALL_STATE(7578)] = 377812,
  [SMALL_STATE(7579)] = 377912,
  [SMALL_STATE(7580)] = 377964,
  [SMALL_STATE(7581)] = 378016,
  [SMALL_STATE(7582)] = 378116,
  [SMALL_STATE(7583)] = 378216,
  [SMALL_STATE(7584)] = 378268,
  [SMALL_STATE(7585)] = 378320,
  [SMALL_STATE(7586)] = 378372,
  [SMALL_STATE(7587)] = 378472,
  [SMALL_STATE(7588)] = 378524,
  [SMALL_STATE(7589)] = 378576,
  [SMALL_STATE(7590)] = 378676,
  [SMALL_STATE(7591)] = 378730,
  [SMALL_STATE(7592)] = 378782,
  [SMALL_STATE(7593)] = 378834,
  [SMALL_STATE(7594)] = 378886,
  [SMALL_STATE(7595)] = 378986,
  [SMALL_STATE(7596)] = 379086,
  [SMALL_STATE(7597)] = 379140,
  [SMALL_STATE(7598)] = 379240,
  [SMALL_STATE(7599)] = 379340,
  [SMALL_STATE(7600)] = 379392,
  [SMALL_STATE(7601)] = 379446,
  [SMALL_STATE(7602)] = 379498,
  [SMALL_STATE(7603)] = 379598,
  [SMALL_STATE(7604)] = 379650,
  [SMALL_STATE(7605)] = 379702,
  [SMALL_STATE(7606)] = 379754,
  [SMALL_STATE(7607)] = 379806,
  [SMALL_STATE(7608)] = 379906,
  [SMALL_STATE(7609)] = 380006,
  [SMALL_STATE(7610)] = 380058,
  [SMALL_STATE(7611)] = 380110,
  [SMALL_STATE(7612)] = 380162,
  [SMALL_STATE(7613)] = 380262,
  [SMALL_STATE(7614)] = 380314,
  [SMALL_STATE(7615)] = 380368,
  [SMALL_STATE(7616)] = 380468,
  [SMALL_STATE(7617)] = 380568,
  [SMALL_STATE(7618)] = 380668,
  [SMALL_STATE(7619)] = 380768,
  [SMALL_STATE(7620)] = 380868,
  [SMALL_STATE(7621)] = 380968,
  [SMALL_STATE(7622)] = 381061,
  [SMALL_STATE(7623)] = 381114,
  [SMALL_STATE(7624)] = 381165,
  [SMALL_STATE(7625)] = 381262,
  [SMALL_STATE(7626)] = 381359,
  [SMALL_STATE(7627)] = 381410,
  [SMALL_STATE(7628)] = 381461,
  [SMALL_STATE(7629)] = 381514,
  [SMALL_STATE(7630)] = 381565,
  [SMALL_STATE(7631)] = 381662,
  [SMALL_STATE(7632)] = 381713,
  [SMALL_STATE(7633)] = 381810,
  [SMALL_STATE(7634)] = 381907,
  [SMALL_STATE(7635)] = 382004,
  [SMALL_STATE(7636)] = 382055,
  [SMALL_STATE(7637)] = 382106,
  [SMALL_STATE(7638)] = 382157,
  [SMALL_STATE(7639)] = 382208,
  [SMALL_STATE(7640)] = 382259,
  [SMALL_STATE(7641)] = 382310,
  [SMALL_STATE(7642)] = 382407,
  [SMALL_STATE(7643)] = 382458,
  [SMALL_STATE(7644)] = 382555,
  [SMALL_STATE(7645)] = 382652,
  [SMALL_STATE(7646)] = 382745,
  [SMALL_STATE(7647)] = 382842,
  [SMALL_STATE(7648)] = 382939,
  [SMALL_STATE(7649)] = 383036,
  [SMALL_STATE(7650)] = 383133,
  [SMALL_STATE(7651)] = 383184,
  [SMALL_STATE(7652)] = 383235,
  [SMALL_STATE(7653)] = 383286,
  [SMALL_STATE(7654)] = 383337,
  [SMALL_STATE(7655)] = 383388,
  [SMALL_STATE(7656)] = 383485,
  [SMALL_STATE(7657)] = 383582,
  [SMALL_STATE(7658)] = 383675,
  [SMALL_STATE(7659)] = 383726,
  [SMALL_STATE(7660)] = 383823,
  [SMALL_STATE(7661)] = 383920,
  [SMALL_STATE(7662)] = 384017,
  [SMALL_STATE(7663)] = 384068,
  [SMALL_STATE(7664)] = 384119,
  [SMALL_STATE(7665)] = 384172,
  [SMALL_STATE(7666)] = 384223,
  [SMALL_STATE(7667)] = 384274,
  [SMALL_STATE(7668)] = 384325,
  [SMALL_STATE(7669)] = 384422,
  [SMALL_STATE(7670)] = 384519,
  [SMALL_STATE(7671)] = 384616,
  [SMALL_STATE(7672)] = 384713,
  [SMALL_STATE(7673)] = 384764,
  [SMALL_STATE(7674)] = 384815,
  [SMALL_STATE(7675)] = 384866,
  [SMALL_STATE(7676)] = 384917,
  [SMALL_STATE(7677)] = 385014,
  [SMALL_STATE(7678)] = 385111,
  [SMALL_STATE(7679)] = 385162,
  [SMALL_STATE(7680)] = 385213,
  [SMALL_STATE(7681)] = 385264,
  [SMALL_STATE(7682)] = 385315,
  [SMALL_STATE(7683)] = 385366,
  [SMALL_STATE(7684)] = 385417,
  [SMALL_STATE(7685)] = 385468,
  [SMALL_STATE(7686)] = 385519,
  [SMALL_STATE(7687)] = 385570,
  [SMALL_STATE(7688)] = 385621,
  [SMALL_STATE(7689)] = 385714,
  [SMALL_STATE(7690)] = 385765,
  [SMALL_STATE(7691)] = 385816,
  [SMALL_STATE(7692)] = 385915,
  [SMALL_STATE(7693)] = 385966,
  [SMALL_STATE(7694)] = 386017,
  [SMALL_STATE(7695)] = 386068,
  [SMALL_STATE(7696)] = 386119,
  [SMALL_STATE(7697)] = 386174,
  [SMALL_STATE(7698)] = 386225,
  [SMALL_STATE(7699)] = 386276,
  [SMALL_STATE(7700)] = 386327,
  [SMALL_STATE(7701)] = 386378,
  [SMALL_STATE(7702)] = 386429,
  [SMALL_STATE(7703)] = 386480,
  [SMALL_STATE(7704)] = 386531,
  [SMALL_STATE(7705)] = 386582,
  [SMALL_STATE(7706)] = 386633,
  [SMALL_STATE(7707)] = 386684,
  [SMALL_STATE(7708)] = 386777,
  [SMALL_STATE(7709)] = 386828,
  [SMALL_STATE(7710)] = 386883,
  [SMALL_STATE(7711)] = 386934,
  [SMALL_STATE(7712)] = 386985,
  [SMALL_STATE(7713)] = 387036,
  [SMALL_STATE(7714)] = 387087,
  [SMALL_STATE(7715)] = 387138,
  [SMALL_STATE(7716)] = 387189,
  [SMALL_STATE(7717)] = 387240,
  [SMALL_STATE(7718)] = 387291,
  [SMALL_STATE(7719)] = 387342,
  [SMALL_STATE(7720)] = 387393,
  [SMALL_STATE(7721)] = 387444,
  [SMALL_STATE(7722)] = 387495,
  [SMALL_STATE(7723)] = 387546,
  [SMALL_STATE(7724)] = 387643,
  [SMALL_STATE(7725)] = 387694,
  [SMALL_STATE(7726)] = 387745,
  [SMALL_STATE(7727)] = 387796,
  [SMALL_STATE(7728)] = 387847,
  [SMALL_STATE(7729)] = 387898,
  [SMALL_STATE(7730)] = 387949,
  [SMALL_STATE(7731)] = 388000,
  [SMALL_STATE(7732)] = 388051,
  [SMALL_STATE(7733)] = 388150,
  [SMALL_STATE(7734)] = 388201,
  [SMALL_STATE(7735)] = 388252,
  [SMALL_STATE(7736)] = 388345,
  [SMALL_STATE(7737)] = 388402,
  [SMALL_STATE(7738)] = 388453,
  [SMALL_STATE(7739)] = 388504,
  [SMALL_STATE(7740)] = 388555,
  [SMALL_STATE(7741)] = 388606,
  [SMALL_STATE(7742)] = 388657,
  [SMALL_STATE(7743)] = 388708,
  [SMALL_STATE(7744)] = 388759,
  [SMALL_STATE(7745)] = 388856,
  [SMALL_STATE(7746)] = 388953,
  [SMALL_STATE(7747)] = 389004,
  [SMALL_STATE(7748)] = 389055,
  [SMALL_STATE(7749)] = 389106,
  [SMALL_STATE(7750)] = 389157,
  [SMALL_STATE(7751)] = 389208,
  [SMALL_STATE(7752)] = 389259,
  [SMALL_STATE(7753)] = 389310,
  [SMALL_STATE(7754)] = 389361,
  [SMALL_STATE(7755)] = 389412,
  [SMALL_STATE(7756)] = 389463,
  [SMALL_STATE(7757)] = 389514,
  [SMALL_STATE(7758)] = 389565,
  [SMALL_STATE(7759)] = 389662,
  [SMALL_STATE(7760)] = 389713,
  [SMALL_STATE(7761)] = 389806,
  [SMALL_STATE(7762)] = 389857,
  [SMALL_STATE(7763)] = 389954,
  [SMALL_STATE(7764)] = 390005,
  [SMALL_STATE(7765)] = 390056,
  [SMALL_STATE(7766)] = 390107,
  [SMALL_STATE(7767)] = 390158,
  [SMALL_STATE(7768)] = 390209,
  [SMALL_STATE(7769)] = 390260,
  [SMALL_STATE(7770)] = 390311,
  [SMALL_STATE(7771)] = 390362,
  [SMALL_STATE(7772)] = 390413,
  [SMALL_STATE(7773)] = 390464,
  [SMALL_STATE(7774)] = 390515,
  [SMALL_STATE(7775)] = 390612,
  [SMALL_STATE(7776)] = 390663,
  [SMALL_STATE(7777)] = 390714,
  [SMALL_STATE(7778)] = 390765,
  [SMALL_STATE(7779)] = 390816,
  [SMALL_STATE(7780)] = 390867,
  [SMALL_STATE(7781)] = 390966,
  [SMALL_STATE(7782)] = 391063,
  [SMALL_STATE(7783)] = 391156,
  [SMALL_STATE(7784)] = 391253,
  [SMALL_STATE(7785)] = 391304,
  [SMALL_STATE(7786)] = 391355,
  [SMALL_STATE(7787)] = 391448,
  [SMALL_STATE(7788)] = 391541,
  [SMALL_STATE(7789)] = 391592,
  [SMALL_STATE(7790)] = 391643,
  [SMALL_STATE(7791)] = 391694,
  [SMALL_STATE(7792)] = 391745,
  [SMALL_STATE(7793)] = 391842,
  [SMALL_STATE(7794)] = 391939,
  [SMALL_STATE(7795)] = 391990,
  [SMALL_STATE(7796)] = 392087,
  [SMALL_STATE(7797)] = 392138,
  [SMALL_STATE(7798)] = 392189,
  [SMALL_STATE(7799)] = 392286,
  [SMALL_STATE(7800)] = 392337,
  [SMALL_STATE(7801)] = 392388,
  [SMALL_STATE(7802)] = 392439,
  [SMALL_STATE(7803)] = 392490,
  [SMALL_STATE(7804)] = 392587,
  [SMALL_STATE(7805)] = 392680,
  [SMALL_STATE(7806)] = 392731,
  [SMALL_STATE(7807)] = 392782,
  [SMALL_STATE(7808)] = 392833,
  [SMALL_STATE(7809)] = 392884,
  [SMALL_STATE(7810)] = 392935,
  [SMALL_STATE(7811)] = 392986,
  [SMALL_STATE(7812)] = 393037,
  [SMALL_STATE(7813)] = 393088,
  [SMALL_STATE(7814)] = 393139,
  [SMALL_STATE(7815)] = 393190,
  [SMALL_STATE(7816)] = 393287,
  [SMALL_STATE(7817)] = 393384,
  [SMALL_STATE(7818)] = 393435,
  [SMALL_STATE(7819)] = 393488,
  [SMALL_STATE(7820)] = 393581,
  [SMALL_STATE(7821)] = 393632,
  [SMALL_STATE(7822)] = 393683,
  [SMALL_STATE(7823)] = 393776,
  [SMALL_STATE(7824)] = 393869,
  [SMALL_STATE(7825)] = 393920,
  [SMALL_STATE(7826)] = 393971,
  [SMALL_STATE(7827)] = 394022,
  [SMALL_STATE(7828)] = 394073,
  [SMALL_STATE(7829)] = 394124,
  [SMALL_STATE(7830)] = 394175,
  [SMALL_STATE(7831)] = 394226,
  [SMALL_STATE(7832)] = 394277,
  [SMALL_STATE(7833)] = 394370,
  [SMALL_STATE(7834)] = 394467,
  [SMALL_STATE(7835)] = 394518,
  [SMALL_STATE(7836)] = 394569,
  [SMALL_STATE(7837)] = 394620,
  [SMALL_STATE(7838)] = 394671,
  [SMALL_STATE(7839)] = 394722,
  [SMALL_STATE(7840)] = 394773,
  [SMALL_STATE(7841)] = 394824,
  [SMALL_STATE(7842)] = 394921,
  [SMALL_STATE(7843)] = 394972,
  [SMALL_STATE(7844)] = 395069,
  [SMALL_STATE(7845)] = 395120,
  [SMALL_STATE(7846)] = 395217,
  [SMALL_STATE(7847)] = 395310,
  [SMALL_STATE(7848)] = 395361,
  [SMALL_STATE(7849)] = 395412,
  [SMALL_STATE(7850)] = 395463,
  [SMALL_STATE(7851)] = 395560,
  [SMALL_STATE(7852)] = 395657,
  [SMALL_STATE(7853)] = 395708,
  [SMALL_STATE(7854)] = 395759,
  [SMALL_STATE(7855)] = 395810,
  [SMALL_STATE(7856)] = 395861,
  [SMALL_STATE(7857)] = 395912,
  [SMALL_STATE(7858)] = 395963,
  [SMALL_STATE(7859)] = 396014,
  [SMALL_STATE(7860)] = 396065,
  [SMALL_STATE(7861)] = 396158,
  [SMALL_STATE(7862)] = 396209,
  [SMALL_STATE(7863)] = 396260,
  [SMALL_STATE(7864)] = 396311,
  [SMALL_STATE(7865)] = 396362,
  [SMALL_STATE(7866)] = 396459,
  [SMALL_STATE(7867)] = 396556,
  [SMALL_STATE(7868)] = 396653,
  [SMALL_STATE(7869)] = 396704,
  [SMALL_STATE(7870)] = 396755,
  [SMALL_STATE(7871)] = 396806,
  [SMALL_STATE(7872)] = 396903,
  [SMALL_STATE(7873)] = 396954,
  [SMALL_STATE(7874)] = 397005,
  [SMALL_STATE(7875)] = 397056,
  [SMALL_STATE(7876)] = 397135,
  [SMALL_STATE(7877)] = 397232,
  [SMALL_STATE(7878)] = 397329,
  [SMALL_STATE(7879)] = 397426,
  [SMALL_STATE(7880)] = 397477,
  [SMALL_STATE(7881)] = 397576,
  [SMALL_STATE(7882)] = 397627,
  [SMALL_STATE(7883)] = 397724,
  [SMALL_STATE(7884)] = 397821,
  [SMALL_STATE(7885)] = 397872,
  [SMALL_STATE(7886)] = 397923,
  [SMALL_STATE(7887)] = 398020,
  [SMALL_STATE(7888)] = 398071,
  [SMALL_STATE(7889)] = 398122,
  [SMALL_STATE(7890)] = 398173,
  [SMALL_STATE(7891)] = 398224,
  [SMALL_STATE(7892)] = 398275,
  [SMALL_STATE(7893)] = 398368,
  [SMALL_STATE(7894)] = 398465,
  [SMALL_STATE(7895)] = 398516,
  [SMALL_STATE(7896)] = 398567,
  [SMALL_STATE(7897)] = 398664,
  [SMALL_STATE(7898)] = 398761,
  [SMALL_STATE(7899)] = 398812,
  [SMALL_STATE(7900)] = 398863,
  [SMALL_STATE(7901)] = 398914,
  [SMALL_STATE(7902)] = 398965,
  [SMALL_STATE(7903)] = 399016,
  [SMALL_STATE(7904)] = 399067,
  [SMALL_STATE(7905)] = 399118,
  [SMALL_STATE(7906)] = 399217,
  [SMALL_STATE(7907)] = 399268,
  [SMALL_STATE(7908)] = 399319,
  [SMALL_STATE(7909)] = 399416,
  [SMALL_STATE(7910)] = 399513,
  [SMALL_STATE(7911)] = 399610,
  [SMALL_STATE(7912)] = 399703,
  [SMALL_STATE(7913)] = 399800,
  [SMALL_STATE(7914)] = 399851,
  [SMALL_STATE(7915)] = 399902,
  [SMALL_STATE(7916)] = 399953,
  [SMALL_STATE(7917)] = 400046,
  [SMALL_STATE(7918)] = 400097,
  [SMALL_STATE(7919)] = 400176,
  [SMALL_STATE(7920)] = 400227,
  [SMALL_STATE(7921)] = 400278,
  [SMALL_STATE(7922)] = 400329,
  [SMALL_STATE(7923)] = 400380,
  [SMALL_STATE(7924)] = 400431,
  [SMALL_STATE(7925)] = 400482,
  [SMALL_STATE(7926)] = 400533,
  [SMALL_STATE(7927)] = 400584,
  [SMALL_STATE(7928)] = 400635,
  [SMALL_STATE(7929)] = 400686,
  [SMALL_STATE(7930)] = 400783,
  [SMALL_STATE(7931)] = 400880,
  [SMALL_STATE(7932)] = 400931,
  [SMALL_STATE(7933)] = 400988,
  [SMALL_STATE(7934)] = 401039,
  [SMALL_STATE(7935)] = 401090,
  [SMALL_STATE(7936)] = 401141,
  [SMALL_STATE(7937)] = 401238,
  [SMALL_STATE(7938)] = 401335,
  [SMALL_STATE(7939)] = 401386,
  [SMALL_STATE(7940)] = 401483,
  [SMALL_STATE(7941)] = 401534,
  [SMALL_STATE(7942)] = 401585,
  [SMALL_STATE(7943)] = 401682,
  [SMALL_STATE(7944)] = 401733,
  [SMALL_STATE(7945)] = 401827,
  [SMALL_STATE(7946)] = 401877,
  [SMALL_STATE(7947)] = 401927,
  [SMALL_STATE(7948)] = 401981,
  [SMALL_STATE(7949)] = 402075,
  [SMALL_STATE(7950)] = 402169,
  [SMALL_STATE(7951)] = 402263,
  [SMALL_STATE(7952)] = 402357,
  [SMALL_STATE(7953)] = 402419,
  [SMALL_STATE(7954)] = 402481,
  [SMALL_STATE(7955)] = 402531,
  [SMALL_STATE(7956)] = 402597,
  [SMALL_STATE(7957)] = 402691,
  [SMALL_STATE(7958)] = 402741,
  [SMALL_STATE(7959)] = 402835,
  [SMALL_STATE(7960)] = 402885,
  [SMALL_STATE(7961)] = 402935,
  [SMALL_STATE(7962)] = 402985,
  [SMALL_STATE(7963)] = 403079,
  [SMALL_STATE(7964)] = 403129,
  [SMALL_STATE(7965)] = 403223,
  [SMALL_STATE(7966)] = 403273,
  [SMALL_STATE(7967)] = 403367,
  [SMALL_STATE(7968)] = 403417,
  [SMALL_STATE(7969)] = 403485,
  [SMALL_STATE(7970)] = 403557,
  [SMALL_STATE(7971)] = 403607,
  [SMALL_STATE(7972)] = 403663,
  [SMALL_STATE(7973)] = 403713,
  [SMALL_STATE(7974)] = 403763,
  [SMALL_STATE(7975)] = 403857,
  [SMALL_STATE(7976)] = 403951,
  [SMALL_STATE(7977)] = 404001,
  [SMALL_STATE(7978)] = 404095,
  [SMALL_STATE(7979)] = 404189,
  [SMALL_STATE(7980)] = 404283,
  [SMALL_STATE(7981)] = 404333,
  [SMALL_STATE(7982)] = 404427,
  [SMALL_STATE(7983)] = 404521,
  [SMALL_STATE(7984)] = 404589,
  [SMALL_STATE(7985)] = 404649,
  [SMALL_STATE(7986)] = 404703,
  [SMALL_STATE(7987)] = 404755,
  [SMALL_STATE(7988)] = 404809,
  [SMALL_STATE(7989)] = 404881,
  [SMALL_STATE(7990)] = 404943,
  [SMALL_STATE(7991)] = 405005,
  [SMALL_STATE(7992)] = 405071,
  [SMALL_STATE(7993)] = 405139,
  [SMALL_STATE(7994)] = 405189,
  [SMALL_STATE(7995)] = 405261,
  [SMALL_STATE(7996)] = 405317,
  [SMALL_STATE(7997)] = 405367,
  [SMALL_STATE(7998)] = 405439,
  [SMALL_STATE(7999)] = 405493,
  [SMALL_STATE(8000)] = 405565,
  [SMALL_STATE(8001)] = 405659,
  [SMALL_STATE(8002)] = 405753,
  [SMALL_STATE(8003)] = 405807,
  [SMALL_STATE(8004)] = 405861,
  [SMALL_STATE(8005)] = 405911,
  [SMALL_STATE(8006)] = 405983,
  [SMALL_STATE(8007)] = 406037,
  [SMALL_STATE(8008)] = 406089,
  [SMALL_STATE(8009)] = 406141,
  [SMALL_STATE(8010)] = 406195,
  [SMALL_STATE(8011)] = 406269,
  [SMALL_STATE(8012)] = 406323,
  [SMALL_STATE(8013)] = 406417,
  [SMALL_STATE(8014)] = 406511,
  [SMALL_STATE(8015)] = 406561,
  [SMALL_STATE(8016)] = 406655,
  [SMALL_STATE(8017)] = 406705,
  [SMALL_STATE(8018)] = 406779,
  [SMALL_STATE(8019)] = 406873,
  [SMALL_STATE(8020)] = 406927,
  [SMALL_STATE(8021)] = 406979,
  [SMALL_STATE(8022)] = 407033,
  [SMALL_STATE(8023)] = 407105,
  [SMALL_STATE(8024)] = 407157,
  [SMALL_STATE(8025)] = 407251,
  [SMALL_STATE(8026)] = 407301,
  [SMALL_STATE(8027)] = 407395,
  [SMALL_STATE(8028)] = 407445,
  [SMALL_STATE(8029)] = 407539,
  [SMALL_STATE(8030)] = 407611,
  [SMALL_STATE(8031)] = 407661,
  [SMALL_STATE(8032)] = 407755,
  [SMALL_STATE(8033)] = 407805,
  [SMALL_STATE(8034)] = 407855,
  [SMALL_STATE(8035)] = 407905,
  [SMALL_STATE(8036)] = 407999,
  [SMALL_STATE(8037)] = 408093,
  [SMALL_STATE(8038)] = 408187,
  [SMALL_STATE(8039)] = 408237,
  [SMALL_STATE(8040)] = 408291,
  [SMALL_STATE(8041)] = 408385,
  [SMALL_STATE(8042)] = 408435,
  [SMALL_STATE(8043)] = 408489,
  [SMALL_STATE(8044)] = 408541,
  [SMALL_STATE(8045)] = 408591,
  [SMALL_STATE(8046)] = 408645,
  [SMALL_STATE(8047)] = 408695,
  [SMALL_STATE(8048)] = 408745,
  [SMALL_STATE(8049)] = 408795,
  [SMALL_STATE(8050)] = 408889,
  [SMALL_STATE(8051)] = 408983,
  [SMALL_STATE(8052)] = 409077,
  [SMALL_STATE(8053)] = 409171,
  [SMALL_STATE(8054)] = 409265,
  [SMALL_STATE(8055)] = 409315,
  [SMALL_STATE(8056)] = 409409,
  [SMALL_STATE(8057)] = 409503,
  [SMALL_STATE(8058)] = 409597,
  [SMALL_STATE(8059)] = 409647,
  [SMALL_STATE(8060)] = 409697,
  [SMALL_STATE(8061)] = 409791,
  [SMALL_STATE(8062)] = 409845,
  [SMALL_STATE(8063)] = 409899,
  [SMALL_STATE(8064)] = 409951,
  [SMALL_STATE(8065)] = 410045,
  [SMALL_STATE(8066)] = 410139,
  [SMALL_STATE(8067)] = 410233,
  [SMALL_STATE(8068)] = 410327,
  [SMALL_STATE(8069)] = 410381,
  [SMALL_STATE(8070)] = 410475,
  [SMALL_STATE(8071)] = 410529,
  [SMALL_STATE(8072)] = 410579,
  [SMALL_STATE(8073)] = 410673,
  [SMALL_STATE(8074)] = 410741,
  [SMALL_STATE(8075)] = 410835,
  [SMALL_STATE(8076)] = 410929,
  [SMALL_STATE(8077)] = 410979,
  [SMALL_STATE(8078)] = 411073,
  [SMALL_STATE(8079)] = 411123,
  [SMALL_STATE(8080)] = 411173,
  [SMALL_STATE(8081)] = 411267,
  [SMALL_STATE(8082)] = 411317,
  [SMALL_STATE(8083)] = 411411,
  [SMALL_STATE(8084)] = 411505,
  [SMALL_STATE(8085)] = 411599,
  [SMALL_STATE(8086)] = 411693,
  [SMALL_STATE(8087)] = 411743,
  [SMALL_STATE(8088)] = 411837,
  [SMALL_STATE(8089)] = 411887,
  [SMALL_STATE(8090)] = 411981,
  [SMALL_STATE(8091)] = 412031,
  [SMALL_STATE(8092)] = 412081,
  [SMALL_STATE(8093)] = 412175,
  [SMALL_STATE(8094)] = 412225,
  [SMALL_STATE(8095)] = 412275,
  [SMALL_STATE(8096)] = 412325,
  [SMALL_STATE(8097)] = 412419,
  [SMALL_STATE(8098)] = 412469,
  [SMALL_STATE(8099)] = 412519,
  [SMALL_STATE(8100)] = 412569,
  [SMALL_STATE(8101)] = 412663,
  [SMALL_STATE(8102)] = 412757,
  [SMALL_STATE(8103)] = 412807,
  [SMALL_STATE(8104)] = 412901,
  [SMALL_STATE(8105)] = 412995,
  [SMALL_STATE(8106)] = 413045,
  [SMALL_STATE(8107)] = 413139,
  [SMALL_STATE(8108)] = 413233,
  [SMALL_STATE(8109)] = 413283,
  [SMALL_STATE(8110)] = 413333,
  [SMALL_STATE(8111)] = 413383,
  [SMALL_STATE(8112)] = 413433,
  [SMALL_STATE(8113)] = 413483,
  [SMALL_STATE(8114)] = 413533,
  [SMALL_STATE(8115)] = 413627,
  [SMALL_STATE(8116)] = 413721,
  [SMALL_STATE(8117)] = 413815,
  [SMALL_STATE(8118)] = 413875,
  [SMALL_STATE(8119)] = 413929,
  [SMALL_STATE(8120)] = 413983,
  [SMALL_STATE(8121)] = 414033,
  [SMALL_STATE(8122)] = 414083,
  [SMALL_STATE(8123)] = 414136,
  [SMALL_STATE(8124)] = 414207,
  [SMALL_STATE(8125)] = 414260,
  [SMALL_STATE(8126)] = 414313,
  [SMALL_STATE(8127)] = 414384,
  [SMALL_STATE(8128)] = 414437,
  [SMALL_STATE(8129)] = 414488,
  [SMALL_STATE(8130)] = 414539,
  [SMALL_STATE(8131)] = 414606,
  [SMALL_STATE(8132)] = 414667,
  [SMALL_STATE(8133)] = 414720,
  [SMALL_STATE(8134)] = 414773,
  [SMALL_STATE(8135)] = 414826,
  [SMALL_STATE(8136)] = 414879,
  [SMALL_STATE(8137)] = 414938,
  [SMALL_STATE(8138)] = 414991,
  [SMALL_STATE(8139)] = 415044,
  [SMALL_STATE(8140)] = 415097,
  [SMALL_STATE(8141)] = 415164,
  [SMALL_STATE(8142)] = 415235,
  [SMALL_STATE(8143)] = 415306,
  [SMALL_STATE(8144)] = 415359,
  [SMALL_STATE(8145)] = 415430,
  [SMALL_STATE(8146)] = 415483,
  [SMALL_STATE(8147)] = 415536,
  [SMALL_STATE(8148)] = 415607,
  [SMALL_STATE(8149)] = 415656,
  [SMALL_STATE(8150)] = 415723,
  [SMALL_STATE(8151)] = 415814,
  [SMALL_STATE(8152)] = 415867,
  [SMALL_STATE(8153)] = 415918,
  [SMALL_STATE(8154)] = 415977,
  [SMALL_STATE(8155)] = 416028,
  [SMALL_STATE(8156)] = 416079,
  [SMALL_STATE(8157)] = 416132,
  [SMALL_STATE(8158)] = 416185,
  [SMALL_STATE(8159)] = 416246,
  [SMALL_STATE(8160)] = 416317,
  [SMALL_STATE(8161)] = 416382,
  [SMALL_STATE(8162)] = 416473,
  [SMALL_STATE(8163)] = 416526,
  [SMALL_STATE(8164)] = 416579,
  [SMALL_STATE(8165)] = 416632,
  [SMALL_STATE(8166)] = 416693,
  [SMALL_STATE(8167)] = 416754,
  [SMALL_STATE(8168)] = 416807,
  [SMALL_STATE(8169)] = 416858,
  [SMALL_STATE(8170)] = 416923,
  [SMALL_STATE(8171)] = 416978,
  [SMALL_STATE(8172)] = 417045,
  [SMALL_STATE(8173)] = 417116,
  [SMALL_STATE(8174)] = 417187,
  [SMALL_STATE(8175)] = 417238,
  [SMALL_STATE(8176)] = 417293,
  [SMALL_STATE(8177)] = 417384,
  [SMALL_STATE(8178)] = 417437,
  [SMALL_STATE(8179)] = 417490,
  [SMALL_STATE(8180)] = 417561,
  [SMALL_STATE(8181)] = 417612,
  [SMALL_STATE(8182)] = 417671,
  [SMALL_STATE(8183)] = 417726,
  [SMALL_STATE(8184)] = 417779,
  [SMALL_STATE(8185)] = 417852,
  [SMALL_STATE(8186)] = 417905,
  [SMALL_STATE(8187)] = 417958,
  [SMALL_STATE(8188)] = 418011,
  [SMALL_STATE(8189)] = 418062,
  [SMALL_STATE(8190)] = 418115,
  [SMALL_STATE(8191)] = 418164,
  [SMALL_STATE(8192)] = 418217,
  [SMALL_STATE(8193)] = 418266,
  [SMALL_STATE(8194)] = 418327,
  [SMALL_STATE(8195)] = 418394,
  [SMALL_STATE(8196)] = 418467,
  [SMALL_STATE(8197)] = 418520,
  [SMALL_STATE(8198)] = 418593,
  [SMALL_STATE(8199)] = 418658,
  [SMALL_STATE(8200)] = 418725,
  [SMALL_STATE(8201)] = 418786,
  [SMALL_STATE(8202)] = 418857,
  [SMALL_STATE(8203)] = 418930,
  [SMALL_STATE(8204)] = 418997,
  [SMALL_STATE(8205)] = 419056,
  [SMALL_STATE(8206)] = 419109,
  [SMALL_STATE(8207)] = 419162,
  [SMALL_STATE(8208)] = 419223,
  [SMALL_STATE(8209)] = 419284,
  [SMALL_STATE(8210)] = 419375,
  [SMALL_STATE(8211)] = 419440,
  [SMALL_STATE(8212)] = 419507,
  [SMALL_STATE(8213)] = 419578,
  [SMALL_STATE(8214)] = 419633,
  [SMALL_STATE(8215)] = 419704,
  [SMALL_STATE(8216)] = 419775,
  [SMALL_STATE(8217)] = 419841,
  [SMALL_STATE(8218)] = 419925,
  [SMALL_STATE(8219)] = 419977,
  [SMALL_STATE(8220)] = 420025,
  [SMALL_STATE(8221)] = 420077,
  [SMALL_STATE(8222)] = 420129,
  [SMALL_STATE(8223)] = 420179,
  [SMALL_STATE(8224)] = 420243,
  [SMALL_STATE(8225)] = 420303,
  [SMALL_STATE(8226)] = 420373,
  [SMALL_STATE(8227)] = 420423,
  [SMALL_STATE(8228)] = 420473,
  [SMALL_STATE(8229)] = 420525,
  [SMALL_STATE(8230)] = 420591,
  [SMALL_STATE(8231)] = 420663,
  [SMALL_STATE(8232)] = 420729,
  [SMALL_STATE(8233)] = 420813,
  [SMALL_STATE(8234)] = 420883,
  [SMALL_STATE(8235)] = 420967,
  [SMALL_STATE(8236)] = 421021,
  [SMALL_STATE(8237)] = 421093,
  [SMALL_STATE(8238)] = 421145,
  [SMALL_STATE(8239)] = 421193,
  [SMALL_STATE(8240)] = 421253,
  [SMALL_STATE(8241)] = 421335,
  [SMALL_STATE(8242)] = 421405,
  [SMALL_STATE(8243)] = 421477,
  [SMALL_STATE(8244)] = 421561,
  [SMALL_STATE(8245)] = 421609,
  [SMALL_STATE(8246)] = 421679,
  [SMALL_STATE(8247)] = 421729,
  [SMALL_STATE(8248)] = 421811,
  [SMALL_STATE(8249)] = 421859,
  [SMALL_STATE(8250)] = 421943,
  [SMALL_STATE(8251)] = 422001,
  [SMALL_STATE(8252)] = 422053,
  [SMALL_STATE(8253)] = 422123,
  [SMALL_STATE(8254)] = 422207,
  [SMALL_STATE(8255)] = 422255,
  [SMALL_STATE(8256)] = 422315,
  [SMALL_STATE(8257)] = 422363,
  [SMALL_STATE(8258)] = 422415,
  [SMALL_STATE(8259)] = 422465,
  [SMALL_STATE(8260)] = 422549,
  [SMALL_STATE(8261)] = 422633,
  [SMALL_STATE(8262)] = 422703,
  [SMALL_STATE(8263)] = 422757,
  [SMALL_STATE(8264)] = 422829,
  [SMALL_STATE(8265)] = 422881,
  [SMALL_STATE(8266)] = 422933,
  [SMALL_STATE(8267)] = 422985,
  [SMALL_STATE(8268)] = 423045,
  [SMALL_STATE(8269)] = 423103,
  [SMALL_STATE(8270)] = 423153,
  [SMALL_STATE(8271)] = 423205,
  [SMALL_STATE(8272)] = 423253,
  [SMALL_STATE(8273)] = 423317,
  [SMALL_STATE(8274)] = 423383,
  [SMALL_STATE(8275)] = 423435,
  [SMALL_STATE(8276)] = 423520,
  [SMALL_STATE(8277)] = 423569,
  [SMALL_STATE(8278)] = 423654,
  [SMALL_STATE(8279)] = 423739,
  [SMALL_STATE(8280)] = 423824,
  [SMALL_STATE(8281)] = 423883,
  [SMALL_STATE(8282)] = 423934,
  [SMALL_STATE(8283)] = 423993,
  [SMALL_STATE(8284)] = 424062,
  [SMALL_STATE(8285)] = 424147,
  [SMALL_STATE(8286)] = 424232,
  [SMALL_STATE(8287)] = 424283,
  [SMALL_STATE(8288)] = 424368,
  [SMALL_STATE(8289)] = 424453,
  [SMALL_STATE(8290)] = 424538,
  [SMALL_STATE(8291)] = 424623,
  [SMALL_STATE(8292)] = 424708,
  [SMALL_STATE(8293)] = 424793,
  [SMALL_STATE(8294)] = 424878,
  [SMALL_STATE(8295)] = 424943,
  [SMALL_STATE(8296)] = 425028,
  [SMALL_STATE(8297)] = 425077,
  [SMALL_STATE(8298)] = 425162,
  [SMALL_STATE(8299)] = 425209,
  [SMALL_STATE(8300)] = 425258,
  [SMALL_STATE(8301)] = 425343,
  [SMALL_STATE(8302)] = 425392,
  [SMALL_STATE(8303)] = 425477,
  [SMALL_STATE(8304)] = 425562,
  [SMALL_STATE(8305)] = 425647,
  [SMALL_STATE(8306)] = 425732,
  [SMALL_STATE(8307)] = 425795,
  [SMALL_STATE(8308)] = 425864,
  [SMALL_STATE(8309)] = 425911,
  [SMALL_STATE(8310)] = 425980,
  [SMALL_STATE(8311)] = 426031,
  [SMALL_STATE(8312)] = 426096,
  [SMALL_STATE(8313)] = 426181,
  [SMALL_STATE(8314)] = 426250,
  [SMALL_STATE(8315)] = 426335,
  [SMALL_STATE(8316)] = 426406,
  [SMALL_STATE(8317)] = 426457,
  [SMALL_STATE(8318)] = 426508,
  [SMALL_STATE(8319)] = 426593,
  [SMALL_STATE(8320)] = 426644,
  [SMALL_STATE(8321)] = 426715,
  [SMALL_STATE(8322)] = 426800,
  [SMALL_STATE(8323)] = 426849,
  [SMALL_STATE(8324)] = 426934,
  [SMALL_STATE(8325)] = 427019,
  [SMALL_STATE(8326)] = 427104,
  [SMALL_STATE(8327)] = 427155,
  [SMALL_STATE(8328)] = 427212,
  [SMALL_STATE(8329)] = 427297,
  [SMALL_STATE(8330)] = 427344,
  [SMALL_STATE(8331)] = 427429,
  [SMALL_STATE(8332)] = 427498,
  [SMALL_STATE(8333)] = 427555,
  [SMALL_STATE(8334)] = 427624,
  [SMALL_STATE(8335)] = 427709,
  [SMALL_STATE(8336)] = 427758,
  [SMALL_STATE(8337)] = 427809,
  [SMALL_STATE(8338)] = 427878,
  [SMALL_STATE(8339)] = 427963,
  [SMALL_STATE(8340)] = 428028,
  [SMALL_STATE(8341)] = 428079,
  [SMALL_STATE(8342)] = 428164,
  [SMALL_STATE(8343)] = 428233,
  [SMALL_STATE(8344)] = 428286,
  [SMALL_STATE(8345)] = 428371,
  [SMALL_STATE(8346)] = 428456,
  [SMALL_STATE(8347)] = 428507,
  [SMALL_STATE(8348)] = 428556,
  [SMALL_STATE(8349)] = 428603,
  [SMALL_STATE(8350)] = 428688,
  [SMALL_STATE(8351)] = 428773,
  [SMALL_STATE(8352)] = 428858,
  [SMALL_STATE(8353)] = 428943,
  [SMALL_STATE(8354)] = 429002,
  [SMALL_STATE(8355)] = 429053,
  [SMALL_STATE(8356)] = 429110,
  [SMALL_STATE(8357)] = 429195,
  [SMALL_STATE(8358)] = 429252,
  [SMALL_STATE(8359)] = 429305,
  [SMALL_STATE(8360)] = 429390,
  [SMALL_STATE(8361)] = 429475,
  [SMALL_STATE(8362)] = 429526,
  [SMALL_STATE(8363)] = 429577,
  [SMALL_STATE(8364)] = 429628,
  [SMALL_STATE(8365)] = 429677,
  [SMALL_STATE(8366)] = 429728,
  [SMALL_STATE(8367)] = 429813,
  [SMALL_STATE(8368)] = 429864,
  [SMALL_STATE(8369)] = 429915,
  [SMALL_STATE(8370)] = 430000,
  [SMALL_STATE(8371)] = 430051,
  [SMALL_STATE(8372)] = 430102,
  [SMALL_STATE(8373)] = 430187,
  [SMALL_STATE(8374)] = 430272,
  [SMALL_STATE(8375)] = 430331,
  [SMALL_STATE(8376)] = 430394,
  [SMALL_STATE(8377)] = 430443,
  [SMALL_STATE(8378)] = 430528,
  [SMALL_STATE(8379)] = 430613,
  [SMALL_STATE(8380)] = 430698,
  [SMALL_STATE(8381)] = 430783,
  [SMALL_STATE(8382)] = 430868,
  [SMALL_STATE(8383)] = 430953,
  [SMALL_STATE(8384)] = 431002,
  [SMALL_STATE(8385)] = 431087,
  [SMALL_STATE(8386)] = 431136,
  [SMALL_STATE(8387)] = 431221,
  [SMALL_STATE(8388)] = 431292,
  [SMALL_STATE(8389)] = 431343,
  [SMALL_STATE(8390)] = 431428,
  [SMALL_STATE(8391)] = 431499,
  [SMALL_STATE(8392)] = 431564,
  [SMALL_STATE(8393)] = 431649,
  [SMALL_STATE(8394)] = 431731,
  [SMALL_STATE(8395)] = 431777,
  [SMALL_STATE(8396)] = 431823,
  [SMALL_STATE(8397)] = 431905,
  [SMALL_STATE(8398)] = 431987,
  [SMALL_STATE(8399)] = 432069,
  [SMALL_STATE(8400)] = 432115,
  [SMALL_STATE(8401)] = 432197,
  [SMALL_STATE(8402)] = 432279,
  [SMALL_STATE(8403)] = 432361,
  [SMALL_STATE(8404)] = 432443,
  [SMALL_STATE(8405)] = 432525,
  [SMALL_STATE(8406)] = 432607,
  [SMALL_STATE(8407)] = 432689,
  [SMALL_STATE(8408)] = 432771,
  [SMALL_STATE(8409)] = 432817,
  [SMALL_STATE(8410)] = 432863,
  [SMALL_STATE(8411)] = 432909,
  [SMALL_STATE(8412)] = 432991,
  [SMALL_STATE(8413)] = 433037,
  [SMALL_STATE(8414)] = 433119,
  [SMALL_STATE(8415)] = 433165,
  [SMALL_STATE(8416)] = 433211,
  [SMALL_STATE(8417)] = 433257,
  [SMALL_STATE(8418)] = 433303,
  [SMALL_STATE(8419)] = 433385,
  [SMALL_STATE(8420)] = 433467,
  [SMALL_STATE(8421)] = 433513,
  [SMALL_STATE(8422)] = 433559,
  [SMALL_STATE(8423)] = 433605,
  [SMALL_STATE(8424)] = 433651,
  [SMALL_STATE(8425)] = 433697,
  [SMALL_STATE(8426)] = 433743,
  [SMALL_STATE(8427)] = 433789,
  [SMALL_STATE(8428)] = 433835,
  [SMALL_STATE(8429)] = 433881,
  [SMALL_STATE(8430)] = 433963,
  [SMALL_STATE(8431)] = 434009,
  [SMALL_STATE(8432)] = 434091,
  [SMALL_STATE(8433)] = 434137,
  [SMALL_STATE(8434)] = 434187,
  [SMALL_STATE(8435)] = 434233,
  [SMALL_STATE(8436)] = 434279,
  [SMALL_STATE(8437)] = 434329,
  [SMALL_STATE(8438)] = 434411,
  [SMALL_STATE(8439)] = 434461,
  [SMALL_STATE(8440)] = 434507,
  [SMALL_STATE(8441)] = 434589,
  [SMALL_STATE(8442)] = 434635,
  [SMALL_STATE(8443)] = 434717,
  [SMALL_STATE(8444)] = 434763,
  [SMALL_STATE(8445)] = 434845,
  [SMALL_STATE(8446)] = 434927,
  [SMALL_STATE(8447)] = 434991,
  [SMALL_STATE(8448)] = 435037,
  [SMALL_STATE(8449)] = 435093,
  [SMALL_STATE(8450)] = 435143,
  [SMALL_STATE(8451)] = 435193,
  [SMALL_STATE(8452)] = 435251,
  [SMALL_STATE(8453)] = 435309,
  [SMALL_STATE(8454)] = 435371,
  [SMALL_STATE(8455)] = 435435,
  [SMALL_STATE(8456)] = 435503,
  [SMALL_STATE(8457)] = 435549,
  [SMALL_STATE(8458)] = 435595,
  [SMALL_STATE(8459)] = 435647,
  [SMALL_STATE(8460)] = 435715,
  [SMALL_STATE(8461)] = 435797,
  [SMALL_STATE(8462)] = 435843,
  [SMALL_STATE(8463)] = 435889,
  [SMALL_STATE(8464)] = 435971,
  [SMALL_STATE(8465)] = 436053,
  [SMALL_STATE(8466)] = 436135,
  [SMALL_STATE(8467)] = 436217,
  [SMALL_STATE(8468)] = 436265,
  [SMALL_STATE(8469)] = 436311,
  [SMALL_STATE(8470)] = 436357,
  [SMALL_STATE(8471)] = 436403,
  [SMALL_STATE(8472)] = 436449,
  [SMALL_STATE(8473)] = 436495,
  [SMALL_STATE(8474)] = 436577,
  [SMALL_STATE(8475)] = 436659,
  [SMALL_STATE(8476)] = 436705,
  [SMALL_STATE(8477)] = 436751,
  [SMALL_STATE(8478)] = 436797,
  [SMALL_STATE(8479)] = 436843,
  [SMALL_STATE(8480)] = 436889,
  [SMALL_STATE(8481)] = 436971,
  [SMALL_STATE(8482)] = 437053,
  [SMALL_STATE(8483)] = 437099,
  [SMALL_STATE(8484)] = 437145,
  [SMALL_STATE(8485)] = 437191,
  [SMALL_STATE(8486)] = 437237,
  [SMALL_STATE(8487)] = 437319,
  [SMALL_STATE(8488)] = 437365,
  [SMALL_STATE(8489)] = 437411,
  [SMALL_STATE(8490)] = 437493,
  [SMALL_STATE(8491)] = 437539,
  [SMALL_STATE(8492)] = 437621,
  [SMALL_STATE(8493)] = 437703,
  [SMALL_STATE(8494)] = 437753,
  [SMALL_STATE(8495)] = 437835,
  [SMALL_STATE(8496)] = 437885,
  [SMALL_STATE(8497)] = 437931,
  [SMALL_STATE(8498)] = 438013,
  [SMALL_STATE(8499)] = 438077,
  [SMALL_STATE(8500)] = 438133,
  [SMALL_STATE(8501)] = 438215,
  [SMALL_STATE(8502)] = 438265,
  [SMALL_STATE(8503)] = 438315,
  [SMALL_STATE(8504)] = 438373,
  [SMALL_STATE(8505)] = 438431,
  [SMALL_STATE(8506)] = 438493,
  [SMALL_STATE(8507)] = 438557,
  [SMALL_STATE(8508)] = 438625,
  [SMALL_STATE(8509)] = 438677,
  [SMALL_STATE(8510)] = 438745,
  [SMALL_STATE(8511)] = 438827,
  [SMALL_STATE(8512)] = 438909,
  [SMALL_STATE(8513)] = 438977,
  [SMALL_STATE(8514)] = 439059,
  [SMALL_STATE(8515)] = 439141,
  [SMALL_STATE(8516)] = 439223,
  [SMALL_STATE(8517)] = 439305,
  [SMALL_STATE(8518)] = 439387,
  [SMALL_STATE(8519)] = 439469,
  [SMALL_STATE(8520)] = 439551,
  [SMALL_STATE(8521)] = 439633,
  [SMALL_STATE(8522)] = 439683,
  [SMALL_STATE(8523)] = 439765,
  [SMALL_STATE(8524)] = 439847,
  [SMALL_STATE(8525)] = 439929,
  [SMALL_STATE(8526)] = 439977,
  [SMALL_STATE(8527)] = 440059,
  [SMALL_STATE(8528)] = 440141,
  [SMALL_STATE(8529)] = 440187,
  [SMALL_STATE(8530)] = 440235,
  [SMALL_STATE(8531)] = 440317,
  [SMALL_STATE(8532)] = 440367,
  [SMALL_STATE(8533)] = 440413,
  [SMALL_STATE(8534)] = 440495,
  [SMALL_STATE(8535)] = 440541,
  [SMALL_STATE(8536)] = 440623,
  [SMALL_STATE(8537)] = 440705,
  [SMALL_STATE(8538)] = 440787,
  [SMALL_STATE(8539)] = 440833,
  [SMALL_STATE(8540)] = 440883,
  [SMALL_STATE(8541)] = 440931,
  [SMALL_STATE(8542)] = 440977,
  [SMALL_STATE(8543)] = 441059,
  [SMALL_STATE(8544)] = 441141,
  [SMALL_STATE(8545)] = 441223,
  [SMALL_STATE(8546)] = 441305,
  [SMALL_STATE(8547)] = 441351,
  [SMALL_STATE(8548)] = 441433,
  [SMALL_STATE(8549)] = 441515,
  [SMALL_STATE(8550)] = 441597,
  [SMALL_STATE(8551)] = 441643,
  [SMALL_STATE(8552)] = 441725,
  [SMALL_STATE(8553)] = 441807,
  [SMALL_STATE(8554)] = 441889,
  [SMALL_STATE(8555)] = 441971,
  [SMALL_STATE(8556)] = 442053,
  [SMALL_STATE(8557)] = 442099,
  [SMALL_STATE(8558)] = 442145,
  [SMALL_STATE(8559)] = 442191,
  [SMALL_STATE(8560)] = 442237,
  [SMALL_STATE(8561)] = 442283,
  [SMALL_STATE(8562)] = 442365,
  [SMALL_STATE(8563)] = 442447,
  [SMALL_STATE(8564)] = 442529,
  [SMALL_STATE(8565)] = 442575,
  [SMALL_STATE(8566)] = 442657,
  [SMALL_STATE(8567)] = 442739,
  [SMALL_STATE(8568)] = 442821,
  [SMALL_STATE(8569)] = 442903,
  [SMALL_STATE(8570)] = 442985,
  [SMALL_STATE(8571)] = 443067,
  [SMALL_STATE(8572)] = 443113,
  [SMALL_STATE(8573)] = 443195,
  [SMALL_STATE(8574)] = 443277,
  [SMALL_STATE(8575)] = 443323,
  [SMALL_STATE(8576)] = 443405,
  [SMALL_STATE(8577)] = 443451,
  [SMALL_STATE(8578)] = 443497,
  [SMALL_STATE(8579)] = 443579,
  [SMALL_STATE(8580)] = 443661,
  [SMALL_STATE(8581)] = 443707,
  [SMALL_STATE(8582)] = 443789,
  [SMALL_STATE(8583)] = 443871,
  [SMALL_STATE(8584)] = 443917,
  [SMALL_STATE(8585)] = 443999,
  [SMALL_STATE(8586)] = 444081,
  [SMALL_STATE(8587)] = 444163,
  [SMALL_STATE(8588)] = 444245,
  [SMALL_STATE(8589)] = 444327,
  [SMALL_STATE(8590)] = 444409,
  [SMALL_STATE(8591)] = 444491,
  [SMALL_STATE(8592)] = 444573,
  [SMALL_STATE(8593)] = 444655,
  [SMALL_STATE(8594)] = 444737,
  [SMALL_STATE(8595)] = 444819,
  [SMALL_STATE(8596)] = 444901,
  [SMALL_STATE(8597)] = 444983,
  [SMALL_STATE(8598)] = 445065,
  [SMALL_STATE(8599)] = 445147,
  [SMALL_STATE(8600)] = 445229,
  [SMALL_STATE(8601)] = 445311,
  [SMALL_STATE(8602)] = 445381,
  [SMALL_STATE(8603)] = 445463,
  [SMALL_STATE(8604)] = 445509,
  [SMALL_STATE(8605)] = 445591,
  [SMALL_STATE(8606)] = 445673,
  [SMALL_STATE(8607)] = 445755,
  [SMALL_STATE(8608)] = 445837,
  [SMALL_STATE(8609)] = 445919,
  [SMALL_STATE(8610)] = 446001,
  [SMALL_STATE(8611)] = 446083,
  [SMALL_STATE(8612)] = 446165,
  [SMALL_STATE(8613)] = 446247,
  [SMALL_STATE(8614)] = 446329,
  [SMALL_STATE(8615)] = 446411,
  [SMALL_STATE(8616)] = 446493,
  [SMALL_STATE(8617)] = 446575,
  [SMALL_STATE(8618)] = 446657,
  [SMALL_STATE(8619)] = 446739,
  [SMALL_STATE(8620)] = 446821,
  [SMALL_STATE(8621)] = 446903,
  [SMALL_STATE(8622)] = 446985,
  [SMALL_STATE(8623)] = 447067,
  [SMALL_STATE(8624)] = 447149,
  [SMALL_STATE(8625)] = 447231,
  [SMALL_STATE(8626)] = 447313,
  [SMALL_STATE(8627)] = 447395,
  [SMALL_STATE(8628)] = 447477,
  [SMALL_STATE(8629)] = 447559,
  [SMALL_STATE(8630)] = 447641,
  [SMALL_STATE(8631)] = 447723,
  [SMALL_STATE(8632)] = 447805,
  [SMALL_STATE(8633)] = 447887,
  [SMALL_STATE(8634)] = 447969,
  [SMALL_STATE(8635)] = 448051,
  [SMALL_STATE(8636)] = 448133,
  [SMALL_STATE(8637)] = 448215,
  [SMALL_STATE(8638)] = 448297,
  [SMALL_STATE(8639)] = 448379,
  [SMALL_STATE(8640)] = 448461,
  [SMALL_STATE(8641)] = 448543,
  [SMALL_STATE(8642)] = 448625,
  [SMALL_STATE(8643)] = 448707,
  [SMALL_STATE(8644)] = 448789,
  [SMALL_STATE(8645)] = 448871,
  [SMALL_STATE(8646)] = 448953,
  [SMALL_STATE(8647)] = 449035,
  [SMALL_STATE(8648)] = 449117,
  [SMALL_STATE(8649)] = 449199,
  [SMALL_STATE(8650)] = 449281,
  [SMALL_STATE(8651)] = 449363,
  [SMALL_STATE(8652)] = 449445,
  [SMALL_STATE(8653)] = 449527,
  [SMALL_STATE(8654)] = 449609,
  [SMALL_STATE(8655)] = 449691,
  [SMALL_STATE(8656)] = 449773,
  [SMALL_STATE(8657)] = 449855,
  [SMALL_STATE(8658)] = 449937,
  [SMALL_STATE(8659)] = 450019,
  [SMALL_STATE(8660)] = 450101,
  [SMALL_STATE(8661)] = 450183,
  [SMALL_STATE(8662)] = 450265,
  [SMALL_STATE(8663)] = 450347,
  [SMALL_STATE(8664)] = 450429,
  [SMALL_STATE(8665)] = 450511,
  [SMALL_STATE(8666)] = 450593,
  [SMALL_STATE(8667)] = 450675,
  [SMALL_STATE(8668)] = 450757,
  [SMALL_STATE(8669)] = 450839,
  [SMALL_STATE(8670)] = 450921,
  [SMALL_STATE(8671)] = 451003,
  [SMALL_STATE(8672)] = 451085,
  [SMALL_STATE(8673)] = 451167,
  [SMALL_STATE(8674)] = 451249,
  [SMALL_STATE(8675)] = 451331,
  [SMALL_STATE(8676)] = 451377,
  [SMALL_STATE(8677)] = 451445,
  [SMALL_STATE(8678)] = 451527,
  [SMALL_STATE(8679)] = 451609,
  [SMALL_STATE(8680)] = 451679,
  [SMALL_STATE(8681)] = 451725,
  [SMALL_STATE(8682)] = 451771,
  [SMALL_STATE(8683)] = 451817,
  [SMALL_STATE(8684)] = 451865,
  [SMALL_STATE(8685)] = 451947,
  [SMALL_STATE(8686)] = 451993,
  [SMALL_STATE(8687)] = 452039,
  [SMALL_STATE(8688)] = 452121,
  [SMALL_STATE(8689)] = 452203,
  [SMALL_STATE(8690)] = 452249,
  [SMALL_STATE(8691)] = 452295,
  [SMALL_STATE(8692)] = 452341,
  [SMALL_STATE(8693)] = 452387,
  [SMALL_STATE(8694)] = 452433,
  [SMALL_STATE(8695)] = 452479,
  [SMALL_STATE(8696)] = 452524,
  [SMALL_STATE(8697)] = 452569,
  [SMALL_STATE(8698)] = 452638,
  [SMALL_STATE(8699)] = 452683,
  [SMALL_STATE(8700)] = 452728,
  [SMALL_STATE(8701)] = 452773,
  [SMALL_STATE(8702)] = 452820,
  [SMALL_STATE(8703)] = 452869,
  [SMALL_STATE(8704)] = 452914,
  [SMALL_STATE(8705)] = 452961,
  [SMALL_STATE(8706)] = 453006,
  [SMALL_STATE(8707)] = 453051,
  [SMALL_STATE(8708)] = 453128,
  [SMALL_STATE(8709)] = 453189,
  [SMALL_STATE(8710)] = 453234,
  [SMALL_STATE(8711)] = 453279,
  [SMALL_STATE(8712)] = 453324,
  [SMALL_STATE(8713)] = 453369,
  [SMALL_STATE(8714)] = 453414,
  [SMALL_STATE(8715)] = 453459,
  [SMALL_STATE(8716)] = 453504,
  [SMALL_STATE(8717)] = 453549,
  [SMALL_STATE(8718)] = 453610,
  [SMALL_STATE(8719)] = 453679,
  [SMALL_STATE(8720)] = 453756,
  [SMALL_STATE(8721)] = 453801,
  [SMALL_STATE(8722)] = 453846,
  [SMALL_STATE(8723)] = 453891,
  [SMALL_STATE(8724)] = 453936,
  [SMALL_STATE(8725)] = 453981,
  [SMALL_STATE(8726)] = 454026,
  [SMALL_STATE(8727)] = 454071,
  [SMALL_STATE(8728)] = 454116,
  [SMALL_STATE(8729)] = 454161,
  [SMALL_STATE(8730)] = 454208,
  [SMALL_STATE(8731)] = 454253,
  [SMALL_STATE(8732)] = 454298,
  [SMALL_STATE(8733)] = 454343,
  [SMALL_STATE(8734)] = 454388,
  [SMALL_STATE(8735)] = 454433,
  [SMALL_STATE(8736)] = 454478,
  [SMALL_STATE(8737)] = 454523,
  [SMALL_STATE(8738)] = 454584,
  [SMALL_STATE(8739)] = 454629,
  [SMALL_STATE(8740)] = 454674,
  [SMALL_STATE(8741)] = 454719,
  [SMALL_STATE(8742)] = 454764,
  [SMALL_STATE(8743)] = 454809,
  [SMALL_STATE(8744)] = 454854,
  [SMALL_STATE(8745)] = 454899,
  [SMALL_STATE(8746)] = 454944,
  [SMALL_STATE(8747)] = 454989,
  [SMALL_STATE(8748)] = 455034,
  [SMALL_STATE(8749)] = 455079,
  [SMALL_STATE(8750)] = 455124,
  [SMALL_STATE(8751)] = 455169,
  [SMALL_STATE(8752)] = 455214,
  [SMALL_STATE(8753)] = 455259,
  [SMALL_STATE(8754)] = 455304,
  [SMALL_STATE(8755)] = 455349,
  [SMALL_STATE(8756)] = 455403,
  [SMALL_STATE(8757)] = 455457,
  [SMALL_STATE(8758)] = 455501,
  [SMALL_STATE(8759)] = 455545,
  [SMALL_STATE(8760)] = 455589,
  [SMALL_STATE(8761)] = 455633,
  [SMALL_STATE(8762)] = 455677,
  [SMALL_STATE(8763)] = 455721,
  [SMALL_STATE(8764)] = 455775,
  [SMALL_STATE(8765)] = 455829,
  [SMALL_STATE(8766)] = 455883,
  [SMALL_STATE(8767)] = 455957,
  [SMALL_STATE(8768)] = 456001,
  [SMALL_STATE(8769)] = 456045,
  [SMALL_STATE(8770)] = 456117,
  [SMALL_STATE(8771)] = 456161,
  [SMALL_STATE(8772)] = 456205,
  [SMALL_STATE(8773)] = 456249,
  [SMALL_STATE(8774)] = 456293,
  [SMALL_STATE(8775)] = 456367,
  [SMALL_STATE(8776)] = 456439,
  [SMALL_STATE(8777)] = 456493,
  [SMALL_STATE(8778)] = 456570,
  [SMALL_STATE(8779)] = 456615,
  [SMALL_STATE(8780)] = 456686,
  [SMALL_STATE(8781)] = 456757,
  [SMALL_STATE(8782)] = 456834,
  [SMALL_STATE(8783)] = 456911,
  [SMALL_STATE(8784)] = 456988,
  [SMALL_STATE(8785)] = 457065,
  [SMALL_STATE(8786)] = 457142,
  [SMALL_STATE(8787)] = 457219,
  [SMALL_STATE(8788)] = 457296,
  [SMALL_STATE(8789)] = 457373,
  [SMALL_STATE(8790)] = 457450,
  [SMALL_STATE(8791)] = 457527,
  [SMALL_STATE(8792)] = 457604,
  [SMALL_STATE(8793)] = 457681,
  [SMALL_STATE(8794)] = 457758,
  [SMALL_STATE(8795)] = 457835,
  [SMALL_STATE(8796)] = 457912,
  [SMALL_STATE(8797)] = 457989,
  [SMALL_STATE(8798)] = 458066,
  [SMALL_STATE(8799)] = 458143,
  [SMALL_STATE(8800)] = 458220,
  [SMALL_STATE(8801)] = 458297,
  [SMALL_STATE(8802)] = 458350,
  [SMALL_STATE(8803)] = 458427,
  [SMALL_STATE(8804)] = 458504,
  [SMALL_STATE(8805)] = 458581,
  [SMALL_STATE(8806)] = 458658,
  [SMALL_STATE(8807)] = 458717,
  [SMALL_STATE(8808)] = 458788,
  [SMALL_STATE(8809)] = 458847,
  [SMALL_STATE(8810)] = 458890,
  [SMALL_STATE(8811)] = 458949,
  [SMALL_STATE(8812)] = 459026,
  [SMALL_STATE(8813)] = 459103,
  [SMALL_STATE(8814)] = 459180,
  [SMALL_STATE(8815)] = 459257,
  [SMALL_STATE(8816)] = 459334,
  [SMALL_STATE(8817)] = 459411,
  [SMALL_STATE(8818)] = 459488,
  [SMALL_STATE(8819)] = 459565,
  [SMALL_STATE(8820)] = 459636,
  [SMALL_STATE(8821)] = 459695,
  [SMALL_STATE(8822)] = 459772,
  [SMALL_STATE(8823)] = 459849,
  [SMALL_STATE(8824)] = 459926,
  [SMALL_STATE(8825)] = 459971,
  [SMALL_STATE(8826)] = 460014,
  [SMALL_STATE(8827)] = 460091,
  [SMALL_STATE(8828)] = 460168,
  [SMALL_STATE(8829)] = 460227,
  [SMALL_STATE(8830)] = 460304,
  [SMALL_STATE(8831)] = 460357,
  [SMALL_STATE(8832)] = 460399,
  [SMALL_STATE(8833)] = 460441,
  [SMALL_STATE(8834)] = 460483,
  [SMALL_STATE(8835)] = 460525,
  [SMALL_STATE(8836)] = 460567,
  [SMALL_STATE(8837)] = 460609,
  [SMALL_STATE(8838)] = 460651,
  [SMALL_STATE(8839)] = 460723,
  [SMALL_STATE(8840)] = 460765,
  [SMALL_STATE(8841)] = 460807,
  [SMALL_STATE(8842)] = 460849,
  [SMALL_STATE(8843)] = 460891,
  [SMALL_STATE(8844)] = 460963,
  [SMALL_STATE(8845)] = 461005,
  [SMALL_STATE(8846)] = 461057,
  [SMALL_STATE(8847)] = 461129,
  [SMALL_STATE(8848)] = 461201,
  [SMALL_STATE(8849)] = 461273,
  [SMALL_STATE(8850)] = 461315,
  [SMALL_STATE(8851)] = 461367,
  [SMALL_STATE(8852)] = 461439,
  [SMALL_STATE(8853)] = 461511,
  [SMALL_STATE(8854)] = 461569,
  [SMALL_STATE(8855)] = 461641,
  [SMALL_STATE(8856)] = 461713,
  [SMALL_STATE(8857)] = 461781,
  [SMALL_STATE(8858)] = 461853,
  [SMALL_STATE(8859)] = 461925,
  [SMALL_STATE(8860)] = 461997,
  [SMALL_STATE(8861)] = 462069,
  [SMALL_STATE(8862)] = 462141,
  [SMALL_STATE(8863)] = 462183,
  [SMALL_STATE(8864)] = 462225,
  [SMALL_STATE(8865)] = 462267,
  [SMALL_STATE(8866)] = 462309,
  [SMALL_STATE(8867)] = 462351,
  [SMALL_STATE(8868)] = 462393,
  [SMALL_STATE(8869)] = 462435,
  [SMALL_STATE(8870)] = 462477,
  [SMALL_STATE(8871)] = 462519,
  [SMALL_STATE(8872)] = 462561,
  [SMALL_STATE(8873)] = 462603,
  [SMALL_STATE(8874)] = 462645,
  [SMALL_STATE(8875)] = 462687,
  [SMALL_STATE(8876)] = 462729,
  [SMALL_STATE(8877)] = 462771,
  [SMALL_STATE(8878)] = 462813,
  [SMALL_STATE(8879)] = 462855,
  [SMALL_STATE(8880)] = 462897,
  [SMALL_STATE(8881)] = 462939,
  [SMALL_STATE(8882)] = 462981,
  [SMALL_STATE(8883)] = 463053,
  [SMALL_STATE(8884)] = 463125,
  [SMALL_STATE(8885)] = 463167,
  [SMALL_STATE(8886)] = 463209,
  [SMALL_STATE(8887)] = 463251,
  [SMALL_STATE(8888)] = 463293,
  [SMALL_STATE(8889)] = 463335,
  [SMALL_STATE(8890)] = 463407,
  [SMALL_STATE(8891)] = 463449,
  [SMALL_STATE(8892)] = 463491,
  [SMALL_STATE(8893)] = 463543,
  [SMALL_STATE(8894)] = 463595,
  [SMALL_STATE(8895)] = 463647,
  [SMALL_STATE(8896)] = 463689,
  [SMALL_STATE(8897)] = 463737,
  [SMALL_STATE(8898)] = 463779,
  [SMALL_STATE(8899)] = 463821,
  [SMALL_STATE(8900)] = 463863,
  [SMALL_STATE(8901)] = 463905,
  [SMALL_STATE(8902)] = 463947,
  [SMALL_STATE(8903)] = 463989,
  [SMALL_STATE(8904)] = 464031,
  [SMALL_STATE(8905)] = 464073,
  [SMALL_STATE(8906)] = 464125,
  [SMALL_STATE(8907)] = 464197,
  [SMALL_STATE(8908)] = 464269,
  [SMALL_STATE(8909)] = 464341,
  [SMALL_STATE(8910)] = 464393,
  [SMALL_STATE(8911)] = 464465,
  [SMALL_STATE(8912)] = 464537,
  [SMALL_STATE(8913)] = 464581,
  [SMALL_STATE(8914)] = 464653,
  [SMALL_STATE(8915)] = 464725,
  [SMALL_STATE(8916)] = 464797,
  [SMALL_STATE(8917)] = 464869,
  [SMALL_STATE(8918)] = 464941,
  [SMALL_STATE(8919)] = 465013,
  [SMALL_STATE(8920)] = 465085,
  [SMALL_STATE(8921)] = 465157,
  [SMALL_STATE(8922)] = 465199,
  [SMALL_STATE(8923)] = 465241,
  [SMALL_STATE(8924)] = 465283,
  [SMALL_STATE(8925)] = 465325,
  [SMALL_STATE(8926)] = 465367,
  [SMALL_STATE(8927)] = 465439,
  [SMALL_STATE(8928)] = 465511,
  [SMALL_STATE(8929)] = 465583,
  [SMALL_STATE(8930)] = 465655,
  [SMALL_STATE(8931)] = 465727,
  [SMALL_STATE(8932)] = 465799,
  [SMALL_STATE(8933)] = 465871,
  [SMALL_STATE(8934)] = 465913,
  [SMALL_STATE(8935)] = 465985,
  [SMALL_STATE(8936)] = 466027,
  [SMALL_STATE(8937)] = 466069,
  [SMALL_STATE(8938)] = 466141,
  [SMALL_STATE(8939)] = 466183,
  [SMALL_STATE(8940)] = 466255,
  [SMALL_STATE(8941)] = 466327,
  [SMALL_STATE(8942)] = 466399,
  [SMALL_STATE(8943)] = 466471,
  [SMALL_STATE(8944)] = 466513,
  [SMALL_STATE(8945)] = 466585,
  [SMALL_STATE(8946)] = 466657,
  [SMALL_STATE(8947)] = 466729,
  [SMALL_STATE(8948)] = 466775,
  [SMALL_STATE(8949)] = 466847,
  [SMALL_STATE(8950)] = 466889,
  [SMALL_STATE(8951)] = 466961,
  [SMALL_STATE(8952)] = 467003,
  [SMALL_STATE(8953)] = 467075,
  [SMALL_STATE(8954)] = 467117,
  [SMALL_STATE(8955)] = 467159,
  [SMALL_STATE(8956)] = 467231,
  [SMALL_STATE(8957)] = 467303,
  [SMALL_STATE(8958)] = 467375,
  [SMALL_STATE(8959)] = 467433,
  [SMALL_STATE(8960)] = 467491,
  [SMALL_STATE(8961)] = 467533,
  [SMALL_STATE(8962)] = 467575,
  [SMALL_STATE(8963)] = 467617,
  [SMALL_STATE(8964)] = 467659,
  [SMALL_STATE(8965)] = 467701,
  [SMALL_STATE(8966)] = 467743,
  [SMALL_STATE(8967)] = 467785,
  [SMALL_STATE(8968)] = 467857,
  [SMALL_STATE(8969)] = 467899,
  [SMALL_STATE(8970)] = 467971,
  [SMALL_STATE(8971)] = 468013,
  [SMALL_STATE(8972)] = 468085,
  [SMALL_STATE(8973)] = 468127,
  [SMALL_STATE(8974)] = 468199,
  [SMALL_STATE(8975)] = 468241,
  [SMALL_STATE(8976)] = 468313,
  [SMALL_STATE(8977)] = 468385,
  [SMALL_STATE(8978)] = 468443,
  [SMALL_STATE(8979)] = 468491,
  [SMALL_STATE(8980)] = 468563,
  [SMALL_STATE(8981)] = 468635,
  [SMALL_STATE(8982)] = 468707,
  [SMALL_STATE(8983)] = 468749,
  [SMALL_STATE(8984)] = 468791,
  [SMALL_STATE(8985)] = 468849,
  [SMALL_STATE(8986)] = 468891,
  [SMALL_STATE(8987)] = 468949,
  [SMALL_STATE(8988)] = 469021,
  [SMALL_STATE(8989)] = 469093,
  [SMALL_STATE(8990)] = 469165,
  [SMALL_STATE(8991)] = 469207,
  [SMALL_STATE(8992)] = 469279,
  [SMALL_STATE(8993)] = 469337,
  [SMALL_STATE(8994)] = 469409,
  [SMALL_STATE(8995)] = 469481,
  [SMALL_STATE(8996)] = 469553,
  [SMALL_STATE(8997)] = 469625,
  [SMALL_STATE(8998)] = 469697,
  [SMALL_STATE(8999)] = 469769,
  [SMALL_STATE(9000)] = 469841,
  [SMALL_STATE(9001)] = 469913,
  [SMALL_STATE(9002)] = 469985,
  [SMALL_STATE(9003)] = 470057,
  [SMALL_STATE(9004)] = 470129,
  [SMALL_STATE(9005)] = 470201,
  [SMALL_STATE(9006)] = 470273,
  [SMALL_STATE(9007)] = 470345,
  [SMALL_STATE(9008)] = 470417,
  [SMALL_STATE(9009)] = 470489,
  [SMALL_STATE(9010)] = 470561,
  [SMALL_STATE(9011)] = 470633,
  [SMALL_STATE(9012)] = 470675,
  [SMALL_STATE(9013)] = 470747,
  [SMALL_STATE(9014)] = 470789,
  [SMALL_STATE(9015)] = 470861,
  [SMALL_STATE(9016)] = 470933,
  [SMALL_STATE(9017)] = 470985,
  [SMALL_STATE(9018)] = 471057,
  [SMALL_STATE(9019)] = 471129,
  [SMALL_STATE(9020)] = 471171,
  [SMALL_STATE(9021)] = 471243,
  [SMALL_STATE(9022)] = 471285,
  [SMALL_STATE(9023)] = 471327,
  [SMALL_STATE(9024)] = 471369,
  [SMALL_STATE(9025)] = 471411,
  [SMALL_STATE(9026)] = 471453,
  [SMALL_STATE(9027)] = 471525,
  [SMALL_STATE(9028)] = 471597,
  [SMALL_STATE(9029)] = 471639,
  [SMALL_STATE(9030)] = 471711,
  [SMALL_STATE(9031)] = 471753,
  [SMALL_STATE(9032)] = 471825,
  [SMALL_STATE(9033)] = 471867,
  [SMALL_STATE(9034)] = 471939,
  [SMALL_STATE(9035)] = 472011,
  [SMALL_STATE(9036)] = 472053,
  [SMALL_STATE(9037)] = 472125,
  [SMALL_STATE(9038)] = 472197,
  [SMALL_STATE(9039)] = 472239,
  [SMALL_STATE(9040)] = 472281,
  [SMALL_STATE(9041)] = 472353,
  [SMALL_STATE(9042)] = 472425,
  [SMALL_STATE(9043)] = 472497,
  [SMALL_STATE(9044)] = 472539,
  [SMALL_STATE(9045)] = 472581,
  [SMALL_STATE(9046)] = 472623,
  [SMALL_STATE(9047)] = 472695,
  [SMALL_STATE(9048)] = 472737,
  [SMALL_STATE(9049)] = 472809,
  [SMALL_STATE(9050)] = 472881,
  [SMALL_STATE(9051)] = 472953,
  [SMALL_STATE(9052)] = 473025,
  [SMALL_STATE(9053)] = 473067,
  [SMALL_STATE(9054)] = 473109,
  [SMALL_STATE(9055)] = 473181,
  [SMALL_STATE(9056)] = 473253,
  [SMALL_STATE(9057)] = 473295,
  [SMALL_STATE(9058)] = 473337,
  [SMALL_STATE(9059)] = 473379,
  [SMALL_STATE(9060)] = 473451,
  [SMALL_STATE(9061)] = 473493,
  [SMALL_STATE(9062)] = 473535,
  [SMALL_STATE(9063)] = 473607,
  [SMALL_STATE(9064)] = 473679,
  [SMALL_STATE(9065)] = 473721,
  [SMALL_STATE(9066)] = 473793,
  [SMALL_STATE(9067)] = 473835,
  [SMALL_STATE(9068)] = 473877,
  [SMALL_STATE(9069)] = 473919,
  [SMALL_STATE(9070)] = 473991,
  [SMALL_STATE(9071)] = 474063,
  [SMALL_STATE(9072)] = 474115,
  [SMALL_STATE(9073)] = 474157,
  [SMALL_STATE(9074)] = 474199,
  [SMALL_STATE(9075)] = 474241,
  [SMALL_STATE(9076)] = 474313,
  [SMALL_STATE(9077)] = 474355,
  [SMALL_STATE(9078)] = 474397,
  [SMALL_STATE(9079)] = 474469,
  [SMALL_STATE(9080)] = 474511,
  [SMALL_STATE(9081)] = 474583,
  [SMALL_STATE(9082)] = 474655,
  [SMALL_STATE(9083)] = 474697,
  [SMALL_STATE(9084)] = 474769,
  [SMALL_STATE(9085)] = 474811,
  [SMALL_STATE(9086)] = 474853,
  [SMALL_STATE(9087)] = 474925,
  [SMALL_STATE(9088)] = 474997,
  [SMALL_STATE(9089)] = 475069,
  [SMALL_STATE(9090)] = 475141,
  [SMALL_STATE(9091)] = 475213,
  [SMALL_STATE(9092)] = 475285,
  [SMALL_STATE(9093)] = 475357,
  [SMALL_STATE(9094)] = 475409,
  [SMALL_STATE(9095)] = 475451,
  [SMALL_STATE(9096)] = 475509,
  [SMALL_STATE(9097)] = 475551,
  [SMALL_STATE(9098)] = 475593,
  [SMALL_STATE(9099)] = 475665,
  [SMALL_STATE(9100)] = 475723,
  [SMALL_STATE(9101)] = 475795,
  [SMALL_STATE(9102)] = 475837,
  [SMALL_STATE(9103)] = 475909,
  [SMALL_STATE(9104)] = 475981,
  [SMALL_STATE(9105)] = 476053,
  [SMALL_STATE(9106)] = 476095,
  [SMALL_STATE(9107)] = 476167,
  [SMALL_STATE(9108)] = 476239,
  [SMALL_STATE(9109)] = 476281,
  [SMALL_STATE(9110)] = 476325,
  [SMALL_STATE(9111)] = 476397,
  [SMALL_STATE(9112)] = 476469,
  [SMALL_STATE(9113)] = 476537,
  [SMALL_STATE(9114)] = 476609,
  [SMALL_STATE(9115)] = 476651,
  [SMALL_STATE(9116)] = 476695,
  [SMALL_STATE(9117)] = 476737,
  [SMALL_STATE(9118)] = 476779,
  [SMALL_STATE(9119)] = 476821,
  [SMALL_STATE(9120)] = 476863,
  [SMALL_STATE(9121)] = 476921,
  [SMALL_STATE(9122)] = 476963,
  [SMALL_STATE(9123)] = 477035,
  [SMALL_STATE(9124)] = 477107,
  [SMALL_STATE(9125)] = 477149,
  [SMALL_STATE(9126)] = 477221,
  [SMALL_STATE(9127)] = 477293,
  [SMALL_STATE(9128)] = 477335,
  [SMALL_STATE(9129)] = 477377,
  [SMALL_STATE(9130)] = 477449,
  [SMALL_STATE(9131)] = 477521,
  [SMALL_STATE(9132)] = 477593,
  [SMALL_STATE(9133)] = 477635,
  [SMALL_STATE(9134)] = 477677,
  [SMALL_STATE(9135)] = 477719,
  [SMALL_STATE(9136)] = 477777,
  [SMALL_STATE(9137)] = 477849,
  [SMALL_STATE(9138)] = 477921,
  [SMALL_STATE(9139)] = 477963,
  [SMALL_STATE(9140)] = 478005,
  [SMALL_STATE(9141)] = 478063,
  [SMALL_STATE(9142)] = 478105,
  [SMALL_STATE(9143)] = 478147,
  [SMALL_STATE(9144)] = 478189,
  [SMALL_STATE(9145)] = 478252,
  [SMALL_STATE(9146)] = 478293,
  [SMALL_STATE(9147)] = 478334,
  [SMALL_STATE(9148)] = 478375,
  [SMALL_STATE(9149)] = 478432,
  [SMALL_STATE(9150)] = 478473,
  [SMALL_STATE(9151)] = 478514,
  [SMALL_STATE(9152)] = 478555,
  [SMALL_STATE(9153)] = 478596,
  [SMALL_STATE(9154)] = 478647,
  [SMALL_STATE(9155)] = 478688,
  [SMALL_STATE(9156)] = 478745,
  [SMALL_STATE(9157)] = 478786,
  [SMALL_STATE(9158)] = 478837,
  [SMALL_STATE(9159)] = 478882,
  [SMALL_STATE(9160)] = 478923,
  [SMALL_STATE(9161)] = 478964,
  [SMALL_STATE(9162)] = 479009,
  [SMALL_STATE(9163)] = 479050,
  [SMALL_STATE(9164)] = 479105,
  [SMALL_STATE(9165)] = 479146,
  [SMALL_STATE(9166)] = 479189,
  [SMALL_STATE(9167)] = 479258,
  [SMALL_STATE(9168)] = 479299,
  [SMALL_STATE(9169)] = 479340,
  [SMALL_STATE(9170)] = 479381,
  [SMALL_STATE(9171)] = 479422,
  [SMALL_STATE(9172)] = 479463,
  [SMALL_STATE(9173)] = 479504,
  [SMALL_STATE(9174)] = 479545,
  [SMALL_STATE(9175)] = 479590,
  [SMALL_STATE(9176)] = 479635,
  [SMALL_STATE(9177)] = 479680,
  [SMALL_STATE(9178)] = 479721,
  [SMALL_STATE(9179)] = 479766,
  [SMALL_STATE(9180)] = 479809,
  [SMALL_STATE(9181)] = 479850,
  [SMALL_STATE(9182)] = 479891,
  [SMALL_STATE(9183)] = 479946,
  [SMALL_STATE(9184)] = 479987,
  [SMALL_STATE(9185)] = 480028,
  [SMALL_STATE(9186)] = 480069,
  [SMALL_STATE(9187)] = 480124,
  [SMALL_STATE(9188)] = 480165,
  [SMALL_STATE(9189)] = 480206,
  [SMALL_STATE(9190)] = 480249,
  [SMALL_STATE(9191)] = 480304,
  [SMALL_STATE(9192)] = 480345,
  [SMALL_STATE(9193)] = 480386,
  [SMALL_STATE(9194)] = 480447,
  [SMALL_STATE(9195)] = 480490,
  [SMALL_STATE(9196)] = 480535,
  [SMALL_STATE(9197)] = 480576,
  [SMALL_STATE(9198)] = 480617,
  [SMALL_STATE(9199)] = 480658,
  [SMALL_STATE(9200)] = 480715,
  [SMALL_STATE(9201)] = 480772,
  [SMALL_STATE(9202)] = 480813,
  [SMALL_STATE(9203)] = 480858,
  [SMALL_STATE(9204)] = 480899,
  [SMALL_STATE(9205)] = 480942,
  [SMALL_STATE(9206)] = 481001,
  [SMALL_STATE(9207)] = 481060,
  [SMALL_STATE(9208)] = 481121,
  [SMALL_STATE(9209)] = 481178,
  [SMALL_STATE(9210)] = 481229,
  [SMALL_STATE(9211)] = 481270,
  [SMALL_STATE(9212)] = 481311,
  [SMALL_STATE(9213)] = 481356,
  [SMALL_STATE(9214)] = 481413,
  [SMALL_STATE(9215)] = 481470,
  [SMALL_STATE(9216)] = 481515,
  [SMALL_STATE(9217)] = 481568,
  [SMALL_STATE(9218)] = 481621,
  [SMALL_STATE(9219)] = 481678,
  [SMALL_STATE(9220)] = 481737,
  [SMALL_STATE(9221)] = 481794,
  [SMALL_STATE(9222)] = 481835,
  [SMALL_STATE(9223)] = 481898,
  [SMALL_STATE(9224)] = 481945,
  [SMALL_STATE(9225)] = 482004,
  [SMALL_STATE(9226)] = 482067,
  [SMALL_STATE(9227)] = 482124,
  [SMALL_STATE(9228)] = 482165,
  [SMALL_STATE(9229)] = 482206,
  [SMALL_STATE(9230)] = 482247,
  [SMALL_STATE(9231)] = 482288,
  [SMALL_STATE(9232)] = 482329,
  [SMALL_STATE(9233)] = 482370,
  [SMALL_STATE(9234)] = 482411,
  [SMALL_STATE(9235)] = 482452,
  [SMALL_STATE(9236)] = 482495,
  [SMALL_STATE(9237)] = 482536,
  [SMALL_STATE(9238)] = 482591,
  [SMALL_STATE(9239)] = 482656,
  [SMALL_STATE(9240)] = 482697,
  [SMALL_STATE(9241)] = 482758,
  [SMALL_STATE(9242)] = 482799,
  [SMALL_STATE(9243)] = 482840,
  [SMALL_STATE(9244)] = 482899,
  [SMALL_STATE(9245)] = 482968,
  [SMALL_STATE(9246)] = 483009,
  [SMALL_STATE(9247)] = 483054,
  [SMALL_STATE(9248)] = 483097,
  [SMALL_STATE(9249)] = 483138,
  [SMALL_STATE(9250)] = 483181,
  [SMALL_STATE(9251)] = 483222,
  [SMALL_STATE(9252)] = 483263,
  [SMALL_STATE(9253)] = 483332,
  [SMALL_STATE(9254)] = 483373,
  [SMALL_STATE(9255)] = 483414,
  [SMALL_STATE(9256)] = 483471,
  [SMALL_STATE(9257)] = 483528,
  [SMALL_STATE(9258)] = 483571,
  [SMALL_STATE(9259)] = 483612,
  [SMALL_STATE(9260)] = 483681,
  [SMALL_STATE(9261)] = 483722,
  [SMALL_STATE(9262)] = 483763,
  [SMALL_STATE(9263)] = 483804,
  [SMALL_STATE(9264)] = 483845,
  [SMALL_STATE(9265)] = 483886,
  [SMALL_STATE(9266)] = 483955,
  [SMALL_STATE(9267)] = 483996,
  [SMALL_STATE(9268)] = 484057,
  [SMALL_STATE(9269)] = 484126,
  [SMALL_STATE(9270)] = 484167,
  [SMALL_STATE(9271)] = 484208,
  [SMALL_STATE(9272)] = 484249,
  [SMALL_STATE(9273)] = 484320,
  [SMALL_STATE(9274)] = 484361,
  [SMALL_STATE(9275)] = 484404,
  [SMALL_STATE(9276)] = 484445,
  [SMALL_STATE(9277)] = 484486,
  [SMALL_STATE(9278)] = 484527,
  [SMALL_STATE(9279)] = 484568,
  [SMALL_STATE(9280)] = 484637,
  [SMALL_STATE(9281)] = 484706,
  [SMALL_STATE(9282)] = 484763,
  [SMALL_STATE(9283)] = 484806,
  [SMALL_STATE(9284)] = 484847,
  [SMALL_STATE(9285)] = 484888,
  [SMALL_STATE(9286)] = 484929,
  [SMALL_STATE(9287)] = 484970,
  [SMALL_STATE(9288)] = 485011,
  [SMALL_STATE(9289)] = 485052,
  [SMALL_STATE(9290)] = 485093,
  [SMALL_STATE(9291)] = 485162,
  [SMALL_STATE(9292)] = 485231,
  [SMALL_STATE(9293)] = 485294,
  [SMALL_STATE(9294)] = 485335,
  [SMALL_STATE(9295)] = 485394,
  [SMALL_STATE(9296)] = 485435,
  [SMALL_STATE(9297)] = 485475,
  [SMALL_STATE(9298)] = 485515,
  [SMALL_STATE(9299)] = 485555,
  [SMALL_STATE(9300)] = 485623,
  [SMALL_STATE(9301)] = 485663,
  [SMALL_STATE(9302)] = 485703,
  [SMALL_STATE(9303)] = 485743,
  [SMALL_STATE(9304)] = 485783,
  [SMALL_STATE(9305)] = 485823,
  [SMALL_STATE(9306)] = 485863,
  [SMALL_STATE(9307)] = 485903,
  [SMALL_STATE(9308)] = 485943,
  [SMALL_STATE(9309)] = 485983,
  [SMALL_STATE(9310)] = 486023,
  [SMALL_STATE(9311)] = 486063,
  [SMALL_STATE(9312)] = 486103,
  [SMALL_STATE(9313)] = 486153,
  [SMALL_STATE(9314)] = 486219,
  [SMALL_STATE(9315)] = 486259,
  [SMALL_STATE(9316)] = 486299,
  [SMALL_STATE(9317)] = 486339,
  [SMALL_STATE(9318)] = 486379,
  [SMALL_STATE(9319)] = 486419,
  [SMALL_STATE(9320)] = 486459,
  [SMALL_STATE(9321)] = 486499,
  [SMALL_STATE(9322)] = 486567,
  [SMALL_STATE(9323)] = 486607,
  [SMALL_STATE(9324)] = 486647,
  [SMALL_STATE(9325)] = 486687,
  [SMALL_STATE(9326)] = 486727,
  [SMALL_STATE(9327)] = 486767,
  [SMALL_STATE(9328)] = 486807,
  [SMALL_STATE(9329)] = 486851,
  [SMALL_STATE(9330)] = 486895,
  [SMALL_STATE(9331)] = 486939,
  [SMALL_STATE(9332)] = 486983,
  [SMALL_STATE(9333)] = 487025,
  [SMALL_STATE(9334)] = 487065,
  [SMALL_STATE(9335)] = 487105,
  [SMALL_STATE(9336)] = 487145,
  [SMALL_STATE(9337)] = 487185,
  [SMALL_STATE(9338)] = 487231,
  [SMALL_STATE(9339)] = 487277,
  [SMALL_STATE(9340)] = 487331,
  [SMALL_STATE(9341)] = 487399,
  [SMALL_STATE(9342)] = 487441,
  [SMALL_STATE(9343)] = 487481,
  [SMALL_STATE(9344)] = 487521,
  [SMALL_STATE(9345)] = 487571,
  [SMALL_STATE(9346)] = 487639,
  [SMALL_STATE(9347)] = 487679,
  [SMALL_STATE(9348)] = 487747,
  [SMALL_STATE(9349)] = 487815,
  [SMALL_STATE(9350)] = 487855,
  [SMALL_STATE(9351)] = 487899,
  [SMALL_STATE(9352)] = 487967,
  [SMALL_STATE(9353)] = 488009,
  [SMALL_STATE(9354)] = 488059,
  [SMALL_STATE(9355)] = 488121,
  [SMALL_STATE(9356)] = 488163,
  [SMALL_STATE(9357)] = 488219,
  [SMALL_STATE(9358)] = 488259,
  [SMALL_STATE(9359)] = 488309,
  [SMALL_STATE(9360)] = 488349,
  [SMALL_STATE(9361)] = 488401,
  [SMALL_STATE(9362)] = 488455,
  [SMALL_STATE(9363)] = 488523,
  [SMALL_STATE(9364)] = 488591,
  [SMALL_STATE(9365)] = 488659,
  [SMALL_STATE(9366)] = 488699,
  [SMALL_STATE(9367)] = 488767,
  [SMALL_STATE(9368)] = 488835,
  [SMALL_STATE(9369)] = 488875,
  [SMALL_STATE(9370)] = 488943,
  [SMALL_STATE(9371)] = 489011,
  [SMALL_STATE(9372)] = 489079,
  [SMALL_STATE(9373)] = 489147,
  [SMALL_STATE(9374)] = 489215,
  [SMALL_STATE(9375)] = 489283,
  [SMALL_STATE(9376)] = 489351,
  [SMALL_STATE(9377)] = 489419,
  [SMALL_STATE(9378)] = 489487,
  [SMALL_STATE(9379)] = 489555,
  [SMALL_STATE(9380)] = 489623,
  [SMALL_STATE(9381)] = 489691,
  [SMALL_STATE(9382)] = 489741,
  [SMALL_STATE(9383)] = 489797,
  [SMALL_STATE(9384)] = 489837,
  [SMALL_STATE(9385)] = 489877,
  [SMALL_STATE(9386)] = 489945,
  [SMALL_STATE(9387)] = 489985,
  [SMALL_STATE(9388)] = 490025,
  [SMALL_STATE(9389)] = 490065,
  [SMALL_STATE(9390)] = 490105,
  [SMALL_STATE(9391)] = 490145,
  [SMALL_STATE(9392)] = 490213,
  [SMALL_STATE(9393)] = 490253,
  [SMALL_STATE(9394)] = 490293,
  [SMALL_STATE(9395)] = 490333,
  [SMALL_STATE(9396)] = 490401,
  [SMALL_STATE(9397)] = 490441,
  [SMALL_STATE(9398)] = 490481,
  [SMALL_STATE(9399)] = 490521,
  [SMALL_STATE(9400)] = 490561,
  [SMALL_STATE(9401)] = 490601,
  [SMALL_STATE(9402)] = 490643,
  [SMALL_STATE(9403)] = 490683,
  [SMALL_STATE(9404)] = 490723,
  [SMALL_STATE(9405)] = 490763,
  [SMALL_STATE(9406)] = 490803,
  [SMALL_STATE(9407)] = 490843,
  [SMALL_STATE(9408)] = 490883,
  [SMALL_STATE(9409)] = 490923,
  [SMALL_STATE(9410)] = 490963,
  [SMALL_STATE(9411)] = 491003,
  [SMALL_STATE(9412)] = 491043,
  [SMALL_STATE(9413)] = 491083,
  [SMALL_STATE(9414)] = 491123,
  [SMALL_STATE(9415)] = 491163,
  [SMALL_STATE(9416)] = 491219,
  [SMALL_STATE(9417)] = 491275,
  [SMALL_STATE(9418)] = 491315,
  [SMALL_STATE(9419)] = 491355,
  [SMALL_STATE(9420)] = 491395,
  [SMALL_STATE(9421)] = 491435,
  [SMALL_STATE(9422)] = 491479,
  [SMALL_STATE(9423)] = 491519,
  [SMALL_STATE(9424)] = 491559,
  [SMALL_STATE(9425)] = 491599,
  [SMALL_STATE(9426)] = 491639,
  [SMALL_STATE(9427)] = 491679,
  [SMALL_STATE(9428)] = 491719,
  [SMALL_STATE(9429)] = 491759,
  [SMALL_STATE(9430)] = 491799,
  [SMALL_STATE(9431)] = 491839,
  [SMALL_STATE(9432)] = 491879,
  [SMALL_STATE(9433)] = 491935,
  [SMALL_STATE(9434)] = 491975,
  [SMALL_STATE(9435)] = 492033,
  [SMALL_STATE(9436)] = 492083,
  [SMALL_STATE(9437)] = 492127,
  [SMALL_STATE(9438)] = 492171,
  [SMALL_STATE(9439)] = 492223,
  [SMALL_STATE(9440)] = 492275,
  [SMALL_STATE(9441)] = 492331,
  [SMALL_STATE(9442)] = 492389,
  [SMALL_STATE(9443)] = 492451,
  [SMALL_STATE(9444)] = 492497,
  [SMALL_STATE(9445)] = 492559,
  [SMALL_STATE(9446)] = 492599,
  [SMALL_STATE(9447)] = 492661,
  [SMALL_STATE(9448)] = 492717,
  [SMALL_STATE(9449)] = 492773,
  [SMALL_STATE(9450)] = 492813,
  [SMALL_STATE(9451)] = 492853,
  [SMALL_STATE(9452)] = 492909,
  [SMALL_STATE(9453)] = 492977,
  [SMALL_STATE(9454)] = 493017,
  [SMALL_STATE(9455)] = 493057,
  [SMALL_STATE(9456)] = 493097,
  [SMALL_STATE(9457)] = 493161,
  [SMALL_STATE(9458)] = 493201,
  [SMALL_STATE(9459)] = 493269,
  [SMALL_STATE(9460)] = 493309,
  [SMALL_STATE(9461)] = 493353,
  [SMALL_STATE(9462)] = 493393,
  [SMALL_STATE(9463)] = 493433,
  [SMALL_STATE(9464)] = 493473,
  [SMALL_STATE(9465)] = 493513,
  [SMALL_STATE(9466)] = 493553,
  [SMALL_STATE(9467)] = 493593,
  [SMALL_STATE(9468)] = 493633,
  [SMALL_STATE(9469)] = 493701,
  [SMALL_STATE(9470)] = 493741,
  [SMALL_STATE(9471)] = 493781,
  [SMALL_STATE(9472)] = 493821,
  [SMALL_STATE(9473)] = 493861,
  [SMALL_STATE(9474)] = 493901,
  [SMALL_STATE(9475)] = 493941,
  [SMALL_STATE(9476)] = 493981,
  [SMALL_STATE(9477)] = 494021,
  [SMALL_STATE(9478)] = 494089,
  [SMALL_STATE(9479)] = 494129,
  [SMALL_STATE(9480)] = 494169,
  [SMALL_STATE(9481)] = 494209,
  [SMALL_STATE(9482)] = 494249,
  [SMALL_STATE(9483)] = 494289,
  [SMALL_STATE(9484)] = 494329,
  [SMALL_STATE(9485)] = 494397,
  [SMALL_STATE(9486)] = 494465,
  [SMALL_STATE(9487)] = 494533,
  [SMALL_STATE(9488)] = 494573,
  [SMALL_STATE(9489)] = 494641,
  [SMALL_STATE(9490)] = 494709,
  [SMALL_STATE(9491)] = 494749,
  [SMALL_STATE(9492)] = 494817,
  [SMALL_STATE(9493)] = 494857,
  [SMALL_STATE(9494)] = 494925,
  [SMALL_STATE(9495)] = 494993,
  [SMALL_STATE(9496)] = 495061,
  [SMALL_STATE(9497)] = 495129,
  [SMALL_STATE(9498)] = 495197,
  [SMALL_STATE(9499)] = 495265,
  [SMALL_STATE(9500)] = 495333,
  [SMALL_STATE(9501)] = 495401,
  [SMALL_STATE(9502)] = 495469,
  [SMALL_STATE(9503)] = 495537,
  [SMALL_STATE(9504)] = 495605,
  [SMALL_STATE(9505)] = 495673,
  [SMALL_STATE(9506)] = 495741,
  [SMALL_STATE(9507)] = 495781,
  [SMALL_STATE(9508)] = 495849,
  [SMALL_STATE(9509)] = 495889,
  [SMALL_STATE(9510)] = 495957,
  [SMALL_STATE(9511)] = 496021,
  [SMALL_STATE(9512)] = 496089,
  [SMALL_STATE(9513)] = 496157,
  [SMALL_STATE(9514)] = 496197,
  [SMALL_STATE(9515)] = 496237,
  [SMALL_STATE(9516)] = 496277,
  [SMALL_STATE(9517)] = 496345,
  [SMALL_STATE(9518)] = 496385,
  [SMALL_STATE(9519)] = 496453,
  [SMALL_STATE(9520)] = 496493,
  [SMALL_STATE(9521)] = 496535,
  [SMALL_STATE(9522)] = 496575,
  [SMALL_STATE(9523)] = 496615,
  [SMALL_STATE(9524)] = 496657,
  [SMALL_STATE(9525)] = 496725,
  [SMALL_STATE(9526)] = 496765,
  [SMALL_STATE(9527)] = 496809,
  [SMALL_STATE(9528)] = 496877,
  [SMALL_STATE(9529)] = 496927,
  [SMALL_STATE(9530)] = 496967,
  [SMALL_STATE(9531)] = 497007,
  [SMALL_STATE(9532)] = 497075,
  [SMALL_STATE(9533)] = 497115,
  [SMALL_STATE(9534)] = 497183,
  [SMALL_STATE(9535)] = 497251,
  [SMALL_STATE(9536)] = 497319,
  [SMALL_STATE(9537)] = 497369,
  [SMALL_STATE(9538)] = 497421,
  [SMALL_STATE(9539)] = 497489,
  [SMALL_STATE(9540)] = 497557,
  [SMALL_STATE(9541)] = 497625,
  [SMALL_STATE(9542)] = 497693,
  [SMALL_STATE(9543)] = 497733,
  [SMALL_STATE(9544)] = 497801,
  [SMALL_STATE(9545)] = 497869,
  [SMALL_STATE(9546)] = 497919,
  [SMALL_STATE(9547)] = 497987,
  [SMALL_STATE(9548)] = 498055,
  [SMALL_STATE(9549)] = 498123,
  [SMALL_STATE(9550)] = 498191,
  [SMALL_STATE(9551)] = 498259,
  [SMALL_STATE(9552)] = 498327,
  [SMALL_STATE(9553)] = 498395,
  [SMALL_STATE(9554)] = 498463,
  [SMALL_STATE(9555)] = 498531,
  [SMALL_STATE(9556)] = 498599,
  [SMALL_STATE(9557)] = 498667,
  [SMALL_STATE(9558)] = 498723,
  [SMALL_STATE(9559)] = 498763,
  [SMALL_STATE(9560)] = 498803,
  [SMALL_STATE(9561)] = 498871,
  [SMALL_STATE(9562)] = 498911,
  [SMALL_STATE(9563)] = 498951,
  [SMALL_STATE(9564)] = 498991,
  [SMALL_STATE(9565)] = 499031,
  [SMALL_STATE(9566)] = 499071,
  [SMALL_STATE(9567)] = 499111,
  [SMALL_STATE(9568)] = 499151,
  [SMALL_STATE(9569)] = 499191,
  [SMALL_STATE(9570)] = 499259,
  [SMALL_STATE(9571)] = 499299,
  [SMALL_STATE(9572)] = 499339,
  [SMALL_STATE(9573)] = 499381,
  [SMALL_STATE(9574)] = 499421,
  [SMALL_STATE(9575)] = 499461,
  [SMALL_STATE(9576)] = 499501,
  [SMALL_STATE(9577)] = 499569,
  [SMALL_STATE(9578)] = 499609,
  [SMALL_STATE(9579)] = 499649,
  [SMALL_STATE(9580)] = 499717,
  [SMALL_STATE(9581)] = 499757,
  [SMALL_STATE(9582)] = 499803,
  [SMALL_STATE(9583)] = 499849,
  [SMALL_STATE(9584)] = 499889,
  [SMALL_STATE(9585)] = 499929,
  [SMALL_STATE(9586)] = 499969,
  [SMALL_STATE(9587)] = 500011,
  [SMALL_STATE(9588)] = 500079,
  [SMALL_STATE(9589)] = 500147,
  [SMALL_STATE(9590)] = 500187,
  [SMALL_STATE(9591)] = 500243,
  [SMALL_STATE(9592)] = 500283,
  [SMALL_STATE(9593)] = 500339,
  [SMALL_STATE(9594)] = 500379,
  [SMALL_STATE(9595)] = 500419,
  [SMALL_STATE(9596)] = 500459,
  [SMALL_STATE(9597)] = 500517,
  [SMALL_STATE(9598)] = 500567,
  [SMALL_STATE(9599)] = 500611,
  [SMALL_STATE(9600)] = 500655,
  [SMALL_STATE(9601)] = 500707,
  [SMALL_STATE(9602)] = 500759,
  [SMALL_STATE(9603)] = 500815,
  [SMALL_STATE(9604)] = 500873,
  [SMALL_STATE(9605)] = 500935,
  [SMALL_STATE(9606)] = 500981,
  [SMALL_STATE(9607)] = 501043,
  [SMALL_STATE(9608)] = 501087,
  [SMALL_STATE(9609)] = 501149,
  [SMALL_STATE(9610)] = 501189,
  [SMALL_STATE(9611)] = 501245,
  [SMALL_STATE(9612)] = 501285,
  [SMALL_STATE(9613)] = 501325,
  [SMALL_STATE(9614)] = 501365,
  [SMALL_STATE(9615)] = 501405,
  [SMALL_STATE(9616)] = 501454,
  [SMALL_STATE(9617)] = 501515,
  [SMALL_STATE(9618)] = 501570,
  [SMALL_STATE(9619)] = 501615,
  [SMALL_STATE(9620)] = 501678,
  [SMALL_STATE(9621)] = 501735,
  [SMALL_STATE(9622)] = 501798,
  [SMALL_STATE(9623)] = 501861,
  [SMALL_STATE(9624)] = 501900,
  [SMALL_STATE(9625)] = 501939,
  [SMALL_STATE(9626)] = 501988,
  [SMALL_STATE(9627)] = 502027,
  [SMALL_STATE(9628)] = 502082,
  [SMALL_STATE(9629)] = 502145,
  [SMALL_STATE(9630)] = 502208,
  [SMALL_STATE(9631)] = 502247,
  [SMALL_STATE(9632)] = 502310,
  [SMALL_STATE(9633)] = 502349,
  [SMALL_STATE(9634)] = 502412,
  [SMALL_STATE(9635)] = 502451,
  [SMALL_STATE(9636)] = 502506,
  [SMALL_STATE(9637)] = 502569,
  [SMALL_STATE(9638)] = 502608,
  [SMALL_STATE(9639)] = 502663,
  [SMALL_STATE(9640)] = 502726,
  [SMALL_STATE(9641)] = 502765,
  [SMALL_STATE(9642)] = 502804,
  [SMALL_STATE(9643)] = 502843,
  [SMALL_STATE(9644)] = 502892,
  [SMALL_STATE(9645)] = 502955,
  [SMALL_STATE(9646)] = 503018,
  [SMALL_STATE(9647)] = 503081,
  [SMALL_STATE(9648)] = 503130,
  [SMALL_STATE(9649)] = 503169,
  [SMALL_STATE(9650)] = 503208,
  [SMALL_STATE(9651)] = 503271,
  [SMALL_STATE(9652)] = 503310,
  [SMALL_STATE(9653)] = 503349,
  [SMALL_STATE(9654)] = 503388,
  [SMALL_STATE(9655)] = 503451,
  [SMALL_STATE(9656)] = 503490,
  [SMALL_STATE(9657)] = 503553,
  [SMALL_STATE(9658)] = 503592,
  [SMALL_STATE(9659)] = 503655,
  [SMALL_STATE(9660)] = 503718,
  [SMALL_STATE(9661)] = 503781,
  [SMALL_STATE(9662)] = 503836,
  [SMALL_STATE(9663)] = 503899,
  [SMALL_STATE(9664)] = 503938,
  [SMALL_STATE(9665)] = 503987,
  [SMALL_STATE(9666)] = 504036,
  [SMALL_STATE(9667)] = 504075,
  [SMALL_STATE(9668)] = 504124,
  [SMALL_STATE(9669)] = 504163,
  [SMALL_STATE(9670)] = 504226,
  [SMALL_STATE(9671)] = 504281,
  [SMALL_STATE(9672)] = 504336,
  [SMALL_STATE(9673)] = 504399,
  [SMALL_STATE(9674)] = 504438,
  [SMALL_STATE(9675)] = 504477,
  [SMALL_STATE(9676)] = 504540,
  [SMALL_STATE(9677)] = 504579,
  [SMALL_STATE(9678)] = 504620,
  [SMALL_STATE(9679)] = 504683,
  [SMALL_STATE(9680)] = 504746,
  [SMALL_STATE(9681)] = 504809,
  [SMALL_STATE(9682)] = 504862,
  [SMALL_STATE(9683)] = 504925,
  [SMALL_STATE(9684)] = 504980,
  [SMALL_STATE(9685)] = 505019,
  [SMALL_STATE(9686)] = 505058,
  [SMALL_STATE(9687)] = 505097,
  [SMALL_STATE(9688)] = 505136,
  [SMALL_STATE(9689)] = 505199,
  [SMALL_STATE(9690)] = 505262,
  [SMALL_STATE(9691)] = 505325,
  [SMALL_STATE(9692)] = 505374,
  [SMALL_STATE(9693)] = 505437,
  [SMALL_STATE(9694)] = 505492,
  [SMALL_STATE(9695)] = 505555,
  [SMALL_STATE(9696)] = 505610,
  [SMALL_STATE(9697)] = 505665,
  [SMALL_STATE(9698)] = 505728,
  [SMALL_STATE(9699)] = 505791,
  [SMALL_STATE(9700)] = 505854,
  [SMALL_STATE(9701)] = 505917,
  [SMALL_STATE(9702)] = 505980,
  [SMALL_STATE(9703)] = 506019,
  [SMALL_STATE(9704)] = 506058,
  [SMALL_STATE(9705)] = 506097,
  [SMALL_STATE(9706)] = 506136,
  [SMALL_STATE(9707)] = 506187,
  [SMALL_STATE(9708)] = 506226,
  [SMALL_STATE(9709)] = 506275,
  [SMALL_STATE(9710)] = 506324,
  [SMALL_STATE(9711)] = 506363,
  [SMALL_STATE(9712)] = 506412,
  [SMALL_STATE(9713)] = 506475,
  [SMALL_STATE(9714)] = 506538,
  [SMALL_STATE(9715)] = 506577,
  [SMALL_STATE(9716)] = 506640,
  [SMALL_STATE(9717)] = 506679,
  [SMALL_STATE(9718)] = 506742,
  [SMALL_STATE(9719)] = 506797,
  [SMALL_STATE(9720)] = 506836,
  [SMALL_STATE(9721)] = 506899,
  [SMALL_STATE(9722)] = 506962,
  [SMALL_STATE(9723)] = 507001,
  [SMALL_STATE(9724)] = 507040,
  [SMALL_STATE(9725)] = 507089,
  [SMALL_STATE(9726)] = 507144,
  [SMALL_STATE(9727)] = 507207,
  [SMALL_STATE(9728)] = 507270,
  [SMALL_STATE(9729)] = 507311,
  [SMALL_STATE(9730)] = 507352,
  [SMALL_STATE(9731)] = 507415,
  [SMALL_STATE(9732)] = 507478,
  [SMALL_STATE(9733)] = 507517,
  [SMALL_STATE(9734)] = 507572,
  [SMALL_STATE(9735)] = 507611,
  [SMALL_STATE(9736)] = 507656,
  [SMALL_STATE(9737)] = 507695,
  [SMALL_STATE(9738)] = 507734,
  [SMALL_STATE(9739)] = 507797,
  [SMALL_STATE(9740)] = 507836,
  [SMALL_STATE(9741)] = 507875,
  [SMALL_STATE(9742)] = 507914,
  [SMALL_STATE(9743)] = 507977,
  [SMALL_STATE(9744)] = 508040,
  [SMALL_STATE(9745)] = 508081,
  [SMALL_STATE(9746)] = 508144,
  [SMALL_STATE(9747)] = 508183,
  [SMALL_STATE(9748)] = 508246,
  [SMALL_STATE(9749)] = 508285,
  [SMALL_STATE(9750)] = 508326,
  [SMALL_STATE(9751)] = 508389,
  [SMALL_STATE(9752)] = 508444,
  [SMALL_STATE(9753)] = 508507,
  [SMALL_STATE(9754)] = 508570,
  [SMALL_STATE(9755)] = 508633,
  [SMALL_STATE(9756)] = 508672,
  [SMALL_STATE(9757)] = 508735,
  [SMALL_STATE(9758)] = 508798,
  [SMALL_STATE(9759)] = 508861,
  [SMALL_STATE(9760)] = 508922,
  [SMALL_STATE(9761)] = 508961,
  [SMALL_STATE(9762)] = 509016,
  [SMALL_STATE(9763)] = 509055,
  [SMALL_STATE(9764)] = 509106,
  [SMALL_STATE(9765)] = 509149,
  [SMALL_STATE(9766)] = 509188,
  [SMALL_STATE(9767)] = 509251,
  [SMALL_STATE(9768)] = 509290,
  [SMALL_STATE(9769)] = 509329,
  [SMALL_STATE(9770)] = 509384,
  [SMALL_STATE(9771)] = 509423,
  [SMALL_STATE(9772)] = 509486,
  [SMALL_STATE(9773)] = 509525,
  [SMALL_STATE(9774)] = 509588,
  [SMALL_STATE(9775)] = 509651,
  [SMALL_STATE(9776)] = 509714,
  [SMALL_STATE(9777)] = 509777,
  [SMALL_STATE(9778)] = 509832,
  [SMALL_STATE(9779)] = 509895,
  [SMALL_STATE(9780)] = 509958,
  [SMALL_STATE(9781)] = 510021,
  [SMALL_STATE(9782)] = 510060,
  [SMALL_STATE(9783)] = 510123,
  [SMALL_STATE(9784)] = 510162,
  [SMALL_STATE(9785)] = 510225,
  [SMALL_STATE(9786)] = 510288,
  [SMALL_STATE(9787)] = 510327,
  [SMALL_STATE(9788)] = 510390,
  [SMALL_STATE(9789)] = 510447,
  [SMALL_STATE(9790)] = 510486,
  [SMALL_STATE(9791)] = 510525,
  [SMALL_STATE(9792)] = 510588,
  [SMALL_STATE(9793)] = 510651,
  [SMALL_STATE(9794)] = 510690,
  [SMALL_STATE(9795)] = 510753,
  [SMALL_STATE(9796)] = 510816,
  [SMALL_STATE(9797)] = 510879,
  [SMALL_STATE(9798)] = 510942,
  [SMALL_STATE(9799)] = 510981,
  [SMALL_STATE(9800)] = 511044,
  [SMALL_STATE(9801)] = 511107,
  [SMALL_STATE(9802)] = 511170,
  [SMALL_STATE(9803)] = 511233,
  [SMALL_STATE(9804)] = 511272,
  [SMALL_STATE(9805)] = 511335,
  [SMALL_STATE(9806)] = 511376,
  [SMALL_STATE(9807)] = 511433,
  [SMALL_STATE(9808)] = 511482,
  [SMALL_STATE(9809)] = 511545,
  [SMALL_STATE(9810)] = 511600,
  [SMALL_STATE(9811)] = 511655,
  [SMALL_STATE(9812)] = 511718,
  [SMALL_STATE(9813)] = 511757,
  [SMALL_STATE(9814)] = 511796,
  [SMALL_STATE(9815)] = 511835,
  [SMALL_STATE(9816)] = 511898,
  [SMALL_STATE(9817)] = 511961,
  [SMALL_STATE(9818)] = 512016,
  [SMALL_STATE(9819)] = 512079,
  [SMALL_STATE(9820)] = 512142,
  [SMALL_STATE(9821)] = 512181,
  [SMALL_STATE(9822)] = 512220,
  [SMALL_STATE(9823)] = 512269,
  [SMALL_STATE(9824)] = 512308,
  [SMALL_STATE(9825)] = 512349,
  [SMALL_STATE(9826)] = 512390,
  [SMALL_STATE(9827)] = 512429,
  [SMALL_STATE(9828)] = 512468,
  [SMALL_STATE(9829)] = 512523,
  [SMALL_STATE(9830)] = 512586,
  [SMALL_STATE(9831)] = 512625,
  [SMALL_STATE(9832)] = 512664,
  [SMALL_STATE(9833)] = 512703,
  [SMALL_STATE(9834)] = 512742,
  [SMALL_STATE(9835)] = 512805,
  [SMALL_STATE(9836)] = 512860,
  [SMALL_STATE(9837)] = 512899,
  [SMALL_STATE(9838)] = 512938,
  [SMALL_STATE(9839)] = 513001,
  [SMALL_STATE(9840)] = 513040,
  [SMALL_STATE(9841)] = 513079,
  [SMALL_STATE(9842)] = 513142,
  [SMALL_STATE(9843)] = 513205,
  [SMALL_STATE(9844)] = 513268,
  [SMALL_STATE(9845)] = 513331,
  [SMALL_STATE(9846)] = 513394,
  [SMALL_STATE(9847)] = 513457,
  [SMALL_STATE(9848)] = 513520,
  [SMALL_STATE(9849)] = 513583,
  [SMALL_STATE(9850)] = 513646,
  [SMALL_STATE(9851)] = 513709,
  [SMALL_STATE(9852)] = 513772,
  [SMALL_STATE(9853)] = 513835,
  [SMALL_STATE(9854)] = 513898,
  [SMALL_STATE(9855)] = 513961,
  [SMALL_STATE(9856)] = 514014,
  [SMALL_STATE(9857)] = 514077,
  [SMALL_STATE(9858)] = 514116,
  [SMALL_STATE(9859)] = 514155,
  [SMALL_STATE(9860)] = 514194,
  [SMALL_STATE(9861)] = 514257,
  [SMALL_STATE(9862)] = 514296,
  [SMALL_STATE(9863)] = 514335,
  [SMALL_STATE(9864)] = 514392,
  [SMALL_STATE(9865)] = 514441,
  [SMALL_STATE(9866)] = 514490,
  [SMALL_STATE(9867)] = 514533,
  [SMALL_STATE(9868)] = 514572,
  [SMALL_STATE(9869)] = 514629,
  [SMALL_STATE(9870)] = 514672,
  [SMALL_STATE(9871)] = 514723,
  [SMALL_STATE(9872)] = 514774,
  [SMALL_STATE(9873)] = 514837,
  [SMALL_STATE(9874)] = 514900,
  [SMALL_STATE(9875)] = 514955,
  [SMALL_STATE(9876)] = 515012,
  [SMALL_STATE(9877)] = 515051,
  [SMALL_STATE(9878)] = 515112,
  [SMALL_STATE(9879)] = 515151,
  [SMALL_STATE(9880)] = 515206,
  [SMALL_STATE(9881)] = 515251,
  [SMALL_STATE(9882)] = 515314,
  [SMALL_STATE(9883)] = 515353,
  [SMALL_STATE(9884)] = 515392,
  [SMALL_STATE(9885)] = 515437,
  [SMALL_STATE(9886)] = 515482,
  [SMALL_STATE(9887)] = 515527,
  [SMALL_STATE(9888)] = 515572,
  [SMALL_STATE(9889)] = 515617,
  [SMALL_STATE(9890)] = 515662,
  [SMALL_STATE(9891)] = 515707,
  [SMALL_STATE(9892)] = 515752,
  [SMALL_STATE(9893)] = 515807,
  [SMALL_STATE(9894)] = 515862,
  [SMALL_STATE(9895)] = 515901,
  [SMALL_STATE(9896)] = 515956,
  [SMALL_STATE(9897)] = 516011,
  [SMALL_STATE(9898)] = 516054,
  [SMALL_STATE(9899)] = 516102,
  [SMALL_STATE(9900)] = 516144,
  [SMALL_STATE(9901)] = 516182,
  [SMALL_STATE(9902)] = 516220,
  [SMALL_STATE(9903)] = 516260,
  [SMALL_STATE(9904)] = 516298,
  [SMALL_STATE(9905)] = 516336,
  [SMALL_STATE(9906)] = 516374,
  [SMALL_STATE(9907)] = 516412,
  [SMALL_STATE(9908)] = 516450,
  [SMALL_STATE(9909)] = 516488,
  [SMALL_STATE(9910)] = 516526,
  [SMALL_STATE(9911)] = 516564,
  [SMALL_STATE(9912)] = 516602,
  [SMALL_STATE(9913)] = 516640,
  [SMALL_STATE(9914)] = 516678,
  [SMALL_STATE(9915)] = 516716,
  [SMALL_STATE(9916)] = 516754,
  [SMALL_STATE(9917)] = 516792,
  [SMALL_STATE(9918)] = 516830,
  [SMALL_STATE(9919)] = 516878,
  [SMALL_STATE(9920)] = 516926,
  [SMALL_STATE(9921)] = 516964,
  [SMALL_STATE(9922)] = 517002,
  [SMALL_STATE(9923)] = 517040,
  [SMALL_STATE(9924)] = 517078,
  [SMALL_STATE(9925)] = 517116,
  [SMALL_STATE(9926)] = 517154,
  [SMALL_STATE(9927)] = 517192,
  [SMALL_STATE(9928)] = 517230,
  [SMALL_STATE(9929)] = 517268,
  [SMALL_STATE(9930)] = 517306,
  [SMALL_STATE(9931)] = 517354,
  [SMALL_STATE(9932)] = 517396,
  [SMALL_STATE(9933)] = 517434,
  [SMALL_STATE(9934)] = 517482,
  [SMALL_STATE(9935)] = 517530,
  [SMALL_STATE(9936)] = 517582,
  [SMALL_STATE(9937)] = 517630,
  [SMALL_STATE(9938)] = 517668,
  [SMALL_STATE(9939)] = 517706,
  [SMALL_STATE(9940)] = 517748,
  [SMALL_STATE(9941)] = 517786,
  [SMALL_STATE(9942)] = 517828,
  [SMALL_STATE(9943)] = 517870,
  [SMALL_STATE(9944)] = 517908,
  [SMALL_STATE(9945)] = 517946,
  [SMALL_STATE(9946)] = 517984,
  [SMALL_STATE(9947)] = 518022,
  [SMALL_STATE(9948)] = 518060,
  [SMALL_STATE(9949)] = 518098,
  [SMALL_STATE(9950)] = 518138,
  [SMALL_STATE(9951)] = 518176,
  [SMALL_STATE(9952)] = 518214,
  [SMALL_STATE(9953)] = 518252,
  [SMALL_STATE(9954)] = 518304,
  [SMALL_STATE(9955)] = 518342,
  [SMALL_STATE(9956)] = 518380,
  [SMALL_STATE(9957)] = 518426,
  [SMALL_STATE(9958)] = 518466,
  [SMALL_STATE(9959)] = 518504,
  [SMALL_STATE(9960)] = 518542,
  [SMALL_STATE(9961)] = 518580,
  [SMALL_STATE(9962)] = 518620,
  [SMALL_STATE(9963)] = 518662,
  [SMALL_STATE(9964)] = 518700,
  [SMALL_STATE(9965)] = 518738,
  [SMALL_STATE(9966)] = 518776,
  [SMALL_STATE(9967)] = 518814,
  [SMALL_STATE(9968)] = 518854,
  [SMALL_STATE(9969)] = 518906,
  [SMALL_STATE(9970)] = 518944,
  [SMALL_STATE(9971)] = 518986,
  [SMALL_STATE(9972)] = 519028,
  [SMALL_STATE(9973)] = 519084,
  [SMALL_STATE(9974)] = 519132,
  [SMALL_STATE(9975)] = 519174,
  [SMALL_STATE(9976)] = 519216,
  [SMALL_STATE(9977)] = 519266,
  [SMALL_STATE(9978)] = 519316,
  [SMALL_STATE(9979)] = 519370,
  [SMALL_STATE(9980)] = 519426,
  [SMALL_STATE(9981)] = 519486,
  [SMALL_STATE(9982)] = 519530,
  [SMALL_STATE(9983)] = 519590,
  [SMALL_STATE(9984)] = 519650,
  [SMALL_STATE(9985)] = 519688,
  [SMALL_STATE(9986)] = 519726,
  [SMALL_STATE(9987)] = 519764,
  [SMALL_STATE(9988)] = 519802,
  [SMALL_STATE(9989)] = 519844,
  [SMALL_STATE(9990)] = 519882,
  [SMALL_STATE(9991)] = 519920,
  [SMALL_STATE(9992)] = 519958,
  [SMALL_STATE(9993)] = 520000,
  [SMALL_STATE(9994)] = 520038,
  [SMALL_STATE(9995)] = 520076,
  [SMALL_STATE(9996)] = 520118,
  [SMALL_STATE(9997)] = 520166,
  [SMALL_STATE(9998)] = 520214,
  [SMALL_STATE(9999)] = 520262,
  [SMALL_STATE(10000)] = 520300,
  [SMALL_STATE(10001)] = 520338,
  [SMALL_STATE(10002)] = 520376,
  [SMALL_STATE(10003)] = 520414,
  [SMALL_STATE(10004)] = 520462,
  [SMALL_STATE(10005)] = 520510,
  [SMALL_STATE(10006)] = 520558,
  [SMALL_STATE(10007)] = 520596,
  [SMALL_STATE(10008)] = 520644,
  [SMALL_STATE(10009)] = 520686,
  [SMALL_STATE(10010)] = 520728,
  [SMALL_STATE(10011)] = 520770,
  [SMALL_STATE(10012)] = 520812,
  [SMALL_STATE(10013)] = 520852,
  [SMALL_STATE(10014)] = 520890,
  [SMALL_STATE(10015)] = 520928,
  [SMALL_STATE(10016)] = 520990,
  [SMALL_STATE(10017)] = 521028,
  [SMALL_STATE(10018)] = 521066,
  [SMALL_STATE(10019)] = 521114,
  [SMALL_STATE(10020)] = 521152,
  [SMALL_STATE(10021)] = 521190,
  [SMALL_STATE(10022)] = 521242,
  [SMALL_STATE(10023)] = 521280,
  [SMALL_STATE(10024)] = 521318,
  [SMALL_STATE(10025)] = 521356,
  [SMALL_STATE(10026)] = 521406,
  [SMALL_STATE(10027)] = 521448,
  [SMALL_STATE(10028)] = 521486,
  [SMALL_STATE(10029)] = 521526,
  [SMALL_STATE(10030)] = 521564,
  [SMALL_STATE(10031)] = 521624,
  [SMALL_STATE(10032)] = 521662,
  [SMALL_STATE(10033)] = 521710,
  [SMALL_STATE(10034)] = 521748,
  [SMALL_STATE(10035)] = 521788,
  [SMALL_STATE(10036)] = 521826,
  [SMALL_STATE(10037)] = 521864,
  [SMALL_STATE(10038)] = 521902,
  [SMALL_STATE(10039)] = 521940,
  [SMALL_STATE(10040)] = 521978,
  [SMALL_STATE(10041)] = 522016,
  [SMALL_STATE(10042)] = 522068,
  [SMALL_STATE(10043)] = 522106,
  [SMALL_STATE(10044)] = 522148,
  [SMALL_STATE(10045)] = 522186,
  [SMALL_STATE(10046)] = 522224,
  [SMALL_STATE(10047)] = 522262,
  [SMALL_STATE(10048)] = 522310,
  [SMALL_STATE(10049)] = 522348,
  [SMALL_STATE(10050)] = 522398,
  [SMALL_STATE(10051)] = 522436,
  [SMALL_STATE(10052)] = 522474,
  [SMALL_STATE(10053)] = 522526,
  [SMALL_STATE(10054)] = 522564,
  [SMALL_STATE(10055)] = 522602,
  [SMALL_STATE(10056)] = 522654,
  [SMALL_STATE(10057)] = 522692,
  [SMALL_STATE(10058)] = 522742,
  [SMALL_STATE(10059)] = 522780,
  [SMALL_STATE(10060)] = 522818,
  [SMALL_STATE(10061)] = 522856,
  [SMALL_STATE(10062)] = 522898,
  [SMALL_STATE(10063)] = 522936,
  [SMALL_STATE(10064)] = 522974,
  [SMALL_STATE(10065)] = 523012,
  [SMALL_STATE(10066)] = 523050,
  [SMALL_STATE(10067)] = 523088,
  [SMALL_STATE(10068)] = 523126,
  [SMALL_STATE(10069)] = 523172,
  [SMALL_STATE(10070)] = 523214,
  [SMALL_STATE(10071)] = 523252,
  [SMALL_STATE(10072)] = 523294,
  [SMALL_STATE(10073)] = 523332,
  [SMALL_STATE(10074)] = 523370,
  [SMALL_STATE(10075)] = 523408,
  [SMALL_STATE(10076)] = 523446,
  [SMALL_STATE(10077)] = 523488,
  [SMALL_STATE(10078)] = 523528,
  [SMALL_STATE(10079)] = 523566,
  [SMALL_STATE(10080)] = 523604,
  [SMALL_STATE(10081)] = 523642,
  [SMALL_STATE(10082)] = 523680,
  [SMALL_STATE(10083)] = 523718,
  [SMALL_STATE(10084)] = 523756,
  [SMALL_STATE(10085)] = 523808,
  [SMALL_STATE(10086)] = 523846,
  [SMALL_STATE(10087)] = 523884,
  [SMALL_STATE(10088)] = 523922,
  [SMALL_STATE(10089)] = 523960,
  [SMALL_STATE(10090)] = 523998,
  [SMALL_STATE(10091)] = 524048,
  [SMALL_STATE(10092)] = 524086,
  [SMALL_STATE(10093)] = 524124,
  [SMALL_STATE(10094)] = 524162,
  [SMALL_STATE(10095)] = 524200,
  [SMALL_STATE(10096)] = 524238,
  [SMALL_STATE(10097)] = 524276,
  [SMALL_STATE(10098)] = 524324,
  [SMALL_STATE(10099)] = 524367,
  [SMALL_STATE(10100)] = 524404,
  [SMALL_STATE(10101)] = 524441,
  [SMALL_STATE(10102)] = 524504,
  [SMALL_STATE(10103)] = 524567,
  [SMALL_STATE(10104)] = 524606,
  [SMALL_STATE(10105)] = 524669,
  [SMALL_STATE(10106)] = 524712,
  [SMALL_STATE(10107)] = 524749,
  [SMALL_STATE(10108)] = 524812,
  [SMALL_STATE(10109)] = 524871,
  [SMALL_STATE(10110)] = 524912,
  [SMALL_STATE(10111)] = 524959,
  [SMALL_STATE(10112)] = 525000,
  [SMALL_STATE(10113)] = 525039,
  [SMALL_STATE(10114)] = 525076,
  [SMALL_STATE(10115)] = 525115,
  [SMALL_STATE(10116)] = 525152,
  [SMALL_STATE(10117)] = 525215,
  [SMALL_STATE(10118)] = 525276,
  [SMALL_STATE(10119)] = 525323,
  [SMALL_STATE(10120)] = 525386,
  [SMALL_STATE(10121)] = 525423,
  [SMALL_STATE(10122)] = 525486,
  [SMALL_STATE(10123)] = 525533,
  [SMALL_STATE(10124)] = 525596,
  [SMALL_STATE(10125)] = 525659,
  [SMALL_STATE(10126)] = 525696,
  [SMALL_STATE(10127)] = 525733,
  [SMALL_STATE(10128)] = 525770,
  [SMALL_STATE(10129)] = 525819,
  [SMALL_STATE(10130)] = 525868,
  [SMALL_STATE(10131)] = 525911,
  [SMALL_STATE(10132)] = 525964,
  [SMALL_STATE(10133)] = 526013,
  [SMALL_STATE(10134)] = 526050,
  [SMALL_STATE(10135)] = 526113,
  [SMALL_STATE(10136)] = 526166,
  [SMALL_STATE(10137)] = 526215,
  [SMALL_STATE(10138)] = 526258,
  [SMALL_STATE(10139)] = 526301,
  [SMALL_STATE(10140)] = 526344,
  [SMALL_STATE(10141)] = 526387,
  [SMALL_STATE(10142)] = 526450,
  [SMALL_STATE(10143)] = 526491,
  [SMALL_STATE(10144)] = 526532,
  [SMALL_STATE(10145)] = 526573,
  [SMALL_STATE(10146)] = 526616,
  [SMALL_STATE(10147)] = 526659,
  [SMALL_STATE(10148)] = 526696,
  [SMALL_STATE(10149)] = 526745,
  [SMALL_STATE(10150)] = 526784,
  [SMALL_STATE(10151)] = 526825,
  [SMALL_STATE(10152)] = 526866,
  [SMALL_STATE(10153)] = 526905,
  [SMALL_STATE(10154)] = 526942,
  [SMALL_STATE(10155)] = 527005,
  [SMALL_STATE(10156)] = 527068,
  [SMALL_STATE(10157)] = 527131,
  [SMALL_STATE(10158)] = 527180,
  [SMALL_STATE(10159)] = 527219,
  [SMALL_STATE(10160)] = 527282,
  [SMALL_STATE(10161)] = 527319,
  [SMALL_STATE(10162)] = 527368,
  [SMALL_STATE(10163)] = 527407,
  [SMALL_STATE(10164)] = 527450,
  [SMALL_STATE(10165)] = 527513,
  [SMALL_STATE(10166)] = 527566,
  [SMALL_STATE(10167)] = 527605,
  [SMALL_STATE(10168)] = 527646,
  [SMALL_STATE(10169)] = 527693,
  [SMALL_STATE(10170)] = 527736,
  [SMALL_STATE(10171)] = 527779,
  [SMALL_STATE(10172)] = 527826,
  [SMALL_STATE(10173)] = 527881,
  [SMALL_STATE(10174)] = 527928,
  [SMALL_STATE(10175)] = 527969,
  [SMALL_STATE(10176)] = 528006,
  [SMALL_STATE(10177)] = 528047,
  [SMALL_STATE(10178)] = 528096,
  [SMALL_STATE(10179)] = 528145,
  [SMALL_STATE(10180)] = 528198,
  [SMALL_STATE(10181)] = 528261,
  [SMALL_STATE(10182)] = 528316,
  [SMALL_STATE(10183)] = 528375,
  [SMALL_STATE(10184)] = 528418,
  [SMALL_STATE(10185)] = 528477,
  [SMALL_STATE(10186)] = 528526,
  [SMALL_STATE(10187)] = 528569,
  [SMALL_STATE(10188)] = 528612,
  [SMALL_STATE(10189)] = 528655,
  [SMALL_STATE(10190)] = 528694,
  [SMALL_STATE(10191)] = 528757,
  [SMALL_STATE(10192)] = 528794,
  [SMALL_STATE(10193)] = 528831,
  [SMALL_STATE(10194)] = 528868,
  [SMALL_STATE(10195)] = 528931,
  [SMALL_STATE(10196)] = 528980,
  [SMALL_STATE(10197)] = 529017,
  [SMALL_STATE(10198)] = 529054,
  [SMALL_STATE(10199)] = 529103,
  [SMALL_STATE(10200)] = 529144,
  [SMALL_STATE(10201)] = 529181,
  [SMALL_STATE(10202)] = 529228,
  [SMALL_STATE(10203)] = 529275,
  [SMALL_STATE(10204)] = 529322,
  [SMALL_STATE(10205)] = 529381,
  [SMALL_STATE(10206)] = 529430,
  [SMALL_STATE(10207)] = 529479,
  [SMALL_STATE(10208)] = 529516,
  [SMALL_STATE(10209)] = 529563,
  [SMALL_STATE(10210)] = 529610,
  [SMALL_STATE(10211)] = 529657,
  [SMALL_STATE(10212)] = 529704,
  [SMALL_STATE(10213)] = 529745,
  [SMALL_STATE(10214)] = 529782,
  [SMALL_STATE(10215)] = 529823,
  [SMALL_STATE(10216)] = 529886,
  [SMALL_STATE(10217)] = 529933,
  [SMALL_STATE(10218)] = 529972,
  [SMALL_STATE(10219)] = 530035,
  [SMALL_STATE(10220)] = 530072,
  [SMALL_STATE(10221)] = 530109,
  [SMALL_STATE(10222)] = 530146,
  [SMALL_STATE(10223)] = 530199,
  [SMALL_STATE(10224)] = 530252,
  [SMALL_STATE(10225)] = 530295,
  [SMALL_STATE(10226)] = 530358,
  [SMALL_STATE(10227)] = 530397,
  [SMALL_STATE(10228)] = 530450,
  [SMALL_STATE(10229)] = 530513,
  [SMALL_STATE(10230)] = 530576,
  [SMALL_STATE(10231)] = 530613,
  [SMALL_STATE(10232)] = 530660,
  [SMALL_STATE(10233)] = 530697,
  [SMALL_STATE(10234)] = 530744,
  [SMALL_STATE(10235)] = 530807,
  [SMALL_STATE(10236)] = 530860,
  [SMALL_STATE(10237)] = 530907,
  [SMALL_STATE(10238)] = 530960,
  [SMALL_STATE(10239)] = 530997,
  [SMALL_STATE(10240)] = 531060,
  [SMALL_STATE(10241)] = 531113,
  [SMALL_STATE(10242)] = 531162,
  [SMALL_STATE(10243)] = 531225,
  [SMALL_STATE(10244)] = 531280,
  [SMALL_STATE(10245)] = 531329,
  [SMALL_STATE(10246)] = 531378,
  [SMALL_STATE(10247)] = 531427,
  [SMALL_STATE(10248)] = 531480,
  [SMALL_STATE(10249)] = 531529,
  [SMALL_STATE(10250)] = 531570,
  [SMALL_STATE(10251)] = 531617,
  [SMALL_STATE(10252)] = 531666,
  [SMALL_STATE(10253)] = 531715,
  [SMALL_STATE(10254)] = 531764,
  [SMALL_STATE(10255)] = 531813,
  [SMALL_STATE(10256)] = 531852,
  [SMALL_STATE(10257)] = 531901,
  [SMALL_STATE(10258)] = 531950,
  [SMALL_STATE(10259)] = 531999,
  [SMALL_STATE(10260)] = 532048,
  [SMALL_STATE(10261)] = 532097,
  [SMALL_STATE(10262)] = 532146,
  [SMALL_STATE(10263)] = 532195,
  [SMALL_STATE(10264)] = 532244,
  [SMALL_STATE(10265)] = 532285,
  [SMALL_STATE(10266)] = 532322,
  [SMALL_STATE(10267)] = 532363,
  [SMALL_STATE(10268)] = 532412,
  [SMALL_STATE(10269)] = 532461,
  [SMALL_STATE(10270)] = 532514,
  [SMALL_STATE(10271)] = 532569,
  [SMALL_STATE(10272)] = 532628,
  [SMALL_STATE(10273)] = 532669,
  [SMALL_STATE(10274)] = 532712,
  [SMALL_STATE(10275)] = 532751,
  [SMALL_STATE(10276)] = 532810,
  [SMALL_STATE(10277)] = 532873,
  [SMALL_STATE(10278)] = 532936,
  [SMALL_STATE(10279)] = 532985,
  [SMALL_STATE(10280)] = 533026,
  [SMALL_STATE(10281)] = 533079,
  [SMALL_STATE(10282)] = 533116,
  [SMALL_STATE(10283)] = 533157,
  [SMALL_STATE(10284)] = 533204,
  [SMALL_STATE(10285)] = 533267,
  [SMALL_STATE(10286)] = 533330,
  [SMALL_STATE(10287)] = 533393,
  [SMALL_STATE(10288)] = 533456,
  [SMALL_STATE(10289)] = 533503,
  [SMALL_STATE(10290)] = 533566,
  [SMALL_STATE(10291)] = 533613,
  [SMALL_STATE(10292)] = 533672,
  [SMALL_STATE(10293)] = 533709,
  [SMALL_STATE(10294)] = 533746,
  [SMALL_STATE(10295)] = 533793,
  [SMALL_STATE(10296)] = 533856,
  [SMALL_STATE(10297)] = 533893,
  [SMALL_STATE(10298)] = 533936,
  [SMALL_STATE(10299)] = 533973,
  [SMALL_STATE(10300)] = 534036,
  [SMALL_STATE(10301)] = 534073,
  [SMALL_STATE(10302)] = 534114,
  [SMALL_STATE(10303)] = 534175,
  [SMALL_STATE(10304)] = 534212,
  [SMALL_STATE(10305)] = 534259,
  [SMALL_STATE(10306)] = 534322,
  [SMALL_STATE(10307)] = 534359,
  [SMALL_STATE(10308)] = 534396,
  [SMALL_STATE(10309)] = 534449,
  [SMALL_STATE(10310)] = 534512,
  [SMALL_STATE(10311)] = 534555,
  [SMALL_STATE(10312)] = 534592,
  [SMALL_STATE(10313)] = 534635,
  [SMALL_STATE(10314)] = 534672,
  [SMALL_STATE(10315)] = 534709,
  [SMALL_STATE(10316)] = 534746,
  [SMALL_STATE(10317)] = 534809,
  [SMALL_STATE(10318)] = 534846,
  [SMALL_STATE(10319)] = 534909,
  [SMALL_STATE(10320)] = 534958,
  [SMALL_STATE(10321)] = 534995,
  [SMALL_STATE(10322)] = 535032,
  [SMALL_STATE(10323)] = 535069,
  [SMALL_STATE(10324)] = 535132,
  [SMALL_STATE(10325)] = 535195,
  [SMALL_STATE(10326)] = 535234,
  [SMALL_STATE(10327)] = 535283,
  [SMALL_STATE(10328)] = 535332,
  [SMALL_STATE(10329)] = 535395,
  [SMALL_STATE(10330)] = 535434,
  [SMALL_STATE(10331)] = 535497,
  [SMALL_STATE(10332)] = 535546,
  [SMALL_STATE(10333)] = 535583,
  [SMALL_STATE(10334)] = 535620,
  [SMALL_STATE(10335)] = 535663,
  [SMALL_STATE(10336)] = 535706,
  [SMALL_STATE(10337)] = 535749,
  [SMALL_STATE(10338)] = 535792,
  [SMALL_STATE(10339)] = 535835,
  [SMALL_STATE(10340)] = 535878,
  [SMALL_STATE(10341)] = 535921,
  [SMALL_STATE(10342)] = 535964,
  [SMALL_STATE(10343)] = 536005,
  [SMALL_STATE(10344)] = 536046,
  [SMALL_STATE(10345)] = 536093,
  [SMALL_STATE(10346)] = 536129,
  [SMALL_STATE(10347)] = 536165,
  [SMALL_STATE(10348)] = 536201,
  [SMALL_STATE(10349)] = 536237,
  [SMALL_STATE(10350)] = 536279,
  [SMALL_STATE(10351)] = 536325,
  [SMALL_STATE(10352)] = 536367,
  [SMALL_STATE(10353)] = 536403,
  [SMALL_STATE(10354)] = 536439,
  [SMALL_STATE(10355)] = 536475,
  [SMALL_STATE(10356)] = 536517,
  [SMALL_STATE(10357)] = 536559,
  [SMALL_STATE(10358)] = 536601,
  [SMALL_STATE(10359)] = 536637,
  [SMALL_STATE(10360)] = 536673,
  [SMALL_STATE(10361)] = 536709,
  [SMALL_STATE(10362)] = 536751,
  [SMALL_STATE(10363)] = 536793,
  [SMALL_STATE(10364)] = 536829,
  [SMALL_STATE(10365)] = 536869,
  [SMALL_STATE(10366)] = 536911,
  [SMALL_STATE(10367)] = 536953,
  [SMALL_STATE(10368)] = 536995,
  [SMALL_STATE(10369)] = 537035,
  [SMALL_STATE(10370)] = 537071,
  [SMALL_STATE(10371)] = 537107,
  [SMALL_STATE(10372)] = 537143,
  [SMALL_STATE(10373)] = 537181,
  [SMALL_STATE(10374)] = 537217,
  [SMALL_STATE(10375)] = 537253,
  [SMALL_STATE(10376)] = 537289,
  [SMALL_STATE(10377)] = 537349,
  [SMALL_STATE(10378)] = 537391,
  [SMALL_STATE(10379)] = 537433,
  [SMALL_STATE(10380)] = 537469,
  [SMALL_STATE(10381)] = 537505,
  [SMALL_STATE(10382)] = 537541,
  [SMALL_STATE(10383)] = 537577,
  [SMALL_STATE(10384)] = 537613,
  [SMALL_STATE(10385)] = 537653,
  [SMALL_STATE(10386)] = 537691,
  [SMALL_STATE(10387)] = 537727,
  [SMALL_STATE(10388)] = 537773,
  [SMALL_STATE(10389)] = 537809,
  [SMALL_STATE(10390)] = 537845,
  [SMALL_STATE(10391)] = 537887,
  [SMALL_STATE(10392)] = 537929,
  [SMALL_STATE(10393)] = 537971,
  [SMALL_STATE(10394)] = 538007,
  [SMALL_STATE(10395)] = 538053,
  [SMALL_STATE(10396)] = 538089,
  [SMALL_STATE(10397)] = 538131,
  [SMALL_STATE(10398)] = 538173,
  [SMALL_STATE(10399)] = 538209,
  [SMALL_STATE(10400)] = 538255,
  [SMALL_STATE(10401)] = 538297,
  [SMALL_STATE(10402)] = 538333,
  [SMALL_STATE(10403)] = 538375,
  [SMALL_STATE(10404)] = 538417,
  [SMALL_STATE(10405)] = 538475,
  [SMALL_STATE(10406)] = 538511,
  [SMALL_STATE(10407)] = 538547,
  [SMALL_STATE(10408)] = 538589,
  [SMALL_STATE(10409)] = 538625,
  [SMALL_STATE(10410)] = 538661,
  [SMALL_STATE(10411)] = 538697,
  [SMALL_STATE(10412)] = 538733,
  [SMALL_STATE(10413)] = 538769,
  [SMALL_STATE(10414)] = 538815,
  [SMALL_STATE(10415)] = 538851,
  [SMALL_STATE(10416)] = 538893,
  [SMALL_STATE(10417)] = 538935,
  [SMALL_STATE(10418)] = 538971,
  [SMALL_STATE(10419)] = 539007,
  [SMALL_STATE(10420)] = 539043,
  [SMALL_STATE(10421)] = 539079,
  [SMALL_STATE(10422)] = 539115,
  [SMALL_STATE(10423)] = 539151,
  [SMALL_STATE(10424)] = 539187,
  [SMALL_STATE(10425)] = 539223,
  [SMALL_STATE(10426)] = 539265,
  [SMALL_STATE(10427)] = 539307,
  [SMALL_STATE(10428)] = 539353,
  [SMALL_STATE(10429)] = 539407,
  [SMALL_STATE(10430)] = 539453,
  [SMALL_STATE(10431)] = 539493,
  [SMALL_STATE(10432)] = 539535,
  [SMALL_STATE(10433)] = 539571,
  [SMALL_STATE(10434)] = 539607,
  [SMALL_STATE(10435)] = 539649,
  [SMALL_STATE(10436)] = 539691,
  [SMALL_STATE(10437)] = 539733,
  [SMALL_STATE(10438)] = 539775,
  [SMALL_STATE(10439)] = 539811,
  [SMALL_STATE(10440)] = 539847,
  [SMALL_STATE(10441)] = 539883,
  [SMALL_STATE(10442)] = 539919,
  [SMALL_STATE(10443)] = 539961,
  [SMALL_STATE(10444)] = 540003,
  [SMALL_STATE(10445)] = 540045,
  [SMALL_STATE(10446)] = 540081,
  [SMALL_STATE(10447)] = 540123,
  [SMALL_STATE(10448)] = 540159,
  [SMALL_STATE(10449)] = 540201,
  [SMALL_STATE(10450)] = 540243,
  [SMALL_STATE(10451)] = 540279,
  [SMALL_STATE(10452)] = 540321,
  [SMALL_STATE(10453)] = 540363,
  [SMALL_STATE(10454)] = 540403,
  [SMALL_STATE(10455)] = 540445,
  [SMALL_STATE(10456)] = 540487,
  [SMALL_STATE(10457)] = 540529,
  [SMALL_STATE(10458)] = 540569,
  [SMALL_STATE(10459)] = 540605,
  [SMALL_STATE(10460)] = 540641,
  [SMALL_STATE(10461)] = 540677,
  [SMALL_STATE(10462)] = 540713,
  [SMALL_STATE(10463)] = 540753,
  [SMALL_STATE(10464)] = 540789,
  [SMALL_STATE(10465)] = 540829,
  [SMALL_STATE(10466)] = 540871,
  [SMALL_STATE(10467)] = 540913,
  [SMALL_STATE(10468)] = 540949,
  [SMALL_STATE(10469)] = 540985,
  [SMALL_STATE(10470)] = 541021,
  [SMALL_STATE(10471)] = 541057,
  [SMALL_STATE(10472)] = 541093,
  [SMALL_STATE(10473)] = 541129,
  [SMALL_STATE(10474)] = 541165,
  [SMALL_STATE(10475)] = 541207,
  [SMALL_STATE(10476)] = 541249,
  [SMALL_STATE(10477)] = 541285,
  [SMALL_STATE(10478)] = 541321,
  [SMALL_STATE(10479)] = 541357,
  [SMALL_STATE(10480)] = 541393,
  [SMALL_STATE(10481)] = 541429,
  [SMALL_STATE(10482)] = 541471,
  [SMALL_STATE(10483)] = 541521,
  [SMALL_STATE(10484)] = 541557,
  [SMALL_STATE(10485)] = 541593,
  [SMALL_STATE(10486)] = 541635,
  [SMALL_STATE(10487)] = 541681,
  [SMALL_STATE(10488)] = 541721,
  [SMALL_STATE(10489)] = 541757,
  [SMALL_STATE(10490)] = 541793,
  [SMALL_STATE(10491)] = 541829,
  [SMALL_STATE(10492)] = 541871,
  [SMALL_STATE(10493)] = 541907,
  [SMALL_STATE(10494)] = 541943,
  [SMALL_STATE(10495)] = 541985,
  [SMALL_STATE(10496)] = 542027,
  [SMALL_STATE(10497)] = 542069,
  [SMALL_STATE(10498)] = 542111,
  [SMALL_STATE(10499)] = 542161,
  [SMALL_STATE(10500)] = 542203,
  [SMALL_STATE(10501)] = 542249,
  [SMALL_STATE(10502)] = 542285,
  [SMALL_STATE(10503)] = 542321,
  [SMALL_STATE(10504)] = 542361,
  [SMALL_STATE(10505)] = 542397,
  [SMALL_STATE(10506)] = 542439,
  [SMALL_STATE(10507)] = 542479,
  [SMALL_STATE(10508)] = 542527,
  [SMALL_STATE(10509)] = 542563,
  [SMALL_STATE(10510)] = 542611,
  [SMALL_STATE(10511)] = 542647,
  [SMALL_STATE(10512)] = 542689,
  [SMALL_STATE(10513)] = 542731,
  [SMALL_STATE(10514)] = 542767,
  [SMALL_STATE(10515)] = 542809,
  [SMALL_STATE(10516)] = 542851,
  [SMALL_STATE(10517)] = 542893,
  [SMALL_STATE(10518)] = 542945,
  [SMALL_STATE(10519)] = 542987,
  [SMALL_STATE(10520)] = 543023,
  [SMALL_STATE(10521)] = 543077,
  [SMALL_STATE(10522)] = 543113,
  [SMALL_STATE(10523)] = 543149,
  [SMALL_STATE(10524)] = 543207,
  [SMALL_STATE(10525)] = 543253,
  [SMALL_STATE(10526)] = 543295,
  [SMALL_STATE(10527)] = 543331,
  [SMALL_STATE(10528)] = 543389,
  [SMALL_STATE(10529)] = 543429,
  [SMALL_STATE(10530)] = 543471,
  [SMALL_STATE(10531)] = 543513,
  [SMALL_STATE(10532)] = 543549,
  [SMALL_STATE(10533)] = 543587,
  [SMALL_STATE(10534)] = 543623,
  [SMALL_STATE(10535)] = 543659,
  [SMALL_STATE(10536)] = 543695,
  [SMALL_STATE(10537)] = 543731,
  [SMALL_STATE(10538)] = 543767,
  [SMALL_STATE(10539)] = 543803,
  [SMALL_STATE(10540)] = 543849,
  [SMALL_STATE(10541)] = 543895,
  [SMALL_STATE(10542)] = 543941,
  [SMALL_STATE(10543)] = 543989,
  [SMALL_STATE(10544)] = 544037,
  [SMALL_STATE(10545)] = 544079,
  [SMALL_STATE(10546)] = 544121,
  [SMALL_STATE(10547)] = 544161,
  [SMALL_STATE(10548)] = 544203,
  [SMALL_STATE(10549)] = 544249,
  [SMALL_STATE(10550)] = 544297,
  [SMALL_STATE(10551)] = 544339,
  [SMALL_STATE(10552)] = 544385,
  [SMALL_STATE(10553)] = 544431,
  [SMALL_STATE(10554)] = 544477,
  [SMALL_STATE(10555)] = 544525,
  [SMALL_STATE(10556)] = 544571,
  [SMALL_STATE(10557)] = 544613,
  [SMALL_STATE(10558)] = 544655,
  [SMALL_STATE(10559)] = 544701,
  [SMALL_STATE(10560)] = 544741,
  [SMALL_STATE(10561)] = 544787,
  [SMALL_STATE(10562)] = 544829,
  [SMALL_STATE(10563)] = 544869,
  [SMALL_STATE(10564)] = 544905,
  [SMALL_STATE(10565)] = 544945,
  [SMALL_STATE(10566)] = 544981,
  [SMALL_STATE(10567)] = 545017,
  [SMALL_STATE(10568)] = 545053,
  [SMALL_STATE(10569)] = 545089,
  [SMALL_STATE(10570)] = 545125,
  [SMALL_STATE(10571)] = 545161,
  [SMALL_STATE(10572)] = 545197,
  [SMALL_STATE(10573)] = 545239,
  [SMALL_STATE(10574)] = 545281,
  [SMALL_STATE(10575)] = 545317,
  [SMALL_STATE(10576)] = 545353,
  [SMALL_STATE(10577)] = 545395,
  [SMALL_STATE(10578)] = 545431,
  [SMALL_STATE(10579)] = 545467,
  [SMALL_STATE(10580)] = 545509,
  [SMALL_STATE(10581)] = 545551,
  [SMALL_STATE(10582)] = 545591,
  [SMALL_STATE(10583)] = 545633,
  [SMALL_STATE(10584)] = 545671,
  [SMALL_STATE(10585)] = 545707,
  [SMALL_STATE(10586)] = 545743,
  [SMALL_STATE(10587)] = 545785,
  [SMALL_STATE(10588)] = 545827,
  [SMALL_STATE(10589)] = 545865,
  [SMALL_STATE(10590)] = 545907,
  [SMALL_STATE(10591)] = 545949,
  [SMALL_STATE(10592)] = 545991,
  [SMALL_STATE(10593)] = 546027,
  [SMALL_STATE(10594)] = 546063,
  [SMALL_STATE(10595)] = 546101,
  [SMALL_STATE(10596)] = 546137,
  [SMALL_STATE(10597)] = 546173,
  [SMALL_STATE(10598)] = 546215,
  [SMALL_STATE(10599)] = 546251,
  [SMALL_STATE(10600)] = 546287,
  [SMALL_STATE(10601)] = 546325,
  [SMALL_STATE(10602)] = 546361,
  [SMALL_STATE(10603)] = 546407,
  [SMALL_STATE(10604)] = 546449,
  [SMALL_STATE(10605)] = 546485,
  [SMALL_STATE(10606)] = 546521,
  [SMALL_STATE(10607)] = 546557,
  [SMALL_STATE(10608)] = 546597,
  [SMALL_STATE(10609)] = 546633,
  [SMALL_STATE(10610)] = 546669,
  [SMALL_STATE(10611)] = 546715,
  [SMALL_STATE(10612)] = 546751,
  [SMALL_STATE(10613)] = 546793,
  [SMALL_STATE(10614)] = 546835,
  [SMALL_STATE(10615)] = 546877,
  [SMALL_STATE(10616)] = 546913,
  [SMALL_STATE(10617)] = 546955,
  [SMALL_STATE(10618)] = 546997,
  [SMALL_STATE(10619)] = 547037,
  [SMALL_STATE(10620)] = 547073,
  [SMALL_STATE(10621)] = 547119,
  [SMALL_STATE(10622)] = 547165,
  [SMALL_STATE(10623)] = 547201,
  [SMALL_STATE(10624)] = 547237,
  [SMALL_STATE(10625)] = 547273,
  [SMALL_STATE(10626)] = 547309,
  [SMALL_STATE(10627)] = 547349,
  [SMALL_STATE(10628)] = 547391,
  [SMALL_STATE(10629)] = 547433,
  [SMALL_STATE(10630)] = 547469,
  [SMALL_STATE(10631)] = 547505,
  [SMALL_STATE(10632)] = 547541,
  [SMALL_STATE(10633)] = 547577,
  [SMALL_STATE(10634)] = 547613,
  [SMALL_STATE(10635)] = 547651,
  [SMALL_STATE(10636)] = 547687,
  [SMALL_STATE(10637)] = 547729,
  [SMALL_STATE(10638)] = 547765,
  [SMALL_STATE(10639)] = 547801,
  [SMALL_STATE(10640)] = 547843,
  [SMALL_STATE(10641)] = 547879,
  [SMALL_STATE(10642)] = 547921,
  [SMALL_STATE(10643)] = 547959,
  [SMALL_STATE(10644)] = 548005,
  [SMALL_STATE(10645)] = 548041,
  [SMALL_STATE(10646)] = 548077,
  [SMALL_STATE(10647)] = 548113,
  [SMALL_STATE(10648)] = 548153,
  [SMALL_STATE(10649)] = 548193,
  [SMALL_STATE(10650)] = 548233,
  [SMALL_STATE(10651)] = 548273,
  [SMALL_STATE(10652)] = 548313,
  [SMALL_STATE(10653)] = 548355,
  [SMALL_STATE(10654)] = 548400,
  [SMALL_STATE(10655)] = 548435,
  [SMALL_STATE(10656)] = 548492,
  [SMALL_STATE(10657)] = 548549,
  [SMALL_STATE(10658)] = 548606,
  [SMALL_STATE(10659)] = 548641,
  [SMALL_STATE(10660)] = 548698,
  [SMALL_STATE(10661)] = 548755,
  [SMALL_STATE(10662)] = 548812,
  [SMALL_STATE(10663)] = 548853,
  [SMALL_STATE(10664)] = 548888,
  [SMALL_STATE(10665)] = 548945,
  [SMALL_STATE(10666)] = 548990,
  [SMALL_STATE(10667)] = 549025,
  [SMALL_STATE(10668)] = 549060,
  [SMALL_STATE(10669)] = 549095,
  [SMALL_STATE(10670)] = 549140,
  [SMALL_STATE(10671)] = 549185,
  [SMALL_STATE(10672)] = 549226,
  [SMALL_STATE(10673)] = 549271,
  [SMALL_STATE(10674)] = 549310,
  [SMALL_STATE(10675)] = 549345,
  [SMALL_STATE(10676)] = 549390,
  [SMALL_STATE(10677)] = 549435,
  [SMALL_STATE(10678)] = 549480,
  [SMALL_STATE(10679)] = 549525,
  [SMALL_STATE(10680)] = 549566,
  [SMALL_STATE(10681)] = 549603,
  [SMALL_STATE(10682)] = 549648,
  [SMALL_STATE(10683)] = 549693,
  [SMALL_STATE(10684)] = 549738,
  [SMALL_STATE(10685)] = 549783,
  [SMALL_STATE(10686)] = 549828,
  [SMALL_STATE(10687)] = 549873,
  [SMALL_STATE(10688)] = 549918,
  [SMALL_STATE(10689)] = 549963,
  [SMALL_STATE(10690)] = 550004,
  [SMALL_STATE(10691)] = 550039,
  [SMALL_STATE(10692)] = 550074,
  [SMALL_STATE(10693)] = 550131,
  [SMALL_STATE(10694)] = 550166,
  [SMALL_STATE(10695)] = 550223,
  [SMALL_STATE(10696)] = 550258,
  [SMALL_STATE(10697)] = 550303,
  [SMALL_STATE(10698)] = 550342,
  [SMALL_STATE(10699)] = 550377,
  [SMALL_STATE(10700)] = 550434,
  [SMALL_STATE(10701)] = 550479,
  [SMALL_STATE(10702)] = 550514,
  [SMALL_STATE(10703)] = 550559,
  [SMALL_STATE(10704)] = 550616,
  [SMALL_STATE(10705)] = 550661,
  [SMALL_STATE(10706)] = 550700,
  [SMALL_STATE(10707)] = 550745,
  [SMALL_STATE(10708)] = 550790,
  [SMALL_STATE(10709)] = 550835,
  [SMALL_STATE(10710)] = 550880,
  [SMALL_STATE(10711)] = 550917,
  [SMALL_STATE(10712)] = 550962,
  [SMALL_STATE(10713)] = 551007,
  [SMALL_STATE(10714)] = 551052,
  [SMALL_STATE(10715)] = 551097,
  [SMALL_STATE(10716)] = 551142,
  [SMALL_STATE(10717)] = 551187,
  [SMALL_STATE(10718)] = 551232,
  [SMALL_STATE(10719)] = 551277,
  [SMALL_STATE(10720)] = 551334,
  [SMALL_STATE(10721)] = 551391,
  [SMALL_STATE(10722)] = 551436,
  [SMALL_STATE(10723)] = 551493,
  [SMALL_STATE(10724)] = 551534,
  [SMALL_STATE(10725)] = 551591,
  [SMALL_STATE(10726)] = 551634,
  [SMALL_STATE(10727)] = 551669,
  [SMALL_STATE(10728)] = 551710,
  [SMALL_STATE(10729)] = 551753,
  [SMALL_STATE(10730)] = 551796,
  [SMALL_STATE(10731)] = 551853,
  [SMALL_STATE(10732)] = 551896,
  [SMALL_STATE(10733)] = 551935,
  [SMALL_STATE(10734)] = 551992,
  [SMALL_STATE(10735)] = 552035,
  [SMALL_STATE(10736)] = 552076,
  [SMALL_STATE(10737)] = 552133,
  [SMALL_STATE(10738)] = 552176,
  [SMALL_STATE(10739)] = 552219,
  [SMALL_STATE(10740)] = 552262,
  [SMALL_STATE(10741)] = 552307,
  [SMALL_STATE(10742)] = 552350,
  [SMALL_STATE(10743)] = 552393,
  [SMALL_STATE(10744)] = 552428,
  [SMALL_STATE(10745)] = 552471,
  [SMALL_STATE(10746)] = 552508,
  [SMALL_STATE(10747)] = 552551,
  [SMALL_STATE(10748)] = 552586,
  [SMALL_STATE(10749)] = 552621,
  [SMALL_STATE(10750)] = 552674,
  [SMALL_STATE(10751)] = 552719,
  [SMALL_STATE(10752)] = 552754,
  [SMALL_STATE(10753)] = 552793,
  [SMALL_STATE(10754)] = 552828,
  [SMALL_STATE(10755)] = 552867,
  [SMALL_STATE(10756)] = 552914,
  [SMALL_STATE(10757)] = 552961,
  [SMALL_STATE(10758)] = 553012,
  [SMALL_STATE(10759)] = 553053,
  [SMALL_STATE(10760)] = 553106,
  [SMALL_STATE(10761)] = 553163,
  [SMALL_STATE(10762)] = 553220,
  [SMALL_STATE(10763)] = 553261,
  [SMALL_STATE(10764)] = 553318,
  [SMALL_STATE(10765)] = 553357,
  [SMALL_STATE(10766)] = 553414,
  [SMALL_STATE(10767)] = 553455,
  [SMALL_STATE(10768)] = 553512,
  [SMALL_STATE(10769)] = 553551,
  [SMALL_STATE(10770)] = 553588,
  [SMALL_STATE(10771)] = 553645,
  [SMALL_STATE(10772)] = 553680,
  [SMALL_STATE(10773)] = 553737,
  [SMALL_STATE(10774)] = 553794,
  [SMALL_STATE(10775)] = 553837,
  [SMALL_STATE(10776)] = 553894,
  [SMALL_STATE(10777)] = 553951,
  [SMALL_STATE(10778)] = 553986,
  [SMALL_STATE(10779)] = 554025,
  [SMALL_STATE(10780)] = 554064,
  [SMALL_STATE(10781)] = 554101,
  [SMALL_STATE(10782)] = 554136,
  [SMALL_STATE(10783)] = 554171,
  [SMALL_STATE(10784)] = 554210,
  [SMALL_STATE(10785)] = 554251,
  [SMALL_STATE(10786)] = 554308,
  [SMALL_STATE(10787)] = 554343,
  [SMALL_STATE(10788)] = 554400,
  [SMALL_STATE(10789)] = 554439,
  [SMALL_STATE(10790)] = 554474,
  [SMALL_STATE(10791)] = 554513,
  [SMALL_STATE(10792)] = 554570,
  [SMALL_STATE(10793)] = 554605,
  [SMALL_STATE(10794)] = 554662,
  [SMALL_STATE(10795)] = 554719,
  [SMALL_STATE(10796)] = 554756,
  [SMALL_STATE(10797)] = 554791,
  [SMALL_STATE(10798)] = 554848,
  [SMALL_STATE(10799)] = 554883,
  [SMALL_STATE(10800)] = 554924,
  [SMALL_STATE(10801)] = 554981,
  [SMALL_STATE(10802)] = 555022,
  [SMALL_STATE(10803)] = 555063,
  [SMALL_STATE(10804)] = 555104,
  [SMALL_STATE(10805)] = 555161,
  [SMALL_STATE(10806)] = 555202,
  [SMALL_STATE(10807)] = 555259,
  [SMALL_STATE(10808)] = 555316,
  [SMALL_STATE(10809)] = 555373,
  [SMALL_STATE(10810)] = 555416,
  [SMALL_STATE(10811)] = 555461,
  [SMALL_STATE(10812)] = 555500,
  [SMALL_STATE(10813)] = 555557,
  [SMALL_STATE(10814)] = 555598,
  [SMALL_STATE(10815)] = 555641,
  [SMALL_STATE(10816)] = 555698,
  [SMALL_STATE(10817)] = 555741,
  [SMALL_STATE(10818)] = 555786,
  [SMALL_STATE(10819)] = 555843,
  [SMALL_STATE(10820)] = 555878,
  [SMALL_STATE(10821)] = 555935,
  [SMALL_STATE(10822)] = 555980,
  [SMALL_STATE(10823)] = 556037,
  [SMALL_STATE(10824)] = 556076,
  [SMALL_STATE(10825)] = 556117,
  [SMALL_STATE(10826)] = 556158,
  [SMALL_STATE(10827)] = 556199,
  [SMALL_STATE(10828)] = 556256,
  [SMALL_STATE(10829)] = 556313,
  [SMALL_STATE(10830)] = 556348,
  [SMALL_STATE(10831)] = 556407,
  [SMALL_STATE(10832)] = 556448,
  [SMALL_STATE(10833)] = 556483,
  [SMALL_STATE(10834)] = 556540,
  [SMALL_STATE(10835)] = 556575,
  [SMALL_STATE(10836)] = 556618,
  [SMALL_STATE(10837)] = 556675,
  [SMALL_STATE(10838)] = 556716,
  [SMALL_STATE(10839)] = 556773,
  [SMALL_STATE(10840)] = 556812,
  [SMALL_STATE(10841)] = 556847,
  [SMALL_STATE(10842)] = 556882,
  [SMALL_STATE(10843)] = 556917,
  [SMALL_STATE(10844)] = 556952,
  [SMALL_STATE(10845)] = 557009,
  [SMALL_STATE(10846)] = 557066,
  [SMALL_STATE(10847)] = 557123,
  [SMALL_STATE(10848)] = 557166,
  [SMALL_STATE(10849)] = 557209,
  [SMALL_STATE(10850)] = 557252,
  [SMALL_STATE(10851)] = 557309,
  [SMALL_STATE(10852)] = 557352,
  [SMALL_STATE(10853)] = 557387,
  [SMALL_STATE(10854)] = 557428,
  [SMALL_STATE(10855)] = 557485,
  [SMALL_STATE(10856)] = 557520,
  [SMALL_STATE(10857)] = 557559,
  [SMALL_STATE(10858)] = 557604,
  [SMALL_STATE(10859)] = 557643,
  [SMALL_STATE(10860)] = 557700,
  [SMALL_STATE(10861)] = 557757,
  [SMALL_STATE(10862)] = 557792,
  [SMALL_STATE(10863)] = 557849,
  [SMALL_STATE(10864)] = 557906,
  [SMALL_STATE(10865)] = 557941,
  [SMALL_STATE(10866)] = 557976,
  [SMALL_STATE(10867)] = 558011,
  [SMALL_STATE(10868)] = 558046,
  [SMALL_STATE(10869)] = 558081,
  [SMALL_STATE(10870)] = 558116,
  [SMALL_STATE(10871)] = 558157,
  [SMALL_STATE(10872)] = 558192,
  [SMALL_STATE(10873)] = 558227,
  [SMALL_STATE(10874)] = 558266,
  [SMALL_STATE(10875)] = 558301,
  [SMALL_STATE(10876)] = 558340,
  [SMALL_STATE(10877)] = 558379,
  [SMALL_STATE(10878)] = 558416,
  [SMALL_STATE(10879)] = 558451,
  [SMALL_STATE(10880)] = 558508,
  [SMALL_STATE(10881)] = 558565,
  [SMALL_STATE(10882)] = 558606,
  [SMALL_STATE(10883)] = 558641,
  [SMALL_STATE(10884)] = 558676,
  [SMALL_STATE(10885)] = 558711,
  [SMALL_STATE(10886)] = 558746,
  [SMALL_STATE(10887)] = 558781,
  [SMALL_STATE(10888)] = 558816,
  [SMALL_STATE(10889)] = 558873,
  [SMALL_STATE(10890)] = 558910,
  [SMALL_STATE(10891)] = 558949,
  [SMALL_STATE(10892)] = 558988,
  [SMALL_STATE(10893)] = 559023,
  [SMALL_STATE(10894)] = 559058,
  [SMALL_STATE(10895)] = 559093,
  [SMALL_STATE(10896)] = 559128,
  [SMALL_STATE(10897)] = 559165,
  [SMALL_STATE(10898)] = 559222,
  [SMALL_STATE(10899)] = 559257,
  [SMALL_STATE(10900)] = 559294,
  [SMALL_STATE(10901)] = 559333,
  [SMALL_STATE(10902)] = 559390,
  [SMALL_STATE(10903)] = 559447,
  [SMALL_STATE(10904)] = 559486,
  [SMALL_STATE(10905)] = 559529,
  [SMALL_STATE(10906)] = 559564,
  [SMALL_STATE(10907)] = 559621,
  [SMALL_STATE(10908)] = 559666,
  [SMALL_STATE(10909)] = 559723,
  [SMALL_STATE(10910)] = 559762,
  [SMALL_STATE(10911)] = 559819,
  [SMALL_STATE(10912)] = 559876,
  [SMALL_STATE(10913)] = 559933,
  [SMALL_STATE(10914)] = 559990,
  [SMALL_STATE(10915)] = 560031,
  [SMALL_STATE(10916)] = 560072,
  [SMALL_STATE(10917)] = 560107,
  [SMALL_STATE(10918)] = 560142,
  [SMALL_STATE(10919)] = 560181,
  [SMALL_STATE(10920)] = 560220,
  [SMALL_STATE(10921)] = 560255,
  [SMALL_STATE(10922)] = 560290,
  [SMALL_STATE(10923)] = 560347,
  [SMALL_STATE(10924)] = 560388,
  [SMALL_STATE(10925)] = 560433,
  [SMALL_STATE(10926)] = 560490,
  [SMALL_STATE(10927)] = 560547,
  [SMALL_STATE(10928)] = 560604,
  [SMALL_STATE(10929)] = 560661,
  [SMALL_STATE(10930)] = 560704,
  [SMALL_STATE(10931)] = 560747,
  [SMALL_STATE(10932)] = 560801,
  [SMALL_STATE(10933)] = 560855,
  [SMALL_STATE(10934)] = 560895,
  [SMALL_STATE(10935)] = 560949,
  [SMALL_STATE(10936)] = 560989,
  [SMALL_STATE(10937)] = 561043,
  [SMALL_STATE(10938)] = 561097,
  [SMALL_STATE(10939)] = 561151,
  [SMALL_STATE(10940)] = 561189,
  [SMALL_STATE(10941)] = 561243,
  [SMALL_STATE(10942)] = 561297,
  [SMALL_STATE(10943)] = 561351,
  [SMALL_STATE(10944)] = 561405,
  [SMALL_STATE(10945)] = 561449,
  [SMALL_STATE(10946)] = 561503,
  [SMALL_STATE(10947)] = 561557,
  [SMALL_STATE(10948)] = 561611,
  [SMALL_STATE(10949)] = 561665,
  [SMALL_STATE(10950)] = 561719,
  [SMALL_STATE(10951)] = 561773,
  [SMALL_STATE(10952)] = 561827,
  [SMALL_STATE(10953)] = 561881,
  [SMALL_STATE(10954)] = 561935,
  [SMALL_STATE(10955)] = 561989,
  [SMALL_STATE(10956)] = 562043,
  [SMALL_STATE(10957)] = 562097,
  [SMALL_STATE(10958)] = 562151,
  [SMALL_STATE(10959)] = 562205,
  [SMALL_STATE(10960)] = 562259,
  [SMALL_STATE(10961)] = 562313,
  [SMALL_STATE(10962)] = 562367,
  [SMALL_STATE(10963)] = 562407,
  [SMALL_STATE(10964)] = 562451,
  [SMALL_STATE(10965)] = 562505,
  [SMALL_STATE(10966)] = 562557,
  [SMALL_STATE(10967)] = 562601,
  [SMALL_STATE(10968)] = 562639,
  [SMALL_STATE(10969)] = 562677,
  [SMALL_STATE(10970)] = 562723,
  [SMALL_STATE(10971)] = 562769,
  [SMALL_STATE(10972)] = 562819,
  [SMALL_STATE(10973)] = 562871,
  [SMALL_STATE(10974)] = 562927,
  [SMALL_STATE(10975)] = 562967,
  [SMALL_STATE(10976)] = 563023,
  [SMALL_STATE(10977)] = 563061,
  [SMALL_STATE(10978)] = 563117,
  [SMALL_STATE(10979)] = 563171,
  [SMALL_STATE(10980)] = 563225,
  [SMALL_STATE(10981)] = 563279,
  [SMALL_STATE(10982)] = 563333,
  [SMALL_STATE(10983)] = 563387,
  [SMALL_STATE(10984)] = 563441,
  [SMALL_STATE(10985)] = 563495,
  [SMALL_STATE(10986)] = 563549,
  [SMALL_STATE(10987)] = 563603,
  [SMALL_STATE(10988)] = 563657,
  [SMALL_STATE(10989)] = 563711,
  [SMALL_STATE(10990)] = 563765,
  [SMALL_STATE(10991)] = 563819,
  [SMALL_STATE(10992)] = 563875,
  [SMALL_STATE(10993)] = 563929,
  [SMALL_STATE(10994)] = 563983,
  [SMALL_STATE(10995)] = 564037,
  [SMALL_STATE(10996)] = 564075,
  [SMALL_STATE(10997)] = 564129,
  [SMALL_STATE(10998)] = 564183,
  [SMALL_STATE(10999)] = 564237,
  [SMALL_STATE(11000)] = 564291,
  [SMALL_STATE(11001)] = 564345,
  [SMALL_STATE(11002)] = 564399,
  [SMALL_STATE(11003)] = 564435,
  [SMALL_STATE(11004)] = 564473,
  [SMALL_STATE(11005)] = 564527,
  [SMALL_STATE(11006)] = 564581,
  [SMALL_STATE(11007)] = 564635,
  [SMALL_STATE(11008)] = 564689,
  [SMALL_STATE(11009)] = 564743,
  [SMALL_STATE(11010)] = 564797,
  [SMALL_STATE(11011)] = 564851,
  [SMALL_STATE(11012)] = 564891,
  [SMALL_STATE(11013)] = 564945,
  [SMALL_STATE(11014)] = 564999,
  [SMALL_STATE(11015)] = 565053,
  [SMALL_STATE(11016)] = 565107,
  [SMALL_STATE(11017)] = 565143,
  [SMALL_STATE(11018)] = 565197,
  [SMALL_STATE(11019)] = 565235,
  [SMALL_STATE(11020)] = 565273,
  [SMALL_STATE(11021)] = 565311,
  [SMALL_STATE(11022)] = 565349,
  [SMALL_STATE(11023)] = 565385,
  [SMALL_STATE(11024)] = 565425,
  [SMALL_STATE(11025)] = 565479,
  [SMALL_STATE(11026)] = 565533,
  [SMALL_STATE(11027)] = 565587,
  [SMALL_STATE(11028)] = 565641,
  [SMALL_STATE(11029)] = 565695,
  [SMALL_STATE(11030)] = 565749,
  [SMALL_STATE(11031)] = 565803,
  [SMALL_STATE(11032)] = 565857,
  [SMALL_STATE(11033)] = 565911,
  [SMALL_STATE(11034)] = 565955,
  [SMALL_STATE(11035)] = 566009,
  [SMALL_STATE(11036)] = 566063,
  [SMALL_STATE(11037)] = 566103,
  [SMALL_STATE(11038)] = 566143,
  [SMALL_STATE(11039)] = 566197,
  [SMALL_STATE(11040)] = 566251,
  [SMALL_STATE(11041)] = 566291,
  [SMALL_STATE(11042)] = 566345,
  [SMALL_STATE(11043)] = 566399,
  [SMALL_STATE(11044)] = 566457,
  [SMALL_STATE(11045)] = 566511,
  [SMALL_STATE(11046)] = 566565,
  [SMALL_STATE(11047)] = 566619,
  [SMALL_STATE(11048)] = 566673,
  [SMALL_STATE(11049)] = 566727,
  [SMALL_STATE(11050)] = 566781,
  [SMALL_STATE(11051)] = 566835,
  [SMALL_STATE(11052)] = 566889,
  [SMALL_STATE(11053)] = 566943,
  [SMALL_STATE(11054)] = 566997,
  [SMALL_STATE(11055)] = 567051,
  [SMALL_STATE(11056)] = 567089,
  [SMALL_STATE(11057)] = 567125,
  [SMALL_STATE(11058)] = 567165,
  [SMALL_STATE(11059)] = 567219,
  [SMALL_STATE(11060)] = 567273,
  [SMALL_STATE(11061)] = 567327,
  [SMALL_STATE(11062)] = 567381,
  [SMALL_STATE(11063)] = 567435,
  [SMALL_STATE(11064)] = 567489,
  [SMALL_STATE(11065)] = 567543,
  [SMALL_STATE(11066)] = 567597,
  [SMALL_STATE(11067)] = 567641,
  [SMALL_STATE(11068)] = 567685,
  [SMALL_STATE(11069)] = 567739,
  [SMALL_STATE(11070)] = 567793,
  [SMALL_STATE(11071)] = 567847,
  [SMALL_STATE(11072)] = 567901,
  [SMALL_STATE(11073)] = 567955,
  [SMALL_STATE(11074)] = 568009,
  [SMALL_STATE(11075)] = 568063,
  [SMALL_STATE(11076)] = 568117,
  [SMALL_STATE(11077)] = 568171,
  [SMALL_STATE(11078)] = 568225,
  [SMALL_STATE(11079)] = 568279,
  [SMALL_STATE(11080)] = 568333,
  [SMALL_STATE(11081)] = 568369,
  [SMALL_STATE(11082)] = 568423,
  [SMALL_STATE(11083)] = 568477,
  [SMALL_STATE(11084)] = 568531,
  [SMALL_STATE(11085)] = 568585,
  [SMALL_STATE(11086)] = 568639,
  [SMALL_STATE(11087)] = 568679,
  [SMALL_STATE(11088)] = 568719,
  [SMALL_STATE(11089)] = 568759,
  [SMALL_STATE(11090)] = 568797,
  [SMALL_STATE(11091)] = 568851,
  [SMALL_STATE(11092)] = 568905,
  [SMALL_STATE(11093)] = 568959,
  [SMALL_STATE(11094)] = 569013,
  [SMALL_STATE(11095)] = 569067,
  [SMALL_STATE(11096)] = 569121,
  [SMALL_STATE(11097)] = 569159,
  [SMALL_STATE(11098)] = 569195,
  [SMALL_STATE(11099)] = 569233,
  [SMALL_STATE(11100)] = 569287,
  [SMALL_STATE(11101)] = 569341,
  [SMALL_STATE(11102)] = 569395,
  [SMALL_STATE(11103)] = 569449,
  [SMALL_STATE(11104)] = 569503,
  [SMALL_STATE(11105)] = 569557,
  [SMALL_STATE(11106)] = 569611,
  [SMALL_STATE(11107)] = 569665,
  [SMALL_STATE(11108)] = 569719,
  [SMALL_STATE(11109)] = 569773,
  [SMALL_STATE(11110)] = 569827,
  [SMALL_STATE(11111)] = 569881,
  [SMALL_STATE(11112)] = 569921,
  [SMALL_STATE(11113)] = 569961,
  [SMALL_STATE(11114)] = 570015,
  [SMALL_STATE(11115)] = 570055,
  [SMALL_STATE(11116)] = 570109,
  [SMALL_STATE(11117)] = 570163,
  [SMALL_STATE(11118)] = 570203,
  [SMALL_STATE(11119)] = 570257,
  [SMALL_STATE(11120)] = 570311,
  [SMALL_STATE(11121)] = 570365,
  [SMALL_STATE(11122)] = 570419,
  [SMALL_STATE(11123)] = 570473,
  [SMALL_STATE(11124)] = 570527,
  [SMALL_STATE(11125)] = 570581,
  [SMALL_STATE(11126)] = 570635,
  [SMALL_STATE(11127)] = 570689,
  [SMALL_STATE(11128)] = 570743,
  [SMALL_STATE(11129)] = 570783,
  [SMALL_STATE(11130)] = 570837,
  [SMALL_STATE(11131)] = 570891,
  [SMALL_STATE(11132)] = 570945,
  [SMALL_STATE(11133)] = 570999,
  [SMALL_STATE(11134)] = 571053,
  [SMALL_STATE(11135)] = 571107,
  [SMALL_STATE(11136)] = 571161,
  [SMALL_STATE(11137)] = 571215,
  [SMALL_STATE(11138)] = 571269,
  [SMALL_STATE(11139)] = 571323,
  [SMALL_STATE(11140)] = 571377,
  [SMALL_STATE(11141)] = 571431,
  [SMALL_STATE(11142)] = 571485,
  [SMALL_STATE(11143)] = 571539,
  [SMALL_STATE(11144)] = 571593,
  [SMALL_STATE(11145)] = 571647,
  [SMALL_STATE(11146)] = 571687,
  [SMALL_STATE(11147)] = 571741,
  [SMALL_STATE(11148)] = 571795,
  [SMALL_STATE(11149)] = 571849,
  [SMALL_STATE(11150)] = 571903,
  [SMALL_STATE(11151)] = 571957,
  [SMALL_STATE(11152)] = 572011,
  [SMALL_STATE(11153)] = 572065,
  [SMALL_STATE(11154)] = 572109,
  [SMALL_STATE(11155)] = 572163,
  [SMALL_STATE(11156)] = 572217,
  [SMALL_STATE(11157)] = 572271,
  [SMALL_STATE(11158)] = 572325,
  [SMALL_STATE(11159)] = 572379,
  [SMALL_STATE(11160)] = 572433,
  [SMALL_STATE(11161)] = 572487,
  [SMALL_STATE(11162)] = 572541,
  [SMALL_STATE(11163)] = 572595,
  [SMALL_STATE(11164)] = 572649,
  [SMALL_STATE(11165)] = 572703,
  [SMALL_STATE(11166)] = 572757,
  [SMALL_STATE(11167)] = 572811,
  [SMALL_STATE(11168)] = 572865,
  [SMALL_STATE(11169)] = 572919,
  [SMALL_STATE(11170)] = 572973,
  [SMALL_STATE(11171)] = 573027,
  [SMALL_STATE(11172)] = 573061,
  [SMALL_STATE(11173)] = 573115,
  [SMALL_STATE(11174)] = 573169,
  [SMALL_STATE(11175)] = 573223,
  [SMALL_STATE(11176)] = 573277,
  [SMALL_STATE(11177)] = 573331,
  [SMALL_STATE(11178)] = 573385,
  [SMALL_STATE(11179)] = 573439,
  [SMALL_STATE(11180)] = 573493,
  [SMALL_STATE(11181)] = 573547,
  [SMALL_STATE(11182)] = 573601,
  [SMALL_STATE(11183)] = 573655,
  [SMALL_STATE(11184)] = 573709,
  [SMALL_STATE(11185)] = 573763,
  [SMALL_STATE(11186)] = 573817,
  [SMALL_STATE(11187)] = 573871,
  [SMALL_STATE(11188)] = 573925,
  [SMALL_STATE(11189)] = 573979,
  [SMALL_STATE(11190)] = 574033,
  [SMALL_STATE(11191)] = 574087,
  [SMALL_STATE(11192)] = 574141,
  [SMALL_STATE(11193)] = 574195,
  [SMALL_STATE(11194)] = 574249,
  [SMALL_STATE(11195)] = 574303,
  [SMALL_STATE(11196)] = 574357,
  [SMALL_STATE(11197)] = 574411,
  [SMALL_STATE(11198)] = 574465,
  [SMALL_STATE(11199)] = 574499,
  [SMALL_STATE(11200)] = 574553,
  [SMALL_STATE(11201)] = 574607,
  [SMALL_STATE(11202)] = 574661,
  [SMALL_STATE(11203)] = 574715,
  [SMALL_STATE(11204)] = 574769,
  [SMALL_STATE(11205)] = 574823,
  [SMALL_STATE(11206)] = 574877,
  [SMALL_STATE(11207)] = 574931,
  [SMALL_STATE(11208)] = 574985,
  [SMALL_STATE(11209)] = 575039,
  [SMALL_STATE(11210)] = 575093,
  [SMALL_STATE(11211)] = 575147,
  [SMALL_STATE(11212)] = 575187,
  [SMALL_STATE(11213)] = 575241,
  [SMALL_STATE(11214)] = 575295,
  [SMALL_STATE(11215)] = 575349,
  [SMALL_STATE(11216)] = 575403,
  [SMALL_STATE(11217)] = 575457,
  [SMALL_STATE(11218)] = 575511,
  [SMALL_STATE(11219)] = 575565,
  [SMALL_STATE(11220)] = 575619,
  [SMALL_STATE(11221)] = 575673,
  [SMALL_STATE(11222)] = 575727,
  [SMALL_STATE(11223)] = 575781,
  [SMALL_STATE(11224)] = 575835,
  [SMALL_STATE(11225)] = 575889,
  [SMALL_STATE(11226)] = 575925,
  [SMALL_STATE(11227)] = 575979,
  [SMALL_STATE(11228)] = 576033,
  [SMALL_STATE(11229)] = 576087,
  [SMALL_STATE(11230)] = 576141,
  [SMALL_STATE(11231)] = 576195,
  [SMALL_STATE(11232)] = 576249,
  [SMALL_STATE(11233)] = 576303,
  [SMALL_STATE(11234)] = 576357,
  [SMALL_STATE(11235)] = 576411,
  [SMALL_STATE(11236)] = 576465,
  [SMALL_STATE(11237)] = 576519,
  [SMALL_STATE(11238)] = 576573,
  [SMALL_STATE(11239)] = 576627,
  [SMALL_STATE(11240)] = 576681,
  [SMALL_STATE(11241)] = 576735,
  [SMALL_STATE(11242)] = 576789,
  [SMALL_STATE(11243)] = 576843,
  [SMALL_STATE(11244)] = 576897,
  [SMALL_STATE(11245)] = 576951,
  [SMALL_STATE(11246)] = 577005,
  [SMALL_STATE(11247)] = 577043,
  [SMALL_STATE(11248)] = 577097,
  [SMALL_STATE(11249)] = 577151,
  [SMALL_STATE(11250)] = 577205,
  [SMALL_STATE(11251)] = 577259,
  [SMALL_STATE(11252)] = 577313,
  [SMALL_STATE(11253)] = 577367,
  [SMALL_STATE(11254)] = 577421,
  [SMALL_STATE(11255)] = 577475,
  [SMALL_STATE(11256)] = 577511,
  [SMALL_STATE(11257)] = 577549,
  [SMALL_STATE(11258)] = 577587,
  [SMALL_STATE(11259)] = 577641,
  [SMALL_STATE(11260)] = 577695,
  [SMALL_STATE(11261)] = 577749,
  [SMALL_STATE(11262)] = 577803,
  [SMALL_STATE(11263)] = 577857,
  [SMALL_STATE(11264)] = 577911,
  [SMALL_STATE(11265)] = 577965,
  [SMALL_STATE(11266)] = 578019,
  [SMALL_STATE(11267)] = 578071,
  [SMALL_STATE(11268)] = 578125,
  [SMALL_STATE(11269)] = 578179,
  [SMALL_STATE(11270)] = 578233,
  [SMALL_STATE(11271)] = 578287,
  [SMALL_STATE(11272)] = 578341,
  [SMALL_STATE(11273)] = 578395,
  [SMALL_STATE(11274)] = 578449,
  [SMALL_STATE(11275)] = 578503,
  [SMALL_STATE(11276)] = 578543,
  [SMALL_STATE(11277)] = 578597,
  [SMALL_STATE(11278)] = 578651,
  [SMALL_STATE(11279)] = 578705,
  [SMALL_STATE(11280)] = 578759,
  [SMALL_STATE(11281)] = 578813,
  [SMALL_STATE(11282)] = 578867,
  [SMALL_STATE(11283)] = 578921,
  [SMALL_STATE(11284)] = 578975,
  [SMALL_STATE(11285)] = 579029,
  [SMALL_STATE(11286)] = 579083,
  [SMALL_STATE(11287)] = 579137,
  [SMALL_STATE(11288)] = 579191,
  [SMALL_STATE(11289)] = 579245,
  [SMALL_STATE(11290)] = 579299,
  [SMALL_STATE(11291)] = 579353,
  [SMALL_STATE(11292)] = 579407,
  [SMALL_STATE(11293)] = 579461,
  [SMALL_STATE(11294)] = 579515,
  [SMALL_STATE(11295)] = 579569,
  [SMALL_STATE(11296)] = 579623,
  [SMALL_STATE(11297)] = 579677,
  [SMALL_STATE(11298)] = 579711,
  [SMALL_STATE(11299)] = 579765,
  [SMALL_STATE(11300)] = 579805,
  [SMALL_STATE(11301)] = 579859,
  [SMALL_STATE(11302)] = 579913,
  [SMALL_STATE(11303)] = 579967,
  [SMALL_STATE(11304)] = 580021,
  [SMALL_STATE(11305)] = 580075,
  [SMALL_STATE(11306)] = 580129,
  [SMALL_STATE(11307)] = 580183,
  [SMALL_STATE(11308)] = 580221,
  [SMALL_STATE(11309)] = 580275,
  [SMALL_STATE(11310)] = 580329,
  [SMALL_STATE(11311)] = 580383,
  [SMALL_STATE(11312)] = 580437,
  [SMALL_STATE(11313)] = 580491,
  [SMALL_STATE(11314)] = 580535,
  [SMALL_STATE(11315)] = 580589,
  [SMALL_STATE(11316)] = 580643,
  [SMALL_STATE(11317)] = 580697,
  [SMALL_STATE(11318)] = 580741,
  [SMALL_STATE(11319)] = 580795,
  [SMALL_STATE(11320)] = 580849,
  [SMALL_STATE(11321)] = 580903,
  [SMALL_STATE(11322)] = 580957,
  [SMALL_STATE(11323)] = 581011,
  [SMALL_STATE(11324)] = 581065,
  [SMALL_STATE(11325)] = 581103,
  [SMALL_STATE(11326)] = 581157,
  [SMALL_STATE(11327)] = 581211,
  [SMALL_STATE(11328)] = 581265,
  [SMALL_STATE(11329)] = 581319,
  [SMALL_STATE(11330)] = 581357,
  [SMALL_STATE(11331)] = 581411,
  [SMALL_STATE(11332)] = 581465,
  [SMALL_STATE(11333)] = 581503,
  [SMALL_STATE(11334)] = 581557,
  [SMALL_STATE(11335)] = 581595,
  [SMALL_STATE(11336)] = 581631,
  [SMALL_STATE(11337)] = 581685,
  [SMALL_STATE(11338)] = 581739,
  [SMALL_STATE(11339)] = 581785,
  [SMALL_STATE(11340)] = 581839,
  [SMALL_STATE(11341)] = 581893,
  [SMALL_STATE(11342)] = 581947,
  [SMALL_STATE(11343)] = 582001,
  [SMALL_STATE(11344)] = 582041,
  [SMALL_STATE(11345)] = 582075,
  [SMALL_STATE(11346)] = 582109,
  [SMALL_STATE(11347)] = 582163,
  [SMALL_STATE(11348)] = 582217,
  [SMALL_STATE(11349)] = 582271,
  [SMALL_STATE(11350)] = 582325,
  [SMALL_STATE(11351)] = 582379,
  [SMALL_STATE(11352)] = 582433,
  [SMALL_STATE(11353)] = 582487,
  [SMALL_STATE(11354)] = 582541,
  [SMALL_STATE(11355)] = 582595,
  [SMALL_STATE(11356)] = 582649,
  [SMALL_STATE(11357)] = 582703,
  [SMALL_STATE(11358)] = 582757,
  [SMALL_STATE(11359)] = 582811,
  [SMALL_STATE(11360)] = 582865,
  [SMALL_STATE(11361)] = 582919,
  [SMALL_STATE(11362)] = 582973,
  [SMALL_STATE(11363)] = 583027,
  [SMALL_STATE(11364)] = 583081,
  [SMALL_STATE(11365)] = 583135,
  [SMALL_STATE(11366)] = 583189,
  [SMALL_STATE(11367)] = 583243,
  [SMALL_STATE(11368)] = 583287,
  [SMALL_STATE(11369)] = 583345,
  [SMALL_STATE(11370)] = 583399,
  [SMALL_STATE(11371)] = 583453,
  [SMALL_STATE(11372)] = 583507,
  [SMALL_STATE(11373)] = 583561,
  [SMALL_STATE(11374)] = 583615,
  [SMALL_STATE(11375)] = 583653,
  [SMALL_STATE(11376)] = 583691,
  [SMALL_STATE(11377)] = 583727,
  [SMALL_STATE(11378)] = 583781,
  [SMALL_STATE(11379)] = 583835,
  [SMALL_STATE(11380)] = 583893,
  [SMALL_STATE(11381)] = 583929,
  [SMALL_STATE(11382)] = 583983,
  [SMALL_STATE(11383)] = 584037,
  [SMALL_STATE(11384)] = 584091,
  [SMALL_STATE(11385)] = 584145,
  [SMALL_STATE(11386)] = 584199,
  [SMALL_STATE(11387)] = 584253,
  [SMALL_STATE(11388)] = 584307,
  [SMALL_STATE(11389)] = 584361,
  [SMALL_STATE(11390)] = 584397,
  [SMALL_STATE(11391)] = 584441,
  [SMALL_STATE(11392)] = 584485,
  [SMALL_STATE(11393)] = 584539,
  [SMALL_STATE(11394)] = 584583,
  [SMALL_STATE(11395)] = 584637,
  [SMALL_STATE(11396)] = 584681,
  [SMALL_STATE(11397)] = 584735,
  [SMALL_STATE(11398)] = 584789,
  [SMALL_STATE(11399)] = 584843,
  [SMALL_STATE(11400)] = 584897,
  [SMALL_STATE(11401)] = 584951,
  [SMALL_STATE(11402)] = 585005,
  [SMALL_STATE(11403)] = 585059,
  [SMALL_STATE(11404)] = 585113,
  [SMALL_STATE(11405)] = 585167,
  [SMALL_STATE(11406)] = 585201,
  [SMALL_STATE(11407)] = 585241,
  [SMALL_STATE(11408)] = 585285,
  [SMALL_STATE(11409)] = 585323,
  [SMALL_STATE(11410)] = 585363,
  [SMALL_STATE(11411)] = 585417,
  [SMALL_STATE(11412)] = 585461,
  [SMALL_STATE(11413)] = 585501,
  [SMALL_STATE(11414)] = 585539,
  [SMALL_STATE(11415)] = 585579,
  [SMALL_STATE(11416)] = 585633,
  [SMALL_STATE(11417)] = 585687,
  [SMALL_STATE(11418)] = 585741,
  [SMALL_STATE(11419)] = 585795,
  [SMALL_STATE(11420)] = 585835,
  [SMALL_STATE(11421)] = 585889,
  [SMALL_STATE(11422)] = 585943,
  [SMALL_STATE(11423)] = 585997,
  [SMALL_STATE(11424)] = 586051,
  [SMALL_STATE(11425)] = 586091,
  [SMALL_STATE(11426)] = 586129,
  [SMALL_STATE(11427)] = 586183,
  [SMALL_STATE(11428)] = 586237,
  [SMALL_STATE(11429)] = 586291,
  [SMALL_STATE(11430)] = 586345,
  [SMALL_STATE(11431)] = 586399,
  [SMALL_STATE(11432)] = 586453,
  [SMALL_STATE(11433)] = 586505,
  [SMALL_STATE(11434)] = 586549,
  [SMALL_STATE(11435)] = 586587,
  [SMALL_STATE(11436)] = 586625,
  [SMALL_STATE(11437)] = 586671,
  [SMALL_STATE(11438)] = 586717,
  [SMALL_STATE(11439)] = 586767,
  [SMALL_STATE(11440)] = 586819,
  [SMALL_STATE(11441)] = 586875,
  [SMALL_STATE(11442)] = 586915,
  [SMALL_STATE(11443)] = 586971,
  [SMALL_STATE(11444)] = 587027,
  [SMALL_STATE(11445)] = 587081,
  [SMALL_STATE(11446)] = 587119,
  [SMALL_STATE(11447)] = 587157,
  [SMALL_STATE(11448)] = 587195,
  [SMALL_STATE(11449)] = 587249,
  [SMALL_STATE(11450)] = 587303,
  [SMALL_STATE(11451)] = 587357,
  [SMALL_STATE(11452)] = 587411,
  [SMALL_STATE(11453)] = 587449,
  [SMALL_STATE(11454)] = 587487,
  [SMALL_STATE(11455)] = 587541,
  [SMALL_STATE(11456)] = 587579,
  [SMALL_STATE(11457)] = 587617,
  [SMALL_STATE(11458)] = 587655,
  [SMALL_STATE(11459)] = 587693,
  [SMALL_STATE(11460)] = 587747,
  [SMALL_STATE(11461)] = 587801,
  [SMALL_STATE(11462)] = 587855,
  [SMALL_STATE(11463)] = 587894,
  [SMALL_STATE(11464)] = 587945,
  [SMALL_STATE(11465)] = 587988,
  [SMALL_STATE(11466)] = 588039,
  [SMALL_STATE(11467)] = 588090,
  [SMALL_STATE(11468)] = 588129,
  [SMALL_STATE(11469)] = 588180,
  [SMALL_STATE(11470)] = 588219,
  [SMALL_STATE(11471)] = 588270,
  [SMALL_STATE(11472)] = 588307,
  [SMALL_STATE(11473)] = 588358,
  [SMALL_STATE(11474)] = 588409,
  [SMALL_STATE(11475)] = 588448,
  [SMALL_STATE(11476)] = 588485,
  [SMALL_STATE(11477)] = 588522,
  [SMALL_STATE(11478)] = 588557,
  [SMALL_STATE(11479)] = 588608,
  [SMALL_STATE(11480)] = 588663,
  [SMALL_STATE(11481)] = 588696,
  [SMALL_STATE(11482)] = 588747,
  [SMALL_STATE(11483)] = 588784,
  [SMALL_STATE(11484)] = 588821,
  [SMALL_STATE(11485)] = 588854,
  [SMALL_STATE(11486)] = 588889,
  [SMALL_STATE(11487)] = 588922,
  [SMALL_STATE(11488)] = 588977,
  [SMALL_STATE(11489)] = 589010,
  [SMALL_STATE(11490)] = 589061,
  [SMALL_STATE(11491)] = 589094,
  [SMALL_STATE(11492)] = 589131,
  [SMALL_STATE(11493)] = 589168,
  [SMALL_STATE(11494)] = 589205,
  [SMALL_STATE(11495)] = 589256,
  [SMALL_STATE(11496)] = 589293,
  [SMALL_STATE(11497)] = 589336,
  [SMALL_STATE(11498)] = 589373,
  [SMALL_STATE(11499)] = 589408,
  [SMALL_STATE(11500)] = 589459,
  [SMALL_STATE(11501)] = 589498,
  [SMALL_STATE(11502)] = 589541,
  [SMALL_STATE(11503)] = 589574,
  [SMALL_STATE(11504)] = 589607,
  [SMALL_STATE(11505)] = 589662,
  [SMALL_STATE(11506)] = 589713,
  [SMALL_STATE(11507)] = 589750,
  [SMALL_STATE(11508)] = 589801,
  [SMALL_STATE(11509)] = 589846,
  [SMALL_STATE(11510)] = 589889,
  [SMALL_STATE(11511)] = 589940,
  [SMALL_STATE(11512)] = 589973,
  [SMALL_STATE(11513)] = 590024,
  [SMALL_STATE(11514)] = 590063,
  [SMALL_STATE(11515)] = 590120,
  [SMALL_STATE(11516)] = 590157,
  [SMALL_STATE(11517)] = 590196,
  [SMALL_STATE(11518)] = 590247,
  [SMALL_STATE(11519)] = 590282,
  [SMALL_STATE(11520)] = 590319,
  [SMALL_STATE(11521)] = 590370,
  [SMALL_STATE(11522)] = 590407,
  [SMALL_STATE(11523)] = 590442,
  [SMALL_STATE(11524)] = 590481,
  [SMALL_STATE(11525)] = 590514,
  [SMALL_STATE(11526)] = 590553,
  [SMALL_STATE(11527)] = 590604,
  [SMALL_STATE(11528)] = 590655,
  [SMALL_STATE(11529)] = 590688,
  [SMALL_STATE(11530)] = 590727,
  [SMALL_STATE(11531)] = 590778,
  [SMALL_STATE(11532)] = 590813,
  [SMALL_STATE(11533)] = 590852,
  [SMALL_STATE(11534)] = 590891,
  [SMALL_STATE(11535)] = 590930,
  [SMALL_STATE(11536)] = 590981,
  [SMALL_STATE(11537)] = 591032,
  [SMALL_STATE(11538)] = 591069,
  [SMALL_STATE(11539)] = 591106,
  [SMALL_STATE(11540)] = 591143,
  [SMALL_STATE(11541)] = 591200,
  [SMALL_STATE(11542)] = 591237,
  [SMALL_STATE(11543)] = 591288,
  [SMALL_STATE(11544)] = 591327,
  [SMALL_STATE(11545)] = 591378,
  [SMALL_STATE(11546)] = 591429,
  [SMALL_STATE(11547)] = 591468,
  [SMALL_STATE(11548)] = 591511,
  [SMALL_STATE(11549)] = 591548,
  [SMALL_STATE(11550)] = 591581,
  [SMALL_STATE(11551)] = 591614,
  [SMALL_STATE(11552)] = 591649,
  [SMALL_STATE(11553)] = 591684,
  [SMALL_STATE(11554)] = 591723,
  [SMALL_STATE(11555)] = 591762,
  [SMALL_STATE(11556)] = 591801,
  [SMALL_STATE(11557)] = 591840,
  [SMALL_STATE(11558)] = 591879,
  [SMALL_STATE(11559)] = 591918,
  [SMALL_STATE(11560)] = 591955,
  [SMALL_STATE(11561)] = 591994,
  [SMALL_STATE(11562)] = 592045,
  [SMALL_STATE(11563)] = 592082,
  [SMALL_STATE(11564)] = 592121,
  [SMALL_STATE(11565)] = 592172,
  [SMALL_STATE(11566)] = 592205,
  [SMALL_STATE(11567)] = 592256,
  [SMALL_STATE(11568)] = 592307,
  [SMALL_STATE(11569)] = 592346,
  [SMALL_STATE(11570)] = 592379,
  [SMALL_STATE(11571)] = 592430,
  [SMALL_STATE(11572)] = 592475,
  [SMALL_STATE(11573)] = 592508,
  [SMALL_STATE(11574)] = 592547,
  [SMALL_STATE(11575)] = 592580,
  [SMALL_STATE(11576)] = 592613,
  [SMALL_STATE(11577)] = 592646,
  [SMALL_STATE(11578)] = 592697,
  [SMALL_STATE(11579)] = 592748,
  [SMALL_STATE(11580)] = 592787,
  [SMALL_STATE(11581)] = 592824,
  [SMALL_STATE(11582)] = 592867,
  [SMALL_STATE(11583)] = 592918,
  [SMALL_STATE(11584)] = 592951,
  [SMALL_STATE(11585)] = 592990,
  [SMALL_STATE(11586)] = 593041,
  [SMALL_STATE(11587)] = 593074,
  [SMALL_STATE(11588)] = 593125,
  [SMALL_STATE(11589)] = 593158,
  [SMALL_STATE(11590)] = 593197,
  [SMALL_STATE(11591)] = 593230,
  [SMALL_STATE(11592)] = 593263,
  [SMALL_STATE(11593)] = 593296,
  [SMALL_STATE(11594)] = 593335,
  [SMALL_STATE(11595)] = 593376,
  [SMALL_STATE(11596)] = 593413,
  [SMALL_STATE(11597)] = 593464,
  [SMALL_STATE(11598)] = 593497,
  [SMALL_STATE(11599)] = 593530,
  [SMALL_STATE(11600)] = 593581,
  [SMALL_STATE(11601)] = 593620,
  [SMALL_STATE(11602)] = 593659,
  [SMALL_STATE(11603)] = 593710,
  [SMALL_STATE(11604)] = 593747,
  [SMALL_STATE(11605)] = 593798,
  [SMALL_STATE(11606)] = 593837,
  [SMALL_STATE(11607)] = 593870,
  [SMALL_STATE(11608)] = 593925,
  [SMALL_STATE(11609)] = 593970,
  [SMALL_STATE(11610)] = 594015,
  [SMALL_STATE(11611)] = 594066,
  [SMALL_STATE(11612)] = 594115,
  [SMALL_STATE(11613)] = 594166,
  [SMALL_STATE(11614)] = 594205,
  [SMALL_STATE(11615)] = 594238,
  [SMALL_STATE(11616)] = 594275,
  [SMALL_STATE(11617)] = 594310,
  [SMALL_STATE(11618)] = 594361,
  [SMALL_STATE(11619)] = 594416,
  [SMALL_STATE(11620)] = 594455,
  [SMALL_STATE(11621)] = 594490,
  [SMALL_STATE(11622)] = 594533,
  [SMALL_STATE(11623)] = 594566,
  [SMALL_STATE(11624)] = 594617,
  [SMALL_STATE(11625)] = 594668,
  [SMALL_STATE(11626)] = 594723,
  [SMALL_STATE(11627)] = 594774,
  [SMALL_STATE(11628)] = 594811,
  [SMALL_STATE(11629)] = 594854,
  [SMALL_STATE(11630)] = 594905,
  [SMALL_STATE(11631)] = 594962,
  [SMALL_STATE(11632)] = 594995,
  [SMALL_STATE(11633)] = 595050,
  [SMALL_STATE(11634)] = 595083,
  [SMALL_STATE(11635)] = 595134,
  [SMALL_STATE(11636)] = 595185,
  [SMALL_STATE(11637)] = 595222,
  [SMALL_STATE(11638)] = 595273,
  [SMALL_STATE(11639)] = 595310,
  [SMALL_STATE(11640)] = 595351,
  [SMALL_STATE(11641)] = 595404,
  [SMALL_STATE(11642)] = 595441,
  [SMALL_STATE(11643)] = 595478,
  [SMALL_STATE(11644)] = 595511,
  [SMALL_STATE(11645)] = 595562,
  [SMALL_STATE(11646)] = 595595,
  [SMALL_STATE(11647)] = 595646,
  [SMALL_STATE(11648)] = 595687,
  [SMALL_STATE(11649)] = 595728,
  [SMALL_STATE(11650)] = 595761,
  [SMALL_STATE(11651)] = 595802,
  [SMALL_STATE(11652)] = 595843,
  [SMALL_STATE(11653)] = 595886,
  [SMALL_STATE(11654)] = 595937,
  [SMALL_STATE(11655)] = 595988,
  [SMALL_STATE(11656)] = 596029,
  [SMALL_STATE(11657)] = 596070,
  [SMALL_STATE(11658)] = 596121,
  [SMALL_STATE(11659)] = 596172,
  [SMALL_STATE(11660)] = 596223,
  [SMALL_STATE(11661)] = 596274,
  [SMALL_STATE(11662)] = 596325,
  [SMALL_STATE(11663)] = 596376,
  [SMALL_STATE(11664)] = 596409,
  [SMALL_STATE(11665)] = 596460,
  [SMALL_STATE(11666)] = 596511,
  [SMALL_STATE(11667)] = 596562,
  [SMALL_STATE(11668)] = 596613,
  [SMALL_STATE(11669)] = 596664,
  [SMALL_STATE(11670)] = 596713,
  [SMALL_STATE(11671)] = 596764,
  [SMALL_STATE(11672)] = 596815,
  [SMALL_STATE(11673)] = 596866,
  [SMALL_STATE(11674)] = 596917,
  [SMALL_STATE(11675)] = 596968,
  [SMALL_STATE(11676)] = 597019,
  [SMALL_STATE(11677)] = 597058,
  [SMALL_STATE(11678)] = 597097,
  [SMALL_STATE(11679)] = 597148,
  [SMALL_STATE(11680)] = 597187,
  [SMALL_STATE(11681)] = 597226,
  [SMALL_STATE(11682)] = 597277,
  [SMALL_STATE(11683)] = 597320,
  [SMALL_STATE(11684)] = 597356,
  [SMALL_STATE(11685)] = 597392,
  [SMALL_STATE(11686)] = 597428,
  [SMALL_STATE(11687)] = 597464,
  [SMALL_STATE(11688)] = 597500,
  [SMALL_STATE(11689)] = 597536,
  [SMALL_STATE(11690)] = 597570,
  [SMALL_STATE(11691)] = 597620,
  [SMALL_STATE(11692)] = 597662,
  [SMALL_STATE(11693)] = 597694,
  [SMALL_STATE(11694)] = 597726,
  [SMALL_STATE(11695)] = 597758,
  [SMALL_STATE(11696)] = 597794,
  [SMALL_STATE(11697)] = 597830,
  [SMALL_STATE(11698)] = 597864,
  [SMALL_STATE(11699)] = 597900,
  [SMALL_STATE(11700)] = 597948,
  [SMALL_STATE(11701)] = 597982,
  [SMALL_STATE(11702)] = 598026,
  [SMALL_STATE(11703)] = 598074,
  [SMALL_STATE(11704)] = 598110,
  [SMALL_STATE(11705)] = 598146,
  [SMALL_STATE(11706)] = 598182,
  [SMALL_STATE(11707)] = 598218,
  [SMALL_STATE(11708)] = 598252,
  [SMALL_STATE(11709)] = 598284,
  [SMALL_STATE(11710)] = 598340,
  [SMALL_STATE(11711)] = 598384,
  [SMALL_STATE(11712)] = 598420,
  [SMALL_STATE(11713)] = 598468,
  [SMALL_STATE(11714)] = 598522,
  [SMALL_STATE(11715)] = 598556,
  [SMALL_STATE(11716)] = 598592,
  [SMALL_STATE(11717)] = 598640,
  [SMALL_STATE(11718)] = 598674,
  [SMALL_STATE(11719)] = 598710,
  [SMALL_STATE(11720)] = 598766,
  [SMALL_STATE(11721)] = 598816,
  [SMALL_STATE(11722)] = 598870,
  [SMALL_STATE(11723)] = 598906,
  [SMALL_STATE(11724)] = 598960,
  [SMALL_STATE(11725)] = 599008,
  [SMALL_STATE(11726)] = 599046,
  [SMALL_STATE(11727)] = 599094,
  [SMALL_STATE(11728)] = 599132,
  [SMALL_STATE(11729)] = 599166,
  [SMALL_STATE(11730)] = 599200,
  [SMALL_STATE(11731)] = 599236,
  [SMALL_STATE(11732)] = 599290,
  [SMALL_STATE(11733)] = 599338,
  [SMALL_STATE(11734)] = 599374,
  [SMALL_STATE(11735)] = 599410,
  [SMALL_STATE(11736)] = 599458,
  [SMALL_STATE(11737)] = 599494,
  [SMALL_STATE(11738)] = 599530,
  [SMALL_STATE(11739)] = 599578,
  [SMALL_STATE(11740)] = 599610,
  [SMALL_STATE(11741)] = 599658,
  [SMALL_STATE(11742)] = 599694,
  [SMALL_STATE(11743)] = 599742,
  [SMALL_STATE(11744)] = 599790,
  [SMALL_STATE(11745)] = 599840,
  [SMALL_STATE(11746)] = 599882,
  [SMALL_STATE(11747)] = 599918,
  [SMALL_STATE(11748)] = 599954,
  [SMALL_STATE(11749)] = 599998,
  [SMALL_STATE(11750)] = 600054,
  [SMALL_STATE(11751)] = 600098,
  [SMALL_STATE(11752)] = 600130,
  [SMALL_STATE(11753)] = 600178,
  [SMALL_STATE(11754)] = 600228,
  [SMALL_STATE(11755)] = 600282,
  [SMALL_STATE(11756)] = 600320,
  [SMALL_STATE(11757)] = 600374,
  [SMALL_STATE(11758)] = 600422,
  [SMALL_STATE(11759)] = 600476,
  [SMALL_STATE(11760)] = 600512,
  [SMALL_STATE(11761)] = 600572,
  [SMALL_STATE(11762)] = 600620,
  [SMALL_STATE(11763)] = 600674,
  [SMALL_STATE(11764)] = 600722,
  [SMALL_STATE(11765)] = 600754,
  [SMALL_STATE(11766)] = 600790,
  [SMALL_STATE(11767)] = 600838,
  [SMALL_STATE(11768)] = 600886,
  [SMALL_STATE(11769)] = 600934,
  [SMALL_STATE(11770)] = 600970,
  [SMALL_STATE(11771)] = 601006,
  [SMALL_STATE(11772)] = 601038,
  [SMALL_STATE(11773)] = 601070,
  [SMALL_STATE(11774)] = 601106,
  [SMALL_STATE(11775)] = 601154,
  [SMALL_STATE(11776)] = 601204,
  [SMALL_STATE(11777)] = 601246,
  [SMALL_STATE(11778)] = 601282,
  [SMALL_STATE(11779)] = 601318,
  [SMALL_STATE(11780)] = 601362,
  [SMALL_STATE(11781)] = 601406,
  [SMALL_STATE(11782)] = 601454,
  [SMALL_STATE(11783)] = 601504,
  [SMALL_STATE(11784)] = 601558,
  [SMALL_STATE(11785)] = 601592,
  [SMALL_STATE(11786)] = 601630,
  [SMALL_STATE(11787)] = 601684,
  [SMALL_STATE(11788)] = 601732,
  [SMALL_STATE(11789)] = 601768,
  [SMALL_STATE(11790)] = 601804,
  [SMALL_STATE(11791)] = 601840,
  [SMALL_STATE(11792)] = 601894,
  [SMALL_STATE(11793)] = 601930,
  [SMALL_STATE(11794)] = 601964,
  [SMALL_STATE(11795)] = 602012,
  [SMALL_STATE(11796)] = 602060,
  [SMALL_STATE(11797)] = 602094,
  [SMALL_STATE(11798)] = 602142,
  [SMALL_STATE(11799)] = 602174,
  [SMALL_STATE(11800)] = 602208,
  [SMALL_STATE(11801)] = 602244,
  [SMALL_STATE(11802)] = 602278,
  [SMALL_STATE(11803)] = 602314,
  [SMALL_STATE(11804)] = 602362,
  [SMALL_STATE(11805)] = 602396,
  [SMALL_STATE(11806)] = 602432,
  [SMALL_STATE(11807)] = 602486,
  [SMALL_STATE(11808)] = 602534,
  [SMALL_STATE(11809)] = 602588,
  [SMALL_STATE(11810)] = 602624,
  [SMALL_STATE(11811)] = 602660,
  [SMALL_STATE(11812)] = 602696,
  [SMALL_STATE(11813)] = 602744,
  [SMALL_STATE(11814)] = 602792,
  [SMALL_STATE(11815)] = 602828,
  [SMALL_STATE(11816)] = 602884,
  [SMALL_STATE(11817)] = 602940,
  [SMALL_STATE(11818)] = 602976,
  [SMALL_STATE(11819)] = 603010,
  [SMALL_STATE(11820)] = 603058,
  [SMALL_STATE(11821)] = 603108,
  [SMALL_STATE(11822)] = 603150,
  [SMALL_STATE(11823)] = 603186,
  [SMALL_STATE(11824)] = 603222,
  [SMALL_STATE(11825)] = 603266,
  [SMALL_STATE(11826)] = 603310,
  [SMALL_STATE(11827)] = 603358,
  [SMALL_STATE(11828)] = 603406,
  [SMALL_STATE(11829)] = 603456,
  [SMALL_STATE(11830)] = 603510,
  [SMALL_STATE(11831)] = 603552,
  [SMALL_STATE(11832)] = 603590,
  [SMALL_STATE(11833)] = 603644,
  [SMALL_STATE(11834)] = 603692,
  [SMALL_STATE(11835)] = 603746,
  [SMALL_STATE(11836)] = 603778,
  [SMALL_STATE(11837)] = 603826,
  [SMALL_STATE(11838)] = 603858,
  [SMALL_STATE(11839)] = 603906,
  [SMALL_STATE(11840)] = 603938,
  [SMALL_STATE(11841)] = 603986,
  [SMALL_STATE(11842)] = 604018,
  [SMALL_STATE(11843)] = 604054,
  [SMALL_STATE(11844)] = 604102,
  [SMALL_STATE(11845)] = 604136,
  [SMALL_STATE(11846)] = 604172,
  [SMALL_STATE(11847)] = 604222,
  [SMALL_STATE(11848)] = 604270,
  [SMALL_STATE(11849)] = 604318,
  [SMALL_STATE(11850)] = 604354,
  [SMALL_STATE(11851)] = 604402,
  [SMALL_STATE(11852)] = 604450,
  [SMALL_STATE(11853)] = 604486,
  [SMALL_STATE(11854)] = 604534,
  [SMALL_STATE(11855)] = 604566,
  [SMALL_STATE(11856)] = 604614,
  [SMALL_STATE(11857)] = 604650,
  [SMALL_STATE(11858)] = 604698,
  [SMALL_STATE(11859)] = 604734,
  [SMALL_STATE(11860)] = 604782,
  [SMALL_STATE(11861)] = 604814,
  [SMALL_STATE(11862)] = 604850,
  [SMALL_STATE(11863)] = 604886,
  [SMALL_STATE(11864)] = 604946,
  [SMALL_STATE(11865)] = 604994,
  [SMALL_STATE(11866)] = 605036,
  [SMALL_STATE(11867)] = 605084,
  [SMALL_STATE(11868)] = 605116,
  [SMALL_STATE(11869)] = 605148,
  [SMALL_STATE(11870)] = 605196,
  [SMALL_STATE(11871)] = 605228,
  [SMALL_STATE(11872)] = 605276,
  [SMALL_STATE(11873)] = 605312,
  [SMALL_STATE(11874)] = 605366,
  [SMALL_STATE(11875)] = 605426,
  [SMALL_STATE(11876)] = 605462,
  [SMALL_STATE(11877)] = 605510,
  [SMALL_STATE(11878)] = 605552,
  [SMALL_STATE(11879)] = 605588,
  [SMALL_STATE(11880)] = 605648,
  [SMALL_STATE(11881)] = 605684,
  [SMALL_STATE(11882)] = 605732,
  [SMALL_STATE(11883)] = 605768,
  [SMALL_STATE(11884)] = 605802,
  [SMALL_STATE(11885)] = 605838,
  [SMALL_STATE(11886)] = 605896,
  [SMALL_STATE(11887)] = 605950,
  [SMALL_STATE(11888)] = 605986,
  [SMALL_STATE(11889)] = 606018,
  [SMALL_STATE(11890)] = 606054,
  [SMALL_STATE(11891)] = 606092,
  [SMALL_STATE(11892)] = 606130,
  [SMALL_STATE(11893)] = 606166,
  [SMALL_STATE(11894)] = 606202,
  [SMALL_STATE(11895)] = 606236,
  [SMALL_STATE(11896)] = 606284,
  [SMALL_STATE(11897)] = 606332,
  [SMALL_STATE(11898)] = 606370,
  [SMALL_STATE(11899)] = 606402,
  [SMALL_STATE(11900)] = 606438,
  [SMALL_STATE(11901)] = 606488,
  [SMALL_STATE(11902)] = 606530,
  [SMALL_STATE(11903)] = 606566,
  [SMALL_STATE(11904)] = 606602,
  [SMALL_STATE(11905)] = 606646,
  [SMALL_STATE(11906)] = 606690,
  [SMALL_STATE(11907)] = 606738,
  [SMALL_STATE(11908)] = 606788,
  [SMALL_STATE(11909)] = 606836,
  [SMALL_STATE(11910)] = 606872,
  [SMALL_STATE(11911)] = 606908,
  [SMALL_STATE(11912)] = 606942,
  [SMALL_STATE(11913)] = 606990,
  [SMALL_STATE(11914)] = 607044,
  [SMALL_STATE(11915)] = 607076,
  [SMALL_STATE(11916)] = 607114,
  [SMALL_STATE(11917)] = 607146,
  [SMALL_STATE(11918)] = 607200,
  [SMALL_STATE(11919)] = 607254,
  [SMALL_STATE(11920)] = 607290,
  [SMALL_STATE(11921)] = 607326,
  [SMALL_STATE(11922)] = 607382,
  [SMALL_STATE(11923)] = 607418,
  [SMALL_STATE(11924)] = 607466,
  [SMALL_STATE(11925)] = 607502,
  [SMALL_STATE(11926)] = 607538,
  [SMALL_STATE(11927)] = 607570,
  [SMALL_STATE(11928)] = 607618,
  [SMALL_STATE(11929)] = 607650,
  [SMALL_STATE(11930)] = 607700,
  [SMALL_STATE(11931)] = 607742,
  [SMALL_STATE(11932)] = 607790,
  [SMALL_STATE(11933)] = 607822,
  [SMALL_STATE(11934)] = 607858,
  [SMALL_STATE(11935)] = 607906,
  [SMALL_STATE(11936)] = 607942,
  [SMALL_STATE(11937)] = 607986,
  [SMALL_STATE(11938)] = 608018,
  [SMALL_STATE(11939)] = 608054,
  [SMALL_STATE(11940)] = 608098,
  [SMALL_STATE(11941)] = 608146,
  [SMALL_STATE(11942)] = 608196,
  [SMALL_STATE(11943)] = 608250,
  [SMALL_STATE(11944)] = 608286,
  [SMALL_STATE(11945)] = 608322,
  [SMALL_STATE(11946)] = 608358,
  [SMALL_STATE(11947)] = 608396,
  [SMALL_STATE(11948)] = 608450,
  [SMALL_STATE(11949)] = 608486,
  [SMALL_STATE(11950)] = 608520,
  [SMALL_STATE(11951)] = 608556,
  [SMALL_STATE(11952)] = 608588,
  [SMALL_STATE(11953)] = 608636,
  [SMALL_STATE(11954)] = 608672,
  [SMALL_STATE(11955)] = 608708,
  [SMALL_STATE(11956)] = 608766,
  [SMALL_STATE(11957)] = 608820,
  [SMALL_STATE(11958)] = 608856,
  [SMALL_STATE(11959)] = 608890,
  [SMALL_STATE(11960)] = 608922,
  [SMALL_STATE(11961)] = 608958,
  [SMALL_STATE(11962)] = 609006,
  [SMALL_STATE(11963)] = 609042,
  [SMALL_STATE(11964)] = 609078,
  [SMALL_STATE(11965)] = 609114,
  [SMALL_STATE(11966)] = 609148,
  [SMALL_STATE(11967)] = 609204,
  [SMALL_STATE(11968)] = 609240,
  [SMALL_STATE(11969)] = 609276,
  [SMALL_STATE(11970)] = 609312,
  [SMALL_STATE(11971)] = 609360,
  [SMALL_STATE(11972)] = 609408,
  [SMALL_STATE(11973)] = 609458,
  [SMALL_STATE(11974)] = 609506,
  [SMALL_STATE(11975)] = 609542,
  [SMALL_STATE(11976)] = 609580,
  [SMALL_STATE(11977)] = 609628,
  [SMALL_STATE(11978)] = 609666,
  [SMALL_STATE(11979)] = 609714,
  [SMALL_STATE(11980)] = 609746,
  [SMALL_STATE(11981)] = 609796,
  [SMALL_STATE(11982)] = 609828,
  [SMALL_STATE(11983)] = 609870,
  [SMALL_STATE(11984)] = 609906,
  [SMALL_STATE(11985)] = 609942,
  [SMALL_STATE(11986)] = 609978,
  [SMALL_STATE(11987)] = 610014,
  [SMALL_STATE(11988)] = 610062,
  [SMALL_STATE(11989)] = 610098,
  [SMALL_STATE(11990)] = 610134,
  [SMALL_STATE(11991)] = 610178,
  [SMALL_STATE(11992)] = 610222,
  [SMALL_STATE(11993)] = 610272,
  [SMALL_STATE(11994)] = 610308,
  [SMALL_STATE(11995)] = 610344,
  [SMALL_STATE(11996)] = 610380,
  [SMALL_STATE(11997)] = 610416,
  [SMALL_STATE(11998)] = 610450,
  [SMALL_STATE(11999)] = 610498,
  [SMALL_STATE(12000)] = 610548,
  [SMALL_STATE(12001)] = 610602,
  [SMALL_STATE(12002)] = 610640,
  [SMALL_STATE(12003)] = 610694,
  [SMALL_STATE(12004)] = 610730,
  [SMALL_STATE(12005)] = 610766,
  [SMALL_STATE(12006)] = 610802,
  [SMALL_STATE(12007)] = 610834,
  [SMALL_STATE(12008)] = 610868,
  [SMALL_STATE(12009)] = 610904,
  [SMALL_STATE(12010)] = 610936,
  [SMALL_STATE(12011)] = 610970,
  [SMALL_STATE(12012)] = 611018,
  [SMALL_STATE(12013)] = 611072,
  [SMALL_STATE(12014)] = 611108,
  [SMALL_STATE(12015)] = 611140,
  [SMALL_STATE(12016)] = 611174,
  [SMALL_STATE(12017)] = 611210,
  [SMALL_STATE(12018)] = 611246,
  [SMALL_STATE(12019)] = 611282,
  [SMALL_STATE(12020)] = 611318,
  [SMALL_STATE(12021)] = 611353,
  [SMALL_STATE(12022)] = 611404,
  [SMALL_STATE(12023)] = 611445,
  [SMALL_STATE(12024)] = 611480,
  [SMALL_STATE(12025)] = 611515,
  [SMALL_STATE(12026)] = 611570,
  [SMALL_STATE(12027)] = 611603,
  [SMALL_STATE(12028)] = 611646,
  [SMALL_STATE(12029)] = 611677,
  [SMALL_STATE(12030)] = 611708,
  [SMALL_STATE(12031)] = 611743,
  [SMALL_STATE(12032)] = 611784,
  [SMALL_STATE(12033)] = 611827,
  [SMALL_STATE(12034)] = 611882,
  [SMALL_STATE(12035)] = 611935,
  [SMALL_STATE(12036)] = 611978,
  [SMALL_STATE(12037)] = 612033,
  [SMALL_STATE(12038)] = 612086,
  [SMALL_STATE(12039)] = 612133,
  [SMALL_STATE(12040)] = 612166,
  [SMALL_STATE(12041)] = 612207,
  [SMALL_STATE(12042)] = 612256,
  [SMALL_STATE(12043)] = 612297,
  [SMALL_STATE(12044)] = 612352,
  [SMALL_STATE(12045)] = 612407,
  [SMALL_STATE(12046)] = 612460,
  [SMALL_STATE(12047)] = 612495,
  [SMALL_STATE(12048)] = 612532,
  [SMALL_STATE(12049)] = 612567,
  [SMALL_STATE(12050)] = 612614,
  [SMALL_STATE(12051)] = 612655,
  [SMALL_STATE(12052)] = 612710,
  [SMALL_STATE(12053)] = 612745,
  [SMALL_STATE(12054)] = 612780,
  [SMALL_STATE(12055)] = 612823,
  [SMALL_STATE(12056)] = 612856,
  [SMALL_STATE(12057)] = 612887,
  [SMALL_STATE(12058)] = 612930,
  [SMALL_STATE(12059)] = 612977,
  [SMALL_STATE(12060)] = 613024,
  [SMALL_STATE(12061)] = 613055,
  [SMALL_STATE(12062)] = 613106,
  [SMALL_STATE(12063)] = 613143,
  [SMALL_STATE(12064)] = 613194,
  [SMALL_STATE(12065)] = 613227,
  [SMALL_STATE(12066)] = 613262,
  [SMALL_STATE(12067)] = 613313,
  [SMALL_STATE(12068)] = 613348,
  [SMALL_STATE(12069)] = 613401,
  [SMALL_STATE(12070)] = 613454,
  [SMALL_STATE(12071)] = 613485,
  [SMALL_STATE(12072)] = 613528,
  [SMALL_STATE(12073)] = 613583,
  [SMALL_STATE(12074)] = 613638,
  [SMALL_STATE(12075)] = 613669,
  [SMALL_STATE(12076)] = 613724,
  [SMALL_STATE(12077)] = 613765,
  [SMALL_STATE(12078)] = 613806,
  [SMALL_STATE(12079)] = 613857,
  [SMALL_STATE(12080)] = 613912,
  [SMALL_STATE(12081)] = 613953,
  [SMALL_STATE(12082)] = 614008,
  [SMALL_STATE(12083)] = 614063,
  [SMALL_STATE(12084)] = 614118,
  [SMALL_STATE(12085)] = 614165,
  [SMALL_STATE(12086)] = 614216,
  [SMALL_STATE(12087)] = 614247,
  [SMALL_STATE(12088)] = 614288,
  [SMALL_STATE(12089)] = 614343,
  [SMALL_STATE(12090)] = 614378,
  [SMALL_STATE(12091)] = 614415,
  [SMALL_STATE(12092)] = 614446,
  [SMALL_STATE(12093)] = 614481,
  [SMALL_STATE(12094)] = 614536,
  [SMALL_STATE(12095)] = 614571,
  [SMALL_STATE(12096)] = 614612,
  [SMALL_STATE(12097)] = 614663,
  [SMALL_STATE(12098)] = 614704,
  [SMALL_STATE(12099)] = 614737,
  [SMALL_STATE(12100)] = 614786,
  [SMALL_STATE(12101)] = 614821,
  [SMALL_STATE(12102)] = 614856,
  [SMALL_STATE(12103)] = 614891,
  [SMALL_STATE(12104)] = 614922,
  [SMALL_STATE(12105)] = 614963,
  [SMALL_STATE(12106)] = 614994,
  [SMALL_STATE(12107)] = 615049,
  [SMALL_STATE(12108)] = 615090,
  [SMALL_STATE(12109)] = 615131,
  [SMALL_STATE(12110)] = 615172,
  [SMALL_STATE(12111)] = 615213,
  [SMALL_STATE(12112)] = 615268,
  [SMALL_STATE(12113)] = 615309,
  [SMALL_STATE(12114)] = 615350,
  [SMALL_STATE(12115)] = 615391,
  [SMALL_STATE(12116)] = 615432,
  [SMALL_STATE(12117)] = 615487,
  [SMALL_STATE(12118)] = 615528,
  [SMALL_STATE(12119)] = 615583,
  [SMALL_STATE(12120)] = 615624,
  [SMALL_STATE(12121)] = 615679,
  [SMALL_STATE(12122)] = 615732,
  [SMALL_STATE(12123)] = 615773,
  [SMALL_STATE(12124)] = 615814,
  [SMALL_STATE(12125)] = 615849,
  [SMALL_STATE(12126)] = 615890,
  [SMALL_STATE(12127)] = 615931,
  [SMALL_STATE(12128)] = 615972,
  [SMALL_STATE(12129)] = 616007,
  [SMALL_STATE(12130)] = 616062,
  [SMALL_STATE(12131)] = 616103,
  [SMALL_STATE(12132)] = 616134,
  [SMALL_STATE(12133)] = 616189,
  [SMALL_STATE(12134)] = 616224,
  [SMALL_STATE(12135)] = 616265,
  [SMALL_STATE(12136)] = 616320,
  [SMALL_STATE(12137)] = 616361,
  [SMALL_STATE(12138)] = 616408,
  [SMALL_STATE(12139)] = 616463,
  [SMALL_STATE(12140)] = 616504,
  [SMALL_STATE(12141)] = 616545,
  [SMALL_STATE(12142)] = 616580,
  [SMALL_STATE(12143)] = 616635,
  [SMALL_STATE(12144)] = 616690,
  [SMALL_STATE(12145)] = 616745,
  [SMALL_STATE(12146)] = 616778,
  [SMALL_STATE(12147)] = 616813,
  [SMALL_STATE(12148)] = 616868,
  [SMALL_STATE(12149)] = 616911,
  [SMALL_STATE(12150)] = 616954,
  [SMALL_STATE(12151)] = 616989,
  [SMALL_STATE(12152)] = 617036,
  [SMALL_STATE(12153)] = 617091,
  [SMALL_STATE(12154)] = 617138,
  [SMALL_STATE(12155)] = 617189,
  [SMALL_STATE(12156)] = 617226,
  [SMALL_STATE(12157)] = 617281,
  [SMALL_STATE(12158)] = 617332,
  [SMALL_STATE(12159)] = 617367,
  [SMALL_STATE(12160)] = 617422,
  [SMALL_STATE(12161)] = 617457,
  [SMALL_STATE(12162)] = 617508,
  [SMALL_STATE(12163)] = 617539,
  [SMALL_STATE(12164)] = 617594,
  [SMALL_STATE(12165)] = 617635,
  [SMALL_STATE(12166)] = 617684,
  [SMALL_STATE(12167)] = 617725,
  [SMALL_STATE(12168)] = 617772,
  [SMALL_STATE(12169)] = 617827,
  [SMALL_STATE(12170)] = 617868,
  [SMALL_STATE(12171)] = 617909,
  [SMALL_STATE(12172)] = 617944,
  [SMALL_STATE(12173)] = 617979,
  [SMALL_STATE(12174)] = 618022,
  [SMALL_STATE(12175)] = 618077,
  [SMALL_STATE(12176)] = 618132,
  [SMALL_STATE(12177)] = 618173,
  [SMALL_STATE(12178)] = 618216,
  [SMALL_STATE(12179)] = 618257,
  [SMALL_STATE(12180)] = 618304,
  [SMALL_STATE(12181)] = 618359,
  [SMALL_STATE(12182)] = 618408,
  [SMALL_STATE(12183)] = 618461,
  [SMALL_STATE(12184)] = 618496,
  [SMALL_STATE(12185)] = 618533,
  [SMALL_STATE(12186)] = 618586,
  [SMALL_STATE(12187)] = 618641,
  [SMALL_STATE(12188)] = 618696,
  [SMALL_STATE(12189)] = 618727,
  [SMALL_STATE(12190)] = 618782,
  [SMALL_STATE(12191)] = 618837,
  [SMALL_STATE(12192)] = 618870,
  [SMALL_STATE(12193)] = 618905,
  [SMALL_STATE(12194)] = 618938,
  [SMALL_STATE(12195)] = 618977,
  [SMALL_STATE(12196)] = 619030,
  [SMALL_STATE(12197)] = 619065,
  [SMALL_STATE(12198)] = 619106,
  [SMALL_STATE(12199)] = 619141,
  [SMALL_STATE(12200)] = 619184,
  [SMALL_STATE(12201)] = 619239,
  [SMALL_STATE(12202)] = 619274,
  [SMALL_STATE(12203)] = 619329,
  [SMALL_STATE(12204)] = 619384,
  [SMALL_STATE(12205)] = 619431,
  [SMALL_STATE(12206)] = 619466,
  [SMALL_STATE(12207)] = 619507,
  [SMALL_STATE(12208)] = 619548,
  [SMALL_STATE(12209)] = 619603,
  [SMALL_STATE(12210)] = 619634,
  [SMALL_STATE(12211)] = 619665,
  [SMALL_STATE(12212)] = 619700,
  [SMALL_STATE(12213)] = 619755,
  [SMALL_STATE(12214)] = 619790,
  [SMALL_STATE(12215)] = 619845,
  [SMALL_STATE(12216)] = 619896,
  [SMALL_STATE(12217)] = 619939,
  [SMALL_STATE(12218)] = 619972,
  [SMALL_STATE(12219)] = 620013,
  [SMALL_STATE(12220)] = 620068,
  [SMALL_STATE(12221)] = 620123,
  [SMALL_STATE(12222)] = 620176,
  [SMALL_STATE(12223)] = 620211,
  [SMALL_STATE(12224)] = 620242,
  [SMALL_STATE(12225)] = 620275,
  [SMALL_STATE(12226)] = 620330,
  [SMALL_STATE(12227)] = 620361,
  [SMALL_STATE(12228)] = 620402,
  [SMALL_STATE(12229)] = 620437,
  [SMALL_STATE(12230)] = 620492,
  [SMALL_STATE(12231)] = 620525,
  [SMALL_STATE(12232)] = 620566,
  [SMALL_STATE(12233)] = 620615,
  [SMALL_STATE(12234)] = 620650,
  [SMALL_STATE(12235)] = 620697,
  [SMALL_STATE(12236)] = 620738,
  [SMALL_STATE(12237)] = 620773,
  [SMALL_STATE(12238)] = 620808,
  [SMALL_STATE(12239)] = 620851,
  [SMALL_STATE(12240)] = 620894,
  [SMALL_STATE(12241)] = 620941,
  [SMALL_STATE(12242)] = 620988,
  [SMALL_STATE(12243)] = 621039,
  [SMALL_STATE(12244)] = 621076,
  [SMALL_STATE(12245)] = 621127,
  [SMALL_STATE(12246)] = 621162,
  [SMALL_STATE(12247)] = 621197,
  [SMALL_STATE(12248)] = 621232,
  [SMALL_STATE(12249)] = 621283,
  [SMALL_STATE(12250)] = 621318,
  [SMALL_STATE(12251)] = 621353,
  [SMALL_STATE(12252)] = 621402,
  [SMALL_STATE(12253)] = 621443,
  [SMALL_STATE(12254)] = 621478,
  [SMALL_STATE(12255)] = 621513,
  [SMALL_STATE(12256)] = 621548,
  [SMALL_STATE(12257)] = 621591,
  [SMALL_STATE(12258)] = 621634,
  [SMALL_STATE(12259)] = 621667,
  [SMALL_STATE(12260)] = 621708,
  [SMALL_STATE(12261)] = 621755,
  [SMALL_STATE(12262)] = 621790,
  [SMALL_STATE(12263)] = 621839,
  [SMALL_STATE(12264)] = 621894,
  [SMALL_STATE(12265)] = 621947,
  [SMALL_STATE(12266)] = 621988,
  [SMALL_STATE(12267)] = 622023,
  [SMALL_STATE(12268)] = 622060,
  [SMALL_STATE(12269)] = 622095,
  [SMALL_STATE(12270)] = 622148,
  [SMALL_STATE(12271)] = 622203,
  [SMALL_STATE(12272)] = 622258,
  [SMALL_STATE(12273)] = 622313,
  [SMALL_STATE(12274)] = 622354,
  [SMALL_STATE(12275)] = 622387,
  [SMALL_STATE(12276)] = 622442,
  [SMALL_STATE(12277)] = 622485,
  [SMALL_STATE(12278)] = 622518,
  [SMALL_STATE(12279)] = 622553,
  [SMALL_STATE(12280)] = 622588,
  [SMALL_STATE(12281)] = 622623,
  [SMALL_STATE(12282)] = 622678,
  [SMALL_STATE(12283)] = 622713,
  [SMALL_STATE(12284)] = 622754,
  [SMALL_STATE(12285)] = 622787,
  [SMALL_STATE(12286)] = 622820,
  [SMALL_STATE(12287)] = 622863,
  [SMALL_STATE(12288)] = 622916,
  [SMALL_STATE(12289)] = 622971,
  [SMALL_STATE(12290)] = 623018,
  [SMALL_STATE(12291)] = 623067,
  [SMALL_STATE(12292)] = 623098,
  [SMALL_STATE(12293)] = 623153,
  [SMALL_STATE(12294)] = 623208,
  [SMALL_STATE(12295)] = 623261,
  [SMALL_STATE(12296)] = 623302,
  [SMALL_STATE(12297)] = 623339,
  [SMALL_STATE(12298)] = 623392,
  [SMALL_STATE(12299)] = 623427,
  [SMALL_STATE(12300)] = 623468,
  [SMALL_STATE(12301)] = 623523,
  [SMALL_STATE(12302)] = 623564,
  [SMALL_STATE(12303)] = 623599,
  [SMALL_STATE(12304)] = 623654,
  [SMALL_STATE(12305)] = 623709,
  [SMALL_STATE(12306)] = 623764,
  [SMALL_STATE(12307)] = 623819,
  [SMALL_STATE(12308)] = 623874,
  [SMALL_STATE(12309)] = 623929,
  [SMALL_STATE(12310)] = 623964,
  [SMALL_STATE(12311)] = 624011,
  [SMALL_STATE(12312)] = 624064,
  [SMALL_STATE(12313)] = 624117,
  [SMALL_STATE(12314)] = 624166,
  [SMALL_STATE(12315)] = 624201,
  [SMALL_STATE(12316)] = 624256,
  [SMALL_STATE(12317)] = 624307,
  [SMALL_STATE(12318)] = 624362,
  [SMALL_STATE(12319)] = 624417,
  [SMALL_STATE(12320)] = 624450,
  [SMALL_STATE(12321)] = 624491,
  [SMALL_STATE(12322)] = 624544,
  [SMALL_STATE(12323)] = 624577,
  [SMALL_STATE(12324)] = 624626,
  [SMALL_STATE(12325)] = 624667,
  [SMALL_STATE(12326)] = 624710,
  [SMALL_STATE(12327)] = 624765,
  [SMALL_STATE(12328)] = 624800,
  [SMALL_STATE(12329)] = 624835,
  [SMALL_STATE(12330)] = 624890,
  [SMALL_STATE(12331)] = 624933,
  [SMALL_STATE(12332)] = 624968,
  [SMALL_STATE(12333)] = 625011,
  [SMALL_STATE(12334)] = 625058,
  [SMALL_STATE(12335)] = 625099,
  [SMALL_STATE(12336)] = 625140,
  [SMALL_STATE(12337)] = 625195,
  [SMALL_STATE(12338)] = 625228,
  [SMALL_STATE(12339)] = 625269,
  [SMALL_STATE(12340)] = 625304,
  [SMALL_STATE(12341)] = 625345,
  [SMALL_STATE(12342)] = 625384,
  [SMALL_STATE(12343)] = 625419,
  [SMALL_STATE(12344)] = 625474,
  [SMALL_STATE(12345)] = 625529,
  [SMALL_STATE(12346)] = 625578,
  [SMALL_STATE(12347)] = 625613,
  [SMALL_STATE(12348)] = 625668,
  [SMALL_STATE(12349)] = 625721,
  [SMALL_STATE(12350)] = 625758,
  [SMALL_STATE(12351)] = 625811,
  [SMALL_STATE(12352)] = 625846,
  [SMALL_STATE(12353)] = 625877,
  [SMALL_STATE(12354)] = 625932,
  [SMALL_STATE(12355)] = 625987,
  [SMALL_STATE(12356)] = 626020,
  [SMALL_STATE(12357)] = 626051,
  [SMALL_STATE(12358)] = 626082,
  [SMALL_STATE(12359)] = 626119,
  [SMALL_STATE(12360)] = 626150,
  [SMALL_STATE(12361)] = 626203,
  [SMALL_STATE(12362)] = 626252,
  [SMALL_STATE(12363)] = 626305,
  [SMALL_STATE(12364)] = 626340,
  [SMALL_STATE(12365)] = 626381,
  [SMALL_STATE(12366)] = 626414,
  [SMALL_STATE(12367)] = 626455,
  [SMALL_STATE(12368)] = 626488,
  [SMALL_STATE(12369)] = 626531,
  [SMALL_STATE(12370)] = 626572,
  [SMALL_STATE(12371)] = 626607,
  [SMALL_STATE(12372)] = 626662,
  [SMALL_STATE(12373)] = 626717,
  [SMALL_STATE(12374)] = 626750,
  [SMALL_STATE(12375)] = 626783,
  [SMALL_STATE(12376)] = 626826,
  [SMALL_STATE(12377)] = 626867,
  [SMALL_STATE(12378)] = 626920,
  [SMALL_STATE(12379)] = 626975,
  [SMALL_STATE(12380)] = 627030,
  [SMALL_STATE(12381)] = 627085,
  [SMALL_STATE(12382)] = 627126,
  [SMALL_STATE(12383)] = 627167,
  [SMALL_STATE(12384)] = 627198,
  [SMALL_STATE(12385)] = 627253,
  [SMALL_STATE(12386)] = 627308,
  [SMALL_STATE(12387)] = 627363,
  [SMALL_STATE(12388)] = 627418,
  [SMALL_STATE(12389)] = 627459,
  [SMALL_STATE(12390)] = 627514,
  [SMALL_STATE(12391)] = 627569,
  [SMALL_STATE(12392)] = 627620,
  [SMALL_STATE(12393)] = 627655,
  [SMALL_STATE(12394)] = 627690,
  [SMALL_STATE(12395)] = 627745,
  [SMALL_STATE(12396)] = 627780,
  [SMALL_STATE(12397)] = 627835,
  [SMALL_STATE(12398)] = 627876,
  [SMALL_STATE(12399)] = 627906,
  [SMALL_STATE(12400)] = 627938,
  [SMALL_STATE(12401)] = 627970,
  [SMALL_STATE(12402)] = 628002,
  [SMALL_STATE(12403)] = 628032,
  [SMALL_STATE(12404)] = 628080,
  [SMALL_STATE(12405)] = 628110,
  [SMALL_STATE(12406)] = 628142,
  [SMALL_STATE(12407)] = 628172,
  [SMALL_STATE(12408)] = 628202,
  [SMALL_STATE(12409)] = 628236,
  [SMALL_STATE(12410)] = 628270,
  [SMALL_STATE(12411)] = 628312,
  [SMALL_STATE(12412)] = 628354,
  [SMALL_STATE(12413)] = 628404,
  [SMALL_STATE(12414)] = 628450,
  [SMALL_STATE(12415)] = 628480,
  [SMALL_STATE(12416)] = 628526,
  [SMALL_STATE(12417)] = 628576,
  [SMALL_STATE(12418)] = 628612,
  [SMALL_STATE(12419)] = 628642,
  [SMALL_STATE(12420)] = 628692,
  [SMALL_STATE(12421)] = 628722,
  [SMALL_STATE(12422)] = 628772,
  [SMALL_STATE(12423)] = 628818,
  [SMALL_STATE(12424)] = 628866,
  [SMALL_STATE(12425)] = 628896,
  [SMALL_STATE(12426)] = 628926,
  [SMALL_STATE(12427)] = 628956,
  [SMALL_STATE(12428)] = 628986,
  [SMALL_STATE(12429)] = 629032,
  [SMALL_STATE(12430)] = 629062,
  [SMALL_STATE(12431)] = 629110,
  [SMALL_STATE(12432)] = 629156,
  [SMALL_STATE(12433)] = 629188,
  [SMALL_STATE(12434)] = 629220,
  [SMALL_STATE(12435)] = 629268,
  [SMALL_STATE(12436)] = 629300,
  [SMALL_STATE(12437)] = 629348,
  [SMALL_STATE(12438)] = 629396,
  [SMALL_STATE(12439)] = 629426,
  [SMALL_STATE(12440)] = 629478,
  [SMALL_STATE(12441)] = 629510,
  [SMALL_STATE(12442)] = 629550,
  [SMALL_STATE(12443)] = 629598,
  [SMALL_STATE(12444)] = 629632,
  [SMALL_STATE(12445)] = 629662,
  [SMALL_STATE(12446)] = 629692,
  [SMALL_STATE(12447)] = 629724,
  [SMALL_STATE(12448)] = 629758,
  [SMALL_STATE(12449)] = 629808,
  [SMALL_STATE(12450)] = 629860,
  [SMALL_STATE(12451)] = 629910,
  [SMALL_STATE(12452)] = 629958,
  [SMALL_STATE(12453)] = 629988,
  [SMALL_STATE(12454)] = 630040,
  [SMALL_STATE(12455)] = 630092,
  [SMALL_STATE(12456)] = 630140,
  [SMALL_STATE(12457)] = 630176,
  [SMALL_STATE(12458)] = 630226,
  [SMALL_STATE(12459)] = 630272,
  [SMALL_STATE(12460)] = 630302,
  [SMALL_STATE(12461)] = 630350,
  [SMALL_STATE(12462)] = 630398,
  [SMALL_STATE(12463)] = 630452,
  [SMALL_STATE(12464)] = 630492,
  [SMALL_STATE(12465)] = 630540,
  [SMALL_STATE(12466)] = 630570,
  [SMALL_STATE(12467)] = 630608,
  [SMALL_STATE(12468)] = 630642,
  [SMALL_STATE(12469)] = 630682,
  [SMALL_STATE(12470)] = 630714,
  [SMALL_STATE(12471)] = 630762,
  [SMALL_STATE(12472)] = 630792,
  [SMALL_STATE(12473)] = 630840,
  [SMALL_STATE(12474)] = 630874,
  [SMALL_STATE(12475)] = 630922,
  [SMALL_STATE(12476)] = 630952,
  [SMALL_STATE(12477)] = 630982,
  [SMALL_STATE(12478)] = 631014,
  [SMALL_STATE(12479)] = 631046,
  [SMALL_STATE(12480)] = 631088,
  [SMALL_STATE(12481)] = 631118,
  [SMALL_STATE(12482)] = 631158,
  [SMALL_STATE(12483)] = 631190,
  [SMALL_STATE(12484)] = 631238,
  [SMALL_STATE(12485)] = 631270,
  [SMALL_STATE(12486)] = 631316,
  [SMALL_STATE(12487)] = 631348,
  [SMALL_STATE(12488)] = 631400,
  [SMALL_STATE(12489)] = 631432,
  [SMALL_STATE(12490)] = 631480,
  [SMALL_STATE(12491)] = 631528,
  [SMALL_STATE(12492)] = 631578,
  [SMALL_STATE(12493)] = 631610,
  [SMALL_STATE(12494)] = 631656,
  [SMALL_STATE(12495)] = 631686,
  [SMALL_STATE(12496)] = 631734,
  [SMALL_STATE(12497)] = 631764,
  [SMALL_STATE(12498)] = 631794,
  [SMALL_STATE(12499)] = 631824,
  [SMALL_STATE(12500)] = 631870,
  [SMALL_STATE(12501)] = 631906,
  [SMALL_STATE(12502)] = 631958,
  [SMALL_STATE(12503)] = 631990,
  [SMALL_STATE(12504)] = 632020,
  [SMALL_STATE(12505)] = 632072,
  [SMALL_STATE(12506)] = 632122,
  [SMALL_STATE(12507)] = 632168,
  [SMALL_STATE(12508)] = 632204,
  [SMALL_STATE(12509)] = 632252,
  [SMALL_STATE(12510)] = 632300,
  [SMALL_STATE(12511)] = 632348,
  [SMALL_STATE(12512)] = 632396,
  [SMALL_STATE(12513)] = 632450,
  [SMALL_STATE(12514)] = 632496,
  [SMALL_STATE(12515)] = 632544,
  [SMALL_STATE(12516)] = 632584,
  [SMALL_STATE(12517)] = 632626,
  [SMALL_STATE(12518)] = 632656,
  [SMALL_STATE(12519)] = 632686,
  [SMALL_STATE(12520)] = 632728,
  [SMALL_STATE(12521)] = 632776,
  [SMALL_STATE(12522)] = 632806,
  [SMALL_STATE(12523)] = 632854,
  [SMALL_STATE(12524)] = 632902,
  [SMALL_STATE(12525)] = 632950,
  [SMALL_STATE(12526)] = 633002,
  [SMALL_STATE(12527)] = 633042,
  [SMALL_STATE(12528)] = 633072,
  [SMALL_STATE(12529)] = 633104,
  [SMALL_STATE(12530)] = 633154,
  [SMALL_STATE(12531)] = 633200,
  [SMALL_STATE(12532)] = 633254,
  [SMALL_STATE(12533)] = 633302,
  [SMALL_STATE(12534)] = 633332,
  [SMALL_STATE(12535)] = 633380,
  [SMALL_STATE(12536)] = 633432,
  [SMALL_STATE(12537)] = 633480,
  [SMALL_STATE(12538)] = 633530,
  [SMALL_STATE(12539)] = 633562,
  [SMALL_STATE(12540)] = 633602,
  [SMALL_STATE(12541)] = 633634,
  [SMALL_STATE(12542)] = 633682,
  [SMALL_STATE(12543)] = 633730,
  [SMALL_STATE(12544)] = 633776,
  [SMALL_STATE(12545)] = 633806,
  [SMALL_STATE(12546)] = 633836,
  [SMALL_STATE(12547)] = 633882,
  [SMALL_STATE(12548)] = 633930,
  [SMALL_STATE(12549)] = 633984,
  [SMALL_STATE(12550)] = 634030,
  [SMALL_STATE(12551)] = 634076,
  [SMALL_STATE(12552)] = 634116,
  [SMALL_STATE(12553)] = 634168,
  [SMALL_STATE(12554)] = 634200,
  [SMALL_STATE(12555)] = 634230,
  [SMALL_STATE(12556)] = 634278,
  [SMALL_STATE(12557)] = 634326,
  [SMALL_STATE(12558)] = 634374,
  [SMALL_STATE(12559)] = 634404,
  [SMALL_STATE(12560)] = 634452,
  [SMALL_STATE(12561)] = 634498,
  [SMALL_STATE(12562)] = 634546,
  [SMALL_STATE(12563)] = 634586,
  [SMALL_STATE(12564)] = 634620,
  [SMALL_STATE(12565)] = 634654,
  [SMALL_STATE(12566)] = 634696,
  [SMALL_STATE(12567)] = 634738,
  [SMALL_STATE(12568)] = 634784,
  [SMALL_STATE(12569)] = 634830,
  [SMALL_STATE(12570)] = 634878,
  [SMALL_STATE(12571)] = 634918,
  [SMALL_STATE(12572)] = 634968,
  [SMALL_STATE(12573)] = 635018,
  [SMALL_STATE(12574)] = 635064,
  [SMALL_STATE(12575)] = 635112,
  [SMALL_STATE(12576)] = 635142,
  [SMALL_STATE(12577)] = 635178,
  [SMALL_STATE(12578)] = 635228,
  [SMALL_STATE(12579)] = 635278,
  [SMALL_STATE(12580)] = 635308,
  [SMALL_STATE(12581)] = 635358,
  [SMALL_STATE(12582)] = 635388,
  [SMALL_STATE(12583)] = 635436,
  [SMALL_STATE(12584)] = 635466,
  [SMALL_STATE(12585)] = 635498,
  [SMALL_STATE(12586)] = 635538,
  [SMALL_STATE(12587)] = 635570,
  [SMALL_STATE(12588)] = 635600,
  [SMALL_STATE(12589)] = 635646,
  [SMALL_STATE(12590)] = 635694,
  [SMALL_STATE(12591)] = 635734,
  [SMALL_STATE(12592)] = 635766,
  [SMALL_STATE(12593)] = 635798,
  [SMALL_STATE(12594)] = 635846,
  [SMALL_STATE(12595)] = 635876,
  [SMALL_STATE(12596)] = 635908,
  [SMALL_STATE(12597)] = 635940,
  [SMALL_STATE(12598)] = 635972,
  [SMALL_STATE(12599)] = 636004,
  [SMALL_STATE(12600)] = 636034,
  [SMALL_STATE(12601)] = 636066,
  [SMALL_STATE(12602)] = 636098,
  [SMALL_STATE(12603)] = 636138,
  [SMALL_STATE(12604)] = 636170,
  [SMALL_STATE(12605)] = 636202,
  [SMALL_STATE(12606)] = 636244,
  [SMALL_STATE(12607)] = 636276,
  [SMALL_STATE(12608)] = 636308,
  [SMALL_STATE(12609)] = 636340,
  [SMALL_STATE(12610)] = 636390,
  [SMALL_STATE(12611)] = 636441,
  [SMALL_STATE(12612)] = 636492,
  [SMALL_STATE(12613)] = 636529,
  [SMALL_STATE(12614)] = 636580,
  [SMALL_STATE(12615)] = 636631,
  [SMALL_STATE(12616)] = 636658,
  [SMALL_STATE(12617)] = 636695,
  [SMALL_STATE(12618)] = 636738,
  [SMALL_STATE(12619)] = 636769,
  [SMALL_STATE(12620)] = 636820,
  [SMALL_STATE(12621)] = 636847,
  [SMALL_STATE(12622)] = 636876,
  [SMALL_STATE(12623)] = 636927,
  [SMALL_STATE(12624)] = 636978,
  [SMALL_STATE(12625)] = 637015,
  [SMALL_STATE(12626)] = 637044,
  [SMALL_STATE(12627)] = 637075,
  [SMALL_STATE(12628)] = 637112,
  [SMALL_STATE(12629)] = 637155,
  [SMALL_STATE(12630)] = 637188,
  [SMALL_STATE(12631)] = 637215,
  [SMALL_STATE(12632)] = 637266,
  [SMALL_STATE(12633)] = 637317,
  [SMALL_STATE(12634)] = 637354,
  [SMALL_STATE(12635)] = 637405,
  [SMALL_STATE(12636)] = 637448,
  [SMALL_STATE(12637)] = 637475,
  [SMALL_STATE(12638)] = 637526,
  [SMALL_STATE(12639)] = 637577,
  [SMALL_STATE(12640)] = 637614,
  [SMALL_STATE(12641)] = 637642,
  [SMALL_STATE(12642)] = 637688,
  [SMALL_STATE(12643)] = 637734,
  [SMALL_STATE(12644)] = 637764,
  [SMALL_STATE(12645)] = 637792,
  [SMALL_STATE(12646)] = 637820,
  [SMALL_STATE(12647)] = 637848,
  [SMALL_STATE(12648)] = 637876,
  [SMALL_STATE(12649)] = 637910,
  [SMALL_STATE(12650)] = 637956,
  [SMALL_STATE(12651)] = 637984,
  [SMALL_STATE(12652)] = 638030,
  [SMALL_STATE(12653)] = 638058,
  [SMALL_STATE(12654)] = 638086,
  [SMALL_STATE(12655)] = 638134,
  [SMALL_STATE(12656)] = 638162,
  [SMALL_STATE(12657)] = 638196,
  [SMALL_STATE(12658)] = 638226,
  [SMALL_STATE(12659)] = 638260,
  [SMALL_STATE(12660)] = 638292,
  [SMALL_STATE(12661)] = 638338,
  [SMALL_STATE(12662)] = 638376,
  [SMALL_STATE(12663)] = 638404,
  [SMALL_STATE(12664)] = 638432,
  [SMALL_STATE(12665)] = 638460,
  [SMALL_STATE(12666)] = 638488,
  [SMALL_STATE(12667)] = 638516,
  [SMALL_STATE(12668)] = 638544,
  [SMALL_STATE(12669)] = 638572,
  [SMALL_STATE(12670)] = 638604,
  [SMALL_STATE(12671)] = 638652,
  [SMALL_STATE(12672)] = 638686,
  [SMALL_STATE(12673)] = 638714,
  [SMALL_STATE(12674)] = 638746,
  [SMALL_STATE(12675)] = 638792,
  [SMALL_STATE(12676)] = 638820,
  [SMALL_STATE(12677)] = 638850,
  [SMALL_STATE(12678)] = 638896,
  [SMALL_STATE(12679)] = 638928,
  [SMALL_STATE(12680)] = 638956,
  [SMALL_STATE(12681)] = 638984,
  [SMALL_STATE(12682)] = 639026,
  [SMALL_STATE(12683)] = 639054,
  [SMALL_STATE(12684)] = 639082,
  [SMALL_STATE(12685)] = 639116,
  [SMALL_STATE(12686)] = 639144,
  [SMALL_STATE(12687)] = 639172,
  [SMALL_STATE(12688)] = 639200,
  [SMALL_STATE(12689)] = 639228,
  [SMALL_STATE(12690)] = 639276,
  [SMALL_STATE(12691)] = 639304,
  [SMALL_STATE(12692)] = 639340,
  [SMALL_STATE(12693)] = 639388,
  [SMALL_STATE(12694)] = 639430,
  [SMALL_STATE(12695)] = 639458,
  [SMALL_STATE(12696)] = 639486,
  [SMALL_STATE(12697)] = 639514,
  [SMALL_STATE(12698)] = 639542,
  [SMALL_STATE(12699)] = 639570,
  [SMALL_STATE(12700)] = 639612,
  [SMALL_STATE(12701)] = 639646,
  [SMALL_STATE(12702)] = 639674,
  [SMALL_STATE(12703)] = 639702,
  [SMALL_STATE(12704)] = 639730,
  [SMALL_STATE(12705)] = 639778,
  [SMALL_STATE(12706)] = 639810,
  [SMALL_STATE(12707)] = 639838,
  [SMALL_STATE(12708)] = 639866,
  [SMALL_STATE(12709)] = 639900,
  [SMALL_STATE(12710)] = 639938,
  [SMALL_STATE(12711)] = 639972,
  [SMALL_STATE(12712)] = 640020,
  [SMALL_STATE(12713)] = 640048,
  [SMALL_STATE(12714)] = 640094,
  [SMALL_STATE(12715)] = 640132,
  [SMALL_STATE(12716)] = 640160,
  [SMALL_STATE(12717)] = 640199,
  [SMALL_STATE(12718)] = 640226,
  [SMALL_STATE(12719)] = 640269,
  [SMALL_STATE(12720)] = 640300,
  [SMALL_STATE(12721)] = 640331,
  [SMALL_STATE(12722)] = 640370,
  [SMALL_STATE(12723)] = 640409,
  [SMALL_STATE(12724)] = 640448,
  [SMALL_STATE(12725)] = 640479,
  [SMALL_STATE(12726)] = 640510,
  [SMALL_STATE(12727)] = 640541,
  [SMALL_STATE(12728)] = 640572,
  [SMALL_STATE(12729)] = 640599,
  [SMALL_STATE(12730)] = 640630,
  [SMALL_STATE(12731)] = 640669,
  [SMALL_STATE(12732)] = 640700,
  [SMALL_STATE(12733)] = 640731,
  [SMALL_STATE(12734)] = 640758,
  [SMALL_STATE(12735)] = 640797,
  [SMALL_STATE(12736)] = 640836,
  [SMALL_STATE(12737)] = 640875,
  [SMALL_STATE(12738)] = 640914,
  [SMALL_STATE(12739)] = 640953,
  [SMALL_STATE(12740)] = 640984,
  [SMALL_STATE(12741)] = 641023,
  [SMALL_STATE(12742)] = 641062,
  [SMALL_STATE(12743)] = 641091,
  [SMALL_STATE(12744)] = 641134,
  [SMALL_STATE(12745)] = 641173,
  [SMALL_STATE(12746)] = 641212,
  [SMALL_STATE(12747)] = 641251,
  [SMALL_STATE(12748)] = 641282,
  [SMALL_STATE(12749)] = 641321,
  [SMALL_STATE(12750)] = 641352,
  [SMALL_STATE(12751)] = 641391,
  [SMALL_STATE(12752)] = 641430,
  [SMALL_STATE(12753)] = 641461,
  [SMALL_STATE(12754)] = 641500,
  [SMALL_STATE(12755)] = 641527,
  [SMALL_STATE(12756)] = 641566,
  [SMALL_STATE(12757)] = 641597,
  [SMALL_STATE(12758)] = 641636,
  [SMALL_STATE(12759)] = 641667,
  [SMALL_STATE(12760)] = 641694,
  [SMALL_STATE(12761)] = 641733,
  [SMALL_STATE(12762)] = 641764,
  [SMALL_STATE(12763)] = 641791,
  [SMALL_STATE(12764)] = 641822,
  [SMALL_STATE(12765)] = 641849,
  [SMALL_STATE(12766)] = 641880,
  [SMALL_STATE(12767)] = 641911,
  [SMALL_STATE(12768)] = 641950,
  [SMALL_STATE(12769)] = 641981,
  [SMALL_STATE(12770)] = 642020,
  [SMALL_STATE(12771)] = 642059,
  [SMALL_STATE(12772)] = 642098,
  [SMALL_STATE(12773)] = 642137,
  [SMALL_STATE(12774)] = 642176,
  [SMALL_STATE(12775)] = 642207,
  [SMALL_STATE(12776)] = 642246,
  [SMALL_STATE(12777)] = 642285,
  [SMALL_STATE(12778)] = 642312,
  [SMALL_STATE(12779)] = 642343,
  [SMALL_STATE(12780)] = 642382,
  [SMALL_STATE(12781)] = 642409,
  [SMALL_STATE(12782)] = 642438,
  [SMALL_STATE(12783)] = 642469,
  [SMALL_STATE(12784)] = 642508,
  [SMALL_STATE(12785)] = 642547,
  [SMALL_STATE(12786)] = 642574,
  [SMALL_STATE(12787)] = 642605,
  [SMALL_STATE(12788)] = 642636,
  [SMALL_STATE(12789)] = 642667,
  [SMALL_STATE(12790)] = 642698,
  [SMALL_STATE(12791)] = 642725,
  [SMALL_STATE(12792)] = 642768,
  [SMALL_STATE(12793)] = 642807,
  [SMALL_STATE(12794)] = 642850,
  [SMALL_STATE(12795)] = 642881,
  [SMALL_STATE(12796)] = 642908,
  [SMALL_STATE(12797)] = 642947,
  [SMALL_STATE(12798)] = 642974,
  [SMALL_STATE(12799)] = 643005,
  [SMALL_STATE(12800)] = 643034,
  [SMALL_STATE(12801)] = 643073,
  [SMALL_STATE(12802)] = 643100,
  [SMALL_STATE(12803)] = 643139,
  [SMALL_STATE(12804)] = 643178,
  [SMALL_STATE(12805)] = 643209,
  [SMALL_STATE(12806)] = 643248,
  [SMALL_STATE(12807)] = 643275,
  [SMALL_STATE(12808)] = 643302,
  [SMALL_STATE(12809)] = 643333,
  [SMALL_STATE(12810)] = 643372,
  [SMALL_STATE(12811)] = 643403,
  [SMALL_STATE(12812)] = 643434,
  [SMALL_STATE(12813)] = 643477,
  [SMALL_STATE(12814)] = 643508,
  [SMALL_STATE(12815)] = 643539,
  [SMALL_STATE(12816)] = 643582,
  [SMALL_STATE(12817)] = 643621,
  [SMALL_STATE(12818)] = 643664,
  [SMALL_STATE(12819)] = 643691,
  [SMALL_STATE(12820)] = 643730,
  [SMALL_STATE(12821)] = 643757,
  [SMALL_STATE(12822)] = 643784,
  [SMALL_STATE(12823)] = 643813,
  [SMALL_STATE(12824)] = 643852,
  [SMALL_STATE(12825)] = 643891,
  [SMALL_STATE(12826)] = 643922,
  [SMALL_STATE(12827)] = 643953,
  [SMALL_STATE(12828)] = 643992,
  [SMALL_STATE(12829)] = 644023,
  [SMALL_STATE(12830)] = 644062,
  [SMALL_STATE(12831)] = 644101,
  [SMALL_STATE(12832)] = 644132,
  [SMALL_STATE(12833)] = 644171,
  [SMALL_STATE(12834)] = 644202,
  [SMALL_STATE(12835)] = 644229,
  [SMALL_STATE(12836)] = 644268,
  [SMALL_STATE(12837)] = 644307,
  [SMALL_STATE(12838)] = 644346,
  [SMALL_STATE(12839)] = 644375,
  [SMALL_STATE(12840)] = 644402,
  [SMALL_STATE(12841)] = 644441,
  [SMALL_STATE(12842)] = 644480,
  [SMALL_STATE(12843)] = 644519,
  [SMALL_STATE(12844)] = 644548,
  [SMALL_STATE(12845)] = 644587,
  [SMALL_STATE(12846)] = 644618,
  [SMALL_STATE(12847)] = 644649,
  [SMALL_STATE(12848)] = 644688,
  [SMALL_STATE(12849)] = 644719,
  [SMALL_STATE(12850)] = 644750,
  [SMALL_STATE(12851)] = 644777,
  [SMALL_STATE(12852)] = 644820,
  [SMALL_STATE(12853)] = 644855,
  [SMALL_STATE(12854)] = 644886,
  [SMALL_STATE(12855)] = 644917,
  [SMALL_STATE(12856)] = 644956,
  [SMALL_STATE(12857)] = 644987,
  [SMALL_STATE(12858)] = 645026,
  [SMALL_STATE(12859)] = 645065,
  [SMALL_STATE(12860)] = 645104,
  [SMALL_STATE(12861)] = 645143,
  [SMALL_STATE(12862)] = 645182,
  [SMALL_STATE(12863)] = 645213,
  [SMALL_STATE(12864)] = 645244,
  [SMALL_STATE(12865)] = 645283,
  [SMALL_STATE(12866)] = 645322,
  [SMALL_STATE(12867)] = 645361,
  [SMALL_STATE(12868)] = 645392,
  [SMALL_STATE(12869)] = 645431,
  [SMALL_STATE(12870)] = 645462,
  [SMALL_STATE(12871)] = 645493,
  [SMALL_STATE(12872)] = 645524,
  [SMALL_STATE(12873)] = 645563,
  [SMALL_STATE(12874)] = 645602,
  [SMALL_STATE(12875)] = 645633,
  [SMALL_STATE(12876)] = 645664,
  [SMALL_STATE(12877)] = 645695,
  [SMALL_STATE(12878)] = 645734,
  [SMALL_STATE(12879)] = 645765,
  [SMALL_STATE(12880)] = 645792,
  [SMALL_STATE(12881)] = 645819,
  [SMALL_STATE(12882)] = 645850,
  [SMALL_STATE(12883)] = 645877,
  [SMALL_STATE(12884)] = 645920,
  [SMALL_STATE(12885)] = 645959,
  [SMALL_STATE(12886)] = 645990,
  [SMALL_STATE(12887)] = 646021,
  [SMALL_STATE(12888)] = 646052,
  [SMALL_STATE(12889)] = 646091,
  [SMALL_STATE(12890)] = 646122,
  [SMALL_STATE(12891)] = 646149,
  [SMALL_STATE(12892)] = 646180,
  [SMALL_STATE(12893)] = 646211,
  [SMALL_STATE(12894)] = 646242,
  [SMALL_STATE(12895)] = 646273,
  [SMALL_STATE(12896)] = 646312,
  [SMALL_STATE(12897)] = 646343,
  [SMALL_STATE(12898)] = 646374,
  [SMALL_STATE(12899)] = 646413,
  [SMALL_STATE(12900)] = 646440,
  [SMALL_STATE(12901)] = 646471,
  [SMALL_STATE(12902)] = 646502,
  [SMALL_STATE(12903)] = 646541,
  [SMALL_STATE(12904)] = 646568,
  [SMALL_STATE(12905)] = 646599,
  [SMALL_STATE(12906)] = 646630,
  [SMALL_STATE(12907)] = 646661,
  [SMALL_STATE(12908)] = 646700,
  [SMALL_STATE(12909)] = 646731,
  [SMALL_STATE(12910)] = 646770,
  [SMALL_STATE(12911)] = 646797,
  [SMALL_STATE(12912)] = 646824,
  [SMALL_STATE(12913)] = 646851,
  [SMALL_STATE(12914)] = 646882,
  [SMALL_STATE(12915)] = 646913,
  [SMALL_STATE(12916)] = 646944,
  [SMALL_STATE(12917)] = 646983,
  [SMALL_STATE(12918)] = 647022,
  [SMALL_STATE(12919)] = 647061,
  [SMALL_STATE(12920)] = 647100,
  [SMALL_STATE(12921)] = 647139,
  [SMALL_STATE(12922)] = 647178,
  [SMALL_STATE(12923)] = 647205,
  [SMALL_STATE(12924)] = 647244,
  [SMALL_STATE(12925)] = 647275,
  [SMALL_STATE(12926)] = 647306,
  [SMALL_STATE(12927)] = 647349,
  [SMALL_STATE(12928)] = 647380,
  [SMALL_STATE(12929)] = 647415,
  [SMALL_STATE(12930)] = 647446,
  [SMALL_STATE(12931)] = 647473,
  [SMALL_STATE(12932)] = 647512,
  [SMALL_STATE(12933)] = 647551,
  [SMALL_STATE(12934)] = 647578,
  [SMALL_STATE(12935)] = 647617,
  [SMALL_STATE(12936)] = 647647,
  [SMALL_STATE(12937)] = 647673,
  [SMALL_STATE(12938)] = 647703,
  [SMALL_STATE(12939)] = 647729,
  [SMALL_STATE(12940)] = 647753,
  [SMALL_STATE(12941)] = 647777,
  [SMALL_STATE(12942)] = 647805,
  [SMALL_STATE(12943)] = 647835,
  [SMALL_STATE(12944)] = 647861,
  [SMALL_STATE(12945)] = 647887,
  [SMALL_STATE(12946)] = 647913,
  [SMALL_STATE(12947)] = 647939,
  [SMALL_STATE(12948)] = 647969,
  [SMALL_STATE(12949)] = 647999,
  [SMALL_STATE(12950)] = 648025,
  [SMALL_STATE(12951)] = 648049,
  [SMALL_STATE(12952)] = 648075,
  [SMALL_STATE(12953)] = 648101,
  [SMALL_STATE(12954)] = 648127,
  [SMALL_STATE(12955)] = 648153,
  [SMALL_STATE(12956)] = 648179,
  [SMALL_STATE(12957)] = 648205,
  [SMALL_STATE(12958)] = 648231,
  [SMALL_STATE(12959)] = 648261,
  [SMALL_STATE(12960)] = 648291,
  [SMALL_STATE(12961)] = 648317,
  [SMALL_STATE(12962)] = 648343,
  [SMALL_STATE(12963)] = 648373,
  [SMALL_STATE(12964)] = 648399,
  [SMALL_STATE(12965)] = 648425,
  [SMALL_STATE(12966)] = 648451,
  [SMALL_STATE(12967)] = 648477,
  [SMALL_STATE(12968)] = 648507,
  [SMALL_STATE(12969)] = 648541,
  [SMALL_STATE(12970)] = 648571,
  [SMALL_STATE(12971)] = 648597,
  [SMALL_STATE(12972)] = 648623,
  [SMALL_STATE(12973)] = 648649,
  [SMALL_STATE(12974)] = 648679,
  [SMALL_STATE(12975)] = 648705,
  [SMALL_STATE(12976)] = 648735,
  [SMALL_STATE(12977)] = 648761,
  [SMALL_STATE(12978)] = 648787,
  [SMALL_STATE(12979)] = 648813,
  [SMALL_STATE(12980)] = 648839,
  [SMALL_STATE(12981)] = 648865,
  [SMALL_STATE(12982)] = 648895,
  [SMALL_STATE(12983)] = 648921,
  [SMALL_STATE(12984)] = 648947,
  [SMALL_STATE(12985)] = 648973,
  [SMALL_STATE(12986)] = 649003,
  [SMALL_STATE(12987)] = 649029,
  [SMALL_STATE(12988)] = 649055,
  [SMALL_STATE(12989)] = 649078,
  [SMALL_STATE(12990)] = 649107,
  [SMALL_STATE(12991)] = 649146,
  [SMALL_STATE(12992)] = 649169,
  [SMALL_STATE(12993)] = 649208,
  [SMALL_STATE(12994)] = 649237,
  [SMALL_STATE(12995)] = 649278,
  [SMALL_STATE(12996)] = 649317,
  [SMALL_STATE(12997)] = 649358,
  [SMALL_STATE(12998)] = 649381,
  [SMALL_STATE(12999)] = 649420,
  [SMALL_STATE(13000)] = 649443,
  [SMALL_STATE(13001)] = 649466,
  [SMALL_STATE(13002)] = 649489,
  [SMALL_STATE(13003)] = 649512,
  [SMALL_STATE(13004)] = 649535,
  [SMALL_STATE(13005)] = 649558,
  [SMALL_STATE(13006)] = 649581,
  [SMALL_STATE(13007)] = 649622,
  [SMALL_STATE(13008)] = 649661,
  [SMALL_STATE(13009)] = 649700,
  [SMALL_STATE(13010)] = 649741,
  [SMALL_STATE(13011)] = 649770,
  [SMALL_STATE(13012)] = 649793,
  [SMALL_STATE(13013)] = 649816,
  [SMALL_STATE(13014)] = 649843,
  [SMALL_STATE(13015)] = 649866,
  [SMALL_STATE(13016)] = 649907,
  [SMALL_STATE(13017)] = 649946,
  [SMALL_STATE(13018)] = 649985,
  [SMALL_STATE(13019)] = 650008,
  [SMALL_STATE(13020)] = 650049,
  [SMALL_STATE(13021)] = 650076,
  [SMALL_STATE(13022)] = 650105,
  [SMALL_STATE(13023)] = 650130,
  [SMALL_STATE(13024)] = 650168,
  [SMALL_STATE(13025)] = 650202,
  [SMALL_STATE(13026)] = 650240,
  [SMALL_STATE(13027)] = 650278,
  [SMALL_STATE(13028)] = 650316,
  [SMALL_STATE(13029)] = 650354,
  [SMALL_STATE(13030)] = 650388,
  [SMALL_STATE(13031)] = 650422,
  [SMALL_STATE(13032)] = 650460,
  [SMALL_STATE(13033)] = 650498,
  [SMALL_STATE(13034)] = 650536,
  [SMALL_STATE(13035)] = 650574,
  [SMALL_STATE(13036)] = 650608,
  [SMALL_STATE(13037)] = 650642,
  [SMALL_STATE(13038)] = 650680,
  [SMALL_STATE(13039)] = 650704,
  [SMALL_STATE(13040)] = 650742,
  [SMALL_STATE(13041)] = 650776,
  [SMALL_STATE(13042)] = 650806,
  [SMALL_STATE(13043)] = 650828,
  [SMALL_STATE(13044)] = 650866,
  [SMALL_STATE(13045)] = 650890,
  [SMALL_STATE(13046)] = 650928,
  [SMALL_STATE(13047)] = 650962,
  [SMALL_STATE(13048)] = 650986,
  [SMALL_STATE(13049)] = 651010,
  [SMALL_STATE(13050)] = 651048,
  [SMALL_STATE(13051)] = 651072,
  [SMALL_STATE(13052)] = 651096,
  [SMALL_STATE(13053)] = 651134,
  [SMALL_STATE(13054)] = 651172,
  [SMALL_STATE(13055)] = 651210,
  [SMALL_STATE(13056)] = 651244,
  [SMALL_STATE(13057)] = 651278,
  [SMALL_STATE(13058)] = 651316,
  [SMALL_STATE(13059)] = 651354,
  [SMALL_STATE(13060)] = 651392,
  [SMALL_STATE(13061)] = 651430,
  [SMALL_STATE(13062)] = 651464,
  [SMALL_STATE(13063)] = 651494,
  [SMALL_STATE(13064)] = 651532,
  [SMALL_STATE(13065)] = 651570,
  [SMALL_STATE(13066)] = 651608,
  [SMALL_STATE(13067)] = 651646,
  [SMALL_STATE(13068)] = 651680,
  [SMALL_STATE(13069)] = 651702,
  [SMALL_STATE(13070)] = 651740,
  [SMALL_STATE(13071)] = 651768,
  [SMALL_STATE(13072)] = 651792,
  [SMALL_STATE(13073)] = 651814,
  [SMALL_STATE(13074)] = 651852,
  [SMALL_STATE(13075)] = 651876,
  [SMALL_STATE(13076)] = 651900,
  [SMALL_STATE(13077)] = 651924,
  [SMALL_STATE(13078)] = 651948,
  [SMALL_STATE(13079)] = 651972,
  [SMALL_STATE(13080)] = 651996,
  [SMALL_STATE(13081)] = 652020,
  [SMALL_STATE(13082)] = 652056,
  [SMALL_STATE(13083)] = 652082,
  [SMALL_STATE(13084)] = 652112,
  [SMALL_STATE(13085)] = 652150,
  [SMALL_STATE(13086)] = 652188,
  [SMALL_STATE(13087)] = 652210,
  [SMALL_STATE(13088)] = 652234,
  [SMALL_STATE(13089)] = 652258,
  [SMALL_STATE(13090)] = 652282,
  [SMALL_STATE(13091)] = 652306,
  [SMALL_STATE(13092)] = 652330,
  [SMALL_STATE(13093)] = 652356,
  [SMALL_STATE(13094)] = 652394,
  [SMALL_STATE(13095)] = 652430,
  [SMALL_STATE(13096)] = 652460,
  [SMALL_STATE(13097)] = 652484,
  [SMALL_STATE(13098)] = 652508,
  [SMALL_STATE(13099)] = 652532,
  [SMALL_STATE(13100)] = 652556,
  [SMALL_STATE(13101)] = 652582,
  [SMALL_STATE(13102)] = 652612,
  [SMALL_STATE(13103)] = 652650,
  [SMALL_STATE(13104)] = 652688,
  [SMALL_STATE(13105)] = 652722,
  [SMALL_STATE(13106)] = 652756,
  [SMALL_STATE(13107)] = 652786,
  [SMALL_STATE(13108)] = 652812,
  [SMALL_STATE(13109)] = 652836,
  [SMALL_STATE(13110)] = 652874,
  [SMALL_STATE(13111)] = 652904,
  [SMALL_STATE(13112)] = 652928,
  [SMALL_STATE(13113)] = 652966,
  [SMALL_STATE(13114)] = 652996,
  [SMALL_STATE(13115)] = 653018,
  [SMALL_STATE(13116)] = 653048,
  [SMALL_STATE(13117)] = 653086,
  [SMALL_STATE(13118)] = 653120,
  [SMALL_STATE(13119)] = 653150,
  [SMALL_STATE(13120)] = 653172,
  [SMALL_STATE(13121)] = 653202,
  [SMALL_STATE(13122)] = 653232,
  [SMALL_STATE(13123)] = 653270,
  [SMALL_STATE(13124)] = 653300,
  [SMALL_STATE(13125)] = 653330,
  [SMALL_STATE(13126)] = 653360,
  [SMALL_STATE(13127)] = 653386,
  [SMALL_STATE(13128)] = 653416,
  [SMALL_STATE(13129)] = 653446,
  [SMALL_STATE(13130)] = 653476,
  [SMALL_STATE(13131)] = 653506,
  [SMALL_STATE(13132)] = 653544,
  [SMALL_STATE(13133)] = 653574,
  [SMALL_STATE(13134)] = 653604,
  [SMALL_STATE(13135)] = 653628,
  [SMALL_STATE(13136)] = 653658,
  [SMALL_STATE(13137)] = 653688,
  [SMALL_STATE(13138)] = 653726,
  [SMALL_STATE(13139)] = 653756,
  [SMALL_STATE(13140)] = 653786,
  [SMALL_STATE(13141)] = 653816,
  [SMALL_STATE(13142)] = 653850,
  [SMALL_STATE(13143)] = 653880,
  [SMALL_STATE(13144)] = 653918,
  [SMALL_STATE(13145)] = 653948,
  [SMALL_STATE(13146)] = 653982,
  [SMALL_STATE(13147)] = 654012,
  [SMALL_STATE(13148)] = 654042,
  [SMALL_STATE(13149)] = 654072,
  [SMALL_STATE(13150)] = 654102,
  [SMALL_STATE(13151)] = 654132,
  [SMALL_STATE(13152)] = 654162,
  [SMALL_STATE(13153)] = 654192,
  [SMALL_STATE(13154)] = 654222,
  [SMALL_STATE(13155)] = 654246,
  [SMALL_STATE(13156)] = 654276,
  [SMALL_STATE(13157)] = 654298,
  [SMALL_STATE(13158)] = 654336,
  [SMALL_STATE(13159)] = 654366,
  [SMALL_STATE(13160)] = 654396,
  [SMALL_STATE(13161)] = 654432,
  [SMALL_STATE(13162)] = 654462,
  [SMALL_STATE(13163)] = 654492,
  [SMALL_STATE(13164)] = 654522,
  [SMALL_STATE(13165)] = 654552,
  [SMALL_STATE(13166)] = 654582,
  [SMALL_STATE(13167)] = 654612,
  [SMALL_STATE(13168)] = 654642,
  [SMALL_STATE(13169)] = 654672,
  [SMALL_STATE(13170)] = 654702,
  [SMALL_STATE(13171)] = 654732,
  [SMALL_STATE(13172)] = 654762,
  [SMALL_STATE(13173)] = 654792,
  [SMALL_STATE(13174)] = 654822,
  [SMALL_STATE(13175)] = 654852,
  [SMALL_STATE(13176)] = 654882,
  [SMALL_STATE(13177)] = 654912,
  [SMALL_STATE(13178)] = 654942,
  [SMALL_STATE(13179)] = 654978,
  [SMALL_STATE(13180)] = 655014,
  [SMALL_STATE(13181)] = 655050,
  [SMALL_STATE(13182)] = 655086,
  [SMALL_STATE(13183)] = 655122,
  [SMALL_STATE(13184)] = 655158,
  [SMALL_STATE(13185)] = 655194,
  [SMALL_STATE(13186)] = 655230,
  [SMALL_STATE(13187)] = 655254,
  [SMALL_STATE(13188)] = 655290,
  [SMALL_STATE(13189)] = 655312,
  [SMALL_STATE(13190)] = 655350,
  [SMALL_STATE(13191)] = 655374,
  [SMALL_STATE(13192)] = 655398,
  [SMALL_STATE(13193)] = 655422,
  [SMALL_STATE(13194)] = 655446,
  [SMALL_STATE(13195)] = 655482,
  [SMALL_STATE(13196)] = 655520,
  [SMALL_STATE(13197)] = 655558,
  [SMALL_STATE(13198)] = 655596,
  [SMALL_STATE(13199)] = 655626,
  [SMALL_STATE(13200)] = 655659,
  [SMALL_STATE(13201)] = 655694,
  [SMALL_STATE(13202)] = 655719,
  [SMALL_STATE(13203)] = 655740,
  [SMALL_STATE(13204)] = 655765,
  [SMALL_STATE(13205)] = 655800,
  [SMALL_STATE(13206)] = 655835,
  [SMALL_STATE(13207)] = 655868,
  [SMALL_STATE(13208)] = 655903,
  [SMALL_STATE(13209)] = 655936,
  [SMALL_STATE(13210)] = 655971,
  [SMALL_STATE(13211)] = 656004,
  [SMALL_STATE(13212)] = 656037,
  [SMALL_STATE(13213)] = 656062,
  [SMALL_STATE(13214)] = 656097,
  [SMALL_STATE(13215)] = 656122,
  [SMALL_STATE(13216)] = 656157,
  [SMALL_STATE(13217)] = 656192,
  [SMALL_STATE(13218)] = 656219,
  [SMALL_STATE(13219)] = 656252,
  [SMALL_STATE(13220)] = 656275,
  [SMALL_STATE(13221)] = 656310,
  [SMALL_STATE(13222)] = 656343,
  [SMALL_STATE(13223)] = 656378,
  [SMALL_STATE(13224)] = 656399,
  [SMALL_STATE(13225)] = 656432,
  [SMALL_STATE(13226)] = 656459,
  [SMALL_STATE(13227)] = 656486,
  [SMALL_STATE(13228)] = 656507,
  [SMALL_STATE(13229)] = 656530,
  [SMALL_STATE(13230)] = 656565,
  [SMALL_STATE(13231)] = 656598,
  [SMALL_STATE(13232)] = 656633,
  [SMALL_STATE(13233)] = 656668,
  [SMALL_STATE(13234)] = 656691,
  [SMALL_STATE(13235)] = 656724,
  [SMALL_STATE(13236)] = 656759,
  [SMALL_STATE(13237)] = 656792,
  [SMALL_STATE(13238)] = 656825,
  [SMALL_STATE(13239)] = 656860,
  [SMALL_STATE(13240)] = 656893,
  [SMALL_STATE(13241)] = 656926,
  [SMALL_STATE(13242)] = 656961,
  [SMALL_STATE(13243)] = 656994,
  [SMALL_STATE(13244)] = 657027,
  [SMALL_STATE(13245)] = 657062,
  [SMALL_STATE(13246)] = 657089,
  [SMALL_STATE(13247)] = 657114,
  [SMALL_STATE(13248)] = 657147,
  [SMALL_STATE(13249)] = 657182,
  [SMALL_STATE(13250)] = 657217,
  [SMALL_STATE(13251)] = 657250,
  [SMALL_STATE(13252)] = 657285,
  [SMALL_STATE(13253)] = 657310,
  [SMALL_STATE(13254)] = 657345,
  [SMALL_STATE(13255)] = 657380,
  [SMALL_STATE(13256)] = 657413,
  [SMALL_STATE(13257)] = 657446,
  [SMALL_STATE(13258)] = 657479,
  [SMALL_STATE(13259)] = 657502,
  [SMALL_STATE(13260)] = 657537,
  [SMALL_STATE(13261)] = 657570,
  [SMALL_STATE(13262)] = 657603,
  [SMALL_STATE(13263)] = 657638,
  [SMALL_STATE(13264)] = 657673,
  [SMALL_STATE(13265)] = 657706,
  [SMALL_STATE(13266)] = 657739,
  [SMALL_STATE(13267)] = 657774,
  [SMALL_STATE(13268)] = 657807,
  [SMALL_STATE(13269)] = 657842,
  [SMALL_STATE(13270)] = 657875,
  [SMALL_STATE(13271)] = 657908,
  [SMALL_STATE(13272)] = 657943,
  [SMALL_STATE(13273)] = 657970,
  [SMALL_STATE(13274)] = 657994,
  [SMALL_STATE(13275)] = 658026,
  [SMALL_STATE(13276)] = 658058,
  [SMALL_STATE(13277)] = 658090,
  [SMALL_STATE(13278)] = 658120,
  [SMALL_STATE(13279)] = 658152,
  [SMALL_STATE(13280)] = 658184,
  [SMALL_STATE(13281)] = 658216,
  [SMALL_STATE(13282)] = 658248,
  [SMALL_STATE(13283)] = 658278,
  [SMALL_STATE(13284)] = 658308,
  [SMALL_STATE(13285)] = 658340,
  [SMALL_STATE(13286)] = 658372,
  [SMALL_STATE(13287)] = 658404,
  [SMALL_STATE(13288)] = 658436,
  [SMALL_STATE(13289)] = 658468,
  [SMALL_STATE(13290)] = 658500,
  [SMALL_STATE(13291)] = 658532,
  [SMALL_STATE(13292)] = 658562,
  [SMALL_STATE(13293)] = 658592,
  [SMALL_STATE(13294)] = 658624,
  [SMALL_STATE(13295)] = 658656,
  [SMALL_STATE(13296)] = 658688,
  [SMALL_STATE(13297)] = 658720,
  [SMALL_STATE(13298)] = 658752,
  [SMALL_STATE(13299)] = 658784,
  [SMALL_STATE(13300)] = 658816,
  [SMALL_STATE(13301)] = 658848,
  [SMALL_STATE(13302)] = 658880,
  [SMALL_STATE(13303)] = 658904,
  [SMALL_STATE(13304)] = 658936,
  [SMALL_STATE(13305)] = 658968,
  [SMALL_STATE(13306)] = 659000,
  [SMALL_STATE(13307)] = 659032,
  [SMALL_STATE(13308)] = 659064,
  [SMALL_STATE(13309)] = 659096,
  [SMALL_STATE(13310)] = 659128,
  [SMALL_STATE(13311)] = 659160,
  [SMALL_STATE(13312)] = 659192,
  [SMALL_STATE(13313)] = 659224,
  [SMALL_STATE(13314)] = 659252,
  [SMALL_STATE(13315)] = 659274,
  [SMALL_STATE(13316)] = 659306,
  [SMALL_STATE(13317)] = 659338,
  [SMALL_STATE(13318)] = 659360,
  [SMALL_STATE(13319)] = 659392,
  [SMALL_STATE(13320)] = 659414,
  [SMALL_STATE(13321)] = 659436,
  [SMALL_STATE(13322)] = 659468,
  [SMALL_STATE(13323)] = 659500,
  [SMALL_STATE(13324)] = 659532,
  [SMALL_STATE(13325)] = 659564,
  [SMALL_STATE(13326)] = 659596,
  [SMALL_STATE(13327)] = 659616,
  [SMALL_STATE(13328)] = 659646,
  [SMALL_STATE(13329)] = 659678,
  [SMALL_STATE(13330)] = 659710,
  [SMALL_STATE(13331)] = 659732,
  [SMALL_STATE(13332)] = 659764,
  [SMALL_STATE(13333)] = 659796,
  [SMALL_STATE(13334)] = 659828,
  [SMALL_STATE(13335)] = 659860,
  [SMALL_STATE(13336)] = 659892,
  [SMALL_STATE(13337)] = 659924,
  [SMALL_STATE(13338)] = 659956,
  [SMALL_STATE(13339)] = 659988,
  [SMALL_STATE(13340)] = 660020,
  [SMALL_STATE(13341)] = 660042,
  [SMALL_STATE(13342)] = 660064,
  [SMALL_STATE(13343)] = 660088,
  [SMALL_STATE(13344)] = 660110,
  [SMALL_STATE(13345)] = 660132,
  [SMALL_STATE(13346)] = 660164,
  [SMALL_STATE(13347)] = 660196,
  [SMALL_STATE(13348)] = 660228,
  [SMALL_STATE(13349)] = 660260,
  [SMALL_STATE(13350)] = 660282,
  [SMALL_STATE(13351)] = 660304,
  [SMALL_STATE(13352)] = 660326,
  [SMALL_STATE(13353)] = 660358,
  [SMALL_STATE(13354)] = 660390,
  [SMALL_STATE(13355)] = 660422,
  [SMALL_STATE(13356)] = 660454,
  [SMALL_STATE(13357)] = 660486,
  [SMALL_STATE(13358)] = 660508,
  [SMALL_STATE(13359)] = 660538,
  [SMALL_STATE(13360)] = 660560,
  [SMALL_STATE(13361)] = 660582,
  [SMALL_STATE(13362)] = 660606,
  [SMALL_STATE(13363)] = 660630,
  [SMALL_STATE(13364)] = 660662,
  [SMALL_STATE(13365)] = 660694,
  [SMALL_STATE(13366)] = 660726,
  [SMALL_STATE(13367)] = 660758,
  [SMALL_STATE(13368)] = 660782,
  [SMALL_STATE(13369)] = 660814,
  [SMALL_STATE(13370)] = 660846,
  [SMALL_STATE(13371)] = 660878,
  [SMALL_STATE(13372)] = 660900,
  [SMALL_STATE(13373)] = 660930,
  [SMALL_STATE(13374)] = 660962,
  [SMALL_STATE(13375)] = 660994,
  [SMALL_STATE(13376)] = 661026,
  [SMALL_STATE(13377)] = 661058,
  [SMALL_STATE(13378)] = 661090,
  [SMALL_STATE(13379)] = 661120,
  [SMALL_STATE(13380)] = 661144,
  [SMALL_STATE(13381)] = 661166,
  [SMALL_STATE(13382)] = 661188,
  [SMALL_STATE(13383)] = 661220,
  [SMALL_STATE(13384)] = 661252,
  [SMALL_STATE(13385)] = 661274,
  [SMALL_STATE(13386)] = 661306,
  [SMALL_STATE(13387)] = 661338,
  [SMALL_STATE(13388)] = 661370,
  [SMALL_STATE(13389)] = 661402,
  [SMALL_STATE(13390)] = 661434,
  [SMALL_STATE(13391)] = 661466,
  [SMALL_STATE(13392)] = 661498,
  [SMALL_STATE(13393)] = 661530,
  [SMALL_STATE(13394)] = 661552,
  [SMALL_STATE(13395)] = 661584,
  [SMALL_STATE(13396)] = 661606,
  [SMALL_STATE(13397)] = 661628,
  [SMALL_STATE(13398)] = 661660,
  [SMALL_STATE(13399)] = 661682,
  [SMALL_STATE(13400)] = 661714,
  [SMALL_STATE(13401)] = 661746,
  [SMALL_STATE(13402)] = 661778,
  [SMALL_STATE(13403)] = 661798,
  [SMALL_STATE(13404)] = 661830,
  [SMALL_STATE(13405)] = 661862,
  [SMALL_STATE(13406)] = 661894,
  [SMALL_STATE(13407)] = 661914,
  [SMALL_STATE(13408)] = 661946,
  [SMALL_STATE(13409)] = 661978,
  [SMALL_STATE(13410)] = 662000,
  [SMALL_STATE(13411)] = 662032,
  [SMALL_STATE(13412)] = 662064,
  [SMALL_STATE(13413)] = 662088,
  [SMALL_STATE(13414)] = 662120,
  [SMALL_STATE(13415)] = 662152,
  [SMALL_STATE(13416)] = 662184,
  [SMALL_STATE(13417)] = 662216,
  [SMALL_STATE(13418)] = 662248,
  [SMALL_STATE(13419)] = 662280,
  [SMALL_STATE(13420)] = 662312,
  [SMALL_STATE(13421)] = 662344,
  [SMALL_STATE(13422)] = 662376,
  [SMALL_STATE(13423)] = 662396,
  [SMALL_STATE(13424)] = 662428,
  [SMALL_STATE(13425)] = 662452,
  [SMALL_STATE(13426)] = 662484,
  [SMALL_STATE(13427)] = 662516,
  [SMALL_STATE(13428)] = 662548,
  [SMALL_STATE(13429)] = 662580,
  [SMALL_STATE(13430)] = 662612,
  [SMALL_STATE(13431)] = 662644,
  [SMALL_STATE(13432)] = 662666,
  [SMALL_STATE(13433)] = 662698,
  [SMALL_STATE(13434)] = 662730,
  [SMALL_STATE(13435)] = 662762,
  [SMALL_STATE(13436)] = 662794,
  [SMALL_STATE(13437)] = 662816,
  [SMALL_STATE(13438)] = 662848,
  [SMALL_STATE(13439)] = 662880,
  [SMALL_STATE(13440)] = 662912,
  [SMALL_STATE(13441)] = 662944,
  [SMALL_STATE(13442)] = 662976,
  [SMALL_STATE(13443)] = 663008,
  [SMALL_STATE(13444)] = 663030,
  [SMALL_STATE(13445)] = 663062,
  [SMALL_STATE(13446)] = 663084,
  [SMALL_STATE(13447)] = 663106,
  [SMALL_STATE(13448)] = 663138,
  [SMALL_STATE(13449)] = 663170,
  [SMALL_STATE(13450)] = 663192,
  [SMALL_STATE(13451)] = 663224,
  [SMALL_STATE(13452)] = 663256,
  [SMALL_STATE(13453)] = 663288,
  [SMALL_STATE(13454)] = 663320,
  [SMALL_STATE(13455)] = 663352,
  [SMALL_STATE(13456)] = 663384,
  [SMALL_STATE(13457)] = 663416,
  [SMALL_STATE(13458)] = 663448,
  [SMALL_STATE(13459)] = 663480,
  [SMALL_STATE(13460)] = 663512,
  [SMALL_STATE(13461)] = 663544,
  [SMALL_STATE(13462)] = 663576,
  [SMALL_STATE(13463)] = 663608,
  [SMALL_STATE(13464)] = 663640,
  [SMALL_STATE(13465)] = 663672,
  [SMALL_STATE(13466)] = 663704,
  [SMALL_STATE(13467)] = 663736,
  [SMALL_STATE(13468)] = 663768,
  [SMALL_STATE(13469)] = 663800,
  [SMALL_STATE(13470)] = 663822,
  [SMALL_STATE(13471)] = 663854,
  [SMALL_STATE(13472)] = 663886,
  [SMALL_STATE(13473)] = 663916,
  [SMALL_STATE(13474)] = 663948,
  [SMALL_STATE(13475)] = 663980,
  [SMALL_STATE(13476)] = 664004,
  [SMALL_STATE(13477)] = 664036,
  [SMALL_STATE(13478)] = 664064,
  [SMALL_STATE(13479)] = 664096,
  [SMALL_STATE(13480)] = 664128,
  [SMALL_STATE(13481)] = 664150,
  [SMALL_STATE(13482)] = 664172,
  [SMALL_STATE(13483)] = 664204,
  [SMALL_STATE(13484)] = 664236,
  [SMALL_STATE(13485)] = 664268,
  [SMALL_STATE(13486)] = 664300,
  [SMALL_STATE(13487)] = 664332,
  [SMALL_STATE(13488)] = 664364,
  [SMALL_STATE(13489)] = 664396,
  [SMALL_STATE(13490)] = 664428,
  [SMALL_STATE(13491)] = 664460,
  [SMALL_STATE(13492)] = 664492,
  [SMALL_STATE(13493)] = 664524,
  [SMALL_STATE(13494)] = 664556,
  [SMALL_STATE(13495)] = 664588,
  [SMALL_STATE(13496)] = 664620,
  [SMALL_STATE(13497)] = 664652,
  [SMALL_STATE(13498)] = 664684,
  [SMALL_STATE(13499)] = 664716,
  [SMALL_STATE(13500)] = 664748,
  [SMALL_STATE(13501)] = 664780,
  [SMALL_STATE(13502)] = 664804,
  [SMALL_STATE(13503)] = 664836,
  [SMALL_STATE(13504)] = 664868,
  [SMALL_STATE(13505)] = 664898,
  [SMALL_STATE(13506)] = 664930,
  [SMALL_STATE(13507)] = 664962,
  [SMALL_STATE(13508)] = 664994,
  [SMALL_STATE(13509)] = 665026,
  [SMALL_STATE(13510)] = 665058,
  [SMALL_STATE(13511)] = 665090,
  [SMALL_STATE(13512)] = 665112,
  [SMALL_STATE(13513)] = 665136,
  [SMALL_STATE(13514)] = 665168,
  [SMALL_STATE(13515)] = 665196,
  [SMALL_STATE(13516)] = 665228,
  [SMALL_STATE(13517)] = 665250,
  [SMALL_STATE(13518)] = 665272,
  [SMALL_STATE(13519)] = 665294,
  [SMALL_STATE(13520)] = 665326,
  [SMALL_STATE(13521)] = 665348,
  [SMALL_STATE(13522)] = 665370,
  [SMALL_STATE(13523)] = 665400,
  [SMALL_STATE(13524)] = 665422,
  [SMALL_STATE(13525)] = 665452,
  [SMALL_STATE(13526)] = 665484,
  [SMALL_STATE(13527)] = 665508,
  [SMALL_STATE(13528)] = 665530,
  [SMALL_STATE(13529)] = 665560,
  [SMALL_STATE(13530)] = 665592,
  [SMALL_STATE(13531)] = 665622,
  [SMALL_STATE(13532)] = 665644,
  [SMALL_STATE(13533)] = 665676,
  [SMALL_STATE(13534)] = 665708,
  [SMALL_STATE(13535)] = 665738,
  [SMALL_STATE(13536)] = 665768,
  [SMALL_STATE(13537)] = 665798,
  [SMALL_STATE(13538)] = 665830,
  [SMALL_STATE(13539)] = 665862,
  [SMALL_STATE(13540)] = 665892,
  [SMALL_STATE(13541)] = 665914,
  [SMALL_STATE(13542)] = 665934,
  [SMALL_STATE(13543)] = 665964,
  [SMALL_STATE(13544)] = 665994,
  [SMALL_STATE(13545)] = 666016,
  [SMALL_STATE(13546)] = 666048,
  [SMALL_STATE(13547)] = 666072,
  [SMALL_STATE(13548)] = 666102,
  [SMALL_STATE(13549)] = 666134,
  [SMALL_STATE(13550)] = 666154,
  [SMALL_STATE(13551)] = 666184,
  [SMALL_STATE(13552)] = 666204,
  [SMALL_STATE(13553)] = 666236,
  [SMALL_STATE(13554)] = 666268,
  [SMALL_STATE(13555)] = 666288,
  [SMALL_STATE(13556)] = 666320,
  [SMALL_STATE(13557)] = 666352,
  [SMALL_STATE(13558)] = 666374,
  [SMALL_STATE(13559)] = 666404,
  [SMALL_STATE(13560)] = 666434,
  [SMALL_STATE(13561)] = 666466,
  [SMALL_STATE(13562)] = 666496,
  [SMALL_STATE(13563)] = 666528,
  [SMALL_STATE(13564)] = 666558,
  [SMALL_STATE(13565)] = 666590,
  [SMALL_STATE(13566)] = 666610,
  [SMALL_STATE(13567)] = 666642,
  [SMALL_STATE(13568)] = 666674,
  [SMALL_STATE(13569)] = 666706,
  [SMALL_STATE(13570)] = 666738,
  [SMALL_STATE(13571)] = 666768,
  [SMALL_STATE(13572)] = 666790,
  [SMALL_STATE(13573)] = 666818,
  [SMALL_STATE(13574)] = 666838,
  [SMALL_STATE(13575)] = 666870,
  [SMALL_STATE(13576)] = 666894,
  [SMALL_STATE(13577)] = 666926,
  [SMALL_STATE(13578)] = 666958,
  [SMALL_STATE(13579)] = 666990,
  [SMALL_STATE(13580)] = 667022,
  [SMALL_STATE(13581)] = 667054,
  [SMALL_STATE(13582)] = 667086,
  [SMALL_STATE(13583)] = 667116,
  [SMALL_STATE(13584)] = 667148,
  [SMALL_STATE(13585)] = 667180,
  [SMALL_STATE(13586)] = 667212,
  [SMALL_STATE(13587)] = 667244,
  [SMALL_STATE(13588)] = 667276,
  [SMALL_STATE(13589)] = 667308,
  [SMALL_STATE(13590)] = 667340,
  [SMALL_STATE(13591)] = 667372,
  [SMALL_STATE(13592)] = 667404,
  [SMALL_STATE(13593)] = 667434,
  [SMALL_STATE(13594)] = 667466,
  [SMALL_STATE(13595)] = 667498,
  [SMALL_STATE(13596)] = 667530,
  [SMALL_STATE(13597)] = 667562,
  [SMALL_STATE(13598)] = 667594,
  [SMALL_STATE(13599)] = 667624,
  [SMALL_STATE(13600)] = 667656,
  [SMALL_STATE(13601)] = 667683,
  [SMALL_STATE(13602)] = 667712,
  [SMALL_STATE(13603)] = 667741,
  [SMALL_STATE(13604)] = 667770,
  [SMALL_STATE(13605)] = 667799,
  [SMALL_STATE(13606)] = 667828,
  [SMALL_STATE(13607)] = 667857,
  [SMALL_STATE(13608)] = 667878,
  [SMALL_STATE(13609)] = 667907,
  [SMALL_STATE(13610)] = 667934,
  [SMALL_STATE(13611)] = 667961,
  [SMALL_STATE(13612)] = 667990,
  [SMALL_STATE(13613)] = 668019,
  [SMALL_STATE(13614)] = 668048,
  [SMALL_STATE(13615)] = 668077,
  [SMALL_STATE(13616)] = 668106,
  [SMALL_STATE(13617)] = 668135,
  [SMALL_STATE(13618)] = 668164,
  [SMALL_STATE(13619)] = 668193,
  [SMALL_STATE(13620)] = 668214,
  [SMALL_STATE(13621)] = 668243,
  [SMALL_STATE(13622)] = 668272,
  [SMALL_STATE(13623)] = 668301,
  [SMALL_STATE(13624)] = 668330,
  [SMALL_STATE(13625)] = 668359,
  [SMALL_STATE(13626)] = 668386,
  [SMALL_STATE(13627)] = 668413,
  [SMALL_STATE(13628)] = 668442,
  [SMALL_STATE(13629)] = 668471,
  [SMALL_STATE(13630)] = 668500,
  [SMALL_STATE(13631)] = 668529,
  [SMALL_STATE(13632)] = 668558,
  [SMALL_STATE(13633)] = 668587,
  [SMALL_STATE(13634)] = 668608,
  [SMALL_STATE(13635)] = 668637,
  [SMALL_STATE(13636)] = 668666,
  [SMALL_STATE(13637)] = 668695,
  [SMALL_STATE(13638)] = 668722,
  [SMALL_STATE(13639)] = 668751,
  [SMALL_STATE(13640)] = 668780,
  [SMALL_STATE(13641)] = 668809,
  [SMALL_STATE(13642)] = 668830,
  [SMALL_STATE(13643)] = 668859,
  [SMALL_STATE(13644)] = 668888,
  [SMALL_STATE(13645)] = 668917,
  [SMALL_STATE(13646)] = 668946,
  [SMALL_STATE(13647)] = 668973,
  [SMALL_STATE(13648)] = 669002,
  [SMALL_STATE(13649)] = 669031,
  [SMALL_STATE(13650)] = 669060,
  [SMALL_STATE(13651)] = 669089,
  [SMALL_STATE(13652)] = 669118,
  [SMALL_STATE(13653)] = 669147,
  [SMALL_STATE(13654)] = 669176,
  [SMALL_STATE(13655)] = 669205,
  [SMALL_STATE(13656)] = 669232,
  [SMALL_STATE(13657)] = 669259,
  [SMALL_STATE(13658)] = 669288,
  [SMALL_STATE(13659)] = 669317,
  [SMALL_STATE(13660)] = 669346,
  [SMALL_STATE(13661)] = 669375,
  [SMALL_STATE(13662)] = 669404,
  [SMALL_STATE(13663)] = 669433,
  [SMALL_STATE(13664)] = 669462,
  [SMALL_STATE(13665)] = 669491,
  [SMALL_STATE(13666)] = 669520,
  [SMALL_STATE(13667)] = 669541,
  [SMALL_STATE(13668)] = 669562,
  [SMALL_STATE(13669)] = 669583,
  [SMALL_STATE(13670)] = 669604,
  [SMALL_STATE(13671)] = 669625,
  [SMALL_STATE(13672)] = 669654,
  [SMALL_STATE(13673)] = 669675,
  [SMALL_STATE(13674)] = 669696,
  [SMALL_STATE(13675)] = 669725,
  [SMALL_STATE(13676)] = 669752,
  [SMALL_STATE(13677)] = 669781,
  [SMALL_STATE(13678)] = 669810,
  [SMALL_STATE(13679)] = 669839,
  [SMALL_STATE(13680)] = 669868,
  [SMALL_STATE(13681)] = 669897,
  [SMALL_STATE(13682)] = 669926,
  [SMALL_STATE(13683)] = 669955,
  [SMALL_STATE(13684)] = 669978,
  [SMALL_STATE(13685)] = 670007,
  [SMALL_STATE(13686)] = 670030,
  [SMALL_STATE(13687)] = 670051,
  [SMALL_STATE(13688)] = 670080,
  [SMALL_STATE(13689)] = 670101,
  [SMALL_STATE(13690)] = 670130,
  [SMALL_STATE(13691)] = 670159,
  [SMALL_STATE(13692)] = 670188,
  [SMALL_STATE(13693)] = 670217,
  [SMALL_STATE(13694)] = 670246,
  [SMALL_STATE(13695)] = 670273,
  [SMALL_STATE(13696)] = 670302,
  [SMALL_STATE(13697)] = 670331,
  [SMALL_STATE(13698)] = 670360,
  [SMALL_STATE(13699)] = 670389,
  [SMALL_STATE(13700)] = 670410,
  [SMALL_STATE(13701)] = 670439,
  [SMALL_STATE(13702)] = 670460,
  [SMALL_STATE(13703)] = 670489,
  [SMALL_STATE(13704)] = 670510,
  [SMALL_STATE(13705)] = 670539,
  [SMALL_STATE(13706)] = 670568,
  [SMALL_STATE(13707)] = 670597,
  [SMALL_STATE(13708)] = 670624,
  [SMALL_STATE(13709)] = 670653,
  [SMALL_STATE(13710)] = 670682,
  [SMALL_STATE(13711)] = 670711,
  [SMALL_STATE(13712)] = 670740,
  [SMALL_STATE(13713)] = 670769,
  [SMALL_STATE(13714)] = 670798,
  [SMALL_STATE(13715)] = 670827,
  [SMALL_STATE(13716)] = 670856,
  [SMALL_STATE(13717)] = 670877,
  [SMALL_STATE(13718)] = 670898,
  [SMALL_STATE(13719)] = 670927,
  [SMALL_STATE(13720)] = 670948,
  [SMALL_STATE(13721)] = 670977,
  [SMALL_STATE(13722)] = 670998,
  [SMALL_STATE(13723)] = 671019,
  [SMALL_STATE(13724)] = 671044,
  [SMALL_STATE(13725)] = 671073,
  [SMALL_STATE(13726)] = 671094,
  [SMALL_STATE(13727)] = 671123,
  [SMALL_STATE(13728)] = 671152,
  [SMALL_STATE(13729)] = 671173,
  [SMALL_STATE(13730)] = 671202,
  [SMALL_STATE(13731)] = 671229,
  [SMALL_STATE(13732)] = 671258,
  [SMALL_STATE(13733)] = 671287,
  [SMALL_STATE(13734)] = 671316,
  [SMALL_STATE(13735)] = 671345,
  [SMALL_STATE(13736)] = 671374,
  [SMALL_STATE(13737)] = 671403,
  [SMALL_STATE(13738)] = 671432,
  [SMALL_STATE(13739)] = 671461,
  [SMALL_STATE(13740)] = 671490,
  [SMALL_STATE(13741)] = 671519,
  [SMALL_STATE(13742)] = 671548,
  [SMALL_STATE(13743)] = 671577,
  [SMALL_STATE(13744)] = 671606,
  [SMALL_STATE(13745)] = 671633,
  [SMALL_STATE(13746)] = 671660,
  [SMALL_STATE(13747)] = 671683,
  [SMALL_STATE(13748)] = 671708,
  [SMALL_STATE(13749)] = 671737,
  [SMALL_STATE(13750)] = 671760,
  [SMALL_STATE(13751)] = 671787,
  [SMALL_STATE(13752)] = 671814,
  [SMALL_STATE(13753)] = 671843,
  [SMALL_STATE(13754)] = 671872,
  [SMALL_STATE(13755)] = 671893,
  [SMALL_STATE(13756)] = 671916,
  [SMALL_STATE(13757)] = 671945,
  [SMALL_STATE(13758)] = 671970,
  [SMALL_STATE(13759)] = 671991,
  [SMALL_STATE(13760)] = 672014,
  [SMALL_STATE(13761)] = 672043,
  [SMALL_STATE(13762)] = 672064,
  [SMALL_STATE(13763)] = 672085,
  [SMALL_STATE(13764)] = 672114,
  [SMALL_STATE(13765)] = 672143,
  [SMALL_STATE(13766)] = 672164,
  [SMALL_STATE(13767)] = 672193,
  [SMALL_STATE(13768)] = 672222,
  [SMALL_STATE(13769)] = 672251,
  [SMALL_STATE(13770)] = 672272,
  [SMALL_STATE(13771)] = 672301,
  [SMALL_STATE(13772)] = 672330,
  [SMALL_STATE(13773)] = 672359,
  [SMALL_STATE(13774)] = 672388,
  [SMALL_STATE(13775)] = 672417,
  [SMALL_STATE(13776)] = 672446,
  [SMALL_STATE(13777)] = 672475,
  [SMALL_STATE(13778)] = 672496,
  [SMALL_STATE(13779)] = 672525,
  [SMALL_STATE(13780)] = 672554,
  [SMALL_STATE(13781)] = 672575,
  [SMALL_STATE(13782)] = 672596,
  [SMALL_STATE(13783)] = 672617,
  [SMALL_STATE(13784)] = 672646,
  [SMALL_STATE(13785)] = 672675,
  [SMALL_STATE(13786)] = 672704,
  [SMALL_STATE(13787)] = 672733,
  [SMALL_STATE(13788)] = 672762,
  [SMALL_STATE(13789)] = 672791,
  [SMALL_STATE(13790)] = 672820,
  [SMALL_STATE(13791)] = 672849,
  [SMALL_STATE(13792)] = 672878,
  [SMALL_STATE(13793)] = 672907,
  [SMALL_STATE(13794)] = 672936,
  [SMALL_STATE(13795)] = 672965,
  [SMALL_STATE(13796)] = 672992,
  [SMALL_STATE(13797)] = 673021,
  [SMALL_STATE(13798)] = 673042,
  [SMALL_STATE(13799)] = 673071,
  [SMALL_STATE(13800)] = 673092,
  [SMALL_STATE(13801)] = 673121,
  [SMALL_STATE(13802)] = 673150,
  [SMALL_STATE(13803)] = 673171,
  [SMALL_STATE(13804)] = 673192,
  [SMALL_STATE(13805)] = 673221,
  [SMALL_STATE(13806)] = 673250,
  [SMALL_STATE(13807)] = 673271,
  [SMALL_STATE(13808)] = 673298,
  [SMALL_STATE(13809)] = 673319,
  [SMALL_STATE(13810)] = 673346,
  [SMALL_STATE(13811)] = 673373,
  [SMALL_STATE(13812)] = 673402,
  [SMALL_STATE(13813)] = 673429,
  [SMALL_STATE(13814)] = 673450,
  [SMALL_STATE(13815)] = 673479,
  [SMALL_STATE(13816)] = 673508,
  [SMALL_STATE(13817)] = 673529,
  [SMALL_STATE(13818)] = 673558,
  [SMALL_STATE(13819)] = 673587,
  [SMALL_STATE(13820)] = 673610,
  [SMALL_STATE(13821)] = 673639,
  [SMALL_STATE(13822)] = 673664,
  [SMALL_STATE(13823)] = 673685,
  [SMALL_STATE(13824)] = 673708,
  [SMALL_STATE(13825)] = 673737,
  [SMALL_STATE(13826)] = 673766,
  [SMALL_STATE(13827)] = 673795,
  [SMALL_STATE(13828)] = 673824,
  [SMALL_STATE(13829)] = 673845,
  [SMALL_STATE(13830)] = 673866,
  [SMALL_STATE(13831)] = 673887,
  [SMALL_STATE(13832)] = 673916,
  [SMALL_STATE(13833)] = 673937,
  [SMALL_STATE(13834)] = 673958,
  [SMALL_STATE(13835)] = 673987,
  [SMALL_STATE(13836)] = 674016,
  [SMALL_STATE(13837)] = 674045,
  [SMALL_STATE(13838)] = 674066,
  [SMALL_STATE(13839)] = 674095,
  [SMALL_STATE(13840)] = 674122,
  [SMALL_STATE(13841)] = 674143,
  [SMALL_STATE(13842)] = 674172,
  [SMALL_STATE(13843)] = 674201,
  [SMALL_STATE(13844)] = 674230,
  [SMALL_STATE(13845)] = 674259,
  [SMALL_STATE(13846)] = 674288,
  [SMALL_STATE(13847)] = 674309,
  [SMALL_STATE(13848)] = 674338,
  [SMALL_STATE(13849)] = 674367,
  [SMALL_STATE(13850)] = 674388,
  [SMALL_STATE(13851)] = 674417,
  [SMALL_STATE(13852)] = 674446,
  [SMALL_STATE(13853)] = 674475,
  [SMALL_STATE(13854)] = 674504,
  [SMALL_STATE(13855)] = 674533,
  [SMALL_STATE(13856)] = 674562,
  [SMALL_STATE(13857)] = 674583,
  [SMALL_STATE(13858)] = 674612,
  [SMALL_STATE(13859)] = 674641,
  [SMALL_STATE(13860)] = 674664,
  [SMALL_STATE(13861)] = 674693,
  [SMALL_STATE(13862)] = 674722,
  [SMALL_STATE(13863)] = 674751,
  [SMALL_STATE(13864)] = 674780,
  [SMALL_STATE(13865)] = 674809,
  [SMALL_STATE(13866)] = 674838,
  [SMALL_STATE(13867)] = 674859,
  [SMALL_STATE(13868)] = 674880,
  [SMALL_STATE(13869)] = 674901,
  [SMALL_STATE(13870)] = 674928,
  [SMALL_STATE(13871)] = 674955,
  [SMALL_STATE(13872)] = 674984,
  [SMALL_STATE(13873)] = 675005,
  [SMALL_STATE(13874)] = 675034,
  [SMALL_STATE(13875)] = 675055,
  [SMALL_STATE(13876)] = 675084,
  [SMALL_STATE(13877)] = 675105,
  [SMALL_STATE(13878)] = 675126,
  [SMALL_STATE(13879)] = 675147,
  [SMALL_STATE(13880)] = 675168,
  [SMALL_STATE(13881)] = 675189,
  [SMALL_STATE(13882)] = 675210,
  [SMALL_STATE(13883)] = 675231,
  [SMALL_STATE(13884)] = 675260,
  [SMALL_STATE(13885)] = 675289,
  [SMALL_STATE(13886)] = 675318,
  [SMALL_STATE(13887)] = 675347,
  [SMALL_STATE(13888)] = 675376,
  [SMALL_STATE(13889)] = 675405,
  [SMALL_STATE(13890)] = 675434,
  [SMALL_STATE(13891)] = 675463,
  [SMALL_STATE(13892)] = 675484,
  [SMALL_STATE(13893)] = 675513,
  [SMALL_STATE(13894)] = 675542,
  [SMALL_STATE(13895)] = 675571,
  [SMALL_STATE(13896)] = 675600,
  [SMALL_STATE(13897)] = 675621,
  [SMALL_STATE(13898)] = 675650,
  [SMALL_STATE(13899)] = 675679,
  [SMALL_STATE(13900)] = 675708,
  [SMALL_STATE(13901)] = 675737,
  [SMALL_STATE(13902)] = 675766,
  [SMALL_STATE(13903)] = 675795,
  [SMALL_STATE(13904)] = 675824,
  [SMALL_STATE(13905)] = 675853,
  [SMALL_STATE(13906)] = 675874,
  [SMALL_STATE(13907)] = 675903,
  [SMALL_STATE(13908)] = 675932,
  [SMALL_STATE(13909)] = 675961,
  [SMALL_STATE(13910)] = 675990,
  [SMALL_STATE(13911)] = 676019,
  [SMALL_STATE(13912)] = 676046,
  [SMALL_STATE(13913)] = 676075,
  [SMALL_STATE(13914)] = 676102,
  [SMALL_STATE(13915)] = 676131,
  [SMALL_STATE(13916)] = 676160,
  [SMALL_STATE(13917)] = 676189,
  [SMALL_STATE(13918)] = 676218,
  [SMALL_STATE(13919)] = 676247,
  [SMALL_STATE(13920)] = 676276,
  [SMALL_STATE(13921)] = 676305,
  [SMALL_STATE(13922)] = 676334,
  [SMALL_STATE(13923)] = 676355,
  [SMALL_STATE(13924)] = 676376,
  [SMALL_STATE(13925)] = 676397,
  [SMALL_STATE(13926)] = 676426,
  [SMALL_STATE(13927)] = 676455,
  [SMALL_STATE(13928)] = 676479,
  [SMALL_STATE(13929)] = 676505,
  [SMALL_STATE(13930)] = 676531,
  [SMALL_STATE(13931)] = 676557,
  [SMALL_STATE(13932)] = 676583,
  [SMALL_STATE(13933)] = 676609,
  [SMALL_STATE(13934)] = 676635,
  [SMALL_STATE(13935)] = 676661,
  [SMALL_STATE(13936)] = 676687,
  [SMALL_STATE(13937)] = 676713,
  [SMALL_STATE(13938)] = 676737,
  [SMALL_STATE(13939)] = 676763,
  [SMALL_STATE(13940)] = 676787,
  [SMALL_STATE(13941)] = 676813,
  [SMALL_STATE(13942)] = 676839,
  [SMALL_STATE(13943)] = 676863,
  [SMALL_STATE(13944)] = 676889,
  [SMALL_STATE(13945)] = 676915,
  [SMALL_STATE(13946)] = 676941,
  [SMALL_STATE(13947)] = 676967,
  [SMALL_STATE(13948)] = 676993,
  [SMALL_STATE(13949)] = 677019,
  [SMALL_STATE(13950)] = 677045,
  [SMALL_STATE(13951)] = 677071,
  [SMALL_STATE(13952)] = 677097,
  [SMALL_STATE(13953)] = 677123,
  [SMALL_STATE(13954)] = 677149,
  [SMALL_STATE(13955)] = 677175,
  [SMALL_STATE(13956)] = 677201,
  [SMALL_STATE(13957)] = 677227,
  [SMALL_STATE(13958)] = 677253,
  [SMALL_STATE(13959)] = 677279,
  [SMALL_STATE(13960)] = 677305,
  [SMALL_STATE(13961)] = 677331,
  [SMALL_STATE(13962)] = 677357,
  [SMALL_STATE(13963)] = 677383,
  [SMALL_STATE(13964)] = 677409,
  [SMALL_STATE(13965)] = 677435,
  [SMALL_STATE(13966)] = 677461,
  [SMALL_STATE(13967)] = 677487,
  [SMALL_STATE(13968)] = 677513,
  [SMALL_STATE(13969)] = 677539,
  [SMALL_STATE(13970)] = 677565,
  [SMALL_STATE(13971)] = 677591,
  [SMALL_STATE(13972)] = 677617,
  [SMALL_STATE(13973)] = 677643,
  [SMALL_STATE(13974)] = 677667,
  [SMALL_STATE(13975)] = 677693,
  [SMALL_STATE(13976)] = 677719,
  [SMALL_STATE(13977)] = 677745,
  [SMALL_STATE(13978)] = 677771,
  [SMALL_STATE(13979)] = 677797,
  [SMALL_STATE(13980)] = 677823,
  [SMALL_STATE(13981)] = 677849,
  [SMALL_STATE(13982)] = 677875,
  [SMALL_STATE(13983)] = 677899,
  [SMALL_STATE(13984)] = 677925,
  [SMALL_STATE(13985)] = 677951,
  [SMALL_STATE(13986)] = 677977,
  [SMALL_STATE(13987)] = 678003,
  [SMALL_STATE(13988)] = 678027,
  [SMALL_STATE(13989)] = 678053,
  [SMALL_STATE(13990)] = 678079,
  [SMALL_STATE(13991)] = 678105,
  [SMALL_STATE(13992)] = 678131,
  [SMALL_STATE(13993)] = 678157,
  [SMALL_STATE(13994)] = 678183,
  [SMALL_STATE(13995)] = 678209,
  [SMALL_STATE(13996)] = 678235,
  [SMALL_STATE(13997)] = 678261,
  [SMALL_STATE(13998)] = 678287,
  [SMALL_STATE(13999)] = 678311,
  [SMALL_STATE(14000)] = 678337,
  [SMALL_STATE(14001)] = 678363,
  [SMALL_STATE(14002)] = 678389,
  [SMALL_STATE(14003)] = 678415,
  [SMALL_STATE(14004)] = 678439,
  [SMALL_STATE(14005)] = 678461,
  [SMALL_STATE(14006)] = 678487,
  [SMALL_STATE(14007)] = 678513,
  [SMALL_STATE(14008)] = 678539,
  [SMALL_STATE(14009)] = 678565,
  [SMALL_STATE(14010)] = 678591,
  [SMALL_STATE(14011)] = 678609,
  [SMALL_STATE(14012)] = 678631,
  [SMALL_STATE(14013)] = 678657,
  [SMALL_STATE(14014)] = 678683,
  [SMALL_STATE(14015)] = 678709,
  [SMALL_STATE(14016)] = 678735,
  [SMALL_STATE(14017)] = 678757,
  [SMALL_STATE(14018)] = 678775,
  [SMALL_STATE(14019)] = 678801,
  [SMALL_STATE(14020)] = 678827,
  [SMALL_STATE(14021)] = 678845,
  [SMALL_STATE(14022)] = 678871,
  [SMALL_STATE(14023)] = 678897,
  [SMALL_STATE(14024)] = 678923,
  [SMALL_STATE(14025)] = 678949,
  [SMALL_STATE(14026)] = 678975,
  [SMALL_STATE(14027)] = 678997,
  [SMALL_STATE(14028)] = 679023,
  [SMALL_STATE(14029)] = 679047,
  [SMALL_STATE(14030)] = 679069,
  [SMALL_STATE(14031)] = 679095,
  [SMALL_STATE(14032)] = 679121,
  [SMALL_STATE(14033)] = 679147,
  [SMALL_STATE(14034)] = 679173,
  [SMALL_STATE(14035)] = 679199,
  [SMALL_STATE(14036)] = 679225,
  [SMALL_STATE(14037)] = 679251,
  [SMALL_STATE(14038)] = 679277,
  [SMALL_STATE(14039)] = 679303,
  [SMALL_STATE(14040)] = 679329,
  [SMALL_STATE(14041)] = 679351,
  [SMALL_STATE(14042)] = 679377,
  [SMALL_STATE(14043)] = 679403,
  [SMALL_STATE(14044)] = 679429,
  [SMALL_STATE(14045)] = 679455,
  [SMALL_STATE(14046)] = 679473,
  [SMALL_STATE(14047)] = 679499,
  [SMALL_STATE(14048)] = 679525,
  [SMALL_STATE(14049)] = 679547,
  [SMALL_STATE(14050)] = 679569,
  [SMALL_STATE(14051)] = 679595,
  [SMALL_STATE(14052)] = 679621,
  [SMALL_STATE(14053)] = 679647,
  [SMALL_STATE(14054)] = 679669,
  [SMALL_STATE(14055)] = 679695,
  [SMALL_STATE(14056)] = 679721,
  [SMALL_STATE(14057)] = 679747,
  [SMALL_STATE(14058)] = 679773,
  [SMALL_STATE(14059)] = 679799,
  [SMALL_STATE(14060)] = 679821,
  [SMALL_STATE(14061)] = 679847,
  [SMALL_STATE(14062)] = 679873,
  [SMALL_STATE(14063)] = 679893,
  [SMALL_STATE(14064)] = 679919,
  [SMALL_STATE(14065)] = 679945,
  [SMALL_STATE(14066)] = 679971,
  [SMALL_STATE(14067)] = 679997,
  [SMALL_STATE(14068)] = 680023,
  [SMALL_STATE(14069)] = 680049,
  [SMALL_STATE(14070)] = 680075,
  [SMALL_STATE(14071)] = 680093,
  [SMALL_STATE(14072)] = 680115,
  [SMALL_STATE(14073)] = 680141,
  [SMALL_STATE(14074)] = 680167,
  [SMALL_STATE(14075)] = 680193,
  [SMALL_STATE(14076)] = 680219,
  [SMALL_STATE(14077)] = 680245,
  [SMALL_STATE(14078)] = 680263,
  [SMALL_STATE(14079)] = 680289,
  [SMALL_STATE(14080)] = 680315,
  [SMALL_STATE(14081)] = 680341,
  [SMALL_STATE(14082)] = 680367,
  [SMALL_STATE(14083)] = 680393,
  [SMALL_STATE(14084)] = 680419,
  [SMALL_STATE(14085)] = 680441,
  [SMALL_STATE(14086)] = 680467,
  [SMALL_STATE(14087)] = 680493,
  [SMALL_STATE(14088)] = 680519,
  [SMALL_STATE(14089)] = 680545,
  [SMALL_STATE(14090)] = 680563,
  [SMALL_STATE(14091)] = 680589,
  [SMALL_STATE(14092)] = 680615,
  [SMALL_STATE(14093)] = 680641,
  [SMALL_STATE(14094)] = 680667,
  [SMALL_STATE(14095)] = 680689,
  [SMALL_STATE(14096)] = 680713,
  [SMALL_STATE(14097)] = 680739,
  [SMALL_STATE(14098)] = 680765,
  [SMALL_STATE(14099)] = 680791,
  [SMALL_STATE(14100)] = 680817,
  [SMALL_STATE(14101)] = 680843,
  [SMALL_STATE(14102)] = 680869,
  [SMALL_STATE(14103)] = 680895,
  [SMALL_STATE(14104)] = 680921,
  [SMALL_STATE(14105)] = 680947,
  [SMALL_STATE(14106)] = 680973,
  [SMALL_STATE(14107)] = 680997,
  [SMALL_STATE(14108)] = 681023,
  [SMALL_STATE(14109)] = 681049,
  [SMALL_STATE(14110)] = 681067,
  [SMALL_STATE(14111)] = 681093,
  [SMALL_STATE(14112)] = 681117,
  [SMALL_STATE(14113)] = 681143,
  [SMALL_STATE(14114)] = 681169,
  [SMALL_STATE(14115)] = 681191,
  [SMALL_STATE(14116)] = 681217,
  [SMALL_STATE(14117)] = 681243,
  [SMALL_STATE(14118)] = 681269,
  [SMALL_STATE(14119)] = 681293,
  [SMALL_STATE(14120)] = 681319,
  [SMALL_STATE(14121)] = 681341,
  [SMALL_STATE(14122)] = 681367,
  [SMALL_STATE(14123)] = 681393,
  [SMALL_STATE(14124)] = 681415,
  [SMALL_STATE(14125)] = 681441,
  [SMALL_STATE(14126)] = 681467,
  [SMALL_STATE(14127)] = 681493,
  [SMALL_STATE(14128)] = 681519,
  [SMALL_STATE(14129)] = 681541,
  [SMALL_STATE(14130)] = 681567,
  [SMALL_STATE(14131)] = 681589,
  [SMALL_STATE(14132)] = 681615,
  [SMALL_STATE(14133)] = 681641,
  [SMALL_STATE(14134)] = 681667,
  [SMALL_STATE(14135)] = 681693,
  [SMALL_STATE(14136)] = 681717,
  [SMALL_STATE(14137)] = 681739,
  [SMALL_STATE(14138)] = 681765,
  [SMALL_STATE(14139)] = 681791,
  [SMALL_STATE(14140)] = 681817,
  [SMALL_STATE(14141)] = 681843,
  [SMALL_STATE(14142)] = 681869,
  [SMALL_STATE(14143)] = 681893,
  [SMALL_STATE(14144)] = 681919,
  [SMALL_STATE(14145)] = 681945,
  [SMALL_STATE(14146)] = 681971,
  [SMALL_STATE(14147)] = 681997,
  [SMALL_STATE(14148)] = 682021,
  [SMALL_STATE(14149)] = 682047,
  [SMALL_STATE(14150)] = 682071,
  [SMALL_STATE(14151)] = 682095,
  [SMALL_STATE(14152)] = 682121,
  [SMALL_STATE(14153)] = 682147,
  [SMALL_STATE(14154)] = 682170,
  [SMALL_STATE(14155)] = 682193,
  [SMALL_STATE(14156)] = 682216,
  [SMALL_STATE(14157)] = 682239,
  [SMALL_STATE(14158)] = 682262,
  [SMALL_STATE(14159)] = 682281,
  [SMALL_STATE(14160)] = 682304,
  [SMALL_STATE(14161)] = 682327,
  [SMALL_STATE(14162)] = 682350,
  [SMALL_STATE(14163)] = 682373,
  [SMALL_STATE(14164)] = 682396,
  [SMALL_STATE(14165)] = 682419,
  [SMALL_STATE(14166)] = 682442,
  [SMALL_STATE(14167)] = 682465,
  [SMALL_STATE(14168)] = 682488,
  [SMALL_STATE(14169)] = 682509,
  [SMALL_STATE(14170)] = 682532,
  [SMALL_STATE(14171)] = 682555,
  [SMALL_STATE(14172)] = 682578,
  [SMALL_STATE(14173)] = 682601,
  [SMALL_STATE(14174)] = 682624,
  [SMALL_STATE(14175)] = 682645,
  [SMALL_STATE(14176)] = 682668,
  [SMALL_STATE(14177)] = 682691,
  [SMALL_STATE(14178)] = 682714,
  [SMALL_STATE(14179)] = 682733,
  [SMALL_STATE(14180)] = 682756,
  [SMALL_STATE(14181)] = 682775,
  [SMALL_STATE(14182)] = 682798,
  [SMALL_STATE(14183)] = 682821,
  [SMALL_STATE(14184)] = 682844,
  [SMALL_STATE(14185)] = 682867,
  [SMALL_STATE(14186)] = 682890,
  [SMALL_STATE(14187)] = 682913,
  [SMALL_STATE(14188)] = 682936,
  [SMALL_STATE(14189)] = 682959,
  [SMALL_STATE(14190)] = 682982,
  [SMALL_STATE(14191)] = 683005,
  [SMALL_STATE(14192)] = 683028,
  [SMALL_STATE(14193)] = 683051,
  [SMALL_STATE(14194)] = 683074,
  [SMALL_STATE(14195)] = 683097,
  [SMALL_STATE(14196)] = 683120,
  [SMALL_STATE(14197)] = 683143,
  [SMALL_STATE(14198)] = 683166,
  [SMALL_STATE(14199)] = 683189,
  [SMALL_STATE(14200)] = 683212,
  [SMALL_STATE(14201)] = 683235,
  [SMALL_STATE(14202)] = 683254,
  [SMALL_STATE(14203)] = 683277,
  [SMALL_STATE(14204)] = 683300,
  [SMALL_STATE(14205)] = 683323,
  [SMALL_STATE(14206)] = 683346,
  [SMALL_STATE(14207)] = 683369,
  [SMALL_STATE(14208)] = 683392,
  [SMALL_STATE(14209)] = 683415,
  [SMALL_STATE(14210)] = 683438,
  [SMALL_STATE(14211)] = 683461,
  [SMALL_STATE(14212)] = 683484,
  [SMALL_STATE(14213)] = 683507,
  [SMALL_STATE(14214)] = 683530,
  [SMALL_STATE(14215)] = 683553,
  [SMALL_STATE(14216)] = 683576,
  [SMALL_STATE(14217)] = 683599,
  [SMALL_STATE(14218)] = 683622,
  [SMALL_STATE(14219)] = 683645,
  [SMALL_STATE(14220)] = 683668,
  [SMALL_STATE(14221)] = 683691,
  [SMALL_STATE(14222)] = 683714,
  [SMALL_STATE(14223)] = 683735,
  [SMALL_STATE(14224)] = 683758,
  [SMALL_STATE(14225)] = 683781,
  [SMALL_STATE(14226)] = 683804,
  [SMALL_STATE(14227)] = 683827,
  [SMALL_STATE(14228)] = 683850,
  [SMALL_STATE(14229)] = 683873,
  [SMALL_STATE(14230)] = 683896,
  [SMALL_STATE(14231)] = 683919,
  [SMALL_STATE(14232)] = 683942,
  [SMALL_STATE(14233)] = 683965,
  [SMALL_STATE(14234)] = 683988,
  [SMALL_STATE(14235)] = 684011,
  [SMALL_STATE(14236)] = 684034,
  [SMALL_STATE(14237)] = 684057,
  [SMALL_STATE(14238)] = 684080,
  [SMALL_STATE(14239)] = 684103,
  [SMALL_STATE(14240)] = 684126,
  [SMALL_STATE(14241)] = 684149,
  [SMALL_STATE(14242)] = 684172,
  [SMALL_STATE(14243)] = 684195,
  [SMALL_STATE(14244)] = 684218,
  [SMALL_STATE(14245)] = 684241,
  [SMALL_STATE(14246)] = 684264,
  [SMALL_STATE(14247)] = 684287,
  [SMALL_STATE(14248)] = 684310,
  [SMALL_STATE(14249)] = 684333,
  [SMALL_STATE(14250)] = 684356,
  [SMALL_STATE(14251)] = 684379,
  [SMALL_STATE(14252)] = 684402,
  [SMALL_STATE(14253)] = 684425,
  [SMALL_STATE(14254)] = 684448,
  [SMALL_STATE(14255)] = 684471,
  [SMALL_STATE(14256)] = 684494,
  [SMALL_STATE(14257)] = 684517,
  [SMALL_STATE(14258)] = 684540,
  [SMALL_STATE(14259)] = 684563,
  [SMALL_STATE(14260)] = 684586,
  [SMALL_STATE(14261)] = 684609,
  [SMALL_STATE(14262)] = 684632,
  [SMALL_STATE(14263)] = 684655,
  [SMALL_STATE(14264)] = 684676,
  [SMALL_STATE(14265)] = 684699,
  [SMALL_STATE(14266)] = 684720,
  [SMALL_STATE(14267)] = 684743,
  [SMALL_STATE(14268)] = 684766,
  [SMALL_STATE(14269)] = 684789,
  [SMALL_STATE(14270)] = 684812,
  [SMALL_STATE(14271)] = 684835,
  [SMALL_STATE(14272)] = 684858,
  [SMALL_STATE(14273)] = 684881,
  [SMALL_STATE(14274)] = 684904,
  [SMALL_STATE(14275)] = 684927,
  [SMALL_STATE(14276)] = 684950,
  [SMALL_STATE(14277)] = 684973,
  [SMALL_STATE(14278)] = 684996,
  [SMALL_STATE(14279)] = 685019,
  [SMALL_STATE(14280)] = 685042,
  [SMALL_STATE(14281)] = 685065,
  [SMALL_STATE(14282)] = 685088,
  [SMALL_STATE(14283)] = 685111,
  [SMALL_STATE(14284)] = 685134,
  [SMALL_STATE(14285)] = 685157,
  [SMALL_STATE(14286)] = 685180,
  [SMALL_STATE(14287)] = 685201,
  [SMALL_STATE(14288)] = 685224,
  [SMALL_STATE(14289)] = 685247,
  [SMALL_STATE(14290)] = 685270,
  [SMALL_STATE(14291)] = 685293,
  [SMALL_STATE(14292)] = 685316,
  [SMALL_STATE(14293)] = 685339,
  [SMALL_STATE(14294)] = 685362,
  [SMALL_STATE(14295)] = 685385,
  [SMALL_STATE(14296)] = 685408,
  [SMALL_STATE(14297)] = 685429,
  [SMALL_STATE(14298)] = 685448,
  [SMALL_STATE(14299)] = 685471,
  [SMALL_STATE(14300)] = 685494,
  [SMALL_STATE(14301)] = 685517,
  [SMALL_STATE(14302)] = 685540,
  [SMALL_STATE(14303)] = 685563,
  [SMALL_STATE(14304)] = 685586,
  [SMALL_STATE(14305)] = 685609,
  [SMALL_STATE(14306)] = 685632,
  [SMALL_STATE(14307)] = 685655,
  [SMALL_STATE(14308)] = 685678,
  [SMALL_STATE(14309)] = 685701,
  [SMALL_STATE(14310)] = 685724,
  [SMALL_STATE(14311)] = 685747,
  [SMALL_STATE(14312)] = 685770,
  [SMALL_STATE(14313)] = 685793,
  [SMALL_STATE(14314)] = 685816,
  [SMALL_STATE(14315)] = 685839,
  [SMALL_STATE(14316)] = 685862,
  [SMALL_STATE(14317)] = 685885,
  [SMALL_STATE(14318)] = 685908,
  [SMALL_STATE(14319)] = 685931,
  [SMALL_STATE(14320)] = 685954,
  [SMALL_STATE(14321)] = 685977,
  [SMALL_STATE(14322)] = 685998,
  [SMALL_STATE(14323)] = 686019,
  [SMALL_STATE(14324)] = 686042,
  [SMALL_STATE(14325)] = 686065,
  [SMALL_STATE(14326)] = 686088,
  [SMALL_STATE(14327)] = 686109,
  [SMALL_STATE(14328)] = 686132,
  [SMALL_STATE(14329)] = 686155,
  [SMALL_STATE(14330)] = 686178,
  [SMALL_STATE(14331)] = 686201,
  [SMALL_STATE(14332)] = 686224,
  [SMALL_STATE(14333)] = 686247,
  [SMALL_STATE(14334)] = 686270,
  [SMALL_STATE(14335)] = 686293,
  [SMALL_STATE(14336)] = 686316,
  [SMALL_STATE(14337)] = 686339,
  [SMALL_STATE(14338)] = 686362,
  [SMALL_STATE(14339)] = 686381,
  [SMALL_STATE(14340)] = 686404,
  [SMALL_STATE(14341)] = 686427,
  [SMALL_STATE(14342)] = 686450,
  [SMALL_STATE(14343)] = 686473,
  [SMALL_STATE(14344)] = 686496,
  [SMALL_STATE(14345)] = 686519,
  [SMALL_STATE(14346)] = 686542,
  [SMALL_STATE(14347)] = 686565,
  [SMALL_STATE(14348)] = 686586,
  [SMALL_STATE(14349)] = 686609,
  [SMALL_STATE(14350)] = 686632,
  [SMALL_STATE(14351)] = 686655,
  [SMALL_STATE(14352)] = 686678,
  [SMALL_STATE(14353)] = 686701,
  [SMALL_STATE(14354)] = 686724,
  [SMALL_STATE(14355)] = 686747,
  [SMALL_STATE(14356)] = 686770,
  [SMALL_STATE(14357)] = 686793,
  [SMALL_STATE(14358)] = 686816,
  [SMALL_STATE(14359)] = 686839,
  [SMALL_STATE(14360)] = 686862,
  [SMALL_STATE(14361)] = 686883,
  [SMALL_STATE(14362)] = 686906,
  [SMALL_STATE(14363)] = 686929,
  [SMALL_STATE(14364)] = 686952,
  [SMALL_STATE(14365)] = 686975,
  [SMALL_STATE(14366)] = 686998,
  [SMALL_STATE(14367)] = 687021,
  [SMALL_STATE(14368)] = 687042,
  [SMALL_STATE(14369)] = 687065,
  [SMALL_STATE(14370)] = 687088,
  [SMALL_STATE(14371)] = 687111,
  [SMALL_STATE(14372)] = 687134,
  [SMALL_STATE(14373)] = 687157,
  [SMALL_STATE(14374)] = 687180,
  [SMALL_STATE(14375)] = 687203,
  [SMALL_STATE(14376)] = 687224,
  [SMALL_STATE(14377)] = 687247,
  [SMALL_STATE(14378)] = 687270,
  [SMALL_STATE(14379)] = 687293,
  [SMALL_STATE(14380)] = 687314,
  [SMALL_STATE(14381)] = 687335,
  [SMALL_STATE(14382)] = 687358,
  [SMALL_STATE(14383)] = 687381,
  [SMALL_STATE(14384)] = 687404,
  [SMALL_STATE(14385)] = 687427,
  [SMALL_STATE(14386)] = 687450,
  [SMALL_STATE(14387)] = 687473,
  [SMALL_STATE(14388)] = 687496,
  [SMALL_STATE(14389)] = 687517,
  [SMALL_STATE(14390)] = 687540,
  [SMALL_STATE(14391)] = 687561,
  [SMALL_STATE(14392)] = 687584,
  [SMALL_STATE(14393)] = 687607,
  [SMALL_STATE(14394)] = 687630,
  [SMALL_STATE(14395)] = 687653,
  [SMALL_STATE(14396)] = 687676,
  [SMALL_STATE(14397)] = 687699,
  [SMALL_STATE(14398)] = 687722,
  [SMALL_STATE(14399)] = 687745,
  [SMALL_STATE(14400)] = 687768,
  [SMALL_STATE(14401)] = 687791,
  [SMALL_STATE(14402)] = 687814,
  [SMALL_STATE(14403)] = 687837,
  [SMALL_STATE(14404)] = 687860,
  [SMALL_STATE(14405)] = 687883,
  [SMALL_STATE(14406)] = 687906,
  [SMALL_STATE(14407)] = 687929,
  [SMALL_STATE(14408)] = 687950,
  [SMALL_STATE(14409)] = 687973,
  [SMALL_STATE(14410)] = 687996,
  [SMALL_STATE(14411)] = 688019,
  [SMALL_STATE(14412)] = 688042,
  [SMALL_STATE(14413)] = 688065,
  [SMALL_STATE(14414)] = 688088,
  [SMALL_STATE(14415)] = 688111,
  [SMALL_STATE(14416)] = 688134,
  [SMALL_STATE(14417)] = 688157,
  [SMALL_STATE(14418)] = 688180,
  [SMALL_STATE(14419)] = 688203,
  [SMALL_STATE(14420)] = 688226,
  [SMALL_STATE(14421)] = 688249,
  [SMALL_STATE(14422)] = 688272,
  [SMALL_STATE(14423)] = 688295,
  [SMALL_STATE(14424)] = 688316,
  [SMALL_STATE(14425)] = 688339,
  [SMALL_STATE(14426)] = 688362,
  [SMALL_STATE(14427)] = 688385,
  [SMALL_STATE(14428)] = 688408,
  [SMALL_STATE(14429)] = 688431,
  [SMALL_STATE(14430)] = 688454,
  [SMALL_STATE(14431)] = 688477,
  [SMALL_STATE(14432)] = 688500,
  [SMALL_STATE(14433)] = 688523,
  [SMALL_STATE(14434)] = 688544,
  [SMALL_STATE(14435)] = 688567,
  [SMALL_STATE(14436)] = 688590,
  [SMALL_STATE(14437)] = 688613,
  [SMALL_STATE(14438)] = 688636,
  [SMALL_STATE(14439)] = 688659,
  [SMALL_STATE(14440)] = 688682,
  [SMALL_STATE(14441)] = 688705,
  [SMALL_STATE(14442)] = 688728,
  [SMALL_STATE(14443)] = 688751,
  [SMALL_STATE(14444)] = 688774,
  [SMALL_STATE(14445)] = 688793,
  [SMALL_STATE(14446)] = 688816,
  [SMALL_STATE(14447)] = 688839,
  [SMALL_STATE(14448)] = 688862,
  [SMALL_STATE(14449)] = 688885,
  [SMALL_STATE(14450)] = 688908,
  [SMALL_STATE(14451)] = 688931,
  [SMALL_STATE(14452)] = 688954,
  [SMALL_STATE(14453)] = 688977,
  [SMALL_STATE(14454)] = 689000,
  [SMALL_STATE(14455)] = 689023,
  [SMALL_STATE(14456)] = 689046,
  [SMALL_STATE(14457)] = 689069,
  [SMALL_STATE(14458)] = 689092,
  [SMALL_STATE(14459)] = 689115,
  [SMALL_STATE(14460)] = 689138,
  [SMALL_STATE(14461)] = 689161,
  [SMALL_STATE(14462)] = 689184,
  [SMALL_STATE(14463)] = 689207,
  [SMALL_STATE(14464)] = 689230,
  [SMALL_STATE(14465)] = 689253,
  [SMALL_STATE(14466)] = 689276,
  [SMALL_STATE(14467)] = 689299,
  [SMALL_STATE(14468)] = 689322,
  [SMALL_STATE(14469)] = 689345,
  [SMALL_STATE(14470)] = 689368,
  [SMALL_STATE(14471)] = 689391,
  [SMALL_STATE(14472)] = 689414,
  [SMALL_STATE(14473)] = 689437,
  [SMALL_STATE(14474)] = 689460,
  [SMALL_STATE(14475)] = 689483,
  [SMALL_STATE(14476)] = 689506,
  [SMALL_STATE(14477)] = 689529,
  [SMALL_STATE(14478)] = 689552,
  [SMALL_STATE(14479)] = 689575,
  [SMALL_STATE(14480)] = 689598,
  [SMALL_STATE(14481)] = 689621,
  [SMALL_STATE(14482)] = 689644,
  [SMALL_STATE(14483)] = 689667,
  [SMALL_STATE(14484)] = 689690,
  [SMALL_STATE(14485)] = 689713,
  [SMALL_STATE(14486)] = 689736,
  [SMALL_STATE(14487)] = 689759,
  [SMALL_STATE(14488)] = 689782,
  [SMALL_STATE(14489)] = 689805,
  [SMALL_STATE(14490)] = 689828,
  [SMALL_STATE(14491)] = 689851,
  [SMALL_STATE(14492)] = 689874,
  [SMALL_STATE(14493)] = 689897,
  [SMALL_STATE(14494)] = 689916,
  [SMALL_STATE(14495)] = 689937,
  [SMALL_STATE(14496)] = 689960,
  [SMALL_STATE(14497)] = 689983,
  [SMALL_STATE(14498)] = 690006,
  [SMALL_STATE(14499)] = 690029,
  [SMALL_STATE(14500)] = 690052,
  [SMALL_STATE(14501)] = 690073,
  [SMALL_STATE(14502)] = 690096,
  [SMALL_STATE(14503)] = 690119,
  [SMALL_STATE(14504)] = 690142,
  [SMALL_STATE(14505)] = 690165,
  [SMALL_STATE(14506)] = 690188,
  [SMALL_STATE(14507)] = 690211,
  [SMALL_STATE(14508)] = 690234,
  [SMALL_STATE(14509)] = 690257,
  [SMALL_STATE(14510)] = 690280,
  [SMALL_STATE(14511)] = 690303,
  [SMALL_STATE(14512)] = 690326,
  [SMALL_STATE(14513)] = 690349,
  [SMALL_STATE(14514)] = 690372,
  [SMALL_STATE(14515)] = 690395,
  [SMALL_STATE(14516)] = 690418,
  [SMALL_STATE(14517)] = 690441,
  [SMALL_STATE(14518)] = 690464,
  [SMALL_STATE(14519)] = 690487,
  [SMALL_STATE(14520)] = 690510,
  [SMALL_STATE(14521)] = 690533,
  [SMALL_STATE(14522)] = 690556,
  [SMALL_STATE(14523)] = 690579,
  [SMALL_STATE(14524)] = 690602,
  [SMALL_STATE(14525)] = 690625,
  [SMALL_STATE(14526)] = 690646,
  [SMALL_STATE(14527)] = 690669,
  [SMALL_STATE(14528)] = 690692,
  [SMALL_STATE(14529)] = 690715,
  [SMALL_STATE(14530)] = 690738,
  [SMALL_STATE(14531)] = 690761,
  [SMALL_STATE(14532)] = 690784,
  [SMALL_STATE(14533)] = 690807,
  [SMALL_STATE(14534)] = 690830,
  [SMALL_STATE(14535)] = 690853,
  [SMALL_STATE(14536)] = 690876,
  [SMALL_STATE(14537)] = 690899,
  [SMALL_STATE(14538)] = 690922,
  [SMALL_STATE(14539)] = 690945,
  [SMALL_STATE(14540)] = 690968,
  [SMALL_STATE(14541)] = 690987,
  [SMALL_STATE(14542)] = 691010,
  [SMALL_STATE(14543)] = 691033,
  [SMALL_STATE(14544)] = 691056,
  [SMALL_STATE(14545)] = 691079,
  [SMALL_STATE(14546)] = 691100,
  [SMALL_STATE(14547)] = 691123,
  [SMALL_STATE(14548)] = 691142,
  [SMALL_STATE(14549)] = 691165,
  [SMALL_STATE(14550)] = 691188,
  [SMALL_STATE(14551)] = 691211,
  [SMALL_STATE(14552)] = 691234,
  [SMALL_STATE(14553)] = 691257,
  [SMALL_STATE(14554)] = 691280,
  [SMALL_STATE(14555)] = 691303,
  [SMALL_STATE(14556)] = 691326,
  [SMALL_STATE(14557)] = 691349,
  [SMALL_STATE(14558)] = 691372,
  [SMALL_STATE(14559)] = 691395,
  [SMALL_STATE(14560)] = 691418,
  [SMALL_STATE(14561)] = 691441,
  [SMALL_STATE(14562)] = 691460,
  [SMALL_STATE(14563)] = 691483,
  [SMALL_STATE(14564)] = 691506,
  [SMALL_STATE(14565)] = 691529,
  [SMALL_STATE(14566)] = 691552,
  [SMALL_STATE(14567)] = 691575,
  [SMALL_STATE(14568)] = 691598,
  [SMALL_STATE(14569)] = 691621,
  [SMALL_STATE(14570)] = 691644,
  [SMALL_STATE(14571)] = 691665,
  [SMALL_STATE(14572)] = 691688,
  [SMALL_STATE(14573)] = 691711,
  [SMALL_STATE(14574)] = 691734,
  [SMALL_STATE(14575)] = 691757,
  [SMALL_STATE(14576)] = 691780,
  [SMALL_STATE(14577)] = 691803,
  [SMALL_STATE(14578)] = 691826,
  [SMALL_STATE(14579)] = 691849,
  [SMALL_STATE(14580)] = 691872,
  [SMALL_STATE(14581)] = 691895,
  [SMALL_STATE(14582)] = 691918,
  [SMALL_STATE(14583)] = 691941,
  [SMALL_STATE(14584)] = 691964,
  [SMALL_STATE(14585)] = 691987,
  [SMALL_STATE(14586)] = 692010,
  [SMALL_STATE(14587)] = 692033,
  [SMALL_STATE(14588)] = 692056,
  [SMALL_STATE(14589)] = 692079,
  [SMALL_STATE(14590)] = 692102,
  [SMALL_STATE(14591)] = 692125,
  [SMALL_STATE(14592)] = 692148,
  [SMALL_STATE(14593)] = 692171,
  [SMALL_STATE(14594)] = 692194,
  [SMALL_STATE(14595)] = 692215,
  [SMALL_STATE(14596)] = 692238,
  [SMALL_STATE(14597)] = 692261,
  [SMALL_STATE(14598)] = 692284,
  [SMALL_STATE(14599)] = 692307,
  [SMALL_STATE(14600)] = 692330,
  [SMALL_STATE(14601)] = 692353,
  [SMALL_STATE(14602)] = 692376,
  [SMALL_STATE(14603)] = 692399,
  [SMALL_STATE(14604)] = 692422,
  [SMALL_STATE(14605)] = 692445,
  [SMALL_STATE(14606)] = 692468,
  [SMALL_STATE(14607)] = 692491,
  [SMALL_STATE(14608)] = 692514,
  [SMALL_STATE(14609)] = 692537,
  [SMALL_STATE(14610)] = 692560,
  [SMALL_STATE(14611)] = 692583,
  [SMALL_STATE(14612)] = 692604,
  [SMALL_STATE(14613)] = 692627,
  [SMALL_STATE(14614)] = 692650,
  [SMALL_STATE(14615)] = 692673,
  [SMALL_STATE(14616)] = 692696,
  [SMALL_STATE(14617)] = 692719,
  [SMALL_STATE(14618)] = 692742,
  [SMALL_STATE(14619)] = 692765,
  [SMALL_STATE(14620)] = 692788,
  [SMALL_STATE(14621)] = 692811,
  [SMALL_STATE(14622)] = 692834,
  [SMALL_STATE(14623)] = 692855,
  [SMALL_STATE(14624)] = 692878,
  [SMALL_STATE(14625)] = 692901,
  [SMALL_STATE(14626)] = 692924,
  [SMALL_STATE(14627)] = 692947,
  [SMALL_STATE(14628)] = 692970,
  [SMALL_STATE(14629)] = 692993,
  [SMALL_STATE(14630)] = 693016,
  [SMALL_STATE(14631)] = 693039,
  [SMALL_STATE(14632)] = 693062,
  [SMALL_STATE(14633)] = 693085,
  [SMALL_STATE(14634)] = 693108,
  [SMALL_STATE(14635)] = 693131,
  [SMALL_STATE(14636)] = 693154,
  [SMALL_STATE(14637)] = 693177,
  [SMALL_STATE(14638)] = 693200,
  [SMALL_STATE(14639)] = 693223,
  [SMALL_STATE(14640)] = 693246,
  [SMALL_STATE(14641)] = 693269,
  [SMALL_STATE(14642)] = 693292,
  [SMALL_STATE(14643)] = 693315,
  [SMALL_STATE(14644)] = 693338,
  [SMALL_STATE(14645)] = 693361,
  [SMALL_STATE(14646)] = 693382,
  [SMALL_STATE(14647)] = 693405,
  [SMALL_STATE(14648)] = 693428,
  [SMALL_STATE(14649)] = 693451,
  [SMALL_STATE(14650)] = 693474,
  [SMALL_STATE(14651)] = 693497,
  [SMALL_STATE(14652)] = 693520,
  [SMALL_STATE(14653)] = 693543,
  [SMALL_STATE(14654)] = 693562,
  [SMALL_STATE(14655)] = 693585,
  [SMALL_STATE(14656)] = 693608,
  [SMALL_STATE(14657)] = 693631,
  [SMALL_STATE(14658)] = 693654,
  [SMALL_STATE(14659)] = 693677,
  [SMALL_STATE(14660)] = 693700,
  [SMALL_STATE(14661)] = 693723,
  [SMALL_STATE(14662)] = 693746,
  [SMALL_STATE(14663)] = 693769,
  [SMALL_STATE(14664)] = 693792,
  [SMALL_STATE(14665)] = 693815,
  [SMALL_STATE(14666)] = 693838,
  [SMALL_STATE(14667)] = 693861,
  [SMALL_STATE(14668)] = 693884,
  [SMALL_STATE(14669)] = 693907,
  [SMALL_STATE(14670)] = 693930,
  [SMALL_STATE(14671)] = 693953,
  [SMALL_STATE(14672)] = 693976,
  [SMALL_STATE(14673)] = 693999,
  [SMALL_STATE(14674)] = 694022,
  [SMALL_STATE(14675)] = 694045,
  [SMALL_STATE(14676)] = 694068,
  [SMALL_STATE(14677)] = 694091,
  [SMALL_STATE(14678)] = 694114,
  [SMALL_STATE(14679)] = 694137,
  [SMALL_STATE(14680)] = 694160,
  [SMALL_STATE(14681)] = 694183,
  [SMALL_STATE(14682)] = 694206,
  [SMALL_STATE(14683)] = 694229,
  [SMALL_STATE(14684)] = 694250,
  [SMALL_STATE(14685)] = 694271,
  [SMALL_STATE(14686)] = 694294,
  [SMALL_STATE(14687)] = 694317,
  [SMALL_STATE(14688)] = 694340,
  [SMALL_STATE(14689)] = 694363,
  [SMALL_STATE(14690)] = 694386,
  [SMALL_STATE(14691)] = 694409,
  [SMALL_STATE(14692)] = 694432,
  [SMALL_STATE(14693)] = 694455,
  [SMALL_STATE(14694)] = 694478,
  [SMALL_STATE(14695)] = 694501,
  [SMALL_STATE(14696)] = 694524,
  [SMALL_STATE(14697)] = 694547,
  [SMALL_STATE(14698)] = 694570,
  [SMALL_STATE(14699)] = 694593,
  [SMALL_STATE(14700)] = 694616,
  [SMALL_STATE(14701)] = 694639,
  [SMALL_STATE(14702)] = 694662,
  [SMALL_STATE(14703)] = 694685,
  [SMALL_STATE(14704)] = 694708,
  [SMALL_STATE(14705)] = 694731,
  [SMALL_STATE(14706)] = 694754,
  [SMALL_STATE(14707)] = 694777,
  [SMALL_STATE(14708)] = 694800,
  [SMALL_STATE(14709)] = 694823,
  [SMALL_STATE(14710)] = 694846,
  [SMALL_STATE(14711)] = 694869,
  [SMALL_STATE(14712)] = 694892,
  [SMALL_STATE(14713)] = 694915,
  [SMALL_STATE(14714)] = 694938,
  [SMALL_STATE(14715)] = 694961,
  [SMALL_STATE(14716)] = 694984,
  [SMALL_STATE(14717)] = 695007,
  [SMALL_STATE(14718)] = 695028,
  [SMALL_STATE(14719)] = 695051,
  [SMALL_STATE(14720)] = 695074,
  [SMALL_STATE(14721)] = 695097,
  [SMALL_STATE(14722)] = 695120,
  [SMALL_STATE(14723)] = 695143,
  [SMALL_STATE(14724)] = 695166,
  [SMALL_STATE(14725)] = 695189,
  [SMALL_STATE(14726)] = 695212,
  [SMALL_STATE(14727)] = 695235,
  [SMALL_STATE(14728)] = 695258,
  [SMALL_STATE(14729)] = 695281,
  [SMALL_STATE(14730)] = 695304,
  [SMALL_STATE(14731)] = 695327,
  [SMALL_STATE(14732)] = 695350,
  [SMALL_STATE(14733)] = 695373,
  [SMALL_STATE(14734)] = 695396,
  [SMALL_STATE(14735)] = 695419,
  [SMALL_STATE(14736)] = 695442,
  [SMALL_STATE(14737)] = 695465,
  [SMALL_STATE(14738)] = 695488,
  [SMALL_STATE(14739)] = 695511,
  [SMALL_STATE(14740)] = 695534,
  [SMALL_STATE(14741)] = 695557,
  [SMALL_STATE(14742)] = 695580,
  [SMALL_STATE(14743)] = 695603,
  [SMALL_STATE(14744)] = 695626,
  [SMALL_STATE(14745)] = 695649,
  [SMALL_STATE(14746)] = 695672,
  [SMALL_STATE(14747)] = 695695,
  [SMALL_STATE(14748)] = 695718,
  [SMALL_STATE(14749)] = 695741,
  [SMALL_STATE(14750)] = 695764,
  [SMALL_STATE(14751)] = 695787,
  [SMALL_STATE(14752)] = 695810,
  [SMALL_STATE(14753)] = 695833,
  [SMALL_STATE(14754)] = 695856,
  [SMALL_STATE(14755)] = 695879,
  [SMALL_STATE(14756)] = 695902,
  [SMALL_STATE(14757)] = 695925,
  [SMALL_STATE(14758)] = 695948,
  [SMALL_STATE(14759)] = 695971,
  [SMALL_STATE(14760)] = 695994,
  [SMALL_STATE(14761)] = 696017,
  [SMALL_STATE(14762)] = 696040,
  [SMALL_STATE(14763)] = 696063,
  [SMALL_STATE(14764)] = 696086,
  [SMALL_STATE(14765)] = 696109,
  [SMALL_STATE(14766)] = 696132,
  [SMALL_STATE(14767)] = 696155,
  [SMALL_STATE(14768)] = 696178,
  [SMALL_STATE(14769)] = 696201,
  [SMALL_STATE(14770)] = 696224,
  [SMALL_STATE(14771)] = 696247,
  [SMALL_STATE(14772)] = 696268,
  [SMALL_STATE(14773)] = 696291,
  [SMALL_STATE(14774)] = 696314,
  [SMALL_STATE(14775)] = 696337,
  [SMALL_STATE(14776)] = 696360,
  [SMALL_STATE(14777)] = 696383,
  [SMALL_STATE(14778)] = 696406,
  [SMALL_STATE(14779)] = 696429,
  [SMALL_STATE(14780)] = 696452,
  [SMALL_STATE(14781)] = 696473,
  [SMALL_STATE(14782)] = 696496,
  [SMALL_STATE(14783)] = 696519,
  [SMALL_STATE(14784)] = 696542,
  [SMALL_STATE(14785)] = 696563,
  [SMALL_STATE(14786)] = 696584,
  [SMALL_STATE(14787)] = 696607,
  [SMALL_STATE(14788)] = 696628,
  [SMALL_STATE(14789)] = 696651,
  [SMALL_STATE(14790)] = 696674,
  [SMALL_STATE(14791)] = 696697,
  [SMALL_STATE(14792)] = 696718,
  [SMALL_STATE(14793)] = 696741,
  [SMALL_STATE(14794)] = 696764,
  [SMALL_STATE(14795)] = 696787,
  [SMALL_STATE(14796)] = 696810,
  [SMALL_STATE(14797)] = 696831,
  [SMALL_STATE(14798)] = 696854,
  [SMALL_STATE(14799)] = 696877,
  [SMALL_STATE(14800)] = 696898,
  [SMALL_STATE(14801)] = 696921,
  [SMALL_STATE(14802)] = 696944,
  [SMALL_STATE(14803)] = 696965,
  [SMALL_STATE(14804)] = 696988,
  [SMALL_STATE(14805)] = 697011,
  [SMALL_STATE(14806)] = 697034,
  [SMALL_STATE(14807)] = 697055,
  [SMALL_STATE(14808)] = 697078,
  [SMALL_STATE(14809)] = 697101,
  [SMALL_STATE(14810)] = 697122,
  [SMALL_STATE(14811)] = 697145,
  [SMALL_STATE(14812)] = 697168,
  [SMALL_STATE(14813)] = 697188,
  [SMALL_STATE(14814)] = 697208,
  [SMALL_STATE(14815)] = 697228,
  [SMALL_STATE(14816)] = 697248,
  [SMALL_STATE(14817)] = 697268,
  [SMALL_STATE(14818)] = 697288,
  [SMALL_STATE(14819)] = 697306,
  [SMALL_STATE(14820)] = 697326,
  [SMALL_STATE(14821)] = 697346,
  [SMALL_STATE(14822)] = 697366,
  [SMALL_STATE(14823)] = 697386,
  [SMALL_STATE(14824)] = 697406,
  [SMALL_STATE(14825)] = 697426,
  [SMALL_STATE(14826)] = 697442,
  [SMALL_STATE(14827)] = 697462,
  [SMALL_STATE(14828)] = 697482,
  [SMALL_STATE(14829)] = 697502,
  [SMALL_STATE(14830)] = 697522,
  [SMALL_STATE(14831)] = 697542,
  [SMALL_STATE(14832)] = 697562,
  [SMALL_STATE(14833)] = 697582,
  [SMALL_STATE(14834)] = 697602,
  [SMALL_STATE(14835)] = 697622,
  [SMALL_STATE(14836)] = 697642,
  [SMALL_STATE(14837)] = 697660,
  [SMALL_STATE(14838)] = 697680,
  [SMALL_STATE(14839)] = 697700,
  [SMALL_STATE(14840)] = 697716,
  [SMALL_STATE(14841)] = 697734,
  [SMALL_STATE(14842)] = 697754,
  [SMALL_STATE(14843)] = 697774,
  [SMALL_STATE(14844)] = 697794,
  [SMALL_STATE(14845)] = 697812,
  [SMALL_STATE(14846)] = 697830,
  [SMALL_STATE(14847)] = 697850,
  [SMALL_STATE(14848)] = 697870,
  [SMALL_STATE(14849)] = 697890,
  [SMALL_STATE(14850)] = 697910,
  [SMALL_STATE(14851)] = 697930,
  [SMALL_STATE(14852)] = 697950,
  [SMALL_STATE(14853)] = 697970,
  [SMALL_STATE(14854)] = 697988,
  [SMALL_STATE(14855)] = 698008,
  [SMALL_STATE(14856)] = 698028,
  [SMALL_STATE(14857)] = 698048,
  [SMALL_STATE(14858)] = 698068,
  [SMALL_STATE(14859)] = 698088,
  [SMALL_STATE(14860)] = 698108,
  [SMALL_STATE(14861)] = 698128,
  [SMALL_STATE(14862)] = 698148,
  [SMALL_STATE(14863)] = 698168,
  [SMALL_STATE(14864)] = 698188,
  [SMALL_STATE(14865)] = 698208,
  [SMALL_STATE(14866)] = 698226,
  [SMALL_STATE(14867)] = 698246,
  [SMALL_STATE(14868)] = 698266,
  [SMALL_STATE(14869)] = 698286,
  [SMALL_STATE(14870)] = 698306,
  [SMALL_STATE(14871)] = 698326,
  [SMALL_STATE(14872)] = 698346,
  [SMALL_STATE(14873)] = 698366,
  [SMALL_STATE(14874)] = 698386,
  [SMALL_STATE(14875)] = 698404,
  [SMALL_STATE(14876)] = 698424,
  [SMALL_STATE(14877)] = 698444,
  [SMALL_STATE(14878)] = 698464,
  [SMALL_STATE(14879)] = 698484,
  [SMALL_STATE(14880)] = 698504,
  [SMALL_STATE(14881)] = 698524,
  [SMALL_STATE(14882)] = 698542,
  [SMALL_STATE(14883)] = 698562,
  [SMALL_STATE(14884)] = 698582,
  [SMALL_STATE(14885)] = 698602,
  [SMALL_STATE(14886)] = 698620,
  [SMALL_STATE(14887)] = 698640,
  [SMALL_STATE(14888)] = 698660,
  [SMALL_STATE(14889)] = 698680,
  [SMALL_STATE(14890)] = 698700,
  [SMALL_STATE(14891)] = 698720,
  [SMALL_STATE(14892)] = 698740,
  [SMALL_STATE(14893)] = 698760,
  [SMALL_STATE(14894)] = 698780,
  [SMALL_STATE(14895)] = 698800,
  [SMALL_STATE(14896)] = 698820,
  [SMALL_STATE(14897)] = 698840,
  [SMALL_STATE(14898)] = 698860,
  [SMALL_STATE(14899)] = 698878,
  [SMALL_STATE(14900)] = 698898,
  [SMALL_STATE(14901)] = 698918,
  [SMALL_STATE(14902)] = 698938,
  [SMALL_STATE(14903)] = 698958,
  [SMALL_STATE(14904)] = 698978,
  [SMALL_STATE(14905)] = 698998,
  [SMALL_STATE(14906)] = 699018,
  [SMALL_STATE(14907)] = 699038,
  [SMALL_STATE(14908)] = 699056,
  [SMALL_STATE(14909)] = 699076,
  [SMALL_STATE(14910)] = 699096,
  [SMALL_STATE(14911)] = 699116,
  [SMALL_STATE(14912)] = 699136,
  [SMALL_STATE(14913)] = 699156,
  [SMALL_STATE(14914)] = 699176,
  [SMALL_STATE(14915)] = 699194,
  [SMALL_STATE(14916)] = 699214,
  [SMALL_STATE(14917)] = 699234,
  [SMALL_STATE(14918)] = 699254,
  [SMALL_STATE(14919)] = 699274,
  [SMALL_STATE(14920)] = 699294,
  [SMALL_STATE(14921)] = 699314,
  [SMALL_STATE(14922)] = 699334,
  [SMALL_STATE(14923)] = 699354,
  [SMALL_STATE(14924)] = 699374,
  [SMALL_STATE(14925)] = 699394,
  [SMALL_STATE(14926)] = 699414,
  [SMALL_STATE(14927)] = 699434,
  [SMALL_STATE(14928)] = 699454,
  [SMALL_STATE(14929)] = 699474,
  [SMALL_STATE(14930)] = 699494,
  [SMALL_STATE(14931)] = 699514,
  [SMALL_STATE(14932)] = 699534,
  [SMALL_STATE(14933)] = 699554,
  [SMALL_STATE(14934)] = 699574,
  [SMALL_STATE(14935)] = 699592,
  [SMALL_STATE(14936)] = 699612,
  [SMALL_STATE(14937)] = 699630,
  [SMALL_STATE(14938)] = 699648,
  [SMALL_STATE(14939)] = 699668,
  [SMALL_STATE(14940)] = 699688,
  [SMALL_STATE(14941)] = 699708,
  [SMALL_STATE(14942)] = 699726,
  [SMALL_STATE(14943)] = 699746,
  [SMALL_STATE(14944)] = 699766,
  [SMALL_STATE(14945)] = 699786,
  [SMALL_STATE(14946)] = 699804,
  [SMALL_STATE(14947)] = 699822,
  [SMALL_STATE(14948)] = 699842,
  [SMALL_STATE(14949)] = 699862,
  [SMALL_STATE(14950)] = 699882,
  [SMALL_STATE(14951)] = 699902,
  [SMALL_STATE(14952)] = 699922,
  [SMALL_STATE(14953)] = 699942,
  [SMALL_STATE(14954)] = 699962,
  [SMALL_STATE(14955)] = 699982,
  [SMALL_STATE(14956)] = 700002,
  [SMALL_STATE(14957)] = 700022,
  [SMALL_STATE(14958)] = 700042,
  [SMALL_STATE(14959)] = 700062,
  [SMALL_STATE(14960)] = 700082,
  [SMALL_STATE(14961)] = 700100,
  [SMALL_STATE(14962)] = 700120,
  [SMALL_STATE(14963)] = 700140,
  [SMALL_STATE(14964)] = 700160,
  [SMALL_STATE(14965)] = 700180,
  [SMALL_STATE(14966)] = 700198,
  [SMALL_STATE(14967)] = 700218,
  [SMALL_STATE(14968)] = 700238,
  [SMALL_STATE(14969)] = 700258,
  [SMALL_STATE(14970)] = 700278,
  [SMALL_STATE(14971)] = 700296,
  [SMALL_STATE(14972)] = 700316,
  [SMALL_STATE(14973)] = 700336,
  [SMALL_STATE(14974)] = 700356,
  [SMALL_STATE(14975)] = 700376,
  [SMALL_STATE(14976)] = 700396,
  [SMALL_STATE(14977)] = 700416,
  [SMALL_STATE(14978)] = 700436,
  [SMALL_STATE(14979)] = 700456,
  [SMALL_STATE(14980)] = 700476,
  [SMALL_STATE(14981)] = 700496,
  [SMALL_STATE(14982)] = 700516,
  [SMALL_STATE(14983)] = 700536,
  [SMALL_STATE(14984)] = 700556,
  [SMALL_STATE(14985)] = 700576,
  [SMALL_STATE(14986)] = 700596,
  [SMALL_STATE(14987)] = 700614,
  [SMALL_STATE(14988)] = 700634,
  [SMALL_STATE(14989)] = 700654,
  [SMALL_STATE(14990)] = 700672,
  [SMALL_STATE(14991)] = 700692,
  [SMALL_STATE(14992)] = 700712,
  [SMALL_STATE(14993)] = 700730,
  [SMALL_STATE(14994)] = 700748,
  [SMALL_STATE(14995)] = 700768,
  [SMALL_STATE(14996)] = 700788,
  [SMALL_STATE(14997)] = 700808,
  [SMALL_STATE(14998)] = 700828,
  [SMALL_STATE(14999)] = 700848,
  [SMALL_STATE(15000)] = 700868,
  [SMALL_STATE(15001)] = 700888,
  [SMALL_STATE(15002)] = 700908,
  [SMALL_STATE(15003)] = 700928,
  [SMALL_STATE(15004)] = 700948,
  [SMALL_STATE(15005)] = 700966,
  [SMALL_STATE(15006)] = 700986,
  [SMALL_STATE(15007)] = 701006,
  [SMALL_STATE(15008)] = 701026,
  [SMALL_STATE(15009)] = 701046,
  [SMALL_STATE(15010)] = 701066,
  [SMALL_STATE(15011)] = 701086,
  [SMALL_STATE(15012)] = 701106,
  [SMALL_STATE(15013)] = 701126,
  [SMALL_STATE(15014)] = 701146,
  [SMALL_STATE(15015)] = 701166,
  [SMALL_STATE(15016)] = 701186,
  [SMALL_STATE(15017)] = 701206,
  [SMALL_STATE(15018)] = 701224,
  [SMALL_STATE(15019)] = 701244,
  [SMALL_STATE(15020)] = 701262,
  [SMALL_STATE(15021)] = 701282,
  [SMALL_STATE(15022)] = 701302,
  [SMALL_STATE(15023)] = 701322,
  [SMALL_STATE(15024)] = 701342,
  [SMALL_STATE(15025)] = 701362,
  [SMALL_STATE(15026)] = 701382,
  [SMALL_STATE(15027)] = 701402,
  [SMALL_STATE(15028)] = 701422,
  [SMALL_STATE(15029)] = 701442,
  [SMALL_STATE(15030)] = 701462,
  [SMALL_STATE(15031)] = 701482,
  [SMALL_STATE(15032)] = 701502,
  [SMALL_STATE(15033)] = 701522,
  [SMALL_STATE(15034)] = 701542,
  [SMALL_STATE(15035)] = 701562,
  [SMALL_STATE(15036)] = 701580,
  [SMALL_STATE(15037)] = 701600,
  [SMALL_STATE(15038)] = 701620,
  [SMALL_STATE(15039)] = 701640,
  [SMALL_STATE(15040)] = 701660,
  [SMALL_STATE(15041)] = 701680,
  [SMALL_STATE(15042)] = 701700,
  [SMALL_STATE(15043)] = 701720,
  [SMALL_STATE(15044)] = 701740,
  [SMALL_STATE(15045)] = 701758,
  [SMALL_STATE(15046)] = 701778,
  [SMALL_STATE(15047)] = 701798,
  [SMALL_STATE(15048)] = 701818,
  [SMALL_STATE(15049)] = 701838,
  [SMALL_STATE(15050)] = 701858,
  [SMALL_STATE(15051)] = 701878,
  [SMALL_STATE(15052)] = 701898,
  [SMALL_STATE(15053)] = 701918,
  [SMALL_STATE(15054)] = 701936,
  [SMALL_STATE(15055)] = 701956,
  [SMALL_STATE(15056)] = 701976,
  [SMALL_STATE(15057)] = 701996,
  [SMALL_STATE(15058)] = 702016,
  [SMALL_STATE(15059)] = 702036,
  [SMALL_STATE(15060)] = 702056,
  [SMALL_STATE(15061)] = 702076,
  [SMALL_STATE(15062)] = 702096,
  [SMALL_STATE(15063)] = 702116,
  [SMALL_STATE(15064)] = 702136,
  [SMALL_STATE(15065)] = 702156,
  [SMALL_STATE(15066)] = 702176,
  [SMALL_STATE(15067)] = 702196,
  [SMALL_STATE(15068)] = 702214,
  [SMALL_STATE(15069)] = 702234,
  [SMALL_STATE(15070)] = 702252,
  [SMALL_STATE(15071)] = 702272,
  [SMALL_STATE(15072)] = 702292,
  [SMALL_STATE(15073)] = 702312,
  [SMALL_STATE(15074)] = 702332,
  [SMALL_STATE(15075)] = 702352,
  [SMALL_STATE(15076)] = 702372,
  [SMALL_STATE(15077)] = 702392,
  [SMALL_STATE(15078)] = 702412,
  [SMALL_STATE(15079)] = 702432,
  [SMALL_STATE(15080)] = 702452,
  [SMALL_STATE(15081)] = 702472,
  [SMALL_STATE(15082)] = 702492,
  [SMALL_STATE(15083)] = 702512,
  [SMALL_STATE(15084)] = 702532,
  [SMALL_STATE(15085)] = 702552,
  [SMALL_STATE(15086)] = 702572,
  [SMALL_STATE(15087)] = 702590,
  [SMALL_STATE(15088)] = 702610,
  [SMALL_STATE(15089)] = 702630,
  [SMALL_STATE(15090)] = 702648,
  [SMALL_STATE(15091)] = 702668,
  [SMALL_STATE(15092)] = 702688,
  [SMALL_STATE(15093)] = 702708,
  [SMALL_STATE(15094)] = 702728,
  [SMALL_STATE(15095)] = 702748,
  [SMALL_STATE(15096)] = 702768,
  [SMALL_STATE(15097)] = 702788,
  [SMALL_STATE(15098)] = 702808,
  [SMALL_STATE(15099)] = 702828,
  [SMALL_STATE(15100)] = 702848,
  [SMALL_STATE(15101)] = 702868,
  [SMALL_STATE(15102)] = 702888,
  [SMALL_STATE(15103)] = 702908,
  [SMALL_STATE(15104)] = 702928,
  [SMALL_STATE(15105)] = 702948,
  [SMALL_STATE(15106)] = 702968,
  [SMALL_STATE(15107)] = 702988,
  [SMALL_STATE(15108)] = 703008,
  [SMALL_STATE(15109)] = 703028,
  [SMALL_STATE(15110)] = 703048,
  [SMALL_STATE(15111)] = 703068,
  [SMALL_STATE(15112)] = 703086,
  [SMALL_STATE(15113)] = 703106,
  [SMALL_STATE(15114)] = 703126,
  [SMALL_STATE(15115)] = 703146,
  [SMALL_STATE(15116)] = 703166,
  [SMALL_STATE(15117)] = 703186,
  [SMALL_STATE(15118)] = 703204,
  [SMALL_STATE(15119)] = 703224,
  [SMALL_STATE(15120)] = 703244,
  [SMALL_STATE(15121)] = 703264,
  [SMALL_STATE(15122)] = 703284,
  [SMALL_STATE(15123)] = 703304,
  [SMALL_STATE(15124)] = 703324,
  [SMALL_STATE(15125)] = 703344,
  [SMALL_STATE(15126)] = 703362,
  [SMALL_STATE(15127)] = 703382,
  [SMALL_STATE(15128)] = 703402,
  [SMALL_STATE(15129)] = 703422,
  [SMALL_STATE(15130)] = 703442,
  [SMALL_STATE(15131)] = 703462,
  [SMALL_STATE(15132)] = 703482,
  [SMALL_STATE(15133)] = 703500,
  [SMALL_STATE(15134)] = 703518,
  [SMALL_STATE(15135)] = 703538,
  [SMALL_STATE(15136)] = 703554,
  [SMALL_STATE(15137)] = 703574,
  [SMALL_STATE(15138)] = 703594,
  [SMALL_STATE(15139)] = 703614,
  [SMALL_STATE(15140)] = 703634,
  [SMALL_STATE(15141)] = 703654,
  [SMALL_STATE(15142)] = 703674,
  [SMALL_STATE(15143)] = 703694,
  [SMALL_STATE(15144)] = 703714,
  [SMALL_STATE(15145)] = 703734,
  [SMALL_STATE(15146)] = 703754,
  [SMALL_STATE(15147)] = 703774,
  [SMALL_STATE(15148)] = 703794,
  [SMALL_STATE(15149)] = 703814,
  [SMALL_STATE(15150)] = 703834,
  [SMALL_STATE(15151)] = 703854,
  [SMALL_STATE(15152)] = 703874,
  [SMALL_STATE(15153)] = 703894,
  [SMALL_STATE(15154)] = 703912,
  [SMALL_STATE(15155)] = 703932,
  [SMALL_STATE(15156)] = 703952,
  [SMALL_STATE(15157)] = 703972,
  [SMALL_STATE(15158)] = 703992,
  [SMALL_STATE(15159)] = 704012,
  [SMALL_STATE(15160)] = 704030,
  [SMALL_STATE(15161)] = 704050,
  [SMALL_STATE(15162)] = 704070,
  [SMALL_STATE(15163)] = 704090,
  [SMALL_STATE(15164)] = 704110,
  [SMALL_STATE(15165)] = 704130,
  [SMALL_STATE(15166)] = 704150,
  [SMALL_STATE(15167)] = 704168,
  [SMALL_STATE(15168)] = 704188,
  [SMALL_STATE(15169)] = 704208,
  [SMALL_STATE(15170)] = 704228,
  [SMALL_STATE(15171)] = 704248,
  [SMALL_STATE(15172)] = 704268,
  [SMALL_STATE(15173)] = 704288,
  [SMALL_STATE(15174)] = 704308,
  [SMALL_STATE(15175)] = 704328,
  [SMALL_STATE(15176)] = 704348,
  [SMALL_STATE(15177)] = 704368,
  [SMALL_STATE(15178)] = 704388,
  [SMALL_STATE(15179)] = 704408,
  [SMALL_STATE(15180)] = 704428,
  [SMALL_STATE(15181)] = 704448,
  [SMALL_STATE(15182)] = 704468,
  [SMALL_STATE(15183)] = 704488,
  [SMALL_STATE(15184)] = 704508,
  [SMALL_STATE(15185)] = 704528,
  [SMALL_STATE(15186)] = 704546,
  [SMALL_STATE(15187)] = 704566,
  [SMALL_STATE(15188)] = 704586,
  [SMALL_STATE(15189)] = 704606,
  [SMALL_STATE(15190)] = 704626,
  [SMALL_STATE(15191)] = 704646,
  [SMALL_STATE(15192)] = 704664,
  [SMALL_STATE(15193)] = 704684,
  [SMALL_STATE(15194)] = 704704,
  [SMALL_STATE(15195)] = 704724,
  [SMALL_STATE(15196)] = 704744,
  [SMALL_STATE(15197)] = 704764,
  [SMALL_STATE(15198)] = 704784,
  [SMALL_STATE(15199)] = 704804,
  [SMALL_STATE(15200)] = 704824,
  [SMALL_STATE(15201)] = 704844,
  [SMALL_STATE(15202)] = 704864,
  [SMALL_STATE(15203)] = 704884,
  [SMALL_STATE(15204)] = 704904,
  [SMALL_STATE(15205)] = 704922,
  [SMALL_STATE(15206)] = 704942,
  [SMALL_STATE(15207)] = 704962,
  [SMALL_STATE(15208)] = 704982,
  [SMALL_STATE(15209)] = 705002,
  [SMALL_STATE(15210)] = 705022,
  [SMALL_STATE(15211)] = 705042,
  [SMALL_STATE(15212)] = 705062,
  [SMALL_STATE(15213)] = 705082,
  [SMALL_STATE(15214)] = 705102,
  [SMALL_STATE(15215)] = 705122,
  [SMALL_STATE(15216)] = 705142,
  [SMALL_STATE(15217)] = 705160,
  [SMALL_STATE(15218)] = 705180,
  [SMALL_STATE(15219)] = 705200,
  [SMALL_STATE(15220)] = 705220,
  [SMALL_STATE(15221)] = 705240,
  [SMALL_STATE(15222)] = 705260,
  [SMALL_STATE(15223)] = 705280,
  [SMALL_STATE(15224)] = 705300,
  [SMALL_STATE(15225)] = 705320,
  [SMALL_STATE(15226)] = 705340,
  [SMALL_STATE(15227)] = 705360,
  [SMALL_STATE(15228)] = 705380,
  [SMALL_STATE(15229)] = 705400,
  [SMALL_STATE(15230)] = 705420,
  [SMALL_STATE(15231)] = 705440,
  [SMALL_STATE(15232)] = 705458,
  [SMALL_STATE(15233)] = 705478,
  [SMALL_STATE(15234)] = 705498,
  [SMALL_STATE(15235)] = 705518,
  [SMALL_STATE(15236)] = 705538,
  [SMALL_STATE(15237)] = 705558,
  [SMALL_STATE(15238)] = 705578,
  [SMALL_STATE(15239)] = 705598,
  [SMALL_STATE(15240)] = 705618,
  [SMALL_STATE(15241)] = 705638,
  [SMALL_STATE(15242)] = 705658,
  [SMALL_STATE(15243)] = 705678,
  [SMALL_STATE(15244)] = 705698,
  [SMALL_STATE(15245)] = 705718,
  [SMALL_STATE(15246)] = 705738,
  [SMALL_STATE(15247)] = 705758,
  [SMALL_STATE(15248)] = 705778,
  [SMALL_STATE(15249)] = 705798,
  [SMALL_STATE(15250)] = 705816,
  [SMALL_STATE(15251)] = 705836,
  [SMALL_STATE(15252)] = 705856,
  [SMALL_STATE(15253)] = 705876,
  [SMALL_STATE(15254)] = 705896,
  [SMALL_STATE(15255)] = 705916,
  [SMALL_STATE(15256)] = 705936,
  [SMALL_STATE(15257)] = 705956,
  [SMALL_STATE(15258)] = 705976,
  [SMALL_STATE(15259)] = 705996,
  [SMALL_STATE(15260)] = 706016,
  [SMALL_STATE(15261)] = 706036,
  [SMALL_STATE(15262)] = 706056,
  [SMALL_STATE(15263)] = 706076,
  [SMALL_STATE(15264)] = 706096,
  [SMALL_STATE(15265)] = 706114,
  [SMALL_STATE(15266)] = 706134,
  [SMALL_STATE(15267)] = 706154,
  [SMALL_STATE(15268)] = 706174,
  [SMALL_STATE(15269)] = 706192,
  [SMALL_STATE(15270)] = 706212,
  [SMALL_STATE(15271)] = 706232,
  [SMALL_STATE(15272)] = 706250,
  [SMALL_STATE(15273)] = 706270,
  [SMALL_STATE(15274)] = 706290,
  [SMALL_STATE(15275)] = 706310,
  [SMALL_STATE(15276)] = 706330,
  [SMALL_STATE(15277)] = 706348,
  [SMALL_STATE(15278)] = 706368,
  [SMALL_STATE(15279)] = 706386,
  [SMALL_STATE(15280)] = 706406,
  [SMALL_STATE(15281)] = 706426,
  [SMALL_STATE(15282)] = 706446,
  [SMALL_STATE(15283)] = 706466,
  [SMALL_STATE(15284)] = 706486,
  [SMALL_STATE(15285)] = 706506,
  [SMALL_STATE(15286)] = 706526,
  [SMALL_STATE(15287)] = 706546,
  [SMALL_STATE(15288)] = 706566,
  [SMALL_STATE(15289)] = 706586,
  [SMALL_STATE(15290)] = 706606,
  [SMALL_STATE(15291)] = 706624,
  [SMALL_STATE(15292)] = 706644,
  [SMALL_STATE(15293)] = 706664,
  [SMALL_STATE(15294)] = 706684,
  [SMALL_STATE(15295)] = 706704,
  [SMALL_STATE(15296)] = 706724,
  [SMALL_STATE(15297)] = 706740,
  [SMALL_STATE(15298)] = 706760,
  [SMALL_STATE(15299)] = 706780,
  [SMALL_STATE(15300)] = 706800,
  [SMALL_STATE(15301)] = 706820,
  [SMALL_STATE(15302)] = 706838,
  [SMALL_STATE(15303)] = 706858,
  [SMALL_STATE(15304)] = 706878,
  [SMALL_STATE(15305)] = 706898,
  [SMALL_STATE(15306)] = 706918,
  [SMALL_STATE(15307)] = 706938,
  [SMALL_STATE(15308)] = 706956,
  [SMALL_STATE(15309)] = 706976,
  [SMALL_STATE(15310)] = 706996,
  [SMALL_STATE(15311)] = 707016,
  [SMALL_STATE(15312)] = 707036,
  [SMALL_STATE(15313)] = 707056,
  [SMALL_STATE(15314)] = 707074,
  [SMALL_STATE(15315)] = 707094,
  [SMALL_STATE(15316)] = 707114,
  [SMALL_STATE(15317)] = 707134,
  [SMALL_STATE(15318)] = 707154,
  [SMALL_STATE(15319)] = 707174,
  [SMALL_STATE(15320)] = 707194,
  [SMALL_STATE(15321)] = 707214,
  [SMALL_STATE(15322)] = 707234,
  [SMALL_STATE(15323)] = 707254,
  [SMALL_STATE(15324)] = 707274,
  [SMALL_STATE(15325)] = 707294,
  [SMALL_STATE(15326)] = 707312,
  [SMALL_STATE(15327)] = 707332,
  [SMALL_STATE(15328)] = 707352,
  [SMALL_STATE(15329)] = 707372,
  [SMALL_STATE(15330)] = 707390,
  [SMALL_STATE(15331)] = 707410,
  [SMALL_STATE(15332)] = 707430,
  [SMALL_STATE(15333)] = 707450,
  [SMALL_STATE(15334)] = 707470,
  [SMALL_STATE(15335)] = 707490,
  [SMALL_STATE(15336)] = 707510,
  [SMALL_STATE(15337)] = 707530,
  [SMALL_STATE(15338)] = 707550,
  [SMALL_STATE(15339)] = 707570,
  [SMALL_STATE(15340)] = 707590,
  [SMALL_STATE(15341)] = 707610,
  [SMALL_STATE(15342)] = 707628,
  [SMALL_STATE(15343)] = 707648,
  [SMALL_STATE(15344)] = 707666,
  [SMALL_STATE(15345)] = 707686,
  [SMALL_STATE(15346)] = 707706,
  [SMALL_STATE(15347)] = 707726,
  [SMALL_STATE(15348)] = 707746,
  [SMALL_STATE(15349)] = 707764,
  [SMALL_STATE(15350)] = 707784,
  [SMALL_STATE(15351)] = 707804,
  [SMALL_STATE(15352)] = 707824,
  [SMALL_STATE(15353)] = 707844,
  [SMALL_STATE(15354)] = 707864,
  [SMALL_STATE(15355)] = 707884,
  [SMALL_STATE(15356)] = 707904,
  [SMALL_STATE(15357)] = 707924,
  [SMALL_STATE(15358)] = 707944,
  [SMALL_STATE(15359)] = 707964,
  [SMALL_STATE(15360)] = 707984,
  [SMALL_STATE(15361)] = 708004,
  [SMALL_STATE(15362)] = 708022,
  [SMALL_STATE(15363)] = 708042,
  [SMALL_STATE(15364)] = 708062,
  [SMALL_STATE(15365)] = 708082,
  [SMALL_STATE(15366)] = 708102,
  [SMALL_STATE(15367)] = 708122,
  [SMALL_STATE(15368)] = 708142,
  [SMALL_STATE(15369)] = 708160,
  [SMALL_STATE(15370)] = 708180,
  [SMALL_STATE(15371)] = 708196,
  [SMALL_STATE(15372)] = 708216,
  [SMALL_STATE(15373)] = 708234,
  [SMALL_STATE(15374)] = 708254,
  [SMALL_STATE(15375)] = 708274,
  [SMALL_STATE(15376)] = 708294,
  [SMALL_STATE(15377)] = 708314,
  [SMALL_STATE(15378)] = 708334,
  [SMALL_STATE(15379)] = 708354,
  [SMALL_STATE(15380)] = 708374,
  [SMALL_STATE(15381)] = 708394,
  [SMALL_STATE(15382)] = 708414,
  [SMALL_STATE(15383)] = 708434,
  [SMALL_STATE(15384)] = 708454,
  [SMALL_STATE(15385)] = 708474,
  [SMALL_STATE(15386)] = 708494,
  [SMALL_STATE(15387)] = 708514,
  [SMALL_STATE(15388)] = 708532,
  [SMALL_STATE(15389)] = 708552,
  [SMALL_STATE(15390)] = 708572,
  [SMALL_STATE(15391)] = 708592,
  [SMALL_STATE(15392)] = 708612,
  [SMALL_STATE(15393)] = 708632,
  [SMALL_STATE(15394)] = 708652,
  [SMALL_STATE(15395)] = 708672,
  [SMALL_STATE(15396)] = 708692,
  [SMALL_STATE(15397)] = 708712,
  [SMALL_STATE(15398)] = 708732,
  [SMALL_STATE(15399)] = 708752,
  [SMALL_STATE(15400)] = 708772,
  [SMALL_STATE(15401)] = 708792,
  [SMALL_STATE(15402)] = 708812,
  [SMALL_STATE(15403)] = 708832,
  [SMALL_STATE(15404)] = 708852,
  [SMALL_STATE(15405)] = 708870,
  [SMALL_STATE(15406)] = 708890,
  [SMALL_STATE(15407)] = 708910,
  [SMALL_STATE(15408)] = 708930,
  [SMALL_STATE(15409)] = 708950,
  [SMALL_STATE(15410)] = 708970,
  [SMALL_STATE(15411)] = 708990,
  [SMALL_STATE(15412)] = 709008,
  [SMALL_STATE(15413)] = 709028,
  [SMALL_STATE(15414)] = 709048,
  [SMALL_STATE(15415)] = 709066,
  [SMALL_STATE(15416)] = 709086,
  [SMALL_STATE(15417)] = 709106,
  [SMALL_STATE(15418)] = 709126,
  [SMALL_STATE(15419)] = 709144,
  [SMALL_STATE(15420)] = 709164,
  [SMALL_STATE(15421)] = 709184,
  [SMALL_STATE(15422)] = 709204,
  [SMALL_STATE(15423)] = 709224,
  [SMALL_STATE(15424)] = 709244,
  [SMALL_STATE(15425)] = 709264,
  [SMALL_STATE(15426)] = 709284,
  [SMALL_STATE(15427)] = 709304,
  [SMALL_STATE(15428)] = 709324,
  [SMALL_STATE(15429)] = 709344,
  [SMALL_STATE(15430)] = 709362,
  [SMALL_STATE(15431)] = 709382,
  [SMALL_STATE(15432)] = 709402,
  [SMALL_STATE(15433)] = 709420,
  [SMALL_STATE(15434)] = 709440,
  [SMALL_STATE(15435)] = 709460,
  [SMALL_STATE(15436)] = 709480,
  [SMALL_STATE(15437)] = 709500,
  [SMALL_STATE(15438)] = 709520,
  [SMALL_STATE(15439)] = 709540,
  [SMALL_STATE(15440)] = 709558,
  [SMALL_STATE(15441)] = 709576,
  [SMALL_STATE(15442)] = 709596,
  [SMALL_STATE(15443)] = 709616,
  [SMALL_STATE(15444)] = 709634,
  [SMALL_STATE(15445)] = 709654,
  [SMALL_STATE(15446)] = 709674,
  [SMALL_STATE(15447)] = 709694,
  [SMALL_STATE(15448)] = 709714,
  [SMALL_STATE(15449)] = 709734,
  [SMALL_STATE(15450)] = 709754,
  [SMALL_STATE(15451)] = 709774,
  [SMALL_STATE(15452)] = 709794,
  [SMALL_STATE(15453)] = 709814,
  [SMALL_STATE(15454)] = 709834,
  [SMALL_STATE(15455)] = 709854,
  [SMALL_STATE(15456)] = 709874,
  [SMALL_STATE(15457)] = 709894,
  [SMALL_STATE(15458)] = 709914,
  [SMALL_STATE(15459)] = 709934,
  [SMALL_STATE(15460)] = 709952,
  [SMALL_STATE(15461)] = 709972,
  [SMALL_STATE(15462)] = 709992,
  [SMALL_STATE(15463)] = 710012,
  [SMALL_STATE(15464)] = 710032,
  [SMALL_STATE(15465)] = 710052,
  [SMALL_STATE(15466)] = 710072,
  [SMALL_STATE(15467)] = 710092,
  [SMALL_STATE(15468)] = 710112,
  [SMALL_STATE(15469)] = 710130,
  [SMALL_STATE(15470)] = 710150,
  [SMALL_STATE(15471)] = 710170,
  [SMALL_STATE(15472)] = 710190,
  [SMALL_STATE(15473)] = 710210,
  [SMALL_STATE(15474)] = 710230,
  [SMALL_STATE(15475)] = 710250,
  [SMALL_STATE(15476)] = 710270,
  [SMALL_STATE(15477)] = 710288,
  [SMALL_STATE(15478)] = 710308,
  [SMALL_STATE(15479)] = 710328,
  [SMALL_STATE(15480)] = 710348,
  [SMALL_STATE(15481)] = 710366,
  [SMALL_STATE(15482)] = 710386,
  [SMALL_STATE(15483)] = 710406,
  [SMALL_STATE(15484)] = 710426,
  [SMALL_STATE(15485)] = 710444,
  [SMALL_STATE(15486)] = 710464,
  [SMALL_STATE(15487)] = 710484,
  [SMALL_STATE(15488)] = 710502,
  [SMALL_STATE(15489)] = 710522,
  [SMALL_STATE(15490)] = 710542,
  [SMALL_STATE(15491)] = 710560,
  [SMALL_STATE(15492)] = 710580,
  [SMALL_STATE(15493)] = 710600,
  [SMALL_STATE(15494)] = 710618,
  [SMALL_STATE(15495)] = 710638,
  [SMALL_STATE(15496)] = 710658,
  [SMALL_STATE(15497)] = 710676,
  [SMALL_STATE(15498)] = 710696,
  [SMALL_STATE(15499)] = 710716,
  [SMALL_STATE(15500)] = 710734,
  [SMALL_STATE(15501)] = 710754,
  [SMALL_STATE(15502)] = 710774,
  [SMALL_STATE(15503)] = 710792,
  [SMALL_STATE(15504)] = 710812,
  [SMALL_STATE(15505)] = 710832,
  [SMALL_STATE(15506)] = 710850,
  [SMALL_STATE(15507)] = 710870,
  [SMALL_STATE(15508)] = 710890,
  [SMALL_STATE(15509)] = 710908,
  [SMALL_STATE(15510)] = 710928,
  [SMALL_STATE(15511)] = 710948,
  [SMALL_STATE(15512)] = 710966,
  [SMALL_STATE(15513)] = 710986,
  [SMALL_STATE(15514)] = 711006,
  [SMALL_STATE(15515)] = 711024,
  [SMALL_STATE(15516)] = 711044,
  [SMALL_STATE(15517)] = 711062,
  [SMALL_STATE(15518)] = 711082,
  [SMALL_STATE(15519)] = 711100,
  [SMALL_STATE(15520)] = 711120,
  [SMALL_STATE(15521)] = 711138,
  [SMALL_STATE(15522)] = 711158,
  [SMALL_STATE(15523)] = 711176,
  [SMALL_STATE(15524)] = 711196,
  [SMALL_STATE(15525)] = 711214,
  [SMALL_STATE(15526)] = 711234,
  [SMALL_STATE(15527)] = 711252,
  [SMALL_STATE(15528)] = 711272,
  [SMALL_STATE(15529)] = 711290,
  [SMALL_STATE(15530)] = 711310,
  [SMALL_STATE(15531)] = 711328,
  [SMALL_STATE(15532)] = 711348,
  [SMALL_STATE(15533)] = 711366,
  [SMALL_STATE(15534)] = 711386,
  [SMALL_STATE(15535)] = 711404,
  [SMALL_STATE(15536)] = 711424,
  [SMALL_STATE(15537)] = 711442,
  [SMALL_STATE(15538)] = 711462,
  [SMALL_STATE(15539)] = 711480,
  [SMALL_STATE(15540)] = 711500,
  [SMALL_STATE(15541)] = 711518,
  [SMALL_STATE(15542)] = 711538,
  [SMALL_STATE(15543)] = 711556,
  [SMALL_STATE(15544)] = 711576,
  [SMALL_STATE(15545)] = 711594,
  [SMALL_STATE(15546)] = 711614,
  [SMALL_STATE(15547)] = 711632,
  [SMALL_STATE(15548)] = 711652,
  [SMALL_STATE(15549)] = 711670,
  [SMALL_STATE(15550)] = 711690,
  [SMALL_STATE(15551)] = 711708,
  [SMALL_STATE(15552)] = 711728,
  [SMALL_STATE(15553)] = 711746,
  [SMALL_STATE(15554)] = 711766,
  [SMALL_STATE(15555)] = 711784,
  [SMALL_STATE(15556)] = 711804,
  [SMALL_STATE(15557)] = 711822,
  [SMALL_STATE(15558)] = 711842,
  [SMALL_STATE(15559)] = 711860,
  [SMALL_STATE(15560)] = 711880,
  [SMALL_STATE(15561)] = 711898,
  [SMALL_STATE(15562)] = 711918,
  [SMALL_STATE(15563)] = 711938,
  [SMALL_STATE(15564)] = 711958,
  [SMALL_STATE(15565)] = 711978,
  [SMALL_STATE(15566)] = 711998,
  [SMALL_STATE(15567)] = 712016,
  [SMALL_STATE(15568)] = 712036,
  [SMALL_STATE(15569)] = 712056,
  [SMALL_STATE(15570)] = 712076,
  [SMALL_STATE(15571)] = 712094,
  [SMALL_STATE(15572)] = 712114,
  [SMALL_STATE(15573)] = 712134,
  [SMALL_STATE(15574)] = 712154,
  [SMALL_STATE(15575)] = 712172,
  [SMALL_STATE(15576)] = 712192,
  [SMALL_STATE(15577)] = 712212,
  [SMALL_STATE(15578)] = 712232,
  [SMALL_STATE(15579)] = 712252,
  [SMALL_STATE(15580)] = 712272,
  [SMALL_STATE(15581)] = 712292,
  [SMALL_STATE(15582)] = 712312,
  [SMALL_STATE(15583)] = 712332,
  [SMALL_STATE(15584)] = 712352,
  [SMALL_STATE(15585)] = 712372,
  [SMALL_STATE(15586)] = 712392,
  [SMALL_STATE(15587)] = 712412,
  [SMALL_STATE(15588)] = 712432,
  [SMALL_STATE(15589)] = 712452,
  [SMALL_STATE(15590)] = 712472,
  [SMALL_STATE(15591)] = 712492,
  [SMALL_STATE(15592)] = 712512,
  [SMALL_STATE(15593)] = 712532,
  [SMALL_STATE(15594)] = 712552,
  [SMALL_STATE(15595)] = 712572,
  [SMALL_STATE(15596)] = 712592,
  [SMALL_STATE(15597)] = 712612,
  [SMALL_STATE(15598)] = 712632,
  [SMALL_STATE(15599)] = 712652,
  [SMALL_STATE(15600)] = 712672,
  [SMALL_STATE(15601)] = 712692,
  [SMALL_STATE(15602)] = 712712,
  [SMALL_STATE(15603)] = 712732,
  [SMALL_STATE(15604)] = 712752,
  [SMALL_STATE(15605)] = 712772,
  [SMALL_STATE(15606)] = 712792,
  [SMALL_STATE(15607)] = 712810,
  [SMALL_STATE(15608)] = 712830,
  [SMALL_STATE(15609)] = 712850,
  [SMALL_STATE(15610)] = 712870,
  [SMALL_STATE(15611)] = 712890,
  [SMALL_STATE(15612)] = 712908,
  [SMALL_STATE(15613)] = 712928,
  [SMALL_STATE(15614)] = 712948,
  [SMALL_STATE(15615)] = 712968,
  [SMALL_STATE(15616)] = 712988,
  [SMALL_STATE(15617)] = 713008,
  [SMALL_STATE(15618)] = 713028,
  [SMALL_STATE(15619)] = 713048,
  [SMALL_STATE(15620)] = 713068,
  [SMALL_STATE(15621)] = 713088,
  [SMALL_STATE(15622)] = 713106,
  [SMALL_STATE(15623)] = 713126,
  [SMALL_STATE(15624)] = 713146,
  [SMALL_STATE(15625)] = 713166,
  [SMALL_STATE(15626)] = 713186,
  [SMALL_STATE(15627)] = 713206,
  [SMALL_STATE(15628)] = 713226,
  [SMALL_STATE(15629)] = 713246,
  [SMALL_STATE(15630)] = 713266,
  [SMALL_STATE(15631)] = 713286,
  [SMALL_STATE(15632)] = 713306,
  [SMALL_STATE(15633)] = 713326,
  [SMALL_STATE(15634)] = 713346,
  [SMALL_STATE(15635)] = 713366,
  [SMALL_STATE(15636)] = 713386,
  [SMALL_STATE(15637)] = 713406,
  [SMALL_STATE(15638)] = 713426,
  [SMALL_STATE(15639)] = 713446,
  [SMALL_STATE(15640)] = 713466,
  [SMALL_STATE(15641)] = 713486,
  [SMALL_STATE(15642)] = 713506,
  [SMALL_STATE(15643)] = 713526,
  [SMALL_STATE(15644)] = 713546,
  [SMALL_STATE(15645)] = 713566,
  [SMALL_STATE(15646)] = 713586,
  [SMALL_STATE(15647)] = 713606,
  [SMALL_STATE(15648)] = 713626,
  [SMALL_STATE(15649)] = 713646,
  [SMALL_STATE(15650)] = 713666,
  [SMALL_STATE(15651)] = 713686,
  [SMALL_STATE(15652)] = 713706,
  [SMALL_STATE(15653)] = 713726,
  [SMALL_STATE(15654)] = 713746,
  [SMALL_STATE(15655)] = 713766,
  [SMALL_STATE(15656)] = 713786,
  [SMALL_STATE(15657)] = 713806,
  [SMALL_STATE(15658)] = 713826,
  [SMALL_STATE(15659)] = 713846,
  [SMALL_STATE(15660)] = 713866,
  [SMALL_STATE(15661)] = 713886,
  [SMALL_STATE(15662)] = 713904,
  [SMALL_STATE(15663)] = 713924,
  [SMALL_STATE(15664)] = 713944,
  [SMALL_STATE(15665)] = 713962,
  [SMALL_STATE(15666)] = 713982,
  [SMALL_STATE(15667)] = 714002,
  [SMALL_STATE(15668)] = 714022,
  [SMALL_STATE(15669)] = 714042,
  [SMALL_STATE(15670)] = 714062,
  [SMALL_STATE(15671)] = 714082,
  [SMALL_STATE(15672)] = 714102,
  [SMALL_STATE(15673)] = 714122,
  [SMALL_STATE(15674)] = 714142,
  [SMALL_STATE(15675)] = 714162,
  [SMALL_STATE(15676)] = 714182,
  [SMALL_STATE(15677)] = 714202,
  [SMALL_STATE(15678)] = 714222,
  [SMALL_STATE(15679)] = 714242,
  [SMALL_STATE(15680)] = 714262,
  [SMALL_STATE(15681)] = 714282,
  [SMALL_STATE(15682)] = 714302,
  [SMALL_STATE(15683)] = 714322,
  [SMALL_STATE(15684)] = 714342,
  [SMALL_STATE(15685)] = 714362,
  [SMALL_STATE(15686)] = 714382,
  [SMALL_STATE(15687)] = 714402,
  [SMALL_STATE(15688)] = 714422,
  [SMALL_STATE(15689)] = 714442,
  [SMALL_STATE(15690)] = 714462,
  [SMALL_STATE(15691)] = 714482,
  [SMALL_STATE(15692)] = 714502,
  [SMALL_STATE(15693)] = 714522,
  [SMALL_STATE(15694)] = 714538,
  [SMALL_STATE(15695)] = 714558,
  [SMALL_STATE(15696)] = 714578,
  [SMALL_STATE(15697)] = 714598,
  [SMALL_STATE(15698)] = 714618,
  [SMALL_STATE(15699)] = 714638,
  [SMALL_STATE(15700)] = 714658,
  [SMALL_STATE(15701)] = 714678,
  [SMALL_STATE(15702)] = 714698,
  [SMALL_STATE(15703)] = 714716,
  [SMALL_STATE(15704)] = 714736,
  [SMALL_STATE(15705)] = 714756,
  [SMALL_STATE(15706)] = 714776,
  [SMALL_STATE(15707)] = 714796,
  [SMALL_STATE(15708)] = 714816,
  [SMALL_STATE(15709)] = 714836,
  [SMALL_STATE(15710)] = 714856,
  [SMALL_STATE(15711)] = 714876,
  [SMALL_STATE(15712)] = 714894,
  [SMALL_STATE(15713)] = 714914,
  [SMALL_STATE(15714)] = 714934,
  [SMALL_STATE(15715)] = 714952,
  [SMALL_STATE(15716)] = 714972,
  [SMALL_STATE(15717)] = 714992,
  [SMALL_STATE(15718)] = 715012,
  [SMALL_STATE(15719)] = 715032,
  [SMALL_STATE(15720)] = 715052,
  [SMALL_STATE(15721)] = 715072,
  [SMALL_STATE(15722)] = 715092,
  [SMALL_STATE(15723)] = 715112,
  [SMALL_STATE(15724)] = 715132,
  [SMALL_STATE(15725)] = 715152,
  [SMALL_STATE(15726)] = 715172,
  [SMALL_STATE(15727)] = 715190,
  [SMALL_STATE(15728)] = 715210,
  [SMALL_STATE(15729)] = 715230,
  [SMALL_STATE(15730)] = 715250,
  [SMALL_STATE(15731)] = 715270,
  [SMALL_STATE(15732)] = 715290,
  [SMALL_STATE(15733)] = 715310,
  [SMALL_STATE(15734)] = 715330,
  [SMALL_STATE(15735)] = 715350,
  [SMALL_STATE(15736)] = 715370,
  [SMALL_STATE(15737)] = 715390,
  [SMALL_STATE(15738)] = 715410,
  [SMALL_STATE(15739)] = 715430,
  [SMALL_STATE(15740)] = 715448,
  [SMALL_STATE(15741)] = 715468,
  [SMALL_STATE(15742)] = 715488,
  [SMALL_STATE(15743)] = 715508,
  [SMALL_STATE(15744)] = 715528,
  [SMALL_STATE(15745)] = 715548,
  [SMALL_STATE(15746)] = 715568,
  [SMALL_STATE(15747)] = 715588,
  [SMALL_STATE(15748)] = 715608,
  [SMALL_STATE(15749)] = 715628,
  [SMALL_STATE(15750)] = 715648,
  [SMALL_STATE(15751)] = 715668,
  [SMALL_STATE(15752)] = 715688,
  [SMALL_STATE(15753)] = 715708,
  [SMALL_STATE(15754)] = 715728,
  [SMALL_STATE(15755)] = 715746,
  [SMALL_STATE(15756)] = 715766,
  [SMALL_STATE(15757)] = 715786,
  [SMALL_STATE(15758)] = 715806,
  [SMALL_STATE(15759)] = 715826,
  [SMALL_STATE(15760)] = 715846,
  [SMALL_STATE(15761)] = 715866,
  [SMALL_STATE(15762)] = 715886,
  [SMALL_STATE(15763)] = 715906,
  [SMALL_STATE(15764)] = 715926,
  [SMALL_STATE(15765)] = 715946,
  [SMALL_STATE(15766)] = 715966,
  [SMALL_STATE(15767)] = 715986,
  [SMALL_STATE(15768)] = 716004,
  [SMALL_STATE(15769)] = 716024,
  [SMALL_STATE(15770)] = 716044,
  [SMALL_STATE(15771)] = 716064,
  [SMALL_STATE(15772)] = 716084,
  [SMALL_STATE(15773)] = 716104,
  [SMALL_STATE(15774)] = 716122,
  [SMALL_STATE(15775)] = 716142,
  [SMALL_STATE(15776)] = 716162,
  [SMALL_STATE(15777)] = 716182,
  [SMALL_STATE(15778)] = 716202,
  [SMALL_STATE(15779)] = 716222,
  [SMALL_STATE(15780)] = 716240,
  [SMALL_STATE(15781)] = 716260,
  [SMALL_STATE(15782)] = 716280,
  [SMALL_STATE(15783)] = 716300,
  [SMALL_STATE(15784)] = 716320,
  [SMALL_STATE(15785)] = 716340,
  [SMALL_STATE(15786)] = 716360,
  [SMALL_STATE(15787)] = 716380,
  [SMALL_STATE(15788)] = 716400,
  [SMALL_STATE(15789)] = 716420,
  [SMALL_STATE(15790)] = 716438,
  [SMALL_STATE(15791)] = 716458,
  [SMALL_STATE(15792)] = 716478,
  [SMALL_STATE(15793)] = 716498,
  [SMALL_STATE(15794)] = 716518,
  [SMALL_STATE(15795)] = 716538,
  [SMALL_STATE(15796)] = 716558,
  [SMALL_STATE(15797)] = 716578,
  [SMALL_STATE(15798)] = 716598,
  [SMALL_STATE(15799)] = 716618,
  [SMALL_STATE(15800)] = 716636,
  [SMALL_STATE(15801)] = 716654,
  [SMALL_STATE(15802)] = 716674,
  [SMALL_STATE(15803)] = 716694,
  [SMALL_STATE(15804)] = 716714,
  [SMALL_STATE(15805)] = 716734,
  [SMALL_STATE(15806)] = 716754,
  [SMALL_STATE(15807)] = 716774,
  [SMALL_STATE(15808)] = 716794,
  [SMALL_STATE(15809)] = 716812,
  [SMALL_STATE(15810)] = 716830,
  [SMALL_STATE(15811)] = 716850,
  [SMALL_STATE(15812)] = 716870,
  [SMALL_STATE(15813)] = 716890,
  [SMALL_STATE(15814)] = 716910,
  [SMALL_STATE(15815)] = 716930,
  [SMALL_STATE(15816)] = 716948,
  [SMALL_STATE(15817)] = 716968,
  [SMALL_STATE(15818)] = 716988,
  [SMALL_STATE(15819)] = 717008,
  [SMALL_STATE(15820)] = 717028,
  [SMALL_STATE(15821)] = 717048,
  [SMALL_STATE(15822)] = 717068,
  [SMALL_STATE(15823)] = 717086,
  [SMALL_STATE(15824)] = 717106,
  [SMALL_STATE(15825)] = 717126,
  [SMALL_STATE(15826)] = 717146,
  [SMALL_STATE(15827)] = 717166,
  [SMALL_STATE(15828)] = 717186,
  [SMALL_STATE(15829)] = 717204,
  [SMALL_STATE(15830)] = 717224,
  [SMALL_STATE(15831)] = 717244,
  [SMALL_STATE(15832)] = 717264,
  [SMALL_STATE(15833)] = 717284,
  [SMALL_STATE(15834)] = 717304,
  [SMALL_STATE(15835)] = 717324,
  [SMALL_STATE(15836)] = 717344,
  [SMALL_STATE(15837)] = 717362,
  [SMALL_STATE(15838)] = 717382,
  [SMALL_STATE(15839)] = 717398,
  [SMALL_STATE(15840)] = 717418,
  [SMALL_STATE(15841)] = 717438,
  [SMALL_STATE(15842)] = 717458,
  [SMALL_STATE(15843)] = 717478,
  [SMALL_STATE(15844)] = 717498,
  [SMALL_STATE(15845)] = 717518,
  [SMALL_STATE(15846)] = 717536,
  [SMALL_STATE(15847)] = 717556,
  [SMALL_STATE(15848)] = 717576,
  [SMALL_STATE(15849)] = 717596,
  [SMALL_STATE(15850)] = 717616,
  [SMALL_STATE(15851)] = 717636,
  [SMALL_STATE(15852)] = 717656,
  [SMALL_STATE(15853)] = 717676,
  [SMALL_STATE(15854)] = 717696,
  [SMALL_STATE(15855)] = 717714,
  [SMALL_STATE(15856)] = 717734,
  [SMALL_STATE(15857)] = 717754,
  [SMALL_STATE(15858)] = 717774,
  [SMALL_STATE(15859)] = 717794,
  [SMALL_STATE(15860)] = 717812,
  [SMALL_STATE(15861)] = 717832,
  [SMALL_STATE(15862)] = 717852,
  [SMALL_STATE(15863)] = 717872,
  [SMALL_STATE(15864)] = 717892,
  [SMALL_STATE(15865)] = 717910,
  [SMALL_STATE(15866)] = 717930,
  [SMALL_STATE(15867)] = 717950,
  [SMALL_STATE(15868)] = 717970,
  [SMALL_STATE(15869)] = 717990,
  [SMALL_STATE(15870)] = 718010,
  [SMALL_STATE(15871)] = 718030,
  [SMALL_STATE(15872)] = 718050,
  [SMALL_STATE(15873)] = 718070,
  [SMALL_STATE(15874)] = 718088,
  [SMALL_STATE(15875)] = 718108,
  [SMALL_STATE(15876)] = 718128,
  [SMALL_STATE(15877)] = 718148,
  [SMALL_STATE(15878)] = 718168,
  [SMALL_STATE(15879)] = 718188,
  [SMALL_STATE(15880)] = 718208,
  [SMALL_STATE(15881)] = 718228,
  [SMALL_STATE(15882)] = 718246,
  [SMALL_STATE(15883)] = 718266,
  [SMALL_STATE(15884)] = 718286,
  [SMALL_STATE(15885)] = 718306,
  [SMALL_STATE(15886)] = 718326,
  [SMALL_STATE(15887)] = 718346,
  [SMALL_STATE(15888)] = 718366,
  [SMALL_STATE(15889)] = 718386,
  [SMALL_STATE(15890)] = 718404,
  [SMALL_STATE(15891)] = 718424,
  [SMALL_STATE(15892)] = 718444,
  [SMALL_STATE(15893)] = 718464,
  [SMALL_STATE(15894)] = 718484,
  [SMALL_STATE(15895)] = 718504,
  [SMALL_STATE(15896)] = 718524,
  [SMALL_STATE(15897)] = 718544,
  [SMALL_STATE(15898)] = 718564,
  [SMALL_STATE(15899)] = 718584,
  [SMALL_STATE(15900)] = 718602,
  [SMALL_STATE(15901)] = 718622,
  [SMALL_STATE(15902)] = 718642,
  [SMALL_STATE(15903)] = 718662,
  [SMALL_STATE(15904)] = 718682,
  [SMALL_STATE(15905)] = 718698,
  [SMALL_STATE(15906)] = 718718,
  [SMALL_STATE(15907)] = 718738,
  [SMALL_STATE(15908)] = 718756,
  [SMALL_STATE(15909)] = 718776,
  [SMALL_STATE(15910)] = 718796,
  [SMALL_STATE(15911)] = 718816,
  [SMALL_STATE(15912)] = 718834,
  [SMALL_STATE(15913)] = 718854,
  [SMALL_STATE(15914)] = 718874,
  [SMALL_STATE(15915)] = 718894,
  [SMALL_STATE(15916)] = 718914,
  [SMALL_STATE(15917)] = 718934,
  [SMALL_STATE(15918)] = 718952,
  [SMALL_STATE(15919)] = 718972,
  [SMALL_STATE(15920)] = 718992,
  [SMALL_STATE(15921)] = 719012,
  [SMALL_STATE(15922)] = 719032,
  [SMALL_STATE(15923)] = 719050,
  [SMALL_STATE(15924)] = 719070,
  [SMALL_STATE(15925)] = 719090,
  [SMALL_STATE(15926)] = 719110,
  [SMALL_STATE(15927)] = 719130,
  [SMALL_STATE(15928)] = 719150,
  [SMALL_STATE(15929)] = 719170,
  [SMALL_STATE(15930)] = 719188,
  [SMALL_STATE(15931)] = 719208,
  [SMALL_STATE(15932)] = 719228,
  [SMALL_STATE(15933)] = 719248,
  [SMALL_STATE(15934)] = 719268,
  [SMALL_STATE(15935)] = 719288,
  [SMALL_STATE(15936)] = 719308,
  [SMALL_STATE(15937)] = 719328,
  [SMALL_STATE(15938)] = 719348,
  [SMALL_STATE(15939)] = 719366,
  [SMALL_STATE(15940)] = 719386,
  [SMALL_STATE(15941)] = 719406,
  [SMALL_STATE(15942)] = 719424,
  [SMALL_STATE(15943)] = 719444,
  [SMALL_STATE(15944)] = 719464,
  [SMALL_STATE(15945)] = 719484,
  [SMALL_STATE(15946)] = 719502,
  [SMALL_STATE(15947)] = 719522,
  [SMALL_STATE(15948)] = 719540,
  [SMALL_STATE(15949)] = 719560,
  [SMALL_STATE(15950)] = 719580,
  [SMALL_STATE(15951)] = 719600,
  [SMALL_STATE(15952)] = 719620,
  [SMALL_STATE(15953)] = 719638,
  [SMALL_STATE(15954)] = 719658,
  [SMALL_STATE(15955)] = 719678,
  [SMALL_STATE(15956)] = 719698,
  [SMALL_STATE(15957)] = 719718,
  [SMALL_STATE(15958)] = 719736,
  [SMALL_STATE(15959)] = 719756,
  [SMALL_STATE(15960)] = 719776,
  [SMALL_STATE(15961)] = 719796,
  [SMALL_STATE(15962)] = 719814,
  [SMALL_STATE(15963)] = 719834,
  [SMALL_STATE(15964)] = 719854,
  [SMALL_STATE(15965)] = 719870,
  [SMALL_STATE(15966)] = 719890,
  [SMALL_STATE(15967)] = 719910,
  [SMALL_STATE(15968)] = 719930,
  [SMALL_STATE(15969)] = 719950,
  [SMALL_STATE(15970)] = 719970,
  [SMALL_STATE(15971)] = 719990,
  [SMALL_STATE(15972)] = 720008,
  [SMALL_STATE(15973)] = 720028,
  [SMALL_STATE(15974)] = 720048,
  [SMALL_STATE(15975)] = 720066,
  [SMALL_STATE(15976)] = 720084,
  [SMALL_STATE(15977)] = 720104,
  [SMALL_STATE(15978)] = 720124,
  [SMALL_STATE(15979)] = 720144,
  [SMALL_STATE(15980)] = 720164,
  [SMALL_STATE(15981)] = 720182,
  [SMALL_STATE(15982)] = 720202,
  [SMALL_STATE(15983)] = 720222,
  [SMALL_STATE(15984)] = 720242,
  [SMALL_STATE(15985)] = 720262,
  [SMALL_STATE(15986)] = 720282,
  [SMALL_STATE(15987)] = 720300,
  [SMALL_STATE(15988)] = 720320,
  [SMALL_STATE(15989)] = 720340,
  [SMALL_STATE(15990)] = 720360,
  [SMALL_STATE(15991)] = 720380,
  [SMALL_STATE(15992)] = 720400,
  [SMALL_STATE(15993)] = 720420,
  [SMALL_STATE(15994)] = 720438,
  [SMALL_STATE(15995)] = 720458,
  [SMALL_STATE(15996)] = 720478,
  [SMALL_STATE(15997)] = 720498,
  [SMALL_STATE(15998)] = 720518,
  [SMALL_STATE(15999)] = 720538,
  [SMALL_STATE(16000)] = 720558,
  [SMALL_STATE(16001)] = 720578,
  [SMALL_STATE(16002)] = 720598,
  [SMALL_STATE(16003)] = 720618,
  [SMALL_STATE(16004)] = 720636,
  [SMALL_STATE(16005)] = 720656,
  [SMALL_STATE(16006)] = 720676,
  [SMALL_STATE(16007)] = 720696,
  [SMALL_STATE(16008)] = 720716,
  [SMALL_STATE(16009)] = 720736,
  [SMALL_STATE(16010)] = 720756,
  [SMALL_STATE(16011)] = 720774,
  [SMALL_STATE(16012)] = 720794,
  [SMALL_STATE(16013)] = 720814,
  [SMALL_STATE(16014)] = 720834,
  [SMALL_STATE(16015)] = 720854,
  [SMALL_STATE(16016)] = 720874,
  [SMALL_STATE(16017)] = 720894,
  [SMALL_STATE(16018)] = 720914,
  [SMALL_STATE(16019)] = 720932,
  [SMALL_STATE(16020)] = 720952,
  [SMALL_STATE(16021)] = 720972,
  [SMALL_STATE(16022)] = 720992,
  [SMALL_STATE(16023)] = 721012,
  [SMALL_STATE(16024)] = 721030,
  [SMALL_STATE(16025)] = 721050,
  [SMALL_STATE(16026)] = 721070,
  [SMALL_STATE(16027)] = 721090,
  [SMALL_STATE(16028)] = 721110,
  [SMALL_STATE(16029)] = 721130,
  [SMALL_STATE(16030)] = 721148,
  [SMALL_STATE(16031)] = 721168,
  [SMALL_STATE(16032)] = 721188,
  [SMALL_STATE(16033)] = 721208,
  [SMALL_STATE(16034)] = 721228,
  [SMALL_STATE(16035)] = 721248,
  [SMALL_STATE(16036)] = 721268,
  [SMALL_STATE(16037)] = 721288,
  [SMALL_STATE(16038)] = 721306,
  [SMALL_STATE(16039)] = 721324,
  [SMALL_STATE(16040)] = 721344,
  [SMALL_STATE(16041)] = 721364,
  [SMALL_STATE(16042)] = 721384,
  [SMALL_STATE(16043)] = 721404,
  [SMALL_STATE(16044)] = 721422,
  [SMALL_STATE(16045)] = 721442,
  [SMALL_STATE(16046)] = 721462,
  [SMALL_STATE(16047)] = 721482,
  [SMALL_STATE(16048)] = 721502,
  [SMALL_STATE(16049)] = 721522,
  [SMALL_STATE(16050)] = 721542,
  [SMALL_STATE(16051)] = 721560,
  [SMALL_STATE(16052)] = 721580,
  [SMALL_STATE(16053)] = 721600,
  [SMALL_STATE(16054)] = 721620,
  [SMALL_STATE(16055)] = 721638,
  [SMALL_STATE(16056)] = 721658,
  [SMALL_STATE(16057)] = 721676,
  [SMALL_STATE(16058)] = 721696,
  [SMALL_STATE(16059)] = 721714,
  [SMALL_STATE(16060)] = 721734,
  [SMALL_STATE(16061)] = 721752,
  [SMALL_STATE(16062)] = 721772,
  [SMALL_STATE(16063)] = 721790,
  [SMALL_STATE(16064)] = 721810,
  [SMALL_STATE(16065)] = 721828,
  [SMALL_STATE(16066)] = 721848,
  [SMALL_STATE(16067)] = 721866,
  [SMALL_STATE(16068)] = 721886,
  [SMALL_STATE(16069)] = 721904,
  [SMALL_STATE(16070)] = 721924,
  [SMALL_STATE(16071)] = 721942,
  [SMALL_STATE(16072)] = 721962,
  [SMALL_STATE(16073)] = 721980,
  [SMALL_STATE(16074)] = 722000,
  [SMALL_STATE(16075)] = 722018,
  [SMALL_STATE(16076)] = 722038,
  [SMALL_STATE(16077)] = 722056,
  [SMALL_STATE(16078)] = 722076,
  [SMALL_STATE(16079)] = 722094,
  [SMALL_STATE(16080)] = 722112,
  [SMALL_STATE(16081)] = 722130,
  [SMALL_STATE(16082)] = 722148,
  [SMALL_STATE(16083)] = 722166,
  [SMALL_STATE(16084)] = 722184,
  [SMALL_STATE(16085)] = 722202,
  [SMALL_STATE(16086)] = 722220,
  [SMALL_STATE(16087)] = 722238,
  [SMALL_STATE(16088)] = 722256,
  [SMALL_STATE(16089)] = 722274,
  [SMALL_STATE(16090)] = 722292,
  [SMALL_STATE(16091)] = 722310,
  [SMALL_STATE(16092)] = 722328,
  [SMALL_STATE(16093)] = 722346,
  [SMALL_STATE(16094)] = 722364,
  [SMALL_STATE(16095)] = 722382,
  [SMALL_STATE(16096)] = 722400,
  [SMALL_STATE(16097)] = 722418,
  [SMALL_STATE(16098)] = 722436,
  [SMALL_STATE(16099)] = 722454,
  [SMALL_STATE(16100)] = 722472,
  [SMALL_STATE(16101)] = 722490,
  [SMALL_STATE(16102)] = 722508,
  [SMALL_STATE(16103)] = 722528,
  [SMALL_STATE(16104)] = 722548,
  [SMALL_STATE(16105)] = 722568,
  [SMALL_STATE(16106)] = 722588,
  [SMALL_STATE(16107)] = 722608,
  [SMALL_STATE(16108)] = 722628,
  [SMALL_STATE(16109)] = 722648,
  [SMALL_STATE(16110)] = 722668,
  [SMALL_STATE(16111)] = 722688,
  [SMALL_STATE(16112)] = 722708,
  [SMALL_STATE(16113)] = 722728,
  [SMALL_STATE(16114)] = 722748,
  [SMALL_STATE(16115)] = 722768,
  [SMALL_STATE(16116)] = 722788,
  [SMALL_STATE(16117)] = 722808,
  [SMALL_STATE(16118)] = 722828,
  [SMALL_STATE(16119)] = 722848,
  [SMALL_STATE(16120)] = 722868,
  [SMALL_STATE(16121)] = 722888,
  [SMALL_STATE(16122)] = 722908,
  [SMALL_STATE(16123)] = 722928,
  [SMALL_STATE(16124)] = 722948,
  [SMALL_STATE(16125)] = 722968,
  [SMALL_STATE(16126)] = 722988,
  [SMALL_STATE(16127)] = 723008,
  [SMALL_STATE(16128)] = 723028,
  [SMALL_STATE(16129)] = 723048,
  [SMALL_STATE(16130)] = 723068,
  [SMALL_STATE(16131)] = 723088,
  [SMALL_STATE(16132)] = 723108,
  [SMALL_STATE(16133)] = 723126,
  [SMALL_STATE(16134)] = 723146,
  [SMALL_STATE(16135)] = 723166,
  [SMALL_STATE(16136)] = 723186,
  [SMALL_STATE(16137)] = 723206,
  [SMALL_STATE(16138)] = 723226,
  [SMALL_STATE(16139)] = 723246,
  [SMALL_STATE(16140)] = 723266,
  [SMALL_STATE(16141)] = 723286,
  [SMALL_STATE(16142)] = 723306,
  [SMALL_STATE(16143)] = 723324,
  [SMALL_STATE(16144)] = 723344,
  [SMALL_STATE(16145)] = 723364,
  [SMALL_STATE(16146)] = 723384,
  [SMALL_STATE(16147)] = 723404,
  [SMALL_STATE(16148)] = 723424,
  [SMALL_STATE(16149)] = 723444,
  [SMALL_STATE(16150)] = 723462,
  [SMALL_STATE(16151)] = 723482,
  [SMALL_STATE(16152)] = 723502,
  [SMALL_STATE(16153)] = 723522,
  [SMALL_STATE(16154)] = 723542,
  [SMALL_STATE(16155)] = 723562,
  [SMALL_STATE(16156)] = 723580,
  [SMALL_STATE(16157)] = 723600,
  [SMALL_STATE(16158)] = 723620,
  [SMALL_STATE(16159)] = 723640,
  [SMALL_STATE(16160)] = 723660,
  [SMALL_STATE(16161)] = 723680,
  [SMALL_STATE(16162)] = 723700,
  [SMALL_STATE(16163)] = 723720,
  [SMALL_STATE(16164)] = 723740,
  [SMALL_STATE(16165)] = 723760,
  [SMALL_STATE(16166)] = 723780,
  [SMALL_STATE(16167)] = 723800,
  [SMALL_STATE(16168)] = 723820,
  [SMALL_STATE(16169)] = 723840,
  [SMALL_STATE(16170)] = 723860,
  [SMALL_STATE(16171)] = 723880,
  [SMALL_STATE(16172)] = 723900,
  [SMALL_STATE(16173)] = 723920,
  [SMALL_STATE(16174)] = 723940,
  [SMALL_STATE(16175)] = 723958,
  [SMALL_STATE(16176)] = 723978,
  [SMALL_STATE(16177)] = 723998,
  [SMALL_STATE(16178)] = 724018,
  [SMALL_STATE(16179)] = 724036,
  [SMALL_STATE(16180)] = 724056,
  [SMALL_STATE(16181)] = 724074,
  [SMALL_STATE(16182)] = 724094,
  [SMALL_STATE(16183)] = 724114,
  [SMALL_STATE(16184)] = 724134,
  [SMALL_STATE(16185)] = 724154,
  [SMALL_STATE(16186)] = 724174,
  [SMALL_STATE(16187)] = 724194,
  [SMALL_STATE(16188)] = 724212,
  [SMALL_STATE(16189)] = 724230,
  [SMALL_STATE(16190)] = 724250,
  [SMALL_STATE(16191)] = 724270,
  [SMALL_STATE(16192)] = 724288,
  [SMALL_STATE(16193)] = 724308,
  [SMALL_STATE(16194)] = 724328,
  [SMALL_STATE(16195)] = 724348,
  [SMALL_STATE(16196)] = 724368,
  [SMALL_STATE(16197)] = 724386,
  [SMALL_STATE(16198)] = 724406,
  [SMALL_STATE(16199)] = 724424,
  [SMALL_STATE(16200)] = 724444,
  [SMALL_STATE(16201)] = 724464,
  [SMALL_STATE(16202)] = 724484,
  [SMALL_STATE(16203)] = 724504,
  [SMALL_STATE(16204)] = 724524,
  [SMALL_STATE(16205)] = 724544,
  [SMALL_STATE(16206)] = 724564,
  [SMALL_STATE(16207)] = 724584,
  [SMALL_STATE(16208)] = 724602,
  [SMALL_STATE(16209)] = 724622,
  [SMALL_STATE(16210)] = 724642,
  [SMALL_STATE(16211)] = 724662,
  [SMALL_STATE(16212)] = 724682,
  [SMALL_STATE(16213)] = 724700,
  [SMALL_STATE(16214)] = 724720,
  [SMALL_STATE(16215)] = 724738,
  [SMALL_STATE(16216)] = 724756,
  [SMALL_STATE(16217)] = 724776,
  [SMALL_STATE(16218)] = 724796,
  [SMALL_STATE(16219)] = 724816,
  [SMALL_STATE(16220)] = 724833,
  [SMALL_STATE(16221)] = 724850,
  [SMALL_STATE(16222)] = 724867,
  [SMALL_STATE(16223)] = 724884,
  [SMALL_STATE(16224)] = 724901,
  [SMALL_STATE(16225)] = 724918,
  [SMALL_STATE(16226)] = 724935,
  [SMALL_STATE(16227)] = 724952,
  [SMALL_STATE(16228)] = 724969,
  [SMALL_STATE(16229)] = 724986,
  [SMALL_STATE(16230)] = 725001,
  [SMALL_STATE(16231)] = 725018,
  [SMALL_STATE(16232)] = 725033,
  [SMALL_STATE(16233)] = 725050,
  [SMALL_STATE(16234)] = 725067,
  [SMALL_STATE(16235)] = 725084,
  [SMALL_STATE(16236)] = 725101,
  [SMALL_STATE(16237)] = 725118,
  [SMALL_STATE(16238)] = 725135,
  [SMALL_STATE(16239)] = 725152,
  [SMALL_STATE(16240)] = 725169,
  [SMALL_STATE(16241)] = 725186,
  [SMALL_STATE(16242)] = 725203,
  [SMALL_STATE(16243)] = 725220,
  [SMALL_STATE(16244)] = 725237,
  [SMALL_STATE(16245)] = 725254,
  [SMALL_STATE(16246)] = 725269,
  [SMALL_STATE(16247)] = 725286,
  [SMALL_STATE(16248)] = 725303,
  [SMALL_STATE(16249)] = 725320,
  [SMALL_STATE(16250)] = 725337,
  [SMALL_STATE(16251)] = 725354,
  [SMALL_STATE(16252)] = 725371,
  [SMALL_STATE(16253)] = 725388,
  [SMALL_STATE(16254)] = 725403,
  [SMALL_STATE(16255)] = 725420,
  [SMALL_STATE(16256)] = 725437,
  [SMALL_STATE(16257)] = 725454,
  [SMALL_STATE(16258)] = 725471,
  [SMALL_STATE(16259)] = 725488,
  [SMALL_STATE(16260)] = 725505,
  [SMALL_STATE(16261)] = 725522,
  [SMALL_STATE(16262)] = 725539,
  [SMALL_STATE(16263)] = 725554,
  [SMALL_STATE(16264)] = 725571,
  [SMALL_STATE(16265)] = 725588,
  [SMALL_STATE(16266)] = 725605,
  [SMALL_STATE(16267)] = 725622,
  [SMALL_STATE(16268)] = 725639,
  [SMALL_STATE(16269)] = 725656,
  [SMALL_STATE(16270)] = 725673,
  [SMALL_STATE(16271)] = 725690,
  [SMALL_STATE(16272)] = 725707,
  [SMALL_STATE(16273)] = 725724,
  [SMALL_STATE(16274)] = 725741,
  [SMALL_STATE(16275)] = 725758,
  [SMALL_STATE(16276)] = 725775,
  [SMALL_STATE(16277)] = 725792,
  [SMALL_STATE(16278)] = 725809,
  [SMALL_STATE(16279)] = 725826,
  [SMALL_STATE(16280)] = 725843,
  [SMALL_STATE(16281)] = 725860,
  [SMALL_STATE(16282)] = 725877,
  [SMALL_STATE(16283)] = 725894,
  [SMALL_STATE(16284)] = 725911,
  [SMALL_STATE(16285)] = 725928,
  [SMALL_STATE(16286)] = 725945,
  [SMALL_STATE(16287)] = 725962,
  [SMALL_STATE(16288)] = 725979,
  [SMALL_STATE(16289)] = 725996,
  [SMALL_STATE(16290)] = 726013,
  [SMALL_STATE(16291)] = 726030,
  [SMALL_STATE(16292)] = 726047,
  [SMALL_STATE(16293)] = 726064,
  [SMALL_STATE(16294)] = 726081,
  [SMALL_STATE(16295)] = 726098,
  [SMALL_STATE(16296)] = 726113,
  [SMALL_STATE(16297)] = 726130,
  [SMALL_STATE(16298)] = 726147,
  [SMALL_STATE(16299)] = 726162,
  [SMALL_STATE(16300)] = 726179,
  [SMALL_STATE(16301)] = 726196,
  [SMALL_STATE(16302)] = 726213,
  [SMALL_STATE(16303)] = 726230,
  [SMALL_STATE(16304)] = 726247,
  [SMALL_STATE(16305)] = 726264,
  [SMALL_STATE(16306)] = 726281,
  [SMALL_STATE(16307)] = 726298,
  [SMALL_STATE(16308)] = 726313,
  [SMALL_STATE(16309)] = 726328,
  [SMALL_STATE(16310)] = 726343,
  [SMALL_STATE(16311)] = 726360,
  [SMALL_STATE(16312)] = 726377,
  [SMALL_STATE(16313)] = 726394,
  [SMALL_STATE(16314)] = 726411,
  [SMALL_STATE(16315)] = 726428,
  [SMALL_STATE(16316)] = 726445,
  [SMALL_STATE(16317)] = 726462,
  [SMALL_STATE(16318)] = 726479,
  [SMALL_STATE(16319)] = 726496,
  [SMALL_STATE(16320)] = 726513,
  [SMALL_STATE(16321)] = 726530,
  [SMALL_STATE(16322)] = 726547,
  [SMALL_STATE(16323)] = 726564,
  [SMALL_STATE(16324)] = 726581,
  [SMALL_STATE(16325)] = 726596,
  [SMALL_STATE(16326)] = 726613,
  [SMALL_STATE(16327)] = 726630,
  [SMALL_STATE(16328)] = 726647,
  [SMALL_STATE(16329)] = 726664,
  [SMALL_STATE(16330)] = 726681,
  [SMALL_STATE(16331)] = 726698,
  [SMALL_STATE(16332)] = 726715,
  [SMALL_STATE(16333)] = 726732,
  [SMALL_STATE(16334)] = 726749,
  [SMALL_STATE(16335)] = 726766,
  [SMALL_STATE(16336)] = 726783,
  [SMALL_STATE(16337)] = 726800,
  [SMALL_STATE(16338)] = 726815,
  [SMALL_STATE(16339)] = 726832,
  [SMALL_STATE(16340)] = 726849,
  [SMALL_STATE(16341)] = 726866,
  [SMALL_STATE(16342)] = 726883,
  [SMALL_STATE(16343)] = 726900,
  [SMALL_STATE(16344)] = 726917,
  [SMALL_STATE(16345)] = 726934,
  [SMALL_STATE(16346)] = 726951,
  [SMALL_STATE(16347)] = 726968,
  [SMALL_STATE(16348)] = 726985,
  [SMALL_STATE(16349)] = 727002,
  [SMALL_STATE(16350)] = 727019,
  [SMALL_STATE(16351)] = 727034,
  [SMALL_STATE(16352)] = 727049,
  [SMALL_STATE(16353)] = 727066,
  [SMALL_STATE(16354)] = 727083,
  [SMALL_STATE(16355)] = 727100,
  [SMALL_STATE(16356)] = 727117,
  [SMALL_STATE(16357)] = 727134,
  [SMALL_STATE(16358)] = 727151,
  [SMALL_STATE(16359)] = 727168,
  [SMALL_STATE(16360)] = 727185,
  [SMALL_STATE(16361)] = 727202,
  [SMALL_STATE(16362)] = 727219,
  [SMALL_STATE(16363)] = 727236,
  [SMALL_STATE(16364)] = 727253,
  [SMALL_STATE(16365)] = 727270,
  [SMALL_STATE(16366)] = 727287,
  [SMALL_STATE(16367)] = 727304,
  [SMALL_STATE(16368)] = 727321,
  [SMALL_STATE(16369)] = 727338,
  [SMALL_STATE(16370)] = 727355,
  [SMALL_STATE(16371)] = 727372,
  [SMALL_STATE(16372)] = 727389,
  [SMALL_STATE(16373)] = 727406,
  [SMALL_STATE(16374)] = 727421,
  [SMALL_STATE(16375)] = 727438,
  [SMALL_STATE(16376)] = 727455,
  [SMALL_STATE(16377)] = 727472,
  [SMALL_STATE(16378)] = 727487,
  [SMALL_STATE(16379)] = 727504,
  [SMALL_STATE(16380)] = 727521,
  [SMALL_STATE(16381)] = 727538,
  [SMALL_STATE(16382)] = 727555,
  [SMALL_STATE(16383)] = 727570,
  [SMALL_STATE(16384)] = 727587,
  [SMALL_STATE(16385)] = 727604,
  [SMALL_STATE(16386)] = 727621,
  [SMALL_STATE(16387)] = 727636,
  [SMALL_STATE(16388)] = 727653,
  [SMALL_STATE(16389)] = 727670,
  [SMALL_STATE(16390)] = 727685,
  [SMALL_STATE(16391)] = 727700,
  [SMALL_STATE(16392)] = 727717,
  [SMALL_STATE(16393)] = 727734,
  [SMALL_STATE(16394)] = 727751,
  [SMALL_STATE(16395)] = 727768,
  [SMALL_STATE(16396)] = 727785,
  [SMALL_STATE(16397)] = 727802,
  [SMALL_STATE(16398)] = 727819,
  [SMALL_STATE(16399)] = 727836,
  [SMALL_STATE(16400)] = 727853,
  [SMALL_STATE(16401)] = 727870,
  [SMALL_STATE(16402)] = 727887,
  [SMALL_STATE(16403)] = 727904,
  [SMALL_STATE(16404)] = 727921,
  [SMALL_STATE(16405)] = 727938,
  [SMALL_STATE(16406)] = 727953,
  [SMALL_STATE(16407)] = 727970,
  [SMALL_STATE(16408)] = 727987,
  [SMALL_STATE(16409)] = 728004,
  [SMALL_STATE(16410)] = 728021,
  [SMALL_STATE(16411)] = 728038,
  [SMALL_STATE(16412)] = 728055,
  [SMALL_STATE(16413)] = 728072,
  [SMALL_STATE(16414)] = 728089,
  [SMALL_STATE(16415)] = 728104,
  [SMALL_STATE(16416)] = 728121,
  [SMALL_STATE(16417)] = 728138,
  [SMALL_STATE(16418)] = 728155,
  [SMALL_STATE(16419)] = 728172,
  [SMALL_STATE(16420)] = 728189,
  [SMALL_STATE(16421)] = 728206,
  [SMALL_STATE(16422)] = 728223,
  [SMALL_STATE(16423)] = 728240,
  [SMALL_STATE(16424)] = 728257,
  [SMALL_STATE(16425)] = 728274,
  [SMALL_STATE(16426)] = 728291,
  [SMALL_STATE(16427)] = 728308,
  [SMALL_STATE(16428)] = 728325,
  [SMALL_STATE(16429)] = 728340,
  [SMALL_STATE(16430)] = 728357,
  [SMALL_STATE(16431)] = 728374,
  [SMALL_STATE(16432)] = 728391,
  [SMALL_STATE(16433)] = 728408,
  [SMALL_STATE(16434)] = 728425,
  [SMALL_STATE(16435)] = 728440,
  [SMALL_STATE(16436)] = 728457,
  [SMALL_STATE(16437)] = 728474,
  [SMALL_STATE(16438)] = 728491,
  [SMALL_STATE(16439)] = 728508,
  [SMALL_STATE(16440)] = 728525,
  [SMALL_STATE(16441)] = 728542,
  [SMALL_STATE(16442)] = 728559,
  [SMALL_STATE(16443)] = 728576,
  [SMALL_STATE(16444)] = 728593,
  [SMALL_STATE(16445)] = 728610,
  [SMALL_STATE(16446)] = 728627,
  [SMALL_STATE(16447)] = 728644,
  [SMALL_STATE(16448)] = 728661,
  [SMALL_STATE(16449)] = 728678,
  [SMALL_STATE(16450)] = 728695,
  [SMALL_STATE(16451)] = 728712,
  [SMALL_STATE(16452)] = 728729,
  [SMALL_STATE(16453)] = 728746,
  [SMALL_STATE(16454)] = 728763,
  [SMALL_STATE(16455)] = 728780,
  [SMALL_STATE(16456)] = 728797,
  [SMALL_STATE(16457)] = 728814,
  [SMALL_STATE(16458)] = 728831,
  [SMALL_STATE(16459)] = 728848,
  [SMALL_STATE(16460)] = 728865,
  [SMALL_STATE(16461)] = 728882,
  [SMALL_STATE(16462)] = 728897,
  [SMALL_STATE(16463)] = 728914,
  [SMALL_STATE(16464)] = 728931,
  [SMALL_STATE(16465)] = 728948,
  [SMALL_STATE(16466)] = 728965,
  [SMALL_STATE(16467)] = 728982,
  [SMALL_STATE(16468)] = 728999,
  [SMALL_STATE(16469)] = 729016,
  [SMALL_STATE(16470)] = 729031,
  [SMALL_STATE(16471)] = 729046,
  [SMALL_STATE(16472)] = 729063,
  [SMALL_STATE(16473)] = 729080,
  [SMALL_STATE(16474)] = 729097,
  [SMALL_STATE(16475)] = 729112,
  [SMALL_STATE(16476)] = 729129,
  [SMALL_STATE(16477)] = 729146,
  [SMALL_STATE(16478)] = 729163,
  [SMALL_STATE(16479)] = 729180,
  [SMALL_STATE(16480)] = 729197,
  [SMALL_STATE(16481)] = 729214,
  [SMALL_STATE(16482)] = 729231,
  [SMALL_STATE(16483)] = 729248,
  [SMALL_STATE(16484)] = 729265,
  [SMALL_STATE(16485)] = 729282,
  [SMALL_STATE(16486)] = 729299,
  [SMALL_STATE(16487)] = 729314,
  [SMALL_STATE(16488)] = 729329,
  [SMALL_STATE(16489)] = 729346,
  [SMALL_STATE(16490)] = 729361,
  [SMALL_STATE(16491)] = 729378,
  [SMALL_STATE(16492)] = 729393,
  [SMALL_STATE(16493)] = 729408,
  [SMALL_STATE(16494)] = 729425,
  [SMALL_STATE(16495)] = 729442,
  [SMALL_STATE(16496)] = 729459,
  [SMALL_STATE(16497)] = 729476,
  [SMALL_STATE(16498)] = 729493,
  [SMALL_STATE(16499)] = 729510,
  [SMALL_STATE(16500)] = 729527,
  [SMALL_STATE(16501)] = 729544,
  [SMALL_STATE(16502)] = 729561,
  [SMALL_STATE(16503)] = 729578,
  [SMALL_STATE(16504)] = 729595,
  [SMALL_STATE(16505)] = 729612,
  [SMALL_STATE(16506)] = 729629,
  [SMALL_STATE(16507)] = 729646,
  [SMALL_STATE(16508)] = 729663,
  [SMALL_STATE(16509)] = 729680,
  [SMALL_STATE(16510)] = 729697,
  [SMALL_STATE(16511)] = 729714,
  [SMALL_STATE(16512)] = 729731,
  [SMALL_STATE(16513)] = 729746,
  [SMALL_STATE(16514)] = 729763,
  [SMALL_STATE(16515)] = 729780,
  [SMALL_STATE(16516)] = 729797,
  [SMALL_STATE(16517)] = 729814,
  [SMALL_STATE(16518)] = 729831,
  [SMALL_STATE(16519)] = 729846,
  [SMALL_STATE(16520)] = 729863,
  [SMALL_STATE(16521)] = 729880,
  [SMALL_STATE(16522)] = 729897,
  [SMALL_STATE(16523)] = 729914,
  [SMALL_STATE(16524)] = 729929,
  [SMALL_STATE(16525)] = 729946,
  [SMALL_STATE(16526)] = 729963,
  [SMALL_STATE(16527)] = 729980,
  [SMALL_STATE(16528)] = 729997,
  [SMALL_STATE(16529)] = 730014,
  [SMALL_STATE(16530)] = 730031,
  [SMALL_STATE(16531)] = 730046,
  [SMALL_STATE(16532)] = 730061,
  [SMALL_STATE(16533)] = 730078,
  [SMALL_STATE(16534)] = 730095,
  [SMALL_STATE(16535)] = 730112,
  [SMALL_STATE(16536)] = 730129,
  [SMALL_STATE(16537)] = 730146,
  [SMALL_STATE(16538)] = 730161,
  [SMALL_STATE(16539)] = 730176,
  [SMALL_STATE(16540)] = 730191,
  [SMALL_STATE(16541)] = 730208,
  [SMALL_STATE(16542)] = 730225,
  [SMALL_STATE(16543)] = 730242,
  [SMALL_STATE(16544)] = 730259,
  [SMALL_STATE(16545)] = 730276,
  [SMALL_STATE(16546)] = 730293,
  [SMALL_STATE(16547)] = 730310,
  [SMALL_STATE(16548)] = 730327,
  [SMALL_STATE(16549)] = 730344,
  [SMALL_STATE(16550)] = 730361,
  [SMALL_STATE(16551)] = 730378,
  [SMALL_STATE(16552)] = 730395,
  [SMALL_STATE(16553)] = 730412,
  [SMALL_STATE(16554)] = 730427,
  [SMALL_STATE(16555)] = 730444,
  [SMALL_STATE(16556)] = 730459,
  [SMALL_STATE(16557)] = 730476,
  [SMALL_STATE(16558)] = 730493,
  [SMALL_STATE(16559)] = 730510,
  [SMALL_STATE(16560)] = 730527,
  [SMALL_STATE(16561)] = 730544,
  [SMALL_STATE(16562)] = 730561,
  [SMALL_STATE(16563)] = 730578,
  [SMALL_STATE(16564)] = 730595,
  [SMALL_STATE(16565)] = 730612,
  [SMALL_STATE(16566)] = 730629,
  [SMALL_STATE(16567)] = 730646,
  [SMALL_STATE(16568)] = 730663,
  [SMALL_STATE(16569)] = 730680,
  [SMALL_STATE(16570)] = 730697,
  [SMALL_STATE(16571)] = 730714,
  [SMALL_STATE(16572)] = 730731,
  [SMALL_STATE(16573)] = 730748,
  [SMALL_STATE(16574)] = 730765,
  [SMALL_STATE(16575)] = 730782,
  [SMALL_STATE(16576)] = 730799,
  [SMALL_STATE(16577)] = 730816,
  [SMALL_STATE(16578)] = 730833,
  [SMALL_STATE(16579)] = 730850,
  [SMALL_STATE(16580)] = 730865,
  [SMALL_STATE(16581)] = 730882,
  [SMALL_STATE(16582)] = 730897,
  [SMALL_STATE(16583)] = 730914,
  [SMALL_STATE(16584)] = 730931,
  [SMALL_STATE(16585)] = 730948,
  [SMALL_STATE(16586)] = 730965,
  [SMALL_STATE(16587)] = 730982,
  [SMALL_STATE(16588)] = 730999,
  [SMALL_STATE(16589)] = 731016,
  [SMALL_STATE(16590)] = 731033,
  [SMALL_STATE(16591)] = 731050,
  [SMALL_STATE(16592)] = 731067,
  [SMALL_STATE(16593)] = 731082,
  [SMALL_STATE(16594)] = 731099,
  [SMALL_STATE(16595)] = 731114,
  [SMALL_STATE(16596)] = 731131,
  [SMALL_STATE(16597)] = 731148,
  [SMALL_STATE(16598)] = 731165,
  [SMALL_STATE(16599)] = 731182,
  [SMALL_STATE(16600)] = 731197,
  [SMALL_STATE(16601)] = 731212,
  [SMALL_STATE(16602)] = 731227,
  [SMALL_STATE(16603)] = 731244,
  [SMALL_STATE(16604)] = 731261,
  [SMALL_STATE(16605)] = 731278,
  [SMALL_STATE(16606)] = 731295,
  [SMALL_STATE(16607)] = 731312,
  [SMALL_STATE(16608)] = 731329,
  [SMALL_STATE(16609)] = 731346,
  [SMALL_STATE(16610)] = 731363,
  [SMALL_STATE(16611)] = 731378,
  [SMALL_STATE(16612)] = 731393,
  [SMALL_STATE(16613)] = 731410,
  [SMALL_STATE(16614)] = 731427,
  [SMALL_STATE(16615)] = 731444,
  [SMALL_STATE(16616)] = 731461,
  [SMALL_STATE(16617)] = 731478,
  [SMALL_STATE(16618)] = 731493,
  [SMALL_STATE(16619)] = 731510,
  [SMALL_STATE(16620)] = 731527,
  [SMALL_STATE(16621)] = 731544,
  [SMALL_STATE(16622)] = 731561,
  [SMALL_STATE(16623)] = 731576,
  [SMALL_STATE(16624)] = 731593,
  [SMALL_STATE(16625)] = 731610,
  [SMALL_STATE(16626)] = 731627,
  [SMALL_STATE(16627)] = 731644,
  [SMALL_STATE(16628)] = 731661,
  [SMALL_STATE(16629)] = 731678,
  [SMALL_STATE(16630)] = 731695,
  [SMALL_STATE(16631)] = 731712,
  [SMALL_STATE(16632)] = 731729,
  [SMALL_STATE(16633)] = 731746,
  [SMALL_STATE(16634)] = 731763,
  [SMALL_STATE(16635)] = 731780,
  [SMALL_STATE(16636)] = 731797,
  [SMALL_STATE(16637)] = 731812,
  [SMALL_STATE(16638)] = 731829,
  [SMALL_STATE(16639)] = 731846,
  [SMALL_STATE(16640)] = 731863,
  [SMALL_STATE(16641)] = 731880,
  [SMALL_STATE(16642)] = 731897,
  [SMALL_STATE(16643)] = 731914,
  [SMALL_STATE(16644)] = 731931,
  [SMALL_STATE(16645)] = 731948,
  [SMALL_STATE(16646)] = 731965,
  [SMALL_STATE(16647)] = 731982,
  [SMALL_STATE(16648)] = 731999,
  [SMALL_STATE(16649)] = 732016,
  [SMALL_STATE(16650)] = 732033,
  [SMALL_STATE(16651)] = 732050,
  [SMALL_STATE(16652)] = 732067,
  [SMALL_STATE(16653)] = 732084,
  [SMALL_STATE(16654)] = 732101,
  [SMALL_STATE(16655)] = 732118,
  [SMALL_STATE(16656)] = 732135,
  [SMALL_STATE(16657)] = 732152,
  [SMALL_STATE(16658)] = 732169,
  [SMALL_STATE(16659)] = 732186,
  [SMALL_STATE(16660)] = 732203,
  [SMALL_STATE(16661)] = 732220,
  [SMALL_STATE(16662)] = 732237,
  [SMALL_STATE(16663)] = 732254,
  [SMALL_STATE(16664)] = 732271,
  [SMALL_STATE(16665)] = 732288,
  [SMALL_STATE(16666)] = 732305,
  [SMALL_STATE(16667)] = 732322,
  [SMALL_STATE(16668)] = 732339,
  [SMALL_STATE(16669)] = 732356,
  [SMALL_STATE(16670)] = 732373,
  [SMALL_STATE(16671)] = 732390,
  [SMALL_STATE(16672)] = 732407,
  [SMALL_STATE(16673)] = 732424,
  [SMALL_STATE(16674)] = 732441,
  [SMALL_STATE(16675)] = 732458,
  [SMALL_STATE(16676)] = 732475,
  [SMALL_STATE(16677)] = 732492,
  [SMALL_STATE(16678)] = 732509,
  [SMALL_STATE(16679)] = 732526,
  [SMALL_STATE(16680)] = 732543,
  [SMALL_STATE(16681)] = 732560,
  [SMALL_STATE(16682)] = 732577,
  [SMALL_STATE(16683)] = 732594,
  [SMALL_STATE(16684)] = 732611,
  [SMALL_STATE(16685)] = 732628,
  [SMALL_STATE(16686)] = 732643,
  [SMALL_STATE(16687)] = 732660,
  [SMALL_STATE(16688)] = 732677,
  [SMALL_STATE(16689)] = 732694,
  [SMALL_STATE(16690)] = 732711,
  [SMALL_STATE(16691)] = 732728,
  [SMALL_STATE(16692)] = 732745,
  [SMALL_STATE(16693)] = 732762,
  [SMALL_STATE(16694)] = 732779,
  [SMALL_STATE(16695)] = 732796,
  [SMALL_STATE(16696)] = 732813,
  [SMALL_STATE(16697)] = 732830,
  [SMALL_STATE(16698)] = 732847,
  [SMALL_STATE(16699)] = 732864,
  [SMALL_STATE(16700)] = 732881,
  [SMALL_STATE(16701)] = 732898,
  [SMALL_STATE(16702)] = 732915,
  [SMALL_STATE(16703)] = 732932,
  [SMALL_STATE(16704)] = 732949,
  [SMALL_STATE(16705)] = 732966,
  [SMALL_STATE(16706)] = 732983,
  [SMALL_STATE(16707)] = 732998,
  [SMALL_STATE(16708)] = 733015,
  [SMALL_STATE(16709)] = 733032,
  [SMALL_STATE(16710)] = 733049,
  [SMALL_STATE(16711)] = 733066,
  [SMALL_STATE(16712)] = 733081,
  [SMALL_STATE(16713)] = 733098,
  [SMALL_STATE(16714)] = 733113,
  [SMALL_STATE(16715)] = 733130,
  [SMALL_STATE(16716)] = 733147,
  [SMALL_STATE(16717)] = 733164,
  [SMALL_STATE(16718)] = 733181,
  [SMALL_STATE(16719)] = 733198,
  [SMALL_STATE(16720)] = 733215,
  [SMALL_STATE(16721)] = 733232,
  [SMALL_STATE(16722)] = 733249,
  [SMALL_STATE(16723)] = 733266,
  [SMALL_STATE(16724)] = 733283,
  [SMALL_STATE(16725)] = 733300,
  [SMALL_STATE(16726)] = 733317,
  [SMALL_STATE(16727)] = 733334,
  [SMALL_STATE(16728)] = 733351,
  [SMALL_STATE(16729)] = 733368,
  [SMALL_STATE(16730)] = 733385,
  [SMALL_STATE(16731)] = 733402,
  [SMALL_STATE(16732)] = 733419,
  [SMALL_STATE(16733)] = 733436,
  [SMALL_STATE(16734)] = 733453,
  [SMALL_STATE(16735)] = 733470,
  [SMALL_STATE(16736)] = 733487,
  [SMALL_STATE(16737)] = 733504,
  [SMALL_STATE(16738)] = 733521,
  [SMALL_STATE(16739)] = 733538,
  [SMALL_STATE(16740)] = 733555,
  [SMALL_STATE(16741)] = 733572,
  [SMALL_STATE(16742)] = 733589,
  [SMALL_STATE(16743)] = 733606,
  [SMALL_STATE(16744)] = 733623,
  [SMALL_STATE(16745)] = 733640,
  [SMALL_STATE(16746)] = 733657,
  [SMALL_STATE(16747)] = 733674,
  [SMALL_STATE(16748)] = 733691,
  [SMALL_STATE(16749)] = 733708,
  [SMALL_STATE(16750)] = 733725,
  [SMALL_STATE(16751)] = 733742,
  [SMALL_STATE(16752)] = 733759,
  [SMALL_STATE(16753)] = 733776,
  [SMALL_STATE(16754)] = 733793,
  [SMALL_STATE(16755)] = 733810,
  [SMALL_STATE(16756)] = 733827,
  [SMALL_STATE(16757)] = 733844,
  [SMALL_STATE(16758)] = 733861,
  [SMALL_STATE(16759)] = 733876,
  [SMALL_STATE(16760)] = 733893,
  [SMALL_STATE(16761)] = 733910,
  [SMALL_STATE(16762)] = 733927,
  [SMALL_STATE(16763)] = 733944,
  [SMALL_STATE(16764)] = 733961,
  [SMALL_STATE(16765)] = 733978,
  [SMALL_STATE(16766)] = 733995,
  [SMALL_STATE(16767)] = 734012,
  [SMALL_STATE(16768)] = 734029,
  [SMALL_STATE(16769)] = 734046,
  [SMALL_STATE(16770)] = 734063,
  [SMALL_STATE(16771)] = 734080,
  [SMALL_STATE(16772)] = 734097,
  [SMALL_STATE(16773)] = 734114,
  [SMALL_STATE(16774)] = 734131,
  [SMALL_STATE(16775)] = 734148,
  [SMALL_STATE(16776)] = 734165,
  [SMALL_STATE(16777)] = 734182,
  [SMALL_STATE(16778)] = 734199,
  [SMALL_STATE(16779)] = 734216,
  [SMALL_STATE(16780)] = 734233,
  [SMALL_STATE(16781)] = 734250,
  [SMALL_STATE(16782)] = 734267,
  [SMALL_STATE(16783)] = 734284,
  [SMALL_STATE(16784)] = 734301,
  [SMALL_STATE(16785)] = 734318,
  [SMALL_STATE(16786)] = 734335,
  [SMALL_STATE(16787)] = 734352,
  [SMALL_STATE(16788)] = 734369,
  [SMALL_STATE(16789)] = 734386,
  [SMALL_STATE(16790)] = 734403,
  [SMALL_STATE(16791)] = 734420,
  [SMALL_STATE(16792)] = 734437,
  [SMALL_STATE(16793)] = 734454,
  [SMALL_STATE(16794)] = 734471,
  [SMALL_STATE(16795)] = 734488,
  [SMALL_STATE(16796)] = 734503,
  [SMALL_STATE(16797)] = 734520,
  [SMALL_STATE(16798)] = 734537,
  [SMALL_STATE(16799)] = 734554,
  [SMALL_STATE(16800)] = 734571,
  [SMALL_STATE(16801)] = 734588,
  [SMALL_STATE(16802)] = 734605,
  [SMALL_STATE(16803)] = 734622,
  [SMALL_STATE(16804)] = 734637,
  [SMALL_STATE(16805)] = 734654,
  [SMALL_STATE(16806)] = 734671,
  [SMALL_STATE(16807)] = 734688,
  [SMALL_STATE(16808)] = 734705,
  [SMALL_STATE(16809)] = 734720,
  [SMALL_STATE(16810)] = 734737,
  [SMALL_STATE(16811)] = 734754,
  [SMALL_STATE(16812)] = 734771,
  [SMALL_STATE(16813)] = 734788,
  [SMALL_STATE(16814)] = 734805,
  [SMALL_STATE(16815)] = 734822,
  [SMALL_STATE(16816)] = 734839,
  [SMALL_STATE(16817)] = 734856,
  [SMALL_STATE(16818)] = 734873,
  [SMALL_STATE(16819)] = 734888,
  [SMALL_STATE(16820)] = 734905,
  [SMALL_STATE(16821)] = 734922,
  [SMALL_STATE(16822)] = 734937,
  [SMALL_STATE(16823)] = 734954,
  [SMALL_STATE(16824)] = 734969,
  [SMALL_STATE(16825)] = 734984,
  [SMALL_STATE(16826)] = 734999,
  [SMALL_STATE(16827)] = 735016,
  [SMALL_STATE(16828)] = 735033,
  [SMALL_STATE(16829)] = 735050,
  [SMALL_STATE(16830)] = 735067,
  [SMALL_STATE(16831)] = 735084,
  [SMALL_STATE(16832)] = 735101,
  [SMALL_STATE(16833)] = 735118,
  [SMALL_STATE(16834)] = 735133,
  [SMALL_STATE(16835)] = 735150,
  [SMALL_STATE(16836)] = 735167,
  [SMALL_STATE(16837)] = 735184,
  [SMALL_STATE(16838)] = 735201,
  [SMALL_STATE(16839)] = 735218,
  [SMALL_STATE(16840)] = 735235,
  [SMALL_STATE(16841)] = 735250,
  [SMALL_STATE(16842)] = 735267,
  [SMALL_STATE(16843)] = 735284,
  [SMALL_STATE(16844)] = 735301,
  [SMALL_STATE(16845)] = 735318,
  [SMALL_STATE(16846)] = 735335,
  [SMALL_STATE(16847)] = 735352,
  [SMALL_STATE(16848)] = 735369,
  [SMALL_STATE(16849)] = 735386,
  [SMALL_STATE(16850)] = 735403,
  [SMALL_STATE(16851)] = 735420,
  [SMALL_STATE(16852)] = 735437,
  [SMALL_STATE(16853)] = 735452,
  [SMALL_STATE(16854)] = 735469,
  [SMALL_STATE(16855)] = 735486,
  [SMALL_STATE(16856)] = 735503,
  [SMALL_STATE(16857)] = 735520,
  [SMALL_STATE(16858)] = 735537,
  [SMALL_STATE(16859)] = 735554,
  [SMALL_STATE(16860)] = 735571,
  [SMALL_STATE(16861)] = 735588,
  [SMALL_STATE(16862)] = 735605,
  [SMALL_STATE(16863)] = 735620,
  [SMALL_STATE(16864)] = 735637,
  [SMALL_STATE(16865)] = 735654,
  [SMALL_STATE(16866)] = 735671,
  [SMALL_STATE(16867)] = 735686,
  [SMALL_STATE(16868)] = 735703,
  [SMALL_STATE(16869)] = 735720,
  [SMALL_STATE(16870)] = 735737,
  [SMALL_STATE(16871)] = 735754,
  [SMALL_STATE(16872)] = 735771,
  [SMALL_STATE(16873)] = 735788,
  [SMALL_STATE(16874)] = 735803,
  [SMALL_STATE(16875)] = 735820,
  [SMALL_STATE(16876)] = 735837,
  [SMALL_STATE(16877)] = 735854,
  [SMALL_STATE(16878)] = 735871,
  [SMALL_STATE(16879)] = 735888,
  [SMALL_STATE(16880)] = 735905,
  [SMALL_STATE(16881)] = 735922,
  [SMALL_STATE(16882)] = 735939,
  [SMALL_STATE(16883)] = 735956,
  [SMALL_STATE(16884)] = 735973,
  [SMALL_STATE(16885)] = 735988,
  [SMALL_STATE(16886)] = 736005,
  [SMALL_STATE(16887)] = 736022,
  [SMALL_STATE(16888)] = 736039,
  [SMALL_STATE(16889)] = 736056,
  [SMALL_STATE(16890)] = 736073,
  [SMALL_STATE(16891)] = 736090,
  [SMALL_STATE(16892)] = 736107,
  [SMALL_STATE(16893)] = 736122,
  [SMALL_STATE(16894)] = 736139,
  [SMALL_STATE(16895)] = 736156,
  [SMALL_STATE(16896)] = 736173,
  [SMALL_STATE(16897)] = 736190,
  [SMALL_STATE(16898)] = 736207,
  [SMALL_STATE(16899)] = 736224,
  [SMALL_STATE(16900)] = 736241,
  [SMALL_STATE(16901)] = 736256,
  [SMALL_STATE(16902)] = 736273,
  [SMALL_STATE(16903)] = 736290,
  [SMALL_STATE(16904)] = 736307,
  [SMALL_STATE(16905)] = 736324,
  [SMALL_STATE(16906)] = 736341,
  [SMALL_STATE(16907)] = 736358,
  [SMALL_STATE(16908)] = 736375,
  [SMALL_STATE(16909)] = 736392,
  [SMALL_STATE(16910)] = 736407,
  [SMALL_STATE(16911)] = 736424,
  [SMALL_STATE(16912)] = 736441,
  [SMALL_STATE(16913)] = 736458,
  [SMALL_STATE(16914)] = 736475,
  [SMALL_STATE(16915)] = 736492,
  [SMALL_STATE(16916)] = 736509,
  [SMALL_STATE(16917)] = 736526,
  [SMALL_STATE(16918)] = 736543,
  [SMALL_STATE(16919)] = 736560,
  [SMALL_STATE(16920)] = 736577,
  [SMALL_STATE(16921)] = 736594,
  [SMALL_STATE(16922)] = 736609,
  [SMALL_STATE(16923)] = 736624,
  [SMALL_STATE(16924)] = 736641,
  [SMALL_STATE(16925)] = 736658,
  [SMALL_STATE(16926)] = 736675,
  [SMALL_STATE(16927)] = 736692,
  [SMALL_STATE(16928)] = 736709,
  [SMALL_STATE(16929)] = 736726,
  [SMALL_STATE(16930)] = 736743,
  [SMALL_STATE(16931)] = 736760,
  [SMALL_STATE(16932)] = 736777,
  [SMALL_STATE(16933)] = 736794,
  [SMALL_STATE(16934)] = 736811,
  [SMALL_STATE(16935)] = 736828,
  [SMALL_STATE(16936)] = 736845,
  [SMALL_STATE(16937)] = 736862,
  [SMALL_STATE(16938)] = 736879,
  [SMALL_STATE(16939)] = 736896,
  [SMALL_STATE(16940)] = 736913,
  [SMALL_STATE(16941)] = 736930,
  [SMALL_STATE(16942)] = 736947,
  [SMALL_STATE(16943)] = 736962,
  [SMALL_STATE(16944)] = 736979,
  [SMALL_STATE(16945)] = 736996,
  [SMALL_STATE(16946)] = 737013,
  [SMALL_STATE(16947)] = 737030,
  [SMALL_STATE(16948)] = 737047,
  [SMALL_STATE(16949)] = 737064,
  [SMALL_STATE(16950)] = 737081,
  [SMALL_STATE(16951)] = 737098,
  [SMALL_STATE(16952)] = 737115,
  [SMALL_STATE(16953)] = 737132,
  [SMALL_STATE(16954)] = 737149,
  [SMALL_STATE(16955)] = 737166,
  [SMALL_STATE(16956)] = 737183,
  [SMALL_STATE(16957)] = 737200,
  [SMALL_STATE(16958)] = 737217,
  [SMALL_STATE(16959)] = 737234,
  [SMALL_STATE(16960)] = 737251,
  [SMALL_STATE(16961)] = 737268,
  [SMALL_STATE(16962)] = 737285,
  [SMALL_STATE(16963)] = 737302,
  [SMALL_STATE(16964)] = 737319,
  [SMALL_STATE(16965)] = 737336,
  [SMALL_STATE(16966)] = 737353,
  [SMALL_STATE(16967)] = 737370,
  [SMALL_STATE(16968)] = 737387,
  [SMALL_STATE(16969)] = 737404,
  [SMALL_STATE(16970)] = 737421,
  [SMALL_STATE(16971)] = 737438,
  [SMALL_STATE(16972)] = 737455,
  [SMALL_STATE(16973)] = 737472,
  [SMALL_STATE(16974)] = 737489,
  [SMALL_STATE(16975)] = 737506,
  [SMALL_STATE(16976)] = 737523,
  [SMALL_STATE(16977)] = 737540,
  [SMALL_STATE(16978)] = 737557,
  [SMALL_STATE(16979)] = 737574,
  [SMALL_STATE(16980)] = 737591,
  [SMALL_STATE(16981)] = 737608,
  [SMALL_STATE(16982)] = 737625,
  [SMALL_STATE(16983)] = 737642,
  [SMALL_STATE(16984)] = 737659,
  [SMALL_STATE(16985)] = 737676,
  [SMALL_STATE(16986)] = 737693,
  [SMALL_STATE(16987)] = 737710,
  [SMALL_STATE(16988)] = 737727,
  [SMALL_STATE(16989)] = 737744,
  [SMALL_STATE(16990)] = 737761,
  [SMALL_STATE(16991)] = 737778,
  [SMALL_STATE(16992)] = 737795,
  [SMALL_STATE(16993)] = 737812,
  [SMALL_STATE(16994)] = 737829,
  [SMALL_STATE(16995)] = 737846,
  [SMALL_STATE(16996)] = 737863,
  [SMALL_STATE(16997)] = 737880,
  [SMALL_STATE(16998)] = 737897,
  [SMALL_STATE(16999)] = 737914,
  [SMALL_STATE(17000)] = 737931,
  [SMALL_STATE(17001)] = 737948,
  [SMALL_STATE(17002)] = 737965,
  [SMALL_STATE(17003)] = 737982,
  [SMALL_STATE(17004)] = 737999,
  [SMALL_STATE(17005)] = 738016,
  [SMALL_STATE(17006)] = 738033,
  [SMALL_STATE(17007)] = 738048,
  [SMALL_STATE(17008)] = 738063,
  [SMALL_STATE(17009)] = 738080,
  [SMALL_STATE(17010)] = 738097,
  [SMALL_STATE(17011)] = 738114,
  [SMALL_STATE(17012)] = 738131,
  [SMALL_STATE(17013)] = 738148,
  [SMALL_STATE(17014)] = 738165,
  [SMALL_STATE(17015)] = 738182,
  [SMALL_STATE(17016)] = 738197,
  [SMALL_STATE(17017)] = 738214,
  [SMALL_STATE(17018)] = 738231,
  [SMALL_STATE(17019)] = 738248,
  [SMALL_STATE(17020)] = 738265,
  [SMALL_STATE(17021)] = 738280,
  [SMALL_STATE(17022)] = 738297,
  [SMALL_STATE(17023)] = 738314,
  [SMALL_STATE(17024)] = 738331,
  [SMALL_STATE(17025)] = 738346,
  [SMALL_STATE(17026)] = 738363,
  [SMALL_STATE(17027)] = 738380,
  [SMALL_STATE(17028)] = 738395,
  [SMALL_STATE(17029)] = 738412,
  [SMALL_STATE(17030)] = 738429,
  [SMALL_STATE(17031)] = 738446,
  [SMALL_STATE(17032)] = 738461,
  [SMALL_STATE(17033)] = 738478,
  [SMALL_STATE(17034)] = 738495,
  [SMALL_STATE(17035)] = 738512,
  [SMALL_STATE(17036)] = 738529,
  [SMALL_STATE(17037)] = 738544,
  [SMALL_STATE(17038)] = 738561,
  [SMALL_STATE(17039)] = 738578,
  [SMALL_STATE(17040)] = 738593,
  [SMALL_STATE(17041)] = 738610,
  [SMALL_STATE(17042)] = 738627,
  [SMALL_STATE(17043)] = 738642,
  [SMALL_STATE(17044)] = 738659,
  [SMALL_STATE(17045)] = 738676,
  [SMALL_STATE(17046)] = 738693,
  [SMALL_STATE(17047)] = 738708,
  [SMALL_STATE(17048)] = 738723,
  [SMALL_STATE(17049)] = 738738,
  [SMALL_STATE(17050)] = 738755,
  [SMALL_STATE(17051)] = 738770,
  [SMALL_STATE(17052)] = 738787,
  [SMALL_STATE(17053)] = 738802,
  [SMALL_STATE(17054)] = 738819,
  [SMALL_STATE(17055)] = 738836,
  [SMALL_STATE(17056)] = 738853,
  [SMALL_STATE(17057)] = 738870,
  [SMALL_STATE(17058)] = 738887,
  [SMALL_STATE(17059)] = 738904,
  [SMALL_STATE(17060)] = 738919,
  [SMALL_STATE(17061)] = 738936,
  [SMALL_STATE(17062)] = 738953,
  [SMALL_STATE(17063)] = 738970,
  [SMALL_STATE(17064)] = 738987,
  [SMALL_STATE(17065)] = 739004,
  [SMALL_STATE(17066)] = 739021,
  [SMALL_STATE(17067)] = 739038,
  [SMALL_STATE(17068)] = 739055,
  [SMALL_STATE(17069)] = 739072,
  [SMALL_STATE(17070)] = 739089,
  [SMALL_STATE(17071)] = 739106,
  [SMALL_STATE(17072)] = 739123,
  [SMALL_STATE(17073)] = 739138,
  [SMALL_STATE(17074)] = 739155,
  [SMALL_STATE(17075)] = 739172,
  [SMALL_STATE(17076)] = 739187,
  [SMALL_STATE(17077)] = 739202,
  [SMALL_STATE(17078)] = 739219,
  [SMALL_STATE(17079)] = 739236,
  [SMALL_STATE(17080)] = 739253,
  [SMALL_STATE(17081)] = 739270,
  [SMALL_STATE(17082)] = 739287,
  [SMALL_STATE(17083)] = 739304,
  [SMALL_STATE(17084)] = 739321,
  [SMALL_STATE(17085)] = 739336,
  [SMALL_STATE(17086)] = 739351,
  [SMALL_STATE(17087)] = 739368,
  [SMALL_STATE(17088)] = 739385,
  [SMALL_STATE(17089)] = 739402,
  [SMALL_STATE(17090)] = 739419,
  [SMALL_STATE(17091)] = 739436,
  [SMALL_STATE(17092)] = 739453,
  [SMALL_STATE(17093)] = 739470,
  [SMALL_STATE(17094)] = 739487,
  [SMALL_STATE(17095)] = 739504,
  [SMALL_STATE(17096)] = 739519,
  [SMALL_STATE(17097)] = 739536,
  [SMALL_STATE(17098)] = 739551,
  [SMALL_STATE(17099)] = 739568,
  [SMALL_STATE(17100)] = 739585,
  [SMALL_STATE(17101)] = 739602,
  [SMALL_STATE(17102)] = 739617,
  [SMALL_STATE(17103)] = 739632,
  [SMALL_STATE(17104)] = 739649,
  [SMALL_STATE(17105)] = 739666,
  [SMALL_STATE(17106)] = 739683,
  [SMALL_STATE(17107)] = 739700,
  [SMALL_STATE(17108)] = 739717,
  [SMALL_STATE(17109)] = 739734,
  [SMALL_STATE(17110)] = 739751,
  [SMALL_STATE(17111)] = 739768,
  [SMALL_STATE(17112)] = 739783,
  [SMALL_STATE(17113)] = 739800,
  [SMALL_STATE(17114)] = 739817,
  [SMALL_STATE(17115)] = 739834,
  [SMALL_STATE(17116)] = 739851,
  [SMALL_STATE(17117)] = 739868,
  [SMALL_STATE(17118)] = 739885,
  [SMALL_STATE(17119)] = 739902,
  [SMALL_STATE(17120)] = 739919,
  [SMALL_STATE(17121)] = 739936,
  [SMALL_STATE(17122)] = 739953,
  [SMALL_STATE(17123)] = 739970,
  [SMALL_STATE(17124)] = 739987,
  [SMALL_STATE(17125)] = 740004,
  [SMALL_STATE(17126)] = 740021,
  [SMALL_STATE(17127)] = 740036,
  [SMALL_STATE(17128)] = 740053,
  [SMALL_STATE(17129)] = 740070,
  [SMALL_STATE(17130)] = 740087,
  [SMALL_STATE(17131)] = 740104,
  [SMALL_STATE(17132)] = 740121,
  [SMALL_STATE(17133)] = 740136,
  [SMALL_STATE(17134)] = 740153,
  [SMALL_STATE(17135)] = 740170,
  [SMALL_STATE(17136)] = 740187,
  [SMALL_STATE(17137)] = 740204,
  [SMALL_STATE(17138)] = 740221,
  [SMALL_STATE(17139)] = 740238,
  [SMALL_STATE(17140)] = 740253,
  [SMALL_STATE(17141)] = 740270,
  [SMALL_STATE(17142)] = 740287,
  [SMALL_STATE(17143)] = 740304,
  [SMALL_STATE(17144)] = 740321,
  [SMALL_STATE(17145)] = 740338,
  [SMALL_STATE(17146)] = 740355,
  [SMALL_STATE(17147)] = 740372,
  [SMALL_STATE(17148)] = 740389,
  [SMALL_STATE(17149)] = 740406,
  [SMALL_STATE(17150)] = 740421,
  [SMALL_STATE(17151)] = 740436,
  [SMALL_STATE(17152)] = 740453,
  [SMALL_STATE(17153)] = 740470,
  [SMALL_STATE(17154)] = 740487,
  [SMALL_STATE(17155)] = 740502,
  [SMALL_STATE(17156)] = 740519,
  [SMALL_STATE(17157)] = 740534,
  [SMALL_STATE(17158)] = 740551,
  [SMALL_STATE(17159)] = 740566,
  [SMALL_STATE(17160)] = 740583,
  [SMALL_STATE(17161)] = 740600,
  [SMALL_STATE(17162)] = 740617,
  [SMALL_STATE(17163)] = 740632,
  [SMALL_STATE(17164)] = 740647,
  [SMALL_STATE(17165)] = 740664,
  [SMALL_STATE(17166)] = 740681,
  [SMALL_STATE(17167)] = 740698,
  [SMALL_STATE(17168)] = 740715,
  [SMALL_STATE(17169)] = 740732,
  [SMALL_STATE(17170)] = 740747,
  [SMALL_STATE(17171)] = 740762,
  [SMALL_STATE(17172)] = 740777,
  [SMALL_STATE(17173)] = 740792,
  [SMALL_STATE(17174)] = 740807,
  [SMALL_STATE(17175)] = 740822,
  [SMALL_STATE(17176)] = 740839,
  [SMALL_STATE(17177)] = 740854,
  [SMALL_STATE(17178)] = 740871,
  [SMALL_STATE(17179)] = 740886,
  [SMALL_STATE(17180)] = 740903,
  [SMALL_STATE(17181)] = 740920,
  [SMALL_STATE(17182)] = 740937,
  [SMALL_STATE(17183)] = 740954,
  [SMALL_STATE(17184)] = 740971,
  [SMALL_STATE(17185)] = 740986,
  [SMALL_STATE(17186)] = 741003,
  [SMALL_STATE(17187)] = 741020,
  [SMALL_STATE(17188)] = 741037,
  [SMALL_STATE(17189)] = 741054,
  [SMALL_STATE(17190)] = 741071,
  [SMALL_STATE(17191)] = 741088,
  [SMALL_STATE(17192)] = 741105,
  [SMALL_STATE(17193)] = 741122,
  [SMALL_STATE(17194)] = 741139,
  [SMALL_STATE(17195)] = 741156,
  [SMALL_STATE(17196)] = 741173,
  [SMALL_STATE(17197)] = 741190,
  [SMALL_STATE(17198)] = 741207,
  [SMALL_STATE(17199)] = 741224,
  [SMALL_STATE(17200)] = 741241,
  [SMALL_STATE(17201)] = 741258,
  [SMALL_STATE(17202)] = 741275,
  [SMALL_STATE(17203)] = 741292,
  [SMALL_STATE(17204)] = 741309,
  [SMALL_STATE(17205)] = 741326,
  [SMALL_STATE(17206)] = 741343,
  [SMALL_STATE(17207)] = 741360,
  [SMALL_STATE(17208)] = 741377,
  [SMALL_STATE(17209)] = 741394,
  [SMALL_STATE(17210)] = 741411,
  [SMALL_STATE(17211)] = 741428,
  [SMALL_STATE(17212)] = 741445,
  [SMALL_STATE(17213)] = 741462,
  [SMALL_STATE(17214)] = 741479,
  [SMALL_STATE(17215)] = 741496,
  [SMALL_STATE(17216)] = 741513,
  [SMALL_STATE(17217)] = 741530,
  [SMALL_STATE(17218)] = 741547,
  [SMALL_STATE(17219)] = 741564,
  [SMALL_STATE(17220)] = 741581,
  [SMALL_STATE(17221)] = 741598,
  [SMALL_STATE(17222)] = 741615,
  [SMALL_STATE(17223)] = 741632,
  [SMALL_STATE(17224)] = 741649,
  [SMALL_STATE(17225)] = 741666,
  [SMALL_STATE(17226)] = 741683,
  [SMALL_STATE(17227)] = 741700,
  [SMALL_STATE(17228)] = 741717,
  [SMALL_STATE(17229)] = 741734,
  [SMALL_STATE(17230)] = 741751,
  [SMALL_STATE(17231)] = 741768,
  [SMALL_STATE(17232)] = 741785,
  [SMALL_STATE(17233)] = 741802,
  [SMALL_STATE(17234)] = 741819,
  [SMALL_STATE(17235)] = 741836,
  [SMALL_STATE(17236)] = 741853,
  [SMALL_STATE(17237)] = 741868,
  [SMALL_STATE(17238)] = 741883,
  [SMALL_STATE(17239)] = 741900,
  [SMALL_STATE(17240)] = 741917,
  [SMALL_STATE(17241)] = 741934,
  [SMALL_STATE(17242)] = 741951,
  [SMALL_STATE(17243)] = 741968,
  [SMALL_STATE(17244)] = 741985,
  [SMALL_STATE(17245)] = 742000,
  [SMALL_STATE(17246)] = 742015,
  [SMALL_STATE(17247)] = 742032,
  [SMALL_STATE(17248)] = 742047,
  [SMALL_STATE(17249)] = 742064,
  [SMALL_STATE(17250)] = 742081,
  [SMALL_STATE(17251)] = 742096,
  [SMALL_STATE(17252)] = 742111,
  [SMALL_STATE(17253)] = 742126,
  [SMALL_STATE(17254)] = 742143,
  [SMALL_STATE(17255)] = 742160,
  [SMALL_STATE(17256)] = 742177,
  [SMALL_STATE(17257)] = 742194,
  [SMALL_STATE(17258)] = 742211,
  [SMALL_STATE(17259)] = 742228,
  [SMALL_STATE(17260)] = 742245,
  [SMALL_STATE(17261)] = 742262,
  [SMALL_STATE(17262)] = 742279,
  [SMALL_STATE(17263)] = 742294,
  [SMALL_STATE(17264)] = 742311,
  [SMALL_STATE(17265)] = 742328,
  [SMALL_STATE(17266)] = 742345,
  [SMALL_STATE(17267)] = 742362,
  [SMALL_STATE(17268)] = 742379,
  [SMALL_STATE(17269)] = 742396,
  [SMALL_STATE(17270)] = 742413,
  [SMALL_STATE(17271)] = 742430,
  [SMALL_STATE(17272)] = 742447,
  [SMALL_STATE(17273)] = 742462,
  [SMALL_STATE(17274)] = 742479,
  [SMALL_STATE(17275)] = 742496,
  [SMALL_STATE(17276)] = 742513,
  [SMALL_STATE(17277)] = 742530,
  [SMALL_STATE(17278)] = 742545,
  [SMALL_STATE(17279)] = 742560,
  [SMALL_STATE(17280)] = 742577,
  [SMALL_STATE(17281)] = 742592,
  [SMALL_STATE(17282)] = 742607,
  [SMALL_STATE(17283)] = 742624,
  [SMALL_STATE(17284)] = 742639,
  [SMALL_STATE(17285)] = 742654,
  [SMALL_STATE(17286)] = 742671,
  [SMALL_STATE(17287)] = 742688,
  [SMALL_STATE(17288)] = 742703,
  [SMALL_STATE(17289)] = 742718,
  [SMALL_STATE(17290)] = 742733,
  [SMALL_STATE(17291)] = 742750,
  [SMALL_STATE(17292)] = 742764,
  [SMALL_STATE(17293)] = 742778,
  [SMALL_STATE(17294)] = 742792,
  [SMALL_STATE(17295)] = 742806,
  [SMALL_STATE(17296)] = 742820,
  [SMALL_STATE(17297)] = 742834,
  [SMALL_STATE(17298)] = 742848,
  [SMALL_STATE(17299)] = 742862,
  [SMALL_STATE(17300)] = 742876,
  [SMALL_STATE(17301)] = 742890,
  [SMALL_STATE(17302)] = 742904,
  [SMALL_STATE(17303)] = 742918,
  [SMALL_STATE(17304)] = 742932,
  [SMALL_STATE(17305)] = 742946,
  [SMALL_STATE(17306)] = 742960,
  [SMALL_STATE(17307)] = 742974,
  [SMALL_STATE(17308)] = 742988,
  [SMALL_STATE(17309)] = 743002,
  [SMALL_STATE(17310)] = 743016,
  [SMALL_STATE(17311)] = 743030,
  [SMALL_STATE(17312)] = 743044,
  [SMALL_STATE(17313)] = 743058,
  [SMALL_STATE(17314)] = 743072,
  [SMALL_STATE(17315)] = 743086,
  [SMALL_STATE(17316)] = 743100,
  [SMALL_STATE(17317)] = 743114,
  [SMALL_STATE(17318)] = 743128,
  [SMALL_STATE(17319)] = 743142,
  [SMALL_STATE(17320)] = 743156,
  [SMALL_STATE(17321)] = 743170,
  [SMALL_STATE(17322)] = 743184,
  [SMALL_STATE(17323)] = 743198,
  [SMALL_STATE(17324)] = 743212,
  [SMALL_STATE(17325)] = 743226,
  [SMALL_STATE(17326)] = 743240,
  [SMALL_STATE(17327)] = 743254,
  [SMALL_STATE(17328)] = 743268,
  [SMALL_STATE(17329)] = 743282,
  [SMALL_STATE(17330)] = 743296,
  [SMALL_STATE(17331)] = 743310,
  [SMALL_STATE(17332)] = 743324,
  [SMALL_STATE(17333)] = 743338,
  [SMALL_STATE(17334)] = 743352,
  [SMALL_STATE(17335)] = 743366,
  [SMALL_STATE(17336)] = 743380,
  [SMALL_STATE(17337)] = 743394,
  [SMALL_STATE(17338)] = 743408,
  [SMALL_STATE(17339)] = 743422,
  [SMALL_STATE(17340)] = 743436,
  [SMALL_STATE(17341)] = 743450,
  [SMALL_STATE(17342)] = 743464,
  [SMALL_STATE(17343)] = 743478,
  [SMALL_STATE(17344)] = 743492,
  [SMALL_STATE(17345)] = 743506,
  [SMALL_STATE(17346)] = 743520,
  [SMALL_STATE(17347)] = 743534,
  [SMALL_STATE(17348)] = 743548,
  [SMALL_STATE(17349)] = 743562,
  [SMALL_STATE(17350)] = 743576,
  [SMALL_STATE(17351)] = 743590,
  [SMALL_STATE(17352)] = 743604,
  [SMALL_STATE(17353)] = 743618,
  [SMALL_STATE(17354)] = 743632,
  [SMALL_STATE(17355)] = 743646,
  [SMALL_STATE(17356)] = 743660,
  [SMALL_STATE(17357)] = 743674,
  [SMALL_STATE(17358)] = 743688,
  [SMALL_STATE(17359)] = 743702,
  [SMALL_STATE(17360)] = 743716,
  [SMALL_STATE(17361)] = 743730,
  [SMALL_STATE(17362)] = 743744,
  [SMALL_STATE(17363)] = 743758,
  [SMALL_STATE(17364)] = 743772,
  [SMALL_STATE(17365)] = 743786,
  [SMALL_STATE(17366)] = 743800,
  [SMALL_STATE(17367)] = 743814,
  [SMALL_STATE(17368)] = 743828,
  [SMALL_STATE(17369)] = 743842,
  [SMALL_STATE(17370)] = 743856,
  [SMALL_STATE(17371)] = 743870,
  [SMALL_STATE(17372)] = 743884,
  [SMALL_STATE(17373)] = 743898,
  [SMALL_STATE(17374)] = 743912,
  [SMALL_STATE(17375)] = 743926,
  [SMALL_STATE(17376)] = 743940,
  [SMALL_STATE(17377)] = 743954,
  [SMALL_STATE(17378)] = 743968,
  [SMALL_STATE(17379)] = 743982,
  [SMALL_STATE(17380)] = 743996,
  [SMALL_STATE(17381)] = 744010,
  [SMALL_STATE(17382)] = 744024,
  [SMALL_STATE(17383)] = 744038,
  [SMALL_STATE(17384)] = 744052,
  [SMALL_STATE(17385)] = 744066,
  [SMALL_STATE(17386)] = 744080,
  [SMALL_STATE(17387)] = 744094,
  [SMALL_STATE(17388)] = 744108,
  [SMALL_STATE(17389)] = 744122,
  [SMALL_STATE(17390)] = 744136,
  [SMALL_STATE(17391)] = 744150,
  [SMALL_STATE(17392)] = 744164,
  [SMALL_STATE(17393)] = 744178,
  [SMALL_STATE(17394)] = 744192,
  [SMALL_STATE(17395)] = 744206,
  [SMALL_STATE(17396)] = 744220,
  [SMALL_STATE(17397)] = 744234,
  [SMALL_STATE(17398)] = 744248,
  [SMALL_STATE(17399)] = 744262,
  [SMALL_STATE(17400)] = 744276,
  [SMALL_STATE(17401)] = 744290,
  [SMALL_STATE(17402)] = 744304,
  [SMALL_STATE(17403)] = 744318,
  [SMALL_STATE(17404)] = 744332,
  [SMALL_STATE(17405)] = 744346,
  [SMALL_STATE(17406)] = 744360,
  [SMALL_STATE(17407)] = 744374,
  [SMALL_STATE(17408)] = 744388,
  [SMALL_STATE(17409)] = 744402,
  [SMALL_STATE(17410)] = 744416,
  [SMALL_STATE(17411)] = 744430,
  [SMALL_STATE(17412)] = 744444,
  [SMALL_STATE(17413)] = 744458,
  [SMALL_STATE(17414)] = 744472,
  [SMALL_STATE(17415)] = 744486,
  [SMALL_STATE(17416)] = 744500,
  [SMALL_STATE(17417)] = 744514,
  [SMALL_STATE(17418)] = 744528,
  [SMALL_STATE(17419)] = 744542,
  [SMALL_STATE(17420)] = 744556,
  [SMALL_STATE(17421)] = 744570,
  [SMALL_STATE(17422)] = 744584,
  [SMALL_STATE(17423)] = 744598,
  [SMALL_STATE(17424)] = 744612,
  [SMALL_STATE(17425)] = 744626,
  [SMALL_STATE(17426)] = 744640,
  [SMALL_STATE(17427)] = 744654,
  [SMALL_STATE(17428)] = 744668,
  [SMALL_STATE(17429)] = 744682,
  [SMALL_STATE(17430)] = 744696,
  [SMALL_STATE(17431)] = 744710,
  [SMALL_STATE(17432)] = 744724,
  [SMALL_STATE(17433)] = 744738,
  [SMALL_STATE(17434)] = 744752,
  [SMALL_STATE(17435)] = 744766,
  [SMALL_STATE(17436)] = 744780,
  [SMALL_STATE(17437)] = 744794,
  [SMALL_STATE(17438)] = 744808,
  [SMALL_STATE(17439)] = 744822,
  [SMALL_STATE(17440)] = 744836,
  [SMALL_STATE(17441)] = 744850,
  [SMALL_STATE(17442)] = 744864,
  [SMALL_STATE(17443)] = 744878,
  [SMALL_STATE(17444)] = 744892,
  [SMALL_STATE(17445)] = 744906,
  [SMALL_STATE(17446)] = 744920,
  [SMALL_STATE(17447)] = 744934,
  [SMALL_STATE(17448)] = 744948,
  [SMALL_STATE(17449)] = 744962,
  [SMALL_STATE(17450)] = 744976,
  [SMALL_STATE(17451)] = 744990,
  [SMALL_STATE(17452)] = 745004,
  [SMALL_STATE(17453)] = 745018,
  [SMALL_STATE(17454)] = 745032,
  [SMALL_STATE(17455)] = 745046,
  [SMALL_STATE(17456)] = 745060,
  [SMALL_STATE(17457)] = 745074,
  [SMALL_STATE(17458)] = 745088,
  [SMALL_STATE(17459)] = 745102,
  [SMALL_STATE(17460)] = 745116,
  [SMALL_STATE(17461)] = 745130,
  [SMALL_STATE(17462)] = 745144,
  [SMALL_STATE(17463)] = 745158,
  [SMALL_STATE(17464)] = 745172,
  [SMALL_STATE(17465)] = 745186,
  [SMALL_STATE(17466)] = 745200,
  [SMALL_STATE(17467)] = 745214,
  [SMALL_STATE(17468)] = 745228,
  [SMALL_STATE(17469)] = 745242,
  [SMALL_STATE(17470)] = 745256,
  [SMALL_STATE(17471)] = 745270,
  [SMALL_STATE(17472)] = 745284,
  [SMALL_STATE(17473)] = 745298,
  [SMALL_STATE(17474)] = 745312,
  [SMALL_STATE(17475)] = 745326,
  [SMALL_STATE(17476)] = 745340,
  [SMALL_STATE(17477)] = 745354,
  [SMALL_STATE(17478)] = 745368,
  [SMALL_STATE(17479)] = 745382,
  [SMALL_STATE(17480)] = 745396,
  [SMALL_STATE(17481)] = 745410,
  [SMALL_STATE(17482)] = 745424,
  [SMALL_STATE(17483)] = 745438,
  [SMALL_STATE(17484)] = 745452,
  [SMALL_STATE(17485)] = 745466,
  [SMALL_STATE(17486)] = 745480,
  [SMALL_STATE(17487)] = 745494,
  [SMALL_STATE(17488)] = 745508,
  [SMALL_STATE(17489)] = 745522,
  [SMALL_STATE(17490)] = 745536,
  [SMALL_STATE(17491)] = 745550,
  [SMALL_STATE(17492)] = 745564,
  [SMALL_STATE(17493)] = 745578,
  [SMALL_STATE(17494)] = 745592,
  [SMALL_STATE(17495)] = 745606,
  [SMALL_STATE(17496)] = 745620,
  [SMALL_STATE(17497)] = 745634,
  [SMALL_STATE(17498)] = 745648,
  [SMALL_STATE(17499)] = 745662,
  [SMALL_STATE(17500)] = 745676,
  [SMALL_STATE(17501)] = 745690,
  [SMALL_STATE(17502)] = 745704,
  [SMALL_STATE(17503)] = 745718,
  [SMALL_STATE(17504)] = 745732,
  [SMALL_STATE(17505)] = 745746,
  [SMALL_STATE(17506)] = 745760,
  [SMALL_STATE(17507)] = 745774,
  [SMALL_STATE(17508)] = 745788,
  [SMALL_STATE(17509)] = 745802,
  [SMALL_STATE(17510)] = 745816,
  [SMALL_STATE(17511)] = 745830,
  [SMALL_STATE(17512)] = 745844,
  [SMALL_STATE(17513)] = 745858,
  [SMALL_STATE(17514)] = 745872,
  [SMALL_STATE(17515)] = 745886,
  [SMALL_STATE(17516)] = 745900,
  [SMALL_STATE(17517)] = 745914,
  [SMALL_STATE(17518)] = 745928,
  [SMALL_STATE(17519)] = 745942,
  [SMALL_STATE(17520)] = 745956,
  [SMALL_STATE(17521)] = 745970,
  [SMALL_STATE(17522)] = 745984,
  [SMALL_STATE(17523)] = 745998,
  [SMALL_STATE(17524)] = 746012,
  [SMALL_STATE(17525)] = 746026,
  [SMALL_STATE(17526)] = 746040,
  [SMALL_STATE(17527)] = 746054,
  [SMALL_STATE(17528)] = 746068,
  [SMALL_STATE(17529)] = 746082,
  [SMALL_STATE(17530)] = 746096,
  [SMALL_STATE(17531)] = 746110,
  [SMALL_STATE(17532)] = 746124,
  [SMALL_STATE(17533)] = 746138,
  [SMALL_STATE(17534)] = 746152,
  [SMALL_STATE(17535)] = 746166,
  [SMALL_STATE(17536)] = 746180,
  [SMALL_STATE(17537)] = 746194,
  [SMALL_STATE(17538)] = 746208,
  [SMALL_STATE(17539)] = 746222,
  [SMALL_STATE(17540)] = 746236,
  [SMALL_STATE(17541)] = 746250,
  [SMALL_STATE(17542)] = 746264,
  [SMALL_STATE(17543)] = 746278,
  [SMALL_STATE(17544)] = 746292,
  [SMALL_STATE(17545)] = 746306,
  [SMALL_STATE(17546)] = 746320,
  [SMALL_STATE(17547)] = 746334,
  [SMALL_STATE(17548)] = 746348,
  [SMALL_STATE(17549)] = 746362,
  [SMALL_STATE(17550)] = 746376,
  [SMALL_STATE(17551)] = 746390,
  [SMALL_STATE(17552)] = 746404,
  [SMALL_STATE(17553)] = 746418,
  [SMALL_STATE(17554)] = 746432,
  [SMALL_STATE(17555)] = 746446,
  [SMALL_STATE(17556)] = 746460,
  [SMALL_STATE(17557)] = 746474,
  [SMALL_STATE(17558)] = 746488,
  [SMALL_STATE(17559)] = 746502,
  [SMALL_STATE(17560)] = 746516,
  [SMALL_STATE(17561)] = 746530,
  [SMALL_STATE(17562)] = 746544,
  [SMALL_STATE(17563)] = 746558,
  [SMALL_STATE(17564)] = 746572,
  [SMALL_STATE(17565)] = 746586,
  [SMALL_STATE(17566)] = 746600,
  [SMALL_STATE(17567)] = 746614,
  [SMALL_STATE(17568)] = 746628,
  [SMALL_STATE(17569)] = 746642,
  [SMALL_STATE(17570)] = 746656,
  [SMALL_STATE(17571)] = 746670,
  [SMALL_STATE(17572)] = 746684,
  [SMALL_STATE(17573)] = 746698,
  [SMALL_STATE(17574)] = 746712,
  [SMALL_STATE(17575)] = 746726,
  [SMALL_STATE(17576)] = 746740,
  [SMALL_STATE(17577)] = 746754,
  [SMALL_STATE(17578)] = 746768,
  [SMALL_STATE(17579)] = 746782,
  [SMALL_STATE(17580)] = 746796,
  [SMALL_STATE(17581)] = 746810,
  [SMALL_STATE(17582)] = 746824,
  [SMALL_STATE(17583)] = 746838,
  [SMALL_STATE(17584)] = 746852,
  [SMALL_STATE(17585)] = 746866,
  [SMALL_STATE(17586)] = 746880,
  [SMALL_STATE(17587)] = 746894,
  [SMALL_STATE(17588)] = 746908,
  [SMALL_STATE(17589)] = 746922,
  [SMALL_STATE(17590)] = 746936,
  [SMALL_STATE(17591)] = 746950,
  [SMALL_STATE(17592)] = 746964,
  [SMALL_STATE(17593)] = 746978,
  [SMALL_STATE(17594)] = 746992,
  [SMALL_STATE(17595)] = 747006,
  [SMALL_STATE(17596)] = 747020,
  [SMALL_STATE(17597)] = 747034,
  [SMALL_STATE(17598)] = 747048,
  [SMALL_STATE(17599)] = 747062,
  [SMALL_STATE(17600)] = 747076,
  [SMALL_STATE(17601)] = 747090,
  [SMALL_STATE(17602)] = 747104,
  [SMALL_STATE(17603)] = 747118,
  [SMALL_STATE(17604)] = 747132,
  [SMALL_STATE(17605)] = 747146,
  [SMALL_STATE(17606)] = 747160,
  [SMALL_STATE(17607)] = 747174,
  [SMALL_STATE(17608)] = 747188,
  [SMALL_STATE(17609)] = 747202,
  [SMALL_STATE(17610)] = 747216,
  [SMALL_STATE(17611)] = 747230,
  [SMALL_STATE(17612)] = 747244,
  [SMALL_STATE(17613)] = 747258,
  [SMALL_STATE(17614)] = 747272,
  [SMALL_STATE(17615)] = 747286,
  [SMALL_STATE(17616)] = 747300,
  [SMALL_STATE(17617)] = 747314,
  [SMALL_STATE(17618)] = 747328,
  [SMALL_STATE(17619)] = 747342,
  [SMALL_STATE(17620)] = 747356,
  [SMALL_STATE(17621)] = 747370,
  [SMALL_STATE(17622)] = 747384,
  [SMALL_STATE(17623)] = 747398,
  [SMALL_STATE(17624)] = 747412,
  [SMALL_STATE(17625)] = 747426,
  [SMALL_STATE(17626)] = 747440,
  [SMALL_STATE(17627)] = 747454,
  [SMALL_STATE(17628)] = 747468,
  [SMALL_STATE(17629)] = 747482,
  [SMALL_STATE(17630)] = 747496,
  [SMALL_STATE(17631)] = 747510,
  [SMALL_STATE(17632)] = 747524,
  [SMALL_STATE(17633)] = 747538,
  [SMALL_STATE(17634)] = 747552,
  [SMALL_STATE(17635)] = 747566,
  [SMALL_STATE(17636)] = 747580,
  [SMALL_STATE(17637)] = 747594,
  [SMALL_STATE(17638)] = 747608,
  [SMALL_STATE(17639)] = 747622,
  [SMALL_STATE(17640)] = 747636,
  [SMALL_STATE(17641)] = 747650,
  [SMALL_STATE(17642)] = 747664,
  [SMALL_STATE(17643)] = 747678,
  [SMALL_STATE(17644)] = 747692,
  [SMALL_STATE(17645)] = 747706,
  [SMALL_STATE(17646)] = 747720,
  [SMALL_STATE(17647)] = 747734,
  [SMALL_STATE(17648)] = 747748,
  [SMALL_STATE(17649)] = 747762,
  [SMALL_STATE(17650)] = 747776,
  [SMALL_STATE(17651)] = 747790,
  [SMALL_STATE(17652)] = 747804,
  [SMALL_STATE(17653)] = 747818,
  [SMALL_STATE(17654)] = 747832,
  [SMALL_STATE(17655)] = 747846,
  [SMALL_STATE(17656)] = 747860,
  [SMALL_STATE(17657)] = 747874,
  [SMALL_STATE(17658)] = 747888,
  [SMALL_STATE(17659)] = 747902,
  [SMALL_STATE(17660)] = 747916,
  [SMALL_STATE(17661)] = 747930,
  [SMALL_STATE(17662)] = 747944,
  [SMALL_STATE(17663)] = 747958,
  [SMALL_STATE(17664)] = 747972,
  [SMALL_STATE(17665)] = 747986,
  [SMALL_STATE(17666)] = 748000,
  [SMALL_STATE(17667)] = 748014,
  [SMALL_STATE(17668)] = 748028,
  [SMALL_STATE(17669)] = 748042,
  [SMALL_STATE(17670)] = 748056,
  [SMALL_STATE(17671)] = 748070,
  [SMALL_STATE(17672)] = 748084,
  [SMALL_STATE(17673)] = 748098,
  [SMALL_STATE(17674)] = 748112,
  [SMALL_STATE(17675)] = 748126,
  [SMALL_STATE(17676)] = 748140,
  [SMALL_STATE(17677)] = 748154,
  [SMALL_STATE(17678)] = 748168,
  [SMALL_STATE(17679)] = 748182,
  [SMALL_STATE(17680)] = 748196,
  [SMALL_STATE(17681)] = 748210,
  [SMALL_STATE(17682)] = 748224,
  [SMALL_STATE(17683)] = 748238,
  [SMALL_STATE(17684)] = 748252,
  [SMALL_STATE(17685)] = 748266,
  [SMALL_STATE(17686)] = 748280,
  [SMALL_STATE(17687)] = 748294,
  [SMALL_STATE(17688)] = 748308,
  [SMALL_STATE(17689)] = 748322,
  [SMALL_STATE(17690)] = 748336,
  [SMALL_STATE(17691)] = 748350,
  [SMALL_STATE(17692)] = 748364,
  [SMALL_STATE(17693)] = 748378,
  [SMALL_STATE(17694)] = 748392,
  [SMALL_STATE(17695)] = 748406,
  [SMALL_STATE(17696)] = 748420,
  [SMALL_STATE(17697)] = 748434,
  [SMALL_STATE(17698)] = 748448,
  [SMALL_STATE(17699)] = 748462,
  [SMALL_STATE(17700)] = 748476,
  [SMALL_STATE(17701)] = 748490,
  [SMALL_STATE(17702)] = 748504,
  [SMALL_STATE(17703)] = 748518,
  [SMALL_STATE(17704)] = 748532,
  [SMALL_STATE(17705)] = 748546,
  [SMALL_STATE(17706)] = 748560,
  [SMALL_STATE(17707)] = 748574,
  [SMALL_STATE(17708)] = 748588,
  [SMALL_STATE(17709)] = 748602,
  [SMALL_STATE(17710)] = 748616,
  [SMALL_STATE(17711)] = 748630,
  [SMALL_STATE(17712)] = 748644,
  [SMALL_STATE(17713)] = 748658,
  [SMALL_STATE(17714)] = 748672,
  [SMALL_STATE(17715)] = 748686,
  [SMALL_STATE(17716)] = 748700,
  [SMALL_STATE(17717)] = 748714,
  [SMALL_STATE(17718)] = 748728,
  [SMALL_STATE(17719)] = 748742,
  [SMALL_STATE(17720)] = 748756,
  [SMALL_STATE(17721)] = 748770,
  [SMALL_STATE(17722)] = 748784,
  [SMALL_STATE(17723)] = 748798,
  [SMALL_STATE(17724)] = 748812,
  [SMALL_STATE(17725)] = 748826,
  [SMALL_STATE(17726)] = 748840,
  [SMALL_STATE(17727)] = 748854,
  [SMALL_STATE(17728)] = 748868,
  [SMALL_STATE(17729)] = 748882,
  [SMALL_STATE(17730)] = 748896,
  [SMALL_STATE(17731)] = 748910,
  [SMALL_STATE(17732)] = 748924,
  [SMALL_STATE(17733)] = 748938,
  [SMALL_STATE(17734)] = 748952,
  [SMALL_STATE(17735)] = 748966,
  [SMALL_STATE(17736)] = 748980,
  [SMALL_STATE(17737)] = 748994,
  [SMALL_STATE(17738)] = 749008,
  [SMALL_STATE(17739)] = 749022,
  [SMALL_STATE(17740)] = 749036,
  [SMALL_STATE(17741)] = 749050,
  [SMALL_STATE(17742)] = 749064,
  [SMALL_STATE(17743)] = 749078,
  [SMALL_STATE(17744)] = 749092,
  [SMALL_STATE(17745)] = 749106,
  [SMALL_STATE(17746)] = 749120,
  [SMALL_STATE(17747)] = 749134,
  [SMALL_STATE(17748)] = 749148,
  [SMALL_STATE(17749)] = 749162,
  [SMALL_STATE(17750)] = 749176,
  [SMALL_STATE(17751)] = 749190,
  [SMALL_STATE(17752)] = 749204,
  [SMALL_STATE(17753)] = 749218,
  [SMALL_STATE(17754)] = 749232,
  [SMALL_STATE(17755)] = 749246,
  [SMALL_STATE(17756)] = 749260,
  [SMALL_STATE(17757)] = 749274,
  [SMALL_STATE(17758)] = 749288,
  [SMALL_STATE(17759)] = 749302,
  [SMALL_STATE(17760)] = 749316,
  [SMALL_STATE(17761)] = 749330,
  [SMALL_STATE(17762)] = 749344,
  [SMALL_STATE(17763)] = 749358,
  [SMALL_STATE(17764)] = 749372,
  [SMALL_STATE(17765)] = 749386,
  [SMALL_STATE(17766)] = 749400,
  [SMALL_STATE(17767)] = 749414,
  [SMALL_STATE(17768)] = 749428,
  [SMALL_STATE(17769)] = 749442,
  [SMALL_STATE(17770)] = 749456,
  [SMALL_STATE(17771)] = 749470,
  [SMALL_STATE(17772)] = 749484,
  [SMALL_STATE(17773)] = 749498,
  [SMALL_STATE(17774)] = 749512,
  [SMALL_STATE(17775)] = 749526,
  [SMALL_STATE(17776)] = 749540,
  [SMALL_STATE(17777)] = 749554,
  [SMALL_STATE(17778)] = 749568,
  [SMALL_STATE(17779)] = 749582,
  [SMALL_STATE(17780)] = 749596,
  [SMALL_STATE(17781)] = 749610,
  [SMALL_STATE(17782)] = 749624,
  [SMALL_STATE(17783)] = 749638,
  [SMALL_STATE(17784)] = 749652,
  [SMALL_STATE(17785)] = 749666,
  [SMALL_STATE(17786)] = 749680,
  [SMALL_STATE(17787)] = 749694,
  [SMALL_STATE(17788)] = 749708,
  [SMALL_STATE(17789)] = 749722,
  [SMALL_STATE(17790)] = 749736,
  [SMALL_STATE(17791)] = 749750,
  [SMALL_STATE(17792)] = 749764,
  [SMALL_STATE(17793)] = 749778,
  [SMALL_STATE(17794)] = 749792,
  [SMALL_STATE(17795)] = 749806,
  [SMALL_STATE(17796)] = 749820,
  [SMALL_STATE(17797)] = 749834,
  [SMALL_STATE(17798)] = 749848,
  [SMALL_STATE(17799)] = 749862,
  [SMALL_STATE(17800)] = 749876,
  [SMALL_STATE(17801)] = 749890,
  [SMALL_STATE(17802)] = 749904,
  [SMALL_STATE(17803)] = 749918,
  [SMALL_STATE(17804)] = 749932,
  [SMALL_STATE(17805)] = 749946,
  [SMALL_STATE(17806)] = 749960,
  [SMALL_STATE(17807)] = 749974,
  [SMALL_STATE(17808)] = 749988,
  [SMALL_STATE(17809)] = 750002,
  [SMALL_STATE(17810)] = 750016,
  [SMALL_STATE(17811)] = 750030,
  [SMALL_STATE(17812)] = 750044,
  [SMALL_STATE(17813)] = 750058,
  [SMALL_STATE(17814)] = 750072,
  [SMALL_STATE(17815)] = 750086,
  [SMALL_STATE(17816)] = 750100,
  [SMALL_STATE(17817)] = 750114,
  [SMALL_STATE(17818)] = 750128,
  [SMALL_STATE(17819)] = 750142,
  [SMALL_STATE(17820)] = 750156,
  [SMALL_STATE(17821)] = 750170,
  [SMALL_STATE(17822)] = 750184,
  [SMALL_STATE(17823)] = 750198,
  [SMALL_STATE(17824)] = 750212,
  [SMALL_STATE(17825)] = 750226,
  [SMALL_STATE(17826)] = 750240,
  [SMALL_STATE(17827)] = 750254,
  [SMALL_STATE(17828)] = 750268,
  [SMALL_STATE(17829)] = 750282,
  [SMALL_STATE(17830)] = 750296,
  [SMALL_STATE(17831)] = 750310,
  [SMALL_STATE(17832)] = 750324,
  [SMALL_STATE(17833)] = 750338,
  [SMALL_STATE(17834)] = 750352,
  [SMALL_STATE(17835)] = 750366,
  [SMALL_STATE(17836)] = 750380,
  [SMALL_STATE(17837)] = 750394,
  [SMALL_STATE(17838)] = 750408,
  [SMALL_STATE(17839)] = 750422,
  [SMALL_STATE(17840)] = 750436,
  [SMALL_STATE(17841)] = 750450,
  [SMALL_STATE(17842)] = 750464,
  [SMALL_STATE(17843)] = 750478,
  [SMALL_STATE(17844)] = 750492,
  [SMALL_STATE(17845)] = 750506,
  [SMALL_STATE(17846)] = 750520,
  [SMALL_STATE(17847)] = 750534,
  [SMALL_STATE(17848)] = 750548,
  [SMALL_STATE(17849)] = 750562,
  [SMALL_STATE(17850)] = 750576,
  [SMALL_STATE(17851)] = 750590,
  [SMALL_STATE(17852)] = 750604,
  [SMALL_STATE(17853)] = 750618,
  [SMALL_STATE(17854)] = 750632,
  [SMALL_STATE(17855)] = 750646,
  [SMALL_STATE(17856)] = 750660,
  [SMALL_STATE(17857)] = 750674,
  [SMALL_STATE(17858)] = 750688,
  [SMALL_STATE(17859)] = 750702,
  [SMALL_STATE(17860)] = 750716,
  [SMALL_STATE(17861)] = 750730,
  [SMALL_STATE(17862)] = 750744,
  [SMALL_STATE(17863)] = 750758,
  [SMALL_STATE(17864)] = 750772,
  [SMALL_STATE(17865)] = 750786,
  [SMALL_STATE(17866)] = 750800,
  [SMALL_STATE(17867)] = 750814,
  [SMALL_STATE(17868)] = 750828,
  [SMALL_STATE(17869)] = 750842,
  [SMALL_STATE(17870)] = 750856,
  [SMALL_STATE(17871)] = 750870,
  [SMALL_STATE(17872)] = 750884,
  [SMALL_STATE(17873)] = 750898,
  [SMALL_STATE(17874)] = 750912,
  [SMALL_STATE(17875)] = 750926,
  [SMALL_STATE(17876)] = 750940,
  [SMALL_STATE(17877)] = 750954,
  [SMALL_STATE(17878)] = 750968,
  [SMALL_STATE(17879)] = 750982,
  [SMALL_STATE(17880)] = 750996,
  [SMALL_STATE(17881)] = 751010,
  [SMALL_STATE(17882)] = 751024,
  [SMALL_STATE(17883)] = 751038,
  [SMALL_STATE(17884)] = 751052,
  [SMALL_STATE(17885)] = 751066,
  [SMALL_STATE(17886)] = 751080,
  [SMALL_STATE(17887)] = 751094,
  [SMALL_STATE(17888)] = 751108,
  [SMALL_STATE(17889)] = 751122,
  [SMALL_STATE(17890)] = 751136,
  [SMALL_STATE(17891)] = 751150,
  [SMALL_STATE(17892)] = 751164,
  [SMALL_STATE(17893)] = 751178,
  [SMALL_STATE(17894)] = 751192,
  [SMALL_STATE(17895)] = 751206,
  [SMALL_STATE(17896)] = 751220,
  [SMALL_STATE(17897)] = 751234,
  [SMALL_STATE(17898)] = 751248,
  [SMALL_STATE(17899)] = 751262,
  [SMALL_STATE(17900)] = 751276,
  [SMALL_STATE(17901)] = 751290,
  [SMALL_STATE(17902)] = 751304,
  [SMALL_STATE(17903)] = 751318,
  [SMALL_STATE(17904)] = 751332,
  [SMALL_STATE(17905)] = 751346,
  [SMALL_STATE(17906)] = 751360,
  [SMALL_STATE(17907)] = 751374,
  [SMALL_STATE(17908)] = 751388,
  [SMALL_STATE(17909)] = 751402,
  [SMALL_STATE(17910)] = 751416,
  [SMALL_STATE(17911)] = 751430,
  [SMALL_STATE(17912)] = 751444,
  [SMALL_STATE(17913)] = 751458,
  [SMALL_STATE(17914)] = 751472,
  [SMALL_STATE(17915)] = 751486,
  [SMALL_STATE(17916)] = 751500,
  [SMALL_STATE(17917)] = 751514,
  [SMALL_STATE(17918)] = 751528,
  [SMALL_STATE(17919)] = 751542,
  [SMALL_STATE(17920)] = 751556,
  [SMALL_STATE(17921)] = 751570,
  [SMALL_STATE(17922)] = 751584,
  [SMALL_STATE(17923)] = 751598,
  [SMALL_STATE(17924)] = 751612,
  [SMALL_STATE(17925)] = 751626,
  [SMALL_STATE(17926)] = 751640,
  [SMALL_STATE(17927)] = 751654,
  [SMALL_STATE(17928)] = 751668,
  [SMALL_STATE(17929)] = 751682,
  [SMALL_STATE(17930)] = 751696,
  [SMALL_STATE(17931)] = 751710,
  [SMALL_STATE(17932)] = 751724,
  [SMALL_STATE(17933)] = 751738,
  [SMALL_STATE(17934)] = 751752,
  [SMALL_STATE(17935)] = 751766,
  [SMALL_STATE(17936)] = 751780,
  [SMALL_STATE(17937)] = 751794,
  [SMALL_STATE(17938)] = 751808,
  [SMALL_STATE(17939)] = 751822,
  [SMALL_STATE(17940)] = 751836,
  [SMALL_STATE(17941)] = 751850,
  [SMALL_STATE(17942)] = 751864,
  [SMALL_STATE(17943)] = 751878,
  [SMALL_STATE(17944)] = 751892,
  [SMALL_STATE(17945)] = 751906,
  [SMALL_STATE(17946)] = 751920,
  [SMALL_STATE(17947)] = 751934,
  [SMALL_STATE(17948)] = 751948,
  [SMALL_STATE(17949)] = 751962,
  [SMALL_STATE(17950)] = 751976,
  [SMALL_STATE(17951)] = 751990,
  [SMALL_STATE(17952)] = 752004,
  [SMALL_STATE(17953)] = 752018,
  [SMALL_STATE(17954)] = 752032,
  [SMALL_STATE(17955)] = 752046,
  [SMALL_STATE(17956)] = 752060,
  [SMALL_STATE(17957)] = 752074,
  [SMALL_STATE(17958)] = 752088,
  [SMALL_STATE(17959)] = 752102,
  [SMALL_STATE(17960)] = 752116,
  [SMALL_STATE(17961)] = 752130,
  [SMALL_STATE(17962)] = 752144,
  [SMALL_STATE(17963)] = 752158,
  [SMALL_STATE(17964)] = 752172,
  [SMALL_STATE(17965)] = 752186,
  [SMALL_STATE(17966)] = 752200,
  [SMALL_STATE(17967)] = 752214,
  [SMALL_STATE(17968)] = 752228,
  [SMALL_STATE(17969)] = 752242,
  [SMALL_STATE(17970)] = 752256,
  [SMALL_STATE(17971)] = 752270,
  [SMALL_STATE(17972)] = 752284,
  [SMALL_STATE(17973)] = 752298,
  [SMALL_STATE(17974)] = 752312,
  [SMALL_STATE(17975)] = 752326,
  [SMALL_STATE(17976)] = 752340,
  [SMALL_STATE(17977)] = 752354,
  [SMALL_STATE(17978)] = 752368,
  [SMALL_STATE(17979)] = 752382,
  [SMALL_STATE(17980)] = 752396,
  [SMALL_STATE(17981)] = 752410,
  [SMALL_STATE(17982)] = 752424,
  [SMALL_STATE(17983)] = 752438,
  [SMALL_STATE(17984)] = 752452,
  [SMALL_STATE(17985)] = 752466,
  [SMALL_STATE(17986)] = 752480,
  [SMALL_STATE(17987)] = 752494,
  [SMALL_STATE(17988)] = 752508,
  [SMALL_STATE(17989)] = 752522,
  [SMALL_STATE(17990)] = 752536,
  [SMALL_STATE(17991)] = 752550,
  [SMALL_STATE(17992)] = 752564,
  [SMALL_STATE(17993)] = 752578,
  [SMALL_STATE(17994)] = 752592,
  [SMALL_STATE(17995)] = 752606,
  [SMALL_STATE(17996)] = 752620,
  [SMALL_STATE(17997)] = 752634,
  [SMALL_STATE(17998)] = 752648,
  [SMALL_STATE(17999)] = 752662,
  [SMALL_STATE(18000)] = 752676,
  [SMALL_STATE(18001)] = 752690,
  [SMALL_STATE(18002)] = 752704,
  [SMALL_STATE(18003)] = 752718,
  [SMALL_STATE(18004)] = 752732,
  [SMALL_STATE(18005)] = 752746,
  [SMALL_STATE(18006)] = 752760,
  [SMALL_STATE(18007)] = 752774,
  [SMALL_STATE(18008)] = 752788,
  [SMALL_STATE(18009)] = 752802,
  [SMALL_STATE(18010)] = 752816,
  [SMALL_STATE(18011)] = 752830,
  [SMALL_STATE(18012)] = 752844,
  [SMALL_STATE(18013)] = 752858,
  [SMALL_STATE(18014)] = 752872,
  [SMALL_STATE(18015)] = 752886,
  [SMALL_STATE(18016)] = 752900,
  [SMALL_STATE(18017)] = 752914,
  [SMALL_STATE(18018)] = 752928,
  [SMALL_STATE(18019)] = 752942,
  [SMALL_STATE(18020)] = 752956,
  [SMALL_STATE(18021)] = 752970,
  [SMALL_STATE(18022)] = 752984,
  [SMALL_STATE(18023)] = 752998,
  [SMALL_STATE(18024)] = 753012,
  [SMALL_STATE(18025)] = 753026,
  [SMALL_STATE(18026)] = 753040,
  [SMALL_STATE(18027)] = 753054,
  [SMALL_STATE(18028)] = 753068,
  [SMALL_STATE(18029)] = 753082,
  [SMALL_STATE(18030)] = 753096,
  [SMALL_STATE(18031)] = 753110,
  [SMALL_STATE(18032)] = 753124,
  [SMALL_STATE(18033)] = 753138,
  [SMALL_STATE(18034)] = 753152,
  [SMALL_STATE(18035)] = 753166,
  [SMALL_STATE(18036)] = 753180,
  [SMALL_STATE(18037)] = 753194,
  [SMALL_STATE(18038)] = 753208,
  [SMALL_STATE(18039)] = 753222,
  [SMALL_STATE(18040)] = 753236,
  [SMALL_STATE(18041)] = 753250,
  [SMALL_STATE(18042)] = 753264,
  [SMALL_STATE(18043)] = 753278,
  [SMALL_STATE(18044)] = 753292,
  [SMALL_STATE(18045)] = 753306,
  [SMALL_STATE(18046)] = 753320,
  [SMALL_STATE(18047)] = 753334,
  [SMALL_STATE(18048)] = 753348,
  [SMALL_STATE(18049)] = 753362,
  [SMALL_STATE(18050)] = 753376,
  [SMALL_STATE(18051)] = 753390,
  [SMALL_STATE(18052)] = 753404,
  [SMALL_STATE(18053)] = 753418,
  [SMALL_STATE(18054)] = 753432,
  [SMALL_STATE(18055)] = 753446,
  [SMALL_STATE(18056)] = 753460,
  [SMALL_STATE(18057)] = 753474,
  [SMALL_STATE(18058)] = 753488,
  [SMALL_STATE(18059)] = 753502,
  [SMALL_STATE(18060)] = 753516,
  [SMALL_STATE(18061)] = 753530,
  [SMALL_STATE(18062)] = 753544,
  [SMALL_STATE(18063)] = 753558,
  [SMALL_STATE(18064)] = 753572,
  [SMALL_STATE(18065)] = 753586,
  [SMALL_STATE(18066)] = 753600,
  [SMALL_STATE(18067)] = 753614,
  [SMALL_STATE(18068)] = 753628,
  [SMALL_STATE(18069)] = 753642,
  [SMALL_STATE(18070)] = 753656,
  [SMALL_STATE(18071)] = 753670,
  [SMALL_STATE(18072)] = 753684,
  [SMALL_STATE(18073)] = 753698,
  [SMALL_STATE(18074)] = 753712,
  [SMALL_STATE(18075)] = 753726,
  [SMALL_STATE(18076)] = 753740,
  [SMALL_STATE(18077)] = 753754,
  [SMALL_STATE(18078)] = 753768,
  [SMALL_STATE(18079)] = 753782,
  [SMALL_STATE(18080)] = 753796,
  [SMALL_STATE(18081)] = 753810,
  [SMALL_STATE(18082)] = 753824,
  [SMALL_STATE(18083)] = 753838,
  [SMALL_STATE(18084)] = 753852,
  [SMALL_STATE(18085)] = 753866,
  [SMALL_STATE(18086)] = 753880,
  [SMALL_STATE(18087)] = 753894,
  [SMALL_STATE(18088)] = 753908,
  [SMALL_STATE(18089)] = 753922,
  [SMALL_STATE(18090)] = 753936,
  [SMALL_STATE(18091)] = 753950,
  [SMALL_STATE(18092)] = 753964,
  [SMALL_STATE(18093)] = 753978,
  [SMALL_STATE(18094)] = 753992,
  [SMALL_STATE(18095)] = 754006,
  [SMALL_STATE(18096)] = 754020,
  [SMALL_STATE(18097)] = 754034,
  [SMALL_STATE(18098)] = 754048,
  [SMALL_STATE(18099)] = 754062,
  [SMALL_STATE(18100)] = 754076,
  [SMALL_STATE(18101)] = 754090,
  [SMALL_STATE(18102)] = 754104,
  [SMALL_STATE(18103)] = 754118,
  [SMALL_STATE(18104)] = 754132,
  [SMALL_STATE(18105)] = 754146,
  [SMALL_STATE(18106)] = 754160,
  [SMALL_STATE(18107)] = 754174,
  [SMALL_STATE(18108)] = 754188,
  [SMALL_STATE(18109)] = 754202,
  [SMALL_STATE(18110)] = 754216,
  [SMALL_STATE(18111)] = 754230,
  [SMALL_STATE(18112)] = 754244,
  [SMALL_STATE(18113)] = 754258,
  [SMALL_STATE(18114)] = 754272,
  [SMALL_STATE(18115)] = 754286,
  [SMALL_STATE(18116)] = 754300,
  [SMALL_STATE(18117)] = 754314,
  [SMALL_STATE(18118)] = 754328,
  [SMALL_STATE(18119)] = 754342,
  [SMALL_STATE(18120)] = 754356,
  [SMALL_STATE(18121)] = 754370,
  [SMALL_STATE(18122)] = 754384,
  [SMALL_STATE(18123)] = 754398,
  [SMALL_STATE(18124)] = 754412,
  [SMALL_STATE(18125)] = 754426,
  [SMALL_STATE(18126)] = 754440,
  [SMALL_STATE(18127)] = 754454,
  [SMALL_STATE(18128)] = 754468,
  [SMALL_STATE(18129)] = 754482,
  [SMALL_STATE(18130)] = 754496,
  [SMALL_STATE(18131)] = 754510,
  [SMALL_STATE(18132)] = 754524,
  [SMALL_STATE(18133)] = 754538,
  [SMALL_STATE(18134)] = 754552,
  [SMALL_STATE(18135)] = 754566,
  [SMALL_STATE(18136)] = 754580,
  [SMALL_STATE(18137)] = 754594,
  [SMALL_STATE(18138)] = 754608,
  [SMALL_STATE(18139)] = 754622,
  [SMALL_STATE(18140)] = 754636,
  [SMALL_STATE(18141)] = 754650,
  [SMALL_STATE(18142)] = 754664,
  [SMALL_STATE(18143)] = 754678,
  [SMALL_STATE(18144)] = 754692,
  [SMALL_STATE(18145)] = 754706,
  [SMALL_STATE(18146)] = 754720,
  [SMALL_STATE(18147)] = 754734,
  [SMALL_STATE(18148)] = 754748,
  [SMALL_STATE(18149)] = 754762,
  [SMALL_STATE(18150)] = 754776,
  [SMALL_STATE(18151)] = 754790,
  [SMALL_STATE(18152)] = 754804,
  [SMALL_STATE(18153)] = 754818,
  [SMALL_STATE(18154)] = 754832,
  [SMALL_STATE(18155)] = 754846,
  [SMALL_STATE(18156)] = 754860,
  [SMALL_STATE(18157)] = 754874,
  [SMALL_STATE(18158)] = 754888,
  [SMALL_STATE(18159)] = 754902,
  [SMALL_STATE(18160)] = 754916,
  [SMALL_STATE(18161)] = 754930,
  [SMALL_STATE(18162)] = 754944,
  [SMALL_STATE(18163)] = 754958,
  [SMALL_STATE(18164)] = 754972,
  [SMALL_STATE(18165)] = 754986,
  [SMALL_STATE(18166)] = 755000,
  [SMALL_STATE(18167)] = 755014,
  [SMALL_STATE(18168)] = 755028,
  [SMALL_STATE(18169)] = 755042,
  [SMALL_STATE(18170)] = 755056,
  [SMALL_STATE(18171)] = 755070,
  [SMALL_STATE(18172)] = 755084,
  [SMALL_STATE(18173)] = 755098,
  [SMALL_STATE(18174)] = 755112,
  [SMALL_STATE(18175)] = 755126,
  [SMALL_STATE(18176)] = 755140,
  [SMALL_STATE(18177)] = 755154,
  [SMALL_STATE(18178)] = 755168,
  [SMALL_STATE(18179)] = 755182,
  [SMALL_STATE(18180)] = 755196,
  [SMALL_STATE(18181)] = 755210,
  [SMALL_STATE(18182)] = 755224,
  [SMALL_STATE(18183)] = 755238,
  [SMALL_STATE(18184)] = 755252,
  [SMALL_STATE(18185)] = 755266,
  [SMALL_STATE(18186)] = 755280,
  [SMALL_STATE(18187)] = 755294,
  [SMALL_STATE(18188)] = 755308,
  [SMALL_STATE(18189)] = 755322,
  [SMALL_STATE(18190)] = 755336,
  [SMALL_STATE(18191)] = 755350,
  [SMALL_STATE(18192)] = 755364,
  [SMALL_STATE(18193)] = 755378,
  [SMALL_STATE(18194)] = 755392,
  [SMALL_STATE(18195)] = 755406,
  [SMALL_STATE(18196)] = 755420,
  [SMALL_STATE(18197)] = 755434,
  [SMALL_STATE(18198)] = 755448,
  [SMALL_STATE(18199)] = 755462,
  [SMALL_STATE(18200)] = 755476,
  [SMALL_STATE(18201)] = 755490,
  [SMALL_STATE(18202)] = 755504,
  [SMALL_STATE(18203)] = 755518,
  [SMALL_STATE(18204)] = 755532,
  [SMALL_STATE(18205)] = 755546,
  [SMALL_STATE(18206)] = 755560,
  [SMALL_STATE(18207)] = 755574,
  [SMALL_STATE(18208)] = 755588,
  [SMALL_STATE(18209)] = 755602,
  [SMALL_STATE(18210)] = 755616,
  [SMALL_STATE(18211)] = 755630,
  [SMALL_STATE(18212)] = 755644,
  [SMALL_STATE(18213)] = 755658,
  [SMALL_STATE(18214)] = 755672,
  [SMALL_STATE(18215)] = 755686,
  [SMALL_STATE(18216)] = 755700,
  [SMALL_STATE(18217)] = 755714,
  [SMALL_STATE(18218)] = 755728,
  [SMALL_STATE(18219)] = 755742,
  [SMALL_STATE(18220)] = 755756,
  [SMALL_STATE(18221)] = 755770,
  [SMALL_STATE(18222)] = 755784,
  [SMALL_STATE(18223)] = 755798,
  [SMALL_STATE(18224)] = 755812,
  [SMALL_STATE(18225)] = 755826,
  [SMALL_STATE(18226)] = 755840,
  [SMALL_STATE(18227)] = 755854,
  [SMALL_STATE(18228)] = 755868,
  [SMALL_STATE(18229)] = 755882,
  [SMALL_STATE(18230)] = 755896,
  [SMALL_STATE(18231)] = 755910,
  [SMALL_STATE(18232)] = 755924,
  [SMALL_STATE(18233)] = 755938,
  [SMALL_STATE(18234)] = 755952,
  [SMALL_STATE(18235)] = 755966,
  [SMALL_STATE(18236)] = 755980,
  [SMALL_STATE(18237)] = 755994,
  [SMALL_STATE(18238)] = 756008,
  [SMALL_STATE(18239)] = 756022,
  [SMALL_STATE(18240)] = 756036,
  [SMALL_STATE(18241)] = 756050,
  [SMALL_STATE(18242)] = 756064,
  [SMALL_STATE(18243)] = 756078,
  [SMALL_STATE(18244)] = 756092,
  [SMALL_STATE(18245)] = 756106,
  [SMALL_STATE(18246)] = 756120,
  [SMALL_STATE(18247)] = 756134,
  [SMALL_STATE(18248)] = 756148,
  [SMALL_STATE(18249)] = 756162,
  [SMALL_STATE(18250)] = 756176,
  [SMALL_STATE(18251)] = 756190,
  [SMALL_STATE(18252)] = 756204,
  [SMALL_STATE(18253)] = 756218,
  [SMALL_STATE(18254)] = 756232,
  [SMALL_STATE(18255)] = 756246,
  [SMALL_STATE(18256)] = 756260,
  [SMALL_STATE(18257)] = 756274,
  [SMALL_STATE(18258)] = 756288,
  [SMALL_STATE(18259)] = 756302,
  [SMALL_STATE(18260)] = 756316,
  [SMALL_STATE(18261)] = 756330,
  [SMALL_STATE(18262)] = 756344,
  [SMALL_STATE(18263)] = 756358,
  [SMALL_STATE(18264)] = 756372,
  [SMALL_STATE(18265)] = 756386,
  [SMALL_STATE(18266)] = 756400,
  [SMALL_STATE(18267)] = 756414,
  [SMALL_STATE(18268)] = 756428,
  [SMALL_STATE(18269)] = 756442,
  [SMALL_STATE(18270)] = 756456,
  [SMALL_STATE(18271)] = 756470,
  [SMALL_STATE(18272)] = 756484,
  [SMALL_STATE(18273)] = 756498,
  [SMALL_STATE(18274)] = 756512,
  [SMALL_STATE(18275)] = 756526,
  [SMALL_STATE(18276)] = 756540,
  [SMALL_STATE(18277)] = 756554,
  [SMALL_STATE(18278)] = 756568,
  [SMALL_STATE(18279)] = 756582,
  [SMALL_STATE(18280)] = 756596,
  [SMALL_STATE(18281)] = 756610,
  [SMALL_STATE(18282)] = 756624,
  [SMALL_STATE(18283)] = 756638,
  [SMALL_STATE(18284)] = 756652,
  [SMALL_STATE(18285)] = 756666,
  [SMALL_STATE(18286)] = 756680,
  [SMALL_STATE(18287)] = 756694,
  [SMALL_STATE(18288)] = 756708,
  [SMALL_STATE(18289)] = 756722,
  [SMALL_STATE(18290)] = 756736,
  [SMALL_STATE(18291)] = 756750,
  [SMALL_STATE(18292)] = 756764,
  [SMALL_STATE(18293)] = 756778,
  [SMALL_STATE(18294)] = 756792,
  [SMALL_STATE(18295)] = 756806,
  [SMALL_STATE(18296)] = 756820,
  [SMALL_STATE(18297)] = 756834,
  [SMALL_STATE(18298)] = 756848,
  [SMALL_STATE(18299)] = 756862,
  [SMALL_STATE(18300)] = 756876,
  [SMALL_STATE(18301)] = 756890,
  [SMALL_STATE(18302)] = 756904,
  [SMALL_STATE(18303)] = 756918,
  [SMALL_STATE(18304)] = 756932,
  [SMALL_STATE(18305)] = 756946,
  [SMALL_STATE(18306)] = 756960,
  [SMALL_STATE(18307)] = 756974,
  [SMALL_STATE(18308)] = 756988,
  [SMALL_STATE(18309)] = 757002,
  [SMALL_STATE(18310)] = 757016,
  [SMALL_STATE(18311)] = 757030,
  [SMALL_STATE(18312)] = 757044,
  [SMALL_STATE(18313)] = 757058,
  [SMALL_STATE(18314)] = 757072,
  [SMALL_STATE(18315)] = 757086,
  [SMALL_STATE(18316)] = 757100,
  [SMALL_STATE(18317)] = 757114,
  [SMALL_STATE(18318)] = 757128,
  [SMALL_STATE(18319)] = 757142,
  [SMALL_STATE(18320)] = 757156,
  [SMALL_STATE(18321)] = 757170,
  [SMALL_STATE(18322)] = 757184,
  [SMALL_STATE(18323)] = 757198,
  [SMALL_STATE(18324)] = 757212,
  [SMALL_STATE(18325)] = 757226,
  [SMALL_STATE(18326)] = 757240,
  [SMALL_STATE(18327)] = 757254,
  [SMALL_STATE(18328)] = 757268,
  [SMALL_STATE(18329)] = 757282,
  [SMALL_STATE(18330)] = 757296,
  [SMALL_STATE(18331)] = 757310,
  [SMALL_STATE(18332)] = 757324,
  [SMALL_STATE(18333)] = 757338,
  [SMALL_STATE(18334)] = 757352,
  [SMALL_STATE(18335)] = 757366,
  [SMALL_STATE(18336)] = 757380,
  [SMALL_STATE(18337)] = 757394,
  [SMALL_STATE(18338)] = 757408,
  [SMALL_STATE(18339)] = 757422,
  [SMALL_STATE(18340)] = 757436,
  [SMALL_STATE(18341)] = 757450,
  [SMALL_STATE(18342)] = 757464,
  [SMALL_STATE(18343)] = 757478,
  [SMALL_STATE(18344)] = 757492,
  [SMALL_STATE(18345)] = 757506,
  [SMALL_STATE(18346)] = 757520,
  [SMALL_STATE(18347)] = 757534,
  [SMALL_STATE(18348)] = 757548,
  [SMALL_STATE(18349)] = 757562,
  [SMALL_STATE(18350)] = 757576,
  [SMALL_STATE(18351)] = 757590,
  [SMALL_STATE(18352)] = 757604,
  [SMALL_STATE(18353)] = 757618,
  [SMALL_STATE(18354)] = 757632,
  [SMALL_STATE(18355)] = 757646,
  [SMALL_STATE(18356)] = 757660,
  [SMALL_STATE(18357)] = 757674,
  [SMALL_STATE(18358)] = 757688,
  [SMALL_STATE(18359)] = 757702,
  [SMALL_STATE(18360)] = 757716,
  [SMALL_STATE(18361)] = 757730,
  [SMALL_STATE(18362)] = 757744,
  [SMALL_STATE(18363)] = 757758,
  [SMALL_STATE(18364)] = 757772,
  [SMALL_STATE(18365)] = 757786,
  [SMALL_STATE(18366)] = 757800,
  [SMALL_STATE(18367)] = 757814,
  [SMALL_STATE(18368)] = 757828,
  [SMALL_STATE(18369)] = 757842,
  [SMALL_STATE(18370)] = 757856,
  [SMALL_STATE(18371)] = 757870,
  [SMALL_STATE(18372)] = 757884,
  [SMALL_STATE(18373)] = 757898,
  [SMALL_STATE(18374)] = 757912,
  [SMALL_STATE(18375)] = 757926,
  [SMALL_STATE(18376)] = 757940,
  [SMALL_STATE(18377)] = 757954,
  [SMALL_STATE(18378)] = 757968,
  [SMALL_STATE(18379)] = 757982,
  [SMALL_STATE(18380)] = 757996,
  [SMALL_STATE(18381)] = 758010,
  [SMALL_STATE(18382)] = 758024,
  [SMALL_STATE(18383)] = 758038,
  [SMALL_STATE(18384)] = 758052,
  [SMALL_STATE(18385)] = 758066,
  [SMALL_STATE(18386)] = 758080,
  [SMALL_STATE(18387)] = 758094,
  [SMALL_STATE(18388)] = 758108,
  [SMALL_STATE(18389)] = 758122,
  [SMALL_STATE(18390)] = 758136,
  [SMALL_STATE(18391)] = 758150,
  [SMALL_STATE(18392)] = 758164,
  [SMALL_STATE(18393)] = 758178,
  [SMALL_STATE(18394)] = 758192,
  [SMALL_STATE(18395)] = 758206,
  [SMALL_STATE(18396)] = 758220,
  [SMALL_STATE(18397)] = 758234,
  [SMALL_STATE(18398)] = 758248,
  [SMALL_STATE(18399)] = 758262,
  [SMALL_STATE(18400)] = 758276,
  [SMALL_STATE(18401)] = 758290,
  [SMALL_STATE(18402)] = 758304,
  [SMALL_STATE(18403)] = 758318,
  [SMALL_STATE(18404)] = 758332,
  [SMALL_STATE(18405)] = 758346,
  [SMALL_STATE(18406)] = 758360,
  [SMALL_STATE(18407)] = 758374,
  [SMALL_STATE(18408)] = 758388,
  [SMALL_STATE(18409)] = 758402,
  [SMALL_STATE(18410)] = 758416,
  [SMALL_STATE(18411)] = 758430,
  [SMALL_STATE(18412)] = 758444,
  [SMALL_STATE(18413)] = 758458,
  [SMALL_STATE(18414)] = 758472,
  [SMALL_STATE(18415)] = 758486,
  [SMALL_STATE(18416)] = 758500,
  [SMALL_STATE(18417)] = 758514,
  [SMALL_STATE(18418)] = 758528,
  [SMALL_STATE(18419)] = 758542,
  [SMALL_STATE(18420)] = 758556,
  [SMALL_STATE(18421)] = 758570,
  [SMALL_STATE(18422)] = 758584,
  [SMALL_STATE(18423)] = 758598,
  [SMALL_STATE(18424)] = 758612,
  [SMALL_STATE(18425)] = 758626,
  [SMALL_STATE(18426)] = 758640,
  [SMALL_STATE(18427)] = 758654,
  [SMALL_STATE(18428)] = 758668,
  [SMALL_STATE(18429)] = 758682,
  [SMALL_STATE(18430)] = 758696,
  [SMALL_STATE(18431)] = 758710,
  [SMALL_STATE(18432)] = 758724,
  [SMALL_STATE(18433)] = 758738,
  [SMALL_STATE(18434)] = 758752,
  [SMALL_STATE(18435)] = 758766,
  [SMALL_STATE(18436)] = 758780,
  [SMALL_STATE(18437)] = 758794,
  [SMALL_STATE(18438)] = 758808,
  [SMALL_STATE(18439)] = 758822,
  [SMALL_STATE(18440)] = 758836,
  [SMALL_STATE(18441)] = 758850,
  [SMALL_STATE(18442)] = 758864,
  [SMALL_STATE(18443)] = 758878,
  [SMALL_STATE(18444)] = 758892,
  [SMALL_STATE(18445)] = 758906,
  [SMALL_STATE(18446)] = 758920,
  [SMALL_STATE(18447)] = 758934,
  [SMALL_STATE(18448)] = 758948,
  [SMALL_STATE(18449)] = 758962,
  [SMALL_STATE(18450)] = 758976,
  [SMALL_STATE(18451)] = 758990,
  [SMALL_STATE(18452)] = 759004,
  [SMALL_STATE(18453)] = 759018,
  [SMALL_STATE(18454)] = 759032,
  [SMALL_STATE(18455)] = 759046,
  [SMALL_STATE(18456)] = 759060,
  [SMALL_STATE(18457)] = 759074,
  [SMALL_STATE(18458)] = 759088,
  [SMALL_STATE(18459)] = 759102,
  [SMALL_STATE(18460)] = 759116,
  [SMALL_STATE(18461)] = 759130,
  [SMALL_STATE(18462)] = 759144,
  [SMALL_STATE(18463)] = 759158,
  [SMALL_STATE(18464)] = 759172,
  [SMALL_STATE(18465)] = 759186,
  [SMALL_STATE(18466)] = 759200,
  [SMALL_STATE(18467)] = 759214,
  [SMALL_STATE(18468)] = 759228,
  [SMALL_STATE(18469)] = 759242,
  [SMALL_STATE(18470)] = 759256,
  [SMALL_STATE(18471)] = 759270,
  [SMALL_STATE(18472)] = 759284,
  [SMALL_STATE(18473)] = 759298,
  [SMALL_STATE(18474)] = 759312,
  [SMALL_STATE(18475)] = 759326,
  [SMALL_STATE(18476)] = 759340,
  [SMALL_STATE(18477)] = 759354,
  [SMALL_STATE(18478)] = 759368,
  [SMALL_STATE(18479)] = 759382,
  [SMALL_STATE(18480)] = 759396,
  [SMALL_STATE(18481)] = 759410,
  [SMALL_STATE(18482)] = 759424,
  [SMALL_STATE(18483)] = 759438,
  [SMALL_STATE(18484)] = 759452,
  [SMALL_STATE(18485)] = 759466,
  [SMALL_STATE(18486)] = 759480,
  [SMALL_STATE(18487)] = 759494,
  [SMALL_STATE(18488)] = 759508,
  [SMALL_STATE(18489)] = 759522,
  [SMALL_STATE(18490)] = 759536,
  [SMALL_STATE(18491)] = 759550,
  [SMALL_STATE(18492)] = 759564,
  [SMALL_STATE(18493)] = 759578,
  [SMALL_STATE(18494)] = 759592,
  [SMALL_STATE(18495)] = 759606,
  [SMALL_STATE(18496)] = 759620,
  [SMALL_STATE(18497)] = 759634,
  [SMALL_STATE(18498)] = 759648,
  [SMALL_STATE(18499)] = 759662,
  [SMALL_STATE(18500)] = 759676,
  [SMALL_STATE(18501)] = 759690,
  [SMALL_STATE(18502)] = 759704,
  [SMALL_STATE(18503)] = 759718,
  [SMALL_STATE(18504)] = 759732,
  [SMALL_STATE(18505)] = 759746,
  [SMALL_STATE(18506)] = 759760,
  [SMALL_STATE(18507)] = 759774,
  [SMALL_STATE(18508)] = 759788,
  [SMALL_STATE(18509)] = 759802,
  [SMALL_STATE(18510)] = 759816,
  [SMALL_STATE(18511)] = 759830,
  [SMALL_STATE(18512)] = 759844,
  [SMALL_STATE(18513)] = 759858,
  [SMALL_STATE(18514)] = 759872,
  [SMALL_STATE(18515)] = 759886,
  [SMALL_STATE(18516)] = 759900,
  [SMALL_STATE(18517)] = 759914,
  [SMALL_STATE(18518)] = 759928,
  [SMALL_STATE(18519)] = 759942,
  [SMALL_STATE(18520)] = 759956,
  [SMALL_STATE(18521)] = 759970,
  [SMALL_STATE(18522)] = 759984,
  [SMALL_STATE(18523)] = 759998,
  [SMALL_STATE(18524)] = 760012,
  [SMALL_STATE(18525)] = 760026,
  [SMALL_STATE(18526)] = 760040,
  [SMALL_STATE(18527)] = 760054,
  [SMALL_STATE(18528)] = 760068,
  [SMALL_STATE(18529)] = 760082,
  [SMALL_STATE(18530)] = 760096,
  [SMALL_STATE(18531)] = 760110,
  [SMALL_STATE(18532)] = 760124,
  [SMALL_STATE(18533)] = 760138,
  [SMALL_STATE(18534)] = 760152,
  [SMALL_STATE(18535)] = 760166,
  [SMALL_STATE(18536)] = 760180,
  [SMALL_STATE(18537)] = 760194,
  [SMALL_STATE(18538)] = 760208,
  [SMALL_STATE(18539)] = 760222,
  [SMALL_STATE(18540)] = 760236,
  [SMALL_STATE(18541)] = 760250,
  [SMALL_STATE(18542)] = 760264,
  [SMALL_STATE(18543)] = 760278,
  [SMALL_STATE(18544)] = 760292,
  [SMALL_STATE(18545)] = 760306,
  [SMALL_STATE(18546)] = 760320,
  [SMALL_STATE(18547)] = 760334,
  [SMALL_STATE(18548)] = 760348,
  [SMALL_STATE(18549)] = 760362,
  [SMALL_STATE(18550)] = 760376,
  [SMALL_STATE(18551)] = 760390,
  [SMALL_STATE(18552)] = 760404,
  [SMALL_STATE(18553)] = 760418,
  [SMALL_STATE(18554)] = 760432,
  [SMALL_STATE(18555)] = 760446,
  [SMALL_STATE(18556)] = 760460,
  [SMALL_STATE(18557)] = 760474,
  [SMALL_STATE(18558)] = 760488,
  [SMALL_STATE(18559)] = 760502,
  [SMALL_STATE(18560)] = 760516,
  [SMALL_STATE(18561)] = 760530,
  [SMALL_STATE(18562)] = 760544,
  [SMALL_STATE(18563)] = 760558,
  [SMALL_STATE(18564)] = 760572,
  [SMALL_STATE(18565)] = 760586,
  [SMALL_STATE(18566)] = 760600,
  [SMALL_STATE(18567)] = 760614,
  [SMALL_STATE(18568)] = 760628,
  [SMALL_STATE(18569)] = 760642,
  [SMALL_STATE(18570)] = 760656,
  [SMALL_STATE(18571)] = 760670,
  [SMALL_STATE(18572)] = 760684,
  [SMALL_STATE(18573)] = 760698,
  [SMALL_STATE(18574)] = 760712,
  [SMALL_STATE(18575)] = 760726,
  [SMALL_STATE(18576)] = 760740,
  [SMALL_STATE(18577)] = 760754,
  [SMALL_STATE(18578)] = 760768,
  [SMALL_STATE(18579)] = 760782,
  [SMALL_STATE(18580)] = 760796,
  [SMALL_STATE(18581)] = 760810,
  [SMALL_STATE(18582)] = 760824,
  [SMALL_STATE(18583)] = 760838,
  [SMALL_STATE(18584)] = 760852,
  [SMALL_STATE(18585)] = 760866,
  [SMALL_STATE(18586)] = 760880,
  [SMALL_STATE(18587)] = 760894,
  [SMALL_STATE(18588)] = 760908,
  [SMALL_STATE(18589)] = 760922,
  [SMALL_STATE(18590)] = 760936,
  [SMALL_STATE(18591)] = 760950,
  [SMALL_STATE(18592)] = 760964,
  [SMALL_STATE(18593)] = 760978,
  [SMALL_STATE(18594)] = 760992,
  [SMALL_STATE(18595)] = 761006,
  [SMALL_STATE(18596)] = 761020,
  [SMALL_STATE(18597)] = 761034,
  [SMALL_STATE(18598)] = 761048,
  [SMALL_STATE(18599)] = 761062,
  [SMALL_STATE(18600)] = 761076,
  [SMALL_STATE(18601)] = 761090,
  [SMALL_STATE(18602)] = 761104,
  [SMALL_STATE(18603)] = 761118,
  [SMALL_STATE(18604)] = 761132,
  [SMALL_STATE(18605)] = 761146,
  [SMALL_STATE(18606)] = 761160,
  [SMALL_STATE(18607)] = 761174,
  [SMALL_STATE(18608)] = 761188,
  [SMALL_STATE(18609)] = 761202,
  [SMALL_STATE(18610)] = 761216,
  [SMALL_STATE(18611)] = 761230,
  [SMALL_STATE(18612)] = 761244,
  [SMALL_STATE(18613)] = 761258,
  [SMALL_STATE(18614)] = 761272,
  [SMALL_STATE(18615)] = 761286,
  [SMALL_STATE(18616)] = 761300,
  [SMALL_STATE(18617)] = 761314,
  [SMALL_STATE(18618)] = 761328,
  [SMALL_STATE(18619)] = 761342,
  [SMALL_STATE(18620)] = 761356,
  [SMALL_STATE(18621)] = 761370,
  [SMALL_STATE(18622)] = 761384,
  [SMALL_STATE(18623)] = 761398,
  [SMALL_STATE(18624)] = 761412,
  [SMALL_STATE(18625)] = 761426,
  [SMALL_STATE(18626)] = 761440,
  [SMALL_STATE(18627)] = 761454,
  [SMALL_STATE(18628)] = 761468,
  [SMALL_STATE(18629)] = 761482,
  [SMALL_STATE(18630)] = 761496,
  [SMALL_STATE(18631)] = 761510,
  [SMALL_STATE(18632)] = 761524,
  [SMALL_STATE(18633)] = 761538,
  [SMALL_STATE(18634)] = 761552,
  [SMALL_STATE(18635)] = 761566,
  [SMALL_STATE(18636)] = 761580,
  [SMALL_STATE(18637)] = 761594,
  [SMALL_STATE(18638)] = 761608,
  [SMALL_STATE(18639)] = 761622,
  [SMALL_STATE(18640)] = 761636,
  [SMALL_STATE(18641)] = 761650,
  [SMALL_STATE(18642)] = 761664,
  [SMALL_STATE(18643)] = 761678,
  [SMALL_STATE(18644)] = 761692,
  [SMALL_STATE(18645)] = 761706,
  [SMALL_STATE(18646)] = 761720,
  [SMALL_STATE(18647)] = 761734,
  [SMALL_STATE(18648)] = 761748,
  [SMALL_STATE(18649)] = 761762,
  [SMALL_STATE(18650)] = 761776,
  [SMALL_STATE(18651)] = 761790,
  [SMALL_STATE(18652)] = 761804,
  [SMALL_STATE(18653)] = 761818,
  [SMALL_STATE(18654)] = 761832,
  [SMALL_STATE(18655)] = 761846,
  [SMALL_STATE(18656)] = 761860,
  [SMALL_STATE(18657)] = 761874,
  [SMALL_STATE(18658)] = 761888,
  [SMALL_STATE(18659)] = 761902,
  [SMALL_STATE(18660)] = 761916,
  [SMALL_STATE(18661)] = 761930,
  [SMALL_STATE(18662)] = 761944,
  [SMALL_STATE(18663)] = 761958,
  [SMALL_STATE(18664)] = 761972,
  [SMALL_STATE(18665)] = 761986,
  [SMALL_STATE(18666)] = 762000,
  [SMALL_STATE(18667)] = 762014,
  [SMALL_STATE(18668)] = 762028,
  [SMALL_STATE(18669)] = 762042,
  [SMALL_STATE(18670)] = 762056,
  [SMALL_STATE(18671)] = 762070,
  [SMALL_STATE(18672)] = 762084,
  [SMALL_STATE(18673)] = 762098,
  [SMALL_STATE(18674)] = 762112,
  [SMALL_STATE(18675)] = 762126,
  [SMALL_STATE(18676)] = 762140,
  [SMALL_STATE(18677)] = 762154,
  [SMALL_STATE(18678)] = 762168,
  [SMALL_STATE(18679)] = 762182,
  [SMALL_STATE(18680)] = 762196,
  [SMALL_STATE(18681)] = 762210,
  [SMALL_STATE(18682)] = 762224,
  [SMALL_STATE(18683)] = 762238,
  [SMALL_STATE(18684)] = 762252,
  [SMALL_STATE(18685)] = 762266,
  [SMALL_STATE(18686)] = 762280,
  [SMALL_STATE(18687)] = 762294,
  [SMALL_STATE(18688)] = 762308,
  [SMALL_STATE(18689)] = 762322,
  [SMALL_STATE(18690)] = 762336,
  [SMALL_STATE(18691)] = 762350,
  [SMALL_STATE(18692)] = 762364,
  [SMALL_STATE(18693)] = 762378,
  [SMALL_STATE(18694)] = 762392,
  [SMALL_STATE(18695)] = 762406,
  [SMALL_STATE(18696)] = 762420,
  [SMALL_STATE(18697)] = 762434,
  [SMALL_STATE(18698)] = 762448,
  [SMALL_STATE(18699)] = 762462,
  [SMALL_STATE(18700)] = 762476,
  [SMALL_STATE(18701)] = 762490,
  [SMALL_STATE(18702)] = 762504,
  [SMALL_STATE(18703)] = 762518,
  [SMALL_STATE(18704)] = 762532,
  [SMALL_STATE(18705)] = 762546,
  [SMALL_STATE(18706)] = 762560,
  [SMALL_STATE(18707)] = 762574,
  [SMALL_STATE(18708)] = 762588,
  [SMALL_STATE(18709)] = 762602,
  [SMALL_STATE(18710)] = 762616,
  [SMALL_STATE(18711)] = 762630,
  [SMALL_STATE(18712)] = 762644,
  [SMALL_STATE(18713)] = 762658,
  [SMALL_STATE(18714)] = 762672,
  [SMALL_STATE(18715)] = 762686,
  [SMALL_STATE(18716)] = 762700,
  [SMALL_STATE(18717)] = 762714,
  [SMALL_STATE(18718)] = 762728,
  [SMALL_STATE(18719)] = 762742,
  [SMALL_STATE(18720)] = 762756,
  [SMALL_STATE(18721)] = 762770,
  [SMALL_STATE(18722)] = 762784,
  [SMALL_STATE(18723)] = 762798,
  [SMALL_STATE(18724)] = 762812,
  [SMALL_STATE(18725)] = 762826,
  [SMALL_STATE(18726)] = 762840,
  [SMALL_STATE(18727)] = 762854,
  [SMALL_STATE(18728)] = 762868,
  [SMALL_STATE(18729)] = 762882,
  [SMALL_STATE(18730)] = 762896,
  [SMALL_STATE(18731)] = 762910,
  [SMALL_STATE(18732)] = 762924,
  [SMALL_STATE(18733)] = 762938,
  [SMALL_STATE(18734)] = 762952,
  [SMALL_STATE(18735)] = 762966,
  [SMALL_STATE(18736)] = 762980,
  [SMALL_STATE(18737)] = 762994,
  [SMALL_STATE(18738)] = 763008,
  [SMALL_STATE(18739)] = 763022,
  [SMALL_STATE(18740)] = 763036,
  [SMALL_STATE(18741)] = 763050,
  [SMALL_STATE(18742)] = 763064,
  [SMALL_STATE(18743)] = 763078,
  [SMALL_STATE(18744)] = 763092,
  [SMALL_STATE(18745)] = 763106,
  [SMALL_STATE(18746)] = 763120,
  [SMALL_STATE(18747)] = 763134,
  [SMALL_STATE(18748)] = 763148,
  [SMALL_STATE(18749)] = 763162,
  [SMALL_STATE(18750)] = 763176,
  [SMALL_STATE(18751)] = 763190,
  [SMALL_STATE(18752)] = 763204,
  [SMALL_STATE(18753)] = 763218,
  [SMALL_STATE(18754)] = 763232,
  [SMALL_STATE(18755)] = 763246,
  [SMALL_STATE(18756)] = 763260,
  [SMALL_STATE(18757)] = 763274,
  [SMALL_STATE(18758)] = 763288,
  [SMALL_STATE(18759)] = 763302,
  [SMALL_STATE(18760)] = 763316,
  [SMALL_STATE(18761)] = 763330,
  [SMALL_STATE(18762)] = 763344,
  [SMALL_STATE(18763)] = 763358,
  [SMALL_STATE(18764)] = 763372,
  [SMALL_STATE(18765)] = 763386,
  [SMALL_STATE(18766)] = 763400,
  [SMALL_STATE(18767)] = 763414,
  [SMALL_STATE(18768)] = 763428,
  [SMALL_STATE(18769)] = 763442,
  [SMALL_STATE(18770)] = 763456,
  [SMALL_STATE(18771)] = 763470,
  [SMALL_STATE(18772)] = 763484,
  [SMALL_STATE(18773)] = 763498,
  [SMALL_STATE(18774)] = 763512,
  [SMALL_STATE(18775)] = 763526,
  [SMALL_STATE(18776)] = 763540,
  [SMALL_STATE(18777)] = 763554,
  [SMALL_STATE(18778)] = 763568,
  [SMALL_STATE(18779)] = 763582,
  [SMALL_STATE(18780)] = 763596,
  [SMALL_STATE(18781)] = 763610,
  [SMALL_STATE(18782)] = 763624,
  [SMALL_STATE(18783)] = 763638,
  [SMALL_STATE(18784)] = 763652,
  [SMALL_STATE(18785)] = 763666,
  [SMALL_STATE(18786)] = 763680,
  [SMALL_STATE(18787)] = 763694,
  [SMALL_STATE(18788)] = 763708,
  [SMALL_STATE(18789)] = 763722,
  [SMALL_STATE(18790)] = 763736,
  [SMALL_STATE(18791)] = 763750,
  [SMALL_STATE(18792)] = 763764,
  [SMALL_STATE(18793)] = 763778,
  [SMALL_STATE(18794)] = 763792,
  [SMALL_STATE(18795)] = 763806,
  [SMALL_STATE(18796)] = 763820,
  [SMALL_STATE(18797)] = 763834,
  [SMALL_STATE(18798)] = 763848,
  [SMALL_STATE(18799)] = 763862,
  [SMALL_STATE(18800)] = 763876,
  [SMALL_STATE(18801)] = 763890,
  [SMALL_STATE(18802)] = 763904,
  [SMALL_STATE(18803)] = 763918,
  [SMALL_STATE(18804)] = 763932,
  [SMALL_STATE(18805)] = 763946,
  [SMALL_STATE(18806)] = 763960,
  [SMALL_STATE(18807)] = 763974,
  [SMALL_STATE(18808)] = 763988,
  [SMALL_STATE(18809)] = 764002,
  [SMALL_STATE(18810)] = 764016,
  [SMALL_STATE(18811)] = 764030,
  [SMALL_STATE(18812)] = 764044,
  [SMALL_STATE(18813)] = 764058,
  [SMALL_STATE(18814)] = 764072,
  [SMALL_STATE(18815)] = 764086,
  [SMALL_STATE(18816)] = 764100,
  [SMALL_STATE(18817)] = 764114,
  [SMALL_STATE(18818)] = 764128,
  [SMALL_STATE(18819)] = 764142,
  [SMALL_STATE(18820)] = 764156,
  [SMALL_STATE(18821)] = 764170,
  [SMALL_STATE(18822)] = 764184,
  [SMALL_STATE(18823)] = 764198,
  [SMALL_STATE(18824)] = 764212,
  [SMALL_STATE(18825)] = 764226,
  [SMALL_STATE(18826)] = 764240,
  [SMALL_STATE(18827)] = 764254,
  [SMALL_STATE(18828)] = 764268,
  [SMALL_STATE(18829)] = 764282,
  [SMALL_STATE(18830)] = 764296,
  [SMALL_STATE(18831)] = 764310,
  [SMALL_STATE(18832)] = 764324,
  [SMALL_STATE(18833)] = 764338,
  [SMALL_STATE(18834)] = 764352,
  [SMALL_STATE(18835)] = 764366,
  [SMALL_STATE(18836)] = 764380,
  [SMALL_STATE(18837)] = 764394,
  [SMALL_STATE(18838)] = 764408,
  [SMALL_STATE(18839)] = 764422,
  [SMALL_STATE(18840)] = 764436,
  [SMALL_STATE(18841)] = 764450,
  [SMALL_STATE(18842)] = 764464,
  [SMALL_STATE(18843)] = 764478,
  [SMALL_STATE(18844)] = 764492,
  [SMALL_STATE(18845)] = 764506,
  [SMALL_STATE(18846)] = 764520,
  [SMALL_STATE(18847)] = 764534,
  [SMALL_STATE(18848)] = 764548,
  [SMALL_STATE(18849)] = 764562,
  [SMALL_STATE(18850)] = 764576,
  [SMALL_STATE(18851)] = 764590,
  [SMALL_STATE(18852)] = 764604,
  [SMALL_STATE(18853)] = 764618,
  [SMALL_STATE(18854)] = 764632,
  [SMALL_STATE(18855)] = 764646,
  [SMALL_STATE(18856)] = 764660,
  [SMALL_STATE(18857)] = 764674,
  [SMALL_STATE(18858)] = 764688,
  [SMALL_STATE(18859)] = 764702,
  [SMALL_STATE(18860)] = 764716,
  [SMALL_STATE(18861)] = 764730,
  [SMALL_STATE(18862)] = 764744,
  [SMALL_STATE(18863)] = 764758,
  [SMALL_STATE(18864)] = 764772,
  [SMALL_STATE(18865)] = 764786,
  [SMALL_STATE(18866)] = 764800,
  [SMALL_STATE(18867)] = 764814,
  [SMALL_STATE(18868)] = 764828,
  [SMALL_STATE(18869)] = 764842,
  [SMALL_STATE(18870)] = 764856,
  [SMALL_STATE(18871)] = 764870,
  [SMALL_STATE(18872)] = 764884,
  [SMALL_STATE(18873)] = 764898,
  [SMALL_STATE(18874)] = 764912,
  [SMALL_STATE(18875)] = 764926,
  [SMALL_STATE(18876)] = 764940,
  [SMALL_STATE(18877)] = 764954,
  [SMALL_STATE(18878)] = 764968,
  [SMALL_STATE(18879)] = 764982,
  [SMALL_STATE(18880)] = 764996,
  [SMALL_STATE(18881)] = 765010,
  [SMALL_STATE(18882)] = 765024,
  [SMALL_STATE(18883)] = 765038,
  [SMALL_STATE(18884)] = 765052,
  [SMALL_STATE(18885)] = 765066,
  [SMALL_STATE(18886)] = 765080,
  [SMALL_STATE(18887)] = 765094,
  [SMALL_STATE(18888)] = 765108,
  [SMALL_STATE(18889)] = 765122,
  [SMALL_STATE(18890)] = 765136,
  [SMALL_STATE(18891)] = 765150,
  [SMALL_STATE(18892)] = 765164,
  [SMALL_STATE(18893)] = 765178,
  [SMALL_STATE(18894)] = 765192,
  [SMALL_STATE(18895)] = 765206,
  [SMALL_STATE(18896)] = 765220,
  [SMALL_STATE(18897)] = 765234,
  [SMALL_STATE(18898)] = 765248,
  [SMALL_STATE(18899)] = 765262,
  [SMALL_STATE(18900)] = 765276,
  [SMALL_STATE(18901)] = 765290,
  [SMALL_STATE(18902)] = 765304,
  [SMALL_STATE(18903)] = 765318,
  [SMALL_STATE(18904)] = 765332,
  [SMALL_STATE(18905)] = 765346,
  [SMALL_STATE(18906)] = 765360,
  [SMALL_STATE(18907)] = 765374,
  [SMALL_STATE(18908)] = 765388,
  [SMALL_STATE(18909)] = 765402,
  [SMALL_STATE(18910)] = 765416,
  [SMALL_STATE(18911)] = 765430,
  [SMALL_STATE(18912)] = 765444,
  [SMALL_STATE(18913)] = 765458,
  [SMALL_STATE(18914)] = 765472,
  [SMALL_STATE(18915)] = 765486,
  [SMALL_STATE(18916)] = 765500,
  [SMALL_STATE(18917)] = 765514,
  [SMALL_STATE(18918)] = 765528,
  [SMALL_STATE(18919)] = 765542,
  [SMALL_STATE(18920)] = 765556,
  [SMALL_STATE(18921)] = 765570,
  [SMALL_STATE(18922)] = 765584,
  [SMALL_STATE(18923)] = 765598,
  [SMALL_STATE(18924)] = 765612,
  [SMALL_STATE(18925)] = 765626,
  [SMALL_STATE(18926)] = 765640,
  [SMALL_STATE(18927)] = 765654,
  [SMALL_STATE(18928)] = 765668,
  [SMALL_STATE(18929)] = 765682,
  [SMALL_STATE(18930)] = 765696,
  [SMALL_STATE(18931)] = 765710,
  [SMALL_STATE(18932)] = 765724,
  [SMALL_STATE(18933)] = 765738,
  [SMALL_STATE(18934)] = 765752,
  [SMALL_STATE(18935)] = 765766,
  [SMALL_STATE(18936)] = 765780,
  [SMALL_STATE(18937)] = 765794,
  [SMALL_STATE(18938)] = 765808,
  [SMALL_STATE(18939)] = 765822,
  [SMALL_STATE(18940)] = 765836,
  [SMALL_STATE(18941)] = 765850,
  [SMALL_STATE(18942)] = 765864,
  [SMALL_STATE(18943)] = 765878,
  [SMALL_STATE(18944)] = 765892,
  [SMALL_STATE(18945)] = 765906,
  [SMALL_STATE(18946)] = 765920,
  [SMALL_STATE(18947)] = 765934,
  [SMALL_STATE(18948)] = 765948,
  [SMALL_STATE(18949)] = 765962,
  [SMALL_STATE(18950)] = 765976,
  [SMALL_STATE(18951)] = 765990,
  [SMALL_STATE(18952)] = 766004,
  [SMALL_STATE(18953)] = 766018,
  [SMALL_STATE(18954)] = 766032,
  [SMALL_STATE(18955)] = 766046,
  [SMALL_STATE(18956)] = 766060,
  [SMALL_STATE(18957)] = 766074,
  [SMALL_STATE(18958)] = 766088,
  [SMALL_STATE(18959)] = 766102,
  [SMALL_STATE(18960)] = 766116,
  [SMALL_STATE(18961)] = 766130,
  [SMALL_STATE(18962)] = 766144,
  [SMALL_STATE(18963)] = 766158,
  [SMALL_STATE(18964)] = 766172,
  [SMALL_STATE(18965)] = 766186,
  [SMALL_STATE(18966)] = 766200,
  [SMALL_STATE(18967)] = 766214,
  [SMALL_STATE(18968)] = 766228,
  [SMALL_STATE(18969)] = 766242,
  [SMALL_STATE(18970)] = 766256,
  [SMALL_STATE(18971)] = 766270,
  [SMALL_STATE(18972)] = 766284,
  [SMALL_STATE(18973)] = 766298,
  [SMALL_STATE(18974)] = 766312,
  [SMALL_STATE(18975)] = 766326,
  [SMALL_STATE(18976)] = 766340,
  [SMALL_STATE(18977)] = 766354,
  [SMALL_STATE(18978)] = 766368,
  [SMALL_STATE(18979)] = 766382,
  [SMALL_STATE(18980)] = 766396,
  [SMALL_STATE(18981)] = 766410,
  [SMALL_STATE(18982)] = 766424,
  [SMALL_STATE(18983)] = 766438,
  [SMALL_STATE(18984)] = 766452,
  [SMALL_STATE(18985)] = 766466,
  [SMALL_STATE(18986)] = 766480,
  [SMALL_STATE(18987)] = 766494,
  [SMALL_STATE(18988)] = 766508,
  [SMALL_STATE(18989)] = 766522,
  [SMALL_STATE(18990)] = 766536,
  [SMALL_STATE(18991)] = 766550,
  [SMALL_STATE(18992)] = 766564,
  [SMALL_STATE(18993)] = 766578,
  [SMALL_STATE(18994)] = 766592,
  [SMALL_STATE(18995)] = 766606,
  [SMALL_STATE(18996)] = 766620,
  [SMALL_STATE(18997)] = 766634,
  [SMALL_STATE(18998)] = 766648,
  [SMALL_STATE(18999)] = 766662,
  [SMALL_STATE(19000)] = 766676,
  [SMALL_STATE(19001)] = 766690,
  [SMALL_STATE(19002)] = 766704,
  [SMALL_STATE(19003)] = 766718,
  [SMALL_STATE(19004)] = 766732,
  [SMALL_STATE(19005)] = 766746,
  [SMALL_STATE(19006)] = 766760,
  [SMALL_STATE(19007)] = 766774,
  [SMALL_STATE(19008)] = 766788,
  [SMALL_STATE(19009)] = 766802,
  [SMALL_STATE(19010)] = 766816,
  [SMALL_STATE(19011)] = 766830,
  [SMALL_STATE(19012)] = 766844,
  [SMALL_STATE(19013)] = 766858,
  [SMALL_STATE(19014)] = 766872,
  [SMALL_STATE(19015)] = 766886,
  [SMALL_STATE(19016)] = 766900,
  [SMALL_STATE(19017)] = 766914,
  [SMALL_STATE(19018)] = 766928,
  [SMALL_STATE(19019)] = 766942,
  [SMALL_STATE(19020)] = 766956,
  [SMALL_STATE(19021)] = 766970,
  [SMALL_STATE(19022)] = 766984,
  [SMALL_STATE(19023)] = 766998,
  [SMALL_STATE(19024)] = 767012,
  [SMALL_STATE(19025)] = 767026,
  [SMALL_STATE(19026)] = 767040,
  [SMALL_STATE(19027)] = 767054,
  [SMALL_STATE(19028)] = 767068,
  [SMALL_STATE(19029)] = 767082,
  [SMALL_STATE(19030)] = 767096,
  [SMALL_STATE(19031)] = 767110,
  [SMALL_STATE(19032)] = 767124,
  [SMALL_STATE(19033)] = 767138,
  [SMALL_STATE(19034)] = 767152,
  [SMALL_STATE(19035)] = 767166,
  [SMALL_STATE(19036)] = 767180,
  [SMALL_STATE(19037)] = 767194,
  [SMALL_STATE(19038)] = 767208,
  [SMALL_STATE(19039)] = 767222,
  [SMALL_STATE(19040)] = 767236,
  [SMALL_STATE(19041)] = 767250,
  [SMALL_STATE(19042)] = 767264,
  [SMALL_STATE(19043)] = 767278,
  [SMALL_STATE(19044)] = 767292,
  [SMALL_STATE(19045)] = 767306,
  [SMALL_STATE(19046)] = 767320,
  [SMALL_STATE(19047)] = 767334,
  [SMALL_STATE(19048)] = 767348,
  [SMALL_STATE(19049)] = 767362,
  [SMALL_STATE(19050)] = 767376,
  [SMALL_STATE(19051)] = 767390,
  [SMALL_STATE(19052)] = 767404,
  [SMALL_STATE(19053)] = 767418,
  [SMALL_STATE(19054)] = 767432,
  [SMALL_STATE(19055)] = 767446,
  [SMALL_STATE(19056)] = 767460,
  [SMALL_STATE(19057)] = 767474,
  [SMALL_STATE(19058)] = 767488,
  [SMALL_STATE(19059)] = 767502,
  [SMALL_STATE(19060)] = 767516,
  [SMALL_STATE(19061)] = 767530,
  [SMALL_STATE(19062)] = 767544,
  [SMALL_STATE(19063)] = 767558,
  [SMALL_STATE(19064)] = 767572,
  [SMALL_STATE(19065)] = 767586,
  [SMALL_STATE(19066)] = 767600,
  [SMALL_STATE(19067)] = 767614,
  [SMALL_STATE(19068)] = 767628,
  [SMALL_STATE(19069)] = 767642,
  [SMALL_STATE(19070)] = 767656,
  [SMALL_STATE(19071)] = 767670,
  [SMALL_STATE(19072)] = 767684,
  [SMALL_STATE(19073)] = 767698,
  [SMALL_STATE(19074)] = 767712,
  [SMALL_STATE(19075)] = 767726,
  [SMALL_STATE(19076)] = 767740,
  [SMALL_STATE(19077)] = 767754,
  [SMALL_STATE(19078)] = 767768,
  [SMALL_STATE(19079)] = 767782,
  [SMALL_STATE(19080)] = 767796,
  [SMALL_STATE(19081)] = 767810,
  [SMALL_STATE(19082)] = 767824,
  [SMALL_STATE(19083)] = 767838,
  [SMALL_STATE(19084)] = 767852,
  [SMALL_STATE(19085)] = 767866,
  [SMALL_STATE(19086)] = 767880,
  [SMALL_STATE(19087)] = 767894,
  [SMALL_STATE(19088)] = 767908,
  [SMALL_STATE(19089)] = 767922,
  [SMALL_STATE(19090)] = 767936,
  [SMALL_STATE(19091)] = 767950,
  [SMALL_STATE(19092)] = 767964,
  [SMALL_STATE(19093)] = 767978,
  [SMALL_STATE(19094)] = 767992,
  [SMALL_STATE(19095)] = 768006,
  [SMALL_STATE(19096)] = 768020,
  [SMALL_STATE(19097)] = 768034,
  [SMALL_STATE(19098)] = 768048,
  [SMALL_STATE(19099)] = 768062,
  [SMALL_STATE(19100)] = 768076,
  [SMALL_STATE(19101)] = 768090,
  [SMALL_STATE(19102)] = 768104,
  [SMALL_STATE(19103)] = 768118,
  [SMALL_STATE(19104)] = 768132,
  [SMALL_STATE(19105)] = 768146,
  [SMALL_STATE(19106)] = 768160,
  [SMALL_STATE(19107)] = 768174,
  [SMALL_STATE(19108)] = 768188,
  [SMALL_STATE(19109)] = 768202,
  [SMALL_STATE(19110)] = 768216,
  [SMALL_STATE(19111)] = 768230,
  [SMALL_STATE(19112)] = 768244,
  [SMALL_STATE(19113)] = 768258,
  [SMALL_STATE(19114)] = 768272,
  [SMALL_STATE(19115)] = 768286,
  [SMALL_STATE(19116)] = 768300,
  [SMALL_STATE(19117)] = 768314,
  [SMALL_STATE(19118)] = 768328,
  [SMALL_STATE(19119)] = 768342,
  [SMALL_STATE(19120)] = 768356,
  [SMALL_STATE(19121)] = 768370,
  [SMALL_STATE(19122)] = 768384,
  [SMALL_STATE(19123)] = 768398,
  [SMALL_STATE(19124)] = 768412,
  [SMALL_STATE(19125)] = 768426,
  [SMALL_STATE(19126)] = 768440,
  [SMALL_STATE(19127)] = 768454,
  [SMALL_STATE(19128)] = 768468,
  [SMALL_STATE(19129)] = 768482,
  [SMALL_STATE(19130)] = 768496,
  [SMALL_STATE(19131)] = 768510,
  [SMALL_STATE(19132)] = 768524,
  [SMALL_STATE(19133)] = 768538,
  [SMALL_STATE(19134)] = 768552,
  [SMALL_STATE(19135)] = 768566,
  [SMALL_STATE(19136)] = 768580,
  [SMALL_STATE(19137)] = 768594,
  [SMALL_STATE(19138)] = 768608,
  [SMALL_STATE(19139)] = 768622,
  [SMALL_STATE(19140)] = 768636,
  [SMALL_STATE(19141)] = 768650,
  [SMALL_STATE(19142)] = 768664,
  [SMALL_STATE(19143)] = 768678,
  [SMALL_STATE(19144)] = 768692,
  [SMALL_STATE(19145)] = 768706,
  [SMALL_STATE(19146)] = 768720,
  [SMALL_STATE(19147)] = 768734,
  [SMALL_STATE(19148)] = 768748,
  [SMALL_STATE(19149)] = 768762,
  [SMALL_STATE(19150)] = 768776,
  [SMALL_STATE(19151)] = 768790,
  [SMALL_STATE(19152)] = 768804,
  [SMALL_STATE(19153)] = 768818,
  [SMALL_STATE(19154)] = 768832,
  [SMALL_STATE(19155)] = 768846,
  [SMALL_STATE(19156)] = 768860,
  [SMALL_STATE(19157)] = 768874,
  [SMALL_STATE(19158)] = 768888,
  [SMALL_STATE(19159)] = 768902,
  [SMALL_STATE(19160)] = 768916,
  [SMALL_STATE(19161)] = 768930,
  [SMALL_STATE(19162)] = 768944,
  [SMALL_STATE(19163)] = 768958,
  [SMALL_STATE(19164)] = 768972,
  [SMALL_STATE(19165)] = 768986,
  [SMALL_STATE(19166)] = 769000,
  [SMALL_STATE(19167)] = 769014,
  [SMALL_STATE(19168)] = 769028,
  [SMALL_STATE(19169)] = 769042,
  [SMALL_STATE(19170)] = 769056,
  [SMALL_STATE(19171)] = 769070,
  [SMALL_STATE(19172)] = 769084,
  [SMALL_STATE(19173)] = 769098,
  [SMALL_STATE(19174)] = 769112,
  [SMALL_STATE(19175)] = 769126,
  [SMALL_STATE(19176)] = 769140,
  [SMALL_STATE(19177)] = 769154,
  [SMALL_STATE(19178)] = 769168,
  [SMALL_STATE(19179)] = 769182,
  [SMALL_STATE(19180)] = 769196,
  [SMALL_STATE(19181)] = 769210,
  [SMALL_STATE(19182)] = 769224,
  [SMALL_STATE(19183)] = 769238,
  [SMALL_STATE(19184)] = 769252,
  [SMALL_STATE(19185)] = 769266,
  [SMALL_STATE(19186)] = 769280,
  [SMALL_STATE(19187)] = 769294,
  [SMALL_STATE(19188)] = 769308,
  [SMALL_STATE(19189)] = 769322,
  [SMALL_STATE(19190)] = 769336,
  [SMALL_STATE(19191)] = 769350,
  [SMALL_STATE(19192)] = 769364,
  [SMALL_STATE(19193)] = 769378,
  [SMALL_STATE(19194)] = 769392,
  [SMALL_STATE(19195)] = 769406,
  [SMALL_STATE(19196)] = 769420,
  [SMALL_STATE(19197)] = 769434,
  [SMALL_STATE(19198)] = 769448,
  [SMALL_STATE(19199)] = 769462,
  [SMALL_STATE(19200)] = 769476,
  [SMALL_STATE(19201)] = 769490,
  [SMALL_STATE(19202)] = 769504,
  [SMALL_STATE(19203)] = 769518,
  [SMALL_STATE(19204)] = 769532,
  [SMALL_STATE(19205)] = 769546,
  [SMALL_STATE(19206)] = 769560,
  [SMALL_STATE(19207)] = 769574,
  [SMALL_STATE(19208)] = 769588,
  [SMALL_STATE(19209)] = 769602,
  [SMALL_STATE(19210)] = 769616,
  [SMALL_STATE(19211)] = 769630,
  [SMALL_STATE(19212)] = 769644,
  [SMALL_STATE(19213)] = 769658,
  [SMALL_STATE(19214)] = 769672,
  [SMALL_STATE(19215)] = 769686,
  [SMALL_STATE(19216)] = 769700,
  [SMALL_STATE(19217)] = 769714,
  [SMALL_STATE(19218)] = 769728,
  [SMALL_STATE(19219)] = 769742,
  [SMALL_STATE(19220)] = 769756,
  [SMALL_STATE(19221)] = 769770,
  [SMALL_STATE(19222)] = 769784,
  [SMALL_STATE(19223)] = 769798,
  [SMALL_STATE(19224)] = 769812,
  [SMALL_STATE(19225)] = 769826,
  [SMALL_STATE(19226)] = 769840,
  [SMALL_STATE(19227)] = 769854,
  [SMALL_STATE(19228)] = 769868,
  [SMALL_STATE(19229)] = 769882,
  [SMALL_STATE(19230)] = 769896,
  [SMALL_STATE(19231)] = 769910,
  [SMALL_STATE(19232)] = 769924,
  [SMALL_STATE(19233)] = 769938,
  [SMALL_STATE(19234)] = 769952,
  [SMALL_STATE(19235)] = 769966,
  [SMALL_STATE(19236)] = 769980,
  [SMALL_STATE(19237)] = 769994,
  [SMALL_STATE(19238)] = 770008,
  [SMALL_STATE(19239)] = 770022,
  [SMALL_STATE(19240)] = 770036,
  [SMALL_STATE(19241)] = 770050,
  [SMALL_STATE(19242)] = 770064,
  [SMALL_STATE(19243)] = 770078,
  [SMALL_STATE(19244)] = 770092,
  [SMALL_STATE(19245)] = 770106,
  [SMALL_STATE(19246)] = 770120,
  [SMALL_STATE(19247)] = 770134,
  [SMALL_STATE(19248)] = 770148,
  [SMALL_STATE(19249)] = 770162,
  [SMALL_STATE(19250)] = 770176,
  [SMALL_STATE(19251)] = 770190,
  [SMALL_STATE(19252)] = 770204,
  [SMALL_STATE(19253)] = 770218,
  [SMALL_STATE(19254)] = 770232,
  [SMALL_STATE(19255)] = 770246,
  [SMALL_STATE(19256)] = 770260,
  [SMALL_STATE(19257)] = 770274,
  [SMALL_STATE(19258)] = 770288,
  [SMALL_STATE(19259)] = 770302,
  [SMALL_STATE(19260)] = 770316,
  [SMALL_STATE(19261)] = 770330,
  [SMALL_STATE(19262)] = 770344,
  [SMALL_STATE(19263)] = 770358,
  [SMALL_STATE(19264)] = 770372,
  [SMALL_STATE(19265)] = 770386,
  [SMALL_STATE(19266)] = 770400,
  [SMALL_STATE(19267)] = 770414,
  [SMALL_STATE(19268)] = 770428,
  [SMALL_STATE(19269)] = 770442,
  [SMALL_STATE(19270)] = 770456,
  [SMALL_STATE(19271)] = 770470,
  [SMALL_STATE(19272)] = 770484,
  [SMALL_STATE(19273)] = 770498,
  [SMALL_STATE(19274)] = 770512,
  [SMALL_STATE(19275)] = 770526,
  [SMALL_STATE(19276)] = 770540,
  [SMALL_STATE(19277)] = 770554,
  [SMALL_STATE(19278)] = 770568,
  [SMALL_STATE(19279)] = 770582,
  [SMALL_STATE(19280)] = 770596,
  [SMALL_STATE(19281)] = 770610,
  [SMALL_STATE(19282)] = 770624,
  [SMALL_STATE(19283)] = 770638,
  [SMALL_STATE(19284)] = 770652,
  [SMALL_STATE(19285)] = 770666,
  [SMALL_STATE(19286)] = 770680,
  [SMALL_STATE(19287)] = 770694,
  [SMALL_STATE(19288)] = 770708,
  [SMALL_STATE(19289)] = 770722,
  [SMALL_STATE(19290)] = 770736,
  [SMALL_STATE(19291)] = 770750,
  [SMALL_STATE(19292)] = 770764,
  [SMALL_STATE(19293)] = 770778,
  [SMALL_STATE(19294)] = 770792,
  [SMALL_STATE(19295)] = 770806,
  [SMALL_STATE(19296)] = 770820,
  [SMALL_STATE(19297)] = 770834,
  [SMALL_STATE(19298)] = 770848,
  [SMALL_STATE(19299)] = 770862,
  [SMALL_STATE(19300)] = 770876,
  [SMALL_STATE(19301)] = 770890,
  [SMALL_STATE(19302)] = 770904,
  [SMALL_STATE(19303)] = 770918,
  [SMALL_STATE(19304)] = 770932,
  [SMALL_STATE(19305)] = 770946,
  [SMALL_STATE(19306)] = 770960,
  [SMALL_STATE(19307)] = 770974,
  [SMALL_STATE(19308)] = 770988,
  [SMALL_STATE(19309)] = 771002,
  [SMALL_STATE(19310)] = 771016,
  [SMALL_STATE(19311)] = 771030,
  [SMALL_STATE(19312)] = 771044,
  [SMALL_STATE(19313)] = 771058,
  [SMALL_STATE(19314)] = 771072,
  [SMALL_STATE(19315)] = 771086,
  [SMALL_STATE(19316)] = 771100,
  [SMALL_STATE(19317)] = 771114,
  [SMALL_STATE(19318)] = 771128,
  [SMALL_STATE(19319)] = 771142,
  [SMALL_STATE(19320)] = 771156,
  [SMALL_STATE(19321)] = 771170,
  [SMALL_STATE(19322)] = 771184,
  [SMALL_STATE(19323)] = 771198,
  [SMALL_STATE(19324)] = 771212,
  [SMALL_STATE(19325)] = 771226,
  [SMALL_STATE(19326)] = 771240,
  [SMALL_STATE(19327)] = 771254,
  [SMALL_STATE(19328)] = 771268,
  [SMALL_STATE(19329)] = 771282,
  [SMALL_STATE(19330)] = 771296,
  [SMALL_STATE(19331)] = 771310,
  [SMALL_STATE(19332)] = 771324,
  [SMALL_STATE(19333)] = 771338,
  [SMALL_STATE(19334)] = 771352,
  [SMALL_STATE(19335)] = 771366,
  [SMALL_STATE(19336)] = 771380,
  [SMALL_STATE(19337)] = 771394,
  [SMALL_STATE(19338)] = 771408,
  [SMALL_STATE(19339)] = 771422,
  [SMALL_STATE(19340)] = 771436,
  [SMALL_STATE(19341)] = 771450,
  [SMALL_STATE(19342)] = 771464,
  [SMALL_STATE(19343)] = 771478,
  [SMALL_STATE(19344)] = 771492,
  [SMALL_STATE(19345)] = 771506,
  [SMALL_STATE(19346)] = 771520,
  [SMALL_STATE(19347)] = 771534,
  [SMALL_STATE(19348)] = 771548,
  [SMALL_STATE(19349)] = 771562,
  [SMALL_STATE(19350)] = 771576,
  [SMALL_STATE(19351)] = 771590,
  [SMALL_STATE(19352)] = 771604,
  [SMALL_STATE(19353)] = 771618,
  [SMALL_STATE(19354)] = 771632,
  [SMALL_STATE(19355)] = 771646,
  [SMALL_STATE(19356)] = 771660,
  [SMALL_STATE(19357)] = 771674,
  [SMALL_STATE(19358)] = 771688,
  [SMALL_STATE(19359)] = 771702,
  [SMALL_STATE(19360)] = 771716,
  [SMALL_STATE(19361)] = 771730,
  [SMALL_STATE(19362)] = 771744,
  [SMALL_STATE(19363)] = 771758,
  [SMALL_STATE(19364)] = 771772,
  [SMALL_STATE(19365)] = 771786,
  [SMALL_STATE(19366)] = 771800,
  [SMALL_STATE(19367)] = 771814,
  [SMALL_STATE(19368)] = 771828,
  [SMALL_STATE(19369)] = 771842,
  [SMALL_STATE(19370)] = 771856,
  [SMALL_STATE(19371)] = 771870,
  [SMALL_STATE(19372)] = 771884,
  [SMALL_STATE(19373)] = 771898,
  [SMALL_STATE(19374)] = 771912,
  [SMALL_STATE(19375)] = 771926,
  [SMALL_STATE(19376)] = 771940,
  [SMALL_STATE(19377)] = 771954,
  [SMALL_STATE(19378)] = 771968,
  [SMALL_STATE(19379)] = 771982,
  [SMALL_STATE(19380)] = 771996,
  [SMALL_STATE(19381)] = 772010,
  [SMALL_STATE(19382)] = 772024,
  [SMALL_STATE(19383)] = 772038,
  [SMALL_STATE(19384)] = 772052,
  [SMALL_STATE(19385)] = 772066,
  [SMALL_STATE(19386)] = 772080,
  [SMALL_STATE(19387)] = 772094,
  [SMALL_STATE(19388)] = 772108,
  [SMALL_STATE(19389)] = 772122,
  [SMALL_STATE(19390)] = 772136,
  [SMALL_STATE(19391)] = 772150,
  [SMALL_STATE(19392)] = 772164,
  [SMALL_STATE(19393)] = 772178,
  [SMALL_STATE(19394)] = 772192,
  [SMALL_STATE(19395)] = 772206,
  [SMALL_STATE(19396)] = 772220,
  [SMALL_STATE(19397)] = 772234,
  [SMALL_STATE(19398)] = 772248,
  [SMALL_STATE(19399)] = 772262,
  [SMALL_STATE(19400)] = 772276,
  [SMALL_STATE(19401)] = 772290,
  [SMALL_STATE(19402)] = 772304,
  [SMALL_STATE(19403)] = 772318,
  [SMALL_STATE(19404)] = 772332,
  [SMALL_STATE(19405)] = 772346,
  [SMALL_STATE(19406)] = 772360,
  [SMALL_STATE(19407)] = 772374,
  [SMALL_STATE(19408)] = 772388,
  [SMALL_STATE(19409)] = 772402,
  [SMALL_STATE(19410)] = 772416,
  [SMALL_STATE(19411)] = 772430,
  [SMALL_STATE(19412)] = 772444,
  [SMALL_STATE(19413)] = 772458,
  [SMALL_STATE(19414)] = 772472,
  [SMALL_STATE(19415)] = 772486,
  [SMALL_STATE(19416)] = 772500,
  [SMALL_STATE(19417)] = 772514,
  [SMALL_STATE(19418)] = 772528,
  [SMALL_STATE(19419)] = 772542,
  [SMALL_STATE(19420)] = 772556,
  [SMALL_STATE(19421)] = 772570,
  [SMALL_STATE(19422)] = 772584,
  [SMALL_STATE(19423)] = 772598,
  [SMALL_STATE(19424)] = 772612,
  [SMALL_STATE(19425)] = 772626,
  [SMALL_STATE(19426)] = 772640,
  [SMALL_STATE(19427)] = 772654,
  [SMALL_STATE(19428)] = 772668,
  [SMALL_STATE(19429)] = 772682,
  [SMALL_STATE(19430)] = 772696,
  [SMALL_STATE(19431)] = 772710,
  [SMALL_STATE(19432)] = 772724,
  [SMALL_STATE(19433)] = 772738,
  [SMALL_STATE(19434)] = 772752,
  [SMALL_STATE(19435)] = 772766,
  [SMALL_STATE(19436)] = 772780,
  [SMALL_STATE(19437)] = 772794,
  [SMALL_STATE(19438)] = 772808,
  [SMALL_STATE(19439)] = 772822,
  [SMALL_STATE(19440)] = 772836,
  [SMALL_STATE(19441)] = 772850,
  [SMALL_STATE(19442)] = 772864,
  [SMALL_STATE(19443)] = 772878,
  [SMALL_STATE(19444)] = 772892,
  [SMALL_STATE(19445)] = 772906,
  [SMALL_STATE(19446)] = 772920,
  [SMALL_STATE(19447)] = 772934,
  [SMALL_STATE(19448)] = 772948,
  [SMALL_STATE(19449)] = 772962,
  [SMALL_STATE(19450)] = 772976,
  [SMALL_STATE(19451)] = 772990,
  [SMALL_STATE(19452)] = 773004,
  [SMALL_STATE(19453)] = 773018,
  [SMALL_STATE(19454)] = 773032,
  [SMALL_STATE(19455)] = 773046,
  [SMALL_STATE(19456)] = 773060,
  [SMALL_STATE(19457)] = 773074,
  [SMALL_STATE(19458)] = 773088,
  [SMALL_STATE(19459)] = 773102,
  [SMALL_STATE(19460)] = 773116,
  [SMALL_STATE(19461)] = 773130,
  [SMALL_STATE(19462)] = 773144,
  [SMALL_STATE(19463)] = 773158,
  [SMALL_STATE(19464)] = 773172,
  [SMALL_STATE(19465)] = 773186,
  [SMALL_STATE(19466)] = 773200,
  [SMALL_STATE(19467)] = 773214,
  [SMALL_STATE(19468)] = 773228,
  [SMALL_STATE(19469)] = 773242,
  [SMALL_STATE(19470)] = 773256,
  [SMALL_STATE(19471)] = 773270,
  [SMALL_STATE(19472)] = 773284,
  [SMALL_STATE(19473)] = 773298,
  [SMALL_STATE(19474)] = 773312,
  [SMALL_STATE(19475)] = 773326,
  [SMALL_STATE(19476)] = 773340,
  [SMALL_STATE(19477)] = 773354,
  [SMALL_STATE(19478)] = 773368,
  [SMALL_STATE(19479)] = 773382,
  [SMALL_STATE(19480)] = 773396,
  [SMALL_STATE(19481)] = 773410,
  [SMALL_STATE(19482)] = 773424,
  [SMALL_STATE(19483)] = 773438,
  [SMALL_STATE(19484)] = 773452,
  [SMALL_STATE(19485)] = 773466,
  [SMALL_STATE(19486)] = 773480,
  [SMALL_STATE(19487)] = 773494,
  [SMALL_STATE(19488)] = 773508,
  [SMALL_STATE(19489)] = 773522,
  [SMALL_STATE(19490)] = 773536,
  [SMALL_STATE(19491)] = 773550,
  [SMALL_STATE(19492)] = 773564,
  [SMALL_STATE(19493)] = 773578,
  [SMALL_STATE(19494)] = 773592,
  [SMALL_STATE(19495)] = 773606,
  [SMALL_STATE(19496)] = 773620,
  [SMALL_STATE(19497)] = 773634,
  [SMALL_STATE(19498)] = 773648,
  [SMALL_STATE(19499)] = 773662,
  [SMALL_STATE(19500)] = 773676,
  [SMALL_STATE(19501)] = 773690,
  [SMALL_STATE(19502)] = 773704,
  [SMALL_STATE(19503)] = 773718,
  [SMALL_STATE(19504)] = 773732,
  [SMALL_STATE(19505)] = 773746,
  [SMALL_STATE(19506)] = 773760,
  [SMALL_STATE(19507)] = 773774,
  [SMALL_STATE(19508)] = 773788,
  [SMALL_STATE(19509)] = 773802,
  [SMALL_STATE(19510)] = 773816,
  [SMALL_STATE(19511)] = 773830,
  [SMALL_STATE(19512)] = 773844,
  [SMALL_STATE(19513)] = 773858,
  [SMALL_STATE(19514)] = 773872,
  [SMALL_STATE(19515)] = 773886,
  [SMALL_STATE(19516)] = 773900,
  [SMALL_STATE(19517)] = 773914,
  [SMALL_STATE(19518)] = 773928,
  [SMALL_STATE(19519)] = 773942,
  [SMALL_STATE(19520)] = 773956,
  [SMALL_STATE(19521)] = 773970,
  [SMALL_STATE(19522)] = 773984,
  [SMALL_STATE(19523)] = 773998,
  [SMALL_STATE(19524)] = 774012,
  [SMALL_STATE(19525)] = 774026,
  [SMALL_STATE(19526)] = 774040,
  [SMALL_STATE(19527)] = 774054,
  [SMALL_STATE(19528)] = 774068,
  [SMALL_STATE(19529)] = 774082,
  [SMALL_STATE(19530)] = 774096,
  [SMALL_STATE(19531)] = 774110,
  [SMALL_STATE(19532)] = 774124,
  [SMALL_STATE(19533)] = 774138,
  [SMALL_STATE(19534)] = 774152,
  [SMALL_STATE(19535)] = 774166,
  [SMALL_STATE(19536)] = 774180,
  [SMALL_STATE(19537)] = 774194,
  [SMALL_STATE(19538)] = 774208,
  [SMALL_STATE(19539)] = 774222,
  [SMALL_STATE(19540)] = 774236,
  [SMALL_STATE(19541)] = 774250,
  [SMALL_STATE(19542)] = 774264,
  [SMALL_STATE(19543)] = 774278,
  [SMALL_STATE(19544)] = 774292,
  [SMALL_STATE(19545)] = 774306,
  [SMALL_STATE(19546)] = 774320,
  [SMALL_STATE(19547)] = 774334,
  [SMALL_STATE(19548)] = 774348,
  [SMALL_STATE(19549)] = 774362,
  [SMALL_STATE(19550)] = 774376,
  [SMALL_STATE(19551)] = 774390,
  [SMALL_STATE(19552)] = 774404,
  [SMALL_STATE(19553)] = 774418,
  [SMALL_STATE(19554)] = 774432,
  [SMALL_STATE(19555)] = 774446,
  [SMALL_STATE(19556)] = 774460,
  [SMALL_STATE(19557)] = 774474,
  [SMALL_STATE(19558)] = 774488,
  [SMALL_STATE(19559)] = 774502,
  [SMALL_STATE(19560)] = 774516,
  [SMALL_STATE(19561)] = 774530,
  [SMALL_STATE(19562)] = 774544,
  [SMALL_STATE(19563)] = 774558,
  [SMALL_STATE(19564)] = 774572,
  [SMALL_STATE(19565)] = 774586,
  [SMALL_STATE(19566)] = 774600,
  [SMALL_STATE(19567)] = 774614,
  [SMALL_STATE(19568)] = 774628,
  [SMALL_STATE(19569)] = 774642,
  [SMALL_STATE(19570)] = 774656,
  [SMALL_STATE(19571)] = 774670,
  [SMALL_STATE(19572)] = 774684,
  [SMALL_STATE(19573)] = 774698,
  [SMALL_STATE(19574)] = 774712,
  [SMALL_STATE(19575)] = 774726,
  [SMALL_STATE(19576)] = 774740,
  [SMALL_STATE(19577)] = 774754,
  [SMALL_STATE(19578)] = 774768,
  [SMALL_STATE(19579)] = 774782,
  [SMALL_STATE(19580)] = 774796,
  [SMALL_STATE(19581)] = 774810,
  [SMALL_STATE(19582)] = 774824,
  [SMALL_STATE(19583)] = 774838,
  [SMALL_STATE(19584)] = 774852,
  [SMALL_STATE(19585)] = 774866,
  [SMALL_STATE(19586)] = 774880,
  [SMALL_STATE(19587)] = 774894,
  [SMALL_STATE(19588)] = 774908,
  [SMALL_STATE(19589)] = 774922,
  [SMALL_STATE(19590)] = 774936,
  [SMALL_STATE(19591)] = 774950,
  [SMALL_STATE(19592)] = 774964,
  [SMALL_STATE(19593)] = 774978,
  [SMALL_STATE(19594)] = 774992,
  [SMALL_STATE(19595)] = 775006,
  [SMALL_STATE(19596)] = 775020,
  [SMALL_STATE(19597)] = 775034,
  [SMALL_STATE(19598)] = 775048,
  [SMALL_STATE(19599)] = 775062,
  [SMALL_STATE(19600)] = 775076,
  [SMALL_STATE(19601)] = 775090,
  [SMALL_STATE(19602)] = 775104,
  [SMALL_STATE(19603)] = 775118,
  [SMALL_STATE(19604)] = 775132,
  [SMALL_STATE(19605)] = 775146,
  [SMALL_STATE(19606)] = 775160,
  [SMALL_STATE(19607)] = 775174,
  [SMALL_STATE(19608)] = 775188,
  [SMALL_STATE(19609)] = 775202,
  [SMALL_STATE(19610)] = 775216,
  [SMALL_STATE(19611)] = 775230,
  [SMALL_STATE(19612)] = 775244,
  [SMALL_STATE(19613)] = 775258,
  [SMALL_STATE(19614)] = 775272,
  [SMALL_STATE(19615)] = 775286,
  [SMALL_STATE(19616)] = 775300,
  [SMALL_STATE(19617)] = 775314,
  [SMALL_STATE(19618)] = 775328,
  [SMALL_STATE(19619)] = 775342,
  [SMALL_STATE(19620)] = 775356,
  [SMALL_STATE(19621)] = 775370,
  [SMALL_STATE(19622)] = 775384,
  [SMALL_STATE(19623)] = 775398,
  [SMALL_STATE(19624)] = 775412,
  [SMALL_STATE(19625)] = 775426,
  [SMALL_STATE(19626)] = 775440,
  [SMALL_STATE(19627)] = 775454,
  [SMALL_STATE(19628)] = 775468,
  [SMALL_STATE(19629)] = 775482,
  [SMALL_STATE(19630)] = 775496,
  [SMALL_STATE(19631)] = 775510,
  [SMALL_STATE(19632)] = 775524,
  [SMALL_STATE(19633)] = 775538,
  [SMALL_STATE(19634)] = 775552,
  [SMALL_STATE(19635)] = 775566,
  [SMALL_STATE(19636)] = 775580,
  [SMALL_STATE(19637)] = 775594,
  [SMALL_STATE(19638)] = 775608,
  [SMALL_STATE(19639)] = 775622,
  [SMALL_STATE(19640)] = 775636,
  [SMALL_STATE(19641)] = 775650,
  [SMALL_STATE(19642)] = 775664,
  [SMALL_STATE(19643)] = 775678,
  [SMALL_STATE(19644)] = 775692,
  [SMALL_STATE(19645)] = 775706,
  [SMALL_STATE(19646)] = 775720,
  [SMALL_STATE(19647)] = 775734,
  [SMALL_STATE(19648)] = 775748,
  [SMALL_STATE(19649)] = 775762,
  [SMALL_STATE(19650)] = 775776,
  [SMALL_STATE(19651)] = 775790,
  [SMALL_STATE(19652)] = 775804,
  [SMALL_STATE(19653)] = 775818,
  [SMALL_STATE(19654)] = 775832,
  [SMALL_STATE(19655)] = 775846,
  [SMALL_STATE(19656)] = 775860,
  [SMALL_STATE(19657)] = 775874,
  [SMALL_STATE(19658)] = 775888,
  [SMALL_STATE(19659)] = 775902,
  [SMALL_STATE(19660)] = 775916,
  [SMALL_STATE(19661)] = 775930,
  [SMALL_STATE(19662)] = 775944,
  [SMALL_STATE(19663)] = 775958,
  [SMALL_STATE(19664)] = 775972,
  [SMALL_STATE(19665)] = 775986,
  [SMALL_STATE(19666)] = 776000,
  [SMALL_STATE(19667)] = 776014,
  [SMALL_STATE(19668)] = 776028,
  [SMALL_STATE(19669)] = 776042,
  [SMALL_STATE(19670)] = 776056,
  [SMALL_STATE(19671)] = 776070,
  [SMALL_STATE(19672)] = 776084,
  [SMALL_STATE(19673)] = 776098,
  [SMALL_STATE(19674)] = 776112,
  [SMALL_STATE(19675)] = 776126,
  [SMALL_STATE(19676)] = 776140,
  [SMALL_STATE(19677)] = 776154,
  [SMALL_STATE(19678)] = 776168,
  [SMALL_STATE(19679)] = 776182,
  [SMALL_STATE(19680)] = 776196,
  [SMALL_STATE(19681)] = 776210,
  [SMALL_STATE(19682)] = 776224,
  [SMALL_STATE(19683)] = 776238,
  [SMALL_STATE(19684)] = 776252,
  [SMALL_STATE(19685)] = 776266,
  [SMALL_STATE(19686)] = 776280,
  [SMALL_STATE(19687)] = 776294,
  [SMALL_STATE(19688)] = 776308,
  [SMALL_STATE(19689)] = 776322,
  [SMALL_STATE(19690)] = 776336,
  [SMALL_STATE(19691)] = 776350,
  [SMALL_STATE(19692)] = 776364,
  [SMALL_STATE(19693)] = 776378,
  [SMALL_STATE(19694)] = 776392,
  [SMALL_STATE(19695)] = 776406,
  [SMALL_STATE(19696)] = 776420,
  [SMALL_STATE(19697)] = 776434,
  [SMALL_STATE(19698)] = 776448,
  [SMALL_STATE(19699)] = 776462,
  [SMALL_STATE(19700)] = 776476,
  [SMALL_STATE(19701)] = 776490,
  [SMALL_STATE(19702)] = 776504,
  [SMALL_STATE(19703)] = 776518,
  [SMALL_STATE(19704)] = 776532,
  [SMALL_STATE(19705)] = 776546,
  [SMALL_STATE(19706)] = 776560,
  [SMALL_STATE(19707)] = 776574,
  [SMALL_STATE(19708)] = 776588,
  [SMALL_STATE(19709)] = 776602,
  [SMALL_STATE(19710)] = 776616,
  [SMALL_STATE(19711)] = 776630,
  [SMALL_STATE(19712)] = 776644,
  [SMALL_STATE(19713)] = 776658,
  [SMALL_STATE(19714)] = 776672,
  [SMALL_STATE(19715)] = 776686,
  [SMALL_STATE(19716)] = 776700,
  [SMALL_STATE(19717)] = 776714,
  [SMALL_STATE(19718)] = 776728,
  [SMALL_STATE(19719)] = 776742,
  [SMALL_STATE(19720)] = 776756,
  [SMALL_STATE(19721)] = 776770,
  [SMALL_STATE(19722)] = 776784,
  [SMALL_STATE(19723)] = 776798,
  [SMALL_STATE(19724)] = 776812,
  [SMALL_STATE(19725)] = 776826,
  [SMALL_STATE(19726)] = 776840,
  [SMALL_STATE(19727)] = 776854,
  [SMALL_STATE(19728)] = 776868,
  [SMALL_STATE(19729)] = 776882,
  [SMALL_STATE(19730)] = 776896,
  [SMALL_STATE(19731)] = 776910,
  [SMALL_STATE(19732)] = 776924,
  [SMALL_STATE(19733)] = 776938,
  [SMALL_STATE(19734)] = 776952,
  [SMALL_STATE(19735)] = 776966,
  [SMALL_STATE(19736)] = 776980,
  [SMALL_STATE(19737)] = 776994,
  [SMALL_STATE(19738)] = 777008,
  [SMALL_STATE(19739)] = 777022,
  [SMALL_STATE(19740)] = 777036,
  [SMALL_STATE(19741)] = 777050,
  [SMALL_STATE(19742)] = 777064,
  [SMALL_STATE(19743)] = 777078,
  [SMALL_STATE(19744)] = 777092,
  [SMALL_STATE(19745)] = 777106,
  [SMALL_STATE(19746)] = 777120,
  [SMALL_STATE(19747)] = 777134,
  [SMALL_STATE(19748)] = 777148,
  [SMALL_STATE(19749)] = 777162,
  [SMALL_STATE(19750)] = 777176,
  [SMALL_STATE(19751)] = 777190,
  [SMALL_STATE(19752)] = 777204,
  [SMALL_STATE(19753)] = 777218,
  [SMALL_STATE(19754)] = 777232,
  [SMALL_STATE(19755)] = 777246,
  [SMALL_STATE(19756)] = 777260,
  [SMALL_STATE(19757)] = 777274,
  [SMALL_STATE(19758)] = 777288,
  [SMALL_STATE(19759)] = 777302,
  [SMALL_STATE(19760)] = 777316,
  [SMALL_STATE(19761)] = 777330,
  [SMALL_STATE(19762)] = 777344,
  [SMALL_STATE(19763)] = 777358,
  [SMALL_STATE(19764)] = 777372,
  [SMALL_STATE(19765)] = 777386,
  [SMALL_STATE(19766)] = 777400,
  [SMALL_STATE(19767)] = 777414,
  [SMALL_STATE(19768)] = 777428,
  [SMALL_STATE(19769)] = 777442,
  [SMALL_STATE(19770)] = 777456,
  [SMALL_STATE(19771)] = 777470,
  [SMALL_STATE(19772)] = 777484,
  [SMALL_STATE(19773)] = 777498,
  [SMALL_STATE(19774)] = 777512,
  [SMALL_STATE(19775)] = 777526,
  [SMALL_STATE(19776)] = 777540,
  [SMALL_STATE(19777)] = 777554,
  [SMALL_STATE(19778)] = 777568,
  [SMALL_STATE(19779)] = 777582,
  [SMALL_STATE(19780)] = 777596,
  [SMALL_STATE(19781)] = 777610,
  [SMALL_STATE(19782)] = 777624,
  [SMALL_STATE(19783)] = 777638,
  [SMALL_STATE(19784)] = 777652,
  [SMALL_STATE(19785)] = 777666,
  [SMALL_STATE(19786)] = 777680,
  [SMALL_STATE(19787)] = 777694,
  [SMALL_STATE(19788)] = 777708,
  [SMALL_STATE(19789)] = 777722,
  [SMALL_STATE(19790)] = 777736,
  [SMALL_STATE(19791)] = 777750,
  [SMALL_STATE(19792)] = 777764,
  [SMALL_STATE(19793)] = 777778,
  [SMALL_STATE(19794)] = 777792,
  [SMALL_STATE(19795)] = 777806,
  [SMALL_STATE(19796)] = 777820,
  [SMALL_STATE(19797)] = 777834,
  [SMALL_STATE(19798)] = 777848,
  [SMALL_STATE(19799)] = 777862,
  [SMALL_STATE(19800)] = 777876,
  [SMALL_STATE(19801)] = 777890,
  [SMALL_STATE(19802)] = 777904,
  [SMALL_STATE(19803)] = 777918,
  [SMALL_STATE(19804)] = 777932,
  [SMALL_STATE(19805)] = 777946,
  [SMALL_STATE(19806)] = 777960,
  [SMALL_STATE(19807)] = 777974,
  [SMALL_STATE(19808)] = 777988,
  [SMALL_STATE(19809)] = 778002,
  [SMALL_STATE(19810)] = 778016,
  [SMALL_STATE(19811)] = 778030,
  [SMALL_STATE(19812)] = 778044,
  [SMALL_STATE(19813)] = 778058,
  [SMALL_STATE(19814)] = 778072,
  [SMALL_STATE(19815)] = 778086,
  [SMALL_STATE(19816)] = 778100,
  [SMALL_STATE(19817)] = 778114,
  [SMALL_STATE(19818)] = 778128,
  [SMALL_STATE(19819)] = 778142,
  [SMALL_STATE(19820)] = 778156,
  [SMALL_STATE(19821)] = 778170,
  [SMALL_STATE(19822)] = 778184,
  [SMALL_STATE(19823)] = 778198,
  [SMALL_STATE(19824)] = 778212,
  [SMALL_STATE(19825)] = 778226,
  [SMALL_STATE(19826)] = 778240,
  [SMALL_STATE(19827)] = 778254,
  [SMALL_STATE(19828)] = 778268,
  [SMALL_STATE(19829)] = 778282,
  [SMALL_STATE(19830)] = 778296,
  [SMALL_STATE(19831)] = 778310,
  [SMALL_STATE(19832)] = 778324,
  [SMALL_STATE(19833)] = 778338,
  [SMALL_STATE(19834)] = 778352,
  [SMALL_STATE(19835)] = 778366,
  [SMALL_STATE(19836)] = 778380,
  [SMALL_STATE(19837)] = 778394,
  [SMALL_STATE(19838)] = 778408,
  [SMALL_STATE(19839)] = 778422,
  [SMALL_STATE(19840)] = 778436,
  [SMALL_STATE(19841)] = 778450,
  [SMALL_STATE(19842)] = 778464,
  [SMALL_STATE(19843)] = 778478,
  [SMALL_STATE(19844)] = 778492,
  [SMALL_STATE(19845)] = 778506,
  [SMALL_STATE(19846)] = 778520,
  [SMALL_STATE(19847)] = 778534,
  [SMALL_STATE(19848)] = 778548,
  [SMALL_STATE(19849)] = 778562,
  [SMALL_STATE(19850)] = 778576,
  [SMALL_STATE(19851)] = 778590,
  [SMALL_STATE(19852)] = 778604,
  [SMALL_STATE(19853)] = 778618,
  [SMALL_STATE(19854)] = 778632,
  [SMALL_STATE(19855)] = 778646,
  [SMALL_STATE(19856)] = 778660,
  [SMALL_STATE(19857)] = 778674,
  [SMALL_STATE(19858)] = 778688,
  [SMALL_STATE(19859)] = 778702,
  [SMALL_STATE(19860)] = 778716,
  [SMALL_STATE(19861)] = 778730,
  [SMALL_STATE(19862)] = 778744,
  [SMALL_STATE(19863)] = 778758,
  [SMALL_STATE(19864)] = 778772,
  [SMALL_STATE(19865)] = 778786,
  [SMALL_STATE(19866)] = 778800,
  [SMALL_STATE(19867)] = 778814,
  [SMALL_STATE(19868)] = 778828,
  [SMALL_STATE(19869)] = 778842,
  [SMALL_STATE(19870)] = 778856,
  [SMALL_STATE(19871)] = 778870,
  [SMALL_STATE(19872)] = 778884,
  [SMALL_STATE(19873)] = 778898,
  [SMALL_STATE(19874)] = 778912,
  [SMALL_STATE(19875)] = 778926,
  [SMALL_STATE(19876)] = 778940,
  [SMALL_STATE(19877)] = 778954,
  [SMALL_STATE(19878)] = 778968,
  [SMALL_STATE(19879)] = 778982,
  [SMALL_STATE(19880)] = 778996,
  [SMALL_STATE(19881)] = 779010,
  [SMALL_STATE(19882)] = 779024,
  [SMALL_STATE(19883)] = 779038,
  [SMALL_STATE(19884)] = 779052,
  [SMALL_STATE(19885)] = 779066,
  [SMALL_STATE(19886)] = 779080,
  [SMALL_STATE(19887)] = 779094,
  [SMALL_STATE(19888)] = 779108,
  [SMALL_STATE(19889)] = 779122,
  [SMALL_STATE(19890)] = 779136,
  [SMALL_STATE(19891)] = 779150,
  [SMALL_STATE(19892)] = 779164,
  [SMALL_STATE(19893)] = 779178,
  [SMALL_STATE(19894)] = 779192,
  [SMALL_STATE(19895)] = 779206,
  [SMALL_STATE(19896)] = 779220,
  [SMALL_STATE(19897)] = 779234,
  [SMALL_STATE(19898)] = 779248,
  [SMALL_STATE(19899)] = 779262,
  [SMALL_STATE(19900)] = 779276,
  [SMALL_STATE(19901)] = 779290,
  [SMALL_STATE(19902)] = 779304,
  [SMALL_STATE(19903)] = 779318,
  [SMALL_STATE(19904)] = 779332,
  [SMALL_STATE(19905)] = 779346,
  [SMALL_STATE(19906)] = 779360,
  [SMALL_STATE(19907)] = 779374,
  [SMALL_STATE(19908)] = 779388,
  [SMALL_STATE(19909)] = 779402,
  [SMALL_STATE(19910)] = 779416,
  [SMALL_STATE(19911)] = 779430,
  [SMALL_STATE(19912)] = 779444,
  [SMALL_STATE(19913)] = 779458,
  [SMALL_STATE(19914)] = 779472,
  [SMALL_STATE(19915)] = 779486,
  [SMALL_STATE(19916)] = 779500,
  [SMALL_STATE(19917)] = 779514,
  [SMALL_STATE(19918)] = 779528,
  [SMALL_STATE(19919)] = 779542,
  [SMALL_STATE(19920)] = 779556,
  [SMALL_STATE(19921)] = 779570,
  [SMALL_STATE(19922)] = 779584,
  [SMALL_STATE(19923)] = 779598,
  [SMALL_STATE(19924)] = 779612,
  [SMALL_STATE(19925)] = 779626,
  [SMALL_STATE(19926)] = 779640,
  [SMALL_STATE(19927)] = 779654,
  [SMALL_STATE(19928)] = 779668,
  [SMALL_STATE(19929)] = 779682,
  [SMALL_STATE(19930)] = 779696,
  [SMALL_STATE(19931)] = 779710,
  [SMALL_STATE(19932)] = 779724,
  [SMALL_STATE(19933)] = 779738,
  [SMALL_STATE(19934)] = 779752,
  [SMALL_STATE(19935)] = 779766,
  [SMALL_STATE(19936)] = 779780,
  [SMALL_STATE(19937)] = 779794,
  [SMALL_STATE(19938)] = 779808,
  [SMALL_STATE(19939)] = 779822,
  [SMALL_STATE(19940)] = 779836,
  [SMALL_STATE(19941)] = 779850,
  [SMALL_STATE(19942)] = 779864,
  [SMALL_STATE(19943)] = 779878,
  [SMALL_STATE(19944)] = 779892,
  [SMALL_STATE(19945)] = 779906,
  [SMALL_STATE(19946)] = 779920,
  [SMALL_STATE(19947)] = 779934,
  [SMALL_STATE(19948)] = 779948,
  [SMALL_STATE(19949)] = 779962,
  [SMALL_STATE(19950)] = 779976,
  [SMALL_STATE(19951)] = 779990,
  [SMALL_STATE(19952)] = 780004,
  [SMALL_STATE(19953)] = 780018,
  [SMALL_STATE(19954)] = 780032,
  [SMALL_STATE(19955)] = 780046,
  [SMALL_STATE(19956)] = 780060,
  [SMALL_STATE(19957)] = 780074,
  [SMALL_STATE(19958)] = 780088,
  [SMALL_STATE(19959)] = 780102,
  [SMALL_STATE(19960)] = 780116,
  [SMALL_STATE(19961)] = 780130,
  [SMALL_STATE(19962)] = 780144,
  [SMALL_STATE(19963)] = 780158,
  [SMALL_STATE(19964)] = 780172,
  [SMALL_STATE(19965)] = 780186,
  [SMALL_STATE(19966)] = 780200,
  [SMALL_STATE(19967)] = 780214,
  [SMALL_STATE(19968)] = 780228,
  [SMALL_STATE(19969)] = 780242,
  [SMALL_STATE(19970)] = 780256,
  [SMALL_STATE(19971)] = 780270,
  [SMALL_STATE(19972)] = 780284,
  [SMALL_STATE(19973)] = 780298,
  [SMALL_STATE(19974)] = 780312,
  [SMALL_STATE(19975)] = 780326,
  [SMALL_STATE(19976)] = 780340,
  [SMALL_STATE(19977)] = 780354,
  [SMALL_STATE(19978)] = 780368,
  [SMALL_STATE(19979)] = 780382,
  [SMALL_STATE(19980)] = 780396,
  [SMALL_STATE(19981)] = 780410,
  [SMALL_STATE(19982)] = 780424,
  [SMALL_STATE(19983)] = 780438,
  [SMALL_STATE(19984)] = 780452,
  [SMALL_STATE(19985)] = 780466,
  [SMALL_STATE(19986)] = 780480,
  [SMALL_STATE(19987)] = 780494,
  [SMALL_STATE(19988)] = 780508,
  [SMALL_STATE(19989)] = 780522,
  [SMALL_STATE(19990)] = 780536,
  [SMALL_STATE(19991)] = 780550,
  [SMALL_STATE(19992)] = 780564,
  [SMALL_STATE(19993)] = 780578,
  [SMALL_STATE(19994)] = 780592,
  [SMALL_STATE(19995)] = 780606,
  [SMALL_STATE(19996)] = 780620,
  [SMALL_STATE(19997)] = 780634,
  [SMALL_STATE(19998)] = 780648,
  [SMALL_STATE(19999)] = 780662,
  [SMALL_STATE(20000)] = 780676,
  [SMALL_STATE(20001)] = 780690,
  [SMALL_STATE(20002)] = 780704,
  [SMALL_STATE(20003)] = 780718,
  [SMALL_STATE(20004)] = 780732,
  [SMALL_STATE(20005)] = 780746,
  [SMALL_STATE(20006)] = 780760,
  [SMALL_STATE(20007)] = 780774,
  [SMALL_STATE(20008)] = 780788,
  [SMALL_STATE(20009)] = 780802,
  [SMALL_STATE(20010)] = 780816,
  [SMALL_STATE(20011)] = 780830,
  [SMALL_STATE(20012)] = 780844,
  [SMALL_STATE(20013)] = 780858,
  [SMALL_STATE(20014)] = 780872,
  [SMALL_STATE(20015)] = 780886,
  [SMALL_STATE(20016)] = 780900,
  [SMALL_STATE(20017)] = 780914,
  [SMALL_STATE(20018)] = 780928,
  [SMALL_STATE(20019)] = 780942,
  [SMALL_STATE(20020)] = 780956,
  [SMALL_STATE(20021)] = 780970,
  [SMALL_STATE(20022)] = 780984,
  [SMALL_STATE(20023)] = 780998,
  [SMALL_STATE(20024)] = 781012,
  [SMALL_STATE(20025)] = 781026,
  [SMALL_STATE(20026)] = 781040,
  [SMALL_STATE(20027)] = 781054,
  [SMALL_STATE(20028)] = 781068,
  [SMALL_STATE(20029)] = 781082,
  [SMALL_STATE(20030)] = 781096,
  [SMALL_STATE(20031)] = 781110,
  [SMALL_STATE(20032)] = 781124,
  [SMALL_STATE(20033)] = 781138,
  [SMALL_STATE(20034)] = 781152,
  [SMALL_STATE(20035)] = 781166,
  [SMALL_STATE(20036)] = 781180,
  [SMALL_STATE(20037)] = 781194,
  [SMALL_STATE(20038)] = 781208,
  [SMALL_STATE(20039)] = 781222,
  [SMALL_STATE(20040)] = 781236,
  [SMALL_STATE(20041)] = 781250,
  [SMALL_STATE(20042)] = 781264,
  [SMALL_STATE(20043)] = 781278,
  [SMALL_STATE(20044)] = 781292,
  [SMALL_STATE(20045)] = 781306,
  [SMALL_STATE(20046)] = 781320,
  [SMALL_STATE(20047)] = 781334,
  [SMALL_STATE(20048)] = 781348,
  [SMALL_STATE(20049)] = 781362,
  [SMALL_STATE(20050)] = 781376,
  [SMALL_STATE(20051)] = 781390,
  [SMALL_STATE(20052)] = 781404,
  [SMALL_STATE(20053)] = 781418,
  [SMALL_STATE(20054)] = 781432,
  [SMALL_STATE(20055)] = 781446,
  [SMALL_STATE(20056)] = 781460,
  [SMALL_STATE(20057)] = 781474,
  [SMALL_STATE(20058)] = 781488,
  [SMALL_STATE(20059)] = 781502,
  [SMALL_STATE(20060)] = 781516,
  [SMALL_STATE(20061)] = 781530,
  [SMALL_STATE(20062)] = 781544,
  [SMALL_STATE(20063)] = 781558,
  [SMALL_STATE(20064)] = 781572,
  [SMALL_STATE(20065)] = 781586,
  [SMALL_STATE(20066)] = 781600,
  [SMALL_STATE(20067)] = 781614,
  [SMALL_STATE(20068)] = 781628,
  [SMALL_STATE(20069)] = 781642,
  [SMALL_STATE(20070)] = 781656,
  [SMALL_STATE(20071)] = 781670,
  [SMALL_STATE(20072)] = 781684,
  [SMALL_STATE(20073)] = 781698,
  [SMALL_STATE(20074)] = 781712,
  [SMALL_STATE(20075)] = 781726,
  [SMALL_STATE(20076)] = 781740,
  [SMALL_STATE(20077)] = 781754,
  [SMALL_STATE(20078)] = 781768,
  [SMALL_STATE(20079)] = 781782,
  [SMALL_STATE(20080)] = 781796,
  [SMALL_STATE(20081)] = 781810,
  [SMALL_STATE(20082)] = 781824,
  [SMALL_STATE(20083)] = 781838,
  [SMALL_STATE(20084)] = 781852,
  [SMALL_STATE(20085)] = 781866,
  [SMALL_STATE(20086)] = 781880,
  [SMALL_STATE(20087)] = 781894,
  [SMALL_STATE(20088)] = 781908,
  [SMALL_STATE(20089)] = 781922,
  [SMALL_STATE(20090)] = 781936,
  [SMALL_STATE(20091)] = 781950,
  [SMALL_STATE(20092)] = 781964,
  [SMALL_STATE(20093)] = 781978,
  [SMALL_STATE(20094)] = 781992,
  [SMALL_STATE(20095)] = 782006,
  [SMALL_STATE(20096)] = 782020,
  [SMALL_STATE(20097)] = 782034,
  [SMALL_STATE(20098)] = 782048,
  [SMALL_STATE(20099)] = 782062,
  [SMALL_STATE(20100)] = 782076,
  [SMALL_STATE(20101)] = 782090,
  [SMALL_STATE(20102)] = 782104,
  [SMALL_STATE(20103)] = 782118,
  [SMALL_STATE(20104)] = 782132,
  [SMALL_STATE(20105)] = 782146,
  [SMALL_STATE(20106)] = 782160,
  [SMALL_STATE(20107)] = 782174,
  [SMALL_STATE(20108)] = 782188,
  [SMALL_STATE(20109)] = 782202,
  [SMALL_STATE(20110)] = 782216,
  [SMALL_STATE(20111)] = 782230,
  [SMALL_STATE(20112)] = 782244,
  [SMALL_STATE(20113)] = 782258,
  [SMALL_STATE(20114)] = 782272,
  [SMALL_STATE(20115)] = 782286,
  [SMALL_STATE(20116)] = 782300,
  [SMALL_STATE(20117)] = 782314,
  [SMALL_STATE(20118)] = 782328,
  [SMALL_STATE(20119)] = 782342,
  [SMALL_STATE(20120)] = 782356,
  [SMALL_STATE(20121)] = 782370,
  [SMALL_STATE(20122)] = 782384,
  [SMALL_STATE(20123)] = 782398,
  [SMALL_STATE(20124)] = 782412,
  [SMALL_STATE(20125)] = 782426,
  [SMALL_STATE(20126)] = 782440,
  [SMALL_STATE(20127)] = 782454,
  [SMALL_STATE(20128)] = 782468,
  [SMALL_STATE(20129)] = 782482,
  [SMALL_STATE(20130)] = 782496,
  [SMALL_STATE(20131)] = 782510,
  [SMALL_STATE(20132)] = 782524,
  [SMALL_STATE(20133)] = 782538,
  [SMALL_STATE(20134)] = 782552,
  [SMALL_STATE(20135)] = 782566,
  [SMALL_STATE(20136)] = 782580,
  [SMALL_STATE(20137)] = 782594,
  [SMALL_STATE(20138)] = 782608,
  [SMALL_STATE(20139)] = 782622,
  [SMALL_STATE(20140)] = 782636,
  [SMALL_STATE(20141)] = 782650,
  [SMALL_STATE(20142)] = 782664,
  [SMALL_STATE(20143)] = 782678,
  [SMALL_STATE(20144)] = 782692,
  [SMALL_STATE(20145)] = 782706,
  [SMALL_STATE(20146)] = 782720,
  [SMALL_STATE(20147)] = 782734,
  [SMALL_STATE(20148)] = 782748,
  [SMALL_STATE(20149)] = 782762,
  [SMALL_STATE(20150)] = 782776,
  [SMALL_STATE(20151)] = 782790,
  [SMALL_STATE(20152)] = 782804,
  [SMALL_STATE(20153)] = 782818,
  [SMALL_STATE(20154)] = 782832,
  [SMALL_STATE(20155)] = 782846,
  [SMALL_STATE(20156)] = 782860,
  [SMALL_STATE(20157)] = 782874,
  [SMALL_STATE(20158)] = 782888,
  [SMALL_STATE(20159)] = 782902,
  [SMALL_STATE(20160)] = 782916,
  [SMALL_STATE(20161)] = 782930,
  [SMALL_STATE(20162)] = 782944,
  [SMALL_STATE(20163)] = 782958,
  [SMALL_STATE(20164)] = 782972,
  [SMALL_STATE(20165)] = 782986,
  [SMALL_STATE(20166)] = 783000,
  [SMALL_STATE(20167)] = 783014,
  [SMALL_STATE(20168)] = 783028,
  [SMALL_STATE(20169)] = 783032,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15957),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18833),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7878),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14404),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15957),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15348),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14937),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16474),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13804),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11760),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13094),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13292),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10722),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11348),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13301),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10277),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13656),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13825),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14031),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15773),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15947),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15560),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14946),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14965),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12301),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16922),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17139),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14839),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14158),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10375),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20169),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13469),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12953),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12752),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 27),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 2, 0, 27),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10228),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13814),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13983),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15528),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16085),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15941),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13168),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16840),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10102),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13681),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15552),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16097),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16921),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10104),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13702),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13932),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15556),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16099),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16942),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10330),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13671),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13990),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15546),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16094),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12125),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16909),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11879),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13184),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13592),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13390),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12991),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10107),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4727),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13926),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14970),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15822),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12178),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17178),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10124),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13674),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13999),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15511),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16076),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10242),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13889),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14091),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15089),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15864),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17163),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8772),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10276),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13883),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15532),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16087),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16862),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10156),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13778),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13928),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15493),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16064),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13161),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16555),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10141),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13647),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15249),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15938),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12334),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16518),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10159),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13709),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13953),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15522),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16082),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16795),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10194),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13913),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13739),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14030),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15524),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16083),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12107),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16821),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10323),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13817),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15044),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15845),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12366),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17007),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13911),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10316),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13648),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15540),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16091),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13174),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10215),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13775),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15341),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13146),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12295),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16636),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10225),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13831),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14007),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15361),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15993),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10154),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13893),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15271),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15702),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17158),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15941),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5481),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10295),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13600),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13618),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15538),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16090),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13173),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12119),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16892),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10180),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13738),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15325),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15980),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16469),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5682),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10289),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13605),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16089),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12117),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16884),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20001),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11129),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8020),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17492),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18793),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18821),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18793),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20004),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11141),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20156),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17459),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20005),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11147),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17697),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19998),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11121),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19984),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19222),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20007),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11152),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17747),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17756),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20008),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11159),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18579),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19607),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20009),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11168),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19247),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17755),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6359),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10285),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13907),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15534),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16088),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13171),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12115),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16873),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20012),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11178),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17906),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19591),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20013),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11185),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18565),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20087),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20014),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11196),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17345),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17968),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20015),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11203),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18004),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17348),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20016),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11206),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18784),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18021),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20017),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11208),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19729),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18803),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20018),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11210),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17427),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19739),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19955),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11352),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17761),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17765),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20019),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11214),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17639),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17430),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20020),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11220),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17874),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17641),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20021),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11226),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18102),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17886),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18340),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10988),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18376),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18791),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20022),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11232),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18235),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18105),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20023),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11241),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18322),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18240),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20024),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11245),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18351),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18323),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20025),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11254),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18386),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18354),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20026),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11258),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18429),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18387),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20027),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11263),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18468),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18432),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20028),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11270),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18507),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18471),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20029),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11272),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18544),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18511),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20030),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11277),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18588),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18545),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5783),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10309),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13909),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15476),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16054),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12397),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16253),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20031),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11282),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18637),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18594),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10324),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13741),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13931),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15480),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16056),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16307),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20032),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11285),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18675),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18639),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5774),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10116),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13604),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15487),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16060),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20033),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11292),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18717),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18680),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10121),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13713),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13966),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15490),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16062),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12122),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16487),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20034),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11295),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18768),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18719),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20035),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11298),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18810),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18769),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20003),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11133),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19208),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19028),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19940),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10953),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19787),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20163),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19979),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10980),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17545),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20086),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19982),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11012),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19179),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19930),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10164),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13708),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13948),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15276),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15952),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13140),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12136),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17252),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19985),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11035),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19637),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17547),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19988),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19184),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19989),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11063),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17534),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19639),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19993),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11085),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17994),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19929),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19994),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11099),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18400),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17622),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19996),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10931),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19216),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18406),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6318),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10299),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4766),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13899),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14108),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16142),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15767),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13113),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16531),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6381),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6746),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10287),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13815),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14885),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15799),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6240),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7072),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10328),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13789),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16214),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15779),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17036),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6259),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6839),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10155),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13676),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15264),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15945),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12227),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17059),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6845),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10229),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13705),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13941),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15974),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15754),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17154),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4709),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6797),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7523),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7858),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11981),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9577),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6867),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9024),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6379),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6411),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7432),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7291),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6556),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5157),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7014),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15089),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15249),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15938),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15493),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16064),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15511),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16076),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15044),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15845),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16082),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15528),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16085),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12356),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16087),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15546),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16094),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14970),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15822),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15552),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16097),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15556),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16099),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15524),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16083),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15947),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15560),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [3093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16689),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19688),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16371),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13069),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17692),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17134),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17306),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10298),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16317),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13065),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17476),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16439),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13073),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17931),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7921),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17193),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13109),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20068),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8034),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16327),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19374),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17003),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13058),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18408),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16416),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18738),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 26),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 26),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [3353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2860),
  [3356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43),
  [3358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43),
  [3360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16689),
  [3363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(174),
  [3366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1664),
  [3369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2775),
  [3372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2801),
  [3375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10228),
  [3378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1665),
  [3381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13814),
  [3384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13983),
  [3387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(249),
  [3390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2865),
  [3393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15528),
  [3396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16085),
  [3399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2776),
  [3402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13168),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12110),
  [3408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4265),
  [3411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2777),
  [3414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16840),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2771),
  [3436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16371),
  [3439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(195),
  [3442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1508),
  [3445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2813),
  [3448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2838),
  [3451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10102),
  [3454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1509),
  [3457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13681),
  [3460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14041),
  [3463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(244),
  [3466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2783),
  [3469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15552),
  [3472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16097),
  [3475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2814),
  [3478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13176),
  [3481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12130),
  [3484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4290),
  [3487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2815),
  [3490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16921),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16364),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13045),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17854),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17282),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19274),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [3931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3090),
  [3934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17193),
  [3937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(175),
  [3940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1521),
  [3943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3057),
  [3946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2888),
  [3949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10242),
  [3952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1529),
  [3955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13889),
  [3958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14091),
  [3961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(256),
  [3964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3051),
  [3967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15089),
  [3970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15864),
  [3973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3058),
  [3976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13130),
  [3979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12176),
  [3982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4116),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3042),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17163),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16349),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13112),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17980),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [4001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3035),
  [4004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17134),
  [4007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(165),
  [4010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1605),
  [4013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3233),
  [4016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2769),
  [4019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10124),
  [4022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1606),
  [4025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13674),
  [4028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13999),
  [4031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(269),
  [4034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3299),
  [4037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15511),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16076),
  [4043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3234),
  [4046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13164),
  [4049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12080),
  [4052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4250),
  [4055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3235),
  [4058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16758),
  [4061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3263),
  [4064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16317),
  [4067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(192),
  [4070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1754),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3287),
  [4076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2834),
  [4079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10330),
  [4082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1642),
  [4085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13671),
  [4088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13990),
  [4091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(287),
  [4094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3086),
  [4097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15546),
  [4100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16094),
  [4103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3288),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13175),
  [4109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12125),
  [4112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4287),
  [4115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3291),
  [4118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16909),
  [4121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3272),
  [4124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16439),
  [4127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(197),
  [4130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1519),
  [4133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3324),
  [4136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2841),
  [4139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10104),
  [4142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1520),
  [4145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13702),
  [4148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13932),
  [4151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(248),
  [4154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3173),
  [4157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15556),
  [4160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16099),
  [4163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3325),
  [4166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13177),
  [4169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12134),
  [4172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4293),
  [4175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3326),
  [4178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16942),
  [4181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3496),
  [4184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16327),
  [4187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(158),
  [4190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1556),
  [4193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3469),
  [4196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2761),
  [4199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10156),
  [4202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1557),
  [4205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13778),
  [4208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13928),
  [4211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(267),
  [4214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3688),
  [4217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15493),
  [4220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16064),
  [4223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3471),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13161),
  [4229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12283),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4240),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3472),
  [4238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16555),
  [4241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3649),
  [4244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17003),
  [4247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(178),
  [4250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1689),
  [4253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3571),
  [4256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2807),
  [4259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10276),
  [4262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1690),
  [4265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13883),
  [4268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14086),
  [4271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(261),
  [4274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3654),
  [4277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15532),
  [4280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16087),
  [4283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3572),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13170),
  [4289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12114),
  [4292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4271),
  [4295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3574),
  [4298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16862),
  [4301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3814),
  [4304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16416),
  [4307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(200),
  [4310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1631),
  [4313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3981),
  [4316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2702),
  [4319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10141),
  [4322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1632),
  [4325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13647),
  [4328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14055),
  [4331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(268),
  [4334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3700),
  [4337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15249),
  [4340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15938),
  [4343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4000),
  [4346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13138),
  [4349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12334),
  [4352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4153),
  [4355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4024),
  [4358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16518),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3708),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16364),
  [4367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(168),
  [4370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1619),
  [4373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3801),
  [4376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2774),
  [4379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10159),
  [4382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1620),
  [4385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13709),
  [4388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13953),
  [4391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(276),
  [4394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3969),
  [4397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15522),
  [4400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16082),
  [4403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3804),
  [4406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13165),
  [4409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12104),
  [4412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4255),
  [4415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(3805),
  [4418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16795),
  [4421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4161),
  [4424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17282),
  [4427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(219),
  [4430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1740),
  [4433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4189),
  [4436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2808),
  [4439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10107),
  [4442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1741),
  [4445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13926),
  [4448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14127),
  [4451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(283),
  [4454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4052),
  [4457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14970),
  [4460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15822),
  [4463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4190),
  [4466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13125),
  [4469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12178),
  [4472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4118),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4172),
  [4478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16713),
  [4481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4171),
  [4484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16349),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(214),
  [4490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1589),
  [4493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4047),
  [4496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2884),
  [4499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10277),
  [4502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1503),
  [4505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13825),
  [4508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14031),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(264),
  [4514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4055),
  [4517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15947),
  [4520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15560),
  [4523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4064),
  [4526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13062),
  [4529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12301),
  [4532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4095),
  [4535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4119),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17139),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16527),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13049),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18922),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17110),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13102),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19675),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16861),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13023),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18458),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16694),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17971),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16270),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13064),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19952),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [4591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4831),
  [4594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16527),
  [4597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(170),
  [4600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1633),
  [4603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4807),
  [4606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2781),
  [4609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10194),
  [4612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1634),
  [4615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13739),
  [4618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14030),
  [4621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(284),
  [4624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4711),
  [4627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15524),
  [4630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16083),
  [4633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4808),
  [4636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13166),
  [4639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12107),
  [4642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4258),
  [4645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4822),
  [4648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16821),
  [4651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4852),
  [4654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17110),
  [4657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(221),
  [4660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1729),
  [4663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4883),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2855),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10323),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1742),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13817),
  [4678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13995),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(289),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4851),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15044),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15845),
  [4693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4899),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13128),
  [4699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12366),
  [4702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4147),
  [4705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4841),
  [4708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17007),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17025),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19002),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [4721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4987),
  [4724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16861),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(138),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1627),
  [4733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5005),
  [4736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2720),
  [4739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10215),
  [4742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1630),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13775),
  [4748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14139),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(288),
  [4754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4927),
  [4757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15341),
  [4760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15986),
  [4763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5073),
  [4766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13146),
  [4769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12295),
  [4772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4179),
  [4775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5007),
  [4778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16636),
  [4781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5129),
  [4784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16694),
  [4787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(157),
  [4790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1558),
  [4793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5199),
  [4796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2900),
  [4799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10154),
  [4802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1559),
  [4805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13893),
  [4808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14102),
  [4811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(247),
  [4814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5112),
  [4817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15271),
  [4820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15702),
  [4823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5201),
  [4826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13101),
  [4829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12076),
  [4832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4063),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5205),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17158),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17273),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13063),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18992),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [4851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5094),
  [4854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16270),
  [4857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(189),
  [4860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1743),
  [4863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5150),
  [4866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2825),
  [4869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10316),
  [4872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1744),
  [4875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13648),
  [4878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14067),
  [4881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(282),
  [4884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5236),
  [4887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15540),
  [4890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16091),
  [4893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5152),
  [4896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13174),
  [4899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12123),
  [4902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4284),
  [4905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5137),
  [4908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16900),
  [4911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5351),
  [4914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17025),
  [4917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(140),
  [4920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1692),
  [4923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5320),
  [4926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2724),
  [4929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10225),
  [4932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1704),
  [4935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13831),
  [4938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14007),
  [4941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(274),
  [4944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5251),
  [4947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15361),
  [4950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15993),
  [4953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5329),
  [4956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13147),
  [4959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12139),
  [4962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4187),
  [4965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5269),
  [4968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16803),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [4973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13479),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19087),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14936),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15661),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19307),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17250),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5770),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16752),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18053),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13321),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14562),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19628),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15166),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15899),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19157),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16386),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5560),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5404),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13332),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14312),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19880),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15443),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16037),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18520),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17172),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17194),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18174),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5600),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13305),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14467),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17505),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15067),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15854),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19817),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17085),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17260),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17831),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [5143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17188),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20070),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16575),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17570),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17005),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17764),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6499),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16637),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13143),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17664),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17127),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13059),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17491),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [5191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5618),
  [5194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17273),
  [5197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(186),
  [5200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1730),
  [5203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5515),
  [5206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2817),
  [5209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10295),
  [5212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1731),
  [5215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13618),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13992),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(277),
  [5224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5624),
  [5227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15538),
  [5230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16090),
  [5233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5516),
  [5236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13173),
  [5239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12119),
  [5242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4281),
  [5245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5518),
  [5248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16892),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16265),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17890),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6946),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16274),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20157),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10314),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16876),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11867),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20010),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13597),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14423),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14654),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19589),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20046),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17090),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13095),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18624),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16581),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20006),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14407),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18923),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19995),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14322),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18974),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18000),
  [5335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6715),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16522),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17295),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [5345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5770),
  [5348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16752),
  [5351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(135),
  [5354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1531),
  [5357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5752),
  [5360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2717),
  [5363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10180),
  [5366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1537),
  [5369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13738),
  [5372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14022),
  [5375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(262),
  [5378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5742),
  [5381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15325),
  [5384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15980),
  [5387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5761),
  [5390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13144),
  [5393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12126),
  [5396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4174),
  [5399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5689),
  [5402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16469),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16705),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19947),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10080),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 12),
  [5419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 12),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15823),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9950),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7780),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13493),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14210),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14760),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20136),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14818),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15809),
  [5455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15739),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20137),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12259),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17050),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14784),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20161),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14481),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19969),
  [5489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14222),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19917),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19789),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [5497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17228),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18811),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20002),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14390),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17445),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17853),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19991),
  [5519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14263),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19905),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17460),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19999),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14367),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19547),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19579),
  [5535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5991),
  [5538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17194),
  [5541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(183),
  [5544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1719),
  [5547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5996),
  [5550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2812),
  [5553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10289),
  [5556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1720),
  [5559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13605),
  [5562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13967),
  [5565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(272),
  [5568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6028),
  [5571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15536),
  [5574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16089),
  [5577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5997),
  [5580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13172),
  [5583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12117),
  [5586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4278),
  [5589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5998),
  [5592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16884),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [5597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 58),
  [5599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 58),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16242),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [5609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10234),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [5615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13844),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [5619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15530),
  [5625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16086),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13169),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [5639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6001),
  [5642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16242),
  [5645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(176),
  [5648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1676),
  [5651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5913),
  [5654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2804),
  [5657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10234),
  [5660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1677),
  [5663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13844),
  [5666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14023),
  [5669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(255),
  [5672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5931),
  [5675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15530),
  [5678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16086),
  [5681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5914),
  [5684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13169),
  [5687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12112),
  [5690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4268),
  [5693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5915),
  [5696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16852),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14730),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [5711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [5723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14504),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [5727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5796),
  [5730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16244),
  [5733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(143),
  [5736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1541),
  [5739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5977),
  [5742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2727),
  [5745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10286),
  [5748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1542),
  [5751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13864),
  [5754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14057),
  [5757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(250),
  [5760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5795),
  [5763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15459),
  [5766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16043),
  [5769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5978),
  [5772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13150),
  [5775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12382),
  [5778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4201),
  [5781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(5979),
  [5784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17251),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16244),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10286),
  [5801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13864),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14057),
  [5807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15459),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16043),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17251),
  [5827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6247),
  [5830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16575),
  [5833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(153),
  [5836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1522),
  [5839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6485),
  [5842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2755),
  [5845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10116),
  [5848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1526),
  [5851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13604),
  [5854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13993),
  [5857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(270),
  [5860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6495),
  [5863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15487),
  [5866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16060),
  [5869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6168),
  [5872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13158),
  [5875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12022),
  [5878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4234),
  [5881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6244),
  [5884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16414),
  [5887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6319),
  [5890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17127),
  [5893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(180),
  [5896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1706),
  [5899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6359),
  [5902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2810),
  [5905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10285),
  [5908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1707),
  [5911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13907),
  [5914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14131),
  [5917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(266),
  [5920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6398),
  [5923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15534),
  [5926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16088),
  [5929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6363),
  [5932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13171),
  [5935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12115),
  [5938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4275),
  [5941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6369),
  [5944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16873),
  [5947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6268),
  [5950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17005),
  [5953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(155),
  [5956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1543),
  [5959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6510),
  [5962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2759),
  [5965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10121),
  [5968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1544),
  [5971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13713),
  [5974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13966),
  [5977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(281),
  [5980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6099),
  [5983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15490),
  [5986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16062),
  [5989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6515),
  [5992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13159),
  [5995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12122),
  [5998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4237),
  [6001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6524),
  [6004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16487),
  [6007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6499),
  [6010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16637),
  [6013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(132),
  [6016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1673),
  [6019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6196),
  [6022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2713),
  [6025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10164),
  [6028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1674),
  [6031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13708),
  [6034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13948),
  [6037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(275),
  [6040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6270),
  [6043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15276),
  [6046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15952),
  [6049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6197),
  [6052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13140),
  [6055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12136),
  [6058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4167),
  [6061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6199),
  [6064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17252),
  [6067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6204),
  [6070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17188),
  [6073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(147),
  [6076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1648),
  [6079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6470),
  [6082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2735),
  [6085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10309),
  [6088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1650),
  [6091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13909),
  [6094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14129),
  [6097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(278),
  [6100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6302),
  [6103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15476),
  [6106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16054),
  [6109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6472),
  [6112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13152),
  [6115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12397),
  [6118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4220),
  [6121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6473),
  [6124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16253),
  [6127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6238),
  [6130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17260),
  [6133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(149),
  [6136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1693),
  [6139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6548),
  [6142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2739),
  [6145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10324),
  [6148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1699),
  [6151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13741),
  [6154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13931),
  [6157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(245),
  [6160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6362),
  [6163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15480),
  [6166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16056),
  [6169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6549),
  [6172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13153),
  [6175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12087),
  [6178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4226),
  [6181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6550),
  [6184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16307),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16665),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [6195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7043),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [6199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10318),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13773),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [6207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15502),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16070),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16833),
  [6227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6858),
  [6230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17107),
  [6233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(162),
  [6236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1592),
  [6239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6627),
  [6242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2766),
  [6245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10239),
  [6248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1593),
  [6251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13608),
  [6254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14078),
  [6257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(260),
  [6260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6840),
  [6263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15404),
  [6266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16018),
  [6269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6728),
  [6272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13163),
  [6275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12040),
  [6278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4246),
  [6281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6732),
  [6284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16685),
  [6287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6858),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17107),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6627),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10239),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13608),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15404),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16018),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13163),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [6327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7002),
  [6330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16705),
  [6333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(206),
  [6336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1649),
  [6339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6765),
  [6342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2920),
  [6345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10299),
  [6348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1658),
  [6351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13899),
  [6354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14108),
  [6357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(263),
  [6360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7026),
  [6363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16142),
  [6366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15767),
  [6369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6768),
  [6372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13113),
  [6375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12031),
  [6378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4312),
  [6381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7093),
  [6384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16531),
  [6387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6859),
  [6390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16265),
  [6393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(204),
  [6396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1561),
  [6399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6845),
  [6402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2806),
  [6405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10229),
  [6408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1567),
  [6411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13705),
  [6414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13941),
  [6417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(258),
  [6420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6953),
  [6423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15974),
  [6426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15754),
  [6429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6848),
  [6432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13110),
  [6435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12340),
  [6438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4253),
  [6441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6837),
  [6444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17154),
  [6447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7040),
  [6450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17228),
  [6453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(209),
  [6456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1568),
  [6459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7072),
  [6462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2706),
  [6465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10328),
  [6468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1572),
  [6471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13789),
  [6474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13970),
  [6477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(291),
  [6480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6846),
  [6483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16214),
  [6486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15779),
  [6489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7079),
  [6492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13115),
  [6495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12218),
  [6498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4322),
  [6501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6851),
  [6504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17036),
  [6507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6715),
  [6510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16522),
  [6513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(216),
  [6516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1540),
  [6519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6839),
  [6522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2710),
  [6525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10155),
  [6528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1546),
  [6531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13676),
  [6534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14002),
  [6537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(285),
  [6540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7024),
  [6543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15264),
  [6546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15945),
  [6549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6841),
  [6552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13139),
  [6555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12227),
  [6558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4159),
  [6561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6842),
  [6564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17059),
  [6567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6946),
  [6570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16274),
  [6573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(213),
  [6576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1625),
  [6579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6746),
  [6582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2754),
  [6585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10287),
  [6588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1626),
  [6591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13815),
  [6594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13986),
  [6597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(243),
  [6600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6766),
  [6603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14885),
  [6606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15799),
  [6609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6760),
  [6612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13118),
  [6615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12388),
  [6618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4053),
  [6621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6773),
  [6624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(17283),
  [6627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6749),
  [6630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16665),
  [6633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(172),
  [6636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1651),
  [6639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7043),
  [6642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2792),
  [6645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10318),
  [6648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1652),
  [6651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13773),
  [6654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14132),
  [6657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(290),
  [6660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(6624),
  [6663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15502),
  [6666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16070),
  [6669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7044),
  [6672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13167),
  [6675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12108),
  [6678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4262),
  [6681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7045),
  [6684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16833),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10317),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19997),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13492),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14347),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19576),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18977),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19919),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14645),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19330),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17947),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20000),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14379),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17808),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19987),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19992),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14296),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17615),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18570),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20011),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14433),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20082),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19273),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7464),
  [6751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 91),
  [6753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 91),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15150),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7473),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13345),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14257),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18509),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16149),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15432),
  [6779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16029),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17433),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17097),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7894),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16638),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7805),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10190),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13613),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13947),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15017),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15836),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16538),
  [6833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 22),
  [6835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 22),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [6841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 103),
  [6843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 103),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [6853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7533),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13281),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14745),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19812),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14992),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15828),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19924),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13127),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16825),
  [6881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 37),
  [6883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 37),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [6889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 37),
  [6891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 37),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [6895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 22),
  [6897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 22),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [6903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 73),
  [6905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 73),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [6911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 73),
  [6913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 73),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [6921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 91),
  [6923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 91),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [6929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 103),
  [6931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 103),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [6943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7894),
  [6946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16638),
  [6949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(130),
  [6952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1622),
  [6955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7805),
  [6958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2922),
  [6961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10190),
  [6964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1643),
  [6967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13613),
  [6970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13947),
  [6973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(252),
  [6976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7838),
  [6979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15017),
  [6982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15836),
  [6985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7811),
  [6988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13135),
  [6991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12207),
  [6994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4141),
  [6997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7818),
  [7000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16538),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7629),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14997),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [7013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7828),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13306),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14306),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19155),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15133),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15881),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17506),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17245),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16045),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7884),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13333),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17424),
  [7063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15290),
  [7065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15961),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19615),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13142),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [7091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [7095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20084),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [7125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7464),
  [7128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15150),
  [7135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2445),
  [7138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3898),
  [7141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7473),
  [7144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13345),
  [7147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14257),
  [7150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(4018),
  [7153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18509),
  [7156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15432),
  [7159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16029),
  [7162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7477),
  [7165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17433),
  [7168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13148),
  [7171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12376),
  [7174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7196),
  [7177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17097),
  [7180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7363),
  [7183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15569),
  [7186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2447),
  [7189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3940),
  [7192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7533),
  [7195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13281),
  [7198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14745),
  [7201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3962),
  [7204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19812),
  [7207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14992),
  [7210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15828),
  [7213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7541),
  [7216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19924),
  [7219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13127),
  [7222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12109),
  [7225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7251),
  [7228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16825),
  [7231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7629),
  [7234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14997),
  [7237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2459),
  [7240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3942),
  [7243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7828),
  [7246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13306),
  [7249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14306),
  [7252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3957),
  [7255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19155),
  [7258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15133),
  [7261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15881),
  [7264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7829),
  [7267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17506),
  [7270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13132),
  [7273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12381),
  [7276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7572),
  [7279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17245),
  [7282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8744),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13280),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14480),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19875),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14914),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15808),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19756),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16491),
  [7316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7943),
  [7319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16045),
  [7322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2446),
  [7325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3757),
  [7328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7884),
  [7331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13333),
  [7334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14205),
  [7337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3704),
  [7340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17424),
  [7343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15290),
  [7346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15961),
  [7349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7705),
  [7352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19615),
  [7355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13142),
  [7358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12206),
  [7361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7565),
  [7364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16324),
  [7367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8456),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15151),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [7375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [7377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8532),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13322),
  [7383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 39),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14154),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [7389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19349),
  [7391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 39),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15231),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15929),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19630),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12299),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [7411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 77),
  [7413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 77),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [7417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 59),
  [7419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 59),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [7423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 39),
  [7425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 39),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [7429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 59),
  [7431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 59),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [7435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 77),
  [7437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 77),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13194),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13750),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10888),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15975),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13670),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [7453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13314),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13569),
  [7459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [7465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [7467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19727),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15711),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15621),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13319),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17724),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12338),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16390),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [7493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14642),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14993),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15809),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15739),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15166),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15899),
  [7509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14936),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15661),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9023),
  [7517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16323),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [7521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [7523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9011),
  [7525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [7527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10123),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [7531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13898),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [7535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15216),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15922),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13151),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12113),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16309),
  [7555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9023),
  [7558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16323),
  [7561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(145),
  [7564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1594),
  [7567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9011),
  [7570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(2730),
  [7573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(10123),
  [7576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(1601),
  [7579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13898),
  [7582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(14105),
  [7585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(265),
  [7588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9022),
  [7591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15216),
  [7594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(15922),
  [7597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(9013),
  [7600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(13151),
  [7603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(12113),
  [7606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(4211),
  [7609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(7986),
  [7612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 43), SHIFT_REPEAT(16309),
  [7615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11518),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11863),
  [7621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [7623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13178),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13598),
  [7627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10659),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10655),
  [7631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13574),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13792),
  [7635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15348),
  [7637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14937),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [7641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 4),
  [7643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 4),
  [7645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 5),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14881),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20084),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [7667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 19),
  [7669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 19),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [7673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 52),
  [7675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 52),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [7711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [7719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [7723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [7727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [7733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [7737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8456),
  [7740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15151),
  [7743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2456),
  [7746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3921),
  [7749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8532),
  [7752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13322),
  [7755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14154),
  [7758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3922),
  [7761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19349),
  [7764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15231),
  [7767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15929),
  [7770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8534),
  [7773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19630),
  [7776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13136),
  [7779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12299),
  [7782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8385),
  [7785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16231),
  [7788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [7796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [7800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [7802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [7810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [7812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [7814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [7816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [7818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [7820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [7822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 28),
  [7824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 28),
  [7826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [7828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [7830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [7832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [7834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [7836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [7838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 0),
  [7840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 0),
  [7842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 61),
  [7844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 61),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13246),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [7850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [7852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10218),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13871),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [7862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16610),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [7874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [7876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [7878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 0),
  [7880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 0),
  [7882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 0),
  [7884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 0),
  [7886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 0),
  [7888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 0),
  [7890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [7892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [7894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [7896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [7898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [7900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 0),
  [7902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 0),
  [7904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 0),
  [7906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 0),
  [7908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [7910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [7912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 23),
  [7914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 23),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [7918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 0),
  [7920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 0),
  [7922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [7924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [7926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [7928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [7930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [7932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [7934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [7936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [7938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 2),
  [7940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [7942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [7944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [7946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [7948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [7950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [7952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 31),
  [7954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 31),
  [7956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [7958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [7960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [7962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [7964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [7966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [7968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 11),
  [7970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [7972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [7974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [7976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [7978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [7980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [7982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [7984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [7986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [7988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [7990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [7992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [7994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [7996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [7998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [8000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [8002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [8008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [8010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 24),
  [8020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 24),
  [8022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 25),
  [8024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 25),
  [8026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [8034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [8056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [8058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [8060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [8062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [8068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [8072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [8074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 41),
  [8076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 41),
  [8078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 42),
  [8080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 42),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13541),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [8086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 0),
  [8088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 0),
  [8090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [8094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [8114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 0),
  [8122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [8126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13846),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4550),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13567),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [8148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7098),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14845),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15789),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13198),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17174),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [8176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 28),
  [8178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 28),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [8186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [8196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10284),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13665),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13974),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14945),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15815),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16601),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13880),
  [8230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9530),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [8236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9570),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10305),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13742),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15484),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16058),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16350),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7537),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [8276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10119),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13851),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14042),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16074),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12364),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16617),
  [8306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12880),
  [8314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13719),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15067),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15854),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [8348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 98),
  [8350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 98),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15443),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16037),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12903),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12795),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13879),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13877),
  [8422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13856),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13607),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15017),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15836),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15459),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16043),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15404),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16018),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15502),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16070),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15530),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16086),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4257),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13091),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [8484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13701),
  [8494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13047),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13867),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13872),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13044),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13922),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13923),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13098),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13699),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [8598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10080),
  [8601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15823),
  [8604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2454),
  [8607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3835),
  [8610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9950),
  [8613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13493),
  [8616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14760),
  [8619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3836),
  [8622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20136),
  [8625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15809),
  [8628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15739),
  [8631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9951),
  [8634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20137),
  [8637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13106),
  [8640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12259),
  [8643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8258),
  [8646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17050),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [8653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20137),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [8685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16818),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [8722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [8784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16818),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [8796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [8856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [8874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5115),
  [8879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [8883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5168),
  [8886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [8888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [8894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [8896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [8900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 44),
  [8902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 3, 0, 44),
  [8904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 4, 0, 62),
  [8906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 4, 0, 62),
  [8908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [8910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [8916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [8918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [8920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [8922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [8924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [8926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [8928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [8930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [8932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [8934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [8936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [8940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [8942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [8944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [8946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [8948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [8950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [8952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [8954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [8956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [8958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [8960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [8962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [8964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [8966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [8968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [8970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [8972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [8974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [8976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [8978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [8980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [8982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [8984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 30),
  [8986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 30),
  [8988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [8990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [8992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [8994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [8996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [8998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [9000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 10),
  [9006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 10),
  [9008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [9010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [9012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [9014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [9016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 82),
  [9018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 82),
  [9020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 11),
  [9026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 11),
  [9028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 11),
  [9030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 11),
  [9032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 1),
  [9034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 1),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [9038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 30),
  [9040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 30),
  [9042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 13),
  [9044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 13),
  [9046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 14),
  [9048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 14),
  [9050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 15),
  [9052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 15),
  [9054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 82),
  [9060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 82),
  [9062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [9068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [9070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [9074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [9080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 30),
  [9082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 30),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [9086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15231),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15929),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14992),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15828),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15432),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16029),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15133),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15881),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15290),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15961),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [9122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [9124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [9128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [9130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [9132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [9134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [9136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13057),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20133),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [9144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19261),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [9148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [9150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [9152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9729),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10914),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15585),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15372),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16003),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [9192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9728),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10881),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14538),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15496),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16066),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16523),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7025),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10708),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9249),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6771),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [9244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10137),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15111),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15873),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17132),
  [9260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9282),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [9264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6616),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10244),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [9270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10169),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14251),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15514),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16078),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [9290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6621),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [9294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7036),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [9306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13039),
  [9310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18107),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10251),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13052),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10195),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [9330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19336),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [9354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [9360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [9364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17698),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [9372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [9382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [9386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [9394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [9400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [9408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [9412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13037),
  [9422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17312),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [9426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 79),
  [9432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 79),
  [9434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 64),
  [9436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 64),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13054),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18127),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [9444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 64),
  [9450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 64),
  [9452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 12),
  [9458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 12),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [9462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [9466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 130),
  [9468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 130),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [9472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 64),
  [9490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 64),
  [9492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [9496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 64),
  [9498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 64),
  [9500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 30),
  [9506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 30),
  [9508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [9510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 130),
  [9512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 130),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [9516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [9534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [9540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [9550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12983),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10051),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13371),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9231),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10347),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [9662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13362),
  [9664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17092),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19973),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7886),
  [9670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11640),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [9676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17171),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12404),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9618),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17222),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19962),
  [9699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15520),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16081),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9735),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19859),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15204),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12964),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [9743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 40),
  [9745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 40),
  [9747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10372),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15499),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16068),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17031),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17171),
  [9769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [9771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [9775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11225),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [9779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15468),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16050),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10105),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19931),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15418),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16023),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17532),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [9811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [9813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 0),
  [9815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 80),
  [9817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 80),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13520),
  [9823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 60),
  [9825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 60),
  [9827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [9829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [9831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [9833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [9837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [9839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [9851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 47),
  [9853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 47),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [9859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10224),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19948),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15505),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16072),
  [9867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 47),
  [9869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 47),
  [9871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 47),
  [9873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 47),
  [9875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 97),
  [9877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 97),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [9881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 112),
  [9883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 112),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12640),
  [9887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 122),
  [9889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 122),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10063),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10501),
  [9909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [9915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12056),
  [9917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16480),
  [9919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17718),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12060),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12335),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [9931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12373),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [9935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7648),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14600),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16093),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17084),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [9953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 47),
  [9955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 47),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [9963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [9965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [9967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10588),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [9971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7744),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14329),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15387),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16010),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17042),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [9995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 40),
  [9997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 40),
  [9999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [10001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [10003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 60),
  [10005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 60),
  [10007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [10009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [10015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [10017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [10027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 42),
  [10029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 42),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [10035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [10037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [10043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [10045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 65),
  [10047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 65),
  [10049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 48),
  [10059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 48),
  [10061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [10067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_product_expression, 3, 0, 44),
  [10069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_product_expression, 3, 0, 44),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [10075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [10081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [10083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [10085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 44),
  [10087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 44),
  [10089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 45),
  [10091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 45),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [10097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 60),
  [10099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 60),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [10103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [10109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [10115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3930),
  [10122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 24),
  [10124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 24),
  [10126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 40),
  [10128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 40),
  [10130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [10134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [10136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 0),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [10152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [10154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3976),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [10165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [10171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [10173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [10179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [10193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [10201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3899),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [10206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [10212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [10214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [10224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [10232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [10238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [10240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [10244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [10246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10773),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19968),
  [10252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3820),
  [10255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3909),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [10260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10828),
  [10262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [10264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4022),
  [10267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10797),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [10271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [10273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [10277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [10279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10925),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [10293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13804),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10722),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13390),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [10317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [10319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3698),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [10326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3970),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [10339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [10341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [10343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [10349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11760),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13094),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13292),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [10361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [10363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5115),
  [10366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3843),
  [10369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13804),
  [10372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11879),
  [10375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13184),
  [10378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13592),
  [10381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(10722),
  [10384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11348),
  [10387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13390),
  [10390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [10392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15773),
  [10395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14946),
  [10398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14965),
  [10401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4515),
  [10404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17178),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [10409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3743),
  [10412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11760),
  [10415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13094),
  [10418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13292),
  [10421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13301),
  [10424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4514),
  [10427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16922),
  [10430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [10432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10733),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10815),
  [10436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10862),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [10442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [10452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [10460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [10462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [10466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9274),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [10470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [10472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15548),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16095),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17162),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [10492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8486),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7876),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10719),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10661),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10664),
  [10502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10846),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8612),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7815),
  [10510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9204),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [10514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [10516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14505),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15542),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16092),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16824),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10730),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10820),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10912),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10785),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [10544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [10546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [10552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [10554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8778),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [10562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7660),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15550),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16096),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17244),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8659),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7882),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10859),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [10590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 47),
  [10592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 47),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [10596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15611),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15726),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10911),
  [10602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3978),
  [10605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10660),
  [10609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10692),
  [10611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3809),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10818),
  [10618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [10622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10807),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12742),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [10630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8684),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7929),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14357),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15526),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16084),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16489),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8536),
  [10652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8824),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8418),
  [10660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7676),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15558),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16100),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16537),
  [10676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10833),
  [10678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12626),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8411),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14765),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15554),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16098),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16382),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12626),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [10734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [10736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [10746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [10752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [10770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3983),
  [10773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3954),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11874),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13378),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10927),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13585),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13820),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [10802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 54),
  [10804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 54),
  [10806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 11),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 89),
  [10810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 89),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13554),
  [10816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 2),
  [10818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20098),
  [10824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 71),
  [10826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 71),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [10832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9058),
  [10834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [10836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [10840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [10842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14696),
  [10846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [10848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [10850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 0),
  [10852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 0),
  [10854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [10856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [10858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 0),
  [10860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 0),
  [10862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 55),
  [10864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 55),
  [10866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8954),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [10870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [10872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11863),
  [10878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13598),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13574),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13792),
  [10890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 0),
  [10892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 0),
  [10894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [10896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [10898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12615),
  [10901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13804),
  [10904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11863),
  [10907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [10909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13178),
  [10912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13598),
  [10915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10659),
  [10918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10655),
  [10921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13574),
  [10924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13792),
  [10927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15773),
  [10930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14946),
  [10933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14965),
  [10936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 0),
  [10938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 0),
  [10940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [10942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [10944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [10946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [10948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 36),
  [10950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 36),
  [10952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11874),
  [10955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13181),
  [10958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13378),
  [10961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10927),
  [10964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13585),
  [10967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13820),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [10972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8460),
  [10974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [10980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7624),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14463),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16711),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10490),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [10998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7908),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14303),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15516),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16079),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [11022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7865),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14198),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17281),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [11038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17006),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [11056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7630),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15889),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17236),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9262),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [11080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7936),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14410),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16599),
  [11092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 0),
  [11094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 0),
  [11096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 0),
  [11098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 0),
  [11100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 0),
  [11102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 0),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7896),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14456),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15307),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15971),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16579),
  [11126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 0),
  [11128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 0),
  [11130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 0),
  [11132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 0),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9251),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [11138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19701),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9445),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14543),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20129),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12702),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19750),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [11162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 34),
  [11164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 34),
  [11166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18270),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18813),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [11178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [11188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [11190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [11204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [11206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [11214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [11216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [11218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [11224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [11226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [11228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [11230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [11244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [11246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [11250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [11260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [11262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 3),
  [11268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 3),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [11274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 29),
  [11276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 29),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [11280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19625),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18908),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19423),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19550),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [11296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9383),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17473),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19699),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [11308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 46),
  [11310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 46),
  [11312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 11),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19823),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17329),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19770),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [11326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14975),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17744),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19640),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17984),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [11340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16692),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19146),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20151),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19201),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10884),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17523),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18201),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [11364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19939),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12646),
  [11376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 34),
  [11378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 34),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19511),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17330),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [11388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17579),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19516),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17840),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17674),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18084),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19038),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20045),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19545),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18505),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17367),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18364),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19286),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18751),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12986),
  [11448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18875),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12987),
  [11456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 11),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19685),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17309),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18812),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11914),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17504),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13380),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17380),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17942),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18281),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13446),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17683),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10537),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17745),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [11500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 2),
  [11502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 2),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17920),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18141),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18328),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18477),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18548),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20083),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19348),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19491),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18929),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20040),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19014),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19052),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19351),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [11560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 7),
  [11562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 7),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19275),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19338),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19108),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17346),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [11590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [11596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [11602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10079),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [11606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9781),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14606),
  [11610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9624),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [11616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 47),
  [11618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 47),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [11622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [11626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [11630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [11632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3787),
  [11635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14845),
  [11637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15789),
  [11639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 45),
  [11641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 45),
  [11643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 33),
  [11645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 33),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [11653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10083),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14451),
  [11661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14989),
  [11668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 21),
  [11670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 21),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14989),
  [11676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11567),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [11684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11670),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [11690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 18),
  [11692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 18),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [11696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 21),
  [11698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 21),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11881),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [11704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 47),
  [11706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 47),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [11710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7756),
  [11712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [11718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [11720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [11722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9143),
  [11724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [11728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8651),
  [11730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [11734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [11736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [11738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [11740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3871),
  [11743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [11745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13028),
  [11749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19030),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [11755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7316),
  [11757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [11761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8646),
  [11763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10101),
  [11765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5064),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15185),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15907),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14453),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [11777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [11779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [11783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8656),
  [11785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [11793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [11799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [11801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [11807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [11813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [11815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [11817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [11821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19204),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [11829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [11833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [11835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [11841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [11847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [11849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [11855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [11857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [11861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8667),
  [11863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10134),
  [11865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15518),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16080),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [11873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [11877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16149),
  [11880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6830),
  [11882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [11884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [11886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [11888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [11894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [11898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17129),
  [11900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19344),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14518),
  [11906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [11910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [11914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [11916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [11924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [11930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [11932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [11936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10622),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14363),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [11948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [11950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [11952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10526),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14343),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [11958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [11960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [11962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [11964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [11966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 47),
  [11968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 47),
  [11970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 34),
  [11972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 34),
  [11974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [11976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [11978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [11980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10418),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [11986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [11988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17061),
  [11998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19097),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [12002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10490),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14186),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [12008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [12018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [12024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19305),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [12028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8670),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11480),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [12049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 81),
  [12051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 81),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [12057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [12063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [12069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [12077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [12083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [12085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [12087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [12093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11658),
  [12095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11664),
  [12097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8672),
  [12100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 33),
  [12102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 33),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12651),
  [12106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 0),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17148),
  [12114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 0),
  [12118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [12122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [12124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [12128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 21),
  [12130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 21),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [12144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [12148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [12150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [12152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14450),
  [12162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [12164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3974),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14291),
  [12171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 18),
  [12173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 18),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12641),
  [12177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 0),
  [12183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 0),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12320),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14345),
  [12191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [12197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17114),
  [12203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19284),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10914),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17124),
  [12213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19325),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10881),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [12219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(14818),
  [12222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16592),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [12227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 0),
  [12229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 0),
  [12231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 34),
  [12233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 34),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13943),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13675),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14149),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15566),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16101),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15053),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [12281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [12285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [12287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [12289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [12295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [12297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3851),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [12322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 85),
  [12324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 85),
  [12326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 86),
  [12328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 86),
  [12330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 48),
  [12332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 48),
  [12334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10834),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [12338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 50),
  [12340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 50),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [12346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 101),
  [12348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 101),
  [12350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [12360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [12370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 12),
  [12372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 12),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16553),
  [12384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 99),
  [12386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 99),
  [12388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 113),
  [12390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 113),
  [12392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 101),
  [12398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 101),
  [12400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(16553),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [12417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 18),
  [12419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 18),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9782),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [12427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [12433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 99),
  [12435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 99),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [12455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 113),
  [12457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 113),
  [12459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 48),
  [12461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 48),
  [12463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 65),
  [12465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 65),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [12475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 66),
  [12477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 66),
  [12479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 50),
  [12481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 50),
  [12483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 67),
  [12485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 67),
  [12487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 33),
  [12489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 33),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17046),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [12499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17046),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [12506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10751),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14408),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [12542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [12546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [12548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [12550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17103),
  [12554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19233),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [12558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [12560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14040),
  [12564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14040),
  [12567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 66),
  [12569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 66),
  [12571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 85),
  [12573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 85),
  [12575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 86),
  [12577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 86),
  [12579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 67),
  [12581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 67),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14059),
  [12589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14059),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [12602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19259),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [12606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8666),
  [12609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8669),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14417),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [12638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 84),
  [12640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 84),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [12656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 84),
  [12658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 84),
  [12660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 65),
  [12662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 65),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [12672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [12696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [12698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [12700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 104),
  [12702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 104),
  [12704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 66),
  [12706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 66),
  [12708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 73),
  [12710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 73),
  [12712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 116),
  [12714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 116),
  [12716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 91),
  [12718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 91),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [12722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 104),
  [12724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 104),
  [12726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [12738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [12742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [12744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [12746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [12750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 92),
  [12752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 92),
  [12754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 68),
  [12756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 68),
  [12758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 5, 0, 9),
  [12760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 5, 0, 9),
  [12762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [12764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [12766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9678),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [12781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 51),
  [12783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 51),
  [12785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 93),
  [12787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 93),
  [12789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 56),
  [12791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 56),
  [12793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [12795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [12797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 0),
  [12799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 0),
  [12801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 101),
  [12803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 101),
  [12805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 114),
  [12807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 114),
  [12809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 123),
  [12811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 123),
  [12813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 73),
  [12815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 73),
  [12817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 22),
  [12819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 22),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [12823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [12827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 115),
  [12829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 115),
  [12831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 124),
  [12833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 124),
  [12835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 116),
  [12837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 116),
  [12839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 125),
  [12841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 125),
  [12843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 91),
  [12845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 91),
  [12847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 126),
  [12849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 126),
  [12851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 103),
  [12853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 103),
  [12855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 6, 0, 28),
  [12857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 6, 0, 28),
  [12859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 18),
  [12861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 18),
  [12863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 90),
  [12865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 90),
  [12867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 67),
  [12869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 67),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [12873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 68),
  [12875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 68),
  [12877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 69),
  [12879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 69),
  [12881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 51),
  [12883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 51),
  [12885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 0),
  [12887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 0),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [12893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 123),
  [12895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 123),
  [12897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 131),
  [12899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 131),
  [12901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 124),
  [12903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 124),
  [12905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 125),
  [12907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 125),
  [12909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 54),
  [12911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 54),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [12915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 21),
  [12917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 21),
  [12919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 132),
  [12921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 132),
  [12923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 90),
  [12925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 90),
  [12927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 126),
  [12929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 126),
  [12931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 133),
  [12933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 133),
  [12935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 103),
  [12937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 103),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [12941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 72),
  [12943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 72),
  [12945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 74),
  [12947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 74),
  [12949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 131),
  [12951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 131),
  [12953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 132),
  [12955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 132),
  [12957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 135),
  [12959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 135),
  [12961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 37),
  [12963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 37),
  [12965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 56),
  [12967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 56),
  [12969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 135),
  [12971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 135),
  [12973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 75),
  [12975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 75),
  [12977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 22),
  [12979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 22),
  [12981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9842),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12660),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [12988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 102),
  [12990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 102),
  [12992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 72),
  [12994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 72),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12713),
  [12998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 75),
  [13000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 75),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12649),
  [13004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 37),
  [13006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 37),
  [13008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 89),
  [13010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 89),
  [13012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 87),
  [13014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 87),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [13026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 93),
  [13028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 93),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [13034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 69),
  [13036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 69),
  [13038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 71),
  [13040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 71),
  [13042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 85),
  [13044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 85),
  [13046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 86),
  [13048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 86),
  [13050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 74),
  [13052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 74),
  [13054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 92),
  [13056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 92),
  [13058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 114),
  [13060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 114),
  [13062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 102),
  [13064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 102),
  [13066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 87),
  [13068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 87),
  [13070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [13072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [13074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(12320),
  [13077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 50),
  [13079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 50),
  [13081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [13083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [13085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 115),
  [13087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 115),
  [13089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 33),
  [13091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 33),
  [13093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [13095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [13097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 0),
  [13099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 0),
  [13101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 0),
  [13103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 0),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11673),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [13109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 133),
  [13111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 133),
  [13113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 70),
  [13115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 70),
  [13117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [13121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20037),
  [13123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8707),
  [13125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14761),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15611),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15726),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15911),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11566),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16136),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [13153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19906),
  [13155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14354),
  [13157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 0),
  [13159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 0),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [13167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [13169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [13171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14011),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [13190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [13196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [13198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14026),
  [13208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14026),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11059),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15839),
  [13219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 88),
  [13221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 88),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [13227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 53),
  [13229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 53),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [13235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8655),
  [13238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 70),
  [13240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 70),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [13250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 88),
  [13252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 88),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [13262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [13276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9644),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [13295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [13301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13561),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [13328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 0),
  [13330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 0),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [13336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [13344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [13346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [13364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 35),
  [13366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 35),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [13370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11480),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14663),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [13378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [13380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [13390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8563),
  [13393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [13395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [13397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [13399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [13407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 35),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [13429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 53),
  [13431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 53),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11672),
  [13441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [13443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [13449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [13459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3857),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11510),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11061),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16123),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12950),
  [13484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13472),
  [13487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9715),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14666),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [13518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [13538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14781),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11671),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16103),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20101),
  [13550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [13552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [13554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [13558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [13560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [13562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [13596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [13600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10605),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [13608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [13614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [13616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [13668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [13670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4005),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [13717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [13723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [13725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [13745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9672),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [13798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9791),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [13831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [13833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [13861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [13891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [13893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [13977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [13979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [13981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14209),
  [13984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [13986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [13996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8678),
  [13999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(13675),
  [14002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [14004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9272),
  [14007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14149),
  [14010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(858),
  [14013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15773),
  [14016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15566),
  [14019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16101),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [14032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [14056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [14058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [14074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4534),
  [14077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4534),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14120),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [14108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13530),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19990),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17600),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [14123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [14125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18104),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13563),
  [14163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13563),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [14196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [14202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4488),
  [14205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4488),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [14218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 0),
  [14220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 0),
  [14222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [14224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19922),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14123),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20077),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20089),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17298),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [14258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18308),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16290),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19875),
  [14268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [14276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [14278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [14280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8645),
  [14283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13549),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [14287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19010),
  [14289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8719),
  [14291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14729),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [14295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9654),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [14302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9619),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [14307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8650),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13539),
  [14312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13539),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [14317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14788),
  [14319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [14323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10932),
  [14329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14794),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [14335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [14341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [14343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [14345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [14355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4512),
  [14358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4512),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13558),
  [14363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13558),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17497),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13314),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19727),
  [14374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [14386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [14392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3785),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17305),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16404),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19880),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18001),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16334),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17505),
  [14421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 0),
  [14423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4504),
  [14426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4504),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19830),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17229),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20046),
  [14437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9689),
  [14440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9834),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18659),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17054),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19087),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [14453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 0),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12546),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14594),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19410),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16370),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19628),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [14483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [14485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16196),
  [14489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [14491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [14493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [14495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3747),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [14502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [14508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [14510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [14512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [14518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12622),
  [14521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [14523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3828),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [14534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [14540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [14542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [14558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [14564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [14566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [14582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [14588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [14590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [14600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14293),
  [14603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [14611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [14623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [14629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [14631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [14641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9240),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13358),
  [14645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12610),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14405),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [14651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14010),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14853),
  [14655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8643),
  [14658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14147),
  [14661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [14663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(12546),
  [14666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14594),
  [14669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15773),
  [14672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15566),
  [14675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16101),
  [14678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [14682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 0),
  [14684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 0),
  [14686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14534),
  [14689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [14691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [14703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [14705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [14707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15278),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [14721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [14727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [14729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [14733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3749),
  [14736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12420),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [14740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [14744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 0),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [14748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [14750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [14754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9620),
  [14756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12637),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14496),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [14762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9788),
  [14764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12634),
  [14766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [14768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16140),
  [14772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9267),
  [14774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12631),
  [14776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15278),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [14783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11675),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [14791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [14797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [14799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14013),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [14817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13547),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [14824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [14828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13559),
  [14830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(13559),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [14835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 0),
  [14837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [14839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3794),
  [14842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [14848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3832),
  [14851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [14853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3951),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [14870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [14872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3811),
  [14875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12614),
  [14878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14038),
  [14884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16196),
  [14887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [14895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [14901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [14903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [14907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6573),
  [14909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12665),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12665),
  [14913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12706),
  [14915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 63),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [14919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 63),
  [14921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [14923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [14933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [14939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [14941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [14949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8480),
  [14951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 57),
  [14953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17262),
  [14957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [14969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [14975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [14977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [14991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [14997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [14999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [15005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [15011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6752),
  [15013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [15025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [15029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [15035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [15041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [15043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [15053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [15059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [15061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [15077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 76),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [15091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [15093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8415),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [15099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [15101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [15107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [15109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [15117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [15131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [15137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [15139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [15145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [15147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [15149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [15151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [15153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [15159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [15161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6607),
  [15163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [15165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [15171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [15173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9061),
  [15175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [15177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6428),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [15183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [15189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5598),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [15197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [15199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5173),
  [15201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [15203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [15205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [15213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [15215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [15223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [15225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [15229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [15235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [15247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [15275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [15277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [15283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [15285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [15287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [15289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [15291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7453),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [15297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [15301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [15303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [15317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11074),
  [15331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9611),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [15347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7673),
  [15349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7879),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [15355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [15357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [15363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6802),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [15367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [15369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [15371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [15375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9752),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [15382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6869),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [15388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11708),
  [15390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [15396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [15402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [15404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [15410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3769),
  [15413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9989),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [15427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [15429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7294),
  [15431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17262),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [15442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [15444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4003),
  [15447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(4012),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [15454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [15456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [15460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [15462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8550),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [15468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [15474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [15476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [15488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [15490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [15510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11345),
  [15512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3900),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [15519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [15525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [15527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [15533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 38),
  [15535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [15537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [15539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [15541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [15543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [15545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [15547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12188),
  [15549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [15551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [15553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13357),
  [15555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [15557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [15559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [15561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [15569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [15571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [15577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3910),
  [15580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7338),
  [15582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3931),
  [15585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [15587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9628),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [15598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [15614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [15616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6006),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [15634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6799),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [15652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6559),
  [15654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [15656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16187),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [15668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [15674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [15676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [15680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [15684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [15686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [15696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [15702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [15704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [15710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [15714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10070),
  [15716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17258),
  [15718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8614),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [15722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [15724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [15726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [15728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11916),
  [15730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8500),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [15740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [15748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [15756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [15760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14522),
  [15763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [15765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [15767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [15769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [15773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 51),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [15777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [15781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [15785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [15787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [15791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [15793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [15795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [15797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [15801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [15803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [15805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [15815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [15817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [15819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [15821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12665),
  [15824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12665),
  [15827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(12706),
  [15830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 0),
  [15832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 5),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [15838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [15846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [15850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12619),
  [15852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12653),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [15858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [15860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [15864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14633),
  [15870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [15872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [15874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [15878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [15880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [15882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [15884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [15886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [15888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [15890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [15894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14499),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [15899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [15903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12613),
  [15906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [15910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 76),
  [15912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17261),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [15918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [15928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [15930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [15938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [15944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [15946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [15948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [15950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [15952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [15954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [15956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [15958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [15960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [15962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [15968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [15970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [15976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [15978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [15980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [15982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [15984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [15986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [15988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12623),
  [15990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [15992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [15994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [15996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [15998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [16000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 76),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [16004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [16006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [16008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [16012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [16014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [16016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [16018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [16022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [16030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [16036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [16038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 38),
  [16040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12632),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [16046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [16048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [16054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [16056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [16064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [16066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [16068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [16070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 57),
  [16072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [16076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [16078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [16084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [16092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [16094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [16096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12611),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [16104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [16106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [16112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [16114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [16116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [16120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [16124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [16126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [16130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [16132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [16134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [16136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [16138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [16140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [16142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 69),
  [16144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [16146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [16148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [16150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [16152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12638),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [16159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [16165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 38),
  [16167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [16169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(12615),
  [16172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [16174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [16176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [16178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [16180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [16182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 57),
  [16184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16178),
  [16186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [16188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [16190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [16192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [16194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16178),
  [16197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16187),
  [16200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [16202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [16204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 57),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [16208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [16210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 76),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15859),
  [16214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [16220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 38),
  [16222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [16224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 0),
  [16226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 0),
  [16228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 0),
  [16230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [16232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [16234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15585),
  [16236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [16238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [16240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 0),
  [16242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14321),
  [16244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [16246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [16248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 0),
  [16250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14286),
  [16252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17170),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17170),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12926),
  [16259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12971),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14243),
  [16263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [16271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12815),
  [16273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [16275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 59),
  [16277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [16279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [16283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [16285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 77),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14245),
  [16289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [16291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 39),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [16295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [16297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [16301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 117),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [16305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [16307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [16309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 119),
  [16311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 94),
  [16313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 109),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [16317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 95),
  [16319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 96),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [16325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [16327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [16329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [16331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 120),
  [16333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [16337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [16339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [16341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [16343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [16345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 128),
  [16347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [16349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 134),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [16359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 87),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [16363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 127),
  [16365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [16371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 110),
  [16373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17101),
  [16376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 118),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [16380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 0),
  [16382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [16384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [16388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [16390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [16392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 0),
  [16394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [16396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [16398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [16404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [16408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [16412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [16414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 0),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [16420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 128),
  [16422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 121),
  [16424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 87),
  [16426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [16430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [16432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [16434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [16438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [16444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [16448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [16456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 127),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15343),
  [16466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11604),
  [16468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 117),
  [16470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 76),
  [16472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [16476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17101),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [16486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 57),
  [16488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 95),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [16492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 121),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [16498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 134),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [16508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [16514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [16516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [16518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [16524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 77),
  [16526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 107),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [16530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 118),
  [16532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 129),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [16536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [16540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14500),
  [16544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 119),
  [16546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 109),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [16550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 129),
  [16552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [16562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 111),
  [16564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 0),
  [16566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [16572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 78),
  [16574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [16576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 107),
  [16578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 0),
  [16580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 106),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [16592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 39),
  [16594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 68),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [16598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 0),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [16602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 120),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [16606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 68),
  [16608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 106),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [16612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 108),
  [16614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 59),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [16618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 78),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [16622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 38),
  [16624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 96),
  [16626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 94),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [16642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 111),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [16646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 110),
  [16648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [16652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 108),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [16658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [16664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 105),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17772),
  [16668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 0),
  [16670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 0),
  [16672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 0),
  [16674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 41),
  [16676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 41),
  [16678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 105),
  [16680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 0),
  [16682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 0),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13081),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9763),
  [16694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12650),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14602),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [16714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8671),
  [16717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [16719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [16721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [16723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [16725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [16727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15313),
  [16729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [16731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13934),
  [16733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [16735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [16737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [16739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [16741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [16743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [16745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [16747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [16749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [16751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [16753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [16755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [16757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [16759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [16761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [16763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [16765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [16767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [16769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14058),
  [16771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [16773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [16775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [16779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [16781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [16783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [16785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [16787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [16789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [16797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [16799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [16801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [16805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [16809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [16811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [16813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [16815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [16817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14088),
  [16819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [16821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [16825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [16829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [16831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [16833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [16837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [16839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [16841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [16843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13544),
  [16845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [16847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19121),
  [16849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [16851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [16853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [16855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [16857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [16859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [16861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [16863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [16865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14502),
  [16867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [16869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [16871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [16875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [16879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [16881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [16883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [16887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [16889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [16895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [16897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [16901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14133),
  [16903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [16905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [16907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [16913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [16915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [16917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [16919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [16921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [16923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [16925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [16931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [16933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [16935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [16937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [16939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [16941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [16945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [16947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [16949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20069),
  [16951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20069),
  [16953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20075),
  [16955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [16957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [16959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [16961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [16963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [16967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [16973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [16975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [16979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [16983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [16987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [16989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [16991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [16993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [16995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [16997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [16999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [17003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15343),
  [17006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [17012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16591),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [17026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [17030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [17034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16517),
  [17040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17323),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [17046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [17048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [17050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [17052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [17054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [17056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13977),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14052),
  [17062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17019),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17889),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [17072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [17080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [17088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14032),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [17102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [17110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [17118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [17132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [17146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17004),
  [17152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18913),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17035),
  [17158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19022),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11975),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17088),
  [17164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19166),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11036),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [17172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17063),
  [17178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19153),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14109),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [17188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [17196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [17204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [17212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [17214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [17218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [17222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [17226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12970),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [17256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13544),
  [17259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13544),
  [17262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [17270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10371),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10531),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [17292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [17296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14016),
  [17299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [17301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13521),
  [17303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12680),
  [17305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8341),
  [17307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [17309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [17311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [17313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [17315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [17317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [17319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [17321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [17323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [17325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [17337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [17339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [17341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [17345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [17347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [17349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [17351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [17353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [17355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [17357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [17359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [17361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [17363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [17365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [17367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [17369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [17371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [17373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [17375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8662),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11663),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [17406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [17408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13721),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [17450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13258),
  [17452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17051),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [17458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [17460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14388),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14256),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [17478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14490),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [17498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16353),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [17502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [17504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [17506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16362),
  [17508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16038),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14380),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13802),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13803),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [17524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14401),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [17548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17165),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [17552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [17554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13601),
  [17556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13327),
  [17558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16456),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [17562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [17566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16400),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [17570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16409),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10938),
  [17584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16369),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13868),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [17590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16372),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13878),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [17602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16412),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13924),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [17608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16419),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13882),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11287),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11093),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10955),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11284),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16212),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14809),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [17674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11075),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [17682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [17686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [17688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13542),
  [17690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16681),
  [17692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16490),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13077),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11120),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11123),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [17710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16651),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11231),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14136),
  [17730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16790),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11396),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [17738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16667),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [17750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16510),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11000),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10947),
  [17778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16841),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [17804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16796),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [17808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16466),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12762),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10936),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10940),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10982),
  [17828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16804),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [17834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16908),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11005),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11046),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [17848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [17850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16915),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11069),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [17864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11158),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11161),
  [17884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17220),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [17896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [17902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16589),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [17910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17022),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [17918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17234),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9985),
  [17922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17026),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11976),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [17938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12785),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [17946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [17948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [17952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16509),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [17956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [17958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [17962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16990),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13089),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [17968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [17972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16700),
  [17974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12930),
  [17976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [17980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17152),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [17984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [17986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [17988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [17990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [17992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [17994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13524),
  [17996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16747),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [18018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [18020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13534),
  [18022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16234),
  [18024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16215),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [18052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16207),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14806),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [18070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20071),
  [18072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13283),
  [18074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16241),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [18104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(14048),
  [18107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [18109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [18111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [18119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [18121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [18123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [18125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [18127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [18129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [18131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [18133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [18135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [18137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [18143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [18145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 0),
  [18147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [18149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 83),
  [18151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [18157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [18159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [18167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 0),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [18171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [18181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [18191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12459),
  [18193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [18195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15693),
  [18197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [18201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [18207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [18215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [18229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [18243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [18249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 64),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [18265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [18267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [18271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(14993),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [18282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [18310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 0),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15329),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [18354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14273),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [18456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14171),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14104),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12459),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19340),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19945),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17918),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [18564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 20),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14569),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17872),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19426),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10103),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17510),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17651),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14292),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14659),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17821),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14420),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14497),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14519),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10907),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19914),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17695),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18128),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17911),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14697),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [18630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17652),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19170),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10963),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19655),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20099),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17469),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18896),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17488),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19665),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20114),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13633),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20154),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15701),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14017),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15698),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18995),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [18704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 17),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12654),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16150),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16020),
  [18716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 32),
  [18718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18035),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20107),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16183),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18874),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19555),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14544),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17673),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18489),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14362),
  [18772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 49),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14648),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [18782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18722),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19249),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16205),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18271),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14704),
  [18804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(8463),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14177),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19854),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17922),
  [18819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [18821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [18823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [18827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14537),
  [18829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18005),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14679),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18234),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14589),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19006),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14454),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19195),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [18869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19610),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [18881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19824),
  [18883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13046),
  [18887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(15859),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14636),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14005),
  [18896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [18898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [18900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12463),
  [18902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14607),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19262),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20061),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17456),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19302),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18440),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [18930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [18932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15964),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14360),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [18938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14307),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [18964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16176),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [18982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16365),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [18990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14819),
  [19016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9690),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14821),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14826),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11908),
  [19045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [19047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [19051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10092),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15474),
  [19059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [19061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [19063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [19069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15138),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15766),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15378),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12977),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10420),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15860),
  [19099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16822),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [19103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18305),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14852),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14860),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [19121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [19125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [19127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [19129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [19131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15316),
  [19133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11606),
  [19135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [19137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16474),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14868),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15981),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15830),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15183),
  [19186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [19188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(15693),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14895),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [19207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [19211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10463),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14897),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [19217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16295),
  [19225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [19227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14904),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15689),
  [19235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [19237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [19239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [19241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [19243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [19247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15640),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [19263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [19265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(15964),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11575),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15875),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10536),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14878),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [19294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [19296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14923),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [19302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12984),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14926),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15637),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14935),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12955),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13670),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15849),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [19370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16351),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [19378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15155),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [19386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14952),
  [19392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14956),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15738),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14963),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16182),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15674),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11937),
  [19438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15904),
  [19441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [19451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9938),
  [19453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [19455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14949),
  [19459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [19463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [19467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14978),
  [19469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [19471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [19473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [19475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [19477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14980),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [19483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [19485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13344),
  [19487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14994),
  [19489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [19491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [19493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14985),
  [19495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11602),
  [19497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [19505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [19507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [19509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [19513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [19515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10593),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [19519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [19521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13541),
  [19523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15439),
  [19531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [19533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [19535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [19537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15141),
  [19539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [19541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [19543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [19547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15002),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13445),
  [19551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [19553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [19555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [19559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15005),
  [19561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [19563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [19565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [19567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [19569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [19571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15012),
  [19573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [19575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [19577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10883),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15697),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [19595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8526),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [19602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [19604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(13372),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16012),
  [19611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13517),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15025),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15029),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [19629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [19631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [19635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7950),
  [19638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15037),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15867),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11637),
  [19654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17149),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9928),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13523),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16039),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [19704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17136),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15054),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11912),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15056),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15060),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14039),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12424),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12475),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13946),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15705),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14008),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15075),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [19784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17149),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15406),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [19793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15077),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14019),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13969),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15083),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13989),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14012),
  [19831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4491),
  [19834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4491),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12688),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16046),
  [19853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13933),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13950),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15097),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [19881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [19883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(16610),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15102),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14054),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15106),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15356),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14122),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14141),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14146),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16151),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13935),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13940),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13951),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13957),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15119),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16158),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15132),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15393),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15122),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12695),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15127),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15040),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15904),
  [20012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15148),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11674),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16180),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12690),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16198),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16163),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16808),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13372),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16451),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13659),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14402),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13663),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13895),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13274),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13734),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13785),
  [20094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14906),
  [20097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13556),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13786),
  [20105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17231),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13732),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14406),
  [20119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16481),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13897),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [20129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14458),
  [20131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [20133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13014),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [20139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14960),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [20147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [20149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 20),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13900),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [20155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [20157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13736),
  [20163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15125),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13824),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16506),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13643),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [20200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14848),
  [20203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [20205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14079),
  [20217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(9720),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13954),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14440),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [20244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13917),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13308),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13687),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14570),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16384),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16230),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14445),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16552),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13925),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13690),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [20294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [20296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13606),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16566),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14449),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13692),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17077),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14270),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13684),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16580),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17235),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13743),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13603),
  [20362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4585),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18491),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13801),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [20383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14036),
  [20386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16602),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13847),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13612),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [20408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4589),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14476),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15125),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16618),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18916),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [20445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13330),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13617),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10872),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13715),
  [20455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [20457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13764),
  [20459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2314),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16635),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14482),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14483),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13776),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16652),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13720),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19032),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13489),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13615),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14624),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13724),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13616),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19709),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13726),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16680),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13623),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14279),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16336),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16243),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13630),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16699),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13906),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [20602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4367),
  [20605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [20607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [20609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14511),
  [20611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [20613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14548),
  [20615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [20617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14517),
  [20619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [20621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [20623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16710),
  [20625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13861),
  [20627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [20629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13431),
  [20631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [20633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [20635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13638),
  [20637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13635),
  [20639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13887),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [20643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [20645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16725),
  [20647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [20649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [20651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [20653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [20655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(14124),
  [20658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13449),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16736),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13919),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13639),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13463),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13753),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16744),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13316),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13640),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13470),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14530),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13890),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14470),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13402),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16757),
  [20740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13788),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10840),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14313),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13323),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13833),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [20760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13760),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14554),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16769),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [20774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [20782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [20784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14535),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [20796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16778),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13763),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16788),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [20824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13766),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16287),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16799),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13826),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16619),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14551),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13960),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13628),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13662),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11484),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14064),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16812),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14578),
  [20868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [20870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14301),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [20882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [20890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [20892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13503),
  [20894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [20896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17290),
  [20898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [20900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13664),
  [20902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [20904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16503),
  [20906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [20908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13403),
  [20910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [20912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13863),
  [20914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [20916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13507),
  [20918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14580),
  [20920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [20922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13409),
  [20928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17074),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13508),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14099),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16844),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [20968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13787),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16853),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14563),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13416),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13873),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13678),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [21002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16864),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [21022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [21024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13679),
  [21026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [21028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [21030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13791),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16875),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [21038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19176),
  [21044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14024),
  [21047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14579),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13836),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13680),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14613),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13700),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14308),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14339),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [21101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 0),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16901),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13689),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14614),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14593),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13696),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13835),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14179),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16910),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14599),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13691),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16914),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14595),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16928),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16932),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13695),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16938),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16943),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16947),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16951),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13413),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16955),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16961),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13956),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16966),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16970),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16974),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13645),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16978),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16979),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16980),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16981),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16982),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16984),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16985),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16986),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16987),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16988),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16991),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16992),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16993),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16994),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16996),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16997),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16999),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17000),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17001),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17002),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13841),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17071),
  [21285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4163),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13727),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [21296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14619),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17009),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17079),
  [21302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17080),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17081),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13334),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [21326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [21328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13650),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13620),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14620),
  [21340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13959),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [21354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2198),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13712),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19290),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13843),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14625),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16329),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14400),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14628),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19454),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17239),
  [21403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17240),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17241),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13737),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [21417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14629),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13850),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13767),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [21447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [21449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [21459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9313),
  [21462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [21466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13438),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13627),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16247),
  [21472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16248),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16249),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14759),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [21484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13853),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13888),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13337),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13771),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16600),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13735),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13631),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [21518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13012),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14437),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13564),
  [21530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13452),
  [21542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16300),
  [21544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16301),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13711),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [21556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14333),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17221),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14035),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14334),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19045),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13661),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [21592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [21594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16339),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16340),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [21600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14403),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [21620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [21624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16374),
  [21626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16375),
  [21628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16376),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [21638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16691),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13793),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [21652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13740),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13693),
  [21658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16406),
  [21662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16407),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16408),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [21668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [21670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [21672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [21674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [21676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [21678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [21680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13621),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13461),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16435),
  [21694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16436),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16437),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13884),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [21704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13632),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16462),
  [21730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16463),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16464),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [21738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14686),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13855),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16493),
  [21754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16494),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16495),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [21762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13768),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13885),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16513),
  [21776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16514),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16515),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [21782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13698),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16540),
  [21794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16541),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16542),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [21800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [21802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [21804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [21806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16363),
  [21808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [21810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16556),
  [21812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16557),
  [21814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16558),
  [21816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [21818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [21820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [21822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [21824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9749),
  [21826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [21830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16569),
  [21832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16570),
  [21834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [21836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [21838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [21840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16586),
  [21848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16587),
  [21850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16588),
  [21852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14352),
  [21854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [21856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [21858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [21860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [21862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [21864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [21866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16607),
  [21868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16608),
  [21870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [21872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [21874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [21876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [21878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13733),
  [21880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [21882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16624),
  [21886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16625),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16626),
  [21890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13731),
  [21892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [21894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [21898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13499),
  [21900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [21902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19313),
  [21906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16639),
  [21908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16640),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16641),
  [21912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [21916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13421),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13858),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [21926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16658),
  [21930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16659),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [21936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [21944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16669),
  [21946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16670),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16671),
  [21950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [21954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [21960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13857),
  [21964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16686),
  [21966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16687),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16688),
  [21970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [21972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [21976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13704),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16701),
  [21990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16702),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [21998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [22008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 1),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [22012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16719),
  [22014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16720),
  [22016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [22018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [22020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14087),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [22030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13653),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16727),
  [22034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16728),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16729),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [22040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [22042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16738),
  [22048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16739),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16740),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [22054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13636),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17870),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16749),
  [22066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16750),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16751),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [22072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13862),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13901),
  [22082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16762),
  [22092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16763),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [22098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13649),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14741),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16772),
  [22114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16773),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16774),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [22120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16780),
  [22128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16781),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16782),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [22136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16791),
  [22148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16792),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16793),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [22154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [22160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16805),
  [22168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16806),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16807),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [22176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14810),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [22188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16815),
  [22192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16816),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16817),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [22198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16827),
  [22206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16828),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16829),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14748),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [22214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16837),
  [22226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16838),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [22232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14103),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12972),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13903),
  [22244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13706),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13955),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16847),
  [22250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16848),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16849),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [22256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13811),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16856),
  [22266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16857),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [22272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [22276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16868),
  [22284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16869),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17033),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [22292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [22296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13904),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16880),
  [22302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16881),
  [22304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16882),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [22308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [22310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [22314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16888),
  [22320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16889),
  [22322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16890),
  [22324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [22326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13290),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16895),
  [22342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16896),
  [22344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16897),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [22348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [22352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [22354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16903),
  [22358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16904),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [22364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16294),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16911),
  [22376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16912),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16913),
  [22380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18316),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16917),
  [22390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16918),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16919),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [22396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16926),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16927),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [22402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16930),
  [22404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16931),
  [22406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16933),
  [22408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16934),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16935),
  [22412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16939),
  [22414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16940),
  [22416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16941),
  [22418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16944),
  [22420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16945),
  [22422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16946),
  [22424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16948),
  [22426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16949),
  [22428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16950),
  [22430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16952),
  [22432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16953),
  [22434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [22436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16956),
  [22438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16957),
  [22440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16958),
  [22442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16962),
  [22444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16963),
  [22446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16964),
  [22448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16967),
  [22450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16968),
  [22452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16969),
  [22454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16971),
  [22456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16972),
  [22458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16973),
  [22460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16975),
  [22462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16976),
  [22464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16977),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14316),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17288),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13652),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14287),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11837),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14378),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14283),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12978),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [22494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [22496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [22498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [22500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [22502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14359),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13548),
  [22524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13076),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19161),
  [22528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13453),
  [22530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13657),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14778),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16426),
  [22544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20162),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13860),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14386),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14377),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13918),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13538),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14046),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13729),
  [22580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14797),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [22596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 0),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13774),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13622),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19764),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13894),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13658),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14441),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19276),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13422),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13071),
  [22646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16634),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16644),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [22668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13536),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20115),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13242),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19650),
  [22682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13550),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19584),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19331),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15452),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16924),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19132),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19133),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19134),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19961),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17422),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13234),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19039),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19704),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12209),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18723),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19214),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18802),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17544),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [22786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17197),
  [22790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17200),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19515),
  [22796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17294),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15955),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19187),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19188),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19189),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19802),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13270),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17389),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19719),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19350),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17179),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17190),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19539),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17254),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16118),
  [22888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19218),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19219),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19220),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17839),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17856),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18164),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13765),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17964),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18485),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13781),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18027),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13257),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17205),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17214),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18626),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19599),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18698),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18658),
  [22962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18709),
  [22964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [22966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19734),
  [22968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18740),
  [22970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15015),
  [22972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16368),
  [22974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19244),
  [22976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19245),
  [22978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19246),
  [22980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [22982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [22984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [22986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [22988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [22990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [22992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [22994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [22996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18761),
  [22998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [23000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [23002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [23004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [23006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [23008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [23010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16577),
  [23012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [23014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [23016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18592),
  [23018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [23020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [23022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [23024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18754),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [23036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16802),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19270),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19271),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19272),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18794),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18672),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18950),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13725),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19366),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19078),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19001),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13728),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13267),
  [23078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16454),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17073),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17082),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18860),
  [23090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [23098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19065),
  [23100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15940),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17142),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19294),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19295),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19296),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19749),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16743),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19327),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13218),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19138),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17187),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17189),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [23148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13291),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19160),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16105),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17248),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19314),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19315),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19316),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19447),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19443),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16225),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16228),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19174),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19490),
  [23202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12980),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19815),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15200),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16272),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19333),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19334),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19335),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19768),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16314),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16315),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18130),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18134),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19493),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20081),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15770),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16352),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19352),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19353),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19354),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [23272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 4, 0, 28),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19382),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13211),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19614),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16403),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14987),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16216),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16446),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19368),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19369),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19370),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19517),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17376),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13221),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10596),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17388),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16563),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19384),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19385),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19386),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17443),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16620),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16621),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17461),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16668),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19400),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19401),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19402),
  [23380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13255),
  [23382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16735),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19510),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16737),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [23396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13038),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16787),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19416),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19417),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19418),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19485),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16229),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [23420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17586),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16843),
  [23426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16845),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [23430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17585),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16894),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19432),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19433),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19434),
  [23448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [23450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17014),
  [23456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17016),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17593),
  [23462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [23466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 19),
  [23468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [23470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17616),
  [23472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17057),
  [23474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19448),
  [23476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19449),
  [23478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19450),
  [23480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [23482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17099),
  [23484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17100),
  [23486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [23488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [23490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [23492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19398),
  [23494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19266),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17137),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19464),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19465),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19466),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [23508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [23510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17180),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17181),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18217),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17210),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19480),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19481),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19482),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13269),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17255),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17256),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19554),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18224),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [23550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17806),
  [23552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16478),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19496),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19497),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19498),
  [23560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [23562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17820),
  [23564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13240),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17257),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [23580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17819),
  [23582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [23584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13543),
  [23586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [23588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [23590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [23592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17834),
  [23594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [23596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16366),
  [23598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19512),
  [23600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19513),
  [23602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19514),
  [23604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [23606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19629),
  [23608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16604),
  [23610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [23612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18942),
  [23614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16642),
  [23616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [23618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [23620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [23622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19805),
  [23624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17183),
  [23626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19526),
  [23628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19527),
  [23630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19528),
  [23632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [23634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19114),
  [23636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16271),
  [23638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [23640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [23642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [23644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10078),
  [23646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [23648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [23650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19541),
  [23652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19542),
  [23654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19543),
  [23656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16560),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16965),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19556),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19557),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19558),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17094),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17204),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19571),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19572),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19573),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17276),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [23696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [23704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13528),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [23708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [23710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16291),
  [23712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19586),
  [23714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19587),
  [23716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19588),
  [23718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [23720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19414),
  [23722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16335),
  [23724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [23726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18071),
  [23728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [23730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [23732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18142),
  [23734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [23736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [23738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [23740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [23742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16433),
  [23744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19601),
  [23746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19602),
  [23748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19603),
  [23750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16488),
  [23752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [23754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17387),
  [23756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [23758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16596),
  [23760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19616),
  [23762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19617),
  [23764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19618),
  [23766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16655),
  [23768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [23770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16759),
  [23772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19631),
  [23774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19632),
  [23776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19633),
  [23778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [23780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18189),
  [23782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [23784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [23786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18193),
  [23788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [23790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18212),
  [23792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [23794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18214),
  [23796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18348),
  [23798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17064),
  [23800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19646),
  [23802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19647),
  [23804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19648),
  [23806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [23808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18832),
  [23810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [23812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [23814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18228),
  [23816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17105),
  [23818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [23820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18378),
  [23822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [23824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [23826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17160),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19661),
  [23832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19662),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19663),
  [23836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17182),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18289),
  [23848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17232),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19676),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19677),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19678),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18306),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19691),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19692),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19693),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18339),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18345),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18367),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18369),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19706),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19707),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19708),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18535),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [23914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18415),
  [23918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16342),
  [23920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19721),
  [23922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19722),
  [23924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19723),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [23928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18418),
  [23930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [23932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18445),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [23938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19736),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19737),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19738),
  [23944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [23946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18457),
  [23948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [23950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19430),
  [23952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [23954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [23956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17291),
  [23958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [23960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [23962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [23964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16472),
  [23966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19751),
  [23968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19752),
  [23970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19753),
  [23972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [23974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18495),
  [23976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [23978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [23980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [23982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18524),
  [23984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [23986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16545),
  [23988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19765),
  [23990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19766),
  [23992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19767),
  [23994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [23996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18532),
  [23998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [24000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [24002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18632),
  [24004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [24006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18562),
  [24008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [24010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19779),
  [24012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19780),
  [24014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19781),
  [24016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [24018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18571),
  [24020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [24022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [24024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18619),
  [24026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [24028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19793),
  [24030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19794),
  [24032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19795),
  [24034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [24036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18617),
  [24038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [24040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18620),
  [24042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [24044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [24046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18631),
  [24048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16746),
  [24050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19807),
  [24052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19808),
  [24054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19809),
  [24056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [24058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18654),
  [24060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [24062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18656),
  [24064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18989),
  [24066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [24068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16786),
  [24070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19819),
  [24072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19820),
  [24074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19821),
  [24076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18994),
  [24078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [24080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18691),
  [24082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [24084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19831),
  [24086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19832),
  [24088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19833),
  [24090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [24092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18703),
  [24094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [24096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [24098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [24100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19003),
  [24102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16830),
  [24104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19836),
  [24106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19837),
  [24108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19838),
  [24110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [24112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19841),
  [24114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19842),
  [24116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19843),
  [24118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16846),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19846),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19847),
  [24124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19848),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18739),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [24132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18748),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16855),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19851),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19852),
  [24140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19853),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16865),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19856),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19857),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19858),
  [24152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16878),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19861),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19862),
  [24158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19863),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19866),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19867),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19868),
  [24168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16898),
  [24170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19871),
  [24172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19872),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19873),
  [24176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [24178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18789),
  [24180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18798),
  [24184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19876),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19877),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19878),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19025),
  [24196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19881),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19882),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19883),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16936),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19886),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19887),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19888),
  [24212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16959),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19891),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19892),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19893),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18959),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19705),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19644),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11897),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19524),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [24258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17223),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17225),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19066),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19446),
  [24272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19070),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16221),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10238),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19049),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19804),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [24312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19119),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19099),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17455),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [24336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19143),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19106),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [24350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19913),
  [24356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [24358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [24366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17070),
  [24368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18970),
  [24370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18972),
  [24374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [24378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11841),
  [24382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [24384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [24390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [24392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19180),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10888),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [24400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12940),
  [24406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11088),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19462),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19489),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19291),
  [24424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 8),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12988),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10392),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19659),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [24456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 3, 0, 9),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19569),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19406),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [24472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19444),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19421),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18051),
  [24498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19461),
  [24504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [24514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19507),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17310),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19518),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [24536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19959),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10832),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19478),
  [24560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19312),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19674),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13317),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [24586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19810),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [24596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19769),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17274),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17275),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [24614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19777),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18419),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19177),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [24634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19910),
  [24636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19911),
  [24640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18642),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15843),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16383),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19058),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19059),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19060),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19925),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13210),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20065),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [24682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19494),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20079),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20095),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19347),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [24716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19689),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10422),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [24724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 100),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [24732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19240),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [24738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [24742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11677),
  [24746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [24748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [24750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [24752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [24754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [24756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [24758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [24760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16250),
  [24762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [24764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [24766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [24768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [24770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [24772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [24776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [24778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [24780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [24782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [24784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [24786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16431),
  [24788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [24790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [24792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [24794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [24796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [24798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [24800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [24804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16211),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [24808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [24814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [24816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [24818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [24820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [24824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [24828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [24830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [24832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [24834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [24836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16219),
  [24838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [24840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [24842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [24844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [24850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [24854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [24862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [24878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [24888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16548),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [24894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17268),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16568),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10311),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [24950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [24954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [24958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [24972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [24982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16656),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15123),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [25018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13688),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [25024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16679),
  [25030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15288),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [25036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [25038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [25042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [25044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [25046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [25048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [25054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13393),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [25060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16771),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13141),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13396),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13398),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16797),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16879),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15435),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12495),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12559),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13876),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17044),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15657),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17065),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17123),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15816),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17143),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16108),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17198),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13351),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16011),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17218),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17053),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17271),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12939),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16217),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16983),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17109),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9847),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12510),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12990),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17211),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15321),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16418),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17122),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15445),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [25740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14880),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10987),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16498),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15397),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9793),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12522),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15607),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17043),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10192),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17166),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15020),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13571),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10949),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17233),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12536),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16269),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15245),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15838),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16312),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13055),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16392),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13056),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16458),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [26046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16283),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15926),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17390),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17391),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [26096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17394),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12455),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16730),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16482),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16190),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16784),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15010),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12574),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17038),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [26214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15755),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10942),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17091),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12534),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17141),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15108),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16427),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10984),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17167),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9758),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12483),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17216),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13518),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [26346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15472),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [26350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [26358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14899),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11008),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17242),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16616),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [26372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [26378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [26382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [26388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [26392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [26396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [26400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15892),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16810),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15332),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11051),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16251),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16279),
  [26452] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [26454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14859),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [26484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [26490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16303),
  [26494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [26498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [26502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16330),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [26534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14991),
  [26538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [26542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [26554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13111),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16348),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [26566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [26570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [26576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16387),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15113),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [26614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16410),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [26634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [26644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [26648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16457),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13067),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [26664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [26666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15219),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [26670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [26682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11164),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16485),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16529),
  [26706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16724),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [26710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [26720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [26724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [26726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15322),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [26732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [26762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16585),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [26784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15412),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [26796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [26800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16615),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15712),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16657),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [26842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [26846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [26850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [26854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10781),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15507),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16684),
  [26878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [26882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [26886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [26890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [26894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14180),
  [26898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16731),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [26906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [26914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [26920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15655),
  [26924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [26928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [26932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16756),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12569),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [26960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16779),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [26968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15715),
  [26974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [26978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [26980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [26982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16789),
  [26986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10133),
  [26994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [26996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [26998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [27000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16813),
  [27002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [27004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [27006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [27008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [27010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [27012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [27014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [27016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [27018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16820),
  [27020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [27022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [27024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [27026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [27028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [27030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [27032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [27034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [27036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [27038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [27040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [27042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [27044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [27046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [27048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [27050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [27052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16836),
  [27054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [27056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [27058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [27060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [27062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [27064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [27066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [27068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [27070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [27072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [27074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [27076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [27078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16859),
  [27080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [27082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [27084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [27086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [27088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [27090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16871),
  [27092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [27094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [27096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [27098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [27100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [27102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [27104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16883),
  [27106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [27108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [27110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [27112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [27114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [27116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [27118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16891),
  [27120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [27122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [27124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [27126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [27128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [27130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [27132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [27134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16899),
  [27136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [27138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [27140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [27142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [27144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [27146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [27148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16907),
  [27150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [27152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [27154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [27156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12226),
  [27158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [27160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16920),
  [27162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [27164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [27166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [27168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [27170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [27172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [27174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16937),
  [27176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [27178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [27180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [27182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [27184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [27186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [27188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16960),
  [27190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [27192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [27194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [27196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10510),
  [27198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [27200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18550),
  [27202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [27204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [27206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [27208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [27210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [27212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17128),
  [27214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [27216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [27218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [27220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [27222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [27224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [27226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [27228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [27230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [27232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [27234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [27236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [27238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [27240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [27242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [27244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [27246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [27248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [27250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12961),
  [27252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [27254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [27256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [27258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [27260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [27262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [27264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [27266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [27268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [27270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [27272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [27274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [27276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [27278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [27280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [27282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [27284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [27286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15903),
  [27288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [27290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [27292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [27294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [27296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [27298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [27300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [27302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9850),
  [27304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [27306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [27308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [27310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [27312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [27314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [27316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [27318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [27320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [27322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [27324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [27326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [27328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [27330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [27332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [27334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [27336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [27338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [27340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12418),
  [27342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [27344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [27346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [27348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [27350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [27352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [27354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9819),
  [27356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [27358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [27360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [27362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [27364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [27366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [27368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [27370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [27372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [27374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [27376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [27378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [27380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [27382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [27384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [27386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [27388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [27390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [27392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [27394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17096),
  [27396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [27398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [27400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [27402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [27404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [27406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [27408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [27410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [27412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [27414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [27416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [27418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [27420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [27422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [27424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [27426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [27428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9932),
  [27430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [27432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [27434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [27436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [27438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [27440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13007),
  [27442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17153),
  [27444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [27446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [27448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19248),
  [27450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19250),
  [27452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [27454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [27456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [27458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [27460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [27462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [27464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [27466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [27468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [27470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [27472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [27474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [27476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [27478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13813),
  [27480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [27482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [27484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [27486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [27488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [27490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [27492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [27494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10905),
  [27496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13769),
  [27498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [27500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [27502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [27504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [27506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [27508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12472),
  [27510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [27512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19033),
  [27514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [27516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [27518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [27520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [27522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [27524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [27526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [27528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [27530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [27532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [27534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13029),
  [27536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [27538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13030),
  [27540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [27542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [27544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [27546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [27548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [27550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [27552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [27554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [27556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [27558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17249),
  [27560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [27562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [27564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [27566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [27568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19149),
  [27570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [27572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [27574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [27576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [27578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [27580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [27582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [27584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [27586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [27588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [27590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19971),
  [27592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19972),
  [27594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19974),
  [27596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [27598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [27600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [27602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17056),
  [27604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [27606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [27608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [27610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [27612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [27614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [27616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [27618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12430),
  [27620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [27622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [27624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [27626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [27628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [27630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [27632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [27634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [27636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [27638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [27640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [27642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [27644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [27646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [27648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [27650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [27652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [27654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [27656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [27658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [27660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [27662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [27664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [27666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [27668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [27670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [27672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [27674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [27676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [27678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [27680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [27682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [27684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16712),
  [27686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [27688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [27690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [27692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17224),
  [27694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16257),
  [27696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [27698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [27700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [27702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [27704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [27706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [27708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [27710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [27712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [27714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [27716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17913),
  [27718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [27720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [27722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12811),
  [27724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [27726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [27728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [27730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17763),
  [27732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17784),
  [27734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17815),
  [27736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [27738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [27740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [27742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [27744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [27746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [27748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [27750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [27752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [27754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [27756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [27758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [27760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [27762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12588),
  [27764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [27766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [27768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [27770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15990),
  [27772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [27774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13406),
  [27776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [27778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [27780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19747),
  [27782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [27784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [27786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [27788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [27790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [27792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14815),
  [27794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [27796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [27798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [27800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [27802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18991),
  [27804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16305),
  [27806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [27808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [27810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [27812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [27814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [27816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [27818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17299),
  [27820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17301),
  [27822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17302),
  [27824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [27826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [27828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [27830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [27832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [27834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [27836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12876),
  [27838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [27840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [27842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [27844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [27846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [27848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [27850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [27852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [27854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [27856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [27858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [27860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [27862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [27864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16343),
  [27866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [27868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [27870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17790),
  [27872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17791),
  [27874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17798),
  [27876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [27878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [27880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [27882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [27884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [27886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [27888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [27890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [27892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [27894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [27896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [27898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [27900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [27902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [27904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17263),
  [27906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [27908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [27910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16381),
  [27912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [27914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [27916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18252),
  [27918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18253),
  [27920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18256),
  [27922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [27924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16278),
  [27926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [27928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [27930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [27932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [27934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [27936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [27938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [27940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [27942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [27944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16411),
  [27946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [27948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [27950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [27952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18685),
  [27954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18686),
  [27956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18687),
  [27958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [27960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [27962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [27964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [27966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [27968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [27970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [27972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [27974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [27976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [27978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [27980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [27982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [27984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [27986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [27988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16438),
  [27990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16709),
  [27992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [27994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [27996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18981),
  [27998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18982),
  [28000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [28002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [28004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [28006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [28008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [28010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5874),
  [28012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [28014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [28016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [28018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [28020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [28022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16465),
  [28024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [28026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19237),
  [28028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19242),
  [28030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19256),
  [28032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [28034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [28036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [28038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [28040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [28042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [28044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [28046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [28048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [28050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [28052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [28054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16497),
  [28056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [28058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19658),
  [28060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19671),
  [28062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19672),
  [28064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [28066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [28068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [28070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [28072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [28074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [28076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12807),
  [28078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [28080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [28082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [28084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16519),
  [28086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [28088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20131),
  [28090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20132),
  [28092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20134),
  [28094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [28096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [28098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [28100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [28102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [28104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [28106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [28108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [28110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16543),
  [28112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17352),
  [28114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17353),
  [28116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17354),
  [28118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [28120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [28122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [28124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [28126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [28128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [28130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [28132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [28134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [28136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [28138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [28140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16561),
  [28142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10825),
  [28144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17410),
  [28146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [28148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [28150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [28152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [28154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [28156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [28158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [28160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [28162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [28164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [28166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [28168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [28170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16572),
  [28172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [28174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17465),
  [28176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17466),
  [28178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17467),
  [28180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [28182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [28184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [28186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [28188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [28190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [28192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [28194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [28196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [28198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [28200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16590),
  [28202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [28204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17520),
  [28206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17521),
  [28208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17522),
  [28210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [28212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [28214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [28216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [28218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [28220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [28222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15671),
  [28224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [28226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16609),
  [28228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17575),
  [28230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17576),
  [28232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17577),
  [28234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [28236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [28238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [28240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [28242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [28244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [28246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [28248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [28250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [28252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [28254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [28256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16628),
  [28258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17630),
  [28260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17631),
  [28262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17632),
  [28264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12105),
  [28266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [28268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [28270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [28272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [28274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [28276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [28278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [28280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [28282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16643),
  [28284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [28286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17685),
  [28288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17686),
  [28290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17687),
  [28292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [28294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [28296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [28298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [28300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [28302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [28304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [28306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [28308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16267),
  [28310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [28312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [28314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17740),
  [28316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17741),
  [28318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17742),
  [28320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [28322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [28324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [28326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [28328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [28330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [28332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [28334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [28336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [28338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [28340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17795),
  [28342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17796),
  [28344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17797),
  [28346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [28348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [28350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [28352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [28354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [28356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [28358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [28360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [28362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [28364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [28366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [28368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16690),
  [28370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17850),
  [28372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17851),
  [28374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17852),
  [28376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [28378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [28380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [28382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [28384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [28386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [28388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20168),
  [28390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [28392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16704),
  [28394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16593),
  [28396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17892),
  [28398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17893),
  [28400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17894),
  [28402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [28404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15868),
  [28406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [28408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15190),
  [28410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [28412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [28414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [28416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [28418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16721),
  [28420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17933),
  [28422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17934),
  [28424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17935),
  [28426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [28428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [28430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15447),
  [28432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [28434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [28436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [28438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [28440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [28442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [28444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16732),
  [28446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17974),
  [28448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17975),
  [28450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17976),
  [28452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [28454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [28456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [28458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [28460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [28462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [28464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [28466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [28468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [28470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16741),
  [28472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13040),
  [28474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18015),
  [28476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18016),
  [28478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18017),
  [28480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13480),
  [28482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [28484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [28486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13481),
  [28488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [28490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [28492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [28494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [28496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [28498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [28500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16753),
  [28502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [28504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18056),
  [28506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18057),
  [28508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18058),
  [28510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [28512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [28514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [28516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [28518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [28520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [28522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [28524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [28526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16765),
  [28528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [28530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18097),
  [28532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18098),
  [28534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18099),
  [28536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [28538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [28540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [28542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [28544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [28546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [28548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16775),
  [28550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [28552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18138),
  [28554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18139),
  [28556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18140),
  [28558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [28560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [28562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [28564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [28566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [28568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [28570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [28572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [28574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [28576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16783),
  [28578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [28580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18179),
  [28582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18180),
  [28584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18181),
  [28586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [28588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [28590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [28592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [28594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [28596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [28598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [28600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [28602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16794),
  [28604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [28606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [28608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18221),
  [28610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [28612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [28614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [28616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [28618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11229),
  [28620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [28622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [28624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [28626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16276),
  [28628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16809),
  [28630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [28632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18261),
  [28634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18262),
  [28636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18263),
  [28638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [28640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [28642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [28644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [28646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16819),
  [28648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [28650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18302),
  [28652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [28654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18304),
  [28656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [28658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [28660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [28662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [28664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [28666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [28668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [28670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [28672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [28674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16831),
  [28676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [28678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18342),
  [28680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [28682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18344),
  [28684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13511),
  [28686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [28688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [28690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [28692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [28694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [28696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [28698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [28700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16842),
  [28702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18382),
  [28704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18383),
  [28706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18384),
  [28708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [28710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [28712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [28714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [28716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [28718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [28720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [28722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [28724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [28726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [28728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [28730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18421),
  [28732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18422),
  [28734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [28736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [28738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [28740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [28742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [28744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [28746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [28748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [28750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [28752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18460),
  [28754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18461),
  [28756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18462),
  [28758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [28760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [28762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [28764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [28766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [28768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [28770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12557),
  [28772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [28774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [28776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16872),
  [28778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18499),
  [28780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18500),
  [28782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18501),
  [28784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [28786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [28788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [28790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [28792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [28794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [28796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [28798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [28800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [28802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [28804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18537),
  [28806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18538),
  [28808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18539),
  [28810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [28812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [28814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [28816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [28818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [28820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [28822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [28824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [28826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [28828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [28830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [28832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18575),
  [28834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18576),
  [28836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18577),
  [28838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [28840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12451),
  [28842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [28844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [28846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [28848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9843),
  [28850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [28852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [28854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [28856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [28858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18613),
  [28860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18614),
  [28862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18615),
  [28864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [28866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [28868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [28870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [28872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [28874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [28876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [28878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [28880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [28882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18651),
  [28884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18652),
  [28886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18653),
  [28888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [28890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [28892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [28894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [28896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [28898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [28900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [28902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [28904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18677),
  [28906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [28908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18679),
  [28910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [28912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [28914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [28916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [28918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [28920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [28922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18700),
  [28924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18701),
  [28926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18702),
  [28928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [28930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [28932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18714),
  [28934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18715),
  [28936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [28938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [28940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [28942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18726),
  [28944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18727),
  [28946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [28948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [28950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18735),
  [28952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18736),
  [28954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18737),
  [28956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [28958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [28960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18745),
  [28962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18746),
  [28964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18747),
  [28966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [28968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18755),
  [28970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18756),
  [28972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18757),
  [28974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19814),
  [28976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [28978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [28980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [28982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [28984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [28986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18775),
  [28988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18776),
  [28990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18777),
  [28992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [28994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [28996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18785),
  [28998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18786),
  [29000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [29002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [29004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18795),
  [29006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18796),
  [29008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18797),
  [29010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [29012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18805),
  [29014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18806),
  [29016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18807),
  [29018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [29020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [29022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18815),
  [29024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [29026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18817),
  [29028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [29030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [29032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [29034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18826),
  [29036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [29038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [29040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [29042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [29044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [29046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15818),
  [29048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [29050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [29052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [29054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [29056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [29058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [29060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17372),
  [29062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [29064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [29066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [29068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [29070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [29072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [29074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [29076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15919),
  [29078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [29080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [29082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [29084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15578),
  [29086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [29088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [29090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11869),
  [29092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [29094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [29096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13008),
  [29098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [29100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [29102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18983),
  [29104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [29106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12428),
  [29108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [29110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [29112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [29114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15633),
  [29116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12995),
  [29118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [29120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [29122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [29124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [29126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [29128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19071),
  [29130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [29132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [29134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [29136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [29138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [29140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [29142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15670),
  [29144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12992),
  [29146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [29148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13016),
  [29150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [29152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [29154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [29156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19144),
  [29158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [29160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [29162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [29164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [29166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [29168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15709),
  [29170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [29172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16440),
  [29174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19192),
  [29176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [29178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [29180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [29182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15733),
  [29184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [29186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [29188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [29190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [29192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [29194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [29196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [29198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [29200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15774),
  [29202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15786),
  [29204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15796),
  [29206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15806),
  [29208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15813),
  [29210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [29212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15826),
  [29214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15833),
  [29216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [29218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15851),
  [29220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15861),
  [29222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15870),
  [29224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15878),
  [29226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15886),
  [29228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [29230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15905),
  [29232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15915),
  [29234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15920),
  [29236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15927),
  [29238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15935),
  [29240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15943),
  [29242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15949),
  [29244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15959),
  [29246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15968),
  [29248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15978),
  [29250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15983),
  [29252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15991),
  [29254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16001),
  [29256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [29258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16015),
  [29260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16021),
  [29262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16027),
  [29264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16035),
  [29266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16041),
  [29268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16048),
  [29270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16053),
  [29272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16055),
  [29274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16057),
  [29276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16059),
  [29278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16061),
  [29280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16063),
  [29282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16065),
  [29284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16067),
  [29286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16069),
  [29288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16071),
  [29290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16073),
  [29292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16075),
  [29294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16077),
  [29296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [29298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19923),
  [29300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [29302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [29304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [29306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [29308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [29310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15765),
  [29312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [29314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [29316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [29318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [29320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [29322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [29324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [29326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [29328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [29330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [29332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [29334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [29336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [29338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [29340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [29342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [29344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [29346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [29348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [29350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [29352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [29354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [29356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12560),
  [29358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [29360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [29362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [29364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [29366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [29368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [29370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [29372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [29374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [29376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [29378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [29380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [29382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9679),
  [29384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [29386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [29388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [29390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [29392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [29394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [29396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [29398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [29400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [29402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [29404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [29406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [29408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [29410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [29412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [29414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [29416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [29418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [29420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [29422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [29424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [29426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [29428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [29430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [29432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [29434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [29436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [29438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [29440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16358),
  [29442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [29444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [29446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [29448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [29450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [29452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [29454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [29456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [29458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [29460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [29462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [29464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [29466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [29468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [29470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [29472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [29474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [29476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [29478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [29480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [29482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [29484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [29486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [29488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [29490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [29492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [29494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
  [29496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_type_external_scanner_create(void);
void tree_sitter_ocaml_type_external_scanner_destroy(void *);
bool tree_sitter_ocaml_type_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_type_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_type_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml_type(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_type_external_scanner_create,
      tree_sitter_ocaml_type_external_scanner_destroy,
      tree_sitter_ocaml_type_external_scanner_scan,
      tree_sitter_ocaml_type_external_scanner_serialize,
      tree_sitter_ocaml_type_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
